﻿using System;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace GPAS.Models
{
    /// <summary>   
    /// Se usa el atributo MetadataType para indicar en que clase se encuentran las anotaciones
    /// de la clase parcial Documento generada por el ORM (Entity Framework)
    /// </summary>
    [MetadataType(typeof (DocumentoMetadata))]
    public partial class Documento
    {
    }

    /// <summary>
    /// Se crea una clase 'buddy' como contenedor de anotaciones de la clase Documento
    /// </summary>
    public class DocumentoMetadata
    {
        [DisplayName("Id. documento")]
        public int IdDocumento { get; set; }

        [Required(ErrorMessage = "El {0} es obligatorio")]
        [DisplayName("Evento")]
        public int IdEvento { get; set; }

        [Required(ErrorMessage = "El {0} es obligatorio")]
        [DisplayName("Nombre")]
        [StringLength(100, ErrorMessage = "Introduzca un máximo de {1} caracteres")]
        public string Nombre { get; set; }

        [Required(ErrorMessage = "La {0} es obligatoria")]
        //[Range(typeof (DateTime), "1/1/1900", "1/1/2099")]
        [DataType(DataType.Date)]
        [DisplayName("Fecha")]
        public DateTime Fecha { get; set; }

        [StringLength(200, ErrorMessage = "Introduzca un máximo de {1} caracteres")]
        [DisplayName("Descripcion")]
        public string Descripcion { get; set; }
    }
}