﻿using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace GPAS.Models
{
    /// <summary>   
    /// Se usa el atributo MetadataType para indicar en que clase se encuentran las anotaciones
    /// de la clase parcial Estado generada por el ORM (Entity Framework)
    /// </summary>
    [MetadataType(typeof (EstadoMetadata))]
    public partial class Estado
    {
    }

    /// <summary>
    /// Se crea una clase 'buddy' como contenedor de anotaciones de la clase Estado
    /// </summary>
    public class EstadoMetadata
    {
        [DisplayName("Id. estado")]
        public int IdEstado { get; set; }

        [Required]
        [StringLength(50, ErrorMessage = "Introduzca un máximo de {1} caracteres")]
        [DisplayName("Descripción")]
        public string Descripcion { get; set; }
    }
}