﻿using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace GPAS.Models
{
    /// <summary>   
    /// Se usa el atributo MetadataType para indicar en que clase se encuentran las anotaciones
    /// de la clase parcial Medio generada por el ORM (Entity Framework)
    /// </summary>
    [MetadataType(typeof (MedioMetadata))]
    public partial class Medio
    {
    }

    /// <summary>
    /// Se crea una clase 'buddy' como contenedor de anotaciones de la clase Medio
    /// </summary>
    public class MedioMetadata
    {
        [DisplayName("Id. medio")]
        public int IdMedio { get; set; }

        [Required]
        [StringLength(50, ErrorMessage = "Introduzca un máximo de {1} caracteres")]
        [DisplayName("Descripción")]
        public string Descripcion { get; set; }
    }
}