﻿using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace GPAS.Models
{
    /// <summary>   
    /// Se usa el atributo MetadataType para indicar en que clase se encuentran las anotaciones
    /// de la clase parcial Organizacion generada por el ORM (Entity Framework)
    /// </summary>
    [MetadataType(typeof (OrganizacionMetadata))]
    public partial class Organizacion
    {
    }

    /// <summary>
    /// Se crea una clase 'buddy' como contenedor de anotaciones de la clase Organizacion
    /// </summary>
    public class OrganizacionMetadata
    {
        [DisplayName("Id. organización")]
        public int IdOrganizacion { get; set; }

        [Required]
        [DisplayName("Tipo organización")]
        //[Range(1, 2)]
            public int IdTipoOrganizacion { get; set; }

        [Required]
        [DisplayName("Nombre")]
        [StringLength(100, ErrorMessage = "Introduzca un máximo de {1} caracteres")]
        public string Nombre { get; set; }

        [RegularExpression(
            @"[a-z0-9!#$%&'*+/=?^_`{|}~-]+(?:\.[a-z0-9!#$%&'*+/=?^_`{|}~-]+)*@(?:[a-z0-9](?:[a-z0-9-]*[a-z0-9])?\.)+[a-z0-9](?:[a-z0-9-]*[a-z0-9])?"
            , ErrorMessage = "No es un formato de correo electrónico válido")]
        [DisplayName("Correo electrónico")]
        [DataType(DataType.EmailAddress)]
        [StringLength(100, ErrorMessage = "Introduzca un máximo de {1} caracteres")]
        public string EMail { get; set; }

        [DisplayName("Página web")]
        [DataType(DataType.Url)]
        [StringLength(100, ErrorMessage = "Introduzca un máximo de {1} caracteres")]
        public string Web { get; set; }
    }
}