﻿using System;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Web.Mvc;

namespace GPAS.Models
{
    /// <summary>   
    /// Se usa el atributo MetadataType para indicar en que clase se encuentran las anotaciones
    /// de la clase parcial Participacion generada por el ORM (Entity Framework)
    /// </summary>
    [MetadataType(typeof (ParticipacionMetadata))]
    public partial class Participacion
    {
    }

    /// <summary>
    /// Se crea una clase 'buddy' como contenedor de anotaciones de la clase Participacion
    /// </summary>
    public class ParticipacionMetadata
    {
        [DisplayName("Id. participación")]
        public int IdParticipacion { get; set; }

        [Required(ErrorMessage = "La {0} es obligatoria")]
        [DisplayName("Entidad")]
        public int IdEntidad { get; set; }

        [Required(ErrorMessage = "El {0} es obligatorio")]
        [DisplayName("Evento")]
        public int IdEvento { get; set; }

        [Required(ErrorMessage = "El {0} es obligatorio")]
        [DisplayName("Tipo de participación")]
        public int IdTipoParticipacion { get; set; }

        [Required(ErrorMessage = "La {0} es obligatoria")]
        //[Range(typeof(DateTime), "1/1/1900", "1/1/2099")]
        [DataType(DataType.Date)]
        [DisplayName("Fecha de inicio")]
        public DateTime FechaInicio { get; set; }

        [Required(ErrorMessage = "La {0} es obligatoria")]
        //[Range(typeof(DateTime), "1/1/1900", "1/1/2099")]
        [DataType(DataType.Date)]
        [DisplayName("Fecha de fin")]
        public DateTime FechaFin { get; set; }

        [AllowHtml]
        [Required(ErrorMessage = "El {0} es obligatorio")]
        [StringLength(5000, ErrorMessage = "Introduzca un máximo de {1} caracteres")]
        [DataType(DataType.MultilineText)]
        [DisplayName("Material")]
        public string Material { get; set; }
    }
}