﻿using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace GPAS.Models
{
    /// <summary>   
    /// Se usa el atributo MetadataType para indicar en que clase se encuentran las anotaciones
    /// de la clase parcial Provincia generada por el ORM (Entity Framework)
    /// </summary>
    [MetadataType(typeof (ProvinciaMetadata))]
    public partial class Provincia
    {
    }

    /// <summary>
    /// Se crea una clase 'buddy' como contenedor de anotaciones de la clase Provincia
    /// </summary>
    public class ProvinciaMetadata
    {
        [DisplayName("Id. provincia")]
        public int IdProvincia { get; set; }

        [Required(ErrorMessage = "El {0} es obligatorio")]
        [StringLength(50), MaxLength]
        [DisplayName("Nombre")]
        public string Nombre { get; set; }

        [Required(ErrorMessage = "La {0} es obligatoria")]
        [StringLength(50), MaxLength]
        [DisplayName("Nombre seo")]
        public string Provinciaseo { get; set; }

        [StringLength(3, ErrorMessage = "Las {0} no pueden ser de mas de {1} caracteres")]
        [DisplayName("Siglas")]
        public string Siglas { get; set; }
    }
}