﻿using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace GPAS.Models
{
    /// <summary>   
    /// Se usa el atributo MetadataType para indicar en que clase se encuentran las anotaciones
    /// de la clase parcial Rol generada por el ORM (Entity Framework)
    /// </summary>
    [MetadataType(typeof (RolMetadata))]
    public partial class Rol
    {
    }

    /// <summary>
    /// Se crea una clase 'buddy' como contenedor de anotaciones de la clase Rol
    /// </summary>
    public class RolMetadata
    {
        [DisplayName("Id. rol")]
        public int IdRol { get; set; }

        [Required]
        [StringLength(10, ErrorMessage = "Introduzca un máximo de {1} caracteres")]
        [DisplayName("Codigo")]
        public string Codigo { get; set; }

        [Required]
        [StringLength(50, ErrorMessage = "Introduzca un máximo de {1} caracteres")]
        [DisplayName("Descripción")]
        public string Descripcion { get; set; }
    }
}