﻿using System;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Web.Mvc;

namespace GPAS.Models
{
    /// <summary>   
    /// Se usa el atributo MetadataType para indicar en que clase se encuentran las anotaciones
    /// de la clase parcial Seguimiento generada por el ORM (Entity Framework)
    /// </summary>
    [MetadataType(typeof (SeguimientoMetadata))]
    public partial class Seguimiento
    {
    }

    /// <summary>
    /// Se crea una clase 'buddy' como contenedor de anotaciones de la clase Seguimiento
    /// </summary>
    public class SeguimientoMetadata
    {
        [DisplayName("Id. seguimiento")]
        public int IdSeguimiento { get; set; }

        [Required(ErrorMessage = "La {0} es obligatoria")]
        [DisplayName("Entidad")]
        public int IdEntidad { get; set; }

        [Required(ErrorMessage = "El {0} es obligatorio")]
        [DisplayName("Usuario")]
        public int IdUsuario { get; set; }
       
        [Required(ErrorMessage = "La {0} es obligatoria")]
        //[Range(typeof(DateTime), "1/1/1900", "1/1/2099")]
        [DataType(DataType.Date)]
        [DisplayName("Fecha")]
        public DateTime Fecha { get; set; }

        [Required(ErrorMessage = "El {0} es obligatorio")]
        [DisplayName("Medio")]
        public int IdMedio { get; set; }

        [Required(ErrorMessage = "El {0} es obligatorio")]
        [DisplayName("Estado")]
        public int IdEstado { get; set; }

        [AllowHtml]
        [DisplayName("Observaciones")]
        [StringLength(5000, ErrorMessage = "Introduzca un máximo de {1} caracteres")]
        [DataType(DataType.MultilineText)]
        public string Observaciones { get; set; }
    }
}