﻿using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace GPAS.Models
{
    /// <summary>   
    /// Se usa el atributo MetadataType para indicar en que clase se encuentran las anotaciones
    /// de la clase parcial Tematica generada por el ORM (Entity Framework)
    /// </summary>
    [MetadataType(typeof (TematicaMetadata))]
    public partial class Tematica
    {
    }

    /// <summary>
    /// Se crea una clase 'buddy' como contenedor de anotaciones de la clase Tematica
    /// </summary>
    public class TematicaMetadata
    {
        [DisplayName("Id. temática")]
        public int IdTematica { get; set; }

        [Required]
        [StringLength(50, ErrorMessage = "Introduzca un máximo de {1} caracteres")]
        [DisplayName("Descripción")]
        public string Descripcion { get; set; }
    }
}