﻿using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace GPAS.Models
{
    /// <summary>   
    /// Se usa el atributo MetadataType para indicar en que clase se encuentran las anotaciones
    /// de la clase parcial TipoEntidad generada por el ORM (Entity Framework)
    /// </summary>
    [MetadataType(typeof (TipoEntidadMetadata))]
    public partial class TipoEntidad
    {
    }

    /// <summary>
    /// Se crea una clase 'buddy' como contenedor de anotaciones de la clase TipoEntidad
    /// </summary>
    public class TipoEntidadMetadata
    {
        [DisplayName("Id. tipo entidad")]
        public int IdTipoEntidad { get; set; }

        [Required]
        [StringLength(50, ErrorMessage = "Introduzca un máximo de {1} caracteres")]
        [DisplayName("Descripción")]
        public string Descripcion { get; set; }
    }
}