﻿using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace GPAS.Models
{
    /// <summary>   
    /// Se usa el atributo MetadataType para indicar en que clase se encuentran las anotaciones
    /// de la clase parcial TipoOrganizacion generada por el ORM (Entity Framework)
    /// </summary>
    [MetadataType(typeof (TipoOrganizacionMetadata))]
    public partial class TipoOrganizacion
    {
    }

    /// <summary>
    /// Se crea una clase 'buddy' como contenedor de anotaciones de la clase TipoOrganizacion
    /// </summary>
    public class TipoOrganizacionMetadata
    {
        [DisplayName("Id. tipo organización")]
        public int IdTipoOrganizacion { get; set; }

        [Required(ErrorMessage = "La {0} es obligatoria")]
        [StringLength(100), MaxLength]
        [DisplayName("Descripción")]
        public string Descripcion { get; set; }
    }
}