﻿using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace GPAS.Models
{
    /// <summary>   
    /// Se usa el atributo MetadataType para indicar en que clase se encuentran las anotaciones
    /// de la clase parcial TipoParticipacion generada por el ORM (Entity Framework)
    /// </summary>
    [MetadataType(typeof (TipoParticipacionMetadata))]
    public partial class TipoParticipacion
    {
    }

    /// <summary>
    /// Se crea una clase 'buddy' como contenedor de anotaciones de la clase TipoParticipacion
    /// </summary>
    public class TipoParticipacionMetadata
    {
        [DisplayName("Id. tipo entidad")]
        public int IdTipoParticipacion { get; set; }

        [Required(ErrorMessage = "La {0} es obligatoria")]
        [StringLength(50, ErrorMessage = "Introduzca un máximo de {1} caracteres")]
        [DisplayName("Descripción")]
        public string Descripcion { get; set; }
    }
}