﻿using System;
using System.Web.Security;
using GPAS.Models.Interfaces;
using GPAS.Models.Services;

namespace GPAS.Security
{
    /// <summary>
    /// Proveedor de roles. Se crea un RoleProvider personalizado. 
    /// </summary>
    public class GPASRoleProvider : RoleProvider
    {
        private readonly IRolService rolSrv; // Instancia de servicio del rol de usuario 

        public GPASRoleProvider()
        {
            rolSrv = new RolService();
            ApplicationName = "GPAS";
        }

        public GPASRoleProvider(IRolService service)
        {
            rolSrv = service;
            ApplicationName = "GPAS";
        }

        public override string ApplicationName { get; set; }

        public override void AddUsersToRoles(string[] usernames, string[] roleNames)
        {
            throw new NotImplementedException();
        }

        public override void CreateRole(string roleName)
        {
            throw new NotImplementedException();
        }

        public override bool DeleteRole(string roleName, bool throwOnPopulatedRole)
        {
            throw new NotImplementedException();
        }

        public override string[] FindUsersInRole(string roleName, string usernameToMatch)
        {
            throw new NotImplementedException();
        }

        public override string[] GetAllRoles()
        {
            return rolSrv.GetAllRoles();
        }

        public override string[] GetRolesForUser(string username)
        {
            return rolSrv.GetByUserName(username);
        }

        public override string[] GetUsersInRole(string roleName)
        {
            throw new NotImplementedException();
        }

        public override bool IsUserInRole(string username, string roleName)
        {
            return rolSrv.IsUserInRole(username, roleName);
        }

        public override void RemoveUsersFromRoles(string[] usernames, string[] roleNames)
        {
            throw new NotImplementedException();
        }

        public override bool RoleExists(string roleName)
        {
            return rolSrv.RoleExists(roleName);
        }
    }
}