﻿
--Table dbo.ACC_Acciones

USE [GPASens]
GO

--Create table and its columns
CREATE TABLE [dbo].[ACC_Acciones] (
	[IdAccion] [int] NOT NULL IDENTITY (1, 1),
	[IdOrganizacion] [int] NULL,
	[IdTematica] [int] NOT NULL,
	[IdActividad] [int] NOT NULL,
	[Nombre] [nvarchar](100) NOT NULL,
	[Activo] [bit] NOT NULL CONSTRAINT [DF_ACC_Acciones_Activo] DEFAULT ((1)),
	[Observaciones] [nvarchar](MAX) NULL);
GO

SET IDENTITY_INSERT [dbo].[ACC_Acciones] ON
GO
INSERT INTO [dbo].[ACC_Acciones] ([IdAccion], [IdOrganizacion], [IdTematica], [IdActividad], [Nombre], [Activo], [Observaciones])
	VALUES (1, 1, 1, 1, N'Colores del agua', CAST ('True' AS bit), NULL)

GO
INSERT INTO [dbo].[ACC_Acciones] ([IdAccion], [IdOrganizacion], [IdTematica], [IdActividad], [Nombre], [Activo], [Observaciones])
	VALUES (2, 1, 2, 2, N'Desigualdad infantil', CAST ('True' AS bit), NULL)

GO
INSERT INTO [dbo].[ACC_Acciones] ([IdAccion], [IdOrganizacion], [IdTematica], [IdActividad], [Nombre], [Activo], [Observaciones])
	VALUES (3, 1, 5, 5, N'Comercio justo', CAST ('False' AS bit), NULL)

GO
SET IDENTITY_INSERT [dbo].[ACC_Acciones] OFF
GO

--Table dbo.ACC_Actividades

USE [GPASens]
GO

--Create table and its columns
CREATE TABLE [dbo].[ACC_Actividades] (
	[IdActividad] [int] NOT NULL IDENTITY (1, 1),
	[Descripcion] [nvarchar](50) NOT NULL);
GO

SET IDENTITY_INSERT [dbo].[ACC_Actividades] ON
GO
INSERT INTO [dbo].[ACC_Actividades] ([IdActividad], [Descripcion])
	VALUES (1, N'Exposición')

GO
INSERT INTO [dbo].[ACC_Actividades] ([IdActividad], [Descripcion])
	VALUES (2, N'Charla')

GO
INSERT INTO [dbo].[ACC_Actividades] ([IdActividad], [Descripcion])
	VALUES (3, N'Taller')

GO
INSERT INTO [dbo].[ACC_Actividades] ([IdActividad], [Descripcion])
	VALUES (4, N'Curso')

GO
INSERT INTO [dbo].[ACC_Actividades] ([IdActividad], [Descripcion])
	VALUES (5, N'Evento')

GO
SET IDENTITY_INSERT [dbo].[ACC_Actividades] OFF
GO

--Table dbo.ACC_Documentos

USE [GPASens]
GO

--Create table and its columns
CREATE TABLE [dbo].[ACC_Documentos] (
	[IdDocumento] [int] NOT NULL IDENTITY (1, 1),
	[IdEvento] [int] NOT NULL,
	[Nombre] [nvarchar](100) NOT NULL,
	[Fecha] [datetime] NOT NULL,
	[Descripcion] [nvarchar](200) NULL);
GO

--Table dbo.ACC_Eventos

USE [GPASens]
GO

--Create table and its columns
CREATE TABLE [dbo].[ACC_Eventos] (
	[IdEvento] [int] NOT NULL IDENTITY (1, 1),
	[IdAccion] [int] NOT NULL,
	[Nombre] [nvarchar](100) NOT NULL,
	[FechaInicio] [datetime] NOT NULL,
	[FechaFin] [datetime] NOT NULL,
	[Direccion] [nvarchar](100) NULL,
	[CodigoPostal] [varchar](5) NULL,
	[IdPoblacion] [int] NULL,
	[Observaciones] [nvarchar](MAX) NULL);
GO

--Table dbo.ACC_Fotos

USE [GPASens]
GO

--Create table and its columns
CREATE TABLE [dbo].[ACC_Fotos] (
	[IdFoto] [int] NOT NULL IDENTITY (1, 1),
	[IdEvento] [int] NOT NULL,
	[Nombre] [nvarchar](100) NOT NULL,
	[Fecha] [datetime] NOT NULL,
	[Descripcion] [nvarchar](200) NULL);
GO

--Table dbo.ACC_Tematicas

USE [GPASens]
GO

--Create table and its columns
CREATE TABLE [dbo].[ACC_Tematicas] (
	[IdTematica] [int] NOT NULL IDENTITY (1, 1),
	[Descripcion] [nvarchar](50) NOT NULL);
GO

SET IDENTITY_INSERT [dbo].[ACC_Tematicas] ON
GO
INSERT INTO [dbo].[ACC_Tematicas] ([IdTematica], [Descripcion])
	VALUES (1, N'Asistencia humanitaria')

GO
INSERT INTO [dbo].[ACC_Tematicas] ([IdTematica], [Descripcion])
	VALUES (2, N'Derechos de la Infancia')

GO
INSERT INTO [dbo].[ACC_Tematicas] ([IdTematica], [Descripcion])
	VALUES (3, N'Alimentación')

GO
INSERT INTO [dbo].[ACC_Tematicas] ([IdTematica], [Descripcion])
	VALUES (4, N'Agua')

GO
INSERT INTO [dbo].[ACC_Tematicas] ([IdTematica], [Descripcion])
	VALUES (5, N'Trabajo Infantil')

GO
SET IDENTITY_INSERT [dbo].[ACC_Tematicas] OFF
GO

--Table dbo.ENT_Contactos

USE [GPASens]
GO

--Create table and its columns
CREATE TABLE [dbo].[ENT_Contactos] (
	[IdContacto] [int] NOT NULL IDENTITY (1, 1),
	[IdEntidad] [int] NOT NULL,
	[Nombre] [nvarchar](50) NOT NULL,
	[Apellidos] [nvarchar](50) NOT NULL,
	[Cargo] [nvarchar](50) NULL,
	[Email] [nvarchar](100) NULL,
	[Telefono] [nvarchar](15) NULL,
	[Extension] [nvarchar](50) NULL);
GO

--Table dbo.ENT_Entidades

USE [GPASens]
GO

--Create table and its columns
CREATE TABLE [dbo].[ENT_Entidades] (
	[IdEntidad] [int] NOT NULL IDENTITY (1, 1),
	[Nombre] [nvarchar](100) NOT NULL,
	[IdTipoEntidad] [int] NOT NULL,
	[EMail] [nvarchar](100) NULL,
	[Web] [nvarchar](100) NULL,
	[Direccion] [nvarchar](100) NULL,
	[CodigoPostal] [varchar](5) NULL,
	[IdPoblacion] [int] NULL,
	[Telefono1] [nvarchar](15) NULL,
	[Telefono2] [nvarchar](15) NULL,
	[Movil] [varchar](9) NULL,
	[Observaciones] [nvarchar](MAX) NULL);
GO

SET IDENTITY_INSERT [dbo].[ENT_Entidades] ON
GO
INSERT INTO [dbo].[ENT_Entidades] ([IdEntidad], [Nombre], [IdTipoEntidad], [EMail], [Web], [Direccion], [CodigoPostal], [IdPoblacion], [Telefono1], [Telefono2], [Movil], [Observaciones])
	VALUES (1, N'Colegio del Señor', 5, N'csenor@gmail.com', N'www.colegiodelseñor.org', N'Aragón, 345 2º 1ª', N'08005', 1, N'935675432', N'934566542', N'634678987', N'<h1><strong>Amy Winehouse</strong></h1>
<p style="text-align: left;"><strong>Amy Jade Winehouse</strong> (Londres, 14 de septiembre de 1983 &ndash; ib&iacute;dem, 23 de julio de 2011) fue una cantante y compositora brit&aacute;nica, conocida por sus mezclas de diversos g&eacute;neros musicales, incluidos entre ellos el soul, sjazz, R&amp;B, rock &amp; roll y ska. <span style="text-decoration: line-through;">Fue conocida por su contralto, registro vocal que fue descrito como "ac&uacute;sticamente poderoso" y capaz de expresar "profundamente sus emociones".</span></p>')

GO
INSERT INTO [dbo].[ENT_Entidades] ([IdEntidad], [Nombre], [IdTipoEntidad], [EMail], [Web], [Direccion], [CodigoPostal], [IdPoblacion], [Telefono1], [Telefono2], [Movil], [Observaciones])
	VALUES (2, N'Biblioteca juvenil', 2, N'bjuvenil@gmail.es', N'www.bibliotecajuvenil.es', N'Pujades, 54 3º 1ª', N'08007', 1, N'935678745', N'936797643', N'645874358', N'<hr />
<p><sub><strong>Estudiosos</strong></sub></p>')

GO
INSERT INTO [dbo].[ENT_Entidades] ([IdEntidad], [Nombre], [IdTipoEntidad], [EMail], [Web], [Direccion], [CodigoPostal], [IdPoblacion], [Telefono1], [Telefono2], [Movil], [Observaciones])
	VALUES (3, N'Fundación Ayuda', 8, N'ayuda@hotmail.es', N'www.ayuda.com', NULL, N'786', 1, N'990765432', N'323-152-435', NULL, N'<p>ddsa</p>')

GO
SET IDENTITY_INSERT [dbo].[ENT_Entidades] OFF
GO

--Table dbo.ENT_Estados

USE [GPASens]
GO

--Create table and its columns
CREATE TABLE [dbo].[ENT_Estados] (
	[IdEstado] [int] NOT NULL IDENTITY (1, 1),
	[Descripcion] [nvarchar](50) NOT NULL);
GO

SET IDENTITY_INSERT [dbo].[ENT_Estados] ON
GO
INSERT INTO [dbo].[ENT_Estados] ([IdEstado], [Descripcion])
	VALUES (1, N'En curso')

GO
INSERT INTO [dbo].[ENT_Estados] ([IdEstado], [Descripcion])
	VALUES (2, N'Finalizada')

GO
INSERT INTO [dbo].[ENT_Estados] ([IdEstado], [Descripcion])
	VALUES (3, N'Descartada')

GO
SET IDENTITY_INSERT [dbo].[ENT_Estados] OFF
GO

--Table dbo.ENT_Medios

USE [GPASens]
GO

--Create table and its columns
CREATE TABLE [dbo].[ENT_Medios] (
	[IdMedio] [int] NOT NULL IDENTITY (1, 1),
	[Descripcion] [nvarchar](50) NOT NULL);
GO

SET IDENTITY_INSERT [dbo].[ENT_Medios] ON
GO
INSERT INTO [dbo].[ENT_Medios] ([IdMedio], [Descripcion])
	VALUES (1, N'Teléfono')

GO
INSERT INTO [dbo].[ENT_Medios] ([IdMedio], [Descripcion])
	VALUES (2, N'Email')

GO
INSERT INTO [dbo].[ENT_Medios] ([IdMedio], [Descripcion])
	VALUES (3, N'Fax')

GO
INSERT INTO [dbo].[ENT_Medios] ([IdMedio], [Descripcion])
	VALUES (4, N'Carta')

GO
SET IDENTITY_INSERT [dbo].[ENT_Medios] OFF
GO

--Table dbo.ENT_Participaciones

USE [GPASens]
GO

--Create table and its columns
CREATE TABLE [dbo].[ENT_Participaciones] (
	[IdParticipacion] [int] NOT NULL IDENTITY (1, 1),
	[IdEntidad] [int] NOT NULL,
	[IdEvento] [int] NOT NULL,
	[IdTipoParticipacion] [int] NOT NULL,
	[FechaInicio] [datetime] NOT NULL,
	[FechaFin] [datetime] NOT NULL,
	[Material] [nvarchar](MAX) NOT NULL);
GO

--Table dbo.ENT_Seguimientos

USE [GPASens]
GO

--Create table and its columns
CREATE TABLE [dbo].[ENT_Seguimientos] (
	[IdSeguimiento] [int] NOT NULL IDENTITY (1, 1),
	[IdEntidad] [int] NOT NULL,
	[IdUsuario] [int] NOT NULL,
	[Fecha] [datetime] NOT NULL,
	[IdMedio] [int] NOT NULL,
	[IdEstado] [int] NOT NULL,
	[Observaciones] [nvarchar](MAX) NULL);
GO

--Table dbo.ENT_TiposEntidades

USE [GPASens]
GO

--Create table and its columns
CREATE TABLE [dbo].[ENT_TiposEntidades] (
	[IdTipoEntidad] [int] NOT NULL IDENTITY (1, 1),
	[Descripcion] [nvarchar](50) NOT NULL);
GO

SET IDENTITY_INSERT [dbo].[ENT_TiposEntidades] ON
GO
INSERT INTO [dbo].[ENT_TiposEntidades] ([IdTipoEntidad], [Descripcion])
	VALUES (1, N'Biblioteca')

GO
INSERT INTO [dbo].[ENT_TiposEntidades] ([IdTipoEntidad], [Descripcion])
	VALUES (2, N'Casal')

GO
INSERT INTO [dbo].[ENT_TiposEntidades] ([IdTipoEntidad], [Descripcion])
	VALUES (3, N'Centro Cívico')

GO
INSERT INTO [dbo].[ENT_TiposEntidades] ([IdTipoEntidad], [Descripcion])
	VALUES (4, N'Medios')

GO
INSERT INTO [dbo].[ENT_TiposEntidades] ([IdTipoEntidad], [Descripcion])
	VALUES (5, N'Escuelas')

GO
INSERT INTO [dbo].[ENT_TiposEntidades] ([IdTipoEntidad], [Descripcion])
	VALUES (6, N'Universidades')

GO
INSERT INTO [dbo].[ENT_TiposEntidades] ([IdTipoEntidad], [Descripcion])
	VALUES (7, N'AMPAS')

GO
INSERT INTO [dbo].[ENT_TiposEntidades] ([IdTipoEntidad], [Descripcion])
	VALUES (8, N'ONG')

GO
INSERT INTO [dbo].[ENT_TiposEntidades] ([IdTipoEntidad], [Descripcion])
	VALUES (9, N'Asociaciones')

GO
INSERT INTO [dbo].[ENT_TiposEntidades] ([IdTipoEntidad], [Descripcion])
	VALUES (10, N'Centro Cultural')

GO
INSERT INTO [dbo].[ENT_TiposEntidades] ([IdTipoEntidad], [Descripcion])
	VALUES (11, N'Otros')

GO
SET IDENTITY_INSERT [dbo].[ENT_TiposEntidades] OFF
GO

--Table dbo.ENT_TiposParticipaciones

USE [GPASens]
GO

--Create table and its columns
CREATE TABLE [dbo].[ENT_TiposParticipaciones] (
	[IdTipoParticipacion] [int] NOT NULL IDENTITY (1, 1),
	[Descripcion] [nvarchar](50) NOT NULL);
GO

SET IDENTITY_INSERT [dbo].[ENT_TiposParticipaciones] ON
GO
INSERT INTO [dbo].[ENT_TiposParticipaciones] ([IdTipoParticipacion], [Descripcion])
	VALUES (1, N'Acogedora')

GO
INSERT INTO [dbo].[ENT_TiposParticipaciones] ([IdTipoParticipacion], [Descripcion])
	VALUES (2, N'Participante')

GO
SET IDENTITY_INSERT [dbo].[ENT_TiposParticipaciones] OFF
GO

--Table dbo.ORG_Delegaciones

USE [GPASens]
GO

--Create table and its columns
CREATE TABLE [dbo].[ORG_Delegaciones] (
	[IdDelegacion] [int] NOT NULL IDENTITY (1, 1),
	[IdOrganizacion] [int] NULL,
	[Nombre] [nvarchar](50) NOT NULL,
	[Responsable] [nvarchar](100) NOT NULL,
	[Telefono] [nvarchar](15) NOT NULL,
	[EMail] [nvarchar](100) NOT NULL,
	[Direccion] [nvarchar](100) NOT NULL,
	[CodigoPostal] [varchar](5) NULL,
	[IdPoblacion] [int] NULL);
GO

SET IDENTITY_INSERT [dbo].[ORG_Delegaciones] ON
GO
INSERT INTO [dbo].[ORG_Delegaciones] ([IdDelegacion], [IdOrganizacion], [Nombre], [Responsable], [Telefono], [EMail], [Direccion], [CodigoPostal], [IdPoblacion])
	VALUES (1, 1, N'Catalunya', N'Miquel Casares', N'933000000', N'miquel.rodriguez@ong1.org', N'Pujades, 55 2ª  08005 Barcelona', N'08005', 899)

GO
INSERT INTO [dbo].[ORG_Delegaciones] ([IdDelegacion], [IdOrganizacion], [Nombre], [Responsable], [Telefono], [EMail], [Direccion], [CodigoPostal], [IdPoblacion])
	VALUES (2, 1, N'País Vasco', N'Concepción Estibaliz', N'944000000', N'concepcion.estibaliz@ong1.org', N'Cosme Echenove, 11 Bajo  48009 Bilbao', N'48009', 7542)

GO
SET IDENTITY_INSERT [dbo].[ORG_Delegaciones] OFF
GO

--Table dbo.ORG_Organizaciones

USE [GPASens]
GO

--Create table and its columns
CREATE TABLE [dbo].[ORG_Organizaciones] (
	[IdOrganizacion] [int] NOT NULL IDENTITY (1, 1),
	[IdTipoOrganizacion] [int] NULL,
	[Nombre] [nvarchar](100) NOT NULL,
	[EMail] [nvarchar](100) NULL,
	[Web] [nvarchar](100) NULL);
GO

SET IDENTITY_INSERT [dbo].[ORG_Organizaciones] ON
GO
INSERT INTO [dbo].[ORG_Organizaciones] ([IdOrganizacion], [IdTipoOrganizacion], [Nombre], [EMail], [Web])
	VALUES (1, 4, N'ONG 1', N'email@ong.org', N'http://www.ong.org')

GO
SET IDENTITY_INSERT [dbo].[ORG_Organizaciones] OFF
GO

--Table dbo.ORG_TiposOrganizaciones

USE [GPASens]
GO

--Create table and its columns
CREATE TABLE [dbo].[ORG_TiposOrganizaciones] (
	[IdTipoOrganizacion] [int] NOT NULL IDENTITY (1, 1),
	[Descripcion] [nvarchar](100) NULL);
GO

SET IDENTITY_INSERT [dbo].[ORG_TiposOrganizaciones] ON
GO
INSERT INTO [dbo].[ORG_TiposOrganizaciones] ([IdTipoOrganizacion], [Descripcion])
	VALUES (1, N'Organizaciones voluntarias')

GO
INSERT INTO [dbo].[ORG_TiposOrganizaciones] ([IdTipoOrganizacion], [Descripcion])
	VALUES (2, N'Agencias y organismos de servicios no lucrativos')

GO
INSERT INTO [dbo].[ORG_TiposOrganizaciones] ([IdTipoOrganizacion], [Descripcion])
	VALUES (3, N'Organizaciones comunitarias o populares')

GO
INSERT INTO [dbo].[ORG_TiposOrganizaciones] ([IdTipoOrganizacion], [Descripcion])
	VALUES (4, N'Organizaciones no gubernamentales para el desarrollo')

GO
INSERT INTO [dbo].[ORG_TiposOrganizaciones] ([IdTipoOrganizacion], [Descripcion])
	VALUES (5, N'Organizaciones de inmigración')

GO
SET IDENTITY_INSERT [dbo].[ORG_TiposOrganizaciones] OFF
GO

--Table dbo.SIS_Provincias

USE [GPASens]
GO

--Create table and its columns
CREATE TABLE [dbo].[SIS_Provincias] (
	[IdProvincia] [int] NOT NULL IDENTITY (1, 1),
	[Nombre] [nvarchar](50) NOT NULL,
	[Provinciaseo] [nvarchar](50) NOT NULL,
	[Siglas] [nvarchar](3) NULL);
GO


SET IDENTITY_INSERT [dbo].[SIS_Provincias] ON
GO

INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (1, N'Álava', N'alava', N'ALV')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (2, N'Castellón', N'castellon', N'CAS')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (3, N'León', N'leon', N'LEO')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (4, N'Salamanca', N'salamanca', N'SAL')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (5, N'Albacete', N'albacete', N'ABC')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (6, N'Ceuta', N'ceuta', N'CEU')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (7, N'Lleida', N'lleida', N'LLE')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (8, N'Segovia', N'segovia', N'SGV')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (9, N'Alicante', N'alicante', N'ALA')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (10, N'Ciudad Real', N'ciudad-real', N'CRE')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (11, N'Lugo', N'lugo', N'LUG')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (12, N'Sevilla', N'sevilla', N'SVL')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (13, N'Almería', N'almeria', N'ALM')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (14, N'Córdoba', N'cordoba', N'CBA')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (15, N'Madrid', N'madrid', N'MAD')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (16, N'Soria', N'soria', N'SOR')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (17, N'Asturias', N'asturias', N'AST')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (18, N'A Coruña', N'coruna', N'LCO')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (19, N'Málaga', N'malaga', N'MAL')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (20, N'Tarragona', N'tarragona', N'TRN')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (21, N'Ávila', N'avila', N'AVL')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (22, N'Cuenca', N'cuenca', N'CNC')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (23, N'Melilla', N'melilla', N'MEL')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (24, N'S.C. Tenerife', N'tenerife', N'SCT')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (25, N'Badajoz', N'badajoz', N'BDJ')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (26, N'Girona', N'girona', N'GIR')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (27, N'Murcia', N'murcia', N'MUR')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (28, N'Teruel', N'teruel', N'TER')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (29, N'Baleares', N'baleares', N'BAL')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (30, N'Granada', N'granada', N'GND')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (31, N'Navarra', N'navarra', N'NVR')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (32, N'Toledo', N'toledo', N'TOL')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (33, N'Barcelona', N'barcelona', N'BCN')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (34, N'Guadalajara', N'guadalajara', N'GLJ')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (35, N'Ourense', N'ourense', N'OUR')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (36, N'Valencia', N'valencia', N'VAL')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (37, N'Burgos', N'burgos', N'BRG')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (38, N'Guipúzcoa', N'guipuzcoa', N'GPZ')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (39, N'Palencia', N'palencia', N'PAL')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (40, N'Valladolid', N'valladolid', N'VLL')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (41, N'Cáceres', N'caceres', N'CAC')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (42, N'Huelva', N'huelva', N'HLV')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (43, N'Las Palmas', N'palmas', N'LPA')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (44, N'Vizcaya', N'vizcaya', N'VZC')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (45, N'Cádiz', N'cadiz', N'CDZ')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (46, N'Huesca', N'huesca', N'HSC')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (47, N'Pontevedra', N'pontevedra', N'PNV')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (48, N'Zamora', N'zamora', N'ZAM')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (49, N'Cantabria', N'cantabria', N'CTB')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (50, N'Jaén', N'jaen', N'JAE')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (51, N'La Rioja', N'rioja', N'LRJ')

GO
INSERT INTO [dbo].[SIS_Provincias] ([IdProvincia], [Nombre], [Provinciaseo], [Siglas])
	VALUES (52, N'Zaragoza', N'zaragoza', N'ZAR')

GO
SET IDENTITY_INSERT [dbo].[SIS_Provincias] OFF
GO


--Table dbo.SIS_Poblaciones

USE [GPASens]
GO


--Create table and its columns
CREATE TABLE [dbo].[SIS_Poblaciones] (
	[IdPoblacion] [int] NOT NULL IDENTITY (1, 1),
	[IdProvincia] [int] NOT NULL,
	[Nombre] [nvarchar](150) NOT NULL,
	[PoblacionSeo] [nvarchar](150) NULL,
	[CodigoPostal] [nvarchar](5) NULL,
	[Latitud] [decimal](9, 6) NULL CONSTRAINT [DF__SIS_Pobla__Latit__07F6335A] DEFAULT (NULL),
	[Longitud] [decimal](9, 6) NULL CONSTRAINT [DF__SIS_Pobla__Longi__08EA5793] DEFAULT (NULL));
GO

SET IDENTITY_INSERT [dbo].[SIS_Poblaciones] ON
GO

INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1, 1, N'Alegría-Dulantzi', N'alegria-dulantzi', N'01240', 42.841171, -2.512608)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2, 1, N'Amurrio', N'amurrio', N'01470', 43.051910, -3.001230)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3, 1, N'Añana', N'anana', N'01426', 42.811440, -2.987600)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4, 1, N'Aramaio', N'aramaio', N'01169', 43.051392, -2.563890)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5, 1, N'Armión', N'arminon', N'01220', 42.723141, -2.871890)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6, 1, N'Arraia-Maeztu', N'arraia-maeztu', N'01120', 42.738312, -2.447140)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7, 1, N'Arrazua-Ubarrundia', N'arrazua-ubarrundia', N'01520', 42.890115, -2.640152)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8, 1, N'Artziniega', N'artziniega', N'01474', 43.122540, -3.129290)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (9, 1, N'Asparrena', N'asparrena', N'01250', 42.889450, -2.316740)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (10, 1, N'Ayala', N'ayala', N'01476', 43.077339, -3.043730)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (11, 1, N'Baños de Ebro', N'banos-de-ebro', N'01307', 42.530079, -2.677640)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (23, 1, N'Barrundia', N'barrundia', N'01206', 42.917229, -2.495040)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (24, 1, N'Berantevilla', N'berantevilla', N'01211', 42.682590, -2.859290)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (25, 1, N'Bernedo', N'bernedo', N'01118', 42.627880, -2.495090)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (26, 1, N'Campezo', N'campezo', N'01110', 42.670750, -2.351790)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (27, 1, N'Elburgo', N'elburgo', N'01192', 42.849751, -2.544930)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (28, 1, N'Elciego', N'elciego', N'01340', 42.514488, -2.616540)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (29, 1, N'Elvillar', N'elvillar', N'01309', 42.570339, -2.541710)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (30, 1, N'Valle de Arana', N'valle-de-arana', N'01117', 42.754341, -2.331490)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (31, 1, N'Iruña de Oca', N'iruna-de-oca', N'01230', 42.817848, -2.807320)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (32, 1, N'Iruraiz-Gauna', N'iruraiz-gauna', N'01193', 42.831589, -2.475710)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (33, 1, N'Kripan', N'kripan', N'01308', 42.592690, -2.514300)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (34, 1, N'Kuartango', N'kuartango', N'01430', 42.869350, -2.887720)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (35, 1, N'Labastida', N'labastida', N'01330', 42.589821, -2.795690)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (36, 1, N'Lagrán', N'lagran', N'01118', 42.625889, -2.581250)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (37, 1, N'Laguardia', N'laguardia', N'01300', 42.554199, -2.583300)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (38, 1, N'Lanciego', N'lanciego', N'01308', 42.563599, -2.510990)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (39, 1, N'Lantarón', N'lantaron', N'01213', 42.745811, -3.027880)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (40, 1, N'Lapuebla de Labarca', N'lapuebla-de-labarca', N'01306', 42.493912, -2.573350)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (41, 1, N'Llodio', N'llodio', N'01400', 43.143688, -2.962430)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (42, 1, N'Legutiano', N'legutiano', N'01170', 42.981361, -2.642250)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (43, 1, N'Leza', N'leza', N'01309', 42.565861, -2.633600)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (44, 1, N'Moreda de Álava', N'moreda-de-alava', N'01322', 42.526100, -2.408260)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (45, 1, N'Navaridas', N'navaridas', N'01309', 42.544762, -2.625630)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (46, 1, N'Okondo', N'okondo', N'01409', 43.152531, -3.028680)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (47, 1, N'Oyón', N'oyon', N'01320', 42.502090, -2.435730)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (48, 1, N'Peñacerrada', N'penacerrada', N'01212', 42.643902, -2.712200)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (49, 1, N'Ribera Alta', N'ribera-alta', N'01420', 42.803291, -2.909690)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (50, 1, N'Ribera Baja', N'ribera-baja', N'01213', 42.711472, -2.918430)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (51, 1, N'Salvatierra', N'salvatierra', N'01200', 42.849289, -2.388690)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (52, 1, N'Samaniego', N'samaniego', N'01307', 42.568180, -2.679150)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (53, 1, N'San Millán', N'san-millan', N'01208', 42.874378, -2.376210)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (54, 1, N'Urkabustaiz', N'urkabustaiz', N'01440', 42.954269, -2.901600)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (55, 1, N'Valdegovía', N'valdegovia', N'01426', 42.906040, -3.204340)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (56, 1, N'Villabuena de Álava', N'villabuena-de-alava', N'01307', 42.545670, -2.664490)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (57, 1, N'Vitoria-Gasteiz', N'vitoria-gasteiz', N'01001', 42.847511, -2.679730)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (58, 1, N'Yécora', N'yecora', N'01322', 42.568401, -2.471800)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (59, 1, N'Zalduondo', N'zalduondo', N'01208', 42.885571, -2.346300)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (60, 1, N'Zambrana', N'zambrana', N'01212', 42.661079, -2.880020)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (61, 1, N'Zigoitia', N'zigoitia', N'01138', 42.961720, -2.729460)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (62, 1, N'Zuia', N'zuia', N'01130', 42.956230, -2.818590)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (64, 5, N'Abengibre', N'abengibre', N'02250', 39.208904, -1.540922)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (65, 5, N'Alatoz', N'alatoz', N'02152', 39.096600, -1.362679)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (66, 5, N'Albacete', N'albacete', N'02001', 38.995067, -1.854061)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (67, 5, N'Albatana', N'albatana', N'02653', 38.572907, -1.520927)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (68, 5, N'Alborea', N'alborea', N'02215', 39.280380, -1.395500)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (69, 5, N'Alcadozo', N'alcadozo', N'02124', 38.649220, -1.980754)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (70, 5, N'Alcalá del Júcar', N'alcala-del-jucar', N'02210', 39.194930, -1.428599)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (71, 5, N'Alcaraz', N'alcaraz', N'02300', 38.667760, -2.490049)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (72, 5, N'Almansa', N'almansa', N'02640', 38.869060, -1.095614)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (73, 5, N'Alpera', N'alpera', N'02690', 38.957250, -1.228566)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (74, 5, N'Ayna', N'ayna', N'02125', 38.553645, -2.071172)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (75, 5, N'Balazote', N'balazote', N'02320', 38.883480, -2.153662)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (76, 5, N'Ballestero', N'ballestero', N'02614', 38.841831, -2.453010)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (77, 5, N'Balsa de Ves', N'balsa-de-ves', N'02214', 39.263685, -1.196894)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (78, 5, N'Barrax', N'barrax', N'02639', 39.044305, -2.200924)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (79, 5, N'Bienservida', N'bienservida', N'02360', 38.517450, -2.610379)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (80, 5, N'Bogarra', N'bogarra', N'02130', 38.582969, -2.214288)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (81, 5, N'Bonete', N'bonete', N'02691', 38.869839, -1.347309)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (82, 5, N'Bonillo', N'bonillo', N'02610', 38.952492, -2.535770)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (83, 5, N'Carcelén', N'carcelen', N'02153', 39.104728, -1.308190)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (84, 5, N'Casas de Juan Núñez', N'casas-de-juan-nunez', N'02151', 39.100255, -1.557914)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (85, 5, N'Casas de Lázaro', N'casas-de-lazaro', N'02329', 38.773285, -2.241009)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (86, 5, N'Casas de Ves', N'casas-de-ves', N'02212', 39.258594, -1.332994)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (87, 5, N'Casas-Ibáñez', N'casas-ibanez', N'02200', 39.284728, -1.474141)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (88, 5, N'Caudete', N'caudete', N'02660', 38.708520, -0.985724)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (89, 5, N'Cenizate', N'cenizate', N'02247', 39.303275, -1.661261)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (90, 5, N'Chinchilla de Monte-Aragón', N'chinchilla-de-monte-aragon', N'02520', 38.920925, -1.723295)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (91, 5, N'Corral-Rubio', N'corral-rubio', N'02693', 38.835950, -1.460639)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (92, 5, N'Cotillas', N'cotillas', N'02461', 38.430035, -2.504059)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (93, 5, N'Elche de la Sierra', N'elche-de-la-sierra', N'02430', 38.450790, -2.047054)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (94, 5, N'Férez', N'ferez', N'02436', 38.354010, -2.010664)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (95, 5, N'Fuensanta', N'fuensanta', N'02637', 39.243126, -2.069772)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (96, 5, N'Fuente-Álamo', N'fuente-alamo', N'02651', 38.690292, -1.433348)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (97, 5, N'Fuentealbilla', N'fuentealbilla', N'02260', 39.266440, -1.548134)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (98, 5, N'Gineta', N'gineta', N'02110', 39.112747, -1.991959)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (99, 5, N'Golosalvo', N'golosalvo', N'02253', 39.238085, -1.635649)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (100, 5, N'Hellín', N'hellin', N'02400', 38.511755, -1.697114)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (101, 5, N'Herrera', N'herrera', N'02162', 38.961945, -2.125854)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (102, 5, N'Higueruela', N'higueruela', N'02694', 38.962685, -1.443324)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (103, 5, N'Hoya-Gonzalo', N'hoya-gonzalo', N'02696', 38.957885, -1.556154)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (104, 5, N'Jorquera', N'jorquera', N'02248', 39.174896, -1.523864)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (105, 5, N'Letur', N'letur', N'02434', 38.365310, -2.102009)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (106, 5, N'Lezuza', N'lezuza', N'02160', 38.948000, -2.350354)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (107, 5, N'Liétor', N'lietor', N'02410', 38.543475, -1.954019)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (108, 5, N'Madrigueras', N'madrigueras', N'02230', 39.237000, -1.800199)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (109, 5, N'Mahora', N'mahora', N'02240', 39.209435, -1.724989)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (110, 5, N'Masegoso', N'masegoso', N'02314', 38.717215, -2.317759)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (111, 5, N'Minaya', N'minaya', N'02620', 39.272750, -2.321632)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (112, 5, N'Molinicos', N'molinicos', N'02440', 38.467800, -2.238339)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (113, 5, N'Montalvos', N'montalvos', N'02638', 39.168255, -2.028784)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (114, 5, N'Montealegre del Castillo', N'montealegre-del-castillo', N'02650', 38.790505, -1.327159)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (115, 5, N'Motilleja', N'motilleja', N'02220', 39.180856, -1.788957)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (116, 5, N'Munera', N'munera', N'02612', 39.041472, -2.478962)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (117, 5, N'Navas de Jorquera', N'navas-de-jorquera', N'02246', 39.278722, -1.720584)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (118, 5, N'Nerpio', N'nerpio', N'02530', 38.147710, -2.301309)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (119, 5, N'Ontur', N'ontur', N'02652', 38.614044, -1.498249)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (120, 5, N'Ossa de Montiel', N'ossa-de-montiel', N'02611', 38.964549, -2.747284)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (121, 5, N'Paterna del Madera', N'paterna-del-madera', N'02136', 38.599315, -2.341454)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (122, 5, N'Peñas de San Pedro', N'penas-de-san-pedro', N'02120', 38.725385, -1.998634)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (123, 5, N'Peñascosa', N'penascosa', N'02313', 38.674465, -2.410639)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (124, 5, N'Pétrola', N'petrola', N'02692', 38.826685, -1.553889)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (125, 5, N'Povedilla', N'povedilla', N'02311', 38.696055, -2.597208)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (126, 5, N'Pozo Cañada', N'pozo-canada', N'02510', 38.803715, -1.730754)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (127, 5, N'Pozohondo', N'pozohondo', N'02141', 38.721655, -1.908719)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (128, 5, N'Pozo-Lorente', N'pozo-lorente', N'02154', 39.076920, -1.506109)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (129, 5, N'Pozuelo', N'pozuelo', N'02327', 38.805655, -2.099439)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (130, 5, N'Recueja', N'recueja', N'02249', 39.175786, -1.490879)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (131, 5, N'Riópar', N'riopar', N'02450', 38.498984, -2.418155)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (132, 5, N'Robledo', N'robledo', N'02340', 38.759240, -2.450479)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (133, 5, N'Roda', N'roda', N'02630', 39.207517, -2.156067)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (134, 5, N'Salobre', N'salobre', N'02316', 38.593870, -2.551379)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (135, 5, N'San Pedro', N'san-pedro', N'02326', 38.828590, -2.182854)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (136, 5, N'Socovos', N'socovos', N'02435', 38.333235, -1.988449)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (137, 5, N'Tarazona de la Mancha', N'tarazona-de-la-mancha', N'02100', 39.265103, -1.912539)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (138, 5, N'Tobarra', N'tobarra', N'02500', 38.594950, -1.689489)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (139, 5, N'Valdeganga', N'valdeganga', N'02150', 39.132815, -1.679514)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (140, 5, N'Vianos', N'vianos', N'02315', 38.633370, -2.500639)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (141, 5, N'Villa de Ves', N'villa-de-ves', N'02213', 39.223689, -1.258827)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (142, 5, N'Villalgordo del Júcar', N'villalgordo-del-jucar', N'02636', 39.296334, -2.063243)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (143, 5, N'Villamalea', N'villamalea', N'02270', 39.364200, -1.596909)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (144, 5, N'Villapalacios', N'villapalacios', N'02350', 38.576699, -2.628761)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (145, 5, N'Villarrobledo', N'villarrobledo', N'02600', 39.263750, -2.602619)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (146, 5, N'Villatoya', N'villatoya', N'02215', 39.333984, -1.338424)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (147, 5, N'Villavaliente', N'villavaliente', N'02154', 39.125880, -1.456579)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (148, 5, N'Villaverde de Guadalimar', N'villaverde-de-guadalimar', N'02460', 38.456390, -2.519579)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (149, 5, N'Viveros', N'viveros', N'02310', 38.770522, -2.573744)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (150, 5, N'Yeste', N'yeste', N'02480', 38.368387, -2.318584)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (152, 9, N'Adsubia', N'adsubia', N'03786', 38.847198, -0.150770)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (153, 9, N'Agost', N'agost', N'03698', 38.439240, -0.639824)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (154, 9, N'Agres', N'agres', N'03837', 38.783307, -0.517780)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (155, 9, N'Aigües', N'aigues', N'03569', 38.499885, -0.363064)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (156, 9, N'Albatera', N'albatera', N'03340', 38.179730, -0.871134)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (157, 9, N'Alcalalí', N'alcalali', N'03728', 38.751875, -0.041874)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (158, 9, N'Alcocer de Planes', N'alcocer-de-planes', N'03841', 38.794684, -0.402675)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (159, 9, N'Alcoleja', N'alcoleja', N'03814', 38.675258, -0.332336)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (160, 9, N'Alcoi', N'alcoi', N'03801', 38.698410, -0.473270)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (161, 9, N'Alfafara', N'alfafara', N'03838', 38.774775, -0.555039)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (162, 9, N'Alfàs del Pi', N'alfas-del-pi', N'03580', 38.579300, -0.103300)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (163, 9, N'Algorfa', N'algorfa', N'03169', 38.085865, -0.795822)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (164, 9, N'Algueña', N'alguena', N'03668', 38.339069, -1.003853)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (165, 9, N'Alacant', N'alacant', N'03004', 38.344082, -0.480470)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (166, 9, N'Almoradí', N'almoradi', N'03160', 38.110290, -0.792159)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (167, 9, N'Almudaina', N'almudaina', N'03827', 38.762165, -0.353404)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (168, 9, N'Alqueria d Asnar', N'alqueria-dasnar', N'03829', 38.772672, -0.425720)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (169, 9, N'Altea', N'altea', N'03590', 38.600835, -0.050684)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (170, 9, N'Aspe', N'aspe', N'03680', 38.347200, -0.768984)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (171, 9, N'Balones', N'balones', N'03812', 38.735648, -0.341254)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (172, 9, N'Banyeres de Mariola', N'banyeres-de-mariola', N'03450', 38.712087, -0.658074)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (173, 9, N'Benasau', N'benasau', N'03814', 38.689777, -0.344645)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (174, 9, N'Beneixama', N'beneixama', N'03460', 38.700610, -0.765919)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (175, 9, N'Benejúzar', N'benejuzar', N'03390', 38.083525, -0.836494)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (176, 9, N'Benferri', N'benferri', N'03316', 38.142915, -0.961324)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (177, 9, N'Beniarbeig', N'beniarbeig', N'03778', 38.822245, -0.001569)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (178, 9, N'Beniardá', N'beniarda', N'03517', 38.682935, -0.216199)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (179, 9, N'Beniarrés', N'beniarres', N'03850', 38.820060, -0.376269)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (180, 9, N'Benidoleig', N'benidoleig', N'03759', 38.792480, -0.031434)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (181, 9, N'Benidorm', N'benidorm', N'03501', 38.543745, -0.131849)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (182, 9, N'Benifallim', N'benifallim', N'03816', 38.664670, -0.399073)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (183, 9, N'Benifato', N'benifato', N'03517', 38.673927, -0.229272)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (184, 9, N'Benigembla', N'benigembla', N'03794', 38.753920, -0.111689)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (185, 9, N'Benijófar', N'benijofar', N'03178', 38.079280, -0.737864)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (186, 9, N'Benilloba', N'benilloba', N'03810', 38.698870, -0.390614)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (187, 9, N'Benillup', N'benillup', N'03827', 38.754390, -0.378174)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (188, 9, N'Benimantell', N'benimantell', N'03516', 38.676075, -0.211044)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (189, 9, N'Benimarfull', N'benimarfull', N'03827', 38.776165, -0.391424)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (190, 9, N'Benimassot', N'benimassot', N'03812', 38.748518, -0.290046)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (191, 9, N'Benimeli', N'benimeli', N'03769', 38.822792, -0.042057)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (192, 9, N'Benissa', N'benissa', N'03720', 38.714545, 0.051150)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (193, 9, N'Benitachell', N'benitachell', N'03726', 38.731650, 0.141350)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (194, 9, N'Biar', N'biar', N'03410', 38.632690, -0.768279)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (195, 9, N'Bigastro', N'bigastro', N'03380', 38.064495, -0.897764)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (196, 9, N'Bolulla', N'bolulla', N'03518', 38.676320, -0.110939)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (197, 9, N'Busot', N'busot', N'03111', 38.480895, -0.419634)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (198, 9, N'Callosa de Segura', N'callosa-de-segura', N'03360', 38.125675, -0.877669)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (199, 9, N'Callosa d En Sarrià', N'callosa-den-sarria', N'03510', 38.650190, -0.121189)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (200, 9, N'Calp', N'calp', N'03710', 38.644755, 0.047855)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (201, 9, N'Campello', N'campello', N'03560', 38.427189, -0.390630)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (202, 9, N'Campo de Mirra', N'campo-de-mirra', N'03469', 38.687820, -0.779890)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (203, 9, N'Cañada', N'canada', N'03409', 38.673892, -0.814410)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (204, 9, N'Castalla', N'castalla', N'03420', 38.595949, -0.669735)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (205, 9, N'Castell de Castells', N'castell-de-castells', N'03793', 38.722788, -0.195570)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (206, 9, N'Castell de Guadalest', N'castell-de-guadalest', N'03517', 38.678073, -0.198784)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (207, 9, N'Catral', N'catral', N'03158', 38.163140, -0.802174)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (208, 9, N'Cocentaina', N'cocentaina', N'03820', 38.751504, -0.438763)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (209, 9, N'Confrides', N'confrides', N'03517', 38.684660, -0.271814)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (210, 9, N'Cox', N'cox', N'03350', 38.141110, -0.887539)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (211, 9, N'Crevillent', N'crevillent', N'03330', 38.246310, -0.805269)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (212, 9, N'Daya Nueva', N'daya-nueva', N'03159', 38.114585, -0.762664)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (213, 9, N'Daya Vieja', N'daya-vieja', N'03177', 38.104955, -0.738344)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (214, 9, N'Dénia', N'denia', N'03700', 38.842815, 0.111440)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (215, 9, N'Dolores', N'dolores', N'03150', 38.136708, -0.769866)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (216, 9, N'Elx', N'elx', N'03201', 38.263480, -0.699524)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (217, 9, N'Elda', N'elda', N'03600', 38.475315, -0.796104)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (218, 9, N'Facheca', N'facheca', N'03813', 38.734791, -0.268820)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (219, 9, N'Famorca', N'famorca', N'03813', 38.732845, -0.246043)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (220, 9, N'Finestrat', N'finestrat', N'03509', 38.569165, -0.210674)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (221, 9, N'Fondó de les Neus', N'fondo-de-les-neus', N'03688', 38.308825, -0.854799)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (222, 9, N'Formentera del Segura', N'formentera-del-segura', N'03179', 38.086360, -0.746419)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (223, 9, N'Gaianes', N'gaianes', N'03840', 38.810924, -0.408591)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (224, 9, N'Gata de Gorgos', N'gata-de-gorgos', N'03740', 38.775905, 0.083908)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (225, 9, N'Gorga', N'gorga', N'03811', 38.720200, -0.356339)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (226, 9, N'Granja de Rocamora', N'granja-de-rocamora', N'03348', 38.153025, -0.890769)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (227, 9, N'Guardamar del Segura', N'guardamar-del-segura', N'03140', 38.086680, -0.654029)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (228, 9, N'Hondón de los Frailes', N'hondon-de-los-frailes', N'03689', 38.273605, -0.928159)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (229, 9, N'Ibi', N'ibi', N'03440', 38.620705, -0.578524)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (230, 9, N'Jacarilla', N'jacarilla', N'03310', 38.061555, -0.868149)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (231, 9, N'Xaló', N'xalo', N'03727', 38.742649, -0.010830)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (232, 9, N'Xàbia', N'xabia', N'03730', 38.789059, 0.166740)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (233, 9, N'Xixona', N'xixona', N'03100', 38.542160, -0.506584)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (234, 9, N'Llíber', N'lliber', N'03729', 38.743030, 0.005500)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (235, 9, N'Orxa', N'orxa', N'03860', 38.846310, -0.312100)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (236, 9, N'Millena', N'millena', N'03812', 38.730408, -0.363941)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (237, 9, N'Monforte del Cid', N'monforte-del-cid', N'03670', 38.380730, -0.729630)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (238, 9, N'Monóvar', N'monovar', N'03640', 38.434132, -0.839630)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (239, 9, N'Montesinos', N'montesinos', N'03187', 38.028011, -0.743020)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (240, 9, N'Murla', N'murla', N'03792', 38.761725, -0.081937)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (241, 9, N'Muro de Alcoy', N'muro-de-alcoy', N'03830', 38.781255, -0.441429)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (242, 9, N'Mutxamel', N'mutxamel', N'03110', 38.415105, -0.444804)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (243, 9, N'Novelda', N'novelda', N'03660', 38.382505, -0.763819)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (244, 9, N'Nucia', N'nucia', N'03530', 38.614859, -0.124969)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (245, 9, N'Ondara', N'ondara', N'03760', 38.826140, 0.020175)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (246, 9, N'Onil', N'onil', N'03430', 38.625015, -0.673289)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (247, 9, N'Orba', N'orba', N'03790', 38.779650, -0.062788)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (248, 9, N'Orihuela', N'orihuela', N'03300', 38.081765, -0.944804)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (249, 9, N'Orxeta', N'orxeta', N'03579', 38.563483, -0.262862)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (250, 9, N'Parcent', N'parcent', N'03792', 38.745160, -0.067584)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (251, 9, N'Pedreguer', N'pedreguer', N'03750', 38.795815, 0.034785)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (252, 9, N'Pego', N'pego', N'03780', 38.842885, -0.115088)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (253, 9, N'Penàguila', N'penaguila', N'03815', 38.678681, -0.359806)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (254, 9, N'Petrer', N'petrer', N'03610', 38.489315, -0.785949)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (255, 9, N'Pilar de la Horadada', N'pilar-de-la-horadada', N'03190', 37.864020, -0.789839)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (256, 9, N'Pinós', N'pinos-alicante', N'03720', 38.397644, -1.041641)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (257, 9, N'Planes', N'planes', N'03828', 38.784124, -0.344916)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (258, 9, N'Poblets', N'poblets', N'03779', 38.852676, 0.018024)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (259, 9, N'Polop', N'polop', N'03520', 38.622436, -0.126171)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (260, 9, N'Quatretondeta', N'quatretondeta', N'03811', 38.724733, -0.313624)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (261, 9, N'Rafal', N'rafal', N'03369', 38.101970, -0.854659)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (262, 9, N'Ràfol d Almúnia', N'rafol-dalmunia', N'03769', 38.820384, -0.052357)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (263, 9, N'Redován', N'redovan', N'03370', 38.111071, -0.905467)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (264, 9, N'Relleu', N'relleu', N'03578', 38.588294, -0.308976)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (265, 9, N'Rojales', N'rojales', N'03170', 38.085030, -0.729214)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (266, 9, N'Romana', N'romana', N'03669', 38.385670, -0.904312)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (267, 9, N'Sagra', N'sagra', N'03795', 38.811935, -0.063884)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (268, 9, N'Salinas', N'salinas', N'03638', 38.518922, -0.912365)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (269, 9, N'San Fulgencio', N'san-fulgencio', N'03177', 38.113235, -0.716984)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (270, 9, N'San Isidro', N'san-isidro', N'03350', 38.170580, -0.840544)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (271, 9, N'San Miguel de Salinas', N'san-miguel-de-salinas', N'03193', 37.978735, -0.788994)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (272, 9, N'Sant Vicent del Raspeig', N'sant-vicent-del-raspeig', N'03690', 38.398160, -0.523134)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (273, 9, N'Sanet y Negrals', N'sanet-y-negrals', N'03769', 38.819290, -0.034190)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (274, 9, N'Sant Joan d Alacant', N'sant-joan-dalacant', N'03550', 38.402486, -0.437333)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (275, 9, N'Santa Pola', N'santa-pola', N'03130', 38.190450, -0.556509)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (276, 9, N'Sax', N'sax', N'03630', 38.534345, -0.819324)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (277, 9, N'Sella', N'sella', N'03579', 38.609540, -0.274814)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (278, 9, N'Senija', N'senija', N'03729', 38.727525, 0.040895)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (279, 9, N'Tàrbena', N'tarbena', N'03518', 38.696690, -0.101564)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (280, 9, N'Teulada', N'teulada', N'03725', 38.728950, 0.104295)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (281, 9, N'Tibi', N'tibi', N'03109', 38.532415, -0.575229)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (282, 9, N'Tollos', N'tollos', N'03813', 38.756550, -0.273439)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (283, 9, N'Tormos', N'tormos', N'03795', 38.801633, -0.070344)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (284, 9, N'Torre de les Maçanes', N'torre-de-les-macanes', N'03108', 38.616468, -0.419540)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (285, 9, N'Torrevieja', N'torrevieja', N'03181', 37.975715, -0.680609)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (286, 9, N'Vall d Alcalà', N'vall-dalcala', N'03786', 38.855751, -0.187454)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (287, 9, N'Vall d Ebo', N'vall-debo', N'03789', 38.805920, -0.160730)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (288, 9, N'Vall de Gallinera', N'vall-de-gallinera', N'03787', 38.821831, -0.221230)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (289, 9, N'Vall de Laguar', N'vall-de-laguar', N'03791', 38.778315, -0.108907)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (290, 9, N'Verger', N'verger', N'03770', 38.845256, 0.009956)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (291, 9, N'Vila Joiosa', N'vila-joiosa', N'03570', 38.507609, -0.230026)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (292, 9, N'Villena', N'villena', N'03400', 38.635655, -0.865754)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (294, 13, N'Abla', N'abla', N'04510', 37.143631, -2.775700)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (295, 13, N'Abrucena', N'abrucena', N'04520', 37.113466, -2.837766)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (296, 13, N'Adra', N'adra', N'04770', 36.747860, -3.022442)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (297, 13, N'Albánchez', N'albanchez', N'04857', 37.287233, -2.181473)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (298, 13, N'Alboloduy', N'alboloduy', N'04531', 37.033323, -2.620068)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (299, 13, N'Albox', N'albox', N'04800', 37.389391, -2.144394)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (300, 13, N'Alcolea', N'alcolea', N'04480', 36.974273, -2.961245)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (301, 13, N'Alcóntar', N'alcontar', N'04897', 37.336479, -2.596730)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (302, 13, N'Alcudia de Monteagud', N'alcudia-de-monteagud', N'04276', 37.235829, -2.266188)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (303, 13, N'Alhabia', N'alhabia', N'04567', 36.989185, -2.586937)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (304, 13, N'Alhama de Almería', N'alhama-de-almeria', N'04400', 36.958988, -2.571590)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (305, 13, N'Alicún', N'alicun', N'04409', 36.966146, -2.601185)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (306, 13, N'Almería', N'almeria', N'04002', 36.837130, -2.463179)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (307, 13, N'Almócita', N'almocita', N'04458', 37.003444, -2.790356)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (308, 13, N'Alsodux', N'alsodux', N'04568', 37.001867, -2.594147)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (309, 13, N'Antas', N'antas', N'04628', 37.244770, -1.918710)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (310, 13, N'Arboleas', N'arboleas', N'04660', 37.350168, -2.074184)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (311, 13, N'Armuña de Almanzora', N'armuna-de-almanzora', N'04888', 37.351231, -2.412450)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (312, 13, N'Bacares', N'bacares', N'04889', 37.262131, -2.453900)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (313, 13, N'Bayárcal', N'bayarcal', N'04479', 37.030331, -2.995300)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (314, 13, N'Bayarque', N'bayarque', N'04888', 37.331266, -2.435875)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (315, 13, N'Bédar', N'bedar', N'04288', 37.190818, -1.982689)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (316, 13, N'Beires', N'beires', N'04458', 37.012765, -2.790527)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (317, 13, N'Benahadux', N'benahadux', N'04410', 36.925366, -2.456732)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (318, 13, N'Benitagla', N'benitagla', N'04276', 37.231012, -2.239494)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (319, 13, N'Benizalón', N'benizalon', N'04276', 37.211601, -2.241554)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (320, 13, N'Bentarique', N'bentarique', N'04569', 36.987128, -2.619381)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (321, 13, N'Berja', N'berja', N'04760', 36.845285, -2.946396)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (322, 13, N'Canjáyar', N'canjayar', N'04450', 37.009955, -2.740402)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (323, 13, N'Cantoria', N'cantoria', N'04850', 37.352829, -2.192116)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (324, 13, N'Carboneras', N'carboneras', N'04140', 36.994738, -1.893768)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (325, 13, N'Castro de Filabres', N'castro-de-filabres', N'04212', 37.184801, -2.440681)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (326, 13, N'Chercos', N'chercos', N'04859', 37.254478, -2.267570)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (327, 13, N'Chirivel', N'chirivel', N'04825', 37.595328, -2.265587)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (328, 13, N'Cóbdar', N'cobdar', N'04859', 37.261895, -2.209625)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (329, 13, N'Cuevas del Almanzora', N'cuevas-del-almanzora', N'04610', 37.291191, -1.878110)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (330, 13, N'Dalías', N'dalias', N'04750', 36.820691, -2.871895)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (331, 13, N'Ejido', N'ejido', N'04700', 36.772701, -2.817600)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (332, 13, N'Enix', N'enix', N'04729', 36.877355, -2.602043)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (333, 13, N'Felix', N'felix', N'04728', 36.868292, -2.657490)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (334, 13, N'Fines', N'fines', N'04869', 37.358901, -2.263012)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (335, 13, N'Fiñana', N'finana', N'04500', 37.171397, -2.840309)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (336, 13, N'Fondón', N'fondon', N'04460', 36.980752, -2.857132)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (337, 13, N'Gádor', N'gador', N'04560', 36.953801, -2.492695)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (338, 13, N'Gallardos', N'gallardos', N'04280', 37.170371, -1.940632)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (339, 13, N'Garrucha', N'garrucha', N'04630', 37.179125, -1.822186)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (340, 13, N'Gérgal', N'gergal', N'04550', 37.117432, -2.536520)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (341, 13, N'Huécija', N'huecija', N'04409', 36.967388, -2.608100)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (342, 13, N'Huércal de Almería', N'huercal-de-almeria', N'04230', 36.879829, -2.437040)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (343, 13, N'Huércal-Overa', N'huercal-overa', N'04600', 37.390754, -1.944923)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (344, 13, N'Illar', N'illar', N'04431', 36.985140, -2.638779)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (345, 13, N'Instinción', N'instincion', N'04430', 36.993110, -2.660022)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (346, 13, N'Laroya', N'laroya', N'04868', 37.296520, -2.329445)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (347, 13, N'Láujar de Andarax', N'laujar-de-andarax', N'04470', 36.992989, -2.893890)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (348, 13, N'Líjar', N'lijar', N'04859', 37.295154, -2.219753)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (349, 13, N'Lubrín', N'lubrin', N'04271', 37.215429, -2.064743)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (350, 13, N'Lucainena de las Torres', N'lucainena-de-las-torres', N'04210', 37.041420, -2.199680)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (351, 13, N'Lúcar', N'lucar', N'04887', 37.398937, -2.425919)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (352, 13, N'Macael', N'macael', N'04867', 37.332085, -2.304726)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (353, 13, N'María', N'maria', N'04838', 37.711122, -2.166023)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (354, 13, N'Mojácar', N'mojacar', N'04638', 37.139656, -1.850166)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (355, 13, N'Mojonera', N'mojonera', N'04745', 36.753877, -2.686844)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (356, 13, N'Nacimiento', N'nacimiento', N'04540', 37.104890, -2.648048)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (357, 13, N'Níjar', N'nijar', N'04100', 36.966078, -2.206192)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (358, 13, N'Ohanes', N'ohanes', N'04459', 37.037297, -2.745037)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (359, 13, N'Olula de Castro', N'olula-de-castro', N'04212', 37.175774, -2.476730)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (360, 13, N'Olula del Río', N'olula-del-rio', N'04860', 37.352352, -2.298031)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (361, 13, N'Oria', N'oria', N'04810', 37.484530, -2.293739)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (362, 13, N'Padules', N'padules', N'04458', 36.998303, -2.773705)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (363, 13, N'Partaloa', N'partaloa', N'04810', 37.405756, -2.226105)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (364, 13, N'Paterna del Río', N'paterna-del-rio', N'04479', 37.020783, -2.953949)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (365, 13, N'Pechina', N'pechina', N'04250', 36.916274, -2.441368)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (366, 13, N'Pulpí', N'pulpi', N'04640', 37.412028, -1.745453)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (367, 13, N'Purchena', N'purchena', N'04870', 37.348394, -2.361546)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (368, 13, N'Rágol', N'ragol', N'04440', 36.995835, -2.680664)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (369, 13, N'Rioja', N'rioja', N'04260', 36.943924, -2.462482)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (370, 13, N'Roquetas de Mar', N'roquetas-de-mar', N'04740', 36.764673, -2.614403)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (371, 13, N'Santa Cruz de Marchena', N'santa-cruz-de-marchena', N'04568', 37.016479, -2.603150)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (372, 13, N'Santa Fe de Mondújar', N'santa-fe-de-mondujar', N'04420', 36.973701, -2.532740)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (373, 13, N'Senés', N'senes', N'04213', 37.204492, -2.347298)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (374, 13, N'Serón', N'seron', N'04890', 37.343618, -2.508144)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (375, 13, N'Sierro', N'sierro', N'04878', 37.323076, -2.398796)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (376, 13, N'Somontín', N'somontin', N'04877', 37.389663, -2.389183)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (377, 13, N'Sorbas', N'sorbas', N'04270', 37.097634, -2.125854)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (378, 13, N'Suflí', N'sufli', N'04878', 37.338159, -2.389011)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (379, 13, N'Tabernas', N'tabernas', N'04200', 37.049012, -2.392616)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (380, 13, N'Taberno', N'taberno', N'04692', 37.479490, -2.057877)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (381, 13, N'Tahal', N'tahal', N'04275', 37.228489, -2.288060)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (382, 13, N'Terque', N'terque', N'04569', 36.983769, -2.596893)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (383, 13, N'Tíjola', N'tijola', N'04880', 37.346006, -2.438278)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (384, 13, N'Tres Villas', N'tres-villas', N'04530', 37.133532, -2.699804)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (385, 13, N'Turre', N'turre', N'04639', 37.151971, -1.894112)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (386, 13, N'Turrillas', N'turrillas', N'04211', 37.029760, -2.264385)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (387, 13, N'Uleila del Campo', N'uleila-del-campo', N'04279', 37.185484, -2.203801)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (388, 13, N'Urrácal', N'urracal', N'04879', 37.397267, -2.364721)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (389, 13, N'Velefique', N'velefique', N'04212', 37.193279, -2.403603)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (390, 13, N'Vélez-Blanco', N'velez-blanco', N'04830', 37.691020, -2.095985)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (391, 13, N'Vélez-Rubio', N'velez-rubio', N'04820', 37.647675, -2.072983)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (392, 13, N'Vera', N'vera', N'04620', 37.246523, -1.868019)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (393, 13, N'Viator', N'viator', N'04240', 36.889609, -2.426519)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (394, 13, N'Vícar', N'vicar', N'04738', 36.831478, -2.642212)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (395, 13, N'Zurgena', N'zurgena', N'04650', 37.342731, -2.039680)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (397, 21, N'Adanero', N'adanero', N'05296', 40.944191, -4.600280)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (398, 21, N'La Adrada', N'la-adrada', N'05420', 40.302410, -4.638750)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (399, 21, N'Albornos', N'albornos', N'05358', 40.838421, -4.881340)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (400, 21, N'Aldeanueva de Santa Cruz', N'aldeanueva-de-santa-cruz', N'05580', 40.381538, -5.421750)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (401, 21, N'Aldeaseca', N'aldeaseca', N'05212', 41.046631, -4.816020)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (402, 21, N'Aldehuela', N'aldehuela', N'05593', 40.410030, -5.408950)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (403, 21, N'Amavida', N'amavida', N'05560', 40.573589, -5.066450)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (404, 21, N'Arenal', N'arenal', N'05416', 40.265970, -5.086327)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (405, 21, N'Arenas de San Pedro', N'arenas-de-san-pedro', N'05400', 40.210232, -5.086610)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (406, 21, N'Arevalillo', N'arevalillo', N'05153', 40.587261, -5.371220)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (407, 21, N'Arévalo', N'arevalo', N'05200', 41.058620, -4.720640)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (408, 21, N'Aveinte', N'aveinte', N'05357', 40.782600, -4.838530)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (409, 21, N'Avellaneda', N'avellaneda', N'05580', 40.389568, -5.391890)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (410, 21, N'Ávila', N'avila', N'05001', 40.658131, -4.707230)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (411, 21, N'Barco de Ávila', N'barco-de-avila', N'05600', 40.358398, -5.521860)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (412, 21, N'Barraco', N'barraco', N'05110', 40.477032, -4.643390)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (413, 21, N'Barromán', N'barroman', N'05229', 41.066368, -4.928830)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (414, 21, N'Becedas', N'becedas', N'05610', 40.405788, -5.633840)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (415, 21, N'Becedillas', N'becedillas', N'05153', 40.537800, -5.327480)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (416, 21, N'Bercial de Zapardiel', N'bercial-de-zapardiel', N'05229', 41.046951, -4.969090)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (417, 21, N'Berlanas', N'berlanas', N'05162', 40.803122, -4.760685)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (418, 21, N'Bernuy-Zapardiel', N'bernuy-zapardiel', N'05211', 40.974522, -4.946110)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (419, 21, N'Berrocalejo de Aragona', N'berrocalejo-de-aragona', N'05194', 40.694359, -4.593920)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (420, 21, N'Blascomillán', N'blascomillan', N'05146', 40.801579, -5.088300)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (421, 21, N'Blasconuño de Matacabras', N'blasconuno-de-matacabras', N'05299', 41.123669, -4.990030)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (422, 21, N'Blascosancho', N'blascosancho', N'05290', 40.879669, -4.638140)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (423, 21, N'Bohodón', N'bohodon', N'05165', 40.913513, -4.725494)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (424, 21, N'Bohoyo', N'bohoyo', N'05690', 40.316631, -5.442270)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (425, 21, N'Bonilla de la Sierra', N'bonilla-de-la-sierra', N'05514', 40.530893, -5.265198)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (426, 21, N'Brabos', N'brabos', N'05357', 40.779018, -4.939720)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (427, 21, N'Bularros', N'bularros', N'05140', 40.724289, -4.865560)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (428, 21, N'Burgohondo', N'burgohondo', N'05113', 40.412891, -4.785590)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (429, 21, N'Cabezas de Alambre', N'cabezas-de-alambre', N'05217', 40.942921, -4.840920)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (430, 21, N'Cabezas del Pozo', N'cabezas-del-pozo', N'05211', 41.001030, -4.952870)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (431, 21, N'Cabezas del Villar', N'cabezas-del-villar', N'05148', 40.712238, -5.208990)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (432, 21, N'Cabizuela', N'cabizuela', N'05165', 40.900860, -4.802450)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (433, 21, N'Canales', N'canales', N'05212', 42.141560, -3.024320)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (434, 21, N'Candeleda', N'candeleda', N'05480', 40.155369, -5.240790)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (435, 21, N'Cantiveros', N'cantiveros', N'05211', 40.950409, -4.954740)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (436, 21, N'Cardeñosa', N'cardenosa', N'05320', 40.742512, -4.745230)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (437, 21, N'Carrera', N'carrera', N'05620', 40.348049, -5.553932)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (438, 21, N'Casas del Puerto', N'casas-del-puerto', N'05571', 40.529784, -5.198250)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (439, 21, N'Casasola', N'casasola', N'05140', 40.667489, -4.827461)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (440, 21, N'Casavieja', N'casavieja', N'05450', 40.284210, -4.766110)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (441, 21, N'Casillas', N'casillas', N'05428', 40.324181, -4.574080)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (442, 21, N'Castellanos de Zapardiel', N'castellanos-de-zapardiel', N'05229', 41.084309, -4.908840)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (443, 21, N'Cebreros', N'cebreros', N'05260', 40.457989, -4.464800)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (444, 21, N'Cepeda la Mora', N'cepeda-la-mora', N'05132', 40.456799, -5.049130)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (445, 21, N'Chamartín', N'chamartin', N'05141', 40.702440, -4.958611)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (446, 21, N'Cillán', N'cillan', N'05149', 40.704021, -4.977860)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (447, 21, N'Cisla', N'cisla', N'05211', 40.966530, -5.013620)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (448, 21, N'Colilla', N'colilla', N'05192', 40.647499, -4.765835)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (449, 21, N'Collado de Contreras', N'collado-de-contreras', N'05309', 40.883999, -4.936130)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (450, 21, N'Collado del Mirón', N'collado-del-miron', N'05153', 40.553233, -5.353947)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (451, 21, N'Constanzana', N'constanzana', N'05217', 40.938160, -4.874520)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (452, 21, N'Crespos', N'crespos', N'05300', 40.874142, -4.971030)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (453, 21, N'Cuevas del Valle', N'cuevas-del-valle', N'05414', 40.293941, -5.008870)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (454, 21, N'Diego del Carpio', N'diego-del-carpio', N'05151', 40.664639, -5.324380)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (455, 21, N'Donjimeno', N'donjimeno', N'05217', 40.958580, -4.846440)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (456, 21, N'Donvidas', N'donvidas', N'05215', 41.088009, -4.805500)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (457, 21, N'Espinosa de los Caballeros', N'espinosa-de-los-caballeros', N'05296', 41.008781, -4.654070)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (458, 21, N'Flores de Ávila', N'flores-de-avila', N'05370', 40.933750, -5.081110)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (459, 21, N'Fontiveros', N'fontiveros', N'05310', 40.930470, -4.964360)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (460, 21, N'Fresnedilla', N'fresnedilla', N'05427', 40.231251, -4.620100)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (461, 21, N'Fresno', N'fresno', N'05197', 40.613887, -4.758110)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (462, 21, N'Fuente el Saúz', N'fuente-el-sauz', N'05212', 40.978191, -4.910660)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (463, 21, N'Fuentes de Año', N'fuentes-de-ano', N'05212', 41.017990, -4.898550)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (464, 21, N'Gallegos de Altamiros', N'gallegos-de-altamiros', N'05141', 40.709801, -4.897880)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (465, 21, N'Gallegos de Sobrinos', N'gallegos-de-sobrinos', N'05147', 40.716309, -5.112080)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (466, 21, N'Garganta del Villar', N'garganta-del-villar', N'05134', 40.448811, -5.104390)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (467, 21, N'Gavilanes', N'gavilanes', N'05460', 40.277401, -4.852380)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (468, 21, N'Gemuño', N'gemuno', N'05197', 40.593034, -4.781971)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (469, 21, N'Gil García', N'gil-garcia', N'05693', 40.298185, -5.594273)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (470, 21, N'Gilbuena', N'gilbuena', N'05619', 40.414539, -5.607140)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (471, 21, N'Gimialcón', N'gimialcon', N'05380', 40.871988, -5.131989)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (472, 21, N'Gotarrendura', N'gotarrendura', N'05163', 40.824558, -4.738570)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (473, 21, N'Grandes y San Martín', N'grandes-y-san-martin', N'05357', 40.755310, -4.959480)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (474, 21, N'Guisando', N'guisando', N'05417', 40.221680, -5.139340)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (475, 21, N'Gutierre-Muñoz', N'gutierre-munoz', N'05296', 40.982719, -4.637180)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (476, 21, N'Hernansancho', N'hernansancho', N'05164', 40.859261, -4.729730)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (477, 21, N'Herradón de Pinares', N'herradon-de-pinares', N'05268', 40.564720, -4.559710)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (478, 21, N'Herreros de Suso', N'herreros-de-suso', N'05146', 40.802559, -5.038550)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (479, 21, N'Higuera de las Dueñas', N'higuera-de-las-duenas', N'05427', 40.239948, -4.603770)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (480, 21, N'Hija de Dios', N'hija-de-dios', N'05131', 40.532785, -4.966164)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (481, 21, N'Horcajada', N'horcajada', N'05695', 40.434552, -5.467296)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (482, 21, N'Horcajo de las Torres', N'horcajo-de-las-torres', N'05210', 41.065109, -5.090250)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (483, 21, N'Hornillo', N'hornillo', N'05415', 40.249726, -5.103149)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (484, 21, N'Hoyo de Pinares', N'hoyo-de-pinares', N'05250', 40.499390, -4.425650)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (485, 21, N'Hoyocasero', N'hoyocasero', N'05123', 40.397781, -4.975690)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (486, 21, N'Hoyorredondo', N'hoyorredondo', N'05516', 40.462929, -5.411370)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (487, 21, N'Hoyos de Miguel Muñoz', N'hoyos-de-miguel-munoz', N'05132', 40.392578, -5.067850)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (488, 21, N'Hoyos del Collado', N'hoyos-del-collado', N'05634', 40.359772, -5.197930)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (489, 21, N'Hoyos del Espino', N'hoyos-del-espino', N'05634', 40.357941, -5.177040)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (490, 21, N'Hurtumpascual', N'hurtumpascual', N'05147', 40.691528, -5.114330)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (491, 21, N'Junciana', N'junciana', N'05694', 40.410809, -5.558020)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (492, 21, N'Langa', N'langa', N'05213', 41.007690, -4.859219)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (493, 21, N'Lanzahíta', N'lanzahita', N'05490', 40.205502, -4.935200)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (494, 21, N'Llanos de Tormes', N'llanos-de-tormes', N'05690', 43.324341, -3.798970)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (495, 21, N'Losar del Barco', N'losar-del-barco', N'05692', 40.392908, -5.539341)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (496, 21, N'Madrigal de las Altas Torres', N'madrigal-de-las-altas-torres', N'05220', 41.089970, -4.998030)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (497, 21, N'Maello', N'maello', N'05291', 40.808601, -4.508390)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (498, 21, N'Malpartida de Corneja', N'malpartida-de-corneja', N'05153', 40.522461, -5.348590)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (499, 21, N'Mamblas', N'mamblas', N'05298', 41.019192, -5.012270)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (500, 21, N'Mancera de Arriba', N'mancera-de-arriba', N'05146', 40.790710, -5.147120)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (501, 21, N'Manjabálago', N'manjabalago', N'05145', 40.664249, -5.076400)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (502, 21, N'Marlín', N'marlin', N'05140', 40.710369, -4.828740)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (503, 21, N'Martiherrero', N'martiherrero', N'05140', 40.673809, -4.780600)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (504, 21, N'Martínez', N'martinez', N'05151', 40.630081, -5.348100)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (505, 21, N'Mediana de Voltoya', N'mediana-de-voltoya', N'05194', 40.700920, -4.564210)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (506, 21, N'Medinilla', N'medinilla', N'05619', 40.439999, -5.618460)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (507, 21, N'Mengamuñoz', N'mengamunoz', N'05131', 40.500359, -4.999530)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (508, 21, N'Mesegar de Corneja', N'mesegar-de-corneja', N'05514', 40.501759, -5.301550)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (509, 21, N'Mijares', N'mijares', N'05461', 40.297852, -4.836390)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (510, 21, N'Mingorría', N'mingorria', N'05280', 40.751572, -4.664990)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (511, 21, N'Mirón', N'miron', N'05154', 40.532198, -5.405273)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (512, 21, N'Mironcillo', N'mironcillo', N'05191', 40.555321, -4.823130)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (513, 21, N'Mirueña de los Infanzones', N'miruena-de-los-infanzones', N'05146', 40.737019, -5.091270)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (514, 21, N'Mombeltrán', N'mombeltran', N'05410', 40.259190, -5.018280)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (515, 21, N'Monsalupe', N'monsalupe', N'05163', 40.769119, -4.781300)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (516, 21, N'Moraleja de Matacabras', N'moraleja-de-matacabras', N'05299', 41.107620, -4.956480)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (517, 21, N'Muñana', N'munana', N'05540', 40.589439, -5.015140)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (518, 21, N'Muñico', N'munico', N'05145', 40.706879, -5.027530)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (519, 21, N'Muñogalindo', N'munogalindo', N'05530', 40.601608, -4.898260)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (520, 21, N'Muñogrande', N'munogrande', N'05309', 40.822140, -4.920750)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (521, 21, N'Muñomer del Peco', N'munomer-del-peco', N'05358', 40.858189, -4.880120)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (522, 21, N'Muñopepe', N'munopepe', N'05192', 40.634609, -4.818380)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (523, 21, N'Muñosancho', N'munosancho', N'05301', 40.921322, -5.035000)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (524, 21, N'Muñotello', N'munotello', N'05560', 40.541710, -5.041660)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (525, 21, N'Narrillos del Álamo', N'narrillos-del-alamo', N'05154', 40.567539, -5.465560)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (526, 21, N'Narrillos del Rebollar', N'narrillos-del-rebollar', N'05141', 40.665100, -4.965750)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (527, 21, N'Narros de Saldueña', N'narros-de-salduena', N'05358', 40.873070, -4.868870)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (528, 21, N'Narros del Castillo', N'narros-del-castillo', N'05369', 40.858711, -5.059220)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (529, 21, N'Narros del Puerto', N'narros-del-puerto', N'05131', 40.541119, -4.992770)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (530, 21, N'Nava de Arévalo', N'nava-de-arevalo', N'05216', 40.976910, -4.778590)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (531, 21, N'Nava del Barco', N'nava-del-barco', N'05697', 40.293652, -5.540360)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (532, 21, N'Navacepedilla de Corneja', N'navacepedilla-de-corneja', N'05571', 40.487129, -5.184450)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (533, 21, N'Navadijos', N'navadijos', N'05134', 40.426102, -5.080770)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (534, 21, N'Navaescurial', N'navaescurial', N'05514', 40.471939, -5.277490)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (535, 21, N'Navahondilla', N'navahondilla', N'05429', 40.325081, -4.495240)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (536, 21, N'Navalacruz', N'navalacruz', N'05134', 40.440128, -4.931190)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (537, 21, N'Navalmoral', N'navalmoral', N'05120', 40.459813, -4.768753)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (538, 21, N'Navalonguilla', N'navalonguilla', N'05697', 40.279228, -5.502610)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (539, 21, N'Navalosa', N'navalosa', N'05123', 40.399818, -4.931400)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (540, 21, N'Navalperal de Pinares', N'navalperal-de-pinares', N'05240', 40.590618, -4.411120)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (541, 21, N'Navalperal de Tormes', N'navalperal-de-tormes', N'05631', 40.352970, -5.302420)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (542, 21, N'Navaluenga', N'navaluenga', N'05100', 40.412971, -4.707950)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (543, 21, N'Navaquesera', N'navaquesera', N'05122', 40.425110, -4.910300)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (544, 21, N'Navarredonda de Gredos', N'navarredonda-de-gredos', N'05635', 40.360039, -5.133820)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (545, 21, N'Navarredondilla', N'navarredondilla', N'05120', 40.453602, -4.823050)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (546, 21, N'Navarrevisca', N'navarrevisca', N'05115', 40.363441, -4.892340)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (547, 21, N'Navas del Marqués', N'navas-del-marques', N'05230', 40.602741, -4.333490)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (548, 21, N'Navatalgordo', N'navatalgordo', N'05122', 40.414558, -4.871100)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (549, 21, N'Navatejares', N'navatejares', N'05697', 40.335831, -5.531500)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (550, 21, N'Neila de San Miguel', N'neila-de-san-miguel', N'05619', 40.423931, -5.652440)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (551, 21, N'Niharra', N'niharra', N'05191', 40.588501, -4.840570)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (552, 21, N'Ojos-Albos', N'ojos-albos', N'05193', 40.706299, -4.516890)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (553, 21, N'Orbita', N'orbita', N'05296', 40.998699, -4.649040)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (554, 21, N'Oso', N'oso', N'05164', 40.841931, -4.770470)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (555, 21, N'Padiernos', N'padiernos', N'05520', 40.620869, -4.845160)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (556, 21, N'Pajares de Adaja', N'pajares-de-adaja', N'05214', 40.924438, -4.640780)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (557, 21, N'Palacios de Goda', N'palacios-de-goda', N'05215', 41.116661, -4.781310)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (558, 21, N'Papatrigo', N'papatrigo', N'05358', 40.867378, -4.834000)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (559, 21, N'Parral', N'parral', N'05146', 40.794058, -4.992085)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (560, 21, N'Pascualcobo', N'pascualcobo', N'05150', 40.656101, -5.276590)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (561, 21, N'Pedro Bernardo', N'pedro-bernardo', N'05470', 40.242989, -4.911610)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (562, 21, N'Pedro-Rodríguez', N'pedro-rodriguez', N'05165', 40.937279, -4.784310)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (563, 21, N'Peguerinos', N'peguerinos', N'05239', 40.626942, -4.234330)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (564, 21, N'Peñalba de Ávila', N'penalba-de-avila', N'05163', 40.770451, -4.750020)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (565, 21, N'Piedrahíta', N'piedrahita', N'05500', 40.463503, -5.327940)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (566, 21, N'Piedralaves', N'piedralaves', N'05440', 40.317699, -4.693810)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (567, 21, N'Poveda', N'poveda', N'05560', 40.566992, -5.079546)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (568, 21, N'Poyales del Hoyo', N'poyales-del-hoyo', N'05492', 40.173611, -5.166870)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (569, 21, N'Pozanco', N'pozanco', N'05292', 40.797437, -4.665585)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (570, 21, N'Pradosegar', N'pradosegar', N'05560', 40.549931, -5.070610)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (571, 21, N'Puerto Castilla', N'puerto-castilla', N'05621', 40.287979, -5.630030)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (572, 21, N'Rasueros', N'rasueros', N'05298', 41.023239, -5.074180)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (573, 21, N'Riocabado', N'riocabado', N'05164', 40.831638, -4.805230)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (574, 21, N'Riofrío', N'riofrio', N'05190', 40.547265, -4.776993)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (575, 21, N'Rivilla de Barajas', N'rivilla-de-barajas', N'05309', 40.901932, -4.987610)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (576, 21, N'Salobral', N'salobral', N'05520', 40.609000, -4.806519)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (577, 21, N'Salvadiós', N'salvadios', N'05380', 40.877918, -5.096040)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (578, 21, N'San Bartolomé de Béjar', N'san-bartolome-de-bejar', N'05619', 40.408987, -5.661736)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (579, 21, N'San Bartolomé de Corneja', N'san-bartolome-de-corneja', N'05516', 40.493339, -5.384502)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (580, 21, N'San Bartolomé de Pinares', N'san-bartolome-de-pinares', N'05267', 40.543352, -4.538040)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (581, 21, N'San Esteban de los Patos', N'san-esteban-de-los-patos', N'05289', 40.746159, -4.624560)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (582, 21, N'San Esteban de Zapardiel', N'san-esteban-de-zapardiel', N'05229', 41.092096, -4.899559)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (583, 21, N'San Esteban del Valle', N'san-esteban-del-valle', N'05412', 40.274460, -4.982770)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (584, 21, N'San García de Ingelmos', N'san-garcia-de-ingelmos', N'05146', 40.769167, -5.115681)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (585, 21, N'San Juan de Gredos', N'san-juan-de-gredos', N'05633', 40.360760, -5.247960)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (586, 21, N'San Juan de la Encinilla', N'san-juan-de-la-encinilla', N'05358', 40.830051, -4.837940)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (587, 21, N'San Juan de la Nava', N'san-juan-de-la-nava', N'05111', 40.478210, -4.680560)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (588, 21, N'San Juan del Molinillo', N'san-juan-del-molinillo', N'05120', 40.457760, -4.817350)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (589, 21, N'San Juan del Olmo', N'san-juan-del-olmo', N'05145', 40.652672, -5.052680)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (590, 21, N'San Lorenzo de Tormes', N'san-lorenzo-de-tormes', N'05696', 40.369579, -5.488050)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (591, 21, N'San Martín de la Vega del Alberche', N'san-martin-de-la-vega-del-alberche', N'05133', 40.429320, -5.154624)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (592, 21, N'San Martín del Pimpollar', N'san-martin-del-pimpollar', N'05132', 40.369251, -5.057890)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (593, 21, N'San Miguel de Corneja', N'san-miguel-de-corneja', N'05514', 40.487610, -5.286230)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (594, 21, N'San Miguel de Serrezuela', N'san-miguel-de-serrezuela', N'05150', 40.670200, -5.287960)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (595, 21, N'San Pascual', N'san-pascual', N'05166', 40.882272, -4.756086)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (596, 21, N'San Pedro del Arroyo', N'san-pedro-del-arroyo', N'05350', 40.801788, -4.870260)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (597, 21, N'San Vicente de Arévalo', N'san-vicente-de-arevalo', N'05217', 40.967018, -4.803420)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (598, 21, N'Sanchidrián', N'sanchidrian', N'05290', 40.894299, -4.579750)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (599, 21, N'Sanchorreja', N'sanchorreja', N'05141', 40.664749, -4.915280)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (600, 21, N'Santa Cruz de Pinares', N'santa-cruz-de-pinares', N'05268', 40.541519, -4.580660)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (601, 21, N'Santa Cruz del Valle', N'santa-cruz-del-valle', N'05413', 40.250184, -5.002899)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (602, 21, N'Santa María de los Caballeros', N'santa-maria-de-los-caballeros', N'05580', 40.383036, -5.454025)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (603, 21, N'Santa María del Arroyo', N'santa-maria-del-arroyo', N'05530', 40.600311, -4.923540)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (604, 21, N'Santa María del Berrocal', N'santa-maria-del-berrocal', N'05510', 40.508202, -5.405240)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (605, 21, N'Santa María del Cubillo', N'santa-maria-del-cubillo', N'05193', 40.742420, -4.468960)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (606, 21, N'Santa María del Tiétar', N'santa-maria-del-tietar', N'05429', 40.302200, -4.554190)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (607, 21, N'Santiago del Collado', N'santiago-del-collado', N'05592', 40.433220, -5.355830)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (608, 21, N'Santiago del Tormes', N'santiago-del-tormes', N'05630', 40.345779, -5.383130)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (609, 21, N'Santo Domingo de las Posadas', N'santo-domingo-de-las-posadas', N'05292', 40.812080, -4.634700)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (610, 21, N'Santo Tomé de Zabarcos', N'santo-tome-de-zabarcos', N'05357', 40.787495, -4.910202)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (611, 21, N'Serrada', N'serrada', N'05192', 40.631347, -4.792442)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (612, 21, N'Serranillos', N'serranillos', N'05115', 40.334431, -4.912540)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (613, 21, N'Sigeres', N'sigeres', N'05357', 40.799511, -4.931990)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (614, 21, N'Sinlabajos', N'sinlabajos', N'05215', 41.076092, -4.830240)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (615, 21, N'Solana de Ávila', N'solana-de-avila', N'05621', 40.315269, -5.611640)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (616, 21, N'Solana de Rioalmar', N'solana-de-rioalmar', N'05149', 40.737640, -5.011230)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (617, 21, N'Solosancho', N'solosancho', N'05130', 40.552681, -4.904620)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (618, 21, N'Sotalbo', N'sotalbo', N'05198', 40.542511, -4.847580)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (619, 21, N'Sotillo de la Adrada', N'sotillo-de-la-adrada', N'05420', 40.293388, -4.579840)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (620, 21, N'Tiemblo', N'tiemblo', N'05270', 40.416306, -4.504051)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (621, 21, N'Tiñosillos', N'tinosillos', N'05165', 40.934219, -4.728310)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (622, 21, N'Tolbaños', N'tolbanos', N'05289', 40.751400, -4.581110)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (623, 21, N'Tormellas', N'tormellas', N'05697', 40.304291, -5.512260)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (624, 21, N'Tornadizos de Ávila', N'tornadizos-de-avila', N'05196', 40.627047, -4.614601)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (625, 21, N'Torre', N'torre', N'05540', 40.589124, -4.964275)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (626, 21, N'Tórtoles', N'tortoles', N'05514', 40.560895, -5.261078)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (627, 21, N'Umbrías', N'umbrias', N'05693', 40.312321, -5.578000)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (628, 21, N'Vadillo de la Sierra', N'vadillo-de-la-sierra', N'05560', 40.606079, -5.124960)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (629, 21, N'Valdecasa', N'valdecasa', N'05143', 40.659439, -5.012280)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (630, 21, N'Vega de Santa María', N'vega-de-santa-maria', N'05292', 40.836866, -4.642582)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (631, 21, N'Velayos', N'velayos', N'05292', 40.838909, -4.623990)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (632, 21, N'Villaflor', N'villaflor', N'05357', 28.156860, -16.638281)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (633, 21, N'Villafranca de la Sierra', N'villafranca-de-la-sierra', N'05571', 40.498508, -5.229780)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (634, 21, N'Villanueva de Ávila', N'villanueva-de-avila', N'05114', 40.379108, -4.820120)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (635, 21, N'Villanueva de Gómez', N'villanueva-de-gomez', N'05166', 40.883308, -4.718280)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (636, 21, N'Villanueva del Aceral', N'villanueva-del-aceral', N'05212', 41.043259, -4.853700)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (637, 21, N'Villanueva del Campillo', N'villanueva-del-campillo', N'05591', 40.577061, -5.179590)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (638, 21, N'Villar de Corneja', N'villar-de-corneja', N'05516', 40.473980, -5.437200)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (639, 21, N'Villarejo del Valle', N'villarejo-del-valle', N'05413', 40.286888, -4.997060)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (640, 21, N'Villatoro', N'villatoro', N'05560', 40.555248, -5.110970)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (641, 21, N'Viñegra de Moraña', N'vinegra-de-morana', N'05309', 40.850658, -4.921320)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (642, 21, N'Vita', N'vita', N'05146', 40.811272, -5.004560)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (643, 21, N'Zapardiel de la Cañada', N'zapardiel-de-la-canada', N'05154', 40.605961, -5.337250)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (644, 21, N'Zapardiel de la Ribera', N'zapardiel-de-la-ribera', N'05631', 40.354858, -5.328730)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (646, 25, N'Acedera', N'acedera', N'06730', 39.074782, -5.572227)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (647, 25, N'Aceuchal', N'aceuchal', N'06207', 38.645245, -6.481989)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (648, 25, N'Ahillones', N'ahillones', N'06940', 38.262920, -5.861472)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (649, 25, N'Alange', N'alange', N'06840', 38.786245, -6.252039)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (650, 25, N'Albuera', N'albuera', N'06170', 38.718250, -6.825670)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (651, 25, N'Alburquerque', N'alburquerque', N'06510', 39.223441, -7.005995)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (652, 25, N'Alconchel', N'alconchel', N'06131', 38.516575, -7.067854)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (653, 25, N'Alconera', N'alconera', N'06393', 38.396620, -6.476639)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (654, 25, N'Aljucén', N'aljucen', N'06894', 39.045114, -6.330499)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (655, 25, N'Almendral', N'almendral', N'06171', 38.612239, -6.822376)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (656, 25, N'Almendralejo', N'almendralejo', N'06200', 38.684510, -6.406824)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (657, 25, N'Arroyo de San Serván', N'arroyo-de-san-servan', N'06850', 38.856008, -6.454364)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (658, 25, N'Atalaya', N'atalaya-badajoz', N'06329', 38.332235, -6.474129)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (659, 25, N'Azuaga', N'azuaga', N'06920', 38.260371, -5.679046)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (660, 25, N'Badajoz', N'badajoz', N'06004', 38.874835, -6.972624)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (661, 25, N'Barcarrota', N'barcarrota', N'06160', 38.517315, -6.850184)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (662, 25, N'Baterno', N'baterno', N'06659', 38.954790, -4.911699)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (663, 25, N'Benquerencia de la Serena', N'benquerencia-de-la-serena', N'06429', 38.699125, -5.495012)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (664, 25, N'Berlanga', N'berlanga', N'06930', 38.276618, -5.829616)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (665, 25, N'Bienvenida', N'bienvenida', N'06250', 38.296799, -6.205481)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (666, 25, N'Bodonal de la Sierra', N'bodonal-de-la-sierra', N'06394', 38.148479, -6.559439)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (667, 25, N'Burguillos del Cerro', N'burguillos-del-cerro', N'06370', 38.378773, -6.589308)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (668, 25, N'Cabeza del Buey', N'cabeza-del-buey', N'06600', 38.720106, -5.218678)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (669, 25, N'Cabeza la Vaca', N'cabeza-la-vaca', N'06293', 38.086844, -6.422195)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (670, 25, N'Calamonte', N'calamonte', N'06810', 38.890181, -6.384902)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (671, 25, N'Calera de León', N'calera-de-leon', N'06292', 38.107513, -6.336365)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (672, 25, N'Calzadilla de los Barros', N'calzadilla-de-los-barros', N'06249', 38.300428, -6.316624)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (673, 25, N'Campanario', N'campanario', N'06460', 38.861565, -5.620708)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (674, 25, N'Campillo de Llerena', N'campillo-de-llerena', N'06443', 38.498945, -5.832024)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (675, 25, N'Capilla', N'capilla', N'06612', 38.820702, -5.084095)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (676, 25, N'Carmonita', N'carmonita', N'06488', 39.153909, -6.338081)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (677, 25, N'Carrascalejo', N'carrascalejo', N'06894', 39.022951, -6.335249)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (678, 25, N'Casas de Don Pedro', N'casas-de-don-pedro', N'06770', 39.106554, -5.330257)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (679, 25, N'Casas de Reina', N'casas-de-reina', N'06960', 38.202087, -5.969181)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (680, 25, N'Castilblanco', N'castilblanco', N'06680', 39.281666, -5.091305)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (681, 25, N'Castuera', N'castuera', N'06420', 38.722986, -5.544834)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (682, 25, N'Cheles', N'cheles', N'06105', 38.512697, -7.281232)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (683, 25, N'Codosera', N'codosera', N'06518', 39.206952, -7.170382)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (684, 25, N'Cordobilla de LÁƒÂ¡cara', N'cordobilla-de-lácara', N'06487', 39.148317, -6.435070)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (685, 25, N'Coronada', N'coronada', N'06469', 38.918585, -5.669374)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (686, 25, N'Corte de Peleas', N'corte-de-peleas', N'06196', 38.725313, -6.670675)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (687, 25, N'Cristina', N'cristina', N'06479', 38.837518, -6.100202)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (688, 25, N'Don Álvaro', N'don-alvaro', N'06820', 38.848716, -6.273108)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (689, 25, N'Don Benito', N'don-benito', N'06400', 38.955070, -5.860176)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (690, 25, N'Entrín Bajo', N'entrin-bajo', N'06197', 38.718583, -6.713548)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (691, 25, N'Esparragalejo', N'esparragalejo', N'06860', 38.941904, -6.438460)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (692, 25, N'Esparragosa de la Serena', N'esparragosa-de-la-serena', N'06439', 38.649271, -5.606503)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (693, 25, N'Esparragosa de Lares', N'esparragosa-de-lares', N'06620', 38.975508, -5.270133)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (694, 25, N'Feria', N'feria', N'06390', 38.510934, -6.563644)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (695, 25, N'Fregenal de la Sierra', N'fregenal-de-la-sierra', N'06340', 38.165032, -6.650677)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (696, 25, N'Fuenlabrada de los Montes', N'fuenlabrada-de-los-montes', N'06660', 39.131209, -4.937367)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (697, 25, N'Fuente de Cantos', N'fuente-de-cantos', N'06240', 38.247129, -6.309071)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (698, 25, N'Fuente del Arco', N'fuente-del-arco', N'06980', 38.153525, -5.896053)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (699, 25, N'Fuente del Maestre', N'fuente-del-maestre', N'06360', 38.528864, -6.447344)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (700, 25, N'Fuentes de León', N'fuentes-de-leon', N'06280', 38.068670, -6.538410)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (701, 25, N'Garbayuela', N'garbayuela', N'06690', 39.049535, -4.999852)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (702, 25, N'Garlitos', N'garlitos', N'06656', 38.879324, -5.048132)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (703, 25, N'Garrovilla', N'garrovilla', N'06870', 38.921239, -6.477771)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (704, 25, N'Granja de Torrehermosa', N'granja-de-torrehermosa', N'06910', 38.310986, -5.596933)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (705, 25, N'Guareña', N'guarena', N'06470', 38.861298, -6.102047)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (706, 25, N'Haba', N'haba', N'06714', 38.917800, -5.801339)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (707, 25, N'Helechosa de los Montes', N'helechosa-de-los-montes', N'06692', 39.311955, -4.909258)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (708, 25, N'Herrera del Duque', N'herrera-del-duque', N'06670', 39.168566, -5.048647)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (709, 25, N'Higuera de la Serena', N'higuera-de-la-serena', N'06441', 38.646489, -5.741258)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (710, 25, N'Higuera de Llerena', N'higuera-de-llerena', N'06445', 38.377444, -5.999565)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (711, 25, N'Higuera de Vargas', N'higuera-de-vargas', N'06132', 38.445775, -6.972327)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (712, 25, N'Higuera la Real', N'higuera-la-real', N'06350', 38.140261, -6.690073)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (713, 25, N'Hinojosa del Valle', N'hinojosa-del-valle', N'06226', 38.482973, -6.184788)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (714, 25, N'Hornachos', N'hornachos', N'06228', 38.555113, -6.072693)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (715, 25, N'Jerez de los Caballeros', N'jerez-de-los-caballeros', N'06380', 38.320212, -6.769638)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (716, 25, N'Lapa', N'lapa', N'06391', 38.453874, -6.521802)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (717, 25, N'Llera', N'llera', N'06227', 38.448060, -6.056857)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (718, 25, N'Llerena', N'llerena', N'06900', 38.237422, -6.015358)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (719, 25, N'Lobón', N'lobon', N'06498', 38.847679, -6.625400)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (720, 25, N'Magacela', N'magacela', N'06468', 38.896026, -5.733619)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (721, 25, N'Maguilla', N'maguilla', N'06939', 38.366947, -5.836959)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (722, 25, N'Malcocinado', N'malcocinado', N'06928', 38.122319, -5.693021)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (723, 25, N'Malpartida de la Serena', N'malpartida-de-la-serena', N'06440', 38.674035, -5.641007)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (724, 25, N'Manchita', N'manchita', N'06478', 38.814850, -6.021967)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (725, 25, N'Medellín', N'medellin', N'06411', 38.963029, -5.956349)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (726, 25, N'Medina de las Torres', N'medina-de-las-torres', N'06320', 38.343592, -6.411424)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (727, 25, N'Mengabril', N'mengabril', N'06413', 38.936129, -5.932488)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (728, 25, N'Mérida', N'merida', N'06800', 38.916097, -6.345634)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (729, 25, N'Mirandilla', N'mirandilla', N'06891', 39.001994, -6.289973)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (730, 25, N'Monesterio', N'monesterio', N'06260', 38.087182, -6.273623)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (731, 25, N'Montemolín', N'montemolin', N'06291', 38.155178, -6.214828)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (732, 25, N'Monterrubio de la Serena', N'monterrubio-de-la-serena', N'06427', 38.590275, -5.443468)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (733, 25, N'Montijo', N'montijo', N'06480', 38.910103, -6.616344)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (734, 25, N'Morera', N'morera', N'06176', 38.545967, -6.654453)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (735, 25, N'Nava de Santiago', N'nava-de-santiago', N'06486', 39.063332, -6.504636)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (736, 25, N'Navalvillar de Pela', N'navalvillar-de-pela', N'06760', 39.089934, -5.470762)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (737, 25, N'Nogales', N'nogales', N'06173', 38.586921, -6.750069)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (738, 25, N'Oliva de la Frontera', N'oliva-de-la-frontera', N'06120', 38.275603, -6.919670)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (739, 25, N'Oliva de Mérida', N'oliva-de-merida', N'06475', 38.790520, -6.125994)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (740, 25, N'Olivenza', N'olivenza', N'06100', 38.681875, -7.101588)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (741, 25, N'Orellana de la Sierra', N'orellana-de-la-sierra', N'06750', 39.030803, -5.497198)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (742, 25, N'Orellana la Vieja', N'orellana-la-vieja', N'06740', 39.004261, -5.534062)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (743, 25, N'Palomas', N'palomas', N'06476', 38.692260, -6.133847)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (744, 25, N'Parra', N'parra', N'06176', 38.521662, -6.623855)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (745, 25, N'Peñalsordo', N'penalsordo', N'06610', 38.819164, -5.113535)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (746, 25, N'Peraleda del Zaucejo', N'peraleda-del-zaucejo', N'06919', 38.473868, -5.565605)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (747, 25, N'Puebla de Alcocer', N'puebla-de-alcocer', N'06630', 38.986601, -5.257044)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (748, 25, N'Puebla de la Calzada', N'puebla-de-la-calzada', N'06490', 38.893789, -6.622868)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (749, 25, N'Puebla de la Reina', N'puebla-de-la-reina', N'06477', 38.664586, -6.103420)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (750, 25, N'Puebla de Obando', N'puebla-de-obando', N'06191', 39.177732, -6.628103)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (751, 25, N'Puebla de Sancho Pérez', N'puebla-de-sancho-perez', N'06310', 38.398300, -6.400309)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (752, 25, N'Puebla del Maestre', N'puebla-del-maestre', N'06906', 38.085814, -6.078508)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (753, 25, N'Puebla del Prior', N'puebla-del-prior', N'06229', 38.571102, -6.197448)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (754, 25, N'Pueblonuevo del Guadiana', N'pueblonuevo-del-guadiana', N'06184', 38.923543, -6.754789)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (755, 25, N'Quintana de la Serena', N'quintana-de-la-serena', N'06450', 38.741515, -5.673366)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (756, 25, N'Reina', N'reina', N'06970', 38.187922, -5.949483)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (757, 25, N'Rena', N'rena', N'06715', 39.053135, -5.809021)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (758, 25, N'Retamal de Llerena', N'retamal-de-llerena', N'06442', 38.578182, -5.838633)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (759, 25, N'Ribera del Fresno', N'ribera-del-fresno', N'06225', 38.554039, -6.242037)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (760, 25, N'Risco', N'risco', N'06657', 38.910554, -5.122933)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (761, 25, N'Roca de la Sierra', N'roca-de-la-sierra', N'06190', 39.109634, -6.689816)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (762, 25, N'Salvaleón', N'salvaleon', N'06174', 38.510262, -6.785603)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (763, 25, N'Salvatierra de los Barros', N'salvatierra-de-los-barros', N'06175', 38.491102, -6.685266)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (764, 25, N'San Pedro de Mérida', N'san-pedro-de-merida', N'06893', 38.948379, -6.186333)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (765, 25, N'San Vicente de Alcántara', N'san-vicente-de-alcantara', N'06500', 39.361013, -7.135363)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (766, 25, N'Sancti-Spíritus', N'sancti-spiritus-badajoz', N'06655', 38.924945, -5.145979)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (767, 25, N'Santa Amalia', N'santa-amalia', N'06410', 39.011398, -6.010637)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (768, 25, N'Santa Marta', N'santa-marta', N'06150', 38.612293, -6.627975)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (769, 25, N'Santos de Maimona', N'santos-de-maimona', N'06230', 38.449270, -6.383915)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (770, 25, N'Segura de León', N'segura-de-leon', N'06270', 38.120817, -6.528969)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (771, 25, N'Siruela', N'siruela', N'06650', 38.977744, -5.051866)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (772, 25, N'Solana de los Barros', N'solana-de-los-barros', N'06209', 38.726719, -6.538367)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (773, 25, N'Talarrubias', N'talarrubias', N'06640', 39.033686, -5.234470)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (774, 25, N'Talavera la Real', N'talavera-la-real', N'06140', 38.876952, -6.774273)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (775, 25, N'Táliga', N'taliga', N'06133', 38.526799, -7.014513)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (776, 25, N'Tamurejo', N'tamurejo', N'06658', 38.991454, -4.946895)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (777, 25, N'Torre de Miguel Sesmero', N'torre-de-miguel-sesmero', N'06172', 38.619268, -6.796460)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (778, 25, N'Torremayor', N'torremayor', N'06880', 38.903608, -6.536436)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (779, 25, N'Torremegía', N'torremegia', N'06210', 38.789767, -6.380825)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (780, 25, N'Trasierra', N'trasierra', N'06909', 38.191362, -5.995102)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (781, 25, N'Trujillanos', N'trujillanos', N'06892', 38.951616, -6.259675)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (782, 25, N'Usagre', N'usagre', N'06290', 38.356953, -6.164618)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (783, 25, N'Valdecaballeros', N'valdecaballeros', N'06689', 39.246064, -5.191598)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (784, 25, N'Valdelacalzada', N'valdelacalzada', N'06185', 38.890158, -6.701263)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (785, 25, N'Valdetorres', N'valdetorres', N'06474', 38.915997, -6.068659)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (786, 25, N'Valencia de las Torres', N'valencia-de-las-torres', N'06444', 38.404522, -6.003385)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (787, 25, N'Valencia del Mombuey', N'valencia-del-mombuey', N'06134', 38.242141, -7.119956)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (788, 25, N'Valencia del Ventoso', N'valencia-del-ventoso', N'06330', 38.266219, -6.474209)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (789, 25, N'Valle de la Serena', N'valle-de-la-serena', N'06458', 38.701286, -5.798292)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (790, 25, N'Valle de Matamoros', N'valle-de-matamoros', N'06177', 38.379328, -6.802382)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (791, 25, N'Valle de Santa Ana', N'valle-de-santa-ana', N'06178', 38.365433, -6.787877)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (792, 25, N'Valverde de Burguillos', N'valverde-de-burguillos', N'06378', 38.326828, -6.538668)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (793, 25, N'Valverde de Leganés', N'valverde-de-leganes', N'06130', 38.672695, -6.981769)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (794, 25, N'Valverde de Llerena', N'valverde-de-llerena', N'06927', 38.214193, -5.821896)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (795, 25, N'Valverde de Mérida', N'valverde-de-merida', N'06890', 38.912491, -6.221137)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (796, 25, N'Villafranca de los Barros', N'villafranca-de-los-barros', N'06220', 38.563167, -6.337051)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (797, 25, N'Villagarcía de la Torre', N'villagarcia-de-la-torre', N'06950', 38.293995, -6.080074)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (798, 25, N'Villagonzalo', N'villagonzalo', N'06473', 38.862869, -6.196632)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (799, 25, N'Villalba de los Barros', N'villalba-de-los-barros', N'06208', 38.613551, -6.509485)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (800, 25, N'Villanueva de la Serena', N'villanueva-de-la-serena', N'06700', 38.974374, -5.800138)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (801, 25, N'Villanueva del Fresno', N'villanueva-del-fresno', N'06110', 38.376620, -7.167892)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (802, 25, N'Villar de Rena', N'villar-de-rena', N'06716', 39.077026, -5.812283)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (803, 25, N'Villar del Rey', N'villar-del-rey', N'06192', 39.132940, -6.847315)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (804, 25, N'Villarta de los Montes', N'villarta-de-los-montes', N'06678', 39.214250, -4.792271)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (805, 25, N'Zafra', N'zafra', N'06300', 38.425790, -6.416702)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (806, 25, N'Zahínos', N'zahinos', N'06129', 38.331053, -6.953402)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (807, 25, N'Zalamea de la Serena', N'zalamea-de-la-serena', N'06430', 38.650897, -5.657101)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (808, 25, N'Zarza', N'zarza', N'06830', 38.818361, -6.217275)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (809, 25, N'Zarza-Capilla', N'zarza-capilla', N'06611', 38.800571, -5.169196)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (811, 29, N'Alaior', N'alaior', N'07730', 39.930721, 4.140090)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (812, 29, N'Alaró', N'alaro', N'07340', 39.705830, 2.789980)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (813, 29, N'Alcúdia', N'alcudia', N'07400', 39.851608, 3.123320)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (814, 29, N'Algaida', N'algaida', N'07210', 39.558899, 2.895170)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (815, 29, N'Andratx', N'andratx', N'07150', 39.574699, 2.421510)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (816, 29, N'Ariany', N'ariany', N'07529', 39.650532, 3.111570)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (817, 29, N'Artà', N'arta', N'07570', 39.691002, 3.349990)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (818, 29, N'Banyalbufar', N'banyalbufar', N'07191', 39.687408, 2.514230)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (819, 29, N'Binissalem', N'binissalem', N'07350', 39.684109, 2.846560)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (820, 29, N'Búger', N'buger', N'07311', 39.758511, 2.984250)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (821, 29, N'Bunyola', N'bunyola', N'07110', 39.698668, 2.699633)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (822, 29, N'Calvià', N'calvia', N'07184', 39.565603, 2.504368)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (823, 29, N'Campanet', N'campanet', N'07310', 39.771141, 2.964420)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (824, 29, N'Campos', N'campos', N'07630', 39.433939, 3.043385)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (825, 29, N'Capdepera', N'capdepera', N'07580', 39.702994, 3.434815)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (826, 29, N'Castellitx', N'castellitx', N'07210', 39.562691, 2.882967)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (827, 29, N'Ciutadella de Menorca', N'ciutadella-de-menorca', N'07760', 40.002142, 3.840408)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (828, 29, N'Consell', N'consell', N'07330', 39.670166, 2.816362)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (829, 29, N'Costitx', N'costitx', N'07144', 39.656654, 2.949486)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (830, 29, N'Deyá', N'deya', N'07179', 39.746761, 2.652168)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (831, 29, N'Eivissa', N'eivissa', N'07800', 38.909202, 1.432643)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (832, 29, N'Escorca', N'escorca', N'07315', 39.820766, 2.869363)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (833, 29, N'Esporles', N'esporles', N'07190', 39.669836, 2.578611)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (834, 29, N'Estellencs', N'estellencs', N'07192', 39.653714, 2.481666)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (835, 29, N'Felanitx', N'felanitx', N'07200', 39.468601, 3.148398)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (836, 29, N'Ferreries', N'ferreries', N'07750', 39.983237, 4.011641)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (837, 29, N'Formentera', N'formentera', N'07860', 38.696731, 1.453285)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (838, 29, N'Fornalutx', N'fornalutx', N'07109', 39.781992, 2.742248)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (839, 29, N'Inca', N'inca', N'07300', 39.718774, 2.915797)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (840, 29, N'Lloret de Vistalegre', N'lloret-de-vistalegre', N'07518', 39.616665, 2.976222)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (841, 29, N'Lloseta', N'lloseta', N'07360', 39.718147, 2.864771)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (842, 29, N'Llubí', N'llubi', N'07430', 39.700550, 3.004718)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (843, 29, N'Llucmajor', N'llucmajor', N'07620', 39.485694, 2.895026)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (844, 29, N'Manacor', N'manacor', N'07500', 39.574634, 3.202171)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (845, 29, N'Mancor de la Vall', N'mancor-de-la-vall', N'07312', 39.750885, 2.873397)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (846, 29, N'Maó', N'mao', N'07700', 39.909004, 4.288369)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (847, 29, N'Maria de la Salut', N'maria-de-la-salut', N'07519', 39.670893, 3.076043)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (848, 29, N'Marratxí', N'marratxi', N'07141', 39.642347, 2.752590)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (849, 29, N'Mercadal', N'mercadal', N'07740', 39.988827, 4.076099)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (850, 29, N'Migjorn Gran', N'migjorn-gran', N'07749', 39.947516, 4.048891)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (851, 29, N'Montu', N'montu', N'07230', 39.570565, 2.984591)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (852, 29, N'Muro', N'muro', N'07440', 39.734287, 3.053598)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (853, 29, N'Palma de Mallorca', N'palma-de-mallorca', N'07012', 39.569771, 2.650237)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (854, 29, N'Petra', N'petra', N'07520', 39.609292, 3.112264)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (855, 29, N'Pobla', N'pobla', N'07420', 39.770844, 3.016949)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (856, 29, N'Pollença', N'pollenca', N'07460', 39.877963, 3.017120)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (857, 29, N'Porreres', N'porreres', N'07260', 39.517351, 3.024888)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (858, 29, N'Puigpunyent', N'puigpunyent', N'07194', 39.624235, 2.527027)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (859, 29, N'Salines', N'salines', N'07640', 39.339309, 3.050852)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (860, 29, N'Sant Antoni de Portmany', N'sant-antoni-de-portmany', N'07820', 38.981030, 1.307244)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (861, 29, N'Sant Joan', N'sant-joan', N'07240', 39.596099, 3.039951)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (862, 29, N'Sant Joan de Labritja', N'sant-joan-de-labritja', N'07810', 39.077426, 1.512380)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (863, 29, N'Sant Josep de sa Talaia', N'sant-josep-de-sa-talaia', N'07830', 38.921924, 1.294112)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (864, 29, N'Sant Llorençdes Cardassar', N'sant-llorencdes-cardassar', N'07530', 39.610515, 3.284826)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (865, 29, N'Sant Lluís', N'sant-lluis', N'07710', 39.853521, 4.261215)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (866, 29, N'Santa Eugénia', N'santa-eugenia', N'07142', 39.624565, 2.839193)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (867, 29, N'Santa Eulalia del Río', N'santa-eulalia-del-rio', N'07840', 38.981997, 1.531649)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (868, 29, N'Santa Margalida', N'santa-margalida', N'07450', 39.703687, 3.103809)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (869, 29, N'Santa María del Camí', N'santa-maria-del-cami', N'07320', 39.646345, 2.776666)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (870, 29, N'Santanyí', N'santanyi', N'07650', 39.355073, 3.130331)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (871, 29, N'Selva', N'selva', N'07313', 39.754366, 2.902043)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (872, 29, N'Sencelles', N'sencelles', N'07140', 39.646312, 2.896185)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (873, 29, N'Sineu', N'sineu', N'07510', 39.642644, 3.010898)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (874, 29, N'Sóller', N'soller', N'07100', 39.765468, 2.714353)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (875, 29, N'Son Servera', N'son-servera', N'07550', 39.624367, 3.357396)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (876, 29, N'Valldemossa', N'valldemossa', N'07170', 39.712040, 2.622728)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (877, 29, N'Vilafranca de Bonany', N'vilafranca-de-bonany', N'07250', 39.570003, 3.084197)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (879, 33, N'Abrera', N'abrera', N'08630', 41.519410, 1.899240)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (880, 33, N'Aguilar de Segarra', N'aguilar-de-segarra', N'08256', 41.739676, 1.630257)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (881, 33, N'Aiguafreda', N'aiguafreda', N'08591', 41.768410, 2.250840)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (882, 33, N'Alella', N'alella', N'08328', 41.492530, 2.294685)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (883, 33, N'Alpens', N'alpens', N'08587', 42.119318, 2.102367)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (884, 33, N'Ametlla del Vallés', N'ametlla-del-valles', N'08480', 41.665852, 2.265110)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (885, 33, N'Arenys de Mar', N'arenys-de-mar', N'08350', 41.580070, 2.550650)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (886, 33, N'Arenys de Munt', N'arenys-de-munt', N'08358', 41.611730, 2.540800)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (887, 33, N'Argençola', N'argencola', N'08717', 41.597915, 1.443726)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (888, 33, N'Argentona', N'argentona', N'08310', 41.556415, 2.403665)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (889, 33, N'Artés', N'artes', N'08271', 41.798479, 1.954828)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (890, 33, N'Avià', N'avia', N'08610', 42.080198, 1.815691)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (891, 33, N'Avinyó', N'avinyo', N'08279', 41.863259, 1.972331)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (892, 33, N'Avinyonet del Penedés', N'avinyonet-del-penedes', N'08793', 41.361295, 1.776253)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (893, 33, N'Badalona', N'badalona', N'08911', 41.450345, 2.245065)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (894, 33, N'Badia del Vallés', N'badia-del-valles', N'08214', 41.507126, 2.115413)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (895, 33, N'Bagà', N'baga', N'08695', 42.253047, 1.862023)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (896, 33, N'Balenyà', N'balenya', N'08550', 41.816475, 2.233965)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (897, 33, N'Balsareny', N'balsareny', N'08660', 41.862708, 1.872944)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (898, 33, N'Barberà del Vallés', N'barbera-del-valles', N'08210', 41.515057, 2.127176)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (899, 33, N'Barcelona', N'barcelona', N'08001', 41.385589, 2.168745)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (900, 33, N'Begues', N'begues', N'08859', 41.330425, 1.924265)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (901, 33, N'Bellprat', N'bellprat', N'43421', 41.517225, 1.433560)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (902, 33, N'Berga', N'berga', N'08600', 42.103669, 1.846096)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (903, 33, N'Bigues i Riells', N'bigues-i-riells', N'08416', 41.673451, 2.214435)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (904, 33, N'Borredà', N'borreda', N'08619', 42.136041, 1.996250)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (905, 33, N'Bruc', N'bruc', N'08294', 41.580140, 1.780643)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (906, 33, N'Brull', N'brull', N'08559', 41.816969, 2.306485)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (907, 33, N'Cabanyes', N'cabanyes', N'08794', 41.372075, 1.690092)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (908, 33, N'Cabrera de Mar', N'cabrera-de-mar', N'08349', 41.526765, 2.393646)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (909, 33, N'Cabrera dIgualada', N'cabrera-digualada', N'08700', 41.578824, 1.616707)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (910, 33, N'Cabrils', N'cabrils', N'08348', 41.525736, 2.368841)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (911, 33, N'Calaf', N'calaf', N'08280', 41.733533, 1.513882)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (912, 33, N'Calders', N'calders', N'08275', 41.792369, 1.994877)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (913, 33, N'Caldes de Montbui', N'caldes-de-montbui', N'08140', 41.630264, 2.166109)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (914, 33, N'Caldes dEstrac', N'caldes-destrac', N'08393', 41.569931, 2.526727)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (915, 33, N'Calella', N'calella', N'08370', 41.613613, 2.658005)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (916, 33, N'Calldetenes', N'calldetenes', N'08506', 41.925334, 2.284169)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (917, 33, N'Callús', N'callus', N'08262', 41.781105, 1.784205)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (918, 33, N'Calonge de Segarra', N'calonge-de-segarra', N'08281', 41.764142, 1.482682)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (919, 33, N'Campins', N'campins', N'08472', 41.725718, 2.465143)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (920, 33, N'Canet de Mar', N'canet-de-mar', N'08360', 41.589834, 2.582989)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (921, 33, N'Canovelles', N'canovelles', N'08420', 41.615956, 2.283912)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (922, 33, N'Cànoves i Samalús', N'canoves-i-samalus', N'08445', 41.693937, 2.354078)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (923, 33, N'Canyelles', N'canyelles', N'08811', 41.287159, 1.722279)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (924, 33, N'Capellades', N'capellades', N'08786', 41.530877, 1.680307)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (925, 33, N'Capolat', N'capolat', N'08617', 42.077585, 1.753349)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (926, 33, N'Cardedeu', N'cardedeu', N'08440', 41.638218, 2.354980)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (927, 33, N'Cardona', N'cardona', N'08261', 41.913903, 1.681423)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (928, 33, N'Carme', N'carme', N'08787', 41.553137, 1.676702)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (929, 33, N'Casserres', N'casserres', N'08693', 42.012571, 1.846261)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (930, 33, N'Castell de lAreny', N'castell-de-lareny', N'08604', 42.173614, 1.946554)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (931, 33, N'Castellar de nHug', N'castellar-de-nhug', N'08696', 42.283596, 2.016935)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (932, 33, N'Castellar del Riu', N'castellar-del-riu', N'08618', 42.123437, 1.772661)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (933, 33, N'Castellar del Vallés', N'castellar-del-valles', N'08211', 41.616822, 2.086158)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (934, 33, N'Castellbell i el Vilar', N'castellbell-i-el-vilar', N'08296', 41.634049, 1.865273)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (935, 33, N'Castellbisbal', N'castellbisbal', N'08755', 41.474792, 1.982818)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (936, 33, N'Castellcir', N'castellcir', N'08183', 41.760396, 2.148857)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (937, 33, N'Castelldefels', N'castelldefels', N'08860', 41.280096, 1.977496)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (938, 33, N'Castellet i la Gornal', N'castellet-i-la-gornal', N'08729', 41.264421, 1.636791)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (939, 33, N'Castellfollit de Riubregós', N'castellfollit-de-riubregos', N'08283', 41.776465, 1.438050)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (940, 33, N'Castellfollit del Boix', N'castellfollit-del-boix', N'08255', 41.666116, 1.680994)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (941, 33, N'Castellgalí', N'castellgali', N'08297', 41.674899, 1.840811)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (942, 33, N'Castellnou de Bages', N'castellnou-de-bages', N'08251', 41.835677, 1.837678)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (943, 33, N'Castellolí', N'castelloli', N'08719', 41.600233, 1.702623)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (944, 33, N'Castellterçol', N'castelltercol', N'08183', 41.748295, 2.123880)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (945, 33, N'Castellvide la Marca', N'castellvide-la-marca', N'08732', 41.332869, 1.594992)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (946, 33, N'Castellvide Rosanes', N'castellvide-rosanes', N'08769', 41.450511, 1.898403)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (947, 33, N'Centelles', N'centelles', N'08540', 41.796848, 2.221727)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (948, 33, N'Cercs', N'cercs', N'08698', 42.151887, 1.857119)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (949, 33, N'Cerdanyola del Valles', N'cerdanyola-del-valles', N'08290', 41.491510, 2.140789)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (950, 33, N'Cervelló', N'cervello', N'08758', 41.413606, 1.967583)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (951, 33, N'Collbató', N'collbato', N'08293', 41.566624, 1.830297)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (952, 33, N'Collsuspina', N'collsuspina', N'08178', 41.828098, 2.175422)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (953, 33, N'Copons', N'copons', N'08289', 41.636775, 1.517529)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (954, 33, N'Corbera de Llobregat', N'corbera-de-llobregat', N'08757', 41.418176, 1.933336)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (955, 33, N'Cornellàde Llobregat', N'cornellade-llobregat', N'08940', 41.355326, 2.071202)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (956, 33, N'Cubelles', N'cubelles', N'08880', 41.207266, 1.672583)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (957, 33, N'Dosrius', N'dosrius', N'08319', 41.594327, 2.404289)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (958, 33, N'Esparreguera', N'esparreguera', N'08292', 41.539358, 1.869221)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (959, 33, N'Esplugues de Llobregat', N'esplugues-de-llobregat', N'08950', 41.377646, 2.087059)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (960, 33, N'Espunyola', N'espunyola', N'08614', 41.408617, 2.036076)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (961, 33, N'Estany', N'estany', N'08148', 41.868634, 2.114053)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (962, 33, N'Figaró-Montmany', N'figaro-montmany', N'08590', 41.721842, 2.273226)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (963, 33, N'Fígols', N'figols', N'08698', 42.181024, 1.833773)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (964, 33, N'Fogars de la Selva', N'fogars-de-la-selva', N'08495', 41.726102, 2.673197)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (965, 33, N'Fogars de Montclús', N'fogars-de-montclus', N'08479', 41.729273, 2.445016)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (966, 33, N'Folgueroles', N'folgueroles', N'08519', 41.938360, 2.316141)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (967, 33, N'Fonollosa', N'fonollosa', N'08259', 41.766382, 1.668119)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (968, 33, N'Font-rubí', N'font-rubi', N'08736', 41.434683, 1.591988)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (969, 33, N'Franqueses del Vallés', N'franqueses-del-valles', N'08520', 41.617496, 2.310219)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (970, 33, N'Gaià', N'gaia', N'08672', 41.917479, 1.924667)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (971, 33, N'Gallifa', N'gallifa', N'08146', 41.693104, 2.114568)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (972, 33, N'Garriga', N'garriga', N'08530', 41.682912, 2.283268)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (973, 33, N'Gavà', N'gava', N'08850', 41.302636, 2.003117)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (974, 33, N'Gelida', N'gelida', N'08790', 41.440989, 1.863041)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (975, 33, N'Gironella', N'gironella', N'08680', 42.034759, 1.881065)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (976, 33, N'Gisclareny', N'gisclareny', N'08695', 42.250059, 1.785965)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (977, 33, N'Granada', N'lagranada', N'08792', 41.376937, 1.719704)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (978, 33, N'Granera', N'granera', N'08183', 41.724949, 2.062082)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (979, 33, N'Granollers', N'granollers', N'08400', 41.608175, 2.287259)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (980, 33, N'Gualba', N'gualba', N'08474', 41.731419, 2.502823)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (981, 33, N'Guardiola de Berguedà', N'guardiola-de-bergueda', N'08694', 42.230551, 1.881752)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (982, 33, N'Gurb', N'gurb', N'08503', 41.954256, 2.235718)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (983, 33, N'Hospitalet de Llobregat', N'hospitalet-de-llobregat', N'08902', 41.359030, 2.099462)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (984, 33, N'Hostalets de Pierola', N'hostalets-de-pierola', N'08781', 41.535117, 1.765623)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (985, 33, N'Igualada', N'igualada', N'08700', 41.578824, 1.615720)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (986, 33, N'Jorba', N'jorba', N'08719', 41.600650, 1.546154)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (987, 33, N'Llacuna', N'llacuna', N'08779', 41.472863, 1.533537)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (988, 33, N'Llagosta', N'llagosta', N'08120', 41.513333, 2.192931)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (989, 33, N'Lliça dAmunt', N'lliçadamunt', N'08186', 41.608993, 2.239537)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (990, 33, N'Lliçade Vall', N'llicade-vall', N'08185', 41.591086, 2.243357)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (991, 33, N'Llinars del Valles', N'llinars-del-valles', N'08450', 41.639501, 2.405534)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (992, 33, N'Lluça', N'lluca', N'08514', 42.050535, 2.034917)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (993, 33, N'Malgrat de Mar', N'malgrat-de-mar', N'08380', 41.647070, 2.742162)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (994, 33, N'Malla', N'malla', N'08519', 41.364828, 2.105255)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (995, 33, N'Manlleu', N'manlleu', N'08560', 41.999815, 2.285671)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (996, 33, N'Manresa', N'manresa', N'08240', 41.725398, 1.824074)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (997, 33, N'Marganell', N'marganell', N'08298', 41.640495, 1.792746)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (998, 33, N'Martorell', N'martorell', N'08760', 41.473860, 1.928315)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (999, 33, N'Martorelles', N'martorelles', N'08107', 41.533334, 2.230600)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1000, 33, N'Masies de Roda', N'masies-de-roda', N'08510', 41.989226, 2.318115)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1001, 33, N'Masies de Voltregà', N'masies-de-voltrega', N'08508', 42.021626, 2.234344)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1002, 33, N'Masnou', N'masnou', N'08320', 41.479326, 2.319660)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1003, 33, N'Masquefa', N'masquefa', N'08783', 41.502760, 1.810126)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1004, 33, N'Matadepera', N'matadepera', N'08230', 41.596799, 2.027020)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1005, 33, N'Mataró', N'mataro', N'08301', 41.537719, 2.445874)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1006, 33, N'Mediona', N'mediona', N'08773', 41.483505, 1.617050)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1007, 33, N'Moià', N'moia', N'08180', 41.813738, 2.098732)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1008, 33, N'Molins de Rei', N'molins-de-rei', N'08750', 41.413316, 2.020025)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1009, 33, N'Mollet del Vallés', N'mollet-del-valles', N'08100', 41.540803, 2.213573)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1010, 33, N'Monistrol de Calders', N'monistrol-de-calders', N'08275', 41.792497, 1.996980)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1011, 33, N'Monistrol de Montserrat', N'monistrol-de-montserrat', N'08691', 41.609731, 1.843772)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1012, 33, N'Montcada i Reixac', N'montcada-i-reixac', N'08110', 41.482509, 2.188725)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1013, 33, N'Montclar', N'montclar', N'08605', 42.018214, 1.764679)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1014, 33, N'Montesquiu', N'montesquiu', N'08585', 42.109908, 2.211642)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1015, 33, N'Montgat', N'montgat', N'08390', 41.466271, 2.280006)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1016, 33, N'Montmajor', N'montmajor', N'08612', 42.017736, 1.735239)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1017, 33, N'Montmaneu', N'montmaneu', N'08717', 41.625741, 1.415434)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1018, 33, N'Montmeló', N'montmelo', N'08160', 41.551627, 2.248249)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1019, 33, N'Montornes del Valles', N'montornes-del-valles', N'08170', 41.543052, 2.263870)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1020, 33, N'Montseny', N'montseny', N'08170', 41.760172, 2.396564)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1021, 33, N'Muntanyola', N'muntanyola', N'08529', 41.878540, 2.178168)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1022, 33, N'Mura', N'mura', N'08278', 41.699064, 1.977453)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1023, 33, N'Navarcles', N'navarcles', N'08270', 41.751881, 1.903639)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1024, 33, N'Navàs', N'navas', N'08670', 41.900201, 1.879821)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1025, 33, N'Nou de Bergueda', N'nou-de-bergueda', N'08698', 42.166362, 1.884713)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1027, 33, N'Olerdola', N'olerdola', N'08734', 41.322621, 1.723309)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1028, 33, N'Olesa de Bonesvalls', N'olesa-de-bonesvalls', N'08795', 41.352684, 1.850595)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1029, 33, N'Olesa de Montserrat', N'olesa-de-montserrat', N'08640', 41.543630, 1.888533)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1030, 33, N'Olivella', N'olivella', N'08818', 41.310373, 1.812444)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1031, 33, N'Olost', N'olost', N'08516', 41.986036, 2.097702)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1032, 33, N'Olvan', N'olvan', N'08611', 42.057514, 1.905484)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1033, 33, N'Orís', N'oris', N'08573', 42.060031, 2.240224)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1034, 33, N'Oristà', N'orista', N'08518', 41.932454, 2.060494)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1035, 33, N'Orpí', N'orpi', N'08787', 41.518796, 1.575508)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1037, 33, N'Pacs del Penedes', N'pacs-del-penedes', N'08796', 41.361188, 1.669450)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1038, 33, N'Palafolls', N'palafolls', N'08389', 41.665058, 2.749543)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1039, 33, N'Palau-solitài Plegamans', N'palau-solitai-plegamans', N'08184', 41.588165, 2.179112)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1040, 33, N'Pallejà', N'palleja', N'08780', 41.423936, 1.996937)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1041, 33, N'Palma de Cervelló', N'palma-de-cervello', N'08756', 41.413863, 1.967540)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1042, 33, N'Papiol', N'papiol', N'08754', 41.438995, 2.010927)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1043, 33, N'Parets del Vallés', N'parets-del-valles', N'08150', 41.573912, 2.234302)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1044, 33, N'Perafita', N'perafita', N'08589', 42.041612, 2.107229)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1045, 33, N'Piera', N'piera', N'08784', 41.518475, 1.742535)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1046, 33, N'Pineda de Mar', N'pineda-de-mar', N'08397', 41.627858, 2.689762)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1047, 33, N'Pla del Penedés', N'pla-del-penedes', N'08733', 41.417951, 1.709661)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1048, 33, N'Pobla de Claramunt', N'pobla-de-claramunt', N'08787', 41.550664, 1.672926)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1049, 33, N'Pobla de Lillet', N'pobla-de-lillet', N'08696', 42.244023, 1.974621)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1050, 33, N'Polinyà', N'polinya', N'08213', 41.557311, 2.156024)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1051, 33, N'Pont de Vilomara i Rocafort', N'pont-de-vilomara-i-rocafort', N'08254', 41.700250, 1.870508)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1052, 33, N'Pontons', N'pontons', N'08738', 41.415794, 1.517873)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1053, 33, N'Prat de Llobregat', N'prat-de-llobregat', N'08820', 41.329647, 2.092552)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1054, 33, N'Prats de Lluçanés', N'prats-de-llucanes', N'08513', 42.009573, 2.028008)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1055, 33, N'Prats de Rei', N'prats-de-rei', N'08281', 41.704960, 1.542935)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1056, 33, N'Premiàde Dalt', N'premiade-dalt', N'08338', 41.506295, 2.343135)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1057, 33, N'Premiàde Mar', N'premiade-mar', N'08330', 41.489549, 2.355452)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1058, 33, N'Puigdàlber', N'puigdalber', N'08797', 41.404272, 1.701207)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1059, 33, N'Puig-reig', N'puig-reig', N'08692', 41.975572, 1.879349)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1060, 33, N'Pujalt', N'pujalt', N'08282', 41.717390, 1.422386)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1061, 33, N'Quar', N'quar', N'08606', 42.080993, 1.960716)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1062, 33, N'Rajadell', N'rajadell', N'08256', 41.730330, 1.706057)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1063, 33, N'Rellinars', N'rellinars', N'08299', 41.637737, 1.910291)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1064, 33, N'Ripollet', N'ripollet', N'08291', 41.497843, 2.156625)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1065, 33, N'Roca del Vallés', N'roca-del-valles', N'08430', 41.591310, 2.325840)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1066, 33, N'Roda de Ter', N'roda-de-ter', N'08510', 41.986163, 2.310734)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1067, 33, N'Rubí', N'rubi', N'08191', 41.493214, 2.031097)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1068, 33, N'Rubió', N'elrubio', N'02693', 41.644055, 1.566410)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1069, 33, N'Rupit i Pruit', N'rupit-i-pruit', N'08569', 42.023411, 2.465401)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1070, 33, N'Sabadell', N'sabadell', N'08202', 41.548672, 2.107358)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1071, 33, N'Sagàs', N'sagas', N'08517', 42.051587, 1.960545)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1072, 33, N'Saldes', N'saldes', N'08697', 42.229280, 1.736870)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1073, 33, N'Sallent', N'sallent', N'08650', 41.825060, 1.896172)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1074, 33, N'Sant Adriàde Besós', N'sant-adriade-besos', N'08930', 41.430372, 2.216706)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1075, 33, N'Sant Agustíde Lluçanés', N'sant-agustide-llucanes', N'08586', 42.085611, 2.128515)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1076, 33, N'Sant Andreu de la Barca', N'sant-andreu-de-la-barca', N'08740', 41.447520, 1.975179)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1077, 33, N'Sant Andreu de Llavaneres', N'sant-andreu-de-llavaneres', N'08392', 41.573077, 2.482009)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1078, 33, N'Sant Antoni de Vilamajor', N'sant-antoni-de-vilamajor', N'08459', 41.673745, 2.402272)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1079, 33, N'Sant Bartomeu del Grau', N'sant-bartomeu-del-grau', N'08503', 41.981825, 2.173748)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1080, 33, N'Sant Boi de Llobregat', N'sant-boi-de-llobregat', N'08830', 41.346144, 2.044487)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1081, 33, N'Sant Boi de Lluçanés', N'sant-boi-de-llucanes', N'08830', 41.346918, 2.043200)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1082, 33, N'Sant Cebriàde Vallalta', N'sant-cebriade-vallalta', N'08396', 41.620640, 2.599039)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1083, 33, N'Sant Celoni', N'sant-celoni', N'08470', 41.689643, 2.488489)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1084, 33, N'Sant Climent de Llobregat', N'sant-climent-de-llobregat', N'08849', 41.338283, 1.996121)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1085, 33, N'Sant Cugat del Vallés', N'sant-cugat-del-valles', N'08174', 41.471802, 2.082038)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1086, 33, N'Sant Cugat Sesgarrigues', N'sant-cugat-sesgarrigues', N'08798', 41.365086, 1.753006)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1087, 33, N'Sant Esteve de Palautordera', N'sant-esteve-de-palautordera', N'08461', 41.704255, 2.433043)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1088, 33, N'Sant Esteve Sesrovires', N'sant-esteve-sesrovires', N'08635', 41.494628, 1.871967)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1089, 33, N'Sant Feliu de Codines', N'sant-feliu-de-codines', N'08182', 41.688617, 2.161689)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1090, 33, N'Sant Feliu de Llobregat', N'sant-feliu-de-llobregat', N'08980', 41.382025, 2.043457)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1091, 33, N'Sant Feliu Sasserra', N'sant-feliu-sasserra', N'08274', 41.945830, 2.022343)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1092, 33, N'Sant Fost de Campsentelles', N'sant-fost-de-campsentelles', N'08105', 41.515004, 2.234516)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1093, 33, N'Sant Fruitós de Bages', N'sant-fruitos-de-bages', N'08272', 41.751785, 1.873426)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1094, 33, N'Sant Hipólit de Voltregà', N'sant-hipolit-de-voltrega', N'08512', 42.016126, 2.234999)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1095, 33, N'Sant Iscle de Vallalta', N'sant-iscle-de-vallalta', N'08359', 41.623720, 2.570071)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1096, 33, N'Sant Jaume de Frontanyà', N'sant-jaume-de-frontanya', N'08607', 42.188083, 2.022557)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1097, 33, N'Sant Joan de Vilatorrada', N'sant-joan-de-vilatorrada', N'08250', 41.746214, 1.805835)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1098, 33, N'Sant Joan Despí', N'sant-joan-despi', N'08970', 41.367727, 2.057276)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1099, 33, N'Sant Juliàde Cerdanyola', N'sant-juliade-cerdanyola', N'08694', 42.223496, 1.890678)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1100, 33, N'Sant Juliàde Vilatorta', N'sant-juliade-vilatorta', N'08504', 41.923035, 2.326097)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1101, 33, N'Sant Just Desvern', N'sant-just-desvern', N'08960', 41.385954, 2.075300)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1102, 33, N'Sant Llorenç dHortons', N'sant-llorencdhortons', N'08791', 41.465322, 1.824675)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1103, 33, N'Sant LlorençSavall', N'sant-llorencsavall', N'08212', 41.680493, 2.059894)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1104, 33, N'Sant MartidAlbars', N'sant-martidalbars', N'08515', 42.029006, 2.074699)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1105, 33, N'Sant Martide Centelles', N'sant-martide-centelles', N'08592', 41.766815, 2.205763)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1106, 33, N'Sant Martide Tous', N'sant-martide-tous', N'08712', 41.562722, 1.523409)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1107, 33, N'Sant MartíSarroca', N'sant-martisarroca', N'08731', 41.395999, 1.602201)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1108, 33, N'Sant MartiSesgueioles', N'sant-martisesgueioles', N'08282', 41.702605, 1.488733)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1109, 33, N'Sant Mateu de Bages', N'sant-mateu-de-bages', N'08263', 41.799023, 1.736355)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1110, 33, N'Sant Pere de Ribes', N'sant-pere-de-ribes', N'08810', 41.259404, 1.776052)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1111, 33, N'Sant Pere de Riudebitlles', N'sant-pere-de-riudebitlles', N'08776', 41.454001, 1.702924)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1112, 33, N'Sant Pere de Torello', N'sant-pere-de-torello', N'08572', 42.075912, 2.297001)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1113, 33, N'Sant Pere de Vilamajor', N'sant-pere-de-vilamajor', N'08458', 41.685332, 2.390814)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1114, 33, N'Sant Pere Sallavinera', N'sant-pere-sallavinera', N'08281', 41.736367, 1.573277)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1115, 33, N'Sant Pol de Mar', N'sant-pol-de-mar', N'08395', 41.599093, 2.616506)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1116, 33, N'Sant Quintide Mediona', N'sant-quintide-mediona', N'08777', 41.463907, 1.666489)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1117, 33, N'Sant Quirze de Besora', N'sant-quirze-de-besora', N'08580', 42.100674, 2.216749)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1118, 33, N'Sant Quirze del Valles', N'sant-quirze-del-valles', N'08192', 41.530893, 2.086716)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1119, 33, N'Sant Quirze Safaja', N'sant-quirze-safaja', N'08189', 41.727880, 2.153792)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1120, 33, N'Sant SadurnidAnoia', N'sant-sadurnidanoia', N'08770', 41.425787, 1.785793)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1121, 33, N'Sant SadurnidOsormort', N'sant-sadurnidosormort', N'08504', 41.903475, 2.382059)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1122, 33, N'Sant Salvador de Guardiola', N'sant-salvador-de-guardiola', N'08253', 41.681037, 1.767597)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1123, 33, N'Sant Vicençde Castellet', N'sant-vicencde-castellet', N'08295', 41.666388, 1.863813)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1124, 33, N'Sant Vicençde Montalt', N'sant-vicencde-montalt', N'08394', 41.583141, 2.511148)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1125, 33, N'Sant Vicençde Torello', N'sant-vicencde-torello', N'08571', 42.062946, 2.273355)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1126, 33, N'Sant Vicençdels Horts', N'sant-vicencdels-horts', N'08620', 41.394244, 2.010112)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1127, 33, N'Santa Cecília de Voltregà', N'santa-cecilia-de-voltrega', N'08509', 42.021578, 2.234988)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1128, 33, N'Santa Coloma de Cervelló', N'santa-coloma-de-cervello', N'08690', 41.366616, 2.017193)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1129, 33, N'Santa Coloma de Gramenet', N'santa-coloma-de-gramenet', N'08921', 41.451589, 2.211041)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1130, 33, N'Santa Eugenia de Berga', N'santa-eugenia-de-berga', N'08507', 41.900057, 2.281551)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1131, 33, N'Santa Eulàlia de Riuprimer', N'santa-eulalia-de-riuprimer', N'08505', 41.910725, 2.189498)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1132, 33, N'Santa Eulalia de Ronçana', N'santa-eulalia-de-roncana', N'08187', 41.652762, 2.226791)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1133, 33, N'Santa Fe del Penedes', N'santa-fe-del-penedes', N'08792', 41.384778, 1.721635)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1134, 33, N'Santa Margarida de Montbui', N'santa-margarida-de-montbui', N'08710', 41.557970, 1.604476)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1135, 33, N'Santa Margarida i els Monjos', N'santa-margarida-i-els-monjos', N'08730', 41.320864, 1.663356)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1136, 33, N'Santa Maria de Besora', N'santa-maria-de-besora', N'08584', 42.127591, 2.258420)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1137, 33, N'Santa Maria de Corcó', N'santa-maria-de-corco', N'08511', 42.036305, 2.369013)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1138, 33, N'Santa Maria de Martorelles', N'santa-maria-de-martorelles', N'08106', 41.519905, 2.254815)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1139, 33, N'Santa Maria de Merlés', N'santa-maria-de-merles', N'08517', 42.001744, 1.978226)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1140, 33, N'Santa Maria de Miralles', N'santa-maria-de-miralles', N'08787', 41.519182, 1.525555)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1141, 33, N'Santa Maria de Palautordera', N'santa-maria-de-palautordera', N'08460', 41.692944, 2.448664)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1142, 33, N'Santa Maria dOlo', N'santa-maria-dolo', N'08273', 41.872357, 2.035818)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1143, 33, N'Santa Perpetua de Mogoda', N'santa-perpetua-de-mogoda', N'08130', 41.534507, 2.179198)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1144, 33, N'Santa Susanna', N'santa-susanna', N'08398', 41.638683, 2.716198)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1145, 33, N'Santpedor', N'santpedor', N'08251', 41.783761, 1.839910)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1146, 33, N'Sentmenat', N'sentmenat', N'08181', 41.611849, 2.136197)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1147, 33, N'Seva', N'seva', N'08553', 41.837339, 2.280951)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1148, 33, N'Sitges', N'sitges', N'08870', 41.235220, 1.811285)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1149, 33, N'Sobremunt', N'sobremunt', N'08589', 42.034823, 2.168083)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1150, 33, N'Sora', N'sora', N'08588', 42.110767, 2.159758)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1151, 33, N'Subirats', N'subirats', N'08739', 41.384730, 1.798282)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1152, 33, N'Súria', N'suria', N'08260', 41.831840, 1.751890)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1153, 33, N'Tagamanent', N'tagamanent', N'08593', 41.739905, 2.266145)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1155, 33, N'Taradell', N'taradell', N'08552', 41.873156, 2.288504)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1156, 33, N'Tavérnoles', N'tavernoles', N'08519', 41.952166, 2.325540)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1157, 33, N'Tavertet', N'tavertet', N'08511', 41.996067, 2.420039)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1158, 33, N'Teià', N'teia', N'08329', 41.500109, 2.321291)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1159, 33, N'Terrassa', N'terrassa', N'08221', 41.560828, 2.012343)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1160, 33, N'Tiana', N'tiana', N'08391', 41.483377, 2.269964)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1161, 33, N'Tona', N'tona', N'08551', 41.848258, 2.227821)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1162, 33, N'Tordera', N'tordera', N'08490', 41.702380, 2.718945)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1163, 33, N'Torelló', N'torello', N'08570', 42.048767, 2.263055)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1164, 33, N'Torre de Claramunt', N'torre-de-claramunt', N'08789', 41.536386, 1.661897)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1165, 33, N'Torrelavit', N'torrelavit', N'08775', 41.446506, 1.730390)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1166, 33, N'Torrelles de Foix', N'torrelles-de-foix', N'08737', 41.389544, 1.568384)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1167, 33, N'Torrelles de Llobregat', N'torrelles-de-llobregat', N'08629', 41.353312, 1.976252)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1168, 33, N'Ullastrell', N'ullastrell', N'08231', 41.527198, 1.955953)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1169, 33, N'Vacarisses', N'vacarisses', N'08233', 41.606763, 1.918874)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1170, 33, N'Vallbona dAnoia', N'vallbona-danoia', N'08785', 41.527520, 1.716571)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1171, 33, N'Vallcebre', N'vallcebre', N'08699', 42.204028, 1.819096)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1172, 33, N'Vallgorguina', N'vallgorguina', N'08471', 41.648465, 2.510462)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1173, 33, N'Vallirana', N'vallirana', N'08759', 41.388900, 1.932220)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1174, 33, N'Vallromanes', N'vallromanes', N'08188', 41.531825, 2.298203)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1175, 33, N'Veciana', N'veciana', N'08289', 41.656866, 1.488476)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1176, 33, N'Vic', N'vic', N'01117', 41.930100, 2.254364)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1177, 33, N'Vilada', N'vilada', N'08613', 42.136932, 1.931663)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1178, 33, N'Viladecans', N'viladecans', N'08840', 41.316626, 2.019253)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1179, 33, N'Viladecavalls', N'viladecavalls', N'08232', 41.555513, 1.954107)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1180, 33, N'Vilafranca del Penedés', N'vilafranca-del-penedes', N'08720', 41.345758, 1.699190)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1181, 33, N'Vilalba Sasserra', N'vilalba-sasserra', N'08455', 41.653387, 2.440767)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1182, 33, N'Vilanova de Sau', N'vilanova-de-sau', N'08519', 41.948958, 2.382746)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1183, 33, N'Vilanova del Camí', N'vilanova-del-cami', N'08788', 41.574265, 1.642585)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1184, 33, N'Vilanova del Vallés', N'vilanova-del-valles', N'08410', 41.554710, 2.289147)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1185, 33, N'Vilanova i la Geltrú', N'vilanova-i-la-geltru', N'08800', 41.224376, 1.726656)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1186, 33, N'Vilassar de Dalt', N'vilassar-de-dalt', N'08339', 41.516290, 2.358842)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1187, 33, N'Vilassar de Mar', N'vilassar-de-mar', N'08340', 41.502246, 2.390556)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1188, 33, N'Vilobídel Penedés', N'vilobidel-penedes', N'08735', 41.388948, 1.661811)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1189, 33, N'Viver i Serrateix', N'viver-i-serrateix', N'08673', 41.956235, 1.813087)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1191, 37, N'Abajas', N'abajas', N'09141', 42.622985, -3.582064)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1192, 37, N'Adrada de Haza', N'adrada-de-haza', N'09462', 41.594995, -3.821819)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1193, 37, N'Aguas Cándidas', N'aguas-candidas', N'09593', 42.716245, -3.501964)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1194, 37, N'Aguilar de Bureba', N'aguilar-de-bureba', N'09249', 42.590233, -3.328107)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1195, 37, N'Albillos', N'albillos', N'09239', 42.275754, -3.790579)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1196, 37, N'Alcocero de Mola', N'alcocero-de-mola', N'09258', 42.471478, -3.358511)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1197, 37, N'Alfoz de Bricia', N'alfoz-de-bricia', N'09572', 42.907265, -3.847044)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1198, 37, N'Alfoz de Quintanadueñas', N'alfoz-de-quintanaduenas', N'09197', 42.385005, -3.734762)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1199, 37, N'Alfoz de Santa Gadea', N'alfoz-de-santa-gadea', N'09571', 42.955981, -3.951997)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1200, 37, N'Altable', N'altable', N'09219', 42.602665, -3.077319)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1201, 37, N'Altos', N'altos', N'09559', 42.808247, -3.614502)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1202, 37, N'Ameyugo', N'ameyugo', N'09219', 42.657015, -3.059684)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1203, 37, N'Anguix', N'anguix', N'09313', 41.753702, -3.932213)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1204, 37, N'Aranda de Duero', N'aranda-de-duero', N'09400', 41.669924, -3.688995)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1205, 37, N'Arandilla', N'arandilla', N'09410', 41.738070, -3.427889)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1206, 37, N'Arauzo de Miel', N'arauzo-de-miel', N'09451', 41.859685, -3.387659)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1207, 37, N'Arauzo de Salce', N'arauzo-de-salce', N'09451', 41.818325, -3.411789)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1208, 37, N'Arauzo de Torre', N'arauzo-de-torre', N'09451', 41.797925, -3.423224)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1209, 37, N'Arcos', N'arcos-burgos', N'09195', 42.265483, -3.754992)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1210, 37, N'Arenillas de Riopisuerga', N'arenillas-de-riopisuerga', N'09107', 42.357625, -4.233874)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1211, 37, N'Arija', N'arija', N'09570', 42.991755, -3.946129)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1212, 37, N'Arlanzón', N'arlanzon', N'09199', 42.321792, -3.458653)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1213, 37, N'Arraya de Oca', N'arraya-de-oca', N'09292', 42.415022, -3.397483)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1214, 37, N'Atapuerca', N'atapuerca', N'09199', 42.376875, -3.508459)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1215, 37, N'Ausines', N'ausines', N'09194', 42.225403, -3.597679)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1216, 37, N'Avellanosa de Muó', N'avellanosa-de-muno', N'09345', 41.983249, -3.823865)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1217, 37, N'Bahabón de Esgueva', N'bahabon-de-esgueva', N'09350', 41.862170, -3.728809)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1218, 37, N'Balbases', N'balbases', N'09119', 42.214025, -4.063568)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1219, 37, N'Baños de Valdearados', N'banos-de-valdearados', N'09450', 41.771305, -3.558154)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1220, 37, N'Bañuelos de Bureba', N'banuelos-de-bureba', N'09248', 42.500441, -3.279360)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1221, 37, N'Barbadillo de Herreros', N'barbadillo-de-herreros', N'09615', 42.150014, -3.173880)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1222, 37, N'Barbadillo del Mercado', N'barbadillo-del-mercado', N'09613', 42.040468, -3.356806)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1223, 37, N'Barbadillo del Pez', N'barbadillo-del-pez', N'09614', 42.118927, -3.229535)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1224, 37, N'Barrio de Muó', N'barrio-de-muno', N'09226', 42.175129, -4.007310)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1225, 37, N'Barrios de Bureba', N'barrios-de-bureba', N'09246', 42.645667, -3.391424)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1226, 37, N'Barrios de Colina', N'barrios-de-colina', N'09199', 42.395670, -3.462621)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1227, 37, N'Basconcillos del Tozo', N'basconcillos-del-tozo', N'09126', 42.701293, -3.988033)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1228, 37, N'Bascuñana', N'bascunana', N'09259', 42.425611, -3.080292)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1229, 37, N'Belbimbre', N'belbimbre', N'09226', 42.169135, -4.012114)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1230, 37, N'Belorado', N'belorado', N'09250', 42.418840, -3.191289)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1231, 37, N'Berberana', N'berberana', N'09511', 42.919245, -3.058799)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1232, 37, N'Berlangas de Roa', N'berlangas-de-roa', N'09316', 41.688825, -3.872979)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1233, 37, N'Berzosa de Bureba', N'berzosa-de-bureba', N'09245', 42.626680, -3.266319)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1234, 37, N'Bozoó', N'bozoo', N'09219', 42.726508, -3.084970)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1235, 37, N'Brazacorta', N'brazacorta', N'09490', 41.717214, -3.366451)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1236, 37, N'Briviesca', N'briviesca', N'09240', 42.550409, -3.322678)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1237, 37, N'Bugedo', N'bugedo', N'09293', 42.649475, -3.018107)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1238, 37, N'Buniel', N'buniel', N'09230', 42.309990, -3.824015)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1239, 37, N'Burgos', N'burgos', N'09002', 42.341147, -3.699474)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1240, 37, N'Busto de Bureba', N'busto-de-bureba', N'09244', 42.660064, -3.263969)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1241, 37, N'Cabañes de Esgueva', N'cabanes-de-esgueva', N'09350', 41.831824, -3.785348)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1242, 37, N'Cabezón de la Sierra', N'cabezon-de-la-sierra', N'09612', 41.931018, -3.243542)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1243, 37, N'Caleruega', N'caleruega', N'09451', 41.825332, -3.486271)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1244, 37, N'Campillo de Aranda', N'campillo-de-aranda', N'09493', 41.610357, -3.729901)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1245, 37, N'Campolara', N'campolara', N'09650', 42.119442, -3.427434)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1246, 37, N'Canicosa de la Sierra', N'canicosa-de-la-sierra', N'09692', 41.936589, -3.041282)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1247, 37, N'Cantabrana', N'cantabrana', N'09593', 42.734736, -3.466702)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1248, 37, N'Carazo', N'carazo', N'09611', 41.969526, -3.353620)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1249, 37, N'Carcedo de Bureba', N'carcedo-de-bureba', N'09592', 42.578729, -3.497944)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1250, 37, N'Carcedo de Burgos', N'carcedo-de-burgos', N'09193', 42.286628, -3.622355)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1251, 37, N'Cardeñadijo', N'cardenadijo', N'09194', 42.299643, -3.665142)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1252, 37, N'Cardeñajimeno', N'cardenajimeno', N'09193', 42.331028, -3.620510)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1253, 37, N'Cardeñuela Riopico', N'cardenuela-riopico', N'09192', 42.360367, -3.557296)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1254, 37, N'Carrias', N'carrias', N'09248', 42.481703, -3.282938)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1255, 37, N'Cascajares de Bureba', N'cascajares-de-bureba', N'09253', 42.680479, -3.233242)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1256, 37, N'Cascajares de la Sierra', N'cascajares-de-la-sierra', N'09640', 42.062086, -3.398509)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1257, 37, N'Castellanos de Castro', N'castellanos-de-castro', N'09227', 42.328204, -4.033442)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1258, 37, N'Castil de Peones', N'castil-de-peones', N'09258', 42.483223, -3.384476)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1259, 37, N'Castildelgado', N'castildelgado', N'09259', 42.437061, -3.084068)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1260, 37, N'Castrillo de la Reina', N'castrillo-de-la-reina', N'09691', 41.987838, -3.236332)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1261, 37, N'Castrillo de la Vega', N'castrillo-de-la-vega', N'09391', 41.650677, -3.779855)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1262, 37, N'Castrillo de Riopisuerga', N'castrillo-de-riopisuerga', N'09108', 42.515623, -4.252481)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1263, 37, N'Castrillo del Val', N'castrillo-del-val', N'09193', 42.314719, -3.584590)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1264, 37, N'Castrillo Matajudíos', N'castrillo-matajudios', N'09107', 42.310910, -4.173088)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1265, 37, N'Castrojeriz', N'castrojeriz', N'09110', 42.288929, -4.137554)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1266, 37, N'Cavia', N'cavia', N'09239', 42.283961, -3.844829)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1267, 37, N'Cayuela', N'cayuela', N'09239', 42.272498, -3.818650)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1268, 37, N'Cebrecos', N'cebrecos', N'09348', 41.983404, -3.596306)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1269, 37, N'Celada del Camino', N'celada-del-camino', N'09226', 42.263225, -3.934608)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1270, 37, N'Cerezo de Río Tirón', N'cerezo-de-rio-tiron', N'09270', 42.491324, -3.133721)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1271, 37, N'Cerratón de Juarros', N'cerraton-de-juarros', N'09292', 42.422617, -3.373618)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1272, 37, N'Ciadoncha', N'ciadoncha', N'09228', 42.160684, -3.933835)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1273, 37, N'Cillaperlata', N'cillaperlata', N'09213', 42.782740, -3.358898)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1274, 37, N'Cilleruelo de Abajo', N'cilleruelo-de-abajo', N'09349', 41.884899, -3.794918)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1275, 37, N'Cilleruelo de Arriba', N'cilleruelo-de-arriba', N'09349', 41.905088, -3.659992)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1276, 37, N'Ciruelos de Cervera', N'ciruelos-de-cervera', N'09610', 41.907260, -3.528328)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1277, 37, N'Cogollos', N'cogollos', N'09320', 42.201246, -3.698874)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1278, 37, N'Condado de Treviño', N'condado-de-trevino', N'09215', 42.734688, -2.745810)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1279, 37, N'Contreras', N'contreras', N'09613', 42.021498, -3.409839)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1280, 37, N'Coruña del Conde', N'coruna-del-conde', N'09410', 41.767215, -3.390484)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1281, 37, N'Covarrubias', N'covarrubias', N'09346', 42.059681, -3.520088)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1282, 37, N'Cubillo del Campo', N'cubillo-del-campo', N'09352', 42.168186, -3.610700)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1283, 37, N'Cubo de Bureba', N'cubo-de-bureba', N'09251', 42.641741, -3.205111)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1284, 37, N'Cueva de Roa', N'cueva-de-roa', N'09315', 41.666853, -3.939543)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1285, 37, N'Cuevas de San Clemente', N'cuevas-de-san-clemente', N'09641', 42.129738, -3.567984)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1286, 37, N'Encío', N'encio', N'09219', 42.667038, -3.084154)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1287, 37, N'Espinosa de Cervera', N'espinosa-de-cervera', N'09610', 41.896687, -3.468032)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1288, 37, N'Espinosa de los Monteros', N'espinosa-de-los-monteros', N'09560', 43.078042, -3.550987)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1289, 37, N'Espinosa del Camino', N'espinosa-del-camino', N'09258', 42.406538, -3.280835)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1290, 37, N'Estépar', N'estepar', N'09230', 42.275721, -3.897915)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1291, 37, N'Fontioso', N'fontioso', N'09349', 41.942957, -3.738613)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1292, 37, N'Frandovínez', N'frandovinez', N'09230', 42.309466, -3.838992)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1293, 37, N'Fresneda de la Sierra Tirón', N'fresneda-de-la-sierra-tiron', N'09267', 42.315909, -3.136768)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1294, 37, N'Fresneña', N'fresnena', N'09259', 42.413825, -3.134451)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1295, 37, N'Fresnillo de las Dueñas', N'fresnillo-de-las-duenas', N'09491', 41.646813, -3.643599)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1296, 37, N'Fresno de Río Tirón', N'fresno-de-rio-tiron', N'09272', 42.460447, -3.175435)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1297, 37, N'Fresno de Rodilla', N'fresno-de-rodilla', N'09290', 42.420384, -3.484683)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1298, 37, N'Frías', N'frias', N'09211', 42.761192, -3.294311)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1299, 37, N'Fuentebureba', N'fuentebureba', N'09244', 42.634117, -3.234186)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1300, 37, N'Fuentecén', N'fuentecen', N'09315', 41.628852, -3.869934)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1301, 37, N'Fuentelcésped', N'fuentelcesped', N'09471', 41.591246, -3.639393)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1302, 37, N'Fuentelisendo', N'fuentelisendo', N'09318', 41.622693, -3.900919)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1303, 37, N'Fuentemolinos', N'fuentemolinos', N'09315', 41.605592, -3.849764)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1304, 37, N'Fuentenebro', N'fuentenebro', N'09461', 41.525736, -3.755693)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1305, 37, N'Fuentespina', N'fuentespina', N'09471', 41.632188, -3.685570)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1306, 37, N'Galbarros', N'galbarros', N'09247', 42.528923, -3.437176)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1307, 37, N'Gallega', N'gallega', N'09612', 41.899402, -3.264399)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1308, 37, N'Grijalba', N'grijalba', N'09128', 42.430299, -4.119015)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1309, 37, N'Grisaleña', N'grisalena', N'09245', 42.590974, -3.263669)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1310, 37, N'Gumiel de Izán', N'gumiel-de-izan', N'09370', 41.773936, -3.688874)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1311, 37, N'Gumiel de Mercado', N'gumiel-de-mercado', N'09443', 41.756843, -3.802900)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1312, 37, N'Hacinas', N'hacinas', N'09611', 41.985238, -3.286242)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1313, 37, N'Haza', N'haza', N'09463', 41.621506, -3.829679)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1314, 37, N'Hontanas', N'hontanas', N'09227', 42.312830, -4.046402)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1315, 37, N'Hontangas', N'hontangas', N'09462', 41.582933, -3.797021)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1316, 37, N'Hontoria de la Cantera', N'hontoria-de-la-cantera', N'09351', 42.189482, -3.643985)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1317, 37, N'Hontoria de Valdearados', N'hontoria-de-valdearados', N'09450', 41.746085, -3.521633)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1318, 37, N'Hontoria del Pinar', N'hontoria-del-pinar', N'09660', 41.849360, -3.162260)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1319, 37, N'Hormazas', N'hormazas', N'09133', 42.515385, -3.896112)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1320, 37, N'Hornillos del Camino', N'hornillos-del-camino', N'09230', 42.339387, -3.925982)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1321, 37, N'Horra', N'horra', N'09311', 41.741603, -3.875599)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1322, 37, N'Hortig', N'hortig', N'09640', 42.068410, -3.425460)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1323, 37, N'Hoyales de Roa', N'hoyales-de-roa', N'09316', 41.659511, -3.863668)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1324, 37, N'Huérmeces', N'huermeces', N'09150', 42.521807, -3.772388)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1325, 37, N'Huerta de Arriba', N'huerta-de-arriba', N'09614', 42.117071, -3.081837)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1326, 37, N'Huerta de Rey', N'huerta-de-rey', N'09430', 41.840793, -3.349714)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1327, 37, N'Humada', N'humada', N'09124', 42.668300, -4.083438)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1328, 37, N'Hurones', N'hurones', N'09191', 42.406379, -3.614202)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1329, 37, N'Ibeas de Juarros', N'ibeas-de-juarros', N'09198', 42.332408, -3.535452)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1330, 37, N'Ibrillos', N'ibrillos', N'09259', 42.454336, -3.083425)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1331, 37, N'Iglesiarrubia', N'iglesiarrubia', N'09345', 41.974870, -3.847275)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1332, 37, N'Iglesias', N'iglesias', N'09227', 42.298453, -3.989582)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1333, 37, N'Isar', N'isar', N'09653', 42.362032, -3.930573)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1334, 37, N'Itero del Castillo', N'itero-del-castillo', N'09107', 42.289850, -4.244285)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1335, 37, N'Jaramillo de la Fuente', N'jaramillo-de-la-fuente', N'09640', 42.114365, -3.313065)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1336, 37, N'Jaramillo Quemado', N'jaramillo-quemado', N'09640', 42.085739, -3.361988)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1337, 37, N'Junta de Traslaloma', N'junta-de-traslaloma', N'09514', 43.038658, -3.388081)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1338, 37, N'Junta de Villalba de Losa', N'junta-de-villalba-de-losa', N'09511', 42.935501, -3.087630)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1339, 37, N'Jurisdicción de Lara', N'jurisdiccion-de-lara', N'09650', 42.135150, -3.449364)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1340, 37, N'Jurisdicción de San Zadornil', N'jurisdiccion-de-san-zadornil', N'01427', 42.840919, -3.157969)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1341, 37, N'Lerma', N'lerma', N'01195', 42.025611, -3.756723)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1342, 37, N'Llano de Bureba', N'llano-de-bureba', N'09246', 42.624707, -3.458891)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1343, 37, N'Madrigal del Monte', N'madrigal-del-monte', N'09320', 42.144983, -3.675914)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1344, 37, N'Madrigalejo del Monte', N'madrigalejo-del-monte', N'09390', 42.124933, -3.725481)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1345, 37, N'Mahamud', N'mahamud', N'09228', 42.119681, -3.939371)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1346, 37, N'Mambrilla de Castrejón', N'mambrilla-de-castrejon', N'09317', 41.667526, -3.984604)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1347, 37, N'Mambrillas de Lara', N'mambrillas-de-lara', N'09640', 42.094051, -3.461852)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1348, 37, N'Mamolar', N'mamolar', N'09612', 41.926803, -3.360572)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1349, 37, N'Manciles', N'manciles', N'09133', 42.456046, -3.945036)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1350, 37, N'Mazuela', N'mazuela', N'09228', 42.206810, -3.917742)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1351, 37, N'Mecerreyes', N'mecerreyes', N'09346', 42.095675, -3.573647)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1352, 37, N'Medina de Pomar', N'medina-de-pomar', N'09500', 42.928871, -3.487043)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1353, 37, N'Melgar de Fernamental', N'melgar-de-fernamental', N'09100', 42.403527, -4.244156)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1354, 37, N'Merindad de Cuesta-Urria', N'merindad-de-cuesta-urria', N'09515', 42.901433, -3.389626)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1355, 37, N'Merindad de Montija', N'merindad-de-montija', N'09569', 43.092475, -3.433056)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1356, 37, N'Merindad de Río Ubierna', N'merindad-de-rio-ubierna', N'09141', 42.617144, -3.650079)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1357, 37, N'Merindad de Sotoscueva', N'merindad-de-sotoscueva', N'09575', 43.059184, -3.641367)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1358, 37, N'Merindad de Valdeporres', N'merindad-de-valdeporres', N'09557', 43.020604, -3.767753)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1359, 37, N'Merindad de Valdivielso', N'merindad-de-valdivielso', N'09559', 42.819722, -3.533864)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1360, 37, N'Milagros', N'milagros', N'09460', 41.575694, -3.698831)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1361, 37, N'Miranda de Ebro', N'miranda-de-ebro', N'09200', 42.687783, -2.947125)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1362, 37, N'Miraveche', N'miraveche', N'09252', 42.674635, -3.199446)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1363, 37, N'Modúbar de la Emparedada', N'modubar-de-la-emparedada', N'09620', 42.261017, -3.660078)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1364, 37, N'Monasterio de la Sierra', N'monasterio-de-la-sierra', N'09613', 42.051125, -3.193202)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1365, 37, N'Monasterio de Rodilla', N'monasterio-de-rodilla', N'09292', 42.458088, -3.468161)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1366, 37, N'Moncalvillo', N'moncalvillo', N'09691', 41.955421, -3.199296)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1367, 37, N'Monterrubio de la Demanda', N'monterrubio-de-la-demanda', N'09615', 42.148499, -3.112307)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1368, 37, N'Montorio', N'montorio', N'09125', 42.584291, -3.776937)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1369, 37, N'Moradillo de Roa', N'moradillo-de-roa', N'09462', 41.548480, -3.786764)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1370, 37, N'Nava de Roa', N'nava-de-roa', N'09318', 41.614079, -3.964648)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1371, 37, N'Navas de Bureba', N'navas-de-bureba', N'09249', 42.682577, -3.326540)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1372, 37, N'Nebreda', N'nebreda', N'09348', 41.968600, -3.633685)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1373, 37, N'Neila', N'neila', N'09679', 42.060047, -2.996950)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1374, 37, N'Olmedillo de Roa', N'olmedillo-de-roa', N'09311', 41.783329, -3.933492)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1375, 37, N'Olmillos de Muó', N'olmillos-de-muno', N'09228', 42.202280, -3.939886)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1376, 37, N'Oña', N'ona', N'09530', 42.735067, -3.414345)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1377, 37, N'Oquillas', N'oquillas', N'09350', 41.831520, -3.700676)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1378, 37, N'Orbaneja Riopico', N'orbaneja-riopico', N'09192', 42.360367, -3.584332)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1379, 37, N'Padilla de Abajo', N'padilla-de-abajo', N'09109', 42.407599, -4.175920)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1380, 37, N'Padilla de Arriba', N'padilla-de-arriba', N'09108', 42.438740, -4.194245)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1381, 37, N'Padrones de Bureba', N'padrones-de-bureba', N'09593', 42.705162, -3.531976)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1382, 37, N'Palacios de la Sierra', N'palacios-de-la-sierra', N'09680', 41.963942, -3.124709)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1383, 37, N'Palacios de Riopisuerga', N'palacios-de-riopisuerga', N'09107', 42.344256, -4.256430)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1384, 37, N'Palazuelos de la Sierra', N'palazuelos-de-la-sierra', N'09649', 42.212166, -3.459492)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1385, 37, N'Palazuelos de Muó', N'palazuelos-de-muno', N'09226', 42.196907, -3.987608)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1386, 37, N'Pampliega', N'pampliega', N'09220', 42.206031, -3.987136)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1387, 37, N'Pancorbo', N'pancorbo', N'09280', 42.635064, -3.112993)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1388, 37, N'Pardilla', N'pardilla', N'09462', 41.550648, -3.709989)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1389, 37, N'Partido de la Sierra en Tobalina', N'partido-de-la-sierra-en-tobalina', N'09211', 42.716748, -3.233462)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1390, 37, N'Pedrosa de Duero', N'pedrosa-de-duero', N'09314', 41.711447, -3.985677)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1391, 37, N'Pedrosa de Río Ášrbel', N'pedrosa-de-rio-urbel', N'09131', 42.409976, -3.820753)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1392, 37, N'Pedrosa del Páramo', N'pedrosa-del-paramo', N'09133', 42.442572, -3.972588)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1393, 37, N'Pedrosa del Príncipe', N'pedrosa-del-principe', N'09119', 42.249789, -4.198065)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1394, 37, N'Peñaranda de Duero', N'penaranda-de-duero', N'09410', 41.688922, -3.480906)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1395, 37, N'Peral de Arlanza', N'peral-de-arlanza', N'09342', 42.076772, -4.076657)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1396, 37, N'Piérnigas', N'piernigas', N'09246', 42.590168, -3.412242)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1397, 37, N'Pineda de la Sierra', N'pineda-de-la-sierra', N'09199', 42.216139, -3.296542)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1398, 37, N'Pineda Trasmonte', N'pineda-trasmonte', N'09349', 41.911412, -3.695698)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1399, 37, N'Pinilla de los Barruecos', N'pinilla-de-los-barruecos', N'09612', 41.919220, -3.306456)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1400, 37, N'Pinilla de los Moros', N'pinilla-de-los-moros', N'09613', 42.067996, -3.327398)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1401, 37, N'Pinilla Trasmonte', N'pinilla-trasmonte', N'09354', 41.873827, -3.619137)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1402, 37, N'Poza de la Sal', N'poza-de-la-sal', N'09246', 42.665823, -3.500605)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1403, 37, N'Prádanos de Bureba', N'pradanos-de-bureba', N'09248', 42.501734, -3.280320)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1404, 37, N'Pradoluengo', N'pradoluengo', N'09260', 42.323413, -3.201485)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1405, 37, N'Presencio', N'presencio', N'09228', 42.185870, -3.901359)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1406, 37, N'Puebla de Arganzón', N'puebla-de-arganzon', N'09294', 42.765257, -2.833357)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1407, 37, N'Puentedura', N'puentedura', N'09347', 42.041676, -3.582959)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1408, 37, N'Quemada', N'quemada', N'09454', 41.700842, -3.575792)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1409, 37, N'Quintana del Pidio', N'quintana-del-pidio', N'09370', 41.759676, -3.751831)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1410, 37, N'Quintanabureba', N'quintanabureba', N'09246', 42.665697, -3.500519)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1411, 37, N'Quintanaélez', N'quintanaelez', N'09244', 42.668947, -3.298688)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1412, 37, N'Quintanaortuño', N'quintanaortuno', N'09140', 42.414918, -3.689904)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1413, 37, N'Quintanapalla', N'quintanapalla', N'09290', 42.408550, -3.534036)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1414, 37, N'Quintanar de la Sierra', N'quintanar-de-la-sierra', N'09670', 41.981618, -3.039608)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1415, 37, N'Quintanavides', N'quintanavides', N'09292', 42.481324, -3.425117)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1416, 37, N'Quintanilla de la Mata', N'quintanilla-de-la-mata', N'09349', 41.988636, -3.766422)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1417, 37, N'Quintanilla del Agua y Tordueles', N'quintanilla-del-agua-y-tordueles', N'09347', 42.041469, -3.650508)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1418, 37, N'Quintanilla del Coco', N'quintanilla-del-coco', N'09348', 41.979895, -3.516269)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1419, 37, N'Quintanilla San García', N'quintanilla-san-garcia', N'09271', 42.548923, -3.193932)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1420, 37, N'Quintanilla Vivar', N'quintanilla-vivar', N'09140', 42.415172, -3.689990)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1421, 37, N'Quintanillas', N'quintanillas', N'39418', 42.891545, -4.205747)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1422, 37, N'Rabanera del Pinar', N'rabanera-del-pinar', N'09660', 41.892838, -3.193545)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1423, 37, N'Los Rabanos', N'losrabanos', N'09268', 42.319859, -3.268819)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1424, 37, N'Rabéde las Calzadas', N'rabede-las-calzadas', N'09130', 42.340767, -3.833628)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1425, 37, N'Rebolledo de la Torre', N'rebolledo-de-la-torre', N'34492', 42.687688, -4.227033)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1426, 37, N'Redecilla del Camino', N'redecilla-del-camino', N'09259', 42.438582, -3.064198)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1428, 37, N'Regumiel de la Sierra', N'regumiel-de-la-sierra', N'09693', 41.956219, -2.987251)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1429, 37, N'Reinoso', N'reinoso', N'09248', 42.502652, -3.347225)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1430, 37, N'Retuerta', N'retuerta', N'09347', 42.030185, -3.507128)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1431, 37, N'Revilla del Campo', N'revilla-del-campo', N'09194', 42.212039, -3.537126)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1432, 37, N'Revilla Vallejera', N'revilla-vallejera', N'34260', 42.148037, -4.134121)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1433, 37, N'Revilla y Ahedo', N'revilla-y-ahedo', N'09613', 42.012491, -3.330488)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1434, 37, N'Revillarruz', N'revillarruz', N'09620', 42.230694, -3.652782)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1435, 37, N'Rezmondo', N'rezmondo', N'09108', 42.515306, -4.251280)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1436, 37, N'Riocavado de la Sierra', N'riocavado-de-la-sierra', N'09615', 42.152173, -3.198180)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1437, 37, N'Roa', N'roa', N'09300', 41.697157, -3.927484)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1438, 37, N'Rojas', N'rojas', N'09246', 42.578650, -3.440094)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1439, 37, N'Royuela de Río Franco', N'royuela-de-rio-franco', N'09344', 41.997152, -3.956065)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1440, 37, N'Rubena', N'rubena', N'09199', 42.387887, -3.573647)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1441, 37, N'Rublacedo de Abajo', N'rublacedo-de-abajo', N'09592', 42.533809, -3.509231)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1442, 37, N'Rucandio', N'rucandio', N'09593', 42.751944, -3.541675)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1443, 37, N'Salas de Bureba', N'salas-de-bureba', N'09593', 42.692144, -3.473783)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1444, 37, N'Salas de los Infantes', N'salas-de-los-infantes', N'09600', 42.023554, -3.286200)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1445, 37, N'Saldaña de Burgos', N'saldana-de-burgos', N'09620', 42.259096, -3.696771)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1446, 37, N'Salinillas de Bureba', N'salinillas-de-bureba', N'09247', 42.553602, -3.386836)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1447, 37, N'San Adrián de Juarros', N'san-adrian-de-juarros', N'09198', 42.274975, -3.474383)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1448, 37, N'San Juan del Monte', N'san-juan-del-monte', N'09490', 0.000000, -3.521434)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1449, 37, N'San Mamés de Burgos', N'san-mames-de-burgos', N'09230', 42.337722, -3.794317)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1450, 37, N'San Martín de Rubiales', N'san-martin-de-rubiales', N'09317', 41.642949, -3.992586)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1451, 37, N'San Millán de Lara', N'san-millan-de-lara', N'09640', 42.136263, -3.347569)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1452, 37, N'San Vicente del Valle', N'san-vicente-del-valle', N'09268', 42.136757, -3.346453)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1453, 37, N'Santa Cecilia', N'santa-cecilia', N'09341', 42.052782, -3.802600)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1454, 37, N'Santa Cruz de la Salceda', N'santa-cruz-de-la-salceda', N'09471', 41.595403, -3.593860)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1455, 37, N'Santa Cruz del Valle Urbión', N'santa-cruz-del-valle-urbion', N'09268', 42.303484, -3.221612)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1456, 37, N'Santa Gadea del Cid', N'santa-gadea-del-cid', N'09219', 42.716813, -3.056087)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1457, 37, N'Santa Inés', N'santa-ines', N'09390', 42.039301, -3.702178)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1458, 37, N'Santa María del Campo', N'santa-maria-del-campo', N'09342', 42.132556, -3.973832)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1459, 37, N'Santa María del Invierno', N'santa-maria-del-invierno', N'09292', 42.443300, -3.438120)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1460, 37, N'Santa María del Mercadillo', N'santa-maria-del-mercadillo', N'09353', 41.860181, -3.558197)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1461, 37, N'Santa María Rivarredonda', N'santa-maria-rivarredonda', N'09219', 42.640573, -3.179340)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1462, 37, N'Santa Olalla de Bureba', N'santa-olalla-de-bureba', N'09292', 42.476608, -3.440437)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1463, 37, N'Santibáñez de Esgueva', N'santibanez-de-esgueva', N'09350', 41.834494, -3.759727)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1464, 37, N'Santibáñez del Val', N'santibanez-del-val', N'09617', 41.974567, -3.479919)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1465, 37, N'Santo Domingo de Silos', N'santo-domingo-de-silos', N'09610', 41.962314, -3.420868)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1466, 37, N'Sargentes de la Lora', N'sargentes-de-la-lora', N'09145', 42.769715, -3.871737)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1467, 37, N'Sarracín', N'sarracin', N'09620', 42.257667, -3.684711)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1468, 37, N'Sasamón', N'sasamon', N'09123', 42.418023, -4.042625)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1469, 37, N'Sequera de Haza', N'sequera-de-haza', N'09462', 41.564007, -3.815861)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1470, 37, N'Solarana', N'solarana', N'09348', 41.970260, -3.660121)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1471, 37, N'Sordillos', N'sordillos', N'09128', 42.461476, -4.106741)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1472, 37, N'Sotillo de la Ribera', N'sotillo-de-la-ribera', N'09441', 41.777089, -3.825517)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1473, 37, N'Sotragero', N'sotragero', N'09197', 42.410197, -3.713078)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1474, 37, N'Sotresgudo', N'sotresgudo', N'09135', 42.578524, -4.173689)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1475, 37, N'Susinos del Páramo', N'susinos-del-paramo', N'09133', 42.471670, -3.924909)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1476, 37, N'Tamarón', N'tamaron', N'09227', 42.272403, -3.990655)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1477, 37, N'Tardajos', N'tardajos', N'09130', 42.347491, -3.819938)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1478, 37, N'Tejada', N'tejada', N'09616', 41.952443, -3.535417)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1479, 37, N'Terradillos de Esgueva', N'terradillos-de-esgueva', N'09442', 41.819320, -3.842511)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1480, 37, N'Tinieblas de la Sierra', N'tinieblas-de-la-sierra', N'09649', 42.172675, -3.362632)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1481, 37, N'Tobar', N'tobar', N'09133', 42.483855, -3.937912)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1482, 37, N'Tordómar', N'tordomar', N'09341', 42.045994, -3.864398)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1483, 37, N'Torrecilla del Monte', N'torrecilla-del-monte', N'09390', 42.094385, -3.694282)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1484, 37, N'Torregalindo', N'torregalindo', N'09493', 41.582852, -3.752990)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1485, 37, N'Torrelara', N'torrelara', N'09645', 42.166154, -3.517088)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1486, 37, N'Torrepadre', N'torrepadre', N'09345', 42.047508, -3.984947)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1487, 37, N'Torresandino', N'torresandino', N'09310', 41.828610, -3.909760)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1488, 37, N'Tórtoles de Esgueva', N'tortoles-de-esgueva', N'09312', 41.816729, -4.020910)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1489, 37, N'Tosantos', N'tosantos', N'09258', 42.413714, -3.243113)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1490, 37, N'Trespaderne', N'trespaderne', N'09540', 42.802029, -3.392415)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1491, 37, N'Tubilla del Agua', N'tubilla-del-agua', N'09143', 42.709608, -3.803244)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1492, 37, N'Tubilla del Lago', N'tubilla-del-lago', N'09453', 41.802015, -3.586650)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1493, 37, N'Ášrbel del Castillo', N'urbel-del-castillo', N'09125', 42.620023, -3.843711)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1494, 37, N'Vadocondes', N'vadocondes', N'09491', 41.639485, -3.573303)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1495, 37, N'Valdeande', N'valdeande', N'09453', 41.834606, -3.527298)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1496, 37, N'Valdezate', N'valdezate', N'09318', 41.602046, -3.930230)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1497, 37, N'Valdorros', N'valdorros', N'09320', 42.172198, -3.708100)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1498, 37, N'Vallarta de Bureba', N'vallarta-de-bureba', N'09245', 42.588770, -3.204660)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1499, 37, N'Valle de las Navas', N'valle-de-las-navas', N'09591', 42.458373, -3.637419)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1500, 37, N'Valle de Losa', N'valle-de-losa', N'09510', 42.986662, -3.219166)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1501, 37, N'Valle de Manzanedo', N'valle-de-manzanedo', N'09558', 42.899311, -3.690634)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1502, 37, N'Valle de Mena', N'valle-de-mena', N'09558', 43.099494, -3.282251)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1503, 37, N'Valle de Oca', N'valle-de-oca', N'09258', 42.433704, -3.316154)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1504, 37, N'Valle de Santibáñez', N'valle-de-santibanez', N'47331', 41.570268, -4.445171)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1505, 37, N'Valle de Sedano', N'valle-de-sedano', N'09142', 42.715631, -3.749256)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1506, 37, N'Valle de Tobalina', N'valle-de-tobalina', N'09210', 42.792023, -3.270879)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1507, 37, N'Valle de Valdebezana', N'valle-de-valdebezana', N'09572', 42.970555, -3.785820)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1508, 37, N'Valle de Valdelaguna', N'valle-de-valdelaguna', N'09614', 42.116148, -3.143549)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1509, 37, N'Valle de Valdelucio', N'valle-de-valdelucio', N'09127', 42.717649, -4.092193)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1510, 37, N'Valle de Zamanzas', N'valle-de-zamanzas', N'09146', 42.853835, -3.749127)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1511, 37, N'Vallejera', N'vallejera', N'34260', 42.182375, -4.151545)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1512, 37, N'Valles de Palenzuela', N'valles-de-palenzuela', N'09338', 42.119896, -4.077532)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1513, 37, N'Valluércanes', N'valluercanes', N'09219', 42.698712, -3.110676)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1514, 37, N'Valmala', N'valmala', N'09268', 42.305277, -3.253498)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1515, 37, N'Vid de Bureba', N'vid-de-bureba', N'09249', 42.590958, -3.328471)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1516, 37, N'Vid y Barrios', N'vid-y-barrios', N'09471', 41.629766, -3.490520)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1517, 37, N'Vileña', N'vilena', N'09249', 42.622165, -3.323622)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1518, 37, N'Villadiego', N'villadiego', N'09120', 42.515480, -4.009666)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1519, 37, N'Villaescusa de Roa', N'villaescusa-de-roa', N'09314', 41.727944, -4.016447)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1520, 37, N'Villaescusa la Sombría', N'villaescusa-la-sombria', N'09292', 42.415647, -3.418851)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1521, 37, N'Villaespasa', N'villaespasa', N'09650', 42.099098, -3.402672)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1522, 37, N'Villafranca Montes de Oca', N'villafranca-montes-de-oca', N'09257', 42.385842, -3.308172)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1523, 37, N'Villafruela', N'villafruela', N'09344', 41.916473, -3.913321)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1524, 37, N'Villagalijo', N'villagalijo', N'09268', 42.348601, -3.191571)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1525, 37, N'Villagonzalo Pedernales', N'villagonzalo-pedernales', N'09195', 42.301833, -3.736253)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1526, 37, N'Villahoz', N'villahoz', N'09343', 42.077091, -3.912034)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1527, 37, N'Villalba de Duero', N'villalba-de-duero', N'09443', 41.682993, -3.744836)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1528, 37, N'Villalbilla de Burgos', N'villalbilla-de-burgos', N'09197', 42.347083, -3.779342)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1529, 37, N'Villalbilla de Gumiel', N'villalbilla-de-gumiel', N'09453', 41.806685, -3.625402)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1530, 37, N'Villaldemiro', N'villaldemiro', N'09227', 42.247470, -3.984346)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1531, 37, N'Villalmanzo', N'villalmanzo', N'09390', 42.048671, -3.741317)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1532, 37, N'Villamayor de los Montes', N'villamayor-de-los-montes', N'09339', 42.106071, -3.766208)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1533, 37, N'Villamayor de Treviño', N'villamayor-de-trevino', N'09128', 42.460083, -4.120131)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1534, 37, N'Villambistia', N'villambistia', N'09258', 42.406332, -3.261909)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1535, 37, N'Villamedianilla', N'villamedianilla', N'34260', 42.160652, -4.146094)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1536, 37, N'Villamiel de la Sierra', N'villamiel-de-la-sierra', N'09649', 42.190802, -3.417649)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1537, 37, N'Villangómez', N'villangomez', N'09339', 42.178973, -3.775177)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1538, 37, N'Villanueva de Argaño', N'villanueva-de-argano', N'09652', 42.379407, -3.933020)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1539, 37, N'Villanueva de Carazo', N'villanueva-de-carazo', N'09611', 41.983659, -3.323708)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1540, 37, N'Villanueva de Gumiel', N'villanueva-de-gumiel', N'09450', 41.806813, -3.626003)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1541, 37, N'Villanueva de Teba', N'villanueva-de-teba', N'09219', 42.649214, -3.162475)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1542, 37, N'Villaquirán de la Puebla', N'villaquiran-de-la-puebla', N'09119', 42.283548, -4.101248)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1543, 37, N'Villaquirán de los Infantes', N'villaquiran-de-los-infantes', N'09118', 42.227381, -4.008744)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1544, 37, N'Villarcayo de Merindad de Castilla la Vieja', N'villarcayo-de-merindad-de-castilla-la-vieja', N'09550', 42.938376, -3.574548)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1545, 37, N'Villariezo', N'villariezo', N'09195', 42.269767, -3.732948)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1546, 37, N'Villasandino', N'villasandino', N'09109', 42.372385, -4.108758)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1547, 37, N'Villasur de Herreros', N'villasur-de-herreros', N'09199', 42.308625, -3.394732)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1548, 37, N'Villatuelda', N'villatuelda', N'09310', 41.814938, -3.882208)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1549, 37, N'Villaverde del Monte', N'villaverde-del-monte', N'09339', 42.160922, -3.813715)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1550, 37, N'Villaverde-Mogina', N'villaverde-mogina', N'09226', 42.160413, -4.051251)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1551, 37, N'Villayerno Morquillas', N'villayerno-morquillas', N'09191', 42.395953, -3.639307)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1552, 37, N'Villazopeque', N'villazopeque', N'09226', 42.199116, -4.015889)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1553, 37, N'Villegas', N'villegas', N'09128', 42.467475, -4.016790)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1554, 37, N'Villoruebo', N'villoruebo', N'09640', 42.168684, -3.441639)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1555, 37, N'Viloria de Rioja', N'viloria-de-rioja', N'09259', 42.425516, -3.100419)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1556, 37, N'Vilviestre del Pinar', N'vilviestre-del-pinar', N'09690', 41.952501, -3.078403)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1557, 37, N'Vizcaínos', N'vizcainos', N'09613', 42.101693, -3.267660)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1558, 37, N'Zael', N'zael', N'09339', 42.109908, -3.824229)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1559, 37, N'Zarzosa de Río Pisuerga', N'zarzosa-de-rio-pisuerga', N'09108', 42.536544, -4.268403)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1560, 37, N'Zazuar', N'zazuar', N'09490', 41.696148, -3.554678)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1561, 37, N'Zuñeda', N'zuneda', N'09245', 42.604731, -3.226461)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1563, 41, N'Abadía', N'abadia', N'10748', 40.259861, -5.976160)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1564, 41, N'Abertura', N'abertura', N'10262', 39.248883, -5.803744)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1565, 41, N'Acebo', N'acebo', N'10857', 42.499741, -6.458240)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1566, 41, N'Acehúche', N'acehuche', N'10879', 39.804451, -6.628280)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1567, 41, N'Aceituna', N'aceituna', N'10666', 40.150490, -6.332300)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1568, 41, N'Ahigal', N'ahigal', N'10650', 40.189251, -6.187310)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1569, 41, N'Albalá', N'albala', N'10187', 39.255810, -6.187520)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1570, 41, N'Alcántara', N'alcantara', N'10980', 39.716412, -6.881390)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1571, 41, N'Alcollarín', N'alcollarin', N'10135', 39.243912, -5.739600)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1572, 41, N'Alcuéscar', N'alcuescar', N'10160', 39.181530, -6.237080)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1573, 41, N'Aldea del Cano', N'aldea-del-cano', N'10163', 39.287289, -6.319580)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1574, 41, N'La Aldea del Obispo', N'la-aldea-del-obispo', N'10291', 39.563122, -5.910730)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1575, 41, N'Aldeacentenera', N'aldeacentenera', N'10251', 39.527580, -5.633160)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1576, 41, N'Aldeanueva de la Vera', N'aldeanueva-de-la-vera', N'10440', 40.123562, -5.703910)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1577, 41, N'Aldeanueva del Camino', N'aldeanueva-del-camino', N'10740', 40.259892, -5.929420)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1578, 41, N'Aldehuela de Jerte', N'aldehuela-de-jerte', N'10671', 40.012272, -6.237940)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1579, 41, N'Alía', N'alia', N'10137', 39.447708, -5.216650)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1580, 41, N'Aliseda', N'aliseda', N'10550', 39.421879, -6.689200)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1581, 41, N'Almaraz', N'almaraz', N'10350', 39.812988, -5.680820)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1582, 41, N'Almoharín', N'almoharin', N'10132', 39.176449, -6.044090)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1583, 41, N'Arroyo de la Luz', N'arroyo-de-la-luz', N'10900', 39.482079, -6.580050)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1584, 41, N'Arroyomolinos', N'arroyomolinos-caceres', N'10161', 39.185167, -6.162643)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1585, 41, N'Arroyomolinos de la Vera', N'arroyomolinos-de-la-vera', N'10410', 40.050251, -5.854420)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1586, 41, N'Baños de Montemayor', N'banos-de-montemayor', N'10750', 40.319241, -5.858040)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1587, 41, N'Barrado', N'barrado', N'10696', 40.085548, -5.881680)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1588, 41, N'Belvís de Monroy', N'belvis-de-monroy', N'10394', 39.818668, -5.609120)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1589, 41, N'Benquerencia', N'benquerencia', N'10185', 39.310169, -6.084710)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1590, 41, N'Berrocalejo', N'berrocalejo', N'10392', 39.819217, -5.349312)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1591, 41, N'Berzocana', N'berzocana', N'10129', 39.436340, -5.461630)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1592, 41, N'Bohonal de Ibor', N'bohonal-de-ibor', N'10320', 39.785092, -5.481920)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1593, 41, N'Botija', N'botija', N'10188', 39.346196, -6.072414)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1594, 41, N'Brozas', N'brozas', N'10950', 39.610615, -6.777706)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1595, 41, N'Cabañas del Castillo', N'cabanas-del-castillo', N'10373', 39.547802, -5.512240)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1596, 41, N'Cabezabellosa', N'cabezabellosa', N'10729', 40.137317, -6.000037)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1597, 41, N'Cabezuela del Valle', N'cabezuela-del-valle', N'10610', 40.194626, -5.806768)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1598, 41, N'Cabrero', N'cabrero', N'33891', 40.114667, -5.895023)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1599, 41, N'Cáceres', N'caceres', N'10003', 39.476751, -6.370997)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1600, 41, N'Cachorrilla', N'cachorrilla', N'10881', 39.914081, -6.670976)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1601, 41, N'Cadalso', N'cadalso', N'10865', 40.237966, -6.541436)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1602, 41, N'Calzadilla', N'calzadilla', N'10817', 40.061437, -6.532316)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1603, 41, N'Caminomorisco', N'caminomorisco', N'10620', 40.326017, -6.280961)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1604, 41, N'Campillo de Deleitosa', N'campillo-de-deleitosa', N'10329', 39.705486, -5.572718)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1605, 41, N'Campo Lugar', N'campo-lugar', N'10134', 39.194996, -5.770665)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1606, 41, N'Cañamero', N'canamero', N'10136', 39.378115, -5.389974)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1607, 41, N'Cañaveral', N'canaveral', N'10820', 39.789239, -6.394000)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1608, 41, N'Carbajo', N'carbajo', N'10511', 39.604713, -7.193642)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1609, 41, N'Carcaboso', N'carcaboso', N'10670', 40.048971, -6.214389)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1610, 41, N'El Carrascalejo', N'elcarrascalejo', N'10331', 39.646626, -5.215105)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1611, 41, N'Casar de Cáceres', N'casar-de-caceres', N'10190', 39.562873, -6.419148)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1612, 41, N'Casar de Palomero', N'casar-de-palomero', N'10640', 40.294110, -6.256456)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1613, 41, N'Casares de las Hurdes', N'casares-de-las-hurdes', N'10628', 40.440317, -6.288750)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1614, 41, N'Casas de Don Antonio', N'casas-de-don-antonio', N'10162', 39.234838, -6.290370)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1615, 41, N'Casas de Don Gómez', N'casas-de-don-gomez', N'10818', 39.967188, -6.636322)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1616, 41, N'Casas de Millán', N'casas-de-millan', N'10592', 39.814865, -6.325657)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1617, 41, N'Casas de Miravete', N'casas-de-miravete', N'10360', 39.727497, -5.745624)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1618, 41, N'Casas del Castañar', N'casas-del-castanar', N'10616', 40.107848, -5.908628)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1619, 41, N'Casas del Monte', N'casas-del-monte', N'10730', 40.203542, -5.960340)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1620, 41, N'Casatejada', N'casatejada', N'10520', 39.887982, -5.685639)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1621, 41, N'Casillas de Coria', N'casillas-de-coria', N'10818', 39.967056, -6.636171)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1622, 41, N'Castañar de Ibor', N'castanar-de-ibor', N'10340', 39.631110, -5.417182)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1623, 41, N'Ceclavín', N'ceclavin', N'10870', 39.823782, -6.770239)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1624, 41, N'Cedillo', N'cedillo', N'10513', 39.649038, -7.498480)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1625, 41, N'Cerezo', N'cerezo', N'10663', 40.236696, -6.226469)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1626, 41, N'Cilleros', N'cilleros', N'10895', 40.111754, -6.792791)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1627, 41, N'Collado', N'collado', N'10414', 40.057028, -5.720712)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1628, 41, N'Conquista de la Sierra', N'conquista-de-la-sierra', N'10240', 39.350320, -5.734670)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1629, 41, N'Coria', N'coria', N'10800', 39.984716, -6.537123)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1630, 41, N'Cuacos de Yuste', N'cuacos-de-yuste', N'10430', 40.106142, -5.722525)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1631, 41, N'Cumbre', N'cumbre', N'10270', 39.405038, -5.976809)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1632, 41, N'Deleitosa', N'deleitosa', N'10370', 39.642966, -5.644441)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1633, 41, N'Descargamaría', N'descargamaria', N'10866', 40.303798, -6.488822)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1634, 41, N'Eljas', N'eljas', N'10891', 40.216062, -6.844826)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1635, 41, N'Escurial', N'escurial', N'10133', 39.169980, -5.886247)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1636, 41, N'Fresnedoso de Ibor', N'fresnedoso-de-ibor', N'10328', 39.683940, -5.507616)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1637, 41, N'Galisteo', N'galisteo', N'10691', 39.974053, -6.266702)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1638, 41, N'Garciaz', N'garciaz', N'10250', 39.413609, -5.627264)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1639, 41, N'Garganta', N'garganta', N'10759', 40.328250, -5.822250)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1640, 41, N'Garganta la Olla', N'garganta-la-olla', N'10412', 40.112493, -5.775526)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1641, 41, N'Gargantilla', N'gargantilla', N'10749', 40.247122, -5.918423)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1642, 41, N'La Gargantilla', N'la-gargantilla', N'28742', 40.964701, -3.718851)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1643, 41, N'Garrovillas de Alconétar', N'garrovillas-de-alconetar', N'10940', 39.708986, -6.548367)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1644, 41, N'Garvín', N'garvin', N'10333', 39.720136, -5.345546)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1645, 41, N'Gata', N'gata', N'10860', 40.239047, -6.595359)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1646, 41, N'Gordo', N'gordo', N'10392', 39.865702, -5.344226)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1647, 41, N'Granja', N'granja', N'10711', 40.239350, -5.995402)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1648, 41, N'Guadalupe', N'guadalupe', N'10140', 39.452780, -5.329313)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1649, 41, N'Guijo de Coria', N'guijo-de-coria', N'10815', 40.100381, -6.464070)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1650, 41, N'Guijo de Galisteo', N'guijo-de-galisteo', N'10816', 40.092847, -6.409492)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1651, 41, N'Guijo de Granadilla', N'guijo-de-granadilla', N'10665', 40.194463, -6.162418)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1652, 41, N'Guijo de Santa Bárbara', N'guijo-de-santa-barbara', N'10459', 40.155720, -5.655599)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1653, 41, N'Herguijuela', N'herguijuela', N'10230', 39.374674, -5.759851)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1654, 41, N'Hernán-Pérez', N'hernan-perez', N'10868', 40.212900, -6.463609)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1655, 41, N'Herrera de Alcántara', N'herrera-de-alcantara', N'10512', 39.637472, -7.404377)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1656, 41, N'Herreruela', N'herreruela', N'10560', 39.461461, -6.903877)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1657, 41, N'Hervás', N'hervas', N'10700', 40.273616, -5.863502)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1658, 41, N'Higuera', N'higuera', N'10359', 39.741828, -5.698321)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1659, 41, N'Hinojal', N'hinojal', N'10192', 39.708375, -6.357511)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1660, 41, N'Holguera', N'holguera', N'10829', 39.899202, -6.349540)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1661, 41, N'Hoyos', N'hoyos', N'10850', 40.171266, -6.721551)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1662, 41, N'Huélaga', N'huelaga', N'10849', 40.057069, -6.614928)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1663, 41, N'Ibahernando', N'ibahernando', N'10280', 39.325949, -5.917060)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1664, 41, N'Jaraicejo', N'jaraicejo', N'10380', 39.668581, -5.813527)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1665, 41, N'Jaraíz de la Vera', N'jaraiz-de-la-vera', N'10400', 40.058530, -5.756214)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1666, 41, N'Jarandilla de la Vera', N'jarandilla-de-la-vera', N'10450', 40.127096, -5.656843)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1667, 41, N'Jarilla', N'jarilla', N'10728', 40.174299, -6.004179)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1668, 41, N'Jerte', N'jerte', N'10612', 40.219962, -5.755827)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1669, 41, N'Ladrillar', N'ladrillar', N'10625', 40.465625, -6.223497)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1670, 41, N'Logrosán', N'logrosan', N'10120', 39.336654, -5.488207)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1671, 41, N'Losar de la Vera', N'losar-de-la-vera', N'10460', 40.124799, -5.605023)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1672, 41, N'Madrigal de la Vera', N'madrigal-de-la-vera', N'10480', 40.151834, -5.370061)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1673, 41, N'Madrigalejo', N'madrigalejo', N'10110', 39.138033, -5.628905)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1674, 41, N'Madroñera', N'madronera', N'10210', 39.428105, -5.754089)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1675, 41, N'Las Majadas', N'lasmajadas', N'10529', 39.943107, -5.750087)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1676, 41, N'Malpartida de Cáceres', N'malpartida-de-caceres', N'10910', 39.445937, -6.505301)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1677, 41, N'La Malpartida', N'lamalpartida', N'10680', 39.980080, -6.047974)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1678, 41, N'Marchagaz', N'marchagaz', N'10662', 40.269408, -6.277614)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1679, 41, N'Mata de Alcántara', N'mata-de-alcantara', N'10970', 39.716884, -6.815397)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1680, 41, N'Membrío', N'membrio', N'10580', 39.529036, -7.056924)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1681, 41, N'Mesas de Ibor', N'mesas-de-ibor', N'10329', 39.756593, -5.545392)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1682, 41, N'Miajadas', N'miajadas', N'10100', 39.150747, -5.907748)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1683, 41, N'Millanes', N'millanes', N'10394', 39.849535, -5.581055)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1684, 41, N'Mirabel', N'mirabel', N'10540', 39.862457, -6.231523)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1685, 41, N'Mohedas de Granadilla', N'mohedas-de-granadilla', N'10664', 40.269752, -6.200280)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1686, 41, N'Monroy', N'monroy', N'10194', 39.640397, -6.211009)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1687, 41, N'Montánchez', N'montanchez', N'10170', 39.227416, -6.147623)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1688, 41, N'Montehermoso', N'montehermoso', N'10810', 40.088808, -6.347115)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1689, 41, N'Moraleja', N'moraleja', N'10840', 40.066233, -6.660075)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1690, 41, N'Morcillo', N'morcillo', N'10811', 40.017229, -6.398796)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1691, 41, N'Navaconcejo', N'navaconcejo', N'10613', 40.175889, -5.832624)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1692, 41, N'Navalmoral de la Mata', N'navalmoral-de-la-mata', N'10300', 39.891826, -5.559576)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1693, 41, N'Navalvillar de Ibor', N'navalvillar-de-ibor', N'10341', 39.585020, -5.412140)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1694, 41, N'Navas del Madroño', N'navas-del-madrono', N'10930', 39.625045, -6.650398)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1695, 41, N'Navezuelas', N'navezuelas', N'10374', 39.511822, -5.437889)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1696, 41, N'Nuñomoral', N'nunomoral', N'10626', 40.406536, -6.248002)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1697, 41, N'Oliva de Plasencia', N'oliva-de-plasencia', N'10667', 40.113198, -6.088014)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1698, 41, N'Palomero', N'palomero', N'10660', 40.246172, -6.276240)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1699, 41, N'Pasarón de la Vera', N'pasaron-de-la-vera', N'10411', 40.051566, -5.820694)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1700, 41, N'Pedroso de Acim', N'pedroso-de-acim', N'10829', 39.827770, -6.409149)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1701, 41, N'Peraleda de la Mata', N'peraleda-de-la-mata', N'10335', 39.856025, -5.460913)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1702, 41, N'Peraleda de San Román', N'peraleda-de-san-roman', N'10334', 39.741778, -5.385489)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1703, 41, N'Perales del Puerto', N'perales-del-puerto', N'10896', 40.153080, -6.682670)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1704, 41, N'Pescueza', N'pescueza', N'10882', 39.916402, -6.644003)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1705, 41, N'Pesga', N'pesga', N'10649', 40.326131, -6.174381)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1706, 41, N'Piedras Albas', N'piedras-albas', N'10991', 39.785727, -6.928489)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1707, 41, N'Pinofranqueado', N'pinofranqueado', N'10630', 40.304682, -6.336043)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1708, 41, N'Piornal', N'piornal', N'10615', 40.116169, -5.850241)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1709, 41, N'Plasencia', N'plasencia', N'10600', 40.029734, -6.089516)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1710, 41, N'Plasenzuela', N'plasenzuela', N'10271', 39.382162, -6.048810)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1711, 41, N'Portaje', N'portaje', N'10883', 39.916566, -6.562378)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1712, 41, N'Portezuelo', N'portezuelo', N'10828', 39.810316, -6.476891)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1713, 41, N'Pozuelo de Zarzón', N'pozuelo-de-zarzon', N'10813', 40.148652, -6.412647)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1714, 41, N'Puerto de Santa Cruz', N'puerto-de-santa-cruz', N'10261', 39.315043, -5.860991)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1715, 41, N'El Rebollar', N'elrebollar', N'10617', 40.153318, -5.899905)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1716, 41, N'Riolobos', N'riolobos', N'10693', 39.920886, -6.307043)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1717, 41, N'Robledillo de Gata', N'robledillo-de-gata', N'10867', 40.325379, -6.471012)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1718, 41, N'Robledillo de la Vera', N'robledillo-de-la-vera', N'10493', 40.100463, -5.587986)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1719, 41, N'Robledillo de Trujillo', N'robledillo-de-trujillo', N'10269', 39.268311, -5.981176)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1720, 41, N'Robledollano', N'robledollano', N'10371', 39.611524, -5.511467)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1721, 41, N'Romangordo', N'romangordo', N'10359', 39.742240, -5.698557)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1722, 41, N'Rosalejo', N'rosalejo', N'10391', 39.995205, -5.457737)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1723, 41, N'Ruanes', N'ruanes', N'10272', 39.327808, -6.014714)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1724, 41, N'Salorino', N'salorino', N'10570', 39.478597, -7.008516)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1725, 41, N'Salvatierra de Santiago', N'salvatierra-de-santiago', N'10189', 39.303570, -6.033168)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1726, 41, N'San Martín de Trevejo', N'san-martin-de-trevejo', N'10892', 40.213555, -6.795430)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1727, 41, N'Santa Ana', N'santa-ana', N'10189', 39.308012, -5.991948)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1728, 41, N'Santa Cruz de la Sierra', N'santa-cruz-de-la-sierra', N'10260', 39.333800, -5.842452)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1729, 41, N'Santa Cruz de Paniagua', N'santa-cruz-de-paniagua', N'10661', 40.192250, -6.341289)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1730, 41, N'Santa Marta de Magasca', N'santa-marta-de-magasca', N'10198', 39.511507, -6.097927)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1731, 41, N'Santiago de Alcántara', N'santiago-de-alcantara', N'10510', 39.606878, -7.243853)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1732, 41, N'Santiago del Campo', N'santiago-del-campo', N'10191', 39.631209, -6.363637)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1733, 41, N'Santibáñez el Alto', N'santibanez-el-alto', N'10859', 40.187103, -6.546843)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1734, 41, N'Santibáñez el Bajo', N'santibanez-el-bajo', N'10666', 40.173889, -6.226609)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1735, 41, N'Saucedilla', N'saucedilla', N'10390', 39.853686, -5.678043)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1736, 41, N'Segura de Toro', N'segura-de-toro', N'10739', 40.223959, -5.947144)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1737, 41, N'Serradilla', N'serradilla', N'10530', 39.830126, -6.137409)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1738, 41, N'Serrejón', N'serrejon', N'10528', 39.817387, -5.803109)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1739, 41, N'Sierra de Fuentes', N'sierra-de-fuentes', N'10181', 39.437602, -6.276197)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1740, 41, N'Talaván', N'talavan', N'10193', 39.709795, -6.282699)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1741, 41, N'Talaveruela de la Vera', N'talaveruela-de-la-vera', N'10491', 40.121813, -5.519879)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1742, 41, N'Talayuela', N'talayuela', N'10310', 39.986697, -5.609529)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1743, 41, N'Tejeda de Tiétar', N'tejeda-de-tietar', N'10420', 40.020516, -5.868094)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1744, 41, N'Toril', N'toril', N'10521', 39.897592, -5.779291)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1745, 41, N'Tornavacas', N'tornavacas', N'10611', 40.252772, -5.691519)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1746, 41, N'Torno', N'torno', N'10617', 40.135726, -5.944912)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1747, 41, N'Torre de Don Miguel', N'torre-de-don-miguel', N'10864', 40.224262, -6.574352)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1748, 41, N'Torre de Santa María', N'torre-de-santa-maria', N'10186', 39.254239, -6.113420)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1749, 41, N'Torrecilla de los Ángeles', N'torrecilla-de-los-angeles', N'10869', 40.248317, -6.419191)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1750, 41, N'Torrecillas de la Tiesa', N'torrecillas-de-la-tiesa', N'10252', 39.568415, -5.742116)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1751, 41, N'Torrejón el Rubio', N'torrejon-el-rubio', N'10694', 39.772296, -6.013298)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1752, 41, N'Torrejoncillo', N'torrejoncillo', N'10830', 39.896288, -6.467063)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1753, 41, N'Torremenga', N'torremenga', N'10413', 40.047789, -5.774946)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1754, 41, N'Torremocha', N'torremocha', N'10184', 39.347441, -6.170969)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1755, 41, N'Torreorgaz', N'torreorgaz', N'10182', 39.382776, -6.247959)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1756, 41, N'Torrequemada', N'torrequemada', N'10183', 39.367748, -6.220493)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1757, 41, N'Trujillo', N'trujillo', N'10200', 39.459788, -5.880432)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1758, 41, N'Valdastillas', N'valdastillas', N'10614', 40.132232, -5.878029)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1759, 41, N'Valdecañas de Tajo', N'valdecanas-de-tajo', N'10329', 39.759299, -5.620193)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1760, 41, N'Valdefuentes', N'valdefuentes', N'10180', 39.275587, -6.122904)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1761, 41, N'Valdehúncar', N'valdehuncar', N'10393', 39.837376, -5.523033)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1762, 41, N'Valdelacasa de Tajo', N'valdelacasa-de-tajo', N'10332', 39.726696, -5.281763)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1763, 41, N'Valdemorales', N'valdemorales', N'10131', 39.206287, -6.067629)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1764, 41, N'Valdeobispo', N'valdeobispo', N'10672', 40.082209, -6.246886)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1765, 41, N'Valencia de Alcántara', N'valencia-de-alcantara', N'10500', 39.412988, -7.248230)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1766, 41, N'Valverde de la Vera', N'valverde-de-la-vera', N'10490', 40.123635, -5.494494)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1767, 41, N'Valverde del Fresno', N'valverde-del-fresno', N'10890', 40.225876, -6.876068)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1768, 41, N'Viandar de la Vera', N'viandar-de-la-vera', N'10492', 40.122355, -5.537753)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1769, 41, N'Villa del Campo', N'villa-del-campo', N'10814', 40.139811, -6.427560)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1770, 41, N'Villa del Rey', N'villa-del-rey', N'10960', 39.659430, -6.820493)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1771, 41, N'Villamesías', N'villamesias', N'10263', 39.244485, -5.873137)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1772, 41, N'Villamiel', N'villamiel', N'10893', 40.186709, -6.785045)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1773, 41, N'Villanueva de la Sierra', N'villanueva-de-la-sierra', N'10812', 40.202084, -6.404171)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1774, 41, N'Villanueva de la Vera', N'villanueva-de-la-vera', N'10470', 40.130394, -5.464926)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1775, 41, N'Villar de Plasencia', N'villar-de-plasencia', N'10720', 40.138466, -6.030335)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1776, 41, N'Villar del Pedroso', N'villar-del-pedroso', N'10330', 39.706691, -5.195975)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1777, 41, N'Villasbuenas de Gata', N'villasbuenas-de-gata', N'10858', 40.179857, -6.625614)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1778, 41, N'Zarza de Granadilla', N'zarza-de-granadilla', N'10710', 40.238457, -6.047287)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1779, 41, N'Zarza de Montánchez', N'zarza-de-montanchez', N'10189', 39.257246, -6.033511)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1780, 41, N'Zarza la Mayor', N'zarza-la-mayor', N'10880', 39.876810, -6.864567)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1781, 41, N'Zorita', N'zorita', N'10130', 39.285619, -5.700531)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1783, 45, N'Alcalá de los Gazules', N'alcala-de-los-gazules', N'11180', 36.461951, -5.723019)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1784, 45, N'Alcalá del Valle', N'alcala-del-valle', N'11693', 36.904401, -5.171471)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1785, 45, N'Algar', N'algar', N'07713', 37.648029, -0.867800)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1786, 45, N'Algeciras', N'algeciras', N'11204', 36.127602, -5.452650)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1787, 45, N'Algodonales', N'algodonales', N'11680', 36.880878, -5.405060)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1788, 45, N'Arcos de la Frontera', N'arcos-de-la-frontera', N'11630', 36.751195, -5.811596)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1789, 45, N'Barbate', N'barbate', N'11160', 36.188080, -5.923110)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1790, 45, N'Barrios', N'barrios', N'11370', 36.186310, -5.494650)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1791, 45, N'Benalup-Casas Viejas', N'benalup-casas-viejas', N'11190', 36.344051, -5.810010)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1792, 45, N'Benaocaz', N'benaocaz', N'11612', 36.701141, -5.422520)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1793, 45, N'Bornos', N'bornos', N'11640', 36.814542, -5.743060)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1794, 45, N'Bosque', N'bosque', N'11670', 36.757487, -5.505352)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1795, 45, N'Cádiz', N'cadiz', N'11005', 36.530261, -6.292462)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1796, 45, N'Castellar de la Frontera', N'castellar-de-la-frontera', N'11350', 36.285554, -5.419393)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1797, 45, N'Chiclana de la Frontera', N'chiclana-de-la-frontera', N'11130', 36.420039, -6.148567)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1798, 45, N'Chipiona', N'chipiona', N'11550', 36.740707, -6.435628)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1799, 45, N'Conil de la Frontera', N'conil-de-la-frontera', N'11140', 36.277493, -6.088486)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1800, 45, N'Espera', N'espera', N'11648', 36.873476, -5.806231)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1801, 45, N'Gastor', N'gastor', N'11687', 36.855450, -5.321417)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1802, 45, N'Grazalema', N'grazalema', N'11610', 36.758175, -5.365062)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1803, 45, N'Jerez de la Frontera', N'jerez-de-la-frontera', N'11403', 36.685405, -6.137431)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1804, 45, N'Jimena de la Frontera', N'jimena-de-la-frontera', N'11330', 36.434438, -5.453124)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1805, 45, N'Línea de la Concepción', N'linea-de-la-concepcion', N'11300', 36.160365, -5.348153)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1806, 45, N'Medina-Sidonia', N'medina-sidonia', N'11170', 36.467888, -5.928497)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1807, 45, N'Olvera', N'olvera', N'11690', 36.935417, -5.267644)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1808, 45, N'Paterna de Rivera', N'paterna-de-rivera', N'11178', 36.523570, -5.865712)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1809, 45, N'Prado del Rey', N'prado-del-rey', N'11660', 36.789972, -5.555863)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1810, 45, N'Puerto de Santa María', N'puerto-de-santa-maria', N'11500', 36.597820, -6.227231)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1811, 45, N'Puerto Real', N'puerto-real', N'11510', 36.529536, -6.191483)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1812, 45, N'Puerto Serrano', N'puerto-serrano', N'11659', 36.922724, -5.544405)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1813, 45, N'Rota', N'rota', N'11520', 36.617215, -6.357908)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1814, 45, N'San Fernando', N'san-fernando', N'11100', 36.465092, -6.196804)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1815, 45, N'San José del Valle', N'san-josedel-valle', N'11580', 36.606123, -5.798120)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1816, 45, N'San Roque', N'san-roque', N'11360', 36.210000, -5.384459)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1817, 45, N'Sanlúcar de Barrameda', N'sanlucar-de-barrameda', N'11540', 36.778492, -6.354089)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1818, 45, N'Setenil de las Bodegas', N'setenil-de-las-bodegas', N'11692', 36.863965, -5.179839)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1819, 45, N'Tarifa', N'tarifa', N'11380', 36.014394, -5.603714)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1820, 45, N'Torre Alháquime', N'torre-alhaquime', N'11691', 36.916000, -5.234256)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1821, 45, N'Trebujena', N'trebujena', N'11560', 36.869699, -6.176763)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1822, 45, N'Ubrique', N'ubrique', N'11600', 36.678125, -5.446343)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1823, 45, N'Vejer de la Frontera', N'vejer-de-la-frontera', N'11150', 36.251610, -5.963173)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1824, 45, N'Villaluenga del Rosario', N'villaluenga-del-rosario', N'11611', 36.696778, -5.388794)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1825, 45, N'Villamartín', N'villamartin', N'11650', 36.861734, -5.641780)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1826, 45, N'Zahara', N'zahara', N'11688', 36.840511, -5.389652)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1828, 2, N'Aín', N'ain', N'12222', 39.900871, -0.341210)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1829, 2, N'Albocàsser', N'albocasser', N'12140', 40.356701, 0.025780)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1830, 2, N'Alcalà de Xivert', N'alcala-de-xivert', N'12570', 40.305582, 0.227966)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1831, 2, N'Alcora', N'alcora', N'12110', 40.073479, -0.217880)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1832, 2, N'Alcudia de Veo', N'alcudia-de-veo', N'12221', 39.915760, -0.354240)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1833, 2, N'Alfondeguilla', N'alfondeguilla', N'12609', 39.834930, -0.270110)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1834, 2, N'Algimia de Almonacid', N'algimia-de-almonacid', N'12414', 39.914791, -0.443420)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1835, 2, N'Almassora', N'almassora', N'12550', 39.943958, -0.063170)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1836, 2, N'Almedíjar', N'almedijar', N'12413', 39.870701, -0.410140)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1837, 2, N'Almenara', N'almenara', N'12590', 39.753327, -0.222988)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1838, 2, N'Alqueríes', N'alqueries', N'12539', 39.897179, -0.121420)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1839, 2, N'Altura', N'altura', N'12410', 39.847870, -0.514400)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1840, 2, N'Arañuel', N'aranuel', N'12232', 40.071320, -0.481950)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1841, 2, N'Ares del Maestrat', N'ares-del-maestrat', N'12165', 40.455960, -0.133553)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1842, 2, N'Argelita', N'argelita', N'12230', 40.054138, -0.349990)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1843, 2, N'Artana', N'artana', N'12527', 39.890598, -0.254610)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1844, 2, N'Atzeneta del Maestrat', N'atzeneta-del-maestrat', N'12132', 40.216511, -0.170730)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1845, 2, N'Ayódar', N'ayodar', N'12224', 39.999271, -0.374820)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1846, 2, N'Azuébar', N'azuebar', N'12490', 39.834560, -0.370530)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1847, 2, N'Barracas', N'barracas', N'12420', 40.014751, -0.696530)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1848, 2, N'Bejís', N'bejis', N'12430', 39.910358, -0.703370)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1849, 2, N'Benafer', N'benafer', N'12449', 39.935341, -0.577370)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1850, 2, N'Benafigos', N'benafigos', N'12134', 40.276550, -0.209040)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1851, 2, N'Benasal', N'benasal', N'12160', 40.380131, -0.140520)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1852, 2, N'Benicarló', N'benicarlo', N'12580', 40.419331, 0.422240)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1853, 2, N'Benicàssim', N'benicassim', N'12560', 40.052341, 0.059050)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1854, 2, N'Benlloch', N'benlloch', N'12181', 40.211498, 0.027720)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1855, 2, N'Betxí', N'betxi', N'12549', 39.928551, -0.196360)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1856, 2, N'Borriol', N'borriol', N'12190', 40.040829, -0.070260)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1857, 2, N'Burriana', N'burriana', N'12530', 39.889420, -0.085260)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1858, 2, N'Cabanes', N'cabanes', N'12180', 40.154430, 0.044830)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1859, 2, N'Càlig', N'calig', N'12589', 40.462589, 0.355280)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1860, 2, N'Canet lo Roig', N'canet-lo-roig', N'12350', 40.552269, 0.244480)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1861, 2, N'Castell de Cabres', N'castell-de-cabres', N'12319', 40.660450, 0.043110)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1862, 2, N'Castellfort', N'castellfort', N'12159', 40.502010, -0.190860)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1863, 2, N'Castellnovo', N'castellnovo', N'12413', 39.862770, -0.459310)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1864, 2, N'Castellón de la Plana', N'castellon-de-la-plana', N'12001', 39.985142, -0.045680)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1865, 2, N'Castillo de Villamalefa', N'castillo-de-villamalefa', N'12123', 40.130482, -0.379120)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1866, 2, N'Catí', N'cati', N'12513', 40.471180, 0.022490)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1867, 2, N'Caudiel', N'caudiel', N'12440', 39.947338, -0.567930)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1868, 2, N'Cervera del Maestre', N'cervera-del-maestre', N'12578', 40.455502, 0.275730)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1869, 2, N'Xert', N'xert', N'12360', 40.519630, 0.158220)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1870, 2, N'Chilches', N'chilches', N'12592', 39.781300, -0.184660)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1871, 2, N'Xodos', N'xodos', N'12134', 40.245739, -0.287290)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1872, 2, N'Chóvar', N'chovar', N'12499', 39.851521, -0.321950)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1873, 2, N'Cinctorres', N'cinctorres', N'12318', 40.583111, -0.214560)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1874, 2, N'Cirat', N'cirat', N'12231', 40.055248, -0.462230)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1875, 2, N'Cortes de Arenoso', N'cortes-de-arenoso', N'12127', 40.186531, -0.542050)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1876, 2, N'Costur', N'costur', N'12119', 40.120041, -0.173530)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1877, 2, N'Coves de Vinromà', N'coves-de-vinroma', N'12185', 40.309361, 0.121520)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1878, 2, N'Culla', N'culla', N'12163', 40.336552, -0.165160)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1879, 2, N'Eslida', N'eslida', N'12528', 39.880692, -0.307780)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1880, 2, N'Espadilla', N'espadilla', N'12230', 40.026901, -0.354490)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1881, 2, N'Fanzara', N'fanzara', N'12230', 40.018600, -0.315500)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1882, 2, N'Figueroles', N'figueroles', N'12122', 40.117619, -0.237580)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1883, 2, N'Forcall', N'forcall', N'12310', 40.645599, -0.199720)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1884, 2, N'Fuente la Reina', N'fuente-la-reina', N'12428', 40.063641, -0.608950)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1885, 2, N'Fuentes de Ayódar', N'fuentes-de-ayodar', N'12225', 40.020187, -0.420055)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1886, 2, N'Gaibiel', N'gaibiel', N'12415', 39.925282, -0.496200)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1887, 2, N'Geldo', N'geldo', N'12412', 43.296249, -2.862300)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1888, 2, N'Herbés', N'herbes', N'12317', 40.720006, -0.003433)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1889, 2, N'Higueras', N'higueras', N'12449', 39.984192, -0.501720)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1890, 2, N'Jana', N'jana', N'12340', 40.512852, 0.252460)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1891, 2, N'Jérica', N'jerica', N'12450', 39.910461, -0.570400)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1892, 2, N'Llosa', N'llosa', N'12591', 39.769009, -0.206300)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1893, 2, N'Lucena del Cid', N'lucena-del-cid', N'12120', 40.135921, -0.280860)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1894, 2, N'Ludiente', N'ludiente', N'12123', 40.087120, -0.370940)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1895, 2, N'Mata de Morella', N'mata-de-morella', N'12312', 40.615921, -0.279640)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1896, 2, N'Matet', N'matet', N'12415', 39.937340, -0.467570)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1897, 2, N'Moncofa', N'moncofa', N'12593', 39.806770, -0.142990)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1898, 2, N'Montán', N'montan', N'12447', 40.035172, -0.554030)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1899, 2, N'Montanejos', N'montanejos', N'12448', 40.068089, -0.524000)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1900, 2, N'Morella', N'morella', N'12300', 40.618912, -0.097790)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1901, 2, N'Navajas', N'navajas', N'12470', 39.873829, -0.508060)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1902, 2, N'Nules', N'nules', N'12520', 39.852589, -0.154240)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1903, 2, N'Olocau del Rey', N'olocau-del-rey', N'12312', 40.637520, -0.339910)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1904, 2, N'Onda', N'onda', N'12200', 39.965149, -0.260925)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1905, 2, N'Oropesa', N'oropesa', N'12594', 40.092387, 0.134239)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1906, 2, N'Palanques', N'palanques', N'12311', 40.717381, -0.179090)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1907, 2, N'Pavías', N'pavias', N'12449', 39.973751, -0.482400)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1908, 2, N'Peñíscola', N'peniscola', N'12598', 40.359211, 0.399920)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1909, 2, N'Pina de Montalgrao', N'pina-de-montalgrao', N'12429', 40.020699, -0.654830)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1910, 2, N'Pobla de Benifassà', N'pobla-de-benifassa', N'12599', 40.656746, 0.157585)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1911, 2, N'Pobla Tornesa', N'pobla-tornesa', N'12191', 40.100121, -0.000970)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1912, 2, N'Portell de Morella', N'portell-de-morella', N'12318', 40.533230, -0.262220)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1913, 2, N'Puebla de Arenoso', N'puebla-de-arenoso', N'12428', 40.103840, -0.592000)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1914, 2, N'Ribesalbes', N'ribesalbes', N'12210', 40.021961, -0.278280)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1915, 2, N'Rossell', N'rossell', N'12511', 40.615601, 0.224120)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1916, 2, N'Sacañet', N'sacanet', N'12469', 39.852890, -0.715120)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1917, 2, N'Salzadella', N'salzadella', N'12186', 40.418690, 0.174690)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1918, 2, N'San Rafael del Río', N'san-rafael-del-rio', N'12510', 40.606312, 0.346470)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1919, 2, N'Sant Joan de Moró', N'sant-joan-de-moro', N'12130', 40.061119, -0.136980)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1920, 2, N'Sant Jordi', N'sant-jordi', N'12320', 40.509220, 0.332460)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1921, 2, N'Sant Mateu', N'sant-mateu', N'12170', 40.466850, 0.178590)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1922, 2, N'Santa Magdalena de Pulpis', N'santa-magdalena-de-pulpis', N'12597', 40.357079, 0.303030)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1923, 2, N'Sarratella', N'sarratella', N'12184', 40.312859, 0.030580)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1924, 2, N'Segorbe', N'segorbe', N'12400', 39.851871, -0.488570)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1925, 2, N'Sierra Engarcerán', N'sierra-engarceran', N'12182', 40.269179, -0.017853)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1926, 2, N'Soneja', N'soneja', N'12480', 39.813171, -0.432200)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1927, 2, N'Sot de Ferrer', N'sot-de-ferrer', N'12489', 39.805382, -0.411060)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1928, 2, N'Sueras', N'sueras', N'12223', 39.952930, -0.332360)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1929, 2, N'Tales', N'tales', N'12221', 39.948429, -0.307860)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1930, 2, N'Teresa', N'teresa', N'12469', 39.900070, -0.659330)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1931, 2, N'Tírig', N'tirig', N'12179', 40.424191, 0.078210)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1932, 2, N'Todolella', N'todolella', N'12312', 40.646641, -0.246760)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1933, 2, N'Toga', N'toga', N'12230', 40.041599, -0.367530)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1934, 2, N'Torás', N'toras', N'12431', 39.919498, -0.685980)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1935, 2, N'Toro', N'toro', N'12429', 39.982891, -0.746500)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1936, 2, N'Torralba del Pinar', N'torralba-del-pinar', N'12225', 39.988338, -0.438040)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1937, 2, N'Torre d En Besora', N'torre-den-besora', N'12161', 40.326982, -0.081196)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1938, 2, N'Torre Endoménech', N'torre-endomenech', N'12184', 40.263088, 0.070330)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1939, 2, N'Torreblanca', N'torreblanca', N'12596', 40.220558, 0.196040)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1940, 2, N'Torrechiva', N'torrechiva', N'12232', 40.049511, -0.397710)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1941, 2, N'Traiguera', N'traiguera', N'12330', 40.523769, 0.289280)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1942, 2, N'Useras', N'useras', N'12118', 40.157318, -0.162970)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1943, 2, N'Vall d Alba', N'vall-dalba', N'12194', 40.174873, -0.034847)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1944, 2, N'Vall de Almonacid', N'vall-de-almonacid', N'12414', 39.903290, -0.456230)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1945, 2, N'Vall d Uixó', N'vall-duixo', N'12600', 39.823370, -0.232430)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1946, 2, N'Vallat', N'vallat', N'12230', 40.029800, -0.336300)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1947, 2, N'Vallibona', N'vallibona', N'12315', 40.603230, 0.046090)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1948, 2, N'Vilafamés', N'vilafames', N'12192', 40.112591, -0.052830)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1949, 2, N'Vilanova d Alcolea', N'vilanova-dalcolea', N'12183', 40.231446, 0.073471)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1950, 2, N'Vilar de Canes', N'vilar-de-canes', N'12162', 40.358150, -0.065730)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1951, 2, N'Vila-real', N'vila-real', N'12540', 39.938567, -0.099907)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1952, 2, N'Vilavella', N'vilavella', N'12526', 39.859254, -0.183249)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1953, 2, N'Vilafranca', N'vilafranca', N'12150', 40.427349, -0.255432)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1954, 2, N'Villahermosa del Río', N'villahermosa-del-rio', N'12124', 40.202942, -0.417820)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1955, 2, N'Villamalur', N'villamalur', N'12224', 39.964100, -0.394510)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1956, 2, N'Villanueva de Viver', N'villanueva-de-viver', N'12428', 40.059151, -0.646850)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1957, 2, N'Villores', N'villores', N'12311', 40.676022, -0.200540)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1958, 2, N'Vinarós', N'vinaros', N'12500', 40.471199, 0.474940)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1959, 2, N'Vistabella del Maestrazgo', N'vistabella-del-maestrazgo', N'12135', 40.293652, -0.291850)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1960, 2, N'Viver', N'viver', N'12460', 39.920269, -0.597250)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1961, 2, N'Zorita del Maestrazgo', N'zorita-del-maestrazgo', N'12311', 40.728828, -0.166160)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1962, 2, N'Zucaina', N'zucaina', N'12125', 40.131672, -0.418390)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1964, 10, N'Abenójar', N'abenojar', N'13180', 38.877695, -4.352894)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1965, 10, N'Agudo', N'agudo', N'13410', 38.982154, -4.873725)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1966, 10, N'Alamillo', N'alamillo', N'13413', 38.680650, -4.791659)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1967, 10, N'Albaladejo', N'albaladejo', N'13340', 38.620168, -2.806617)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1968, 10, N'Alcázar de San Juan', N'alcazar-de-san-juan', N'13600', 39.390070, -3.210204)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1969, 10, N'Alcoba', N'alcoba', N'13116', 39.258078, -4.475455)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1970, 10, N'Alcolea de Calatrava', N'alcolea-de-calatrava', N'13107', 38.987800, -4.115965)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1971, 10, N'Alcubillas', N'alcubillas', N'13391', 38.754527, -3.134450)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1972, 10, N'Aldea del Rey', N'aldea-del-rey', N'13380', 38.737490, -3.838339)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1973, 10, N'Alhambra', N'alhambra', N'13248', 38.897130, -3.051979)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1974, 10, N'Almadén', N'almaden', N'13400', 38.773865, -4.842329)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1975, 10, N'Almadenejos', N'almadenejos', N'13480', 38.738945, -4.715164)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1976, 10, N'Almagro', N'almagro', N'13270', 38.884235, -3.709389)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1977, 10, N'Almedina', N'almedina', N'13328', 38.620290, -2.956429)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1978, 10, N'Almodóvar del Campo', N'almodovar-del-campo', N'13580', 38.711510, -4.182069)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1979, 10, N'Almuradiel', N'almuradiel', N'13760', 38.511211, -3.497340)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1980, 10, N'Anchuras', N'anchuras', N'13117', 39.479949, -4.839439)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1981, 10, N'Arenales de San Gregorio', N'arenales-de-san-gregorio', N'13619', 39.308530, -3.031199)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1982, 10, N'Arenas de San Juan', N'arenas-de-san-juan', N'13679', 39.221495, -3.500995)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1983, 10, N'Argamasilla de Alba', N'argamasilla-de-alba', N'13710', 39.129970, -3.082944)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1984, 10, N'Argamasilla de Calatrava', N'argamasilla-de-calatrava', N'13440', 38.730560, -4.079079)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1985, 10, N'Arroba de los Montes', N'arroba-de-los-montes', N'13193', 39.155755, -4.541999)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1986, 10, N'Ballesteros de Calatrava', N'ballesteros-de-calatrava', N'13432', 38.835275, -3.944779)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1987, 10, N'Bolaños de Calatrava', N'bolanos-de-calatrava', N'13260', 38.903595, -3.665604)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1988, 10, N'Brazatortas', N'brazatortas', N'13450', 38.659870, -4.291419)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1989, 10, N'Cabezarados', N'cabezarados', N'13192', 38.845875, -4.297794)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1990, 10, N'Cabezarrubias del Puerto', N'cabezarrubias-del-puerto', N'13591', 38.615960, -4.186024)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1991, 10, N'Calzada de Calatrava', N'calzada-de-calatrava', N'13370', 38.704659, -3.777160)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1992, 10, N'Campo de Criptana', N'campo-de-criptana', N'13610', 39.403339, -3.124340)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1993, 10, N'Cañada de Calatrava', N'canada-de-calatrava', N'13430', 38.854191, -4.020420)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1994, 10, N'Caracuel de Calatrava', N'caracuel-de-calatrava', N'13433', 38.847110, -4.063114)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1995, 10, N'Carrión de Calatrava', N'carrion-de-calatrava', N'13150', 39.018945, -3.816459)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1996, 10, N'Carrizosa', N'carrizosa', N'13329', 38.840670, -2.992165)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1997, 10, N'Castellar de Santiago', N'castellar-de-santiago', N'13750', 38.540374, -3.281568)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1998, 10, N'Chillón', N'chillon', N'13412', 38.794890, -4.860209)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (1999, 10, N'Ciudad Real', N'ciudad-real', N'13001', 38.984410, -3.930174)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2000, 10, N'Corral de Calatrava', N'corral-de-calatrava', N'13190', 38.858929, -4.080830)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2001, 10, N'Cortijos', N'cortijos', N'13427', 39.315043, -4.066658)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2002, 10, N'Cózar', N'cozar', N'13345', 38.657546, -3.074475)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2003, 10, N'Daimiel', N'daimiel', N'13250', 39.069505, -3.617359)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2004, 10, N'Fernán Caballero', N'fernan-caballero', N'13140', 39.122995, -3.901428)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2005, 10, N'Fontanarejo', N'fontanarejo', N'13193', 39.219809, -4.514947)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2006, 10, N'Fuencaliente', N'fuencaliente', N'13130', 38.405920, -4.304523)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2007, 10, N'Fuenllana', N'fuenllana', N'13333', 38.753667, -2.955169)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2008, 10, N'Fuente el Fresno', N'fuente-el-fresno', N'13680', 39.224125, -3.776984)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2009, 10, N'Granátula de Calatrava', N'granatula-de-calatrava', N'13360', 38.796732, -3.741786)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2010, 10, N'Guadalmez', N'guadalmez', N'13490', 38.724723, -4.972663)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2011, 10, N'Herencia', N'herencia', N'13640', 39.368381, -3.354107)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2012, 10, N'Hinojosas de Calatrava', N'hinojosas-de-calatrava', N'13590', 38.613535, -4.137549)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2013, 10, N'Horcajo de los Montes', N'horcajo-de-los-montes', N'13110', 39.328404, -4.646051)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2014, 10, N'Labores', N'labores', N'13660', 39.274391, -3.518028)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2015, 10, N'Llanos del Caudillo', N'llanos-del-caudillo', N'13220', 39.117734, -3.349417)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2016, 10, N'Luciana', N'luciana', N'13108', 38.984965, -4.290249)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2017, 10, N'Malagón', N'malagon', N'13420', 39.167091, -3.853725)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2018, 10, N'Manzanares', N'manzanares', N'13200', 38.994140, -3.373129)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2019, 10, N'Membrilla', N'membrilla', N'13230', 38.974945, -3.346019)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2020, 10, N'Mestanza', N'mestanza', N'13592', 38.576352, -4.068766)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2021, 10, N'Miguelturra', N'miguelturra', N'13170', 38.968371, -3.897045)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2022, 10, N'Montiel', N'montiel', N'13326', 38.696063, -2.863303)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2023, 10, N'Moral de Calatrava', N'moral-de-calatrava', N'13350', 38.829260, -3.579314)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2024, 10, N'Navalpino', N'navalpino', N'13193', 39.226268, -4.591079)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2025, 10, N'Navas de Estena', N'navas-de-estena', N'13194', 39.499870, -4.521979)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2026, 10, N'Pedro Muñoz', N'pedro-munoz', N'13620', 39.407797, -2.943558)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2027, 10, N'Picón', N'picon', N'13196', 39.051660, -4.059454)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2028, 10, N'Piedrabuena', N'piedrabuena', N'13100', 39.033355, -4.171619)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2029, 10, N'Poblete', N'poblete', N'13195', 38.934995, -3.982369)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2030, 10, N'Porzuna', N'porzuna', N'13120', 39.146865, -4.151084)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2031, 10, N'Pozuelo de Calatrava', N'pozuelo-de-calatrava', N'13179', 38.913188, -3.835426)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2032, 10, N'Pozuelos de Calatrava', N'pozuelos-de-calatrava', N'13191', 38.902328, -4.169010)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2033, 10, N'Puebla de Don Rodrigo', N'puebla-de-don-rodrigo', N'13109', 39.083187, -4.618106)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2034, 10, N'Puebla del Príncipe', N'puebla-del-principe', N'13342', 38.567505, -2.927299)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2035, 10, N'Puerto Lápice', N'puerto-lapice', N'13650', 39.324866, -3.480994)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2036, 10, N'Puertollano', N'puertollano', N'13500', 38.685825, -4.112354)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2037, 10, N'Retuerta del Bullaque', N'retuerta-del-bullaque', N'13194', 39.460330, -4.407239)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2038, 10, N'Robledo', N'robledo-ciudadreal', N'13114', 39.218889, -4.281406)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2039, 10, N'Ruidera', N'ruidera', N'13249', 38.976870, -2.884489)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2040, 10, N'Saceruela', N'saceruela', N'13414', 38.945704, -4.606670)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2041, 10, N'San Carlos del Valle', N'san-carlos-del-valle', N'13247', 38.840230, -3.240354)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2042, 10, N'San Lorenzo de Calatrava', N'san-lorenzo-de-calatrava', N'13779', 38.476334, -3.825289)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2043, 10, N'Santa Cruz de los Cáñamos', N'santa-cruz-de-los-canamos', N'13327', 38.638025, -2.865644)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2044, 10, N'Santa Cruz de Mudela', N'santa-cruz-de-mudela', N'13730', 38.641934, -3.465052)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2045, 10, N'Socuéllamos', N'socuellamos', N'13630', 39.284985, -2.794859)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2046, 10, N'Solana', N'solana', N'13240', 38.942054, -3.234787)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2047, 10, N'Solana del Pino', N'solana-del-pino', N'13593', 38.466464, -4.073549)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2048, 10, N'Terrinches', N'terrinches', N'13341', 38.607964, -2.842016)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2049, 10, N'Tomelloso', N'tomelloso', N'13700', 39.166560, -3.005294)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2050, 10, N'Torralba de Calatrava', N'torralba-de-calatrava', N'13160', 39.016920, -3.752959)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2051, 10, N'Torre de Juan Abad', N'torre-de-juan-abad', N'13344', 38.583525, -3.059119)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2052, 10, N'Torrenueva', N'torrenueva', N'13740', 38.643005, -3.362744)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2053, 10, N'Valdemanco del Esteras', N'valdemanco-del-esteras', N'13411', 38.939728, -4.831397)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2054, 10, N'Valdepeñas', N'valdepenas', N'13300', 38.759770, -3.387799)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2055, 10, N'Valenzuela de Calatrava', N'valenzuela-de-calatrava', N'13279', 38.853081, -3.773112)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2056, 10, N'Villahermosa', N'villahermosa', N'13332', 38.750895, -2.875549)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2057, 10, N'Villamanrique', N'villamanrique', N'13343', 38.546340, -2.994365)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2058, 10, N'Villamayor de Calatrava', N'villamayor-de-calatrava', N'13595', 38.786815, -4.141114)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2059, 10, N'Villanueva de la Fuente', N'villanueva-de-la-fuente', N'13330', 38.695610, -2.692390)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2060, 10, N'Villanueva de los Infantes', N'villanueva-de-los-infantes', N'13320', 38.733480, -3.011194)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2061, 10, N'Villanueva de San Carlos', N'villanueva-de-san-carlos', N'13379', 38.623645, -3.909589)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2062, 10, N'Villar del Pozo', N'villar-del-pozo', N'13431', 38.851582, -3.962862)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2063, 10, N'Villarrubia de los Ojos', N'villarrubia-de-los-ojos', N'13670', 39.222215, -3.606049)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2064, 10, N'Villarta de San Juan', N'villarta-de-san-juan', N'13210', 39.235013, -3.420912)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2065, 10, N'Viso del Marqués', N'viso-del-marques', N'13770', 38.523080, -3.566778)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2067, 14, N'Adamuz', N'adamuz', N'14430', 38.027809, -4.524660)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2068, 14, N'Aguilar de la Frontera', N'aguilar-de-la-frontera', N'14920', 37.514511, -4.657650)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2069, 14, N'Alcaracejos', N'alcaracejos', N'14480', 38.389809, -4.968530)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2070, 14, N'Almedinilla', N'almedinilla', N'14812', 37.440208, -4.094880)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2071, 14, N'Almodóvar del Río', N'almodovar-del-rio', N'14720', 37.809380, -5.019820)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2072, 14, N'Añora', N'anora', N'14450', 38.412552, -4.895070)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2073, 14, N'Baena', N'baena', N'14850', 37.617001, -4.323960)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2074, 14, N'Belalcázar', N'belalcazar', N'14280', 38.578899, -5.162640)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2075, 14, N'Belmez', N'belmez', N'14240', 38.270802, -5.207520)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2076, 14, N'Benamejí', N'benameji', N'14910', 37.272060, -4.541280)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2077, 14, N'Blázquez', N'blazquez', N'14208', 38.406590, -5.438880)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2078, 14, N'Bujalance', N'bujalance', N'14650', 37.896192, -4.383545)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2079, 14, N'Cabra', N'cabra', N'14940', 37.472580, -4.446730)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2080, 14, N'Cañete de las Torres', N'canete-de-las-torres', N'14660', 37.867390, -4.318470)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2081, 14, N'Carcabuey', N'carcabuey', N'14810', 37.442581, -4.272690)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2082, 14, N'Cardeña', N'cardena', N'14445', 38.273918, -4.325240)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2083, 14, N'Carlota', N'carlota', N'14100', 37.673461, -4.932346)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2084, 14, N'Carpio', N'carpio', N'14620', 41.212780, -5.112390)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2085, 14, N'Castro del Río', N'castro-del-rio', N'14840', 37.692310, -4.476590)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2086, 14, N'Conquista', N'conquista', N'14448', 38.408608, -4.500790)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2087, 14, N'Córdoba', N'cordoba', N'14001', 37.877941, -4.778400)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2088, 14, N'Doña Mencía', N'dona-mencia', N'14860', 37.554611, -4.357770)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2089, 14, N'Dos Torres', N'dos-torres', N'14460', 38.445202, -4.899130)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2090, 14, N'Encinas Reales', N'encinas-reales', N'14913', 37.276329, -4.487170)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2091, 14, N'Espejo', N'espejo', N'14830', 37.682801, -4.552288)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2092, 14, N'Espiel', N'espiel', N'14220', 38.188431, -5.018190)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2093, 14, N'Fernán-Núñez', N'fernan-nunez', N'14520', 37.672476, -4.724293)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2094, 14, N'Fuente la Lancha', N'fuente-la-lancha', N'14260', 38.422668, -5.047210)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2095, 14, N'Fuente Obejuna', N'fuente-obejuna', N'14290', 38.269329, -5.420050)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2096, 14, N'Fuente Palmera', N'fuente-palmera', N'14120', 37.703541, -5.104030)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2097, 14, N'Fuente-Tójar', N'fuente-tojar', N'14815', 37.512245, -4.146652)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2098, 14, N'Granjuela', N'granjuela', N'14207', 38.371338, -5.351543)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2099, 14, N'Guadalcázar', N'guadalcazar', N'14130', 37.758572, -4.941980)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2100, 14, N'Guijo', N'guijo', N'14413', 38.496170, -4.782940)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2101, 14, N'Hinojosa del Duque', N'hinojosa-del-duque', N'14270', 38.498268, -5.140350)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2102, 14, N'Hornachuelos', N'hornachuelos', N'14740', 37.830921, -5.242800)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2103, 14, N'Iznájar', N'iznajar', N'14970', 37.257912, -4.305180)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2104, 14, N'Lucena', N'lucena', N'14900', 37.412437, -4.485168)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2105, 14, N'Luque', N'luque', N'14880', 37.556660, -4.283020)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2106, 14, N'Montalbán de Córdoba', N'montalban-de-cordoba', N'14548', 37.584339, -4.748710)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2107, 14, N'Montemayor', N'montemayor', N'14530', 37.649985, -4.700775)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2108, 14, N'Montilla', N'montilla', N'14550', 37.581779, -4.640460)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2109, 14, N'Montoro', N'montoro', N'14600', 38.026039, -4.381600)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2110, 14, N'Monturque', N'monturque', N'14930', 37.471760, -4.579930)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2111, 14, N'Moriles', N'moriles', N'14510', 37.435349, -4.608230)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2112, 14, N'Nueva Carteya', N'nueva-carteya', N'14857', 37.587059, -4.469050)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2113, 14, N'Obejo', N'obejo', N'14310', 38.131802, -4.800070)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2114, 14, N'Palenciana', N'palenciana', N'14914', 37.247139, -4.582440)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2115, 14, N'Palma del Río', N'palma-del-rio', N'14700', 37.700420, -5.279600)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2116, 14, N'Pedro Abad', N'pedro-abad', N'14630', 37.965012, -4.459420)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2117, 14, N'Pedroche', N'pedroche', N'14412', 38.429352, -4.762380)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2118, 14, N'Peñarroya-Pueblonuevo', N'penarroya-pueblonuevo', N'14200', 38.300701, -5.268250)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2119, 14, N'Posadas', N'posadas', N'14730', 37.802090, -5.108700)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2120, 14, N'Pozoblanco', N'pozoblanco', N'14400', 38.381039, -4.849230)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2121, 14, N'Priego de Córdoba', N'priego-de-cordoba', N'14800', 37.441368, -4.196300)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2122, 14, N'Puente Genil', N'puente-genil', N'14500', 37.390911, -4.777950)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2123, 14, N'Rambla', N'rambla', N'14540', 37.608112, -4.739571)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2124, 14, N'Rute', N'rute', N'14960', 37.327629, -4.364340)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2125, 14, N'San Sebastián de los Ballesteros', N'san-sebastian-de-los-ballesteros', N'14150', 37.651859, -4.826520)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2126, 14, N'Santa Eufemia', N'santa-eufemia', N'14491', 38.598671, -4.905910)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2127, 14, N'Santaella', N'santaella', N'14546', 37.563320, -4.840760)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2128, 14, N'Torrecampo', N'torrecampo', N'14410', 38.476768, -4.678330)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2129, 14, N'Valenzuela', N'valenzuela', N'14670', 37.774582, -4.219437)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2130, 14, N'Valsequillo', N'valsequillo', N'14206', 38.405043, -5.352402)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2131, 14, N'Victoria', N'victoria', N'14140', 37.681511, -4.852180)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2132, 14, N'Villa del Río', N'villa-del-rio', N'14640', 37.982910, -4.297080)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2133, 14, N'Villafranca de Córdoba', N'villafranca-de-cordoba', N'14420', 37.964321, -4.543440)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2134, 14, N'Villaharta', N'villaharta', N'14210', 38.139542, -4.901750)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2135, 14, N'Villanueva de Córdoba', N'villanueva-de-cordoba', N'14440', 38.322109, -4.621980)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2136, 14, N'Villanueva del Duque', N'villanueva-del-duque', N'14250', 38.395790, -4.999310)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2137, 14, N'Villanueva del Rey', N'villanueva-del-rey', N'14230', 38.199821, -5.151570)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2138, 14, N'Villaralto', N'villaralto', N'14490', 38.455540, -4.983930)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2139, 14, N'Villaviciosa de Córdoba', N'villaviciosa-de-cordoba', N'14300', 38.076118, -5.014310)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2140, 14, N'Viso', N'viso', N'14470', 38.482889, -4.953461)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2141, 14, N'Zuheros', N'zuheros', N'14870', 37.544800, -4.314780)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2143, 18, N'Abegondo', N'abegondo', N'15318', 43.348865, -8.396859)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2144, 18, N'Ames', N'ames', N'15864', 42.859200, -8.652910)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2145, 18, N'Aranga', N'aranga', N'15317', 43.233760, -8.016586)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2146, 18, N'Ares', N'ares', N'15624', 43.425934, -8.245068)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2147, 18, N'Arteixo', N'arteixo', N'15142', 43.304070, -8.509941)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2148, 18, N'Arzúa', N'arzua', N'15810', 42.926891, -8.164215)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2149, 18, N'Baña', N'bana', N'15863', 42.961781, -8.758160)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2150, 18, N'Bergondo', N'bergondo', N'15165', 43.316748, -8.233223)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2151, 18, N'Betanzos', N'betanzos', N'15300', 43.280830, -8.210564)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2152, 18, N'Boimorto', N'boimorto', N'15818', 42.999271, -8.135180)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2153, 18, N'Boiro', N'boiro', N'15930', 42.647121, -8.884710)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2154, 18, N'Boqueixón', N'boqueixon', N'15881', 42.813549, -8.412810)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2155, 18, N'Brión', N'brion', N'15865', 42.866501, -8.678440)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2156, 18, N'Cabana de Bergantiños', N'cabana-de-bergantinos', N'15115', 43.219188, -8.980036)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2157, 18, N'Cabanas', N'cabanas', N'15621', 43.437184, -8.128853)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2158, 18, N'Camariñas', N'camarinas', N'15123', 43.170162, -9.151011)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2159, 18, N'Cambre', N'cambre', N'15660', 43.291721, -8.344390)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2160, 18, N'Capela', N'capela', N'15613', 43.434037, -8.068943)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2161, 18, N'Carballo', N'carballo', N'15100', 43.212808, -8.690872)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2162, 18, N'Cariño', N'carino', N'15360', 43.736530, -7.874620)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2163, 18, N'Carnota', N'carnota', N'15293', 42.822708, -9.088720)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2164, 18, N'Carral', N'carral', N'15175', 43.229820, -8.355789)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2165, 18, N'Cedeira', N'cedeira', N'15350', 43.674297, -8.000450)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2166, 18, N'Cee', N'cee', N'15270', 42.955471, -9.187490)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2167, 18, N'Cerceda', N'cerceda', N'15185', 43.189283, -8.470459)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2168, 18, N'Cerdido', N'cerdido', N'15530', 43.621220, -7.998660)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2169, 18, N'Cesuras', N'cesuras', N'15391', 43.173667, -8.197432)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2170, 18, N'Coirós', N'coiros', N'15316', 43.250389, -8.166020)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2171, 18, N'Corcubión', N'corcubion', N'15130', 42.928113, -9.198212)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2172, 18, N'Coristanco', N'coristanco', N'15147', 43.188438, -8.734610)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2173, 18, N'Coruña', N'coruna', N'15001', 43.370679, -8.394499)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2174, 18, N'Culleredo', N'culleredo', N'15189', 43.317060, -8.376732)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2175, 18, N'Curtis', N'curtis', N'15310', 43.124417, -8.146706)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2176, 18, N'Dodro', N'dodro', N'15981', 42.717369, -8.686840)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2177, 18, N'Dumbría', N'dumbria', N'15151', 43.010399, -9.117970)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2178, 18, N'Fene', N'fene', N'15500', 43.475159, -8.165588)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2179, 18, N'Ferrol', N'ferrol', N'15401', 43.489358, -8.222065)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2180, 18, N'Fisterra', N'fisterra', N'15155', 42.909061, -9.263260)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2181, 18, N'Frades', N'frades', N'15686', 43.039823, -8.276002)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2182, 18, N'Irixoa', N'irixoa', N'15313', 43.285198, -8.059150)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2183, 18, N'Laracha', N'laracha', N'15145', 43.248954, -8.585129)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2184, 18, N'Laxe', N'laxe', N'15117', 43.222260, -9.004640)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2185, 18, N'Lousame', N'lousame', N'15214', 42.765820, -8.849680)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2186, 18, N'Malpica de Bergantiños', N'malpica-de-bergantinos', N'15113', 43.322750, -8.811540)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2187, 18, N'Maón', N'manon', N'15337', 43.769730, -7.685623)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2188, 18, N'Mazaricos', N'mazaricos', N'15256', 42.941399, -8.981880)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2189, 18, N'Melide', N'melide', N'15800', 42.913582, -8.012900)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2190, 18, N'Mesía', N'mesia', N'15685', 43.080910, -8.239150)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2191, 18, N'Miño', N'mino', N'15630', 43.348862, -8.207100)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2192, 18, N'Moeche', N'moeche', N'15563', 43.550725, -7.991180)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2193, 18, N'Monfero', N'monfero', N'15619', 43.334690, -8.056290)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2194, 18, N'Mugardos', N'mugardos', N'15620', 43.458431, -8.257230)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2195, 18, N'Muros', N'muros', N'15250', 42.774613, -9.057884)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2196, 18, N'Muxía', N'muxia', N'15124', 43.106201, -9.217060)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2197, 18, N'Narón', N'naron', N'15570', 43.516548, -8.164900)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2198, 18, N'Neda', N'neda', N'15510', 43.501064, -8.156319)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2199, 18, N'Negreira', N'negreira', N'15830', 42.908958, -8.736880)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2200, 18, N'Noia', N'noia', N'15200', 42.788609, -8.888300)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2201, 18, N'Oleiros', N'oleiros', N'15173', 42.603231, -9.006042)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2202, 18, N'Ordes', N'ordes', N'15680', 43.077141, -8.407280)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2203, 18, N'Oroso', N'oroso', N'15688', 42.994518, -8.434820)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2204, 18, N'Ortigueira', N'ortigueira', N'15330', 43.687860, -7.851791)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2205, 18, N'Outes', N'outes', N'15230', 42.842789, -8.907040)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2206, 18, N'Oza dos Ríos', N'oza-dos-rios', N'15380', 43.215530, -8.187890)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2207, 18, N'Paderne', N'paderne', N'15314', 43.288827, -8.177605)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2208, 18, N'Padrón', N'padron', N'15900', 42.739070, -8.660316)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2209, 18, N'Pino', N'pino', N'15821', 42.936569, -8.333817)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2210, 18, N'Pobra do Caramiñal', N'pobra-do-caraminal', N'15940', 42.604240, -8.938840)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2211, 18, N'Ponteceso', N'ponteceso', N'15110', 43.243462, -8.899720)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2212, 18, N'Pontedeume', N'pontedeume', N'15600', 43.406849, -8.169410)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2213, 18, N'Pontes de García Rodríguez', N'pontes-de-garcia-rodriguez', N'15320', 43.447093, -7.850161)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2214, 18, N'Porto do Son', N'porto-do-son', N'15970', 42.724201, -9.003490)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2215, 18, N'Rianxo', N'rianxo', N'15920', 42.651511, -8.819275)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2216, 18, N'Ribeira', N'ribeira', N'15960', 42.555359, -8.990850)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2217, 18, N'Rois', N'rois', N'15911', 42.762264, -8.706665)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2218, 18, N'Sada', N'sada', N'15160', 43.351059, -8.254810)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2219, 18, N'San Sadurniño', N'san-sadurnino', N'15560', 43.531971, -8.072470)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2220, 18, N'Santa Comba', N'santa-comba', N'15841', 43.036160, -8.816380)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2221, 18, N'Santiago de Compostela', N'santiago-de-compostela', N'15701', 42.880556, -8.545647)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2222, 18, N'Santiso', N'santiso', N'15808', 43.018871, -6.912870)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2223, 18, N'Sobrado', N'sobrado-coruna', N'15813', 43.044555, -8.025513)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2224, 18, N'Somozas', N'somozas', N'15568', 43.533520, -7.944340)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2225, 18, N'Teo', N'teo', N'15886', 42.802076, -8.585815)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2226, 18, N'Toques', N'toques', N'15806', 42.968608, -7.988434)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2227, 18, N'Tordoia', N'tordoia', N'15683', 43.090092, -8.550740)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2228, 18, N'Touro', N'touro', N'15822', 42.869045, -8.307037)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2229, 18, N'Trazo', N'trazo', N'15687', 43.016572, -8.532257)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2230, 18, N'Val do Dubra', N'val-do-dubra', N'15873', 43.024170, -8.655980)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2231, 18, N'Valdoviño', N'valdovino', N'15552', 43.608002, -8.142110)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2232, 18, N'Vedra', N'vedra', N'15885', 42.775959, -8.481800)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2233, 18, N'Vilarmaior', N'vilarmaior', N'15637', 43.344818, -8.154040)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2234, 18, N'Vilasantar', N'vilasantar', N'15807', 43.070629, -8.121070)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2235, 18, N'Vimianzo', N'vimianzo', N'15129', 43.111221, -9.032840)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2236, 18, N'Zas', N'zas', N'15850', 43.099312, -8.914860)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2238, 22, N'Abia de la Obispalía', N'abia-de-la-obispalia', N'16195', 40.019780, -2.397549)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2239, 22, N'El Acebrón', N'el-acebron', N'16412', 43.038783, -5.116196)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2240, 22, N'Alarcón', N'alarcon', N'16214', 39.545815, -2.084888)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2241, 22, N'Albaladejo del Cuende', N'albaladejo-del-cuende', N'16111', 39.805195, -2.228514)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2242, 22, N'Albalate de las Nogueras', N'albalate-de-las-nogueras', N'16841', 40.366855, -2.278154)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2243, 22, N'Albendea', N'albendea', N'16812', 40.488760, -2.415454)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2244, 22, N'Alberca de Záncara', N'alberca-de-zancara', N'16620', 39.517595, -2.492234)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2245, 22, N'Alcalá de la Vega', N'alcala-de-la-vega', N'16315', 40.025969, -1.525657)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2246, 22, N'Alcantud', N'alcantud', N'16810', 40.548521, -2.332336)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2247, 22, N'Alcázar del Rey', N'alcazar-del-rey', N'16464', 40.063645, -2.808126)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2248, 22, N'Alcohujate', N'alcohujate', N'16537', 40.417267, -2.615213)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2249, 22, N'Alconchel de la Estrella', N'alconchel-de-la-estrella', N'16433', 39.719748, -2.572946)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2250, 22, N'Algarra', N'algarra', N'16338', 40.000815, -1.436351)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2251, 22, N'Aliaguilla', N'aliaguilla', N'16313', 39.741388, -1.323766)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2252, 22, N'Almarcha', N'almarcha', N'16740', 39.688499, -2.383010)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2253, 22, N'Almendros', N'almendros', N'16420', 39.920163, -2.886999)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2254, 22, N'Almodóvar del Pinar', N'almodovar-del-pinar', N'16215', 39.724570, -1.900915)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2255, 22, N'Almonacid del Marquesado', N'almonacid-del-marquesado', N'16431', 39.822647, -2.766450)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2256, 22, N'Altarejos', N'altarejos', N'16780', 39.912975, -2.355755)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2257, 22, N'Arandilla del Arroyo', N'arandilla-del-arroyo', N'16812', 40.511050, -2.384594)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2258, 22, N'Arcas del Villar', N'arcas-del-villar', N'16123', 39.986985, -2.113744)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2259, 22, N'Arcos de la Sierra', N'arcos-de-la-sierra', N'16141', 40.346760, -2.111192)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2260, 22, N'Arguisuelas', N'arguisuelas', N'16360', 39.832119, -1.819307)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2261, 22, N'Arrancacepas', N'arrancacepas', N'16855', 40.302510, -2.359224)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2262, 22, N'Atalaya del Cañavate', N'atalaya-del-canavate', N'16710', 39.517548, -2.248662)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2263, 22, N'Barajas de Melo', N'barajas-de-melo', N'16460', 40.122860, -2.916819)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2264, 22, N'Barchín del Hoyo', N'barchin-del-hoyo', N'16118', 39.664245, -2.069742)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2265, 22, N'Bascuñana de San Pedro', N'bascunana-de-san-pedro', N'16191', 40.212120, -2.228379)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2266, 22, N'Beamud', N'beamud', N'16152', 40.186800, -1.830004)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2267, 22, N'Belinchón', N'belinchon', N'16470', 40.048492, -3.057816)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2268, 22, N'Belmonte', N'belmonte', N'16640', 39.559325, -2.708254)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2269, 22, N'Belmontejo', N'belmontejo', N'16779', 39.820376, -2.344257)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2270, 22, N'Beteta', N'beteta', N'16870', 40.571790, -2.076005)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2271, 22, N'Boniches', N'boniches', N'16311', 39.985365, -1.623759)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2272, 22, N'Buciegas', N'buciegas', N'16851', 40.336425, -2.460299)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2273, 22, N'Buenache de Alarcón', N'buenache-de-alarcon', N'16114', 39.654795, -2.160664)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2274, 22, N'Buenache de la Sierra', N'buenache-de-la-sierra', N'16192', 40.134583, -1.998839)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2275, 22, N'Buendía', N'buendia', N'16512', 40.365773, -2.755852)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2276, 22, N'Campillo de Altobuey', N'campillo-de-altobuey', N'16210', 39.612383, -1.793637)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2277, 22, N'Campillos-Paravientos', N'campillos-paravientos', N'16311', 39.973258, -1.544892)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2278, 22, N'Campillos-Sierra', N'campillos-sierra', N'16316', 40.100850, -1.696999)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2279, 22, N'Campos del Paraíso', N'campos-del-paraiso', N'16555', 40.037636, -2.738174)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2280, 22, N'Canalejas del Arroyo', N'canalejas-del-arroyo', N'16857', 40.369175, -2.494489)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2281, 22, N'Cañada del Hoyo', N'canada-del-hoyo', N'16340', 39.969238, -1.899080)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2282, 22, N'Cañada Juncosa', N'canada-juncosa', N'16720', 39.549009, -2.253319)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2283, 22, N'Cañamares', N'canamares', N'16890', 40.451565, -2.238914)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2284, 22, N'Cañavate', N'canavate', N'16738', 39.544228, -2.302494)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2285, 22, N'Cañaveras', N'canaveras', N'16850', 40.359620, -2.396039)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2286, 22, N'Cañaveruelas', N'canaveruelas', N'16537', 40.401306, -2.637291)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2287, 22, N'Cañete', N'canete', N'16300', 40.042528, -1.647539)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2288, 22, N'Cañizares', N'canizares', N'16891', 40.517119, -2.191762)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2289, 22, N'Carboneras de Guadazaón', N'carboneras-de-guadazaon', N'16350', 39.896031, -1.809430)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2290, 22, N'Cardenete', N'cardenete', N'16373', 39.765645, -1.687924)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2291, 22, N'Carrascosa', N'carrascosa', N'16879', 40.590625, -2.162909)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2292, 22, N'Carrascosa de Haro', N'carrascosa-de-haro', N'16649', 39.597891, -2.543170)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2293, 22, N'Casas de Benítez', N'casas-de-benitez', N'16707', 39.364466, -2.130729)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2294, 22, N'Casas de Fernando Alonso', N'casas-de-fernando-alonso', N'16610', 39.352515, -2.325409)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2295, 22, N'Casas de Garcimolina', N'casas-de-garcimolina', N'16338', 39.996585, -1.417504)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2296, 22, N'Casas de Guijarro', N'casas-de-guijarro', N'16708', 39.345345, -2.161509)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2297, 22, N'Casas de Haro', N'casas-de-haro', N'16611', 39.326210, -2.268839)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2298, 22, N'Casas de los Pinos', N'casas-de-los-pinos', N'16612', 39.332341, -2.370757)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2299, 22, N'Casasimarro', N'casasimarro', N'16239', 39.395390, -2.035284)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2300, 22, N'Castejón', N'castejon', N'16856', 40.382254, -2.518911)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2301, 22, N'Castillejo de Iniesta', N'castillejo-de-iniesta', N'16250', 39.526870, -1.761434)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2302, 22, N'Castillejo-Sierra', N'castillejo-sierra', N'16141', 40.374860, -2.138945)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2303, 22, N'Castillo de Garcimuñoz', N'castillo-de-garcimunoz', N'16623', 39.661600, -2.383274)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2304, 22, N'Castillo-Albaráñez', N'castillo-albaranez', N'16854', 40.299349, -2.393069)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2305, 22, N'Cervera del Llano', N'cervera-del-llano', N'16444', 39.783295, -2.418809)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2306, 22, N'Chillarón de Cuenca', N'chillaron-de-cuenca', N'16190', 40.107181, -2.222975)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2307, 22, N'Chumillas', N'chumillas', N'16216', 39.772760, -2.029699)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2308, 22, N'Cierva', N'cierva', N'16340', 40.056395, -1.851540)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2309, 22, N'Cuenca', N'cuenca', N'16001', 40.072070, -2.136239)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2310, 22, N'Cueva del Hierro', N'cueva-del-hierro', N'16879', 40.583165, -2.035929)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2311, 22, N'Enguídanos', N'enguidanos', N'16372', 39.673371, -1.608109)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2312, 22, N'Fresneda de Altarejos', N'fresneda-de-altarejos', N'16781', 39.926875, -2.313874)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2313, 22, N'Fresneda de la Sierra', N'fresneda-de-la-sierra', N'16141', 40.390907, -2.141779)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2314, 22, N'Frontera', N'frontera', N'16144', 40.399952, -2.213829)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2315, 22, N'Fuente de Pedro Naharro', N'fuente-de-pedro-naharro', N'16411', 39.922863, -3.008515)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2316, 22, N'Fuentelespino de Haro', N'fuentelespino-de-haro', N'16647', 39.690620, -2.668349)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2317, 22, N'Fuentelespino de Moya', N'fuentelespino-de-moya', N'16311', 39.919437, -1.470356)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2318, 22, N'Fuentenava de Jábaga', N'fuentenava-de-jabaga', N'16194', 40.085800, -2.263994)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2319, 22, N'Fuentes', N'fuentes', N'16193', 39.951173, -2.021957)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2320, 22, N'Fuertescusa', N'fuertescusa', N'16890', 40.475440, -2.176269)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2321, 22, N'Gabaldón', N'gabaldon', N'16214', 39.627825, -1.940599)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2322, 22, N'Garaballa', N'garaballa', N'16312', 39.813465, -1.375234)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2323, 22, N'Gascueña', N'gascuena', N'16532', 40.298440, -2.518289)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2324, 22, N'Graja de Campalbo', N'graja-de-campalbo', N'16339', 39.898443, -1.270439)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2325, 22, N'Graja de Iniesta', N'graja-de-iniesta', N'16251', 39.516691, -1.669814)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2326, 22, N'Henarejos', N'henarejos', N'16312', 39.865247, -1.485695)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2327, 22, N'Herrumblar', N'herrumblar', N'16290', 39.402178, -1.623573)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2328, 22, N'Hinojosa', N'hinojosa', N'16435', 39.727851, -2.416992)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2329, 22, N'Hinojosos', N'hinojosos', N'16417', 39.606085, -2.825546)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2330, 22, N'Hito', N'hito', N'16441', 39.860077, -2.715683)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2331, 22, N'Honrubia', N'honrubia', N'16730', 39.613690, -2.281249)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2332, 22, N'Hontanaya', N'hontanaya', N'16421', 39.717850, -2.834234)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2333, 22, N'Hontecillas', N'hontecillas', N'16118', 39.691480, -2.187504)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2334, 22, N'Horcajo de Santiago', N'horcajo-de-santiago', N'16410', 39.841480, -3.000334)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2335, 22, N'Huélamo', N'huelamo', N'16152', 40.277071, -1.810279)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2336, 22, N'Huelves', N'huelves', N'16465', 40.042865, -2.883574)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2337, 22, N'Huérguina', N'huerguina', N'16311', 40.042449, -1.608905)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2338, 22, N'Huerta de la Obispalía', N'huerta-de-la-obispalia', N'16195', 39.988700, -2.479744)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2339, 22, N'Huerta del Marquesado', N'huerta-del-marquesado', N'16316', 40.145021, -1.687053)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2340, 22, N'Huete', N'huete', N'16500', 40.143145, -2.688434)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2341, 22, N'Iniesta', N'iniesta', N'16235', 39.440440, -1.744884)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2342, 22, N'Laguna del Marquesado', N'laguna-del-marquesado', N'16316', 40.178065, -1.671929)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2343, 22, N'Lagunaseca', N'lagunaseca', N'16878', 40.531299, -2.018842)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2344, 22, N'Landete', N'landete', N'16330', 39.907285, -1.367719)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2345, 22, N'Ledaña', N'ledana', N'16237', 39.359173, -1.716056)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2346, 22, N'Leganiel', N'leganiel', N'16461', 40.164761, -2.950404)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2347, 22, N'Majadas', N'majadas', N'16142', 40.296749, -2.019100)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2348, 22, N'Mariana', N'mariana', N'16143', 40.166084, -2.145289)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2349, 22, N'Masegosa', N'masegosa', N'16878', 40.546349, -2.026121)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2350, 22, N'Mesas', N'mesas', N'16650', 39.390703, -2.767868)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2351, 22, N'Minglanilla', N'minglanilla', N'16260', 39.536828, -1.597033)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2352, 22, N'Mira', N'mira', N'16393', 39.719185, -1.440244)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2353, 22, N'Monreal del Llano', N'monreal-del-llano', N'16649', 39.568828, -2.760140)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2354, 22, N'Montalbanejo', N'montalbanejo', N'16434', 39.733825, -2.498839)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2355, 22, N'Montalbo', N'montalbo', N'16440', 39.876520, -2.669394)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2356, 22, N'Monteagudo de las Salinas', N'monteagudo-de-las-salinas', N'16360', 39.803395, -1.902524)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2357, 22, N'Mota de Altarejos', N'mota-de-altarejos', N'16780', 39.881430, -2.309704)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2358, 22, N'Mota del Cuervo', N'mota-del-cuervo', N'16630', 39.503035, -2.871309)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2359, 22, N'Motilla del Palancar', N'motilla-del-palancar', N'16200', 39.560720, -1.906204)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2360, 22, N'Moya', N'moya', N'16311', 39.948569, -1.365738)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2361, 22, N'Narboneta', N'narboneta', N'16371', 39.751617, -1.475660)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2362, 22, N'Olivares de Júcar', N'olivares-de-jucar', N'16760', 39.761750, -2.355139)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2363, 22, N'Olmeda de la Cuesta', N'olmeda-de-la-cuesta', N'16852', 40.311375, -2.477889)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2364, 22, N'Olmeda del Rey', N'olmeda-del-rey', N'16216', 39.806855, -2.084524)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2365, 22, N'Olmedilla de Alarcón', N'olmedilla-de-alarcon', N'16118', 39.613296, -2.105316)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2366, 22, N'Olmedilla de Eliz', N'olmedilla-de-eliz', N'16853', 40.302768, -2.417274)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2367, 22, N'Osa de la Vega', N'osa-de-la-vega', N'16423', 39.659049, -2.760247)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2368, 22, N'Pajarón', N'pajaron', N'16390', 39.957305, -1.782794)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2369, 22, N'Pajaroncillo', N'pajaroncillo', N'16390', 39.945660, -1.734149)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2370, 22, N'Palomares del Campo', N'palomares-del-campo', N'16160', 39.946380, -2.598693)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2371, 22, N'Palomera', N'palomera', N'16192', 40.067160, -2.048204)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2372, 22, N'Paracuellos', N'paracuellos', N'16373', 39.717220, -1.790609)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2373, 22, N'Paredes', N'paredes', N'16465', 40.064260, -2.853789)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2374, 22, N'Parra de las Vegas', N'parra-de-las-vegas', N'16113', 39.868285, -2.206239)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2375, 22, N'Pedernoso', N'pedernoso', N'16638', 39.487217, -2.744522)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2376, 22, N'Pedroñeras', N'pedroneras', N'16660', 39.447064, -2.679291)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2377, 22, N'Peral', N'peral', N'16240', 39.499935, -1.898232)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2378, 22, N'Peraleja', N'peraleja', N'16532', 40.234951, -2.554480)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2379, 22, N'Pesquera', N'pesquera', N'16269', 39.574667, -1.584091)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2380, 22, N'Picazo', N'picazo', N'16211', 39.448522, -2.087059)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2381, 22, N'Pinarejo', N'pinarejo', N'16622', 39.615688, -2.423541)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2382, 22, N'Pineda de Gigüela', N'pineda-de-giguela', N'16541', 40.085500, -2.543949)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2383, 22, N'Piqueras del Castillo', N'piqueras-del-castillo', N'16118', 39.720422, -2.083507)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2384, 22, N'Portalrubio de Guadamejud', N'portalrubio-de-guadamejud', N'16522', 40.271922, -2.604908)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2385, 22, N'Portilla', N'portilla', N'16141', 40.289940, -2.082849)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2386, 22, N'Poyatos', N'poyatos', N'16878', 40.423077, -2.049439)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2387, 22, N'Pozoamargo', N'pozoamargo', N'16708', 39.364697, -2.195187)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2388, 22, N'Pozorrubielos de la Mancha', N'pozorrubielos-de-la-mancha', N'16212', 39.495033, -1.973163)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2389, 22, N'Pozorrubio', N'pozorrubio', N'16414', 39.816395, -2.950129)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2390, 22, N'Pozuelo', N'pozuelo-cuenca', N'16812', 40.620272, -2.277603)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2391, 22, N'Priego', N'priego', N'16800', 40.450943, -2.313481)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2392, 22, N'Provencio', N'provencio', N'16670', 39.380686, -2.575951)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2393, 22, N'Puebla de Almenara', N'puebla-de-almenara', N'16421', 39.785106, -2.813034)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2394, 22, N'Puebla de Don Francisco', N'puebla-de-don-francisco', N'16510', 40.224738, -2.762953)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2395, 22, N'Puebla del Salvador', N'puebla-del-salvador', N'16269', 39.568085, -1.676734)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2396, 22, N'Quintanar del Rey', N'quintanar-del-rey', N'16220', 39.347335, -1.930329)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2397, 22, N'Rada de Haro', N'rada-de-haro', N'16649', 39.568540, -2.620434)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2398, 22, N'Reíllo', N'reillo', N'16390', 39.905610, -1.868734)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2399, 22, N'Rozalén del Monte', N'rozalen-del-monte', N'16452', 39.990424, -2.805461)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2400, 22, N'Saceda-Trasierra', N'saceda-trasierra', N'16463', 40.155236, -2.854258)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2401, 22, N'Saelices', N'saelices', N'16430', 39.919260, -2.807741)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2402, 22, N'Salinas del Manzano', N'salinas-del-manzano', N'16317', 40.088055, -1.556269)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2403, 22, N'Salmeroncillos', N'salmeroncillos', N'16813', 40.505462, -2.521915)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2404, 22, N'Salvacañete', N'salvacanete', N'16318', 40.098208, -1.500819)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2405, 22, N'San Clemente', N'san-clemente', N'16600', 39.399320, -2.427019)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2406, 22, N'San Lorenzo de la Parrilla', N'san-lorenzo-de-la-parrilla', N'16770', 39.852439, -2.361826)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2407, 22, N'San Martín de Boniches', N'san-martin-de-boniches', N'16370', 39.885958, -1.573807)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2408, 22, N'San Pedro Palmiches', N'san-pedro-palmiches', N'16813', 40.428215, -2.404294)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2409, 22, N'Santa Cruz de Moya', N'santa-cruz-de-moya', N'16336', 39.955912, -1.258156)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2410, 22, N'Santa María de los Llanos', N'santa-maria-de-los-llanos', N'16639', 39.491558, -2.808006)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2411, 22, N'Santa María del Campo Rus', N'santa-maria-del-campo-rus', N'16621', 39.558465, -2.422624)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2412, 22, N'Santa María del Val', N'santa-maria-del-val', N'16878', 40.504940, -2.040454)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2413, 22, N'Sisante', N'sisante', N'16700', 39.411000, -2.201879)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2414, 22, N'Solera de Gabaldón', N'solera-de-gabaldon', N'16216', 39.750075, -1.977389)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2415, 22, N'Sotorribas', N'sotorribas', N'16143', 40.337800, -2.176969)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2416, 22, N'Talayuelas', N'talayuelas', N'16320', 39.849420, -1.284175)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2417, 22, N'Tarancón', N'tarancon', N'16400', 40.011315, -3.004684)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2418, 22, N'Tébar', N'tebar', N'16710', 39.499584, -2.163249)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2419, 22, N'Tejadillos', N'tejadillos', N'16317', 40.138995, -1.634195)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2420, 22, N'Tinajas', N'tinajas', N'16522', 40.325830, -2.581484)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2421, 22, N'Torralba', N'torralba', N'16842', 40.304990, -2.284694)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2422, 22, N'Torrejoncillo del Rey', N'torrejoncillo-del-rey', N'16161', 40.009205, -2.571849)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2423, 22, N'Torrubia del Campo', N'torrubia-del-campo', N'16413', 39.896755, -2.962214)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2424, 22, N'Torrubia del Castillo', N'torrubia-del-castillo', N'16739', 39.658330, -2.310899)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2425, 22, N'Tragacete', N'tragacete', N'16150', 40.352143, -1.851811)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2426, 22, N'Tresjuncos', N'tresjuncos', N'16422', 39.698685, -2.757338)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2427, 22, N'Tribaldos', N'tribaldos', N'16452', 39.971930, -2.898264)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2428, 22, N'Uclés', N'ucles', N'16452', 39.980820, -2.861619)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2429, 22, N'Uña', N'una', N'16152', 40.222889, -1.976469)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2430, 22, N'Valdecolmenas', N'valdecolmenas', N'16541', 40.120484, -2.497673)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2431, 22, N'Valdemeca', N'valdemeca', N'16152', 40.223848, -1.743065)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2432, 22, N'Valdemorillo de la Sierra', N'valdemorillo-de-la-sierra', N'16340', 40.039343, -1.779085)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2433, 22, N'Valdemoro-Sierra', N'valdemoro-sierra', N'16316', 40.100278, -1.766271)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2434, 22, N'Valdeolivas', N'valdeolivas', N'16813', 40.504755, -2.446749)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2435, 22, N'Valdetórtola', N'valdetortola', N'16122', 39.920516, -2.187414)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2436, 22, N'Valeras', N'valeras', N'16120', 39.786521, -2.154847)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2437, 22, N'Valhermoso de la Fuente', N'valhermoso-de-la-fuente', N'16214', 39.552309, -2.015680)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2438, 22, N'Valsalobre', N'valsalobre', N'16879', 40.616521, -2.093152)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2439, 22, N'Valverde de Júcar', N'valverde-de-jucar', N'16100', 39.720015, -2.222761)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2440, 22, N'Valverdejo', N'valverdejo', N'16214', 39.615935, -2.021299)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2441, 22, N'Vara de Rey', N'vara-de-rey', N'16709', 39.424920, -2.293404)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2442, 22, N'Vega del Codorno', N'vega-del-codorno', N'16150', 40.433501, -1.929958)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2443, 22, N'Vellisca', N'vellisca', N'16510', 40.129903, -2.813876)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2444, 22, N'Villaconejos de Trabaque', N'villaconejos-de-trabaque', N'16860', 40.399985, -2.318084)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2445, 22, N'Villaescusa de Haro', N'villaescusa-de-haro', N'16647', 39.600225, -2.674174)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2446, 22, N'Villagarcía del Llano', N'villagarcia-del-llano', N'16236', 39.328223, -1.849643)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2447, 22, N'Villalba de la Sierra', N'villalba-de-la-sierra', N'16140', 40.236175, -2.089099)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2448, 22, N'Villalba del Rey', N'villalba-del-rey', N'16535', 40.344995, -2.638499)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2449, 22, N'Villalgordo del Marquesado', N'villalgordo-del-marquesado', N'16646', 39.682110, -2.508319)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2450, 22, N'Villalpardo', N'villalpardo', N'16270', 39.471600, -1.624028)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2451, 22, N'Villamayor de Santiago', N'villamayor-de-santiago', N'16415', 39.730124, -2.923422)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2452, 22, N'Villanueva de Guadamejud', N'villanueva-de-guadamejud', N'16531', 40.224435, -2.505719)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2453, 22, N'Villanueva de la Jara', N'villanueva-de-la-jara', N'16230', 39.442925, -1.958389)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2454, 22, N'Villar de Cañas', N'villar-de-canas', N'16433', 39.779065, -2.565754)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2455, 22, N'Villar de Domingo García', N'villar-de-domingo-garcia', N'16840', 40.235370, -2.291354)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2456, 22, N'Villar de la Encina', N'villar-de-la-encina', N'16648', 39.637606, -2.521220)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2457, 22, N'Villar de Olalla', N'villar-de-olalla', N'16196', 40.014820, -2.193644)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2458, 22, N'Villar del Humo', N'villar-del-humo', N'16370', 39.870565, -1.627589)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2459, 22, N'Villar del Infantado', N'villar-del-infantado', N'16813', 40.455620, -2.478559)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2460, 22, N'Villar y Velasco', N'villar-y-velasco', N'16542', 40.149901, -2.416565)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2461, 22, N'Villarejo de Fuentes', N'villarejo-de-fuentes', N'16432', 39.788423, -2.695770)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2462, 22, N'Villarejo de la Peñuela', N'villarejo-de-la-penuela', N'16541', 40.088217, -2.409697)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2463, 22, N'Villarejo-Periesteban', N'villarejo-periesteban', N'16771', 39.871445, -2.441119)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2464, 22, N'Villares del Saz', N'villares-del-saz', N'16442', 39.839782, -2.506298)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2465, 22, N'Villarrubio', N'villarrubio', N'16420', 39.945312, -2.894039)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2466, 22, N'Villarta', N'villarta', N'16280', 39.439639, -1.653696)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2467, 22, N'La Ventosa', N'la-ventosa', N'16843', 40.205379, -2.432820)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2468, 22, N'Villaverde y Pasaconsol', N'villaverde-y-pasaconsol', N'16111', 39.770399, -2.265930)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2469, 22, N'Víllora', N'villora', N'16371', 39.752137, -1.589203)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2470, 22, N'Vindel', N'vindel', N'16812', 40.586805, -2.380544)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2471, 22, N'Yémeda', N'yemeda', N'16373', 39.763059, -1.722622)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2472, 22, N'Zafra de Záncara', N'zafra-de-zancara', N'16771', 39.901440, -2.541962)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2473, 22, N'Zafrilla', N'zafrilla', N'16317', 40.195462, -1.617908)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2474, 22, N'Zarza de Tajo', N'zarza-de-tajo', N'16470', 40.018708, -3.130159)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2475, 22, N'Zarzuela', N'zarzuela', N'16146', 40.255850, -2.129116)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2477, 26, N'Agullana', N'agullana', N'17707', 42.394270, 2.847195)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2478, 26, N'Aiguaviva', N'aiguaviva', N'17181', 41.937690, 2.761946)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2479, 26, N'Albanyà', N'albanya', N'17733', 42.305175, 2.720280)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2480, 26, N'Albons', N'albons', N'17136', 42.104809, 3.085553)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2481, 26, N'Alp', N'alp', N'17538', 42.373855, 1.886728)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2482, 26, N'Amer', N'amer', N'17170', 42.009253, 2.604444)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2483, 26, N'Anglés', N'angles', N'17160', 41.958227, 2.634782)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2484, 26, N'Arbúcies', N'arbucies', N'17401', 41.814465, 2.518240)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2485, 26, N'Argelaguer', N'argelaguer', N'17853', 42.215602, 2.640883)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2486, 26, N'Armentera', N'armentera', N'17472', 42.172009, 3.074480)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2487, 26, N'Avinyonet de Puigventós', N'avinyonet-de-puigventos', N'17742', 42.250640, 2.913150)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2488, 26, N'Banyoles', N'banyoles', N'17820', 42.116955, 2.764980)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2489, 26, N'Bàscara', N'bascara', N'17483', 42.157903, 2.910467)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2490, 26, N'Begur', N'begur', N'17255', 41.951670, 3.206115)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2491, 26, N'Bellcaire d Empordà', N'bellcaire-demporda', N'17141', 42.080973, 3.093977)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2492, 26, N'Besalú', N'besalu', N'17850', 42.200322, 2.697672)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2493, 26, N'Bescanó', N'bescano', N'17162', 41.966185, 2.739375)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2494, 26, N'Beuda', N'beuda', N'17850', 42.237013, 2.709192)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2495, 26, N'Bisbal d Empordà', N'bisbal-d-emporda', N'17100', 41.960384, 3.041153)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2496, 26, N'Biure', N'biure', N'17723', 42.337570, 2.895060)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2497, 26, N'Blanes', N'blanes', N'17300', 41.688729, 2.787781)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2498, 26, N'Boadella i les Escaules', N'boadella-i-les-escaules', N'17723', 42.331757, 2.857261)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2499, 26, N'Bolvir', N'bolvir', N'17539', 42.417009, 1.880336)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2500, 26, N'Bordils', N'bordils', N'17462', 42.045612, 2.910304)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2501, 26, N'Borrassà', N'borrassa', N'17770', 42.222209, 2.926612)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2502, 26, N'Breda', N'breda', N'17400', 41.748055, 2.560158)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2503, 26, N'Brunyola', N'brunyola', N'17441', 41.904018, 2.684183)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2504, 26, N'Cabanelles', N'cabanelles', N'17746', 42.230948, 2.820010)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2505, 26, N'Cabanes', N'cabanes-girona', N'17761', 42.309165, 2.976651)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2506, 26, N'Cadaqués', N'cadaques', N'17488', 42.288755, 3.278475)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2507, 26, N'Caldes de Malavella', N'caldes-de-malavella', N'17455', 41.839466, 2.810569)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2508, 26, N'Calonge', N'calonge', N'08281', 41.861843, 3.072567)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2509, 26, N'Camós', N'camos', N'17834', 42.097060, 2.766409)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2510, 26, N'Campdevànol', N'campdevanol', N'17530', 42.222495, 2.167397)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2511, 26, N'Campelles', N'campelles', N'17534', 42.295755, 2.140875)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2512, 26, N'Campllong', N'campllong', N'17457', 41.896416, 2.832155)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2513, 26, N'Camprodon', N'camprodon', N'17867', 42.312751, 2.364936)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2515, 26, N'Cantallops', N'cantallops', N'17708', 42.420114, 2.924294)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2516, 26, N'Capmany', N'capmany', N'17750', 42.371814, 2.923994)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2517, 26, N'Cassàde la Selva', N'cassade-la-selva', N'17244', 41.888333, 2.875843)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2518, 26, N'Castellfollit de la Roca', N'castellfollit-de-la-roca', N'17856', 42.219280, 2.549788)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2519, 26, N'Castelló Empúries', N'castello dempuries', N'17486', 42.255895, 3.076460)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2520, 26, N'Castell Platja d Aro', N'castell-platja-daro', N'17249', 41.814410, 3.031900)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2521, 26, N'Cellera de Ter', N'cellera-de-ter', N'17165', 41.970802, 2.621140)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2522, 26, N'Celrà', N'celra', N'17460', 42.024957, 2.879105)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2523, 26, N'Cerviàde Ter', N'cerviade-ter', N'17464', 42.066738, 2.910905)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2524, 26, N'Cistella', N'cistella', N'17741', 42.268910, 2.847433)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2525, 26, N'Colera', N'colera', N'17496', 42.403796, 3.151145)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2526, 26, N'Colomers', N'colomers', N'17144', 42.084067, 2.986522)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2527, 26, N'Corçà', N'corca', N'17121', 41.988093, 3.016090)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2528, 26, N'Cornellàdel Terri', N'cornelladel-terri', N'17844', 42.089736, 2.816191)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2529, 26, N'Crespià', N'crespia', N'17832', 42.187114, 2.799325)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2530, 26, N'Cruilles', N'cru', N'17116', 41.955038, 3.011198)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2531, 26, N'Darnius', N'darnius', N'17722', 42.366234, 2.834044)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2532, 26, N'Das', N'das', N'17538', 42.362111, 1.870809)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2533, 26, N'Escala', N'escala', N'17130', 42.124567, 3.132563)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2534, 26, N'Espinelves', N'espinelves', N'17405', 41.867915, 2.417722)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2535, 26, N'Espolla', N'espolla', N'17753', 42.389757, 3.001928)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2536, 26, N'Esponellà', N'esponella', N'17832', 42.187273, 2.799582)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2537, 26, N'Far d Empordà', N'far-demporda', N'17469', 42.252129, 2.995302)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2538, 26, N'Figueres', N'figueres', N'17600', 42.265690, 2.958110)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2539, 26, N'Flaçà', N'flaca', N'17463', 42.046625, 2.954320)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2540, 26, N'Foixà', N'foixa', N'17132', 42.039333, 2.998066)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2541, 26, N'Fontanals de Cerdanya', N'fontanals-de-cerdanya', N'17538', 42.374731, 1.887631)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2542, 26, N'Fontanilles', N'fontanilles', N'17257', 42.010482, 3.107929)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2543, 26, N'Fontcoberta', N'fontcoberta', N'17833', 42.150185, 2.786107)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2544, 26, N'Forallac', N'forallac', N'17230', 41.958357, 3.057890)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2545, 26, N'Fornells de la Selva', N'fornells-de-la-selva', N'17458', 41.930898, 2.813058)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2546, 26, N'Fortià', N'fortia', N'17469', 42.245024, 3.039908)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2547, 26, N'Garrigàs', N'garrigas', N'17476', 42.193529, 2.954528)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2548, 26, N'Garrigoles', N'garrigoles', N'17466', 42.107663, 3.030081)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2549, 26, N'Garriguella', N'garriguella', N'17780', 42.344542, 3.065872)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2550, 26, N'Ger', N'ger', N'17539', 42.410174, 1.846111)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2551, 26, N'Girona', N'girona', N'17185', 41.887694, 2.741647)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2552, 26, N'Gombrén', N'gombren', N'17531', 42.248518, 2.092080)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2553, 26, N'Gualta', N'gualta', N'17257', 42.029834, 3.103509)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2554, 26, N'Guils de Cerdanya', N'guils-de-cerdanya', N'17528', 42.447987, 1.880336)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2555, 26, N'Hostalric', N'hostalric', N'17450', 41.747470, 2.635303)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2556, 26, N'Isóvol', N'isovol', N'17539', 42.378218, 1.818366)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2557, 26, N'Jafre', N'jafre', N'17143', 42.072974, 3.009846)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2558, 26, N'Jonquera', N'jonquera', N'17700', 42.416788, 2.873354)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2559, 26, N'Juià', N'juia', N'17462', 42.016508, 2.906442)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2560, 26, N'Lladó', N'llado', N'17745', 42.248010, 2.814431)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2561, 26, N'Llagostera', N'llagostera', N'17240', 41.829170, 2.894382)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2562, 26, N'Llambilles', N'llambilles', N'17243', 41.922006, 2.850544)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2563, 26, N'Llanars', N'llanars', N'17869', 42.320208, 2.344851)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2564, 26, N'Llançà', N'llanca', N'17490', 42.365504, 3.161445)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2565, 26, N'Llers', N'llers', N'17730', 42.295263, 2.912192)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2566, 26, N'Llívia', N'llivia', N'17527', 42.463344, 1.979814)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2567, 26, N'Lloret de Mar', N'lloret-de-mar', N'17310', 41.698583, 2.847605)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2568, 26, N'Llosses', N'llosses', N'17512', 42.150392, 2.115469)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2569, 26, N'Maçanet de Cabrenys', N'macanet-de-cabrenys', N'17720', 42.386825, 2.753878)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2570, 26, N'Maçanet de la Selva', N'macanet-de-la-selva', N'17412', 41.777840, 2.734270)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2571, 26, N'Madremanya', N'madremanya', N'17462', 41.990374, 2.956610)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2572, 26, N'Maiàde Montcal', N'maiade-montcal', N'17310', 42.221907, 2.744865)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2573, 26, N'Masarac', N'masarac', N'17763', 42.351408, 2.971501)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2574, 26, N'Massanes', N'massanes', N'17452', 41.764942, 2.654314)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2575, 26, N'Meranges', N'meranges', N'17539', 42.445628, 1.788025)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2576, 26, N'Mieres', N'mieres-mieres', N'17830', 42.127225, 2.639551)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2577, 26, N'Mollet de Peralada', N'mollet-de-peralada', N'17752', 42.360827, 2.999911)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2578, 26, N'Molló', N'mollo', N'17868', 42.346936, 2.404289)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2579, 26, N'Montagut i Oix', N'montagut-i-oix', N'17855', 42.231949, 2.595949)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2580, 26, N'Mont-ras', N'mont-ras', N'17253', 41.908250, 3.147111)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2581, 26, N'Navata', N'navata', N'17744', 42.226134, 2.861252)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2582, 26, N'Ogassa', N'ogassa', N'17861', 42.265908, 2.277989)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2583, 26, N'Olot', N'olot', N'17800', 42.182296, 2.488403)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2584, 26, N'Ordis', N'ordis', N'17772', 42.218443, 2.907772)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2585, 26, N'Osor', N'osor', N'17161', 41.947043, 2.552433)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2586, 26, N'Palafrugell', N'palafrugell', N'17200', 41.917543, 3.163848)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2587, 26, N'Palamós', N'palamos', N'17230', 41.846995, 3.128614)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2588, 26, N'Palau de Santa Eulàlia', N'palau-de-santa-eulalia', N'17476', 42.193680, 2.954936)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2589, 26, N'Palau-sator', N'palau-sator', N'17256', 41.971488, 3.149257)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2590, 26, N'Palau-saverdera', N'palau-saverdera', N'17495', 42.307721, 3.148098)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2591, 26, N'Palol de Revardit', N'palol-de-revardit', N'17843', 42.071628, 2.802587)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2592, 26, N'Pals', N'pals', N'17256', 41.971424, 3.148956)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2593, 26, N'Pardines', N'pardines', N'17534', 42.307403, 2.170315)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2594, 26, N'Parlavà', N'parlava', N'17133', 42.022136, 3.031540)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2595, 26, N'Pau', N'pau', N'17494', 42.314893, 3.114281)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2596, 26, N'Pedret i Marzà', N'pedret-i-marza', N'17493', 42.310831, 3.067760)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2597, 26, N'Pera', N'pera', N'17120', 42.021339, 2.973003)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2598, 26, N'Peralada', N'peralada', N'17491', 42.307753, 3.010511)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2599, 26, N'Planes dHostoles', N'planes-dhostoles', N'17172', 42.057163, 2.541018)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2600, 26, N'Planoles', N'planoles', N'17535', 42.316226, 2.102423)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2601, 26, N'Pont de Molins', N'pont-de-molins', N'17706', 42.313433, 2.928886)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2602, 26, N'Pontós', N'pontos', N'17773', 42.186843, 2.916656)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2603, 26, N'Porqueres', N'porqueres', N'17834', 42.122037, 2.748299)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2604, 26, N'Port de la Selva', N'port-de-la-selva', N'17489', 42.336595, 3.202343)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2605, 26, N'Portbou', N'portbou', N'17497', 42.426403, 3.160007)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2606, 26, N'Preses', N'preses', N'17178', 42.146510, 2.460251)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2607, 26, N'Puigcerdà', N'puigcerda', N'17520', 42.431693, 1.927500)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2608, 26, N'Quart', N'quart', N'17242', 41.938137, 2.841253)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2609, 26, N'Queralbs', N'queralbs', N'17534', 42.349886, 2.163491)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2610, 26, N'Rabós', N'rabos', N'17754', 42.379851, 3.026862)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2611, 26, N'Regencós', N'regencos', N'17214', 41.952820, 3.171186)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2612, 26, N'Ribes de Freser', N'ribes-de-freser', N'17534', 42.306959, 2.169371)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2613, 26, N'Riells i Viabrea', N'riells-i-viabrea', N'17404', 41.776785, 2.512221)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2614, 26, N'Ripoll', N'ripoll', N'17500', 42.200833, 2.191343)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2615, 26, N'Riudarenes', N'riudarenes', N'17421', 41.822214, 2.716069)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2616, 26, N'Riudaura', N'riudaura', N'17179', 42.188910, 2.407293)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2617, 26, N'Riudellots de la Selva', N'riudellots-de-la-selva', N'17457', 41.892950, 2.803874)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2618, 26, N'Riumors', N'riumors', N'17469', 42.226928, 3.042183)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2619, 26, N'Roses', N'roses', N'17480', 42.263368, 3.174577)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2620, 26, N'Rupià', N'rupia', N'17131', 42.019872, 3.010898)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2621, 26, N'Sales de Llierca', N'sales-de-llierca', N'17853', 42.237796, 2.657619)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2622, 26, N'Salt', N'salt', N'17190', 41.974487, 2.792373)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2623, 26, N'Sant Andreu Salou', N'sant-andreu-salou', N'17454', 41.077798, 1.145067)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2624, 26, N'Sant Aniol de Finestres', N'sant-aniol-de-finestres', N'17154', 42.091280, 2.588739)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2625, 26, N'Sant Climent Sescebes', N'sant-climent-sescebes', N'17751', 42.369071, 2.980771)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2626, 26, N'Sant Feliu de Buixalleu', N'sant-feliu-de-buixalleu', N'17451', 41.790161, 2.585778)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2627, 26, N'Sant Feliu de Guíxols', N'sant-feliu-de-guixols', N'17220', 41.781297, 3.030381)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2628, 26, N'Sant Feliu de Pallerols', N'sant-feliu-de-pallerols', N'17174', 42.078413, 2.509818)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2629, 26, N'Sant Ferriol', N'sant-ferriol', N'17850', 42.206778, 2.662725)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2630, 26, N'Sant Gregori', N'sant-gregori', N'17150', 41.990916, 2.759328)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2631, 26, N'Sant Hilari Sacalm', N'sant-hilari-sacalm', N'17403', 41.879786, 2.511663)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2632, 26, N'Sant Jaume de Llierca', N'sant-jaume-de-llierca', N'17854', 42.213072, 2.605906)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2633, 26, N'Sant Joan de les Abadesses', N'sant-joan-de-les-abadesses', N'17860', 42.234078, 2.285628)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2634, 26, N'Sant Joan de Mollet', N'sant-joan-de-mollet', N'17463', 42.046201, 2.941332)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2635, 26, N'Sant Joan les Fonts', N'sant-joan-les-fonts', N'17857', 42.213135, 2.512350)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2636, 26, N'Sant Jordi Desvalls', N'sant-jordi-desvalls', N'17464', 42.095627, 2.929187)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2637, 26, N'Sant Juliàde Ramis', N'sant-juliade-ramis', N'17481', 42.028910, 2.853484)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2638, 26, N'Sant Juliàdel Llor i Bonmatí', N'sant-juliadel-llor-i-bonmati', N'17164', 41.970419, 2.664442)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2639, 26, N'Sant Llorençde la Muga', N'sant-llorencde-la-muga', N'17732', 42.321795, 2.789669)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2640, 26, N'Sant Martíde Llémena', N'sant-martide-llemena', N'17153', 42.036975, 2.647920)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2641, 26, N'Sant MartíVell', N'sant-martivell', N'17462', 42.020462, 2.931161)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2642, 26, N'Sant Miquel de Campmajor', N'sant-miquel-de-campmajor', N'17831', 42.125395, 2.683711)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2643, 26, N'Sant Miquel de Fluvià', N'sant-miquel-de-fluvia', N'17475', 42.174266, 2.990642)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2644, 26, N'Sant Mori', N'sant-mori', N'17467', 42.156802, 2.988539)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2645, 26, N'Sant Pau de Segúries', N'sant-pau-de-seguries', N'17864', 42.260962, 2.366138)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2646, 26, N'Sant Pere Pescador', N'sant-pere-pescador', N'17470', 42.188354, 3.082008)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2647, 26, N'Santa Coloma de Farners', N'santa-coloma-de-farners', N'17430', 41.860468, 2.667532)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2648, 26, N'Santa Cristina dAro', N'santacristinadaro', N'17246', 41.816313, 3.003087)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2649, 26, N'Santa Llogaia d', N'santallogaiad', N'17771', 42.234531, 2.952683)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2650, 26, N'Santa Pau', N'santa-pau', N'17811', 42.146589, 2.569599)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2651, 26, N'Sarriàde Ter', N'sarriade-ter', N'17840', 42.015496, 2.823701)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2652, 26, N'Saus, Camallera i Llampaies', N'saus-camallera-i-llampaies', N'17465', 42.122904, 2.962167)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2653, 26, N'Selva de Mar', N'selva-de-mar', N'17489', 42.324968, 3.188267)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2654, 26, N'Serinyà', N'serinya', N'17852', 42.170608, 2.744265)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2655, 26, N'Serra de Daró', N'serra-de-daro', N'17133', 42.027731, 3.071837)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2656, 26, N'Setcases', N'setcases', N'17869', 42.373558, 2.301121)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2657, 26, N'Sils', N'sils', N'17410', 41.809372, 2.743363)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2658, 26, N'Siurana', N'siurana', N'17469', 42.209464, 2.994547)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2659, 26, N'Susqueda', N'susqueda', N'17166', 41.983596, 2.517157)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2660, 26, N'Tallada dEmporda', N'tallada-demporda', N'17134', 42.080372, 3.056903)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2661, 26, N'Terrades', N'terrades', N'17731', 42.310720, 2.839408)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2662, 26, N'Torrent', N'torrent', N'17123', 41.952581, 3.124409)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2663, 26, N'Torroella de Fluvia', N'torroella-defluvia', N'17474', 42.176110, 3.039522)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2664, 26, N'Torroella de Montgri', N'torroella-de-montgri', N'17257', 42.029834, 3.103595)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2665, 26, N'Tortellà', N'tortella', N'17853', 42.233808, 2.631140)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2666, 26, N'Toses', N'toses', N'17536', 42.320875, 2.014232)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2667, 26, N'Tossa de Mar', N'tossa-de-mar', N'17320', 41.721025, 2.932620)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2668, 26, N'Ullà', N'ulla', N'17140', 42.051914, 3.109796)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2669, 26, N'Ullastret', N'ullastret', N'17114', 42.001075, 3.069606)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2670, 26, N'Ultramort', N'ultramort', N'17133', 42.038154, 3.036089)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2671, 26, N'Urús', N'urus', N'17538', 42.350631, 1.852784)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2672, 26, N'Vajol', N'vajol', N'17707', 42.404525, 2.799840)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2673, 26, N'Vall de Bianya', N'vall-de-bianya', N'17813', 42.213183, 2.453942)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2674, 26, N'Vall den Bas', N'vall-denbas', N'17176', 42.118360, 2.457011)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2675, 26, N'Vallfogona de Ripollés', N'vallfogona-de-ripolles', N'17862', 42.196144, 2.304811)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2676, 26, N'Vall-llobrega', N'vall-llobrega', N'17253', 41.883924, 3.122177)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2677, 26, N'Ventalló', N'ventallo', N'17473', 42.149676, 3.026648)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2678, 26, N'Verges', N'verges', N'17142', 42.063456, 3.045659)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2679, 26, N'Vidrà', N'vidra', N'17515', 42.122243, 2.309318)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2680, 26, N'Vidreres', N'vidreres', N'17411', 41.790465, 2.780185)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2681, 26, N'Vilabertran', N'vilabertran', N'17760', 42.284627, 2.981329)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2682, 26, N'Vilablareix', N'vilablareix', N'17180', 41.956634, 2.773275)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2683, 26, N'Viladamat', N'viladamat', N'17137', 42.132564, 3.075850)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2684, 26, N'Viladasens', N'viladasens', N'17464', 42.095786, 2.929788)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2685, 26, N'Vilademuls', N'vilademuls', N'17468', 42.139048, 2.888675)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2686, 26, N'Viladrau', N'viladrau', N'17406', 41.848641, 2.392273)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2687, 26, N'Vilafant', N'vilafant', N'17740', 42.246866, 2.937469)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2688, 26, N'Vilajüiga', N'vilajüiga', N'17493', 42.325063, 3.090806)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2689, 26, N'Vilallonga de Ter', N'vilallonga-de-ter', N'17869', 42.331313, 2.311420)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2690, 26, N'Vilamacolum', N'vilamacolum', N'17474', 42.194586, 3.037806)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2691, 26, N'Vilamalla', N'vilamalla', N'17469', 42.217124, 2.970428)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2692, 26, N'Vilamaniscle', N'vilamaniscle', N'17781', 42.374889, 3.067331)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2693, 26, N'Vilanant', N'vilanant', N'17743', 42.254458, 2.889876)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2694, 26, N'Vila-sacra', N'vila-sacra', N'17485', 42.264336, 3.017335)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2696, 26, N'Vilobi dOnyar', N'vilobidonyar', N'17185', 41.887662, 2.741046)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2697, 26, N'Vilopriu', N'vilopriu', N'17466', 42.104002, 2.992959)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2699, 30, N'Agrón', N'agron', N'18132', 37.030640, -3.830479)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2700, 30, N'Alamedilla', N'alamedilla-granada', N'18520', 37.582999, -3.244756)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2701, 30, N'Albolote', N'albolote', N'18220', 37.233285, -3.658544)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2702, 30, N'Albondón', N'albondon', N'18708', 36.826189, -3.212654)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2703, 30, N'Albuñán', N'albunan', N'18518', 37.227116, -3.133163)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2704, 30, N'Albuñol', N'albunol', N'18700', 36.791075, -3.204024)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2705, 30, N'Albuñuelas', N'albunuelas', N'18659', 36.928990, -3.627644)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2706, 30, N'Aldeire', N'aldeire', N'18514', 37.164034, -3.072167)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2707, 30, N'Alfacar', N'alfacar', N'18170', 37.239537, -3.565332)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2708, 30, N'Algarinejo', N'algarinejo', N'18280', 37.327123, -4.155269)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2709, 30, N'Alhama de Granada', N'alhama-de-granada', N'18120', 37.005650, -3.990989)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2710, 30, N'Alhendín', N'alhendin', N'18620', 37.107390, -3.641524)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2711, 30, N'Alicún de Ortega', N'alicun-de-ortega', N'18538', 37.609750, -3.137794)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2712, 30, N'Almegíjar', N'almegijar', N'18438', 36.902354, -3.302416)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2713, 30, N'Almuñécar', N'almunecar', N'18690', 36.736745, -3.688269)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2714, 30, N'Alpujarra de la Sierra', N'alpujarra-de-la-sierra', N'18450', 36.984260, -3.153954)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2715, 30, N'Alquife', N'alquife', N'18518', 37.178255, -3.115419)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2716, 30, N'Arenas del Rey', N'arenas-del-rey', N'18126', 36.959940, -3.892249)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2717, 30, N'Armilla', N'armilla', N'18100', 37.145973, -3.623358)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2718, 30, N'Atarfe', N'atarfe', N'18230', 37.222876, -3.690316)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2719, 30, N'Baza', N'baza', N'18800', 37.493005, -2.770409)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2720, 30, N'Beas de Granada', N'beas-de-granada', N'18184', 37.221505, -3.481819)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2721, 30, N'Beas de Guadix', N'beas-de-guadix', N'18516', 37.277244, -3.205949)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2722, 30, N'Benalúa', N'benalua', N'18510', 37.350271, -3.168011)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2723, 30, N'Benalúa de las Villas', N'benalua-de-las-villas', N'18566', 37.430120, -3.683224)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2724, 30, N'Benamaurel', N'benamaurel', N'18817', 37.610060, -2.702659)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2725, 30, N'Bérchules', N'berchules', N'18451', 36.974825, -3.190034)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2726, 30, N'Bubión', N'bubion', N'18412', 36.949017, -3.356999)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2727, 30, N'Busquístar', N'busquistar', N'18416', 36.936807, -3.295898)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2728, 30, N'Cacín', N'cacin', N'18129', 37.060383, -3.917141)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2729, 30, N'Cádiar', N'cadiar', N'18440', 36.947011, -3.180456)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2730, 30, N'Cájar', N'cajar', N'18199', 37.134336, -3.570149)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2731, 30, N'Calahorra', N'calahorra', N'18512', 37.182202, -3.065014)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2732, 30, N'Calicasas', N'calicasas', N'18290', 37.273472, -3.617892)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2733, 30, N'Campotéjar', N'campotejar', N'18565', 37.481295, -3.614717)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2734, 30, N'Caniles', N'caniles', N'18810', 37.437248, -2.722206)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2735, 30, N'Cáñar', N'canar', N'18418', 36.926773, -3.428121)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2736, 30, N'Capileira', N'capileira', N'18413', 36.961072, -3.359842)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2737, 30, N'Carataunas', N'carataunas', N'18410', 36.923067, -3.407307)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2738, 30, N'Cástaras', N'castaras', N'18439', 36.931815, -3.253584)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2739, 30, N'Castilléjar', N'castillejar', N'18818', 37.715331, -2.642663)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2740, 30, N'Castril', N'castril', N'18816', 37.796628, -2.780056)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2741, 30, N'Cenes de la Vega', N'cenes-de-la-vega', N'18190', 37.159872, -3.536739)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2742, 30, N'Chauchina', N'chauchina', N'18330', 37.201791, -3.772688)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2743, 30, N'Chimeneas', N'chimeneas', N'18329', 37.131582, -3.823671)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2744, 30, N'Churriana de la Vega', N'churriana-de-la-vega', N'18194', 37.148345, -3.645401)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2745, 30, N'Cijuela', N'cijuela', N'18339', 37.200116, -3.811011)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2746, 30, N'Cogollos de Guadix', N'cogollos-de-guadix', N'18518', 37.225544, -3.159943)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2747, 30, N'Cogollos de la Vega', N'cogollos-de-la-vega', N'18211', 37.274531, -3.572917)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2748, 30, N'Colomera', N'colomera', N'18564', 37.372272, -3.713679)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2749, 30, N'Cortes de Baza', N'cortes-de-baza', N'18814', 37.655320, -2.769842)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2750, 30, N'Cortes y Graena', N'cortes-y-graena', N'18517', 37.304030, -3.218780)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2751, 30, N'Cuevas del Campo', N'cuevas-del-campo', N'18813', 37.609064, -2.930603)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2752, 30, N'Cúllar', N'cullar', N'18850', 37.583766, -2.576509)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2753, 30, N'Cúllar Vega', N'cullar-vega', N'18195', 37.153373, -3.670678)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2754, 30, N'Darro', N'darro', N'18181', 37.350134, -3.292379)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2755, 30, N'Dehesas de Guadix', N'dehesas-de-guadix', N'18538', 37.589207, -3.102264)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2756, 30, N'Deifontes', N'deifontes', N'18570', 37.325397, -3.594546)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2757, 30, N'Diezma', N'diezma', N'18180', 37.321199, -3.332505)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2758, 30, N'Dílar', N'dilar', N'18152', 37.075244, -3.601842)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2759, 30, N'Dólar', N'dolar', N'18512', 37.180322, -2.989311)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2760, 30, N'Dúdar', N'dudar', N'18192', 37.185792, -3.484254)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2761, 30, N'Dúrcal', N'durcal', N'18650', 36.987677, -3.566308)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2762, 30, N'Escúzar', N'escuzar', N'18130', 37.062763, -3.761616)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2763, 30, N'Ferreira', N'ferreira', N'18513', 37.172491, -3.035831)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2764, 30, N'Fonelas', N'fonelas', N'18515', 37.413800, -3.172903)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2765, 30, N'Freila', N'freila', N'18812', 37.529400, -2.907944)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2766, 30, N'Fuente Vaqueros', N'fuente-vaqueros', N'18340', 37.220282, -3.783331)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2767, 30, N'Gabias', N'gabias', N'18110', 37.135005, -3.698321)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2768, 30, N'Galera', N'lagalera', N'18840', 37.743147, -2.550673)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2769, 30, N'Gobernador', N'gobernador', N'18563', 37.477847, -3.321133)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2770, 30, N'Gójar', N'gojar', N'18150', 37.104531, -3.606005)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2771, 30, N'Gor', N'gor', N'18870', 37.369731, -2.969055)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2772, 30, N'Gorafe', N'gorafe', N'18890', 37.479064, -3.043685)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2773, 30, N'Granada', N'granada-', N'18001', 37.176449, -3.596735)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2774, 30, N'Guadahortuna', N'guadahortuna', N'18560', 37.556877, -3.400269)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2775, 30, N'Guadix', N'guadix', N'18500', 37.300839, -3.134623)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2776, 30, N'Guajares', N'guajares', N'18615', 36.846058, -3.610682)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2777, 30, N'Gualchos', N'gualchos', N'18614', 36.743647, -3.388982)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2778, 30, N'Granada', N'granada', N'18001', 37.176347, -3.595855)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2780, 30, N'Huélago', N'huelago', N'18540', 37.420685, -3.260708)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2781, 30, N'Huéneja', N'hueneja', N'18512', 37.177193, -2.948155)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2782, 30, N'Huéscar', N'huescar', N'18830', 37.809453, -2.539279)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2783, 30, N'Huétor de Santillán', N'huetor-de-santillan', N'18183', 37.218659, -3.517041)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2784, 30, N'Huétor Tájar', N'huetor-tajar', N'18360', 37.194835, -4.046917)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2785, 30, N'Huétor Vega', N'huetor-vega', N'18198', 37.152570, -3.576264)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2786, 30, N'Illora', N'illora', N'18260', 37.288787, -3.879504)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2787, 30, N'Itrabo', N'itrabo', N'18612', 36.799586, -3.639243)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2788, 30, N'Iznalloz', N'iznalloz', N'18550', 37.393363, -3.528628)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2789, 30, N'Jayena', N'jayena', N'18127', 36.958517, -3.893709)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2790, 30, N'Jerez del Marquesado', N'jerez-del-marquesado', N'18518', 37.185382, -3.157969)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2791, 30, N'Jete', N'jete', N'18699', 36.834689, -3.673768)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2792, 30, N'Jun', N'jun', N'18213', 37.220607, -3.594503)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2793, 30, N'Juviles', N'juviles', N'18452', 36.948228, -3.226805)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2794, 30, N'Láchar', N'lachar', N'18327', 37.194937, -3.833971)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2795, 30, N'Lanjarón', N'lanjaron', N'18420', 36.918281, -3.479662)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2796, 30, N'Lanteira', N'lanteira', N'18518', 37.168747, -3.137584)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2797, 30, N'Lecrín', N'lecrin', N'18656', 36.947817, -3.549614)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2798, 30, N'Lentegí', N'lentegi', N'18699', 36.833771, -3.674777)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2799, 30, N'Lobras', N'lobras', N'18449', 36.928162, -3.212042)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2800, 30, N'Loja', N'loja', N'18300', 37.168849, -4.150944)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2801, 30, N'Lugros', N'lugros', N'18516', 37.230132, -3.240838)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2802, 30, N'Lújar', N'lujar', N'18614', 36.787721, -3.401599)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2803, 30, N'Malaha', N'malaha', N'18130', 37.101348, -3.722262)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2804, 30, N'Maracena', N'maracena', N'18200', 37.205774, -3.636689)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2805, 30, N'Marchal', N'marchal', N'18516', 37.257540, -3.231740)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2806, 30, N'Moclín', N'moclin', N'18247', 37.341827, -3.785777)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2807, 30, N'Molvízar', N'molvizar', N'18611', 36.786999, -3.607292)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2808, 30, N'Monachil', N'monachil', N'18193', 37.132147, -3.538756)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2809, 30, N'Montefrío', N'montefrio', N'18270', 37.321045, -4.010868)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2810, 30, N'Montejícar', N'montejicar', N'18561', 37.572151, -3.504682)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2811, 30, N'Montillana', N'montillana', N'18569', 37.501674, -3.672395)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2812, 30, N'Moraleda de Zafayona', N'moraleda-de-zafayona', N'18370', 37.170149, -3.967180)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2813, 30, N'Morelábor', N'morelabor', N'18540', 37.431063, -3.310189)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2814, 30, N'Motril', N'motril', N'18600', 36.745126, -3.516355)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2815, 30, N'Murtas', N'murtas', N'18490', 36.887361, -3.109560)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2816, 30, N'Nevada', N'nevada', N'18196', 37.094527, -3.394797)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2817, 30, N'Niguelas', N'niguela', N'18657', 36.977135, -3.539057)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2818, 30, N'Nívar', N'nivar', N'18214', 37.257668, -3.578367)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2819, 30, N'Ogíjares', N'ogijares', N'18151', 37.119863, -3.608108)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2820, 30, N'Orce', N'orce', N'18858', 37.721561, -2.479649)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2821, 30, N'Órgiva', N'orgiva', N'18400', 36.901585, -3.425619)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2822, 30, N'Otívar', N'otivar', N'18698', 36.815040, -3.681450)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2823, 30, N'Otura', N'otura', N'18630', 37.094553, -3.635015)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2824, 30, N'Padul', N'padul', N'18640', 37.024655, -3.626390)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2825, 30, N'Pampaneira', N'pampaneira', N'18411', 36.940288, -3.361645)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2826, 30, N'Pedro Martínez', N'pedro-martinez', N'18530', 37.502202, -3.230667)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2827, 30, N'Peligros', N'peligros', N'18210', 37.231114, -3.629994)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2828, 30, N'Peza', N'peza', N'18517', 37.275760, -3.284612)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2829, 30, N'Pinar', N'elpinar', N'18568', 37.443381, -3.439064)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2830, 30, N'Pinos Genil', N'pinos-genil', N'18191', 37.163155, -3.502064)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2831, 30, N'Pinos Puente', N'pinos-puente', N'18240', 37.251886, -3.751316)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2832, 30, N'Píñar', N'pinar', N'18568', 37.443415, -3.439021)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2833, 30, N'Polícar', N'policar', N'18516', 37.257762, -3.231997)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2834, 30, N'Polopos', N'polopos', N'18710', 36.795815, -3.298473)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2835, 30, N'Pórtugos', N'portugos', N'18415', 36.942689, -3.310575)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2836, 30, N'Puebla de Don Fadrique', N'puebla-de-don-fadrique', N'18820', 37.957666, -2.435188)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2837, 30, N'Pulianas', N'pulianas', N'18197', 37.222913, -3.608322)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2838, 30, N'Purullena', N'purullena', N'18519', 37.317854, -3.190026)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2839, 30, N'Quéntar', N'quentar', N'18192', 37.192083, -3.469234)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2840, 30, N'Rubite', N'rubite', N'18711', 36.809147, -3.347869)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2841, 30, N'Salar', N'salar', N'18310', 37.149063, -4.067559)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2842, 30, N'Salobreña', N'salobrena', N'18680', 36.747275, -3.587465)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2843, 30, N'Santa Cruz del Comercio', N'santa-cruz-del-comercio', N'18129', 37.061479, -3.977566)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2844, 30, N'Santa Fe', N'santa-fe', N'18320', 37.189656, -3.719044)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2845, 30, N'Soportújar', N'soportujar', N'18410', 36.928145, -3.404860)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2846, 30, N'Sorvilán', N'sorvilan', N'18713', 36.795265, -3.266888)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2847, 30, N'Taha', N'taha', N'04275', 37.228415, -2.284641)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2848, 30, N'Torre-Cardela', N'torre-cardela', N'18563', 37.504653, -3.356066)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2849, 30, N'Torvizcón', N'torvizcon', N'18430', 36.877595, -3.298430)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2850, 30, N'Trevélez', N'trevelez', N'18417', 37.003512, -3.267403)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2851, 30, N'Turón', N'turon', N'18491', 36.863622, -3.171573)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2852, 30, N'Ugíjar', N'ugijar', N'18480', 36.960900, -3.055015)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2853, 30, N'Valle', N'valle', N'18658', 36.932604, -3.592143)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2854, 30, N'Valle del Zalabí', N'valle-del-zalabi', N'18511', 37.286346, -3.008494)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2855, 30, N'Válor', N'valor', N'18470', 36.995287, -3.083467)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2856, 30, N'Vegas del Genil', N'vegas-del-genil', N'18102', 37.168080, -3.698831)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2857, 30, N'Vélez de Benaudalla', N'velez-de-benaudalla', N'18670', 36.832439, -3.515882)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2858, 30, N'Ventas de Huelma', N'ventas-de-huelma', N'18131', 37.068944, -3.821912)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2859, 30, N'Villamena', N'villamena', N'18659', 36.990625, -3.588324)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2860, 30, N'Villanueva de las Torres', N'villanueva-de-las-torres', N'18539', 37.557302, -3.089604)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2861, 30, N'Villanueva Mesía', N'villanueva-mesia', N'18369', 37.213686, -4.010053)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2862, 30, N'Víznar', N'viznar', N'18179', 37.230465, -3.553648)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2863, 30, N'Zafarraya', N'zafarraya', N'18128', 36.975610, -4.143991)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2864, 30, N'Zagra', N'zagra', N'18311', 37.253150, -4.168024)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2865, 30, N'Zubia', N'lazubia', N'18140', 37.120872, -3.584375)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2866, 30, N'Zújar', N'zujar', N'18811', 37.540426, -2.842369)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2868, 34, N'Abánades', N'abanades', N'19432', 40.891860, -2.485934)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2869, 34, N'Ablanque', N'ablanque', N'19442', 40.898180, -2.229099)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2870, 34, N'Adobes', N'adobes', N'19325', 40.675861, -1.680800)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2871, 34, N'Alaminos', N'alaminos', N'19490', 40.863294, -2.726251)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2872, 34, N'Alarilla', N'alarilla', N'19227', 40.849605, -3.105509)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2873, 34, N'Albalate de Zorita', N'albalate-de-zorita', N'19117', 40.308010, -2.843954)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2874, 34, N'Albares', N'albares', N'19112', 40.307349, -3.012486)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2875, 34, N'Albendiego', N'albendiego', N'19275', 41.227130, -3.051704)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2876, 34, N'Alcocer', N'alcocer', N'19125', 40.469960, -2.610954)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2877, 34, N'Alcolea de las Peñas', N'alcolea-de-las-penas', N'19277', 41.209752, -2.785034)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2878, 34, N'Alcolea del Pinar', N'alcolea-del-pinar', N'19260', 41.036566, -2.466084)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2879, 34, N'Alcoroches', N'alcoroches', N'19310', 40.627091, -1.746474)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2880, 34, N'Aldeanueva de Guadalajara', N'aldeanueva-de-guadalajara', N'19152', 40.682067, -3.047463)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2881, 34, N'Algar de Mesa', N'algar-de-mesa', N'19332', 41.134342, -1.958642)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2882, 34, N'Algora', N'algora', N'19268', 40.963035, -2.667274)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2883, 34, N'Alhóndiga', N'alhondiga', N'19132', 40.526617, -2.819866)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2884, 34, N'Alique', N'alique', N'19129', 40.586417, -2.644541)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2885, 34, N'Almadrones', N'almadrones', N'19490', 40.900950, -2.772829)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2886, 34, N'Almoguera', N'almoguera', N'19115', 40.297484, -2.982001)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2887, 34, N'Almonacid de Zorita', N'almonacid-de-zorita', N'19118', 40.329037, -2.849597)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2888, 34, N'Alocén', N'alocen', N'19133', 40.573622, -2.752271)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2889, 34, N'Alovera', N'alovera', N'19208', 40.595545, -3.248930)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2890, 34, N'Alustante', N'alustante', N'19320', 40.614730, -1.657336)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2891, 34, N'Angón', N'angon', N'19245', 41.066752, -2.854368)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2892, 34, N'Anguita', N'anguita', N'19283', 41.025589, -2.368598)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2893, 34, N'Anquela del Ducado', N'anquela-del-ducado', N'19287', 40.970585, -2.131754)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2894, 34, N'Anquela del Pedregal', N'anquela-del-pedregal', N'19357', 40.742695, -1.738444)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2895, 34, N'Aranzueque', N'aranzueque', N'19141', 40.492475, -3.077849)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2896, 34, N'Arbancón', N'arbancon', N'19237', 40.964140, -3.115672)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2897, 34, N'Arbeteta', N'arbeteta', N'19492', 40.668574, -2.402732)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2898, 34, N'Argecilla', N'argecilla', N'19196', 40.883140, -2.817824)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2899, 34, N'Armallones', N'armallones', N'19461', 40.736687, -2.304053)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2900, 34, N'Armuña de Tajuña', N'armuna-de-tajuna', N'19135', 40.531275, -3.030519)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2901, 34, N'Arroyo de las Fraguas', N'arroyo-de-las-fraguas', N'19238', 41.103412, -3.131339)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2902, 34, N'Atanzón', N'atanzon', N'19153', 40.666227, -2.997981)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2903, 34, N'Atienza', N'atienza', N'19270', 41.199328, -2.869090)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2904, 34, N'Auón', N'aunon', N'19130', 40.516630, -2.791074)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2905, 34, N'Azuqueca de Henares', N'azuqueca-de-henares', N'19200', 40.564640, -3.267744)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2906, 34, N'Baides', N'baides', N'19295', 41.006008, -2.775378)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2907, 34, N'Baños de Tajo', N'banos-de-tajo', N'19390', 40.718075, -1.971264)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2908, 34, N'Bañuelos', N'banuelos', N'19276', 41.285255, -2.915254)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2909, 34, N'Barriopedro', N'barriopedro', N'19490', 40.789390, -2.752719)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2910, 34, N'Berninches', N'berninches', N'19133', 40.571524, -2.801707)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2911, 34, N'Bodera', N'bodera', N'19278', 41.136779, -2.882195)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2912, 34, N'Brihuega', N'brihuega', N'19400', 40.760261, -2.870007)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2913, 34, N'Budia', N'budia', N'19133', 40.632975, -2.752762)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2914, 34, N'Bujalaro', N'bujalaro', N'19247', 40.937442, -2.883568)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2915, 34, N'Bustares', N'bustares', N'19243', 41.135615, -3.073082)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2916, 34, N'Cabanillas del Campo', N'cabanillas-del-campo', N'19171', 40.639423, -3.237448)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2917, 34, N'Campillo de Dueñas', N'campillo-de-duenas', N'19360', 40.884643, -1.685629)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2918, 34, N'Campillo de Ranas', N'campillo-de-ranas', N'19223', 41.085239, -3.314009)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2919, 34, N'Campisábalos', N'campisabalos', N'19275', 41.268001, -3.143806)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2920, 34, N'Canredondo', N'canredondo', N'19431', 40.813290, -2.494261)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2921, 34, N'Cantalojas', N'cantalojas', N'19275', 41.235091, -3.245430)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2922, 34, N'Cañizar', N'canizar', N'19197', 40.769882, -3.067932)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2923, 34, N'Cardoso de la Sierra', N'cardoso-de-la-sierra', N'28190', 41.090478, -3.477859)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2924, 34, N'Casa de Uceda', N'casa-de-uceda', N'19184', 40.844106, -3.370185)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2925, 34, N'Casar', N'casar', N'19170', 40.703676, -3.423271)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2926, 34, N'Casas de San Galindo', N'casas-de-san-galindo', N'19246', 40.872767, -2.958326)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2927, 34, N'Caspueñas', N'caspuenas', N'19412', 40.693557, -2.979097)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2928, 34, N'Castejón de Henares', N'castejon-de-henares', N'19294', 40.937248, -2.786493)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2929, 34, N'Castellar de la Muela', N'castellar-de-la-muela', N'19328', 40.818584, -1.759357)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2930, 34, N'Castilforte', N'castilforte', N'19127', 40.557895, -2.433043)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2931, 34, N'Castilnuevo', N'castilnuevo', N'19391', 40.813809, -1.857033)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2932, 34, N'Cendejas de Enmedio', N'cendejas-de-enmedio', N'19245', 40.982749, -2.872539)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2933, 34, N'Cendejas de la Torre', N'cendejas-de-la-torre', N'19245', 40.979639, -2.850394)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2934, 34, N'Centenera', N'centenera', N'19151', 40.653229, -3.053684)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2935, 34, N'Checa', N'checa', N'19310', 40.587494, -1.789913)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2936, 34, N'Chequilla', N'chequilla', N'19310', 40.606036, -1.828365)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2937, 34, N'Chillarón del Rey', N'chillaron-del-rey', N'19128', 40.597890, -2.691264)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2938, 34, N'Chiloeches', N'chiloeches', N'19160', 40.572762, -3.162603)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2939, 34, N'Cifuentes', N'cifuentes', N'19420', 40.786748, -2.622428)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2940, 34, N'Cincovillas', N'cincovillas', N'19277', 41.205587, -2.817392)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2941, 34, N'Ciruelas', N'ciruelas', N'19197', 40.752264, -3.088961)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2942, 34, N'Ciruelos del Pinar', N'ciruelos-del-pinar', N'19285', 41.009180, -2.220783)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2943, 34, N'Cobeta', N'cobeta', N'19443', 40.866211, -2.142506)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2944, 34, N'Cogollor', N'cogollor', N'19490', 40.848846, -2.743535)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2945, 34, N'Cogolludo', N'cogolludo', N'19230', 40.947427, -3.089819)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2946, 34, N'Condemios de Abajo', N'condemios-de-abajo', N'19275', 41.218695, -3.109646)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2947, 34, N'Condemios de Arriba', N'condemios-de-arriba', N'19275', 41.218501, -3.125696)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2948, 34, N'Congostrina', N'congostrina', N'19243', 41.038222, -2.984762)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2949, 34, N'Copernal', N'copernal', N'19292', 40.867899, -3.056860)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2950, 34, N'Corduente', N'corduente', N'19341', 40.843165, -1.975651)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2951, 34, N'Cubillo de Uceda', N'cubillo-de-uceda', N'19186', 40.825046, -3.403444)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2952, 34, N'Driebes', N'driebes', N'19116', 40.250970, -3.024073)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2953, 34, N'Durón', N'duron', N'19133', 40.624279, -2.726498)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2954, 34, N'Embid', N'embid', N'19339', 41.380576, -1.967282)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2955, 34, N'Escamilla', N'escamilla', N'19127', 40.549418, -2.562990)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2956, 34, N'Escariche', N'escariche', N'19119', 40.408660, -3.056688)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2957, 34, N'Escopete', N'escopete', N'19119', 40.415555, -3.008494)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2958, 34, N'Espinosa de Henares', N'espinosa-de-henares', N'19292', 40.904496, -3.073468)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2959, 34, N'Esplegares', N'esplegares', N'19445', 40.856474, -2.370472)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2960, 34, N'Establés', N'estables', N'19287', 41.006816, -2.024188)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2961, 34, N'Estriégana', N'estriegana', N'19262', 41.057900, -2.524366)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2962, 34, N'Fontanar', N'fontanar', N'19290', 40.727356, -3.176937)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2963, 34, N'Fuembellida', N'fuembellida', N'19390', 40.755645, -1.998954)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2964, 34, N'Fuencemillán', N'fuencemillan', N'19237', 40.923111, -3.102736)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2965, 34, N'Fuentelahiguera de Albatages', N'fuentelahiguera-de-albatages', N'19182', 40.787300, -3.310146)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2966, 34, N'Fuentelencina', N'fuentelencina', N'19144', 40.517714, -2.881508)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2967, 34, N'Fuentelsaz', N'fuentelsaz', N'19287', 41.074175, -1.832743)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2968, 34, N'Fuentelviejo', N'fuentelviejo', N'19144', 40.526327, -2.983990)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2969, 34, N'Fuentenovilla', N'fuentenovilla', N'19113', 40.364923, -3.093853)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2970, 34, N'Gajanejos', N'gajanejos', N'19192', 40.840957, -2.893095)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2971, 34, N'Galápagos', N'galapagos', N'19174', 40.695672, -3.337998)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2972, 34, N'Galve de Sorbe', N'galve-de-sorbe', N'19275', 41.222923, -3.183160)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2973, 34, N'Gascueña de Bornova', N'gascuena-de-bornova', N'19243', 41.142629, -3.019781)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2974, 34, N'Guadalajara', N'guadalajara', N'19152', 40.630076, -3.167624)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2975, 34, N'Henche', N'henche', N'19491', 40.714606, -2.707572)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2976, 34, N'Heras de Ayuso', N'heras-de-ayuso', N'19197', 40.791264, -3.099217)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2977, 34, N'Herrería', N'herreria', N'19342', 40.888211, -1.960073)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2978, 34, N'Hiendelaencina', N'hiendelaencina', N'19242', 41.084592, -3.003902)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2979, 34, N'Hijes', N'hijes', N'19276', 41.251387, -2.999783)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2980, 34, N'Hita', N'hita', N'19248', 40.825111, -3.048363)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2981, 34, N'Hombrados', N'hombrados', N'19328', 40.801661, -1.685843)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2982, 34, N'Hontoba', N'hontoba', N'19119', 40.456156, -3.041239)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2983, 34, N'Horche', N'horche', N'19140', 40.568067, -3.062096)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2984, 34, N'Hortezuela de Océn', N'hortezuela-de-ocen', N'19445', 40.953650, -2.416048)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2985, 34, N'Huerce', N'huerce', N'19238', 41.153164, -3.170028)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2986, 34, N'Huérmeces del Cerro', N'huermeces-del-cerro', N'19295', 41.053531, -2.796235)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2987, 34, N'Huertahernando', N'huertahernando', N'19441', 40.824170, -2.287216)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2988, 34, N'Hueva', N'hueva', N'19119', 40.462768, -2.960708)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2989, 34, N'Humanes', N'humanes', N'19220', 40.827677, -3.155479)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2990, 34, N'Illana', N'illana', N'19119', 40.183791, -2.914252)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2991, 34, N'Iniéstola', N'iniestola', N'19283', 40.993796, -2.370000)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2992, 34, N'Inviernas', N'inviernas', N'19491', 40.872215, -2.668648)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2993, 34, N'Irueste', N'irueste', N'19143', 40.611965, -2.890649)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2994, 34, N'Jadraque', N'jadraque', N'19247', 40.926386, -2.924767)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2995, 34, N'Jirueque', N'jirueque', N'19245', 40.964410, -2.902579)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2996, 34, N'Ledanca', N'ledanca', N'19196', 40.869132, -2.843742)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2997, 34, N'Loranca de Tajuña', N'loranca-de-tajuna', N'19141', 40.447274, -3.114066)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2998, 34, N'Lupiana', N'lupiana', N'19142', 40.610369, -3.054929)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (2999, 34, N'Luzaga', N'luzaga', N'19261', 40.972640, -2.445359)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3000, 34, N'Luzón', N'luzon', N'19285', 41.026794, -2.277389)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3001, 34, N'Majaelrayo', N'majaelrayo', N'19223', 41.113665, -3.298988)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3002, 34, N'Málaga del Fresno', N'malaga-del-fresno', N'19219', 40.787983, -3.247447)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3003, 34, N'Malaguilla', N'malaguilla', N'19219', 40.822189, -3.257704)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3004, 34, N'Mandayona', N'mandayona', N'19294', 40.956697, -2.750487)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3005, 34, N'Mantiel', N'mantiel', N'19128', 40.619784, -2.662768)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3006, 34, N'Maranchón', N'maranchon', N'19280', 41.048353, -2.206450)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3007, 34, N'Marchamalo', N'marchamalo', N'19180', 40.669116, -3.202257)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3008, 34, N'Masegoso de Tajuña', N'masegoso-de-tajuna', N'19490', 40.826150, -2.697229)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3009, 34, N'Matarrubia', N'matarrubia', N'19227', 40.866730, -3.291564)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3010, 34, N'Matillas', N'matillas', N'19294', 40.952289, -2.842240)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3011, 34, N'Mazarete', N'mazarete', N'19286', 41.001666, -2.159071)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3012, 34, N'Mazuecos', N'mazuecos', N'19114', 40.262695, -3.012314)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3013, 34, N'Medranda', N'medranda', N'19246', 40.984142, -2.935538)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3014, 34, N'Megina', N'megina', N'19315', 40.639488, -1.869221)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3015, 34, N'Membrillera', N'membrillera', N'19247', 40.946714, -2.979140)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3016, 34, N'Miedes de Atienza', N'miedes-de-atienza', N'19276', 41.267001, -2.964592)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3017, 34, N'Mierla', N'mierla', N'19225', 40.937702, -3.236418)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3018, 34, N'Millana', N'millana', N'19127', 40.508840, -2.570372)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3019, 34, N'Milmarcos', N'milmarcos', N'19287', 41.087244, -1.878147)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3020, 34, N'Miñosa', N'minosa', N'19278', 41.179268, -2.931504)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3021, 34, N'Mirabueno', N'mirabueno', N'19268', 40.944283, -2.726068)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3022, 34, N'Miralrío', N'miralrio', N'19246', 40.888049, -2.940903)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3023, 34, N'Mochales', N'mochales', N'19332', 41.096235, -2.014875)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3024, 34, N'Mohernando', N'mohernando', N'19226', 40.804454, -3.174620)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3025, 34, N'Molina de Aragón', N'molina-de-aragon', N'19300', 40.842483, -1.882997)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3026, 34, N'Monasterio', N'monasterio', N'19239', 40.985244, -3.097501)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3027, 34, N'Mondéjar', N'mondejar', N'19110', 40.323285, -3.115354)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3028, 34, N'Montarrón', N'montarron', N'19229', 40.909977, -3.116555)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3029, 34, N'Moratilla de los Meleros', N'moratilla-de-los-meleros', N'19144', 40.503391, -2.942533)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3030, 34, N'Morenilla', N'morenilla', N'19328', 40.786423, -1.707344)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3031, 34, N'Muduex', N'muduex', N'19196', 40.830372, -2.958369)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3032, 34, N'Navas de Jadraque', N'navas-de-jadraque', N'19243', 41.104805, -3.088918)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3033, 34, N'Negredo', N'negredo', N'19245', 41.027766, -2.858248)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3034, 34, N'Ocentejo', N'ocentejo', N'19432', 40.772742, -2.400169)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3035, 34, N'Olivar', N'olivar', N'19133', 40.607437, -2.750616)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3036, 34, N'Olmeda de Cobeta', N'olmeda-de-cobeta', N'19444', 40.857708, -2.183189)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3037, 34, N'Olmeda de Jadraque', N'olmeda-de-jadraque', N'19266', 41.127049, -2.740445)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3038, 34, N'Ordial', N'ordial', N'19244', 41.128343, -3.114281)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3039, 34, N'Orea', N'orea', N'19311', 40.557830, -1.726742)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3040, 34, N'Pálmaces de Jadraque', N'palmaces-de-jadraque', N'19245', 41.057479, -2.910690)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3041, 34, N'Pardos', N'pardos', N'19336', 40.947929, -1.925225)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3042, 34, N'Paredes de Sig', N'paredes-de-sig', N'19277', 41.244321, -2.735252)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3043, 34, N'Pareja', N'pareja', N'19129', 40.557309, -2.650709)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3044, 34, N'Pastrana', N'pastrana', N'19100', 40.418724, -2.924080)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3045, 34, N'Pedregal', N'pedregal', N'19327', 40.781321, -1.573963)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3046, 34, N'Peñalén', N'penalen', N'19462', 40.657462, -2.056332)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3047, 34, N'Peñalver', N'penalver', N'19134', 40.579868, -2.889233)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3048, 34, N'Peralejos de las Truchas', N'peralejos-de-las-truchas', N'19313', 40.593360, -1.910419)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3049, 34, N'Peralveche', N'peralveche', N'19493', 40.609913, -2.449093)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3050, 34, N'Pinilla de Jadraque', N'pinilla-de-jadraque', N'19246', 41.020384, -2.945280)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3051, 34, N'Pinilla de Molina', N'pinilla-de-molina', N'19312', 40.681094, -1.880293)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3052, 34, N'Pioz', N'pioz', N'19162', 40.463732, -3.175650)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3053, 34, N'Piqueras', N'piqueras', N'19325', 40.663843, -1.721764)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3054, 34, N'Pobo de Dueñas', N'pobo-de-duenas', N'19326', 40.778202, -1.649837)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3055, 34, N'Poveda de la Sierra', N'poveda-de-la-sierra', N'19463', 40.645089, -2.031784)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3056, 34, N'Pozo de Almoguera', N'pozo-de-almoguera', N'19112', 40.343535, -3.029995)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3057, 34, N'Pozo de Guadalajara', N'pozo-de-guadalajara', N'19161', 40.495787, -3.183589)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3058, 34, N'Prádena de Atienza', N'pradena-de-atienza', N'19243', 41.172710, -3.006306)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3059, 34, N'Prados Redondos', N'prados-redondos', N'19352', 40.785416, -1.794806)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3060, 34, N'Puebla de Beleña', N'puebla-de-belena', N'19229', 40.890937, -3.220282)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3061, 34, N'Puebla de Valles', N'puebla-de-valles', N'19225', 40.929078, -3.302336)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3062, 34, N'Quer', N'quer', N'19209', 40.608610, -3.277702)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3063, 34, N'Rebollosa de Jadraque', N'rebollosa-de-jadraque', N'19245', 41.090090, -2.842584)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3064, 34, N'Recuenco', N'recuenco', N'19492', 40.616526, -2.339787)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3065, 34, N'Renera', N'renera', N'19145', 40.492034, -3.015919)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3066, 34, N'Retiendas', N'retiendas', N'19225', 40.970858, -3.275213)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3067, 34, N'Riba de Saelices', N'riba-de-saelices', N'19441', 40.912702, -2.297044)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3068, 34, N'Rillo de Gallo', N'rillo-de-gallo', N'19340', 40.866730, -1.937499)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3069, 34, N'Riofrío del Llano', N'riofrio-del-llano', N'19269', 41.138104, -2.824259)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3070, 34, N'Robledillo de Mohernando', N'robledillo-de-mohernando', N'19227', 40.854819, -3.235002)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3071, 34, N'Robledo de Corpes', N'robledo-de-corpes', N'19243', 41.118709, -2.950559)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3072, 34, N'Romanillos de Atienza', N'romanillos-de-atienza', N'19276', 41.275355, -2.895842)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3073, 34, N'Romanones', N'romanones', N'19143', 40.570708, -2.993689)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3074, 34, N'Rueda de la Sierra', N'rueda-de-la-sierra', N'19339', 40.918118, -1.853170)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3075, 34, N'Sacecorbo', N'sacecorbo', N'19432', 40.832970, -2.417722)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3076, 34, N'Sacedón', N'sacedon', N'19120', 40.481100, -2.735682)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3077, 34, N'Saelices de la Sal', N'saelices-de-la-sal', N'19443', 40.906767, -2.323909)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3078, 34, N'Salmerón', N'salmeron', N'19126', 40.544950, -2.493596)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3079, 34, N'San Andrés del Congosto', N'san-andres-del-congosto', N'19237', 41.000144, -3.027635)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3080, 34, N'San Andrés del Rey', N'san-andres-del-rey', N'19143', 40.638707, -2.819667)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3081, 34, N'Santiuste', N'santiuste', N'19245', 41.084527, -2.807736)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3082, 34, N'Saúca', N'sauca', N'19262', 41.030809, -2.529602)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3083, 34, N'Sayatón', N'sayaton', N'19119', 40.377609, -2.850866)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3084, 34, N'Selas', N'selas', N'19346', 40.951446, -2.103066)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3085, 34, N'Semillas', N'semillas', N'19237', 41.060197, -3.118401)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3086, 34, N'Setiles', N'setiles', N'19324', 40.734511, -1.617951)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3087, 34, N'Sienes', N'sienes', N'19269', 41.200034, -2.653670)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3088, 34, N'Sig', N'sig', N'19250', 41.069678, -2.642169)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3089, 34, N'Solanillos del Extremo', N'solanillos-del-extremo', N'19491', 40.751223, -2.698774)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3090, 34, N'Somolinos', N'somolinos', N'19275', 41.246483, -3.060036)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3091, 34, N'Sotillo', N'elsotillo', N'19491', 40.881625, -2.633157)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3092, 34, N'Sotodosos', N'sotodosos', N'19445', 40.922917, -2.390213)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3093, 34, N'Tamajón', N'tamajon', N'19222', 41.001407, -3.249550)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3094, 34, N'Taragudo', N'taragudo', N'19227', 40.823082, -3.080034)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3095, 34, N'Taravilla', N'taravilla', N'19314', 40.697836, -1.968141)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3096, 34, N'Tartanedo', N'tartanedo', N'19333', 40.993682, -1.925955)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3097, 34, N'Tendilla', N'tendilla', N'19134', 40.544249, -2.959871)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3098, 34, N'Terzaga', N'terzaga', N'19312', 40.695200, -1.903639)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3099, 34, N'Tierzo', N'tierzo', N'19390', 40.749191, -1.929646)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3100, 34, N'Toba', N'toba', N'19243', 41.004306, -2.981157)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3101, 34, N'Tordellego', N'tordellego', N'19325', 40.721128, -1.669707)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3102, 34, N'Tordelrábano', N'tordelrabano', N'19277', 41.218743, -2.758083)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3103, 34, N'Tordesilos', N'tordesilos', N'19323', 40.670825, -1.592975)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3104, 34, N'Torija', N'torija', N'19190', 40.744103, -3.030596)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3105, 34, N'Torre del Burgo', N'torre-del-burgo', N'19197', 40.791605, -3.099089)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3106, 34, N'Torrecuadrada de Molina', N'torrecuadrada-de-molina', N'19355', 40.750167, -1.806006)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3107, 34, N'Torrecuadradilla', N'torrecuadradilla', N'19431', 40.853115, -2.531190)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3108, 34, N'Torrejón del Rey', N'torrejon-del-rey', N'19174', 40.645464, -3.337569)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3109, 34, N'Torremocha de Jadraque', N'torremocha-de-jadraque', N'19245', 41.019558, -2.899275)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3110, 34, N'Torremocha del Campo', N'torremocha-del-campo', N'19268', 40.978294, -2.618179)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3111, 34, N'Torremocha del Pinar', N'torremocha-del-pinar', N'19345', 40.889233, -2.045002)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3112, 34, N'Torremochuela', N'torremochuela', N'19391', 40.813566, -1.859221)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3113, 34, N'Torrubia', N'torrubia', N'19337', 40.966143, -1.900163)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3114, 34, N'Tórtola de Henares', N'tortola-de-henares', N'19198', 40.707157, -3.126040)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3115, 34, N'Tortuera', N'tortuera', N'19338', 40.971587, -1.798668)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3116, 34, N'Tortuero', N'tortuero', N'19184', 40.935708, -3.354092)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3117, 34, N'Traíd', N'traid', N'19312', 40.668970, -1.809826)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3118, 34, N'Trijueque', N'trijueque', N'19192', 40.777324, -2.997036)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3119, 34, N'Trillo', N'trillo', N'19450', 40.701577, -2.592816)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3120, 34, N'Uceda', N'uceda', N'19187', 40.842986, -3.459878)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3121, 34, N'Ujados', N'ujados', N'19276', 41.235721, -3.005490)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3122, 34, N'Utande', N'utande', N'19196', 40.847921, -2.927814)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3123, 34, N'Valdarachas', N'valdarachas', N'19141', 40.516687, -3.125954)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3124, 34, N'Valdearenas', N'valdearenas', N'19196', 40.847986, -2.928071)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3125, 34, N'Valdeavellano', N'valdeavellano', N'19142', 40.665226, -2.969055)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3126, 34, N'Valdeaveruelo', N'valdeaveruelo', N'19174', 40.637225, -3.314610)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3127, 34, N'Valdeconcha', N'valdeconcha', N'19132', 40.457462, -2.873955)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3128, 34, N'Valdegrudas', N'valdegrudas', N'19412', 40.713517, -3.015618)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3129, 34, N'Valdelcubo', N'valdelcubo', N'19269', 41.226199, -2.674742)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3130, 34, N'Valdenuño Fernández', N'valdenuno-fernandez', N'19185', 40.763983, -3.378725)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3131, 34, N'Valdepeñas de la Sierra', N'valdepenas-de-la-sierra', N'19184', 40.908080, -3.387179)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3132, 34, N'Valderrebollo', N'valderrebollo', N'19490', 40.810675, -2.729287)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3133, 34, N'Valdesotos', N'valdesotos', N'19225', 40.957718, -3.328257)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3134, 34, N'Valfermoso de Tajuña', N'valfermoso-de-tajuna', N'19411', 40.619963, -2.954206)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3135, 34, N'Valhermoso', N'valhermoso', N'19390', 40.786845, -1.960373)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3136, 34, N'Valtablado del Río', N'valtablado-del-rio', N'19492', 40.717534, -2.399998)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3137, 34, N'Valverde de los Arroyos', N'valverde-de-los-arroyos', N'19224', 41.131801, -3.231354)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3138, 34, N'Viana de Jadraque', N'viana-de-jadraque', N'19295', 41.026616, -2.768598)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3139, 34, N'Villanueva de Alcorón', N'villanueva-de-alcoron', N'19460', 40.679873, -2.252841)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3140, 34, N'Villanueva de Argecilla', N'villanueva-de-argecilla', N'19246', 40.902339, -2.913995)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3141, 34, N'Villanueva de la Torre', N'villanueva-de-la-torre', N'19209', 40.584968, -3.302207)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3142, 34, N'Villares de Jadraque', N'villares-de-jadraque', N'19243', 41.102429, -3.025188)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3143, 34, N'Villaseca de Henares', N'villaseca-de-henares', N'19294', 40.960894, -2.797565)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3144, 34, N'Villaseca de Uceda', N'villaseca-de-uceda', N'19184', 40.820516, -3.352032)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3145, 34, N'Villel de Mesa', N'villel-de-mesa', N'19332', 41.126710, -1.988997)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3146, 34, N'Viñuelas', N'vinuelas', N'19184', 40.794984, -3.344951)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3147, 34, N'Yebes', N'yebes', N'19141', 40.533747, -3.111105)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3148, 34, N'Yebra', N'yebra', N'19111', 40.356961, -2.964506)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3149, 34, N'Yélamos de Abajo', N'yelamos-de-abajo', N'19143', 40.631167, -2.856231)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3150, 34, N'Yélamos de Arriba', N'yelamos-de-arriba', N'19143', 40.640221, -2.843056)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3151, 34, N'Yunquera de Henares', N'yunquera-de-henares', N'19210', 40.754978, -3.165522)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3152, 34, N'Yunta', N'yunta', N'19361', 40.914826, -1.684899)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3153, 34, N'Zaorejas', N'zaorejas', N'19495', 40.762097, -2.201514)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3154, 34, N'Zarzuela de Jadraque', N'zarzuela-de-jadraque', N'19237', 41.068141, -3.043427)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3155, 34, N'Zorita de los Canes', N'zorita-de-los-canes', N'19119', 40.332053, -2.888288)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3157, 38, N'Abaltzisketa', N'abaltzisketa', N'20269', 43.048500, -2.105890)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3158, 38, N'Aduna', N'aduna', N'20150', 43.204363, -2.048435)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3159, 38, N'Aia', N'aia', N'20809', 43.237690, -2.147520)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3160, 38, N'Aizarnazabal', N'aizarnazabal', N'20749', 43.255230, -2.236900)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3161, 38, N'Albiztur', N'albiztur', N'20495', 43.129040, -2.128660)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3162, 38, N'Alegia', N'alegia', N'20260', 43.098202, -2.096050)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3163, 38, N'Alkiza', N'alkiza', N'20494', 43.172482, -2.109840)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3164, 38, N'Altzaga', N'altzaga', N'20248', 43.064310, -2.153492)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3165, 38, N'Altzo', N'altzo', N'20268', 43.100294, -2.084484)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3166, 38, N'Amezketa', N'amezketa', N'20268', 43.045269, -2.085200)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3167, 38, N'Andoain', N'andoain', N'20140', 43.219101, -2.020080)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3168, 38, N'Anoeta', N'anoeta', N'20270', 43.161919, -2.069960)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3169, 38, N'Antzuola', N'antzuola', N'20577', 43.099129, -2.383570)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3170, 38, N'Arama', N'arama', N'20248', 43.063401, -2.164135)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3171, 38, N'Aretxabaleta', N'aretxabaleta', N'20550', 43.029942, -2.505890)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3172, 38, N'Mondragón', N'mondragon', N'20500', 43.060291, -2.494600)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3173, 38, N'Asteasu', N'asteasu', N'20159', 43.194981, -2.097730)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3174, 38, N'Astigarraga', N'astigarraga', N'20115', 43.280209, -1.950750)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3175, 38, N'Ataun', N'ataun', N'20211', 43.006531, -2.176300)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3176, 38, N'Azkoitia', N'azkoitia', N'20720', 43.176289, -2.313460)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3177, 38, N'Azpeitia', N'azpeitia', N'20730', 43.185768, -2.263870)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3178, 38, N'Baliarrain', N'baliarrain', N'20259', 43.069248, -2.128180)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3179, 38, N'Beasain', N'beasain', N'20200', 43.046909, -2.194450)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3180, 38, N'Beizama', N'beizama', N'20739', 43.133789, -2.199020)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3181, 38, N'Belauntza', N'belauntza', N'20491', 43.135283, -2.050705)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3182, 38, N'Berastegi', N'berastegi', N'20492', 43.124378, -1.976940)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3183, 38, N'Bergara', N'bergara', N'20570', 43.125519, -2.423330)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3184, 38, N'Berrobi', N'berrobi', N'20493', 43.145500, -2.026660)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3185, 38, N'Bidegoian', N'bidegoian', N'20496', 43.139019, -2.161780)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3186, 38, N'Deba', N'deba', N'20820', 43.296574, -2.354937)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3187, 38, N'Donostia-San Sebastián', N'donostia-san-sebastian', N'20160', 43.320385, -1.984470)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3188, 38, N'Eibar', N'eibar', N'20600', 43.184151, -2.472310)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3189, 38, N'Elduain', N'elduain', N'20493', 43.140922, -2.000628)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3190, 38, N'Elgeta', N'elgeta', N'20690', 43.136443, -2.486858)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3191, 38, N'Elgoibar', N'elgoibar', N'20870', 43.136224, -2.486901)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3192, 38, N'Errenteria', N'errenteria', N'20100', 43.312938, -1.898060)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3193, 38, N'Errezil', N'errezil', N'20737', 43.164966, -2.173619)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3194, 38, N'Eskoriatza', N'eskoriatza', N'20540', 43.016980, -2.527242)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3195, 38, N'Ezkio-Itsaso', N'ezkio-itsaso', N'20709', 43.082117, -2.273054)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3196, 38, N'Gabiria', N'gabiria', N'20217', 43.049823, -2.279406)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3197, 38, N'Gaintza', N'gaintza', N'20248', 43.052834, -2.132120)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3198, 38, N'Gaztelu', N'gaztelu', N'20491', 43.116523, -2.019768)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3199, 38, N'Getaria', N'getaria', N'20808', 43.303226, -2.203317)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3200, 38, N'Hernani', N'hernani', N'20120', 43.248516, -1.990070)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3201, 38, N'Hernialde', N'hernialde', N'20494', 43.154604, -2.084785)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3202, 38, N'Hondarribia', N'hondarribia', N'20280', 43.361943, -1.790686)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3203, 38, N'Ibarra', N'ibarra', N'20400', 43.132028, -2.066202)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3204, 38, N'Idiazabal', N'idiazabal', N'20213', 43.011959, -2.233572)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3205, 38, N'Ikaztegieta', N'ikaztegieta', N'20267', 43.095154, -2.123494)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3206, 38, N'Irun', N'irun', N'20304', 43.338468, -1.789269)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3207, 38, N'Irura', N'irura', N'20271', 43.165686, -2.069249)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3208, 38, N'Itsasondo', N'itsasondo', N'20249', 43.066693, -2.166882)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3209, 38, N'Larraul', N'larraul', N'20159', 43.187969, -2.102294)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3210, 38, N'Lasarte-Oria', N'lasarte-oria', N'20160', 43.267425, -2.019768)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3211, 38, N'Lazkao', N'lazkao', N'20210', 43.034298, -2.187181)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3212, 38, N'Leaburu', N'leaburu', N'20491', 43.125043, -2.051482)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3213, 38, N'Legazpi', N'legazpi', N'20230', 43.055217, -2.332878)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3214, 38, N'Legorreta', N'legorreta', N'20250', 43.085564, -2.150617)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3215, 38, N'Leintz-Gatzaga', N'leintz-gatzaga', N'20530', 42.987541, -2.568526)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3216, 38, N'Lezo', N'lezo', N'20100', 43.321494, -1.898918)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3217, 38, N'Lizartza', N'lizartza', N'20490', 43.103646, -2.034488)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3218, 38, N'Mendaro', N'mendaro', N'20850', 43.263956, -2.375193)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3219, 38, N'Mutiloa', N'mutiloa', N'20214', 43.022533, -2.272239)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3220, 38, N'Mutriku', N'mutriku', N'20830', 43.307005, -2.383990)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3221, 38, N'Oiartzun', N'oiartzun', N'20180', 43.298823, -1.857591)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3222, 38, N'Olaberria', N'olaberria', N'20212', 43.027428, -2.203188)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3223, 38, N'Oñati', N'onati', N'20560', 43.033263, -2.410727)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3224, 38, N'Ordizia', N'ordizia', N'20240', 43.054590, -2.178297)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3225, 38, N'Orendain', N'orendain', N'20269', 43.079734, -2.113838)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3226, 38, N'Orexa', N'orexa', N'20490', 43.094966, -2.011528)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3227, 38, N'Orio', N'orio', N'20810', 43.278424, -2.125082)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3228, 38, N'Ormaiztegi', N'ormaiztegi', N'20216', 43.042767, -2.255630)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3229, 38, N'Pasaia', N'pasaia', N'20110', 43.324990, -1.921062)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3230, 38, N'Segura', N'segura', N'20214', 43.008790, -2.254343)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3231, 38, N'Soraluze/Placencia de las Armas', N'soraluze-placencia-de-las-armas', N'20590', 43.175608, -2.411542)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3232, 38, N'Tolosa', N'tolosa', N'20400', 43.137101, -2.073927)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3233, 38, N'Urnieta', N'urnieta', N'20130', 43.248454, -1.990328)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3234, 38, N'Urretxu', N'urretxu', N'20700', 43.092365, -2.314124)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3235, 38, N'Usurbil', N'usurbil', N'20170', 43.271019, -2.051032)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3236, 38, N'Villabona', N'villabona', N'20150', 43.190034, -2.053199)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3237, 38, N'Zaldibia', N'zaldibia', N'20247', 43.037748, -2.150531)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3238, 38, N'Zarautz', N'zarautz', N'20800', 43.280892, -2.171860)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3239, 38, N'Zegama', N'zegama', N'20215', 42.976018, -2.290049)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3240, 38, N'Zerain', N'zerain', N'20214', 43.012210, -2.273397)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3241, 38, N'Zestoa', N'zestoa', N'20740', 43.239294, -2.257261)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3242, 38, N'Zizurkil', N'zizurkil', N'20159', 43.199514, -2.072983)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3243, 38, N'Zumaia', N'zumaia', N'20750', 43.297636, -2.256446)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3244, 38, N'Zumarraga', N'zumarraga', N'20700', 43.090798, -2.313309)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3246, 42, N'Alájar', N'alajar', N'21340', 37.874980, -6.668224)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3247, 42, N'Aljaraque', N'aljaraque', N'21110', 37.270915, -7.024199)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3248, 42, N'Almendro', N'almendro', N'21593', 37.506866, -7.267799)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3249, 42, N'Almonaster la Real', N'almonaster-la-real', N'21350', 37.873650, -6.787906)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3250, 42, N'Almonte', N'almonte', N'21730', 37.260860, -6.517379)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3251, 42, N'Alosno', N'alosno', N'21520', 37.548790, -7.120294)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3252, 42, N'Aracena', N'aracena', N'21200', 37.892945, -6.561244)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3253, 42, N'Aroche', N'aroche', N'21240', 37.945879, -6.955840)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3254, 42, N'Arroyomolinos de León', N'arroyomolinos-de-leon', N'21280', 38.024158, -6.422855)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3255, 42, N'Ayamonte', N'ayamonte', N'21400', 37.217257, -7.409034)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3256, 42, N'Beas', N'beas', N'21630', 37.426080, -6.793359)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3257, 42, N'Berrocal', N'berrocal', N'21647', 37.607968, -6.541961)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3258, 42, N'Bollullos Par del Condado', N'bollullos-par-del-condado', N'21710', 37.336487, -6.536307)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3259, 42, N'Bonares', N'bonares', N'21830', 37.322120, -6.677971)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3260, 42, N'Cabezas Rubias', N'cabezas-rubias', N'21580', 37.725379, -7.087555)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3261, 42, N'Cala', N'cala', N'21270', 37.972113, -6.317310)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3262, 42, N'Calañas', N'calanas', N'21300', 37.655014, -6.878128)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3263, 42, N'Campillo', N'El campillo', N'02462', 41.258146, -5.013413)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3264, 42, N'Campofrío', N'campofrio', N'21668', 37.768272, -6.572142)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3265, 42, N'Cañaveral de León', N'canaveral-de-leon', N'21388', 38.017195, -6.528454)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3266, 42, N'Cartaya', N'cartaya', N'21450', 37.283682, -7.155190)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3267, 42, N'Castaño del Robledo', N'castano-del-robledo', N'21292', 37.896395, -6.704063)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3268, 42, N'Cerro de Andévalo', N'cerro-de-andevalo', N'21320', 37.735562, -6.938896)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3269, 42, N'Chucena', N'chucena', N'21891', 37.361289, -6.392498)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3270, 42, N'Corteconcepción', N'corteconcepcion', N'21209', 37.896124, -6.506910)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3271, 42, N'Cortegana', N'cortegana', N'21230', 37.909060, -6.820621)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3272, 42, N'Cortelazor', N'cortelazor', N'21208', 37.935432, -6.623425)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3273, 42, N'Cumbres de Enmedio', N'cumbres-de-enmedio', N'21387', 38.071643, -6.693335)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3274, 42, N'Cumbres de San Bartolomé', N'cumbres-de-san-bartolome', N'21386', 38.076372, -6.743588)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3275, 42, N'Cumbres Mayores', N'cumbres-mayores', N'21380', 38.064514, -6.646729)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3276, 42, N'Encinasola', N'encinasola', N'21390', 38.135704, -6.872549)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3277, 42, N'Escacena del Campo', N'escacena-del-campo', N'21870', 37.411278, -6.391983)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3278, 42, N'Fuenteheridos', N'fuenteheridos', N'21292', 37.903235, -6.659517)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3279, 42, N'Galaroza', N'galaroza', N'21291', 37.927138, -6.709471)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3280, 42, N'Gibraleón', N'gibraleon', N'21500', 37.374454, -6.970482)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3281, 42, N'Granada de Río-Tinto', N'granada-de-rio-tinto', N'21668', 37.769256, -6.508584)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3282, 42, N'Granado', N'El granado', N'21594', 37.518849, -7.414570)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3283, 42, N'Higuera de la Sierra', N'higuera-de-la-sierra', N'21220', 37.838564, -6.447687)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3284, 42, N'Hinojales', N'hinojales', N'21388', 38.008573, -6.588964)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3285, 42, N'Hinojos', N'hinojos', N'21740', 37.292935, -6.376405)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3286, 42, N'Huelva', N'huelva', N'21004', 37.257796, -6.948080)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3287, 42, N'Isla Cristina', N'isla-cristina', N'21410', 37.200390, -7.327194)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3288, 42, N'Jabugo', N'jabugo', N'21290', 37.916915, -6.728354)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3289, 42, N'Lepe', N'lepe', N'21440', 37.254585, -7.203169)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3290, 42, N'Linares de la Sierra', N'linares-de-la-sierra', N'21207', 37.880476, -6.622224)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3291, 42, N'Lucena del Puerto', N'lucena-del-puerto', N'21820', 37.304440, -6.729984)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3292, 42, N'Manzanilla', N'manzanilla', N'21890', 37.387652, -6.428976)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3293, 42, N'Marines', N'Los marines', N'21208', 37.903337, -6.624241)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3294, 42, N'Minas de Riotinto', N'minas-de-riotinto', N'21660', 37.694280, -6.591024)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3295, 42, N'Moguer', N'moguer', N'21800', 37.274668, -6.835041)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3296, 42, N'Nava', N'La nava', N'01309', 37.963520, -6.747108)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3297, 42, N'Nerva', N'nerva', N'21670', 37.695435, -6.550770)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3298, 42, N'Niebla', N'niebla', N'21840', 37.360300, -6.679473)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3299, 42, N'Palma del Condado', N'palma-del-condado', N'21700', 37.388368, -6.553173)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3300, 42, N'Palos de la Frontera', N'palos-de-la-frontera', N'21810', 37.228449, -6.892633)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3301, 42, N'Paterna del Campo', N'paterna-del-campo', N'21880', 37.421844, -6.401596)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3302, 42, N'Paymogo', N'paymogo', N'21560', 37.741264, -7.345390)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3303, 42, N'Puebla de Guzmán', N'puebla-de-guzman', N'21550', 37.610900, -7.245998)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3304, 42, N'Puerto Moral', N'puerto-moral', N'21209', 37.892399, -6.478629)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3305, 42, N'Punta Umbría', N'punta-umbria', N'21100', 37.183228, -6.966791)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3306, 42, N'Rociana del Condado', N'rociana-del-condado', N'21720', 37.308161, -6.598535)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3307, 42, N'Rosal de la Frontera', N'rosal-de-la-frontera', N'21250', 37.968425, -7.220163)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3308, 42, N'San Bartoloméde la Torre', N'san-bartolomede-la-torre', N'21510', 37.446278, -7.107725)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3309, 42, N'San Juan del Puerto', N'san-juan-del-puerto', N'21610', 37.314236, -6.839762)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3310, 42, N'San Silvestre de Guzmán', N'san-silvestre-de-guzman', N'21591', 37.387652, -7.349768)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3311, 42, N'Sanlúcar de Guadiana', N'sanlucar-de-guadiana', N'21595', 37.473223, -7.465553)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3312, 42, N'Santa Ana la Real', N'santa-ana-la-real', N'21359', 37.864555, -6.724920)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3313, 42, N'Santa Bárbara de Casa', N'santa-barbara-de-casa', N'21570', 37.796322, -7.188020)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3314, 42, N'Santa Olalla del Cala', N'santa-olalla-del-cala', N'21260', 37.906893, -6.229291)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3315, 42, N'Trigueros', N'trigueros', N'21620', 37.383457, -6.834354)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3316, 42, N'Valdelarco', N'valdelarco', N'21291', 37.951101, -6.683550)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3317, 42, N'Valverde del Camino', N'valverde-del-camino', N'21600', 37.572202, -6.752644)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3318, 42, N'Villablanca', N'villablanca', N'21590', 37.304372, -7.342386)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3319, 42, N'Villalba del Alcor', N'villalba-del-alcor', N'21860', 37.398085, -6.476955)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3320, 42, N'Villanueva de las Cruces', N'villanueva-de-las-cruces', N'21592', 37.626605, -7.024469)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3321, 42, N'Villanueva de los Castillejos', N'villanueva-de-los-castillejos', N'21540', 37.500942, -7.275095)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3322, 42, N'Villarrasa', N'villarrasa', N'21850', 37.389254, -6.607547)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3323, 42, N'Zalamea la Real', N'zalamea-la-real', N'21640', 37.678420, -6.660719)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3324, 42, N'Zufre', N'zufre', N'21210', 37.834124, -6.338339)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3326, 46, N'Abiego', N'abiego', N'22143', 42.118675, -0.067750)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3327, 46, N'Abizanda', N'abizanda', N'22392', 42.242210, 0.196870)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3328, 46, N'Adahuesca', N'adahuesca', N'22147', 42.146110, -0.009062)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3330, 46, N'AíÂ­nsa', N'ainsa', N'22330', 42.414501, 0.139660)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3331, 46, N'Aisa', N'aisa', N'22860', 42.679905, -0.619169)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3332, 46, N'Albalate de Cinca', N'albalate-de-cinca', N'22534', 41.723940, 0.148355)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3333, 46, N'Albalatillo', N'albalatillo', N'22220', 41.735665, -0.151284)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3334, 46, N'Albelda', N'albelda', N'22558', 41.865670, 0.460360)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3335, 46, N'Albero Alto', N'albero-alto', N'22112', 42.049936, -0.335795)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3336, 46, N'Albero Bajo', N'albero-bajo', N'22255', 42.023515, -0.378124)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3337, 46, N'Alberuela de Tubo', N'alberuela-de-tubo', N'22212', 41.907564, -0.213593)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3338, 46, N'Alcalá de Gurrea', N'alcala-de-gurrea', N'22282', 42.067765, -0.685283)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3339, 46, N'Alcalá del Obispo', N'alcala-del-obispo', N'22135', 42.077540, -0.288719)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3340, 46, N'Alcampell', N'alcampell', N'22560', 41.905972, 0.435220)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3341, 46, N'Alcolea de Cinca', N'alcolea-de-cinca', N'22410', 41.722533, 0.114318)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3342, 46, N'Alcubierre', N'alcubierre', N'22251', 41.807942, -0.453645)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3343, 46, N'Alerre', N'alerre', N'22194', 42.163340, -0.462284)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3344, 46, N'Alfantega', N'alfantega', N'22416', 41.829200, 0.149665)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3345, 46, N'Almudévar', N'almudevar', N'22270', 42.036630, -0.579209)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3346, 46, N'Almunia de San Juan', N'almunia-de-san-juan', N'22420', 41.933458, 0.243733)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3347, 46, N'Almuniente', N'almuniente', N'22255', 41.951320, -0.413217)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3348, 46, N'Alquézar', N'alquezar', N'22145', 42.171385, 0.024214)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3349, 46, N'Altorricón', N'altorricon', N'22540', 41.802360, 0.414740)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3350, 46, N'Angüés', N'angues', N'22123', 42.110831, -0.152435)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3351, 46, N'Ansó', N'anso', N'22728', 42.757034, -0.827929)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3352, 46, N'Antillón', N'antillon', N'22133', 42.035786, -0.162394)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3353, 46, N'Araguás', N'araguas', N'22338', 42.473490, 0.162048)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3354, 46, N'Arén', N'aren', N'22583', 42.259143, 0.722694)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3355, 46, N'Argavieso', N'argavieso', N'22135', 42.051326, -0.283967)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3356, 46, N'Arguis', N'arguis', N'22150', 42.315605, -0.439116)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3357, 46, N'Ayerbe', N'ayerbe', N'22800', 42.273305, -0.687119)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3358, 46, N'Azanuy-Alins', N'azanuy-alins', N'22421', 41.971844, 0.310688)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3359, 46, N'Azara', N'azara', N'22311', 42.069070, -0.032240)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3360, 46, N'Azlor', N'azlor', N'22311', 42.095755, -0.045149)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3361, 46, N'Baélls', N'baells', N'22569', 41.953285, 0.459675)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3362, 46, N'Bailo', N'bailo', N'22760', 42.509834, -0.811897)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3363, 46, N'Baldellou', N'baldellou', N'22571', 41.918232, 0.546408)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3364, 46, N'Ballobar', N'ballobar', N'22234', 41.621516, 0.193218)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3365, 46, N'Banastás', N'banastas', N'22194', 42.180808, -0.451322)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3366, 46, N'Barbastro', N'barbastro', N'22300', 42.036097, 0.127994)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3367, 46, N'Barbués', N'barbues', N'22255', 41.982355, -0.419888)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3368, 46, N'Barbuñales', N'barbunales', N'22132', 42.025155, -0.085264)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3369, 46, N'Bárcabo', N'barcabo', N'22148', 42.241316, 0.070607)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3370, 46, N'Belver de Cinca', N'belver-de-cinca', N'22533', 41.688140, 0.178445)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3371, 46, N'Benabarre', N'benabarre', N'22580', 42.105665, 0.482905)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3372, 46, N'Benasque', N'benasque', N'22440', 42.603041, 0.521588)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3373, 46, N'Berbegal', N'berbegal', N'22131', 41.961865, -0.006394)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3374, 46, N'Bielsa', N'bielsa', N'22350', 42.633925, 0.218245)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3375, 46, N'Bierge', N'bierge', N'22144', 42.164410, -0.078179)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3376, 46, N'Biescas', N'biescas', N'22630', 42.630138, -0.326238)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3377, 46, N'Binaced', N'binaced', N'22510', 41.826450, 0.201040)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3378, 46, N'Binéfar', N'binefar', N'22500', 41.849940, 0.292780)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3379, 46, N'Bisaurri', N'bisaurri', N'22470', 42.496713, 0.508738)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3380, 46, N'Biscarrués', N'biscarrues', N'22807', 42.226611, -0.750421)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3381, 46, N'Blecua y Torres', N'blecua-y-torres', N'11592', 42.057641, -0.186682)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3382, 46, N'Boltaña', N'boltana', N'22340', 42.442841, 0.069265)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3383, 46, N'Bonansa', N'bonansa', N'22486', 42.426719, 0.667248)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3384, 46, N'Borau', N'borau', N'22860', 42.658991, -0.588455)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3385, 46, N'Broto', N'broto', N'22370', 42.604810, -0.124326)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3386, 46, N'Caldearenas', N'caldearenas', N'22624', 42.397252, -0.500050)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3387, 46, N'Campo', N'campo', N'22450', 42.409073, 0.394006)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3388, 46, N'Camporrélls', N'camporrells', N'22570', 41.958692, 0.523181)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3389, 46, N'Canal de Berdún', N'canal-de-berdun', N'22770', 42.604400, -0.858564)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3390, 46, N'Candasnos', N'candasnos', N'22591', 41.504110, 0.063043)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3391, 46, N'Canfranc', N'canfranc', N'22880', 42.750621, -0.512710)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3392, 46, N'Capdesaso', N'capdesaso', N'22212', 41.843670, -0.185437)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3393, 46, N'Capella', N'capella', N'22480', 42.197527, 0.395980)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3394, 46, N'Casbas de Huesca', N'casbas-de-huesca', N'22142', 42.156659, -0.140290)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3395, 46, N'Castejón de Monegros', N'castejon-de-monegros', N'22222', 41.618202, -0.240455)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3396, 46, N'Castejón de Sos', N'castejon-de-sos', N'22466', 42.513772, 0.492840)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3397, 46, N'Castejón del Puente', N'castejon-del-puente', N'22310', 41.962937, 0.156813)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3398, 46, N'Castelflorite', N'castelflorite', N'22215', 41.802735, -0.021286)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3399, 46, N'Castiello de Jaca', N'castiello-de-jaca', N'22710', 42.632317, -0.550604)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3400, 46, N'Castigaleu', N'castigaleu', N'22587', 42.204584, 0.578284)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3401, 46, N'Castillazuelo', N'castillazuelo', N'22313', 42.067518, 0.065317)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3402, 46, N'Castillonroy', N'castillonroy', N'22572', 41.884483, 0.514040)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3403, 46, N'Chalamera', N'chalamera', N'22233', 41.665731, 0.161619)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3404, 46, N'Chía', N'chia', N'22465', 42.520288, 0.465717)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3405, 46, N'Chimillas', N'chimillas', N'22194', 42.171037, -0.451212)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3406, 46, N'Colungo', N'colungo', N'22148', 42.173009, 0.064716)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3407, 46, N'Esplús', N'esplus', N'22535', 41.798672, 0.274830)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3408, 46, N'Estada', N'estada', N'22424', 42.071596, 0.234833)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3409, 46, N'Estadilla', N'estadilla', N'22423', 42.055761, 0.243459)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3410, 46, N'Estopiñán del Castillo', N'estopinan-del-castillo', N'22589', 41.997965, 0.543137)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3411, 46, N'Fago', N'fago', N'22729', 42.735350, -0.865602)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3412, 46, N'Fanlo', N'fanlo', N'22375', 42.587150, -0.021372)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3413, 46, N'Fiscal', N'fiscal', N'22373', 42.495992, -0.121493)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3414, 46, N'Fonz', N'fonz', N'22422', 42.010147, 0.258436)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3415, 46, N'Foradada del Toscar', N'foradada-del-toscar', N'22452', 42.410086, 0.350275)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3416, 46, N'Fraga', N'fraga', N'22520', 41.522588, 0.348644)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3417, 46, N'Fueva', N'la fueva', N'22336', 42.453038, 0.279036)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3418, 46, N'Gistaín', N'gistain', N'22367', 42.591258, 0.336800)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3419, 46, N'Grado', N'el grado', N'33829', 42.151378, 0.223889)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3420, 46, N'Grañén', N'granen', N'22260', 41.940052, -0.369201)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3421, 46, N'Graus', N'graus', N'22430', 42.193012, 0.338817)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3422, 46, N'Gurrea de Gállego', N'gurrea-de-gallego', N'22280', 42.013718, -0.761747)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3423, 46, N'Hoz de Jaca', N'hoz-de-jaca', N'22662', 42.690953, -0.306673)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3424, 46, N'Hoz y Costean', N'hoz-y-costean', N'22312', 42.133431, 0.133349)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3425, 46, N'Huerto', N'huerto', N'22210', 41.931752, -0.166426)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3426, 46, N'Huesca', N'huesca', N'22003', 42.140273, -0.409369)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3427, 46, N'Ibieca', N'ibieca', N'22122', 42.161431, -0.207539)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3428, 46, N'Igriés', N'igries', N'22193', 42.214756, -0.431986)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3429, 46, N'Ilche', N'ilche', N'22415', 41.957990, 0.057378)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3430, 46, N'Isábena', N'isabena', N'22482', 42.309752, 0.526485)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3431, 46, N'Jaca', N'jaca', N'22700', 42.570276, -0.549488)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3432, 46, N'Jasa', N'jasa', N'22731', 42.694833, -0.665402)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3433, 46, N'Labuerda', N'labuerda', N'22360', 42.453228, 0.133209)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3434, 46, N'Laluenga', N'laluenga', N'22125', 42.003419, -0.046349)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3435, 46, N'Lalueza', N'lalueza', N'22214', 41.841943, -0.255432)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3436, 46, N'Lanaja', N'lanaja', N'22250', 41.772336, -0.329762)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3437, 46, N'Laperdiguera', N'laperdiguera', N'22126', 41.991395, -0.046692)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3438, 46, N'Lascellas-Ponzano', N'lascellas-ponzano', N'22124', 42.065352, -0.075574)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3439, 46, N'Lascuarre', N'lascuarre', N'22586', 42.199339, 0.515885)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3440, 46, N'Laspaúles', N'laspaules', N'22471', 42.470957, 0.598583)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3441, 46, N'Laspuña', N'laspuna', N'22361', 42.503617, 0.153379)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3442, 46, N'Loarre', N'loarre', N'22809', 42.314671, -0.623989)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3443, 46, N'Loporzano', N'loporzano', N'22192', 42.161527, -0.324183)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3444, 46, N'Loscorrales', N'loscorrales', N'22809', 42.253394, -0.641971)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3445, 46, N'Lupiñén-Ortilla', N'lupinen-ortilla', N'22811', 42.175681, -0.580215)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3446, 46, N'Monesma y Cajigar', N'monesma-y-cajigar', N'22587', 42.260732, 0.596952)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3447, 46, N'Monflorite-Lascasas', N'monflorite-lascasas', N'22111', 42.094401, -0.356412)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3448, 46, N'Montanuy', N'montanuy', N'22487', 42.465259, 0.695658)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3449, 46, N'Monzón', N'monzon', N'22400', 41.910166, 0.194879)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3450, 46, N'Naval', N'naval', N'22320', 42.193870, 0.151834)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3451, 46, N'Novales', N'novales', N'22113', 42.031954, -0.287662)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3452, 46, N'Nueno', N'nueno', N'22193', 42.265654, -0.439925)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3453, 46, N'Olvena', N'olvena', N'22439', 42.109621, 0.259809)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3454, 46, N'Ontiñena', N'ontinena', N'22232', 41.675412, 0.088620)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3455, 46, N'Osso de Cinca', N'osso-de-cinca', N'22532', 41.665603, 0.192432)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3456, 46, N'Palo', N'palo', N'22337', 42.323080, 0.243974)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3457, 46, N'Panticosa', N'panticosa', N'22661', 42.723726, -0.284856)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3458, 46, N'Peñalba', N'penalba', N'22592', 41.500607, -0.037422)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3459, 46, N'Peñas de Riglos', N'penas-de-riglos', N'22808', 42.349410, -0.726814)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3460, 46, N'Peralta de Alcofea', N'peralta-de-alcofea', N'22210', 41.932614, -0.065489)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3461, 46, N'Peralta de Calasanz', N'peralta-de-calasanz', N'22513', 42.018884, 0.393105)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3462, 46, N'Peraltilla', N'peraltilla', N'22311', 42.055538, -0.016866)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3463, 46, N'Perarrúa', N'perarrua', N'22460', 42.267338, 0.351734)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3464, 46, N'Pertusa', N'pertusa', N'22132', 42.002175, -0.126987)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3465, 46, N'Piracés', N'piraces', N'22268', 42.004088, -0.317144)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3466, 46, N'Plan', N'plan', N'22367', 42.582411, 0.337830)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3467, 46, N'Poleñino', N'polenino', N'22216', 41.870775, -0.309162)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3468, 46, N'Pozán de Vero', N'pozan-de-vero', N'22313', 42.080579, 0.033689)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3469, 46, N'Puebla de Castro', N'puebla-de-castro', N'22435', 42.145078, 0.287919)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3470, 46, N'Puente de Montañana', N'puente-de-montanana', N'22584', 42.149978, 0.693641)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3471, 46, N'Puente la Reina de Jaca', N'puente-la-reina-de-jaca', N'22753', 42.564460, -0.789557)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3472, 46, N'Puértolas', N'puertolas', N'22362', 42.548212, 0.133295)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3473, 46, N'Pueyo de Araguás', N'pueyo-de-araguas', N'22338', 42.440244, 0.161362)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3474, 46, N'Pueyo de Santa Cruz', N'pueyo-de-santa-cruz', N'22416', 41.858151, 0.156898)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3475, 46, N'Quicena', N'quicena', N'22191', 42.147878, -0.358987)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3476, 46, N'Robres', N'robres', N'22252', 41.866589, -0.461040)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3477, 46, N'Sabiñánigo', N'sabinanigo', N'22600', 42.522724, -0.367355)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3478, 46, N'Sahún', N'sahun', N'22468', 42.576154, 0.464473)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3479, 46, N'Salas Altas', N'salas-altas', N'22314', 42.114428, 0.071368)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3480, 46, N'Salas Bajas', N'salas-bajas', N'22314', 42.099815, 0.083814)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3481, 46, N'Salillas', N'salillas', N'22110', 41.992958, -0.225005)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3482, 46, N'Sallent de Gállego', N'sallent-de-gallego', N'22640', 42.773605, -0.335083)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3483, 46, N'San Esteban de Litera', N'san-esteban-de-litera', N'22512', 41.903874, 0.324783)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3484, 46, N'San Juan de Plan', N'san-juan-de-plan', N'22367', 42.587751, 0.344696)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3485, 46, N'San Miguel del Cinca', N'san-miguel-del-cinca', N'22413', 41.822630, 0.076089)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3486, 46, N'Sangarrén', N'sangarren', N'22100', 42.017704, -0.431213)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3487, 46, N'Santa Cilia', N'santa-cilia', N'22791', 42.561679, -0.713596)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3488, 46, N'Santa Cruz de la Serós', N'santa-cruz-de-la-seros', N'22792', 42.522123, -0.673213)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3489, 46, N'Santa María de Dulcis', N'santa-maria-de-dulcis', N'22313', 42.121718, 0.023389)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3490, 46, N'Santaliestra y San Quílez', N'santaliestra-y-san-quilez', N'22461', 42.306578, 0.363750)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3491, 46, N'Sariñena', N'sarinena', N'22200', 41.791473, -0.158443)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3492, 46, N'Secastilla', N'secastilla', N'22439', 42.181056, 0.266805)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3493, 46, N'Seira', N'seira', N'22463', 42.480833, 0.429668)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3494, 46, N'Sena', N'sena', N'22230', 41.714827, -0.043516)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3495, 46, N'Senés de Alcubierre', N'senes-de-alcubierre', N'22253', 41.907611, -0.490308)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3496, 46, N'Sesa', N'sesa', N'22110', 41.996498, -0.245433)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3497, 46, N'Sesué', N'sesue', N'22467', 42.551847, 0.473228)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3498, 46, N'Siétamo', N'sietamo', N'22120', 42.123342, -0.278478)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3499, 46, N'Sopeira', N'sopeira', N'22583', 42.317019, 0.746813)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3500, 46, N'Sotonera', N'la sotonera', N'22160', 42.254887, -0.543780)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3501, 46, N'Tamarite de Litera', N'tamarite-de-litera', N'22550', 41.868155, 0.422630)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3502, 46, N'Tardienta', N'tardienta', N'22240', 41.979464, -0.538888)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3503, 46, N'Tella-Sin', N'tella-sin', N'22364', 42.583548, 0.199556)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3504, 46, N'Tierz', N'tierz', N'22192', 42.132890, -0.353322)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3505, 46, N'Tolva', N'tolva', N'22585', 42.114906, 0.564337)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3506, 46, N'Torla', N'torla', N'22376', 42.628907, -0.110207)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3507, 46, N'Torralba de Aragón', N'torralba-de-aragon', N'22254', 41.935392, -0.509963)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3508, 46, N'Torre la Ribera', N'torre-la-ribera', N'22483', 42.373574, 0.526400)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3509, 46, N'Torrente de Cinca', N'torrente-de-cinca', N'22590', 41.472123, 0.334482)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3510, 46, N'Torres de Alcanadre', N'torres-de-alcanadre', N'22132', 41.968585, -0.110893)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3511, 46, N'Torres de Barbués', N'torres-de-barbues', N'22255', 41.960384, -0.432415)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3512, 46, N'Tramaced', N'tramaced', N'22268', 41.972924, -0.298519)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3513, 46, N'Valfarta', N'valfarta', N'22223', 41.558050, -0.134068)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3514, 46, N'Valle de Bardají', N'valle-de-bardaji', N'22451', 42.433783, 0.466747)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3515, 46, N'Valle de Hecho', N'valle-de-hecho', N'22348', 42.739637, -0.750632)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3516, 46, N'Valle de Lierp', N'valle-de-lierp', N'22451', 42.379756, 0.489063)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3517, 46, N'Velilla de Cinca', N'velilla-de-cinca', N'22528', 41.587459, 0.261741)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3518, 46, N'Vencillón', N'vencillon', N'22549', 41.705344, 0.322080)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3519, 46, N'Veracruz', N'veracruz', N'22484', 42.382197, 0.611329)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3520, 46, N'Viacamp y Litera', N'viacamp-y-litera', N'22585', 42.127002, 0.614376)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3521, 46, N'Vicién', N'vicien', N'22190', 42.055793, -0.440569)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3522, 46, N'Villanova', N'villanova', N'22467', 42.546662, 0.460396)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3523, 46, N'Villanúa', N'villanua', N'22870', 42.679501, -0.530863)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3524, 46, N'Villanueva de Sigena', N'villanueva-de-sigena', N'22231', 41.715083, -0.008798)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3525, 46, N'Yebra de Basa', N'yebra-de-basa', N'22610', 42.486372, -0.281096)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3526, 46, N'Yésero', N'yesero', N'22639', 42.619465, -0.249553)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3527, 46, N'Zaidín', N'zaidin', N'22530', 41.604244, 0.265903)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3529, 50, N'Albanchez de Mágina', N'albanchez-de-magina', N'23538', 37.791541, -3.466358)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3530, 50, N'Alcalá la Real', N'alcala-la-real', N'23680', 37.462528, -3.923321)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3531, 50, N'Alcaudete', N'alcaudete', N'23660', 37.589130, -4.078550)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3532, 50, N'Aldeaquemada', N'aldeaquemada', N'23215', 38.411991, -3.370640)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3533, 50, N'Andújar', N'andujar', N'23740', 38.038689, -4.057520)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3534, 50, N'Arjona', N'arjona', N'23760', 37.937592, -4.060900)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3535, 50, N'Arjonilla', N'arjonilla', N'23750', 37.974491, -4.102770)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3536, 50, N'Arquillos', N'arquillos', N'23230', 38.182629, -3.430190)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3537, 50, N'Arroyo del Ojanco', N'arroyo-del-ojanco', N'23340', 38.321510, -2.893460)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3538, 50, N'Baeza', N'baeza', N'23440', 37.993141, -3.468340)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3539, 50, N'Bailén', N'bailen', N'23710', 38.096531, -3.771050)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3540, 50, N'Baños de la Encina', N'banos-de-la-encina', N'23711', 38.172329, -3.771160)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3541, 50, N'Beas de Segura', N'beas-de-segura', N'23280', 38.254410, -2.895790)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3542, 50, N'Bedmar y Garcíez', N'bedmar-y-garciez', N'23537', 37.824089, -3.414620)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3543, 50, N'Begíjar', N'begijar', N'23520', 37.984360, -3.535980)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3544, 50, N'Bélmez de la Moraleda', N'belmez-de-la-moraleda', N'23568', 37.723003, -3.381901)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3545, 50, N'Benatae', N'benatae', N'23390', 38.353741, -2.651770)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3546, 50, N'Cabra del Santo Cristo', N'cabra-del-santo-cristo', N'23550', 37.705486, -3.285958)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3547, 50, N'Cambil', N'cambil', N'23120', 37.678080, -3.565214)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3548, 50, N'Campillo de Arenas', N'campillo-de-arenas', N'23130', 37.558663, -3.642311)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3549, 50, N'Canena', N'canena', N'23420', 38.051268, -3.488009)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3550, 50, N'Carboneros', N'carboneros', N'23211', 38.228741, -3.630939)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3551, 50, N'Cárcheles', N'carcheles', N'23192', 37.636308, -3.631926)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3552, 50, N'Carolina', N'carolina', N'23200', 38.276378, -3.616991)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3553, 50, N'El Castellar', N'elcastellar', N'23260', 38.255268, -3.131447)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3554, 50, N'Castillo de Locubín', N'castillo-de-locubin', N'23670', 37.529995, -3.944650)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3555, 50, N'Cazalilla', N'cazalilla', N'23628', 37.985204, -3.881800)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3556, 50, N'Cazorla', N'cazorla', N'23470', 37.909297, -2.994461)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3557, 50, N'Chiclana de Segura', N'chiclana-de-segura', N'23264', 38.314673, -3.038900)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3558, 50, N'Chilluévar', N'chilluevar', N'23477', 38.000145, -3.030714)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3559, 50, N'Escañuela', N'escanuela', N'23657', 37.877538, -4.033495)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3560, 50, N'Espelúy', N'espeluy', N'23628', 38.030600, -3.862445)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3561, 50, N'Frailes', N'frailes', N'23690', 37.486139, -3.839743)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3562, 50, N'Fuensanta de Martos', N'fuensanta-de-martos', N'23610', 37.647335, -3.906755)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3563, 50, N'Fuerte del Rey', N'fuerte-del-rey', N'23180', 37.875209, -3.884332)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3564, 50, N'Génave', N'genave', N'23392', 38.430396, -2.735724)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3565, 50, N'Guardia de Jaén', N'guardia-de-jaen', N'23170', 37.744521, -3.694668)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3566, 50, N'Guarromán', N'guarroman', N'23210', 38.117778, -3.835001)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3567, 50, N'Higuera de Calatrava', N'higuera-de-calatrava', N'23611', 37.796924, -4.155825)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3568, 50, N'Hinojares', N'hinojares', N'23486', 37.716112, -3.000662)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3569, 50, N'Hornos', N'hornos', N'23292', 38.215458, -2.720189)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3570, 50, N'Huelma', N'huelma', N'23560', 37.644753, -3.452775)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3571, 50, N'Huesa', N'huesa', N'23487', 37.756330, -3.076344)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3572, 50, N'Ibros', N'ibros', N'23450', 38.023940, -3.504682)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3573, 50, N'Iruela', N'iruela', N'23476', 37.923821, -2.989311)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3574, 50, N'Iznatoraf', N'iznatoraf', N'23338', 38.152884, -3.019094)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3575, 50, N'Jabalquinto', N'jabalquinto', N'23712', 38.020035, -3.724301)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3576, 50, N'Jaén', N'jaen', N'23004', 37.766288, -3.789725)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3577, 50, N'Jamilena', N'jamilena', N'23658', 37.746778, -3.912785)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3578, 50, N'Jimena', N'jimena', N'23530', 37.841631, -3.478181)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3579, 50, N'Jódar', N'jodar', N'23500', 37.842766, -3.350229)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3580, 50, N'Lahiguera', N'lahiguera', N'23746', 37.969559, -3.987458)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3581, 50, N'Larva', N'larva', N'23591', 37.760232, -3.199382)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3582, 50, N'Linares', N'linares', N'39580', 43.256237, -4.579818)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3583, 50, N'Lopera', N'lopera', N'23780', 37.944908, -4.214780)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3584, 50, N'Lupión', N'lupion', N'23528', 37.998919, -3.550708)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3585, 50, N'Mancha Real', N'mancha-real', N'23100', 37.787878, -3.612421)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3586, 50, N'Marmolejo', N'marmolejo', N'23770', 38.045354, -4.171393)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3587, 50, N'Martos', N'martos', N'23600', 37.721527, -3.968296)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3588, 50, N'Mengíbar', N'mengibar', N'23620', 37.967580, -3.809681)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3589, 50, N'Montizón', N'montizon', N'23266', 38.344871, -3.103895)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3590, 50, N'Navas de San Juan', N'navas-de-san-juan', N'23240', 38.186792, -3.315167)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3591, 50, N'Noalejo', N'noalejo', N'23140', 37.527086, -3.666086)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3592, 50, N'Orcera', N'orcera', N'23370', 38.317687, -2.667789)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3593, 50, N'Peal de Becerro', N'peal-de-becerro', N'23460', 37.913800, -3.121104)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3594, 50, N'Pegalajar', N'pegalajar', N'23110', 37.737089, -3.650755)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3595, 50, N'Porcuna', N'porcuna', N'23790', 37.868739, -4.186671)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3596, 50, N'Pozo Alcón', N'pozo-alcon', N'23485', 37.706402, -2.936611)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3597, 50, N'Puente de Génave', N'puente-de-genave', N'23350', 38.352999, -2.806084)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3598, 50, N'Puerta de Segura', N'puerta-de-segura', N'23360', 38.350256, -2.740102)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3599, 50, N'Quesada', N'quesada', N'23480', 37.845105, -3.068275)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3600, 50, N'Rus', N'rus', N'23430', 38.050592, -3.461273)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3601, 50, N'Sabiote', N'sabiote', N'23410', 38.070443, -3.304954)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3602, 50, N'Santa Elena', N'santa-elena', N'23213', 38.341202, -3.536139)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3603, 50, N'Santiago de Calatrava', N'santiago-de-calatrava', N'23612', 37.752801, -4.171050)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3604, 50, N'Santiago-Pontones', N'santiago-pontones', N'23290', 38.099991, -2.549493)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3605, 50, N'Santisteban del Puerto', N'santisteban-del-puerto', N'23250', 38.247786, -3.206205)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3606, 50, N'Santo Tomé', N'santo-tome', N'23311', 38.028504, -3.096385)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3607, 50, N'Segura de la Sierra', N'segura-de-la-sierra', N'23379', 38.298054, -2.653756)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3608, 50, N'Siles', N'siles', N'23380', 38.387452, -2.581058)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3609, 50, N'Sorihuela del Guadalimar', N'sorihuela-del-guadalimar', N'23270', 38.239663, -3.056345)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3610, 50, N'Torre del Campo', N'torre-del-campo', N'23640', 37.777058, -3.895984)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3611, 50, N'Torreblascopedro', N'torreblascopedro', N'23510', 37.993440, -3.639543)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3612, 50, N'Torredonjimeno', N'torredonjimeno', N'23650', 37.802731, -4.091549)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3613, 50, N'Torreperogil', N'torreperogil', N'23320', 38.029738, -3.279290)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3614, 50, N'Torres', N'torres', N'23540', 37.787047, -3.511569)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3615, 50, N'Torres de Albánchez', N'torres-de-albanchez', N'23391', 38.415695, -2.676576)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3616, 50, N'Ášbeda', N'ubeda', N'23400', 38.011162, -3.371380)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3617, 50, N'Valdepeñas de Jaén', N'valdepenas-de-jaen', N'23150', 37.588867, -3.815818)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3618, 50, N'Vilches', N'vilches', N'23220', 38.211276, -3.501463)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3619, 50, N'Villacarrillo', N'villacarrillo', N'23300', 38.111599, -3.087587)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3620, 50, N'Villanueva de la Reina', N'villanueva-de-la-reina', N'23730', 38.017669, -3.919201)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3621, 50, N'Villanueva del Arzobispo', N'villanueva-del-arzobispo', N'23330', 38.171088, -3.009181)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3622, 50, N'Villardompardo', N'villardompardo', N'23659', 37.839564, -4.000922)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3623, 50, N'Villares', N'villares', N'23160', 37.689509, -3.819616)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3624, 50, N'Villarrodrigo', N'villarrodrigo', N'23393', 38.488347, -2.640989)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3625, 50, N'Villatorres', N'villatorres', N'23630', 37.931184, -3.692372)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3627, 3, N'Acebedo', N'acebedo', N'24996', 41.086678, -3.624973)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3628, 3, N'Algadefe', N'algadefe', N'24238', 42.217819, -5.583790)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3629, 3, N'Alija del Infantado', N'alija-del-infantado', N'24761', 42.141510, -5.835620)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3630, 3, N'Almanza', N'almanza', N'24170', 42.657681, -5.035560)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3631, 3, N'Antigua', N'antigua', N'24796', 42.181087, -5.689201)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3632, 3, N'Ardón', N'ardon', N'24232', 42.437340, -5.562010)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3633, 3, N'Arganza', N'arganza', N'24546', 42.642609, -6.687770)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3634, 3, N'Astorga', N'astorga', N'24700', 42.457760, -6.053280)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3635, 3, N'Balboa', N'balboa', N'24525', 42.706638, -6.923990)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3636, 3, N'Bañeza', N'baneza', N'24750', 42.296421, -5.901031)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3637, 3, N'Barjas', N'barjas', N'24521', 42.611096, -6.978722)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3638, 3, N'Barrios de Luna', N'barrios-de-luna', N'24148', 42.847653, -5.858459)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3639, 3, N'Bembibre', N'bembibre', N'24300', 42.614941, -6.416800)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3640, 3, N'Benavides', N'benavides', N'24280', 42.503529, -5.900030)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3641, 3, N'Benuza', N'benuza', N'24389', 42.402180, -6.707290)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3642, 3, N'Bercianos del Páramo', N'bercianos-del-paramo', N'24252', 42.379292, -5.704740)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3643, 3, N'Bercianos del Real Camino', N'bercianos-del-real-camino', N'24325', 42.387421, -5.143500)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3644, 3, N'Berlanga del Bierzo', N'berlanga-del-bierzo', N'24438', 42.730309, -6.604740)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3645, 3, N'Boca de Huérgano', N'boca-de-huergano', N'24911', 42.973881, -4.924860)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3646, 3, N'Boñar', N'bonar', N'24850', 42.866669, -5.323620)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3647, 3, N'Borrenes', N'borrenes', N'24443', 42.490742, -6.724670)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3648, 3, N'Brazuelo', N'brazuelo', N'24716', 42.497036, -6.156807)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3649, 3, N'Burgo Ranero', N'burgo-ranero', N'24343', 42.427258, -5.219879)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3650, 3, N'Burón', N'buron', N'24994', 43.025570, -5.051180)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3651, 3, N'Bustillo del Páramo', N'bustillo-del-paramo', N'24357', 42.441068, -5.791512)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3652, 3, N'Cabañas Raras', N'cabanas-raras', N'24412', 42.619881, -6.636980)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3653, 3, N'Cabreros del Río', N'cabreros-del-rio', N'24224', 42.401180, -5.540530)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3654, 3, N'Cabrillanes', N'cabrillanes', N'24142', 42.953251, -6.147790)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3655, 3, N'Cacabelos', N'cacabelos', N'24540', 42.598759, -6.726090)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3656, 3, N'Calzada del Coto', N'calzada-del-coto', N'24342', 42.385250, -5.078040)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3657, 3, N'Campazas', N'campazas', N'24221', 42.142361, -5.494320)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3658, 3, N'Campo de Villavidel', N'campo-de-villavidel', N'24225', 42.439159, -5.528030)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3659, 3, N'Camponaraya', N'camponaraya', N'24410', 42.578449, -6.666720)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3660, 3, N'Candín', N'candin', N'24433', 42.818649, -6.725920)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3661, 3, N'Cármenes', N'carmenes', N'24838', 42.960694, -5.572815)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3662, 3, N'Carracedelo', N'carracedelo', N'24549', 42.556770, -6.729850)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3663, 3, N'Carrizo', N'carrizo', N'24270', 42.584309, -5.827520)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3664, 3, N'Carrocera', N'carrocera', N'24123', 42.795842, -5.743446)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3665, 3, N'Carucedo', N'carucedo', N'24442', 42.490891, -6.765620)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3666, 3, N'Castilfalé', N'castilfale', N'24206', 42.219181, -5.421430)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3667, 3, N'Castrillo de Cabrera', N'castrillo-de-cabrera', N'24742', 42.340240, -6.544650)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3668, 3, N'Castrillo de la Valduerna', N'castrillo-de-la-valduerna', N'24721', 42.323711, -6.133670)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3669, 3, N'Castrocalbón', N'castrocalbon', N'24760', 42.197449, -5.982000)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3670, 3, N'Castrocontrigo', N'castrocontrigo', N'24735', 42.186420, -6.188950)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3671, 3, N'Castropodame', N'castropodame', N'24314', 42.581680, -6.469510)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3672, 3, N'Castrotierra de Valmadrigal', N'castrotierra-de-valmadrigal', N'24323', 42.345852, -5.247890)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3673, 3, N'Cea', N'cea', N'24174', 42.463486, -5.009766)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3674, 3, N'Cebanico', N'cebanico', N'24892', 42.725491, -5.025520)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3675, 3, N'Cebrones del Río', N'cebrones-del-rio', N'24769', 42.257389, -5.826400)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3676, 3, N'Chozas de Abajo', N'chozas-de-abajo', N'24392', 42.507820, -5.687270)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3677, 3, N'Cimanes de la Vega', N'cimanes-de-la-vega', N'24239', 42.120159, -5.604490)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3678, 3, N'Cimanes del Tejar', N'cimanes-del-tejar', N'24272', 42.617409, -5.806560)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3679, 3, N'Cistierna', N'cistierna', N'24800', 42.801090, -5.125830)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3680, 3, N'Congosto', N'congosto', N'24398', 42.617222, -6.520960)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3681, 3, N'Corbillos de los Oteros', N'corbillos-de-los-oteros', N'24225', 42.407791, -5.459180)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3682, 3, N'Corullón', N'corullon', N'24514', 42.580742, -6.818820)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3683, 3, N'Crémenes', N'cremenes', N'24980', 42.903809, -5.142920)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3684, 3, N'Cuadros', N'cuadros', N'24620', 42.709690, -5.639510)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3685, 3, N'Cubillas de los Oteros', N'cubillas-de-los-oteros', N'24224', 42.374149, -5.506910)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3686, 3, N'Cubillas de Rueda', N'cubillas-de-rueda', N'24940', 42.655998, -5.176630)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3687, 3, N'Cubillos del Sil', N'cubillos-del-sil', N'24492', 42.624989, -6.563080)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3688, 3, N'Destriana', N'destriana', N'24730', 42.328129, -6.092210)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3689, 3, N'Encinedo', N'encinedo', N'24745', 42.270489, -6.592590)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3690, 3, N'Ercina', N'ercina', N'24870', 42.812088, -5.216789)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3691, 3, N'Escobar de Campos', N'escobar-de-campos', N'24341', 42.313099, -4.965060)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3692, 3, N'Fabero', N'fabero', N'24420', 42.767841, -6.625170)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3693, 3, N'Folgoso de la Ribera', N'folgoso-de-la-ribera', N'24311', 42.642971, -6.321230)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3694, 3, N'Fresno de la Vega', N'fresno-de-la-vega', N'24223', 42.345558, -5.532260)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3695, 3, N'Fuentes de Carbajal', N'fuentes-de-carbajal', N'24206', 42.170274, -5.445099)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3696, 3, N'Garrafe de Torío', N'garrafe-de-torio', N'24891', 42.732929, -5.523640)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3697, 3, N'Gordaliza del Pino', N'gordaliza-del-pino', N'24325', 42.343578, -5.158390)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3698, 3, N'Gordoncillo', N'gordoncillo', N'24294', 42.134071, -5.400160)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3699, 3, N'Gradefes', N'gradefes', N'24160', 42.623989, -5.227090)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3700, 3, N'Grajal de Campos', N'grajal-de-campos', N'24340', 42.321838, -5.015940)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3701, 3, N'Gusendos de los Oteros', N'gusendos-de-los-oteros', N'24209', 42.376934, -5.426559)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3702, 3, N'Hospital de Órbigo', N'hospital-de-orbigo', N'24286', 42.463669, -5.881480)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3703, 3, N'Igüeña', N'iguena', N'24312', 42.727596, -6.274567)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3704, 3, N'Izagre', N'izagre', N'24293', 42.224380, -5.255110)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3705, 3, N'Joarilla de las Matas', N'joarilla-de-las-matas', N'24324', 42.287781, -5.178610)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3706, 3, N'Laguna Dalga', N'laguna-dalga', N'24248', 42.331310, -5.752330)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3707, 3, N'Laguna de Negrillos', N'laguna-de-negrillos', N'24234', 42.240509, -5.661700)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3708, 3, N'León', N'leon', N'24001', 42.598129, -5.571660)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3709, 3, N'Llamas de la Ribera', N'llamas-de-la-ribera', N'24271', 42.634800, -5.824630)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3710, 3, N'Lucillo', N'lucillo', N'24723', 42.409969, -6.302690)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3711, 3, N'Luyego', N'luyego', N'24717', 42.375439, -6.237530)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3712, 3, N'Magaz de Cepeda', N'magaz-de-cepeda', N'24396', 42.540310, -6.074940)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3713, 3, N'Mansilla de las Mulas', N'mansilla-de-las-mulas', N'24210', 42.497608, -5.415340)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3714, 3, N'Mansilla Mayor', N'mansilla-mayor', N'24217', 42.509369, -5.443410)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3715, 3, N'Maraña', N'marana', N'24996', 43.048771, -5.176230)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3716, 3, N'Matadeón de los Oteros', N'matadeon-de-los-oteros', N'24291', 42.338372, -5.371284)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3717, 3, N'Matallana de Torío', N'matallana-de-torio', N'24836', 42.865810, -5.521030)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3718, 3, N'Matanza', N'matanza', N'24793', 42.391389, -6.044540)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3719, 3, N'Molinaseca', N'molinaseca', N'24413', 42.538311, -6.518330)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3720, 3, N'Murias de Paredes', N'murias-de-paredes', N'24130', 42.850262, -6.190850)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3721, 3, N'Noceda', N'noceda', N'24319', 42.713051, -6.399170)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3722, 3, N'Oencia', N'oencia', N'24566', 42.545872, -6.969109)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3723, 3, N'Omañas', N'omanas', N'24273', 42.682625, -5.869274)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3724, 3, N'Onzonilla', N'onzonilla', N'24231', 42.526001, -5.584190)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3725, 3, N'Oseja de Sajambre', N'oseja-de-sajambre', N'24916', 43.136238, -5.037860)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3726, 3, N'Pajares de los Oteros', N'pajares-de-los-oteros', N'24209', 42.330372, -5.473480)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3727, 3, N'Palacios de la Valduerna', N'palacios-de-la-valduerna', N'24764', 42.327728, -5.935430)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3728, 3, N'Palacios del Sil', N'palacios-del-sil', N'24495', 42.875751, -6.434050)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3729, 3, N'Páramo del Sil', N'paramo-del-sil', N'24470', 42.819641, -6.489260)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3730, 3, N'Peranzanes', N'peranzanes', N'24429', 42.876350, -6.630900)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3731, 3, N'Pobladura de Pelayo García', N'pobladura-de-pelayo-garcia', N'24249', 42.304169, -5.685720)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3732, 3, N'Pola de Gordón', N'pola-de-gordon', N'24600', 42.854638, -5.672379)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3733, 3, N'Ponferrada', N'ponferrada', N'24400', 42.548328, -6.598340)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3734, 3, N'Posada de Valdeón', N'posada-de-valdeon', N'24915', 43.151249, -4.917970)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3735, 3, N'Pozuelo del Páramo', N'pozuelo-del-paramo', N'24796', 42.169979, -5.771580)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3736, 3, N'Prado de la Guzpeña', N'prado-de-la-guzpena', N'24893', 42.782551, -5.026340)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3737, 3, N'Priaranza del Bierzo', N'priaranza-del-bierzo', N'24448', 42.508400, -6.672120)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3738, 3, N'Prioro', N'prioro', N'24885', 42.893318, -4.962870)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3739, 3, N'Puebla de Lillo', N'puebla-de-lillo', N'24855', 43.007359, -5.274590)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3740, 3, N'Puente de Domingo Flórez', N'puente-de-domingo-florez', N'24380', 42.411652, -6.820880)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3741, 3, N'Quintana del Castillo', N'quintana-del-castillo', N'24397', 42.661179, -6.046530)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3742, 3, N'Quintana del Marco', N'quintana-del-marco', N'24762', 42.208000, -5.854670)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3743, 3, N'Quintana y Congosto', N'quintana-y-congosto', N'24767', 42.255539, -6.035840)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3744, 3, N'Regueras de Arriba', N'regueras-de-arriba', N'24763', 42.293720, -5.859900)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3745, 3, N'Reyero', N'reyero', N'24856', 42.948250, -5.198870)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3746, 3, N'Riaño', N'riano', N'24900', 42.977119, -5.001720)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3747, 3, N'Riego de la Vega', N'riego-de-la-vega', N'24794', 42.388939, -5.981670)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3748, 3, N'Riello', N'riello', N'24127', 42.773109, -5.945930)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3749, 3, N'Rioseco de Tapia', N'rioseco-de-tapia', N'24275', 42.728271, -5.792170)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3750, 3, N'Robla', N'robla', N'24640', 42.801541, -5.629034)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3751, 3, N'Roperuelos del Páramo', N'roperuelos-del-paramo', N'24791', 42.237221, -5.780410)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3752, 3, N'Sabero', N'sabero', N'24810', 42.835659, -5.148640)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3753, 3, N'Sahagún', N'sahagun', N'24320', 42.371101, -5.026110)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3754, 3, N'San Adrián del Valle', N'san-adrian-del-valle', N'24797', 42.131088, -5.730160)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3755, 3, N'San Andrés del Rabanedo', N'san-andres-del-rabanedo', N'24191', 42.611149, -5.616640)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3756, 3, N'San Cristóbal de la Polantera', N'san-cristobal-de-la-polantera', N'24359', 42.390810, -5.907414)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3757, 3, N'San Emiliano', N'san-emiliano', N'24144', 42.971451, -6.000520)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3758, 3, N'San Esteban de Nogales', N'san-esteban-de-nogales', N'24760', 42.158669, -5.930730)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3759, 3, N'San Justo de la Vega', N'san-justo-de-la-vega', N'24710', 42.454330, -6.017620)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3760, 3, N'San Millán de los Caballeros', N'san-millan-de-los-caballeros', N'24237', 42.285754, -5.560799)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3761, 3, N'San Pedro Bercianos', N'san-pedro-bercianos', N'24252', 42.390228, -5.709980)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3762, 3, N'Sancedo', N'sancedo', N'24439', 42.666401, -6.634290)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3763, 3, N'Santa Colomba de Curueño', N'santa-colomba-de-curueno', N'24848', 42.750983, -5.410595)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3764, 3, N'Santa Colomba de Somoza', N'santa-colomba-de-somoza', N'24722', 42.444260, -6.242760)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3765, 3, N'Santa Cristina de Valmadrigal', N'santa-cristina-de-valmadrigal', N'24290', 42.355320, -5.309110)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3766, 3, N'Santa Elena de Jamuz', N'santa-elena-de-jamuz', N'24762', 42.260590, -5.886450)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3767, 3, N'Santa María de la Isla', N'santa-maria-de-la-isla', N'24795', 42.354259, -5.929190)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3768, 3, N'Santa María de Ordás', N'santa-maria-de-ordas', N'24276', 42.727119, -5.823590)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3769, 3, N'Santa María del Monte de Cea', N'santa-maria-del-monte-de-cea', N'24343', 42.491035, -5.117004)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3770, 3, N'Santa María del Páramo', N'santa-maria-del-paramo', N'24240', 42.356289, -5.748770)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3771, 3, N'Santa Marina del Rey', N'santa-marina-del-rey', N'24393', 42.511921, -5.858390)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3772, 3, N'Santas Martas', N'santas-martas', N'24330', 42.434502, -5.372220)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3773, 3, N'Santiago Millas', N'santiago-millas', N'24732', 42.381401, -6.107310)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3774, 3, N'Santovenia de la Valdoncina', N'santovenia-de-la-valdoncina', N'24391', 42.543640, -5.624440)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3775, 3, N'Sariegos', N'sariegos', N'24121', 42.648079, -5.632010)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3776, 3, N'Sena de Luna', N'sena-de-luna', N'24145', 42.929249, -5.952270)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3777, 3, N'Sobrado', N'sobrado', N'24567', 42.519814, -6.852722)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3778, 3, N'Soto de la Vega', N'soto-de-la-vega', N'24768', 42.332851, -5.881260)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3779, 3, N'Soto y Amío', N'soto-y-amio', N'24125', 42.779678, -5.883960)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3780, 3, N'Toral de los Guzmanes', N'toral-de-los-guzmanes', N'24237', 42.241730, -5.570250)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3781, 3, N'Toreno', N'toreno', N'24450', 42.697071, -6.514940)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3782, 3, N'Torre del Bierzo', N'torre-del-bierzo', N'24370', 42.596401, -6.322630)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3783, 3, N'Trabadelo', N'trabadelo', N'24523', 42.649330, -6.881560)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3784, 3, N'Truchas', N'truchas', N'24740', 42.261421, -6.435600)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3785, 3, N'Turcia', N'turcia', N'24285', 42.534995, -5.875626)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3786, 3, N'Urdiales del Páramo', N'urdiales-del-paramo', N'24248', 42.369732, -5.771950)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3787, 3, N'Val de San Lorenzo', N'val-de-san-lorenzo', N'24717', 42.416771, -6.118840)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3788, 3, N'Valdefresno', N'valdefresno', N'24228', 42.594761, -5.493190)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3789, 3, N'Valdefuentes del Páramo', N'valdefuentes-del-paramo', N'24253', 42.323601, -5.829860)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3790, 3, N'Valdelugueros', N'valdelugueros', N'24843', 42.973301, -5.411570)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3791, 3, N'Valdemora', N'valdemora', N'24206', 42.194888, -5.427418)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3792, 3, N'Valdepiélago', N'valdepielago', N'24847', 42.870708, -5.399970)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3793, 3, N'Valdepolo', N'valdepolo', N'24930', 42.576309, -5.224700)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3794, 3, N'Valderas', N'valderas', N'24220', 42.076462, -5.442000)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3795, 3, N'Valderrey', N'valderrey', N'24793', 42.393051, -6.020290)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3796, 3, N'Valderrueda', N'valderrueda', N'24882', 42.815472, -4.948170)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3797, 3, N'Valdesamario', N'valdesamario', N'24127', 42.722099, -5.952250)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3798, 3, N'Valdevimbre', N'valdevimbre', N'24230', 42.419800, -5.618660)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3799, 3, N'Valencia de Don Juan', N'valencia-de-don-juan', N'24200', 42.293171, -5.514770)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3800, 3, N'Vallecillo', N'vallecillo', N'24324', 42.356510, -5.212380)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3801, 3, N'Valverde de la Virgen', N'valverde-de-la-virgen', N'24391', 42.568970, -5.682930)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3802, 3, N'Valverde-Enrique', N'valverde-enrique', N'24292', 42.305710, -5.300250)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3803, 3, N'Vecilla', N'vecilla', N'24768', 42.848440, -5.405960)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3804, 3, N'Vega de Espinareda', N'vega-de-espinareda', N'24430', 42.725780, -6.653160)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3805, 3, N'Vega de Infanzones', N'vega-de-infanzones', N'24346', 42.480141, -5.533170)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3806, 3, N'Vega de Valcarce', N'vega-de-valcarce', N'24520', 42.665909, -6.946030)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3807, 3, N'Vegacervera', N'vegacervera', N'24836', 42.885960, -5.534480)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3808, 3, N'Vegaquemada', N'vegaquemada', N'24152', 42.818729, -5.331810)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3809, 3, N'Vegas del Condado', N'vegas-del-condado', N'24153', 42.684170, -5.364820)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3810, 3, N'Villablino', N'villablino', N'24100', 42.940788, -6.322810)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3811, 3, N'Villabraz', N'villabraz', N'24206', 42.246269, -5.447990)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3812, 3, N'Villadangos del Páramo', N'villadangos-del-paramo', N'24392', 42.517151, -5.766260)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3813, 3, N'Villadecanes', N'villadecanes', N'24530', 42.579620, -6.759560)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3814, 3, N'Villademor de la Vega', N'villademor-de-la-vega', N'24237', 42.269482, -5.564460)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3815, 3, N'Villafranca del Bierzo', N'villafranca-del-bierzo', N'24500', 42.609348, -6.808470)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3816, 3, N'Villagatón', N'villagaton', N'24367', 42.633270, -6.159680)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3817, 3, N'Villamandos', N'villamandos', N'24238', 42.179489, -5.588070)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3818, 3, N'Villamanín', N'villamanin', N'24680', 42.940441, -5.658990)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3819, 3, N'Villamañán', N'villamanan', N'24234', 42.319118, -5.581890)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3820, 3, N'Villamartín de Don Sancho', N'villamartin-de-don-sancho', N'24344', 42.569279, -5.058800)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3821, 3, N'Villamejil', N'villamejil', N'24711', 42.562531, -6.023120)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3822, 3, N'Villamol', N'villamol', N'24175', 42.428162, -5.049460)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3823, 3, N'Villamontán de la Valduerna', N'villamontan-de-la-valduerna', N'24766', 42.309811, -5.995950)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3824, 3, N'Villamoratiel de las Matas', N'villamoratiel-de-las-matas', N'24339', 42.398220, -5.300040)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3825, 3, N'Villanueva de las Manzanas', N'villanueva-de-las-manzanas', N'24225', 42.470451, -5.478745)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3826, 3, N'Villaobispo de Otero', N'villaobispo-de-otero', N'24719', 42.500900, -6.058290)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3827, 3, N'Villaornate y Castro', N'villaornate-y-castro', N'24222', 42.184140, -5.548782)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3828, 3, N'Villaquejida', N'villaquejida', N'24235', 42.146420, -5.599410)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3829, 3, N'Villaquilambre', N'villaquilambre', N'24193', 42.644871, -5.555090)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3830, 3, N'Villarejo de Órbigo', N'villarejo-de-orbigo', N'24358', 42.444439, -5.903010)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3831, 3, N'Villares de Órbigo', N'villares-de-orbigo', N'24288', 42.469898, -5.909290)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3832, 3, N'Villasabariego', N'villasabariego', N'24219', 42.533180, -5.413790)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3833, 3, N'Villaselán', N'villaselan', N'24344', 42.561489, -5.047703)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3834, 3, N'Villaturiel', N'villaturiel', N'24226', 42.518219, -5.485170)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3835, 3, N'Villazala', N'villazala', N'24763', 42.361839, -5.855870)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3836, 3, N'Villazanzo de Valderaduey', N'villazanzo-de-valderaduey', N'24328', 42.535702, -4.964640)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3837, 3, N'Zotes del Páramo', N'zotes-del-paramo', N'24791', 42.274158, -5.735670)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3839, 7, N'Abella de la Conca', N'abella-de-la-conca', N'25651', 42.161250, 1.092040)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3841, 7, N'Agramunt', N'agramunt', N'25310', 41.786485, 1.093185)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3842, 7, N'Aitona', N'aitona', N'25182', 41.494345, 0.460125)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3843, 7, N'Els Alamús', N'els-alamus', N'25221', 41.616148, 0.737972)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3844, 7, N'Alàs i Cerc', N'alas-i-cerc', N'25718', 42.351285, 1.506765)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3845, 7, N'Albagés', N'albages', N'25155', 41.448231, 0.739540)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3846, 7, N'Albatàrrec', N'albatarrec', N'25171', 41.573310, 0.606141)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3847, 7, N'Albesa', N'albesa', N'25135', 41.751310, 0.659200)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3848, 7, N'Albi', N'albi', N'25450', 41.425388, 0.939070)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3849, 7, N'Alcanó', N'alcano', N'25162', 41.482160, 0.616988)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3850, 7, N'Alcarràs', N'alcarras', N'25180', 41.563415, 0.528210)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3851, 7, N'Alcoletge', N'alcoletge', N'25660', 41.649435, 0.694265)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3852, 7, N'Alfarràs', N'alfarras', N'25120', 41.830345, 0.568632)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3853, 7, N'Alfés', N'alfes', N'25161', 41.522413, 0.618951)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3854, 7, N'Algerri', N'algerri', N'25130', 41.813969, 0.638182)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3855, 7, N'Alguaire', N'alguaire', N'25125', 41.741059, 0.587386)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3856, 7, N'Alins', N'alins', N'25574', 42.549751, 1.317784)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3857, 7, N'Almacelles', N'almacelles', N'25100', 41.731290, 0.437335)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3858, 7, N'Almatret', N'almatret', N'25187', 41.305474, 0.424430)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3859, 7, N'Almenar', N'almenar', N'25126', 41.796545, 0.570100)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3860, 7, N'Alós de Balaguer', N'alos-de-balaguer', N'25737', 41.912022, 0.959105)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3861, 7, N'Alpicat', N'alpicat', N'25110', 41.666220, 0.556990)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3863, 7, N'Anglesola', N'anglesola', N'25320', 41.659466, 1.084619)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3864, 7, N'Arbeca', N'arbeca', N'25140', 41.542527, 0.925341)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3865, 7, N'Arres', N'arres', N'25551', 42.755295, 0.711070)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3866, 7, N'Arséguel', N'arseguel', N'25722', 42.350738, 1.583670)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3867, 7, N'Artesa de Lleida', N'artesa-de-lleida', N'25150', 41.553105, 0.705780)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3868, 7, N'Artesa de Segre', N'artesa-de-segre', N'25730', 41.895996, 1.049858)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3869, 7, N'Aspa', N'aspa', N'25151', 41.495975, 0.672295)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3870, 7, N'Avellanes i Santa Linya', N'avellanes-i-santa-linya', N'25612', 41.909535, 0.761980)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3871, 7, N'Baix Pallars', N'baix-pallars', N'25591', 42.322413, 1.063601)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3872, 7, N'Balaguer', N'balaguer', N'25600', 41.789599, 0.807160)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3873, 7, N'Barbens', N'barbens', N'25262', 41.675455, 1.019455)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3874, 7, N'Baronia de Rialb', N'baronia-de-rialb', N'25747', 41.932790, 1.196135)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3875, 7, N'Bassella', N'bassella', N'25289', 42.005833, 1.295312)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3876, 7, N'Bausen', N'bausen', N'25549', 42.834375, 0.717130)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3877, 7, N'Belianes', N'belianes', N'25266', 41.559718, 1.016879)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3878, 7, N'Bellaguarda', N'bellaguarda', N'25177', 41.338498, 0.735875)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3879, 7, N'Bellcaire d Urgell', N'bellcaire-durgell', N'25337', 41.757690, 0.906040)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3880, 7, N'Bell-lloc d Urgell', N'bell-lloc-durgell', N'25220', 41.630330, 0.784635)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3881, 7, N'Bellmunt d Urgell', N'bellmunt-durgell', N'25336', 41.773440, 0.952497)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3882, 7, N'Bellpuig', N'bellpuig', N'25250', 41.627070, 1.008820)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3883, 7, N'Bellver de Cerdanya', N'bellver-de-cerdanya', N'25720', 42.371463, 1.775887)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3884, 7, N'Bellvís', N'bellvis', N'25142', 41.673066, 0.814712)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3885, 7, N'Benavent de Segrià', N'benavent-de-segria', N'25132', 41.698880, 0.633940)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3886, 7, N'Biosca', N'biosca', N'25752', 41.839705, 1.355510)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3887, 7, N'Bórdes', N'bordes', N'25551', 42.738029, 0.719800)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3888, 7, N'Borges Blanques', N'borges-blanques', N'25400', 41.520788, 0.868607)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3889, 7, N'Bossóst', N'bossost', N'25550', 42.782116, 0.691013)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3890, 7, N'Bovera', N'bovera', N'25178', 41.326419, 0.637950)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3891, 7, N'Cabanabona', N'cabanabona', N'25748', 41.851889, 1.218375)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3892, 7, N'Cabó', N'cabo', N'25794', 42.238027, 1.248923)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3893, 7, N'Camarasa', N'camarasa', N'25613', 41.873600, 0.875345)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3894, 7, N'Canejan', N'canejan', N'25548', 42.838590, 0.738615)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3895, 7, N'Castell de Mur', N'castell-de-mur', N'25632', 42.092530, 0.876970)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3896, 7, N'Castellar de la Ribera', N'castellar-de-la-ribera', N'25289', 42.022365, 1.415435)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3897, 7, N'Castelldans', N'castelldans', N'25154', 41.498365, 0.766300)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3898, 7, N'Castellnou de Seana', N'castellnou-de-seana', N'25265', 41.648342, 0.970674)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3899, 7, N'Castelló de Farfanya', N'castello-de-farfanya', N'25136', 41.815749, 0.726995)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3900, 7, N'Castellserà', N'castellsera', N'25334', 41.746140, 0.986690)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3901, 7, N'Cava', N'cava', N'25722', 42.325648, 1.583964)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3902, 7, N'Cervera', N'cervera', N'25200', 41.671299, 1.271460)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3903, 7, N'Cervià de les Garrigues', N'cervia-de-les-garrigues', N'25460', 41.426858, 0.859958)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3904, 7, N'Ciutadilla', N'ciutadilla', N'25341', 41.560890, 1.138225)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3905, 7, N'Clariana de Cardener', N'clariana-de-cardener', N'25290', 41.933827, 1.624858)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3906, 7, N'Cogul', N'cogul', N'25152', 41.467152, 0.689740)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3907, 7, N'Coll de Nargó', N'coll-de-nargo', N'25793', 42.172972, 1.315823)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3908, 7, N'Coma i la Pedra', N'coma-i-la-pedra', N'25284', 42.176590, 1.591030)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3909, 7, N'Conca de Dalt', N'conca-de-dalt', N'25500', 42.243765, 0.971290)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3910, 7, N'Corbins', N'corbins', N'25137', 41.687480, 0.690655)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3911, 7, N'Cubells', N'cubells', N'25737', 41.853160, 0.957330)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3912, 7, N'Espluga Calba', N'espluga-calba', N'25410', 41.496311, 1.004420)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3913, 7, N'Espot', N'espot', N'25597', 42.575505, 1.089481)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3914, 7, N'Estamariu', N'estamariu', N'25719', 42.374777, 1.524231)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3915, 7, N'Estaràs', N'estaras', N'25214', 41.691692, 1.379423)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3916, 7, N'Esterri d Á€neu', N'esterri-daneu', N'25580', 42.628680, 1.123070)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3917, 7, N'Esterri de Cardós', N'esterri-de-cardos', N'25571', 42.592170, 1.261580)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3918, 7, N'Farrera', N'farrera', N'25595', 42.497412, 1.272552)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3919, 7, N'Fígols i Alinyà', N'figols-i-alinya', N'25794', 42.203138, 1.338967)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3920, 7, N'Floresta', N'floresta', N'25413', 41.509270, 0.919890)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3921, 7, N'Fondarella', N'fondarella', N'25244', 41.632310, 0.876770)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3922, 7, N'Foradada', N'foradada', N'25737', 41.878205, 1.014505)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3923, 7, N'Fuliola', N'fuliola', N'25332', 41.717281, 1.013100)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3924, 7, N'Fulleda', N'fulleda', N'25411', 41.463319, 1.025151)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3925, 7, N'Gavet de la Conca', N'gavet-de-la-conca', N'25639', 42.123826, 0.919271)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3926, 7, N'Gimenells i el Pla de la Font', N'gimenells-i-el-pla-de-la-font', N'25112', 41.652365, 0.389915)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3927, 7, N'Golmés', N'golmes', N'25241', 41.630156, 0.932382)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3928, 7, N'Gósol', N'gosol', N'25716', 42.236805, 1.660380)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3929, 7, N'Granadella', N'granadella', N'25177', 41.353321, 0.668520)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3930, 7, N'Granja d Escarp', N'granja-descarp', N'25185', 41.418659, 0.353279)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3931, 7, N'Granyanella', N'granyanella', N'25218', 41.649010, 1.223030)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3932, 7, N'Granyena de les Garrigues', N'granyena-de-les-garrigues', N'25160', 41.433860, 0.649905)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3933, 7, N'Granyena de Segarra', N'granyena-de-segarra', N'25217', 41.624965, 1.245730)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3934, 7, N'Guimerà', N'guimera', N'25341', 41.563658, 1.185612)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3935, 7, N'Guingueta d Á€neu', N'guingueta-daneu', N'25597', 42.592901, 1.131935)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3936, 7, N'Guissona', N'guissona', N'25210', 41.787355, 1.288780)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3937, 7, N'Guixers', N'guixers', N'25285', 42.132384, 1.666482)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3938, 7, N'Isona i Conca Dellà', N'isona-i-conca-della', N'25658', 42.116860, 1.044685)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3939, 7, N'Ivars de Noguera', N'ivars-de-noguera', N'25122', 41.850361, 0.584991)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3940, 7, N'Ivars d Urgell', N'ivars-durgell', N'25260', 41.681525, 0.986447)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3941, 7, N'Ivorra', N'ivorra', N'25216', 41.772319, 1.395721)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3942, 7, N'Josa i Tuixén', N'josa-i-tuixen', N'25717', 42.257365, 1.618080)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3943, 7, N'Juncosa', N'juncosa', N'25165', 41.371490, 0.773944)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3944, 7, N'Juneda', N'juneda', N'25430', 41.549075, 0.821100)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3945, 7, N'Les', N'les', N'25540', 42.809940, 0.709520)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3946, 7, N'Linyola', N'linyola', N'25240', 41.711275, 0.903330)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3947, 7, N'Lladorre', N'lladorre', N'25576', 42.621215, 1.248862)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3948, 7, N'Lladurs', N'lladurs', N'25283', 42.045025, 1.508262)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3949, 7, N'Llardecans', N'llardecans', N'25186', 41.374690, 0.548773)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3950, 7, N'Llavorsí', N'llavorsi', N'25595', 42.495366, 1.211902)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3951, 7, N'Lleida', N'lleida', N'25001', 41.614520, 0.627130)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3952, 7, N'Lles de Cerdanya', N'lles-de-cerdanya', N'25726', 42.391103, 1.687356)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3953, 7, N'Llimiana', N'llimiana', N'25639', 42.075160, 0.916995)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3954, 7, N'Llobera', N'llobera', N'25281', 41.921375, 1.461440)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3955, 7, N'Maials', N'maials', N'25179', 41.365300, 0.507935)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3956, 7, N'Maldà', N'malda', N'25266', 41.550840, 1.039840)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3957, 7, N'Massalcoreig', N'massalcoreig', N'25184', 41.459970, 0.360105)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3958, 7, N'Massoteres', N'massoteres', N'25211', 41.797691, 1.312183)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3959, 7, N'Menàrguens', N'menarguens', N'25139', 41.727695, 0.742360)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3960, 7, N'Miralcamp', N'miralcamp', N'25242', 41.606385, 0.880070)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3961, 7, N'Mollerussa', N'mollerussa', N'25230', 41.630040, 0.893695)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3962, 7, N'Molsosa', N'molsosa', N'08281', 41.784497, 1.538773)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3963, 7, N'Montellà i Martinet', N'montella-i-martinet', N'25725', 42.354625, 1.705080)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3964, 7, N'Montferrer i Castellbó', N'montferrer-i-castellbo', N'25712', 42.341737, 1.427846)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3965, 7, N'Montgai', N'montgai', N'25616', 41.798923, 0.958330)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3966, 7, N'Montoliu de Lleida', N'montoliu-de-lleida', N'25172', 41.560535, 0.588785)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3967, 7, N'Montoliu de Segarra', N'montoliu-de-segarra', N'25217', 41.590707, 1.268295)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3968, 7, N'Montornés de Segarra', N'montornes-de-segarra', N'25340', 41.600851, 1.231890)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3969, 7, N'Nalec', N'nalec', N'25341', 41.559980, 1.114955)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3970, 7, N'Naut Aran', N'naut-aran', N'25598', 42.699490, 0.933418)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3971, 7, N'Navés', N'naves', N'25286', 41.991956, 1.638775)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3972, 7, N'Odén', N'oden', N'25283', 42.132769, 1.387587)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3973, 7, N'Oliana', N'oliana', N'25790', 42.067380, 1.313680)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3974, 7, N'Oliola', N'oliola', N'25749', 41.876095, 1.174196)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3975, 7, N'Olius', N'olius', N'25286', 41.975657, 1.558283)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3976, 7, N'Oluges', N'oluges', N'25214', 41.696436, 1.320763)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3977, 7, N'Omellons', N'omellons', N'25412', 41.500599, 0.959460)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3978, 7, N'Omells de na Gaia', N'omells-de-na-gaia', N'25268', 41.502430, 1.077675)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3979, 7, N'Organyà', N'organya', N'25794', 42.211415, 1.327980)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3980, 7, N'Os de Balaguer', N'os-de-balaguer', N'25610', 41.873440, 0.722300)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3981, 7, N'Ossó de Sió', N'osso-de-sio', N'25318', 41.754382, 1.160618)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3982, 7, N'Palau d Anglesola', N'palau-danglesola', N'25243', 41.651303, 0.881824)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3983, 7, N'Penelles', N'penelles', N'25335', 41.757552, 0.964844)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3984, 7, N'Peramola', N'peramola', N'25790', 42.058984, 1.268291)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3985, 7, N'Pinell de Solsonés', N'pinell-de-solsones', N'25286', 41.950900, 1.418105)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3986, 7, N'Pinós', N'pinos', N'25287', 41.827419, 1.541105)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3987, 7, N'Plans de Sió', N'plans-de-sio', N'25212', 41.761199, 1.198156)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3988, 7, N'Poal', N'poal', N'25143', 41.676208, 0.856850)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3989, 7, N'Pobla de Cérvoles', N'pobla-de-cervoles', N'25471', 41.366821, 0.916201)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3990, 7, N'Pobla de Segur', N'pobla-de-segur', N'25500', 42.248692, 0.966430)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3991, 7, N'Pont de Bar', N'pont-de-bar', N'25723', 42.370847, 1.606750)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3992, 7, N'Pont de Suert', N'pont-de-suert', N'25520', 42.404789, 0.742400)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3993, 7, N'Ponts', N'ponts', N'25740', 41.915815, 1.185520)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3994, 7, N'Portella', N'portella', N'25134', 41.738708, 0.639840)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3995, 7, N'Prats i Sansor', N'prats-i-sansor', N'25721', 42.364460, 1.837040)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3996, 7, N'Preixana', N'preixana', N'25263', 41.607209, 1.036842)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3997, 7, N'Preixens', N'preixens', N'25316', 41.793705, 1.050565)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3998, 7, N'Prullans', N'prullans', N'25727', 42.378977, 1.738174)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (3999, 7, N'Puiggrós', N'puiggros', N'25420', 41.551430, 0.887815)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4000, 7, N'Puigverd d Agramunt', N'puigverd-dagramunt', N'25318', 41.776604, 1.122139)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4001, 7, N'Puigverd de Lleida', N'puigverd-de-lleida', N'25153', 41.544497, 0.734539)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4002, 7, N'Rialp', N'rialp', N'25594', 42.443190, 1.134945)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4003, 7, N'Ribera d Ondara', N'ribera-dondara', N'25213', 41.629445, 1.340360)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4004, 7, N'Ribera d Urgellet', N'ribera-durgellet', N'25796', 42.326099, 1.399315)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4005, 7, N'Riner', N'riner', N'25290', 41.941833, 1.563915)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4006, 7, N'Riu de Cerdanya', N'riu-de-cerdanya', N'25721', 42.345466, 1.825952)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4007, 7, N'Rosselló', N'rossello', N'25124', 41.699915, 0.595865)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4008, 7, N'Salàs de Pallars', N'salas-de-pallars', N'25693', 42.212275, 0.932420)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4009, 7, N'Sanaüja', N'sanauja', N'25753', 41.875057, 1.310463)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4010, 7, N'Sant Esteve de la Sarga', N'sant-esteve-de-la-sarga', N'25632', 42.080120, 0.763830)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4011, 7, N'Sant Guim de Freixenet', N'sant-guim-de-freixenet', N'25270', 41.654690, 1.421455)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4012, 7, N'Sant Guim de la Plana', N'sant-guim-de-la-plana', N'25211', 41.762870, 1.323485)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4013, 7, N'Sant Llorenç de Morunys', N'sant-llorenc-de-morunys', N'25282', 42.137963, 1.590379)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4014, 7, N'Sant Martí de Riucorb', N'sant-marti-de-riucorb', N'25344', 41.559105, 1.054600)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4015, 7, N'Sant Ramon', N'sant-ramon', N'25215', 41.725895, 1.363020)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4016, 7, N'Sarroca de Bellera', N'sarroca-de-bellera', N'25555', 42.359727, 0.880576)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4017, 7, N'Sarroca de Lleida', N'sarroca-de-lleida', N'25175', 41.459630, 0.560615)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4018, 7, N'Senterada', N'senterada', N'25514', 42.324530, 0.936451)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4019, 7, N'Sentiu de Sió', N'sentiu-de-sio', N'25617', 41.805750, 0.877920)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4020, 7, N'Serós', N'seros', N'25183', 41.461390, 0.407300)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4021, 7, N'Seu d Urgell', N'seu-durgell', N'25700', 42.356578, 1.459122)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4022, 7, N'Sidamon', N'sidamon', N'25222', 41.628380, 0.833765)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4023, 7, N'Soleràs', N'soleras', N'25163', 41.413670, 0.682500)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4024, 7, N'Solsona', N'solsona', N'25280', 41.995082, 1.520612)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4025, 7, N'Soriguera', N'soriguera', N'25566', 42.370783, 1.181536)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4026, 7, N'Sort', N'sort', N'25560', 42.411235, 1.130380)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4027, 7, N'Soses', N'soses', N'25181', 41.537435, 0.485690)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4028, 7, N'Sudanell', N'sudanell', N'25173', 41.555860, 0.565710)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4029, 7, N'Sunyer', N'sunyer', N'25174', 41.523135, 0.592755)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4030, 7, N'Talarn', N'talarn', N'25630', 42.185961, 0.899776)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4031, 7, N'Talavera', N'talavera', N'25213', 41.582976, 1.339268)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4032, 7, N'Tàrrega', N'tarrega', N'25300', 41.648270, 1.141085)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4033, 7, N'Tarrés', N'tarres', N'25480', 41.422871, 1.019900)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4034, 7, N'Tarroja de Segarra', N'tarroja-de-segarra', N'25211', 41.731224, 1.276546)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4035, 7, N'Térmens', N'termens', N'25670', 41.717900, 0.759775)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4036, 7, N'Tírvia', N'tirvia', N'25595', 42.515500, 1.244585)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4037, 7, N'Tiurana', N'tiurana', N'25791', 41.975055, 1.255912)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4038, 7, N'Torà', N'tora', N'25750', 41.807865, 1.403535)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4039, 7, N'Torms', N'torms', N'25164', 41.394730, 0.719970)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4040, 7, N'Tornabous', N'tornabous', N'25331', 41.698224, 1.053008)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4041, 7, N'Torre de Cabdella', N'torre-de-cabdella', N'25515', 42.468172, 0.991859)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4042, 7, N'Torrebesses', N'torrebesses', N'25176', 41.426535, 0.594950)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4043, 7, N'Torrefarrera', N'torrefarrera', N'25123', 41.674365, 0.602840)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4044, 7, N'Torrefeta i Florejacs', N'torrefeta-i-florejacs', N'25211', 41.754317, 1.275301)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4045, 7, N'Torregrossa', N'torregrossa', N'25141', 41.580370, 0.832405)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4046, 7, N'Torrelameu', N'torrelameu', N'25138', 41.704304, 0.704518)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4047, 7, N'Torres de Segre', N'torres-de-segre', N'25170', 41.534045, 0.514210)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4048, 7, N'Torre-serona', N'torre-serona', N'25131', 41.672200, 0.629330)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4049, 7, N'Tremp', N'tremp', N'25620', 42.168695, 0.894895)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4050, 7, N'Vall de Boí', N'vall-de-boi', N'25526', 42.504545, 0.802415)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4051, 7, N'Vall de Cardós', N'vall-de-cardos', N'25570', 42.563250, 1.226265)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4052, 7, N'Vallbona de les Monges', N'vallbona-de-les-monges', N'25268', 41.525206, 1.091211)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4053, 7, N'Vallfogona de Balaguer', N'vallfogona-de-balaguer', N'25680', 41.752245, 0.815865)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4054, 7, N'Valls d Aguilar', N'valls-daguilar', N'25795', 42.295469, 1.342735)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4055, 7, N'Valls de Valira', N'valls-de-valira', N'25718', 42.377030, 1.456247)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4056, 7, N'Vansa i Fórnols', N'vansa-i-fornols', N'25717', 42.232915, 1.478795)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4057, 7, N'Verdú', N'verdu', N'25340', 41.612296, 1.142511)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4058, 7, N'Vielha e Mijaran', N'vielha-e-mijaran', N'25530', 42.702875, 0.793775)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4059, 7, N'Vilagrassa', N'vilagrassa', N'25330', 41.647340, 1.106365)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4060, 7, N'Vilaller', N'vilaller', N'25552', 42.476425, 0.717340)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4061, 7, N'Vilamós', N'vilamos', N'25551', 42.747852, 0.726059)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4062, 7, N'Vilanova de Bellpuig', N'vilanova-de-bellpuig', N'25264', 41.614722, 0.960965)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4063, 7, N'Vilanova de la Barca', N'vilanova-de-la-barca', N'25690', 41.689265, 0.729025)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4064, 7, N'Vilanova de l Aguda', N'vilanova-de-laguda', N'25749', 41.911830, 1.252540)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4065, 7, N'Vilanova de Meià', N'vilanova-de-meia', N'25735', 41.994271, 1.022998)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4066, 7, N'Vilanova de Segrià', N'vilanova-de-segria', N'25133', 41.712657, 0.617660)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4067, 7, N'Vila-sana', N'vila-sana', N'25245', 41.663758, 0.931067)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4068, 7, N'Vilosell', N'vilosell', N'25457', 41.382751, 0.945990)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4069, 7, N'Vinaixa', N'vinaixa', N'25440', 41.428725, 0.973990)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4071, 51, N'Ábalos', N'abalos', N'26339', 42.570645, -2.711559)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4072, 51, N'Agoncillo', N'agoncillo', N'26160', 42.443620, -2.290564)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4073, 51, N'Aguilar del Río Alhama', N'aguilar-del-rio-alhama', N'26530', 41.963352, -1.994274)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4074, 51, N'Ajamil', N'ajamil', N'26133', 42.167068, -2.486960)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4075, 51, N'Albelda de Iregua', N'albelda-de-iregua', N'26120', 42.358043, -2.473288)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4076, 51, N'Alberite', N'alberite', N'26141', 42.405270, -2.440209)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4077, 51, N'Alcanadre', N'alcanadre', N'26509', 42.403140, -2.122264)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4078, 51, N'Aldeanueva de Ebro', N'aldeanueva-de-ebro', N'26559', 42.227860, -1.880159)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4079, 51, N'Alesanco', N'alesanco', N'26324', 42.414239, -2.817034)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4080, 51, N'Alesón', N'aleson', N'26315', 42.402893, -2.688646)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4081, 51, N'Alfaro', N'alfaro', N'26540', 42.174280, -1.749799)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4082, 51, N'Almarza de Cameros', N'almarza-de-cameros', N'26111', 42.216634, -2.598136)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4083, 51, N'Anguciana', N'anguciana', N'26210', 42.574460, -2.901731)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4084, 51, N'Anguiano', N'anguiano', N'26322', 42.262345, -2.764649)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4085, 51, N'Arenzana de Abajo', N'arenzana-de-abajo', N'26311', 42.385710, -2.719144)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4086, 51, N'Arenzana de Arriba', N'arenzana-de-arriba', N'26312', 42.388086, -2.696278)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4087, 51, N'Arnedillo', N'arnedillo', N'26589', 42.212504, -2.236692)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4088, 51, N'Arnedo', N'arnedo', N'26580', 42.226795, -2.099994)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4089, 51, N'Arrúbal', N'arrubal', N'26151', 42.435470, -2.253194)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4090, 51, N'Ausejo', N'ausejo', N'26513', 42.341072, -2.167570)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4091, 51, N'Autol', N'autol', N'26560', 42.213125, -2.004224)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4092, 51, N'Azofra', N'azofra', N'26323', 42.424442, -2.801686)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4093, 51, N'Badarán', N'badaran', N'26310', 42.368009, -2.811853)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4094, 51, N'Bañares', N'banares', N'26257', 42.471332, -2.910904)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4095, 51, N'Baños de Río Tobía', N'banos-de-rio-tobia', N'26320', 42.335245, -2.761568)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4096, 51, N'Baños de Rioja', N'banos-de-rioja', N'26241', 42.512665, -2.944508)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4097, 51, N'Berceo', N'berceo', N'26327', 42.338626, -2.851639)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4098, 51, N'Bergasa', N'bergasa', N'26588', 42.251953, -2.133022)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4099, 51, N'Bergasillas Bajera', N'bergasillas-bajera', N'26588', 42.244801, -2.158800)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4100, 51, N'Bezares', N'bezares', N'26312', 42.371101, -2.668648)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4101, 51, N'Bobadilla', N'bobadilla', N'23669', 37.659873, -4.107170)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4102, 51, N'Brieva de Cameros', N'brieva-de-cameros', N'26322', 42.172978, -2.797995)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4103, 51, N'Briñas', N'brinas', N'26290', 42.602607, -2.831393)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4104, 51, N'Briones', N'briones', N'26330', 42.541920, -2.785807)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4105, 51, N'Cabezón de Cameros', N'cabezon-de-cameros', N'26135', 42.184331, -2.524881)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4106, 51, N'La Calahorra', N'lacalahorra', N'26500', 42.302008, -1.965973)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4107, 51, N'Camprovín', N'camprovin', N'26311', 42.356942, -2.722270)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4108, 51, N'Canales de la Sierra', N'canales-de-la-sierra', N'26329', 42.141419, -3.017163)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4109, 51, N'Canillas de Río Tuerto', N'canillas-de-rio-tuerto', N'26325', 42.391262, -2.849708)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4110, 51, N'Cañas', N'canas', N'26325', 42.376934, -2.865286)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4111, 51, N'Cárdenas', N'cardenas', N'26311', 42.374002, -2.764778)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4112, 51, N'Casalarreina', N'casalarreina', N'26230', 42.548670, -2.908695)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4113, 51, N'Castañares de Rioja', N'castanares-de-rioja', N'26240', 42.511439, -2.930528)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4114, 51, N'Castroviejo', N'castroviejo', N'26315', 42.330544, -2.660247)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4115, 51, N'Cellorigo', N'cellorigo', N'26212', 42.627707, -2.995448)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4116, 51, N'Cenicero', N'cenicero', N'26350', 42.481782, -2.636032)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4117, 51, N'Cervera del Río Alhama', N'cervera-del-rio-alhama', N'26520', 42.005747, -1.952562)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4118, 51, N'Cidamón', N'cidamon', N'26291', 42.497289, -2.877989)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4119, 51, N'Cihuri', N'cihuri', N'26210', 42.565645, -2.922653)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4120, 51, N'Cirueña', N'ciruena', N'26258', 42.408027, -2.897172)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4121, 51, N'Clavijo', N'clavijo', N'26130', 42.350933, -2.423043)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4122, 51, N'Cordovín', N'cordovin', N'26311', 42.385382, -2.809474)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4123, 51, N'Corera', N'corera', N'26144', 42.343733, -2.219174)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4124, 51, N'Cornago', N'cornago', N'26526', 42.067518, -2.092209)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4125, 51, N'Corporales', N'corporales', N'26259', 42.432833, -2.996392)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4126, 51, N'Cuzcurrita de Río Tirón', N'cuzcurrita-de-rio-tiron', N'26214', 42.541410, -2.962511)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4127, 51, N'Daroca de Rioja', N'daroca-de-rioja', N'26373', 42.371465, -2.582527)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4128, 51, N'Enciso', N'enciso', N'26586', 42.154241, -2.273698)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4129, 51, N'Entrena', N'entrena', N'26375', 42.389582, -2.527671)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4130, 51, N'Estollo', N'estollo', N'26328', 42.328505, -2.850523)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4131, 51, N'Ezcaray', N'ezcaray', N'26280', 42.255459, -2.973948)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4132, 51, N'Foncea', N'foncea', N'26211', 42.614918, -3.038664)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4133, 51, N'Fonzaleche', N'fonzaleche', N'26211', 42.584338, -3.017678)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4134, 51, N'Fuenmayor', N'fuenmayor', N'26360', 42.467618, -2.563934)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4135, 51, N'Galbárruli', N'galbarruli', N'26212', 42.623539, -2.961030)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4136, 51, N'Galilea', N'galilea', N'07195', 39.610581, 2.505559)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4137, 51, N'Gallinero de Cameros', N'gallinero-de-cameros', N'26122', 42.172819, -2.619252)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4138, 51, N'Gimileo', N'gimileo', N'26221', 42.549958, -2.820911)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4139, 51, N'Graón', N'granon', N'26259', 42.449159, -3.026830)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4140, 51, N'Grávalos', N'gravalos', N'26587', 42.128211, -2.114782)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4141, 51, N'Haro', N'haro', N'26200', 42.578619, -2.849364)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4142, 51, N'Herce', N'herce', N'26584', 42.215408, -2.164714)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4143, 51, N'Herramélluri', N'herramelluri', N'26213', 42.502557, -3.021219)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4144, 51, N'Hervías', N'hervias', N'26257', 42.450679, -2.888267)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4145, 51, N'Hormilla', N'hormilla', N'26323', 42.439532, -2.776644)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4146, 51, N'Hormilleja', N'hormilleja', N'26223', 42.457067, -2.731218)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4147, 51, N'Hornillos de Cameros', N'hornillos-de-cameros', N'26133', 42.207286, -2.420447)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4148, 51, N'Hornos de Moncalvillo', N'hornos-de-moncalvillo', N'26372', 42.392887, -2.585553)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4149, 51, N'Huércanos', N'huercanos', N'26314', 42.429570, -2.691071)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4150, 51, N'Igea', N'igea', N'26525', 42.068824, -2.011786)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4151, 51, N'Jalón de Cameros', N'jalon-de-cameros', N'26134', 42.220096, -2.491021)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4152, 51, N'Laguna de Cameros', N'laguna-de-cameros', N'26135', 42.174345, -2.543936)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4153, 51, N'Lagunilla del Jubera', N'lagunilla-del-jubera', N'26131', 42.334533, -2.320883)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4154, 51, N'Lardero', N'lardero', N'26140', 42.425468, -2.462289)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4155, 51, N'Ledesma de la Cogolla', N'ledesma-de-la-cogolla', N'26321', 42.318606, -2.731433)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4156, 51, N'Leiva', N'leiva', N'26213', 42.503815, -3.045326)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4157, 51, N'Leza de Río Leza', N'leza-de-rio-leza', N'26132', 42.323683, -2.408881)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4158, 51, N'Logroño', N'logrono', N'26001', 42.466106, -2.450895)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4159, 51, N'Lumbreras', N'lumbreras', N'26126', 42.103516, -2.621645)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4160, 51, N'Manjarrés', N'manjarres', N'26315', 42.389899, -2.673132)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4161, 51, N'Mansilla de la Sierra', N'mansilla-de-la-sierra', N'26329', 42.153963, -2.944669)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4162, 51, N'Manzanares de Rioja', N'manzanares-de-rioja', N'26258', 42.397189, -2.896872)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4163, 51, N'Matute', N'matute', N'26321', 42.298913, -2.795806)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4164, 51, N'Medrano', N'medrano', N'26374', 42.383370, -2.553120)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4165, 51, N'Munilla', N'munilla', N'26586', 42.189228, -2.297344)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4166, 51, N'Murillo de Río Leza', N'murillo-de-rio-leza', N'26143', 42.403258, -2.322857)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4167, 51, N'Muro de Aguas', N'muro-de-aguas', N'26587', 42.133940, -2.109804)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4168, 51, N'Muro en Cameros', N'muro-en-cameros', N'26134', 42.226801, -2.529774)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4169, 51, N'Nájera', N'najera', N'26300', 42.416138, -2.734652)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4170, 51, N'Nalda', N'nalda', N'26190', 42.333169, -2.485850)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4171, 51, N'Navajún', N'navajun', N'26533', 41.964787, -2.097273)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4172, 51, N'Navarrete', N'navarrete', N'26370', 42.431518, -2.565157)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4173, 51, N'Nestares', N'nestares', N'26110', 42.271593, -2.618115)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4174, 51, N'Nieva de Cameros', N'nieva-de-cameros', N'26124', 42.216695, -2.670858)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4175, 51, N'Ochánduri', N'ochanduri', N'26213', 42.523317, -3.004879)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4176, 51, N'Ocón', N'ocon', N'26148', 42.298548, -2.243786)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4177, 51, N'Ojacastro', N'ojacastro', N'26270', 42.346492, -3.003345)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4178, 51, N'Ollauri', N'ollauri', N'26220', 42.541295, -2.832252)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4179, 51, N'Ortigosa de Cameros', N'ortigosa-de-cameros', N'26124', 42.216107, -2.670729)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4180, 51, N'Pazuengos', N'pazuengos', N'26261', 42.318225, -2.925217)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4181, 51, N'El Pedroso', N'elpedroso', N'26321', 42.301563, -2.738943)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4182, 51, N'Pinillos', N'pinillos', N'26111', 42.199983, -2.596250)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4183, 51, N'Pradejón', N'pradejon', N'26510', 42.334391, -2.066438)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4184, 51, N'Pradillo', N'pradillo', N'26122', 42.177677, -2.640485)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4185, 51, N'Préjano', N'prejano', N'26589', 42.186462, -2.181097)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4186, 51, N'Quel', N'quel', N'26570', 42.229606, -2.050442)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4187, 51, N'Rabanera', N'rabanera', N'26133', 42.189785, -2.483790)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4188, 51, N'Rasillo de Cameros', N'rasillo-de-cameros', N'26124', 42.194848, -2.699600)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4189, 51, N'Redal', N'redal', N'26146', 42.338729, -2.201214)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4190, 51, N'Ribafrecha', N'ribafrecha', N'26130', 42.355135, -2.387638)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4191, 51, N'Rincón de Soto', N'rincon-de-soto', N'26550', 42.234714, -1.849973)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4192, 51, N'Robres del Castillo', N'robres-del-castillo', N'26131', 42.278642, -2.294683)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4193, 51, N'Rodezno', N'rodezno', N'26222', 42.525681, -2.845309)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4194, 51, N'Sajazarra', N'sajazarra', N'26212', 42.590721, -2.960858)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4195, 51, N'San Asensio', N'san-asensio', N'26340', 42.497321, -2.748492)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4196, 51, N'San Millán de la Cogolla', N'san-millan-de-la-cogolla', N'26326', 42.328934, -2.862464)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4197, 51, N'San Millán de Yécora', N'san-millan-de-yecora', N'26216', 42.547445, -3.097394)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4198, 51, N'San Román de Cameros', N'san-roman-de-cameros', N'26133', 42.231020, -2.472879)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4199, 51, N'San Torcuato', N'san-torcuato', N'26291', 42.485881, -2.888911)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4200, 51, N'San Vicente de la Sonsierra', N'san-vicente-de-la-sonsierra', N'26338', 42.561773, -2.757783)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4201, 51, N'Santa Coloma', N'santa-coloma', N'26315', 42.366709, -2.654657)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4202, 51, N'Santa Engracia del Jubera', N'santa-engracia-del-jubera', N'26131', 42.315669, -2.306364)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4203, 51, N'Santa Eulalia Bajera', N'santa-eulalia-bajera', N'26585', 42.210910, -2.191547)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4204, 51, N'Santo Domingo de la Calzada', N'santo-domingo-de-la-calzada', N'26250', 42.441020, -2.953906)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4205, 51, N'Santurde de Rioja', N'santurde-de-rioja', N'26260', 42.391690, -2.980009)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4206, 51, N'Santurdejo', N'santurdejo', N'26261', 42.377552, -2.954271)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4207, 51, N'Sojuela', N'sojuela', N'26376', 42.369460, -2.545620)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4208, 51, N'Sorzano', N'sorzano', N'26191', 42.342749, -2.527574)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4209, 51, N'Sotés', N'sotes', N'26371', 42.399835, -2.602601)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4210, 51, N'Soto en Cameros', N'soto-en-cameros', N'26132', 42.286417, -2.425060)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4211, 51, N'Terroba', N'terroba', N'26132', 42.259683, -2.443020)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4212, 51, N'Tirgo', N'tirgo', N'26211', 42.598808, -3.048577)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4213, 51, N'Tobía', N'tobia', N'26321', 42.316924, -2.760766)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4214, 51, N'Tormantos', N'tormantos', N'26213', 42.494667, -3.072631)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4215, 51, N'Torre en Cameros', N'torre-en-cameros', N'26134', 42.240901, -2.519656)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4216, 51, N'Torrecilla en Cameros', N'torrecilla-en-cameros', N'26100', 42.256221, -2.632577)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4217, 51, N'Torrecilla sobre Alesanco', N'torrecilla-sobre-alesanco', N'26224', 42.409564, -2.835782)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4218, 51, N'Torremontalbo', N'torremontalbo', N'26359', 42.502130, -2.683883)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4219, 51, N'Treviana', N'treviana', N'26215', 42.558581, -3.049564)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4220, 51, N'Tricio', N'tricio', N'26312', 42.398758, -2.715833)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4221, 51, N'Tudelilla', N'tudelilla', N'26512', 42.298389, -2.116992)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4222, 51, N'Uruñuela', N'urunuela', N'26313', 42.444900, -2.706177)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4223, 51, N'Valdemadera', N'valdemadera', N'26532', 41.983907, -2.073154)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4224, 51, N'Valgaón', N'valganon', N'26288', 42.319716, -3.067932)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4225, 51, N'Ventosa', N'ventosa', N'26371', 42.403274, -2.625357)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4226, 51, N'Ventrosa', N'ventrosa', N'26329', 42.156532, -2.854514)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4227, 51, N'Viguera', N'viguera', N'26121', 42.308348, -2.533829)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4228, 51, N'Villalba de Rioja', N'villalba-de-rioja', N'26292', 42.609801, -2.888449)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4229, 51, N'Villalobar de Rioja', N'villalobar-de-rioja', N'26256', 42.492693, -2.963948)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4230, 51, N'Villamediana de Iregua', N'villamediana-de-iregua', N'26142', 42.426498, -2.417078)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4231, 51, N'Villanueva de Cameros', N'villanueva-de-cameros', N'26123', 42.166378, -2.649872)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4232, 51, N'Villar de Arnedo', N'villar-de-arnedo', N'26511', 42.319764, -2.091672)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4233, 51, N'Villar de Torre', N'villar-de-torre', N'26325', 42.371370, -2.865930)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4234, 51, N'Villarejo', N'villarejo', N'26325', 42.374192, -2.886636)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4235, 51, N'Villarroya', N'villarroya', N'26587', 42.132015, -2.069850)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4236, 51, N'Villarta-Quintana', N'villarta-quintana', N'26259', 42.430010, -3.049023)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4237, 51, N'Villavelayo', N'villavelayo', N'26329', 42.132540, -2.982981)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4238, 51, N'Villaverde de Rioja', N'villaverde-de-rioja', N'26321', 42.320383, -2.812479)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4239, 51, N'Villoslada de Cameros', N'villoslada-de-cameros', N'26125', 42.109876, -2.673154)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4240, 51, N'Viniegra de Abajo', N'viniegra-de-abajo', N'26329', 42.151855, -2.888546)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4241, 51, N'Viniegra de Arriba', N'viniegra-de-arriba', N'26329', 42.098589, -2.835116)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4242, 51, N'Zarratón', N'zarraton', N'26291', 42.515085, -2.881787)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4243, 51, N'Zarzosa', N'zarzosa', N'26586', 42.182089, -2.341118)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4244, 51, N'Zorraquín', N'zorraquin', N'26288', 42.326189, -3.040134)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4246, 11, N'Abadín', N'abadin', N'27730', 43.363710, -7.474784)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4247, 11, N'Alfoz', N'alfoz', N'27776', 43.529230, -7.414644)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4248, 11, N'Antas de Ulla', N'antas-de-ulla', N'27570', 42.782315, -7.890734)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4249, 11, N'Baleira', N'baleira', N'27130', 43.014770, -7.245454)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4250, 11, N'Baralla', N'baralla', N'27680', 42.894195, -7.249699)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4251, 11, N'Barreiros', N'barreiros', N'27790', 43.548815, -7.237484)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4252, 11, N'Becerreá', N'becerrea', N'27640', 42.853423, -7.162207)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4253, 11, N'Begonte', N'begonte', N'27373', 43.151200, -7.686864)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4254, 11, N'Bóveda', N'boveda', N'27233', 42.625620, -7.478979)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4255, 11, N'Burela', N'burela', N'27880', 43.658658, -7.360497)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4256, 11, N'Carballedo', N'carballedo', N'27528', 42.539520, -7.814559)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4257, 11, N'Castro de Rei', N'castro-de-rei', N'27250', 43.209943, -7.400462)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4258, 11, N'Castroverde', N'castroverde', N'27120', 43.030075, -7.325099)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4259, 11, N'Cervantes', N'cervantes', N'27664', 42.872968, -7.063220)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4260, 11, N'Cervo', N'cervo', N'27891', 43.671245, -7.411029)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4261, 11, N'Chantada', N'chantada', N'27500', 42.608700, -7.768044)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4262, 11, N'Corgo', N'corgo', N'27163', 42.943390, -7.431890)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4263, 11, N'Cospeito', N'cospeito', N'27377', 43.236429, -7.559188)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4264, 11, N'Folgoso do Courel', N'folgoso-do-courel', N'27324', 42.589388, -7.195888)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4265, 11, N'Fonsagrada', N'fonsagrada', N'27100', 43.125992, -7.067320)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4266, 11, N'Foz', N'foz', N'27780', 43.569914, -7.258135)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4267, 11, N'Friol', N'friol', N'27220', 43.029655, -7.791599)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4268, 11, N'Guitiriz', N'guitiriz', N'27300', 43.181165, -7.898819)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4269, 11, N'Guntín', N'guntin', N'27211', 42.890095, -7.698639)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4270, 11, N'Incio', N'incio', N'27346', 42.656601, -7.362880)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4271, 11, N'Láncara', N'lancara', N'27367', 42.863160, -7.335445)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4272, 11, N'Lourenzá', N'lourenza', N'27760', 43.469635, -7.297734)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4273, 11, N'Lugo', N'lugo', N'27001', 43.009519, -7.569381)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4274, 11, N'Meira', N'meira', N'27240', 43.213384, -7.294480)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4275, 11, N'Mondoñedo', N'mondonedo', N'27740', 43.428406, -7.360422)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4276, 11, N'Monforte de Lemos', N'monforte-de-lemos', N'27400', 42.522170, -7.517294)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4277, 11, N'Monterroso', N'monterroso', N'27560', 42.792890, -7.836424)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4278, 11, N'Muras', N'muras', N'27836', 43.466835, -7.722779)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4279, 11, N'Navia de Suarna', N'navia-de-suarna', N'27650', 42.964930, -7.004350)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4280, 11, N'Negueira de Muñiz', N'negueira-de-muniz', N'27113', 43.133920, -6.893284)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4281, 11, N'Nogais', N'nogais', N'27677', 42.808562, -7.108240)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4282, 11, N'Ourol', N'ourol', N'27865', 43.564447, -7.642085)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4283, 11, N'Outeiro de Rei', N'outeiro-de-rei', N'27150', 43.102580, -7.612345)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4284, 11, N'Palas de Rei', N'palas-de-rei', N'27200', 42.874215, -7.868734)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4285, 11, N'Pantón', N'panton', N'27438', 42.504890, -7.629808)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4286, 11, N'Paradela', N'paradela', N'27611', 42.765735, -7.567594)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4287, 11, N'Páramo', N'paramo', N'27166', 42.839661, -7.535763)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4288, 11, N'Pastoriza', N'pastoriza', N'27287', 43.300220, -7.350560)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4289, 11, N'Pedrafita do Cebreiro', N'pedrafita-do-cebreiro', N'27670', 42.725997, -7.019437)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4290, 11, N'Pobra do Brollón', N'pobra-do-brollon', N'27330', 42.556874, -7.391739)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4291, 11, N'Pol', N'pol', N'27270', 43.152225, -7.329941)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4292, 11, N'Pontenova', N'pontenova', N'27720', 43.350212, -7.191611)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4293, 11, N'Portomarín', N'portomarin', N'27170', 42.806230, -7.618254)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4294, 11, N'Quiroga', N'quiroga', N'27320', 42.475378, -7.270154)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4295, 11, N'Rábade', N'rabade', N'27370', 43.120570, -7.627951)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4296, 11, N'Ribadeo', N'ribadeo', N'27700', 43.533628, -7.040385)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4297, 11, N'Ribas de Sil', N'ribas-de-sil', N'27310', 42.465829, -7.287533)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4298, 11, N'Ribeira de Piquín', N'ribeira-de-piquin', N'27242', 43.201640, -7.204734)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4299, 11, N'Riotorto', N'riotorto', N'27744', 43.342780, -7.259971)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4300, 11, N'Samos', N'samos', N'27620', 42.730730, -7.326734)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4301, 11, N'Sarria', N'sarria', N'27600', 42.780561, -7.413563)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4302, 11, N'Saviñao', N'savinao', N'27540', 43.181800, -7.309919)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4303, 11, N'Sober', N'sober', N'27460', 42.462163, -7.584446)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4304, 11, N'Taboada', N'taboada', N'27550', 42.714412, -7.762812)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4305, 11, N'Trabada', N'trabada', N'27765', 43.447134, -7.193634)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4306, 11, N'Triacastela', N'triacastela', N'27630', 42.756600, -7.240539)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4307, 11, N'Valadouro', N'valadouro', N'27770', 43.551830, -7.440954)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4308, 11, N'Vicedo', N'vicedo', N'27860', 43.733275, -7.670860)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4309, 11, N'Vilalba', N'vilalba', N'27800', 43.298940, -7.679574)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4310, 11, N'Viveiro', N'viveiro', N'27850', 43.662970, -7.595935)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4311, 11, N'Xermade', N'xermade', N'27833', 43.354400, -7.813569)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4312, 11, N'Xove', N'xove', N'27870', 43.684950, -7.512639)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4314, 15, N'Acebeda', N'acebeda', N'28755', 41.123849, -3.611755)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4315, 15, N'Ajalvir', N'ajalvir', N'28864', 40.535555, -3.484549)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4316, 15, N'Alameda del Valle', N'alameda-del-valle', N'28749', 40.921879, -3.845980)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4317, 15, N'El Álamo', N'el-alamo', N'28607', 40.231425, -3.988919)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4318, 15, N'Alcalá de Henares', N'alcala-de-henares', N'28801', 40.480647, -3.373174)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4319, 15, N'Alcobendas', N'alcobendas', N'28100', 40.545200, -3.643099)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4320, 15, N'Alcorcón', N'alcorcon', N'28921', 40.351410, -3.824244)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4321, 15, N'Aldea del Fresno', N'aldea-del-fresno', N'28620', 40.323975, -4.202364)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4322, 15, N'Algete', N'algete', N'28110', 40.597900, -3.499994)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4323, 15, N'Alpedrete', N'alpedrete', N'28430', 40.658885, -4.033204)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4324, 15, N'Ambite', N'ambite', N'28580', 40.326776, -3.183315)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4325, 15, N'Anchuelo', N'anchuelo', N'28818', 40.466013, -3.270153)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4326, 15, N'Aranjuez', N'aranjuez', N'28300', 40.036095, -3.604279)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4327, 15, N'Arganda del Rey', N'arganda-del-rey', N'28500', 40.299996, -3.440698)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4328, 15, N'Arroyomolinos', N'arroyomolinos', N'28939', 40.269100, -3.920359)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4329, 15, N'Atazar', N'atazar', N'28189', 40.934620, -3.471120)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4330, 15, N'Batres', N'batres', N'28976', 40.209415, -3.922324)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4331, 15, N'Becerril de la Sierra', N'becerril-de-la-sierra', N'28490', 40.707545, -3.993019)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4332, 15, N'Belmonte de Tajo', N'belmonte-de-tajo', N'28390', 40.132574, -3.338033)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4333, 15, N'Berrueco', N'berrueco', N'28192', 40.887887, -3.559742)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4334, 15, N'Berzosa del Lozoya', N'berzosa-del-lozoya', N'28194', 40.975325, -3.524069)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4335, 15, N'Boadilla del Monte', N'boadilla-del-monte', N'28660', 40.407500, -3.874208)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4336, 15, N'Boalo', N'boalo', N'28413', 40.719452, -3.920590)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4337, 15, N'Braojos', N'braojos', N'28737', 41.040114, -3.642679)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4338, 15, N'Brea de Tajo', N'brea-de-tajo', N'28596', 40.229230, -3.110749)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4339, 15, N'Brunete', N'brunete', N'28690', 40.400045, -3.993969)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4340, 15, N'Buitrago del Lozoya', N'buitrago-del-lozoya', N'28730', 40.992145, -3.638239)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4341, 15, N'Bustarviejo', N'bustarviejo', N'28720', 40.858379, -3.711925)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4342, 15, N'Cabanillas de la Sierra', N'cabanillas-de-la-sierra', N'28721', 40.821857, -3.626781)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4343, 15, N'Cabrera', N'cabrera', N'28751', 40.863615, -3.615360)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4344, 15, N'Cadalso de los Vidrios', N'cadalso-de-los-vidrios', N'28640', 40.300694, -4.443642)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4345, 15, N'Camarma de Esteruelas', N'camarma-de-esteruelas', N'28816', 40.548885, -3.378299)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4346, 15, N'Campo Real', N'campo-real', N'28510', 40.337763, -3.377724)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4347, 15, N'Canencia', N'canencia', N'28743', 40.909635, -3.738154)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4348, 15, N'Carabaña', N'carabana', N'28560', 40.256875, -3.234374)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4349, 15, N'Casarrubuelos', N'casarrubuelos', N'28977', 40.170990, -3.833299)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4350, 15, N'Cenicientos', N'cenicientos', N'28650', 40.265660, -4.468739)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4351, 15, N'Cercedilla', N'cercedilla', N'28470', 40.737021, -4.064028)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4352, 15, N'Cervera de Buitrago', N'cervera-de-buitrago', N'28193', 40.921155, -3.530309)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4353, 15, N'Chapinería', N'chapineria', N'28694', 40.381941, -4.210263)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4354, 15, N'Chinchón', N'chinchon', N'28370', 40.139218, -3.426490)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4355, 15, N'Ciempozuelos', N'ciempozuelos', N'28350', 40.159340, -3.618279)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4356, 15, N'Cobeña', N'cobena', N'28863', 40.566885, -3.507154)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4357, 15, N'Collado Mediano', N'collado-mediano', N'28450', 40.693625, -4.023604)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4358, 15, N'Collado Villalba', N'collado-villalba', N'28400', 40.645563, -3.991965)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4359, 15, N'Colmenar de Oreja', N'colmenar-de-oreja', N'28380', 40.109265, -3.386825)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4360, 15, N'Colmenar del Arroyo', N'colmenar-del-arroyo', N'28213', 40.420786, -4.197706)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4361, 15, N'Colmenar Viejo', N'colmenar-viejo', N'28770', 40.665666, -3.769923)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4362, 15, N'Colmenarejo', N'colmenarejo', N'28279', 40.559460, -4.012239)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4363, 15, N'Corpa', N'corpa', N'28811', 40.425720, -3.260299)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4364, 15, N'Coslada', N'coslada', N'28821', 40.426110, -3.564542)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4365, 15, N'Cubas de la Sagra', N'cubas-de-la-sagra', N'28978', 40.192539, -3.839440)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4366, 15, N'Daganzo de Arriba', N'daganzo-de-arriba', N'28814', 40.543655, -3.457294)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4367, 15, N'Escorial', N'escorial', N'28280', 40.581772, -4.126090)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4368, 15, N'Estremera', N'estremera', N'28595', 40.187905, -3.109814)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4369, 15, N'Fresnedillas de la Oliva', N'fresnedillas-de-la-oliva', N'28214', 40.488040, -4.170164)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4370, 15, N'Fresno de Torote', N'fresno-de-torote', N'28815', 40.592940, -3.411924)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4371, 15, N'Fuenlabrada', N'fuenlabrada', N'28941', 40.282595, -3.792889)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4372, 15, N'Fuente el Saz de Jarama', N'fuente-el-saz-de-jarama', N'28140', 40.632900, -3.510649)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4373, 15, N'Fuentidueña de Tajo', N'fuentiduena-de-tajo', N'28597', 40.118170, -3.159989)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4374, 15, N'Galapagar', N'galapagar', N'28260', 40.576545, -4.002097)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4375, 15, N'Garganta de los Montes', N'garganta-de-los-montes', N'28743', 40.921805, -3.686234)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4376, 15, N'Gargantilla del Lozoya', N'gargantilla-del-lozoya', N'28739', 40.965475, -3.716869)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4377, 15, N'Gascones', N'gascones', N'28737', 41.017480, -3.642384)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4378, 15, N'Getafe', N'getafe', N'28901', 40.304880, -3.731089)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4379, 15, N'Grión', N'grinon', N'28971', 40.214472, -3.857301)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4380, 15, N'Guadalix de la Sierra', N'guadalix-de-la-sierra', N'28794', 40.784830, -3.694999)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4381, 15, N'Guadarrama', N'guadarrama', N'28440', 40.672360, -4.089189)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4382, 15, N'Hiruela', N'hiruela', N'28191', 41.078381, -3.454857)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4383, 15, N'Horcajo de la Sierra', N'horcajo-de-la-sierra', N'28755', 41.068363, -3.585661)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4384, 15, N'Horcajuelo de la Sierra', N'horcajuelo-de-la-sierra', N'28191', 41.060150, -3.545701)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4385, 15, N'Hoyo de Manzanares', N'hoyo-de-manzanares', N'28240', 40.621390, -3.907464)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4386, 15, N'Humanes de Madrid', N'humanes-de-madrid', N'28970', 40.254025, -3.826959)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4387, 15, N'Leganés', N'leganes', N'28911', 40.328055, -3.765159)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4388, 15, N'Loeches', N'loeches', N'28890', 40.384845, -3.412269)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4389, 15, N'Lozoya', N'lozoya', N'28742', 40.955876, -3.796242)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4390, 15, N'Lozoyuela', N'lozoyuela', N'28752', 40.928360, -3.620940)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4391, 15, N'Madarcos', N'madarcos', N'28755', 41.047428, -3.582580)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4392, 15, N'Madrid', N'madrid', N'28001', 40.420300, -3.705774)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4393, 15, N'Majadahonda', N'majadahonda', N'28220', 40.473920, -3.871734)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4394, 15, N'Manzanares el Real', N'manzanares-el-real', N'28410', 40.727420, -3.860070)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4395, 15, N'Meco', N'meco', N'28880', 40.554143, -3.326368)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4396, 15, N'Mejorada del Campo', N'mejorada-del-campo', N'28840', 40.396745, -3.483844)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4397, 15, N'Miraflores de la Sierra', N'miraflores-de-la-sierra', N'28792', 40.811615, -3.769084)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4398, 15, N'Molar', N'molar', N'28710', 40.732885, -3.582230)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4399, 15, N'Molinos', N'molinos', N'28460', 40.714574, -4.072409)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4400, 15, N'Montejo de la Sierra', N'montejo-de-la-sierra', N'28190', 41.059366, -3.530129)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4401, 15, N'Moraleja de Enmedio', N'moraleja-de-enmedio', N'28950', 40.260525, -3.852284)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4402, 15, N'Moralzarzal', N'moralzarzal', N'28411', 40.675090, -3.969609)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4403, 15, N'Morata de Tajuña', N'morata-de-tajuna', N'28530', 40.229445, -3.436709)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4404, 15, N'Móstoles', N'mostoles', N'28931', 40.323065, -3.864939)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4405, 15, N'Navacerrada', N'navacerrada', N'28491', 40.730190, -4.014934)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4406, 15, N'Navalafuente', N'navalafuente', N'28729', 40.822995, -3.673019)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4407, 15, N'Navalagamella', N'navalagamella', N'28212', 40.468527, -4.123130)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4408, 15, N'Navalcarnero', N'navalcarnero', N'28600', 40.284903, -4.013667)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4409, 15, N'Navarredonda y San Mamés', N'navarredonda-y-san-mames', N'28739', 40.990700, -3.725204)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4410, 15, N'Navas del Rey', N'navas-del-rey', N'28695', 40.386815, -4.250824)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4411, 15, N'Nuevo Baztán', N'nuevo-baztan', N'28514', 40.365376, -3.243710)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4412, 15, N'Olmeda de las Fuentes', N'olmeda-de-las-fuentes', N'28515', 40.368881, -3.221020)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4413, 15, N'Orusco de Tajuña', N'orusco-de-tajuna', N'28570', 40.285461, -3.210930)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4414, 15, N'Paracuellos de Jarama', N'paracuellos-de-jarama', N'28860', 40.504920, -3.529694)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4415, 15, N'Parla', N'parla', N'28981', 40.237081, -3.772315)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4416, 15, N'Patones', N'patones', N'28189', 40.855255, -3.484514)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4417, 15, N'Pedrezuela', N'pedrezuela', N'28723', 40.743994, -3.599681)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4418, 15, N'Pelayos de la Presa', N'pelayos-de-la-presa', N'28696', 40.360540, -4.329124)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4419, 15, N'Perales de Tajuña', N'perales-de-tajuna', N'28540', 40.233691, -3.352181)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4420, 15, N'Pezuela de las Torres', N'pezuela-de-las-torres', N'28812', 40.418945, -3.178409)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4421, 15, N'Pinilla del Valle', N'pinilla-del-valle', N'28749', 40.928454, -3.823811)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4422, 15, N'Pinto', N'pinto', N'28320', 40.241120, -3.699359)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4423, 15, N'Piñuécar-Gandullas', N'pinuecar-gandullas', N'28737', 41.033169, -3.598210)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4424, 15, N'Pozuelo de Alarcón', N'pozuelo-de-alarcon', N'28221', 40.440970, -3.814674)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4425, 15, N'Pozuelo del Rey', N'pozuelo-del-rey', N'28813', 40.365335, -3.320924)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4426, 15, N'Prádena del Rincón', N'pradena-del-rincon', N'28191', 41.043930, -3.539469)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4427, 15, N'Puebla de la Sierra', N'puebla-de-la-sierra', N'28190', 41.012632, -3.444917)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4428, 15, N'Puentes Viejas', N'puentes-viejas', N'28754', 40.965115, -3.584784)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4429, 15, N'Quijorna', N'quijorna', N'28693', 40.426690, -4.055409)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4430, 15, N'Rascafría', N'rascafria', N'28740', 40.904939, -3.878686)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4431, 15, N'Redueña', N'reduena', N'28721', 40.816515, -3.602934)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4432, 15, N'Ribatejada', N'ribatejada', N'28815', 40.670800, -3.389224)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4433, 15, N'Rivas-Vaciamadrid', N'rivas-vaciamadrid', N'28521', 40.339695, -3.518699)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4434, 15, N'Robledillo de la Jara', N'robledillo-de-la-jara', N'28194', 40.952707, -3.525576)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4435, 15, N'Robledo de Chavela', N'robledo-de-chavela', N'28294', 40.498580, -4.239154)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4436, 15, N'Robregordo', N'robregordo', N'28755', 41.104510, -3.595607)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4437, 15, N'Rozas de Madrid', N'rozas-de-madrid', N'28231', 40.491600, -3.872910)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4438, 15, N'Rozas de Puerto Real', N'rozas-de-puerto-real', N'28649', 40.309215, -4.491519)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4439, 15, N'San Agustín del Guadalix', N'san-agustin-del-guadalix', N'28750', 40.678371, -3.614670)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4440, 15, N'San Fernando de Henares', N'san-fernando-de-henares', N'28830', 40.425686, -3.535316)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4441, 15, N'San Lorenzo de El Escorial', N'san-lorenzo-de-el-escorial', N'28200', 40.593450, -4.142509)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4442, 15, N'San Martín de la Vega', N'san-martin-de-la-vega', N'28330', 40.209715, -3.572454)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4443, 15, N'San Martín de Valdeiglesias', N'san-martin-de-valdeiglesias', N'28680', 40.362120, -4.408489)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4444, 15, N'San Sebastián de los Reyes', N'san-sebastian-de-los-reyes', N'28701', 40.547355, -3.625319)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4445, 15, N'Santa María de la Alameda', N'santa-maria-de-la-alameda', N'28296', 40.598380, -4.259284)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4446, 15, N'Santorcaz', N'santorcaz', N'28818', 40.474994, -3.231096)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4447, 15, N'Santos de la Humosa', N'santos-de-la-humosa', N'28817', 40.501725, -3.256044)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4448, 15, N'Serna del Monte', N'serna-del-monte', N'28737', 41.030666, -3.625832)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4449, 15, N'Serranillos del Valle', N'serranillos-del-valle', N'28979', 40.205265, -3.885879)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4450, 15, N'Sevilla la Nueva', N'sevilla-la-nueva', N'28609', 40.347678, -4.028246)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4451, 15, N'Somosierra', N'somosierra', N'28756', 41.132685, -3.581154)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4452, 15, N'Soto del Real', N'soto-del-real', N'28791', 40.754450, -3.782949)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4453, 15, N'Talamanca de Jarama', N'talamanca-de-jarama', N'28160', 40.745600, -3.507812)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4454, 15, N'Tielmes', N'tielmes', N'28550', 40.244945, -3.314319)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4455, 15, N'Titulcia', N'titulcia', N'28359', 40.136800, -3.569749)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4456, 15, N'Torrejón de Ardoz', N'torrejon-de-ardoz', N'28850', 40.459250, -3.476329)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4457, 15, N'Torrejón de la Calzada', N'torrejon-de-la-calzada', N'28991', 40.201575, -3.801689)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4458, 15, N'Torrejón de Velasco', N'torrejon-de-velasco', N'28990', 40.187535, -3.779174)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4459, 15, N'Torrelaguna', N'torrelaguna', N'28180', 40.826325, -3.538359)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4460, 15, N'Torrelodones', N'torrelodones', N'28250', 40.576575, -3.930689)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4461, 15, N'Torremocha de Jarama', N'torremocha-de-jarama', N'28189', 40.835465, -3.496244)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4462, 15, N'Torres de la Alameda', N'torres-de-la-alameda', N'28813', 40.408091, -3.364014)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4463, 15, N'Tres Cantos', N'tres-cantos', N'28760', 40.598670, -3.711569)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4464, 15, N'Valdaracete', N'valdaracete', N'28594', 40.210555, -3.193014)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4465, 15, N'Valdeavero', N'valdeavero', N'28816', 40.632143, -3.337274)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4466, 15, N'Valdelaguna', N'valdelaguna', N'28391', 40.161550, -3.369549)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4467, 15, N'Valdemanco', N'valdemanco', N'28729', 40.871255, -3.664134)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4468, 15, N'Valdemaqueda', N'valdemaqueda', N'28295', 40.511796, -4.298616)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4469, 15, N'Valdemorillo', N'valdemorillo', N'28210', 40.501739, -4.072216)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4470, 15, N'Valdemoro', N'valdemoro', N'28341', 40.190995, -3.673824)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4471, 15, N'Valdeolmos', N'valdeolmos', N'28130', 40.638370, -3.453429)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4472, 15, N'Valdepiélagos', N'valdepielagos', N'28170', 40.760405, -3.465764)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4473, 15, N'Valdetorres de Jarama', N'valdetorres-de-jarama', N'28150', 40.693560, -3.510589)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4474, 15, N'Valdilecha', N'valdilecha', N'28511', 40.296222, -3.300817)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4475, 15, N'Valverde de Alcalá', N'valverde-de-alcala', N'28812', 40.417704, -3.299391)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4476, 15, N'Velilla de San Antonio', N'velilla-de-san-antonio', N'28891', 40.370319, -3.487867)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4477, 15, N'Vellón', N'vellon', N'28722', 40.765917, -3.581886)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4478, 15, N'Venturada', N'venturada', N'28729', 40.799261, -3.623149)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4479, 15, N'Villa del Prado', N'villa-del-prado', N'28630', 40.279445, -4.306799)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4480, 15, N'Villaconejos', N'villaconejos', N'28360', 40.104218, -3.486962)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4481, 15, N'Villalbilla', N'villalbilla', N'28810', 40.433403, -3.300317)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4482, 15, N'Villamanrique de Tajo', N'villamanrique-de-tajo', N'28598', 40.070545, -3.238094)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4483, 15, N'Villamanta', N'villamanta', N'28610', 40.298160, -4.111964)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4484, 15, N'Villamantilla', N'villamantilla', N'28609', 40.338840, -4.128699)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4485, 15, N'Villanueva de la Cañada', N'villanueva-de-la-canada', N'28691', 40.444540, -4.003794)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4486, 15, N'Villanueva de Perales', N'villanueva-de-perales', N'28609', 40.351070, -4.100479)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4487, 15, N'Villanueva del Pardillo', N'villanueva-del-pardillo', N'28229', 40.489290, -3.962869)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4488, 15, N'Villar del Olmo', N'villar-del-olmo', N'28512', 40.337203, -3.234556)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4489, 15, N'Villarejo de Salvanés', N'villarejo-de-salvanes', N'28590', 40.170855, -3.270647)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4490, 15, N'Villaviciosa de Odón', N'villaviciosa-de-odon', N'28670', 40.351230, -3.901714)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4491, 15, N'Villavieja del Lozoya', N'villavieja-del-lozoya', N'28739', 41.006882, -3.672925)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4492, 15, N'Zarzalejo', N'zarzalejo', N'28293', 40.549885, -4.183684)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4494, 19, N'Alameda', N'alameda', N'29530', 37.208511, -4.660980)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4495, 19, N'Alcaucín', N'alcaucin', N'29711', 36.902672, -4.114760)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4496, 19, N'Alfarnate', N'alfarnate', N'29194', 36.994469, -4.260400)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4497, 19, N'Alfarnatejo', N'alfarnatejo', N'29194', 36.979301, -4.272970)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4498, 19, N'Algarrobo', N'algarrobo', N'29750', 36.771740, -4.038920)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4499, 19, N'Algatocín', N'algatocin', N'29491', 36.574791, -5.275740)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4500, 19, N'Alhaurín de la Torre', N'alhaurin-de-la-torre', N'29130', 36.661861, -4.566720)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4501, 19, N'Alhaurín el Grande', N'alhaurin-el-grande', N'29120', 36.642078, -4.691130)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4502, 19, N'Almáchar', N'almachar', N'29718', 36.808731, -4.217630)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4503, 19, N'Almargen', N'almargen', N'29330', 37.000179, -5.022810)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4504, 19, N'Almogía', N'almogia', N'29150', 36.828091, -4.540450)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4505, 19, N'Álora', N'alora', N'29500', 36.828732, -4.704260)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4506, 19, N'Alozaina', N'alozaina', N'29567', 36.728821, -4.864290)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4507, 19, N'Alpandeire', N'alpandeire', N'29460', 36.634590, -5.202260)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4508, 19, N'Antequera', N'antequera', N'29200', 37.020302, -4.563610)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4509, 19, N'Árchez', N'archez', N'29753', 36.838100, -3.989810)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4510, 19, N'Archidona', N'archidona', N'29300', 37.094688, -4.388180)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4511, 19, N'Ardales', N'ardales', N'29550', 36.880981, -4.845320)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4512, 19, N'Arenas', N'arenas', N'29753', 36.816212, -4.045950)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4513, 19, N'Arriate', N'arriate', N'29350', 36.799217, -5.140314)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4514, 19, N'Atajate', N'atajate', N'29494', 36.641380, -5.244110)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4515, 19, N'Benadalid', N'benadalid', N'29493', 36.607521, -5.269760)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4516, 19, N'Benahavís', N'benahavis', N'29679', 36.523891, -5.046270)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4517, 19, N'Benalauría', N'benalauria', N'29491', 36.595039, -5.261080)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4518, 19, N'Benalmádena', N'benalmadena', N'29639', 36.595169, -4.573450)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4519, 19, N'Benamargosa', N'benamargosa', N'29718', 36.833740, -4.194100)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4520, 19, N'Benamocarra', N'benamocarra', N'29719', 36.791470, -4.162360)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4521, 19, N'Benaoján', N'benaojan', N'29370', 36.718960, -5.254350)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4522, 19, N'Benarrabá', N'benarraba', N'29490', 36.550152, -5.275880)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4523, 19, N'Borge', N'borge', N'29718', 36.814590, -4.232830)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4524, 19, N'Burgo', N'burgo', N'29420', 36.789629, -4.947624)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4525, 19, N'Campillos', N'campillos', N'29320', 37.053108, -4.863460)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4526, 19, N'Canillas de Aceituno', N'canillas-de-aceituno', N'29716', 36.874889, -4.084800)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4527, 19, N'Canillas de Albaida', N'canillas-de-albaida', N'29755', 36.845299, -3.985420)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4528, 19, N'Cañete la Real', N'canete-la-real', N'29340', 36.951481, -5.024730)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4529, 19, N'Carratraca', N'carratraca', N'29551', 36.851440, -4.818390)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4530, 19, N'Cartajima', N'cartajima', N'29452', 36.646141, -5.153140)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4531, 19, N'Cártama', N'cartama', N'29570', 36.712200, -4.631730)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4532, 19, N'Casabermeja', N'casabermeja', N'29160', 36.894020, -4.429110)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4533, 19, N'Casarabonela', N'casarabonela', N'29566', 36.787571, -4.840660)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4534, 19, N'Casares', N'casares', N'29690', 36.447231, -5.273000)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4535, 19, N'Coín', N'coin', N'29100', 36.659740, -4.757680)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4536, 19, N'Colmenar', N'colmenar', N'29170', 36.906528, -4.335730)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4537, 19, N'Comares', N'comares', N'29195', 36.848492, -4.247360)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4538, 19, N'Cómpeta', N'competa', N'29754', 36.833058, -3.974648)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4539, 19, N'Cortes de la Frontera', N'cortes-de-la-frontera', N'29380', 36.619530, -5.341380)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4540, 19, N'Cuevas Bajas', N'cuevas-bajas', N'29220', 37.235790, -4.489460)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4541, 19, N'Cuevas de San Marcos', N'cuevas-de-san-marcos', N'29210', 37.266960, -4.417430)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4542, 19, N'Cuevas del Becerro', N'cuevas-del-becerro', N'29470', 36.876339, -5.044740)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4543, 19, N'Cútar', N'cutar', N'29718', 36.830952, -4.230290)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4544, 19, N'Estepona', N'estepona', N'29680', 36.427582, -5.145210)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4545, 19, N'Faraján', N'farajan', N'29461', 36.617298, -5.187510)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4546, 19, N'Frigiliana', N'frigiliana', N'29788', 36.791088, -3.895110)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4547, 19, N'Fuengirola', N'fuengirola', N'29640', 36.541489, -4.623980)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4548, 19, N'Fuente de Piedra', N'fuente-de-piedra', N'29520', 37.134270, -4.730440)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4549, 19, N'Gaucín', N'gaucin', N'29480', 36.519932, -5.324860)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4550, 19, N'Genalguacil', N'genalguacil', N'29492', 36.546871, -5.235880)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4551, 19, N'Guaro', N'guaro', N'29108', 36.659409, -4.836310)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4552, 19, N'Humilladero', N'humilladero', N'29531', 37.114792, -4.700130)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4553, 19, N'Igualeja', N'igualeja', N'29440', 36.630730, -5.121310)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4554, 19, N'Istán', N'istan', N'29611', 36.580379, -4.947850)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4555, 19, N'Iznate', N'iznate', N'29792', 36.776299, -4.184210)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4556, 19, N'Jimera de Líbar', N'jimera-de-libar', N'29392', 36.649792, -5.275230)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4557, 19, N'Jubrique', N'jubrique', N'29492', 36.564041, -5.216060)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4558, 19, N'Júzcar', N'juzcar', N'29462', 36.625229, -5.169580)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4559, 19, N'Macharaviaya', N'macharaviaya', N'29791', 36.762131, -4.216020)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4560, 19, N'Málaga', N'malaga', N'29001', 36.718319, -4.420160)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4561, 19, N'Manilva', N'manilva', N'29691', 36.378250, -5.251320)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4562, 19, N'Marbella', N'marbella', N'29601', 36.507992, -4.883300)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4563, 19, N'Mijas', N'mijas', N'29650', 36.597729, -4.636410)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4564, 19, N'Moclinejo', N'moclinejo', N'29738', 36.771069, -4.256290)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4565, 19, N'Mollina', N'mollina', N'29532', 37.124649, -4.661370)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4566, 19, N'Monda', N'monda', N'29110', 36.631672, -4.828000)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4567, 19, N'Montejaque', N'montejaque', N'29360', 36.738930, -5.248890)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4568, 19, N'Nerja', N'nerja', N'29780', 36.751911, -3.876210)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4569, 19, N'Ojén', N'ojen', N'29610', 36.565529, -4.852810)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4570, 19, N'Parauta', N'parauta', N'29451', 36.655689, -5.129280)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4571, 19, N'Periana', N'periana', N'29710', 36.930309, -4.191100)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4572, 19, N'Pizarra', N'pizarra', N'29560', 36.767148, -4.707470)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4573, 19, N'Pujerra', N'pujerra', N'29450', 36.612728, -5.147170)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4574, 19, N'Rincón de la Victoria', N'rincon-de-la-victoria', N'29730', 36.714642, -4.280760)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4575, 19, N'Riogordo', N'riogordo', N'29180', 36.914761, -4.292130)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4576, 19, N'Ronda', N'ronda', N'29400', 36.741791, -5.166280)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4577, 19, N'Salares', N'salares', N'29714', 36.852970, -4.026100)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4578, 19, N'Sayalonga', N'sayalonga', N'29752', 36.797691, -4.011300)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4579, 19, N'Sedella', N'sedella', N'29715', 36.862640, -4.035000)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4580, 19, N'Sierra de Yeguas', N'sierra-de-yeguas', N'29328', 37.124512, -4.868580)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4581, 19, N'Teba', N'teba', N'29327', 36.983608, -4.920250)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4582, 19, N'Tolox', N'tolox', N'29109', 36.688000, -4.899880)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4583, 19, N'Torremolinos', N'torremolinos', N'29620', 36.624409, -4.499850)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4584, 19, N'Torrox', N'torrox', N'29770', 36.758991, -3.953700)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4585, 19, N'Totalán', N'totalan', N'29197', 36.765831, -4.297660)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4586, 19, N'Valle de Abdalajís', N'valle-de-abdalajis', N'29240', 36.934719, -4.682180)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4587, 19, N'Vélez-Málaga', N'velez-malaga', N'29700', 36.778301, -4.100430)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4588, 19, N'Villanueva de Algaidas', N'villanueva-de-algaidas', N'29310', 37.183998, -4.449730)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4589, 19, N'Villanueva de Tapia', N'villanueva-de-tapia', N'29315', 37.182098, -4.336090)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4590, 19, N'Villanueva del Rosario', N'villanueva-del-rosario', N'29312', 36.998470, -4.367640)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4591, 19, N'Villanueva del Trabuco', N'villanueva-del-trabuco', N'29313', 37.029190, -4.336430)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4592, 19, N'Viñuela', N'vinuela', N'29712', 36.862935, -4.141159)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4593, 19, N'Yunquera', N'yunquera', N'29410', 36.735592, -4.917550)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4595, 27, N'Abanilla', N'abanilla', N'30640', 38.205317, -1.041031)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4596, 27, N'Abarán', N'abaran', N'30550', 38.207473, -1.394486)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4597, 27, N'Águilas', N'aguilas', N'30880', 37.407800, -1.583974)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4598, 27, N'Albudeite', N'albudeite', N'30190', 38.027745, -1.383259)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4599, 27, N'Alcantarilla', N'alcantarilla', N'30820', 37.968545, -1.215974)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4600, 27, N'Alcázares', N'alcazares', N'30710', 37.744732, -0.849000)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4601, 27, N'Aledo', N'aledo', N'30859', 37.798560, -1.574699)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4602, 27, N'Alguazas', N'alguazas', N'30560', 38.052080, -1.240724)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4603, 27, N'Alhama de Murcia', N'alhama-de-murcia', N'30840', 37.850800, -1.424149)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4604, 27, N'Archena', N'archena', N'30600', 38.117400, -1.298729)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4605, 27, N'Beniel', N'beniel', N'30130', 38.045755, -1.001974)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4606, 27, N'Blanca', N'blanca', N'30540', 38.179353, -1.377110)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4607, 27, N'Bullas', N'bullas', N'30180', 38.048463, -1.670437)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4608, 27, N'Calasparra', N'calasparra', N'30420', 38.229517, -1.700821)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4609, 27, N'Campos del Río', N'campos-del-rio', N'30191', 38.040064, -1.352091)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4610, 27, N'Caravaca de la Cruz', N'caravaca-de-la-cruz', N'30400', 38.108678, -1.865573)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4611, 27, N'Cartagena', N'cartagena', N'30593', 37.605154, -0.990572)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4612, 27, N'Cehegín', N'cehegin', N'30430', 38.093059, -1.797981)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4613, 27, N'Ceutí', N'ceuti', N'30562', 38.079599, -1.271925)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4614, 27, N'Cieza', N'cieza', N'30530', 38.239444, -1.418653)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4615, 27, N'Fortuna', N'fortuna', N'30620', 38.181310, -1.127815)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4616, 27, N'Fuente Álamo de Murcia', N'fuente-alamo-de-murcia', N'30320', 37.723563, -1.167297)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4617, 27, N'Jumilla', N'jumilla', N'30520', 38.476371, -1.321449)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4618, 27, N'Librilla', N'librilla', N'30892', 37.888351, -1.352906)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4619, 27, N'Lorca', N'lorca', N'30800', 37.671915, -1.698589)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4620, 27, N'Lorquí', N'lorqui', N'30564', 38.081490, -1.255445)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4621, 27, N'Mazarrón', N'mazarron', N'30870', 37.599153, -1.312351)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4622, 27, N'Molina de Segura', N'molina-de-segura', N'30500', 38.050778, -1.210685)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4623, 27, N'Moratalla', N'moratalla', N'30440', 38.189009, -1.890807)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4624, 27, N'Mula', N'mula', N'30170', 38.040909, -1.486373)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4625, 27, N'Murcia', N'murcia', N'30177', 37.983357, -1.131012)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4626, 27, N'Ojós', N'ojos', N'30611', 38.145509, -1.343207)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4627, 27, N'Pliego', N'pliego', N'30176', 37.990295, -1.506200)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4628, 27, N'Puerto Lumbreras', N'puerto-lumbreras', N'30890', 37.562252, -1.811285)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4629, 27, N'Ricote', N'ricote', N'30610', 38.152563, -1.366940)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4630, 27, N'San Javier', N'san-javier', N'30730', 37.805495, -0.834532)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4631, 27, N'San Pedro del Pinatar', N'san-pedro-del-pinatar', N'30740', 37.835361, -0.791745)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4632, 27, N'Santomera', N'santomera', N'30148', 38.060138, -1.047263)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4633, 27, N'Torre-Pacheco', N'torre-pacheco', N'30700', 37.744131, -0.953708)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4634, 27, N'Torres de Cotillas', N'torres-de-cotillas', N'30565', 38.028267, -1.239996)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4635, 27, N'Totana', N'totana', N'30850', 37.771274, -1.500192)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4636, 27, N'Ulea', N'ulea', N'30612', 38.139738, -1.329775)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4637, 27, N'Unión', N'union', N'30360', 37.617070, -0.879979)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4638, 27, N'Villanueva del Río Segura', N'villanueva-del-rio-segura', N'30613', 38.136261, -1.323853)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4639, 27, N'Yecla', N'yecla', N'30510', 38.615714, -1.117601)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4641, 31, N'Abáigar', N'abaigar', N'31280', 42.647630, -2.143583)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4642, 31, N'Abárzuza', N'abarzuza', N'31178', 42.727685, -2.020214)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4643, 31, N'Abaurrea Alta', N'abaurrea-alta', N'31692', 42.903300, -1.209099)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4645, 31, N'Aberin', N'aberin', N'31264', 42.619702, -2.008220)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4646, 31, N'Ablitas', N'ablitas', N'31523', 41.975270, -1.640419)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4647, 31, N'Adiós', N'adios', N'31153', 42.685775, -1.736234)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4648, 31, N'Aguilar de Codés', N'aguilar-de-codes', N'31228', 42.612532, -2.392399)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4649, 31, N'Aibar', N'aibar', N'31460', 42.591478, -1.363305)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4650, 31, N'Allín', N'allin', N'31290', 42.709113, -2.075750)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4651, 31, N'Allo', N'allo', N'31262', 42.568665, -2.021709)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4652, 31, N'Alsasua', N'alsasua', N'31800', 42.895908, -2.169660)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4653, 31, N'Améscoa Baja', N'amescoa-baja', N'31010', 42.772876, -2.135084)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4654, 31, N'Ancín', N'ancin', N'31281', 42.658430, -2.188004)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4655, 31, N'Andosilla', N'andosilla', N'31261', 42.372856, -1.947971)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4656, 31, N'Ansoáin', N'ansoain', N'31013', 42.837880, -1.647699)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4657, 31, N'Anué', N'anue', N'31798', 42.978954, -1.588855)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4658, 31, N'Añorbe', N'anorbe', N'31154', 42.658752, -1.710614)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4659, 31, N'Aoiz', N'aoiz', N'31430', 42.782490, -1.375370)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4660, 31, N'Araitz', N'araitz', N'31797', 43.037394, -1.984523)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4661, 31, N'Arakil', N'arakil', N'31840', 42.915287, -1.894367)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4662, 31, N'Aranarache', N'aranarache', N'31271', 42.779716, -2.227478)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4663, 31, N'Aranguren', N'aranguren', N'31192', 42.789231, -1.615181)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4664, 31, N'Arano', N'arano', N'31754', 43.200240, -1.895939)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4665, 31, N'Arantza', N'arantza', N'31790', 43.195782, -1.724932)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4666, 31, N'Aras', N'aras', N'31239', 42.561718, -2.355190)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4667, 31, N'Arbizu', N'arbizu', N'31839', 42.916135, -2.038599)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4668, 31, N'Arce', N'arce', N'31438', 42.851871, -1.375160)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4669, 31, N'Arcos', N'arcos', N'31210', 42.568272, -2.192230)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4670, 31, N'Arellano', N'arellano', N'31263', 42.606382, -2.044866)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4671, 31, N'Areso', N'areso', N'31876', 43.081319, -1.950423)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4672, 31, N'Arguedas', N'arguedas', N'31513', 42.176148, -1.599856)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4673, 31, N'Aria', N'aria', N'31671', 42.952779, -1.265144)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4674, 31, N'Aribe', N'aribe', N'31671', 42.944081, -1.263793)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4675, 31, N'Armañanzas', N'armananzas', N'31228', 42.560956, -2.284085)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4676, 31, N'Arróniz', N'arroniz', N'31243', 42.589020, -2.093464)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4677, 31, N'Arruazu', N'arruazu', N'31840', 42.922351, -2.001311)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4678, 31, N'Artajona', N'artajona', N'31140', 42.587330, -1.763589)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4679, 31, N'Artazu', N'artazu', N'31109', 42.691640, -1.838419)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4680, 31, N'Atez', N'atez', N'31867', 42.968490, -1.722399)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4681, 31, N'Burguete', N'burguete', N'31640', 42.988449, -1.336420)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4682, 31, N'Ayegui', N'ayegui', N'31240', 42.653740, -2.041809)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4683, 31, N'Azagra', N'azagra', N'31560', 42.306485, -1.896874)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4684, 31, N'Azuelo', N'azuelo', N'31228', 42.608112, -2.348468)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4685, 31, N'Bakaiku', N'bakaiku', N'31810', 42.892441, -2.101479)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4686, 31, N'Barañain', N'baranain', N'31010', 42.803100, -1.679359)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4687, 31, N'Barásoain', N'barasoain', N'31395', 42.605170, -1.645544)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4688, 31, N'Barbarin', N'barbarin', N'31243', 42.602135, -2.101554)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4689, 31, N'Bargota', N'bargota', N'31229', 42.558260, -2.309727)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4690, 31, N'Barillas', N'barillas', N'31523', 41.971199, -1.663062)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4691, 31, N'Basaburua', N'basaburua', N'31866', 43.025369, -1.826409)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4692, 31, N'Baztan', N'baztan', N'31700', 43.144080, -1.518849)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4693, 31, N'Beintza-Labaien', N'beintza-labaien', N'31753', 43.087382, -1.743221)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4694, 31, N'Beire', N'beire', N'31393', 42.453775, -1.621479)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4695, 31, N'Belascoáin', N'belascoain', N'31174', 42.756045, -1.830279)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4696, 31, N'Vera de Bidasoa', N'vera-de-bidasoa', N'31780', 43.280891, -1.681380)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4697, 31, N'Berbinzana', N'berbinzana', N'31252', 42.527120, -1.834729)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4698, 31, N'Beriáin', N'beriain', N'31191', 42.734205, -1.645289)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4699, 31, N'Berrioplano', N'berrioplano', N'31195', 42.847062, -1.686801)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4700, 31, N'Berriozar', N'berriozar', N'31013', 42.844093, -1.669659)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4701, 31, N'Bertizarana', N'bertizarana', N'31792', 43.133555, -1.629014)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4702, 31, N'Betelu', N'betelu', N'31890', 43.025325, -1.980144)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4703, 31, N'Bidaurreta', N'bidaurreta', N'31174', 42.774710, -1.834594)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4704, 31, N'Biurrun-Olcoz', N'biurrun-olcoz', N'31398', 42.692175, -1.678709)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4705, 31, N'Buñuel', N'bunuel', N'31540', 41.980549, -1.443758)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4706, 31, N'Burgui/Burgi', N'burgui-burgi', N'31412', 42.720313, -1.003575)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4707, 31, N'Burlada/Burlata', N'burlada-burlata', N'31600', 42.826569, -1.614003)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4708, 31, N'Busto', N'busto', N'31229', 42.549381, -2.241983)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4709, 31, N'Cabanillas', N'cabanillas', N'31511', 42.031412, -1.523495)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4710, 31, N'Cabredo', N'cabredo', N'31227', 42.629507, -2.413001)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4711, 31, N'Cadreita', N'cadreita', N'31515', 42.217903, -1.695027)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4712, 31, N'Caparroso', N'caparroso', N'31380', 42.341671, -1.649408)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4713, 31, N'Cárcar', N'carcar', N'31579', 42.390248, -1.971273)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4714, 31, N'Carcastillo', N'carcastillo', N'31310', 42.379692, -1.442943)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4715, 31, N'Cascante', N'cascante', N'31520', 41.998731, -1.678977)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4716, 31, N'Cáseda', N'caseda', N'31490', 42.522945, -1.367154)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4717, 31, N'Castejon', N'elcastejon', N'31590', 42.168079, -1.690478)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4718, 31, N'Castillonuevo', N'castillonuevo', N'31454', 42.678839, -1.044645)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4719, 31, N'Cendea de Olza/Oltza Zendea', N'cendea-de-olza-oltza-zendea', N'31171', 42.850516, -1.766696)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4720, 31, N'Cintruénigo', N'cintruenigo', N'31592', 42.080165, -1.805019)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4721, 31, N'Cirauqui', N'cirauqui', N'31131', 42.675747, -1.890678)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4722, 31, N'Ciriza', N'ciriza', N'31174', 42.790866, -1.826906)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4723, 31, N'Cizur', N'cizur', N'31190', 42.787748, -1.676745)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4724, 31, N'Corella', N'corella', N'31591', 42.114062, -1.784570)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4725, 31, N'Cortes', N'cortes', N'31530', 41.922620, -1.421785)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4726, 31, N'Desojo', N'desojo', N'31229', 42.587308, -2.273312)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4727, 31, N'Dicastillo', N'dicastillo', N'31263', 42.596028, -2.028866)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4728, 31, N'Donamaria', N'donamaria', N'31750', 43.116930, -1.666274)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4729, 31, N'Doneztebe/Santesteban', N'doneztebe-santesteban', N'31740', 43.130931, -1.668720)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4730, 31, N'Echarri', N'echarri', N'31174', 42.780693, -1.826220)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4732, 31, N'Elgorriaga', N'elgorriaga', N'31744', 43.139340, -1.689448)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4733, 31, N'Enériz', N'eneriz', N'31153', 42.670225, -1.728888)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4734, 31, N'Eratsun', N'eratsun', N'31748', 43.083715, -1.796694)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4735, 31, N'Ergoiena', N'ergoiena', N'31829', 42.876467, -2.023373)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4736, 31, N'Erro', N'erro', N'31697', 42.943041, -1.447105)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4737, 31, N'Eslava', N'eslava', N'31494', 42.566388, -1.500235)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4738, 31, N'Esparza de Salazar/Espartza Zaraitzu', N'esparza-de-salazar-espartza-zaraitzu', N'31453', 42.853536, -1.099405)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4739, 31, N'Espronceda', N'espronceda', N'31228', 42.596439, -2.305326)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4740, 31, N'Estella/Lizarra', N'estella-lizarra', N'31200', 42.670509, -2.030625)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4741, 31, N'Esteribar', N'esteribar', N'31699', 42.950203, -1.533923)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4742, 31, N'Etayo', N'etayo', N'31281', 42.617855, -2.155809)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4743, 31, N'Etxalar', N'etxalar', N'31760', 43.233979, -1.637306)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4744, 31, N'Etxarri-Aranatz', N'etxarri-aranatz', N'31820', 42.908003, -2.063885)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4745, 31, N'Etxauri', N'etxauri', N'31174', 42.794298, -1.791501)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4746, 31, N'Eulate', N'eulate', N'31271', 42.776724, -2.207823)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4747, 31, N'Ezcabarte', N'ezcabarte', N'31194', 42.850736, -1.620741)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4748, 31, N'Ezcároz/Ezkaroze', N'ezcaroz-ezkaroze', N'31690', 42.887568, -1.097002)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4749, 31, N'Ezkurra', N'ezkurra', N'31749', 43.084655, -1.824031)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4750, 31, N'Ezprogui', N'ezprogui', N'31003', 42.583343, -1.415927)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4751, 31, N'Falces', N'falces', N'31370', 42.388029, -1.793690)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4752, 31, N'Fitero', N'fitero', N'31593', 42.056590, -1.858106)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4753, 31, N'Fontellas', N'fontellas', N'31512', 42.027778, -1.575637)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4754, 31, N'Funes', N'funes', N'31360', 42.314322, -1.803131)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4755, 31, N'Fustiñana', N'fustinana', N'31510', 42.020063, -1.485901)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4756, 31, N'Galar', N'galar', N'31191', 42.761507, -1.698675)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4757, 31, N'Gallipienzo', N'gallipienzo', N'31493', 42.523609, -1.409683)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4758, 31, N'Gallués/Galoze', N'gallues-galoze', N'31451', 42.783654, -1.095328)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4759, 31, N'Garaioa', N'garaioa', N'31692', 42.930159, -1.242828)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4760, 31, N'Garde', N'garde', N'31414', 42.788630, -0.924053)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4761, 31, N'Garínoain', N'garinoain', N'31395', 42.600957, -1.643872)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4762, 31, N'Garralda', N'garralda', N'31693', 42.948444, -1.286216)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4763, 31, N'Genevilla', N'genevilla', N'31227', 42.645008, -2.391372)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4764, 31, N'Goizueta', N'goizueta', N'31754', 43.171414, -1.864071)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4765, 31, N'Goñi', N'goni', N'31172', 42.852215, -1.902523)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4767, 31, N'Guesálaz', N'guesalaz', N'31175', 42.750164, -1.916728)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4768, 31, N'Guirguillano', N'guirguillano', N'31291', 42.717791, -1.878061)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4769, 31, N'Hiriberri/Villanueva de Aezkoa', N'hiriberri-villanueva-de-aezkoa', N'31671', 42.945271, -1.230254)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4770, 31, N'Huarte/Uharte', N'huarte-uharte', N'31620', 42.831888, -1.590443)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4771, 31, N'Ibargoiti', N'ibargoiti', N'31472', 42.692593, -1.486545)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4772, 31, N'Igantzi', N'igantzi', N'31790', 43.226068, -1.699233)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4773, 31, N'Igúzquiza', N'iguzquiza', N'31241', 42.645261, -2.084742)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4774, 31, N'Imotz', N'imotz', N'31869', 42.954475, -1.823130)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4775, 31, N'Irañeta', N'iraneta', N'31849', 42.923058, -1.944795)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4776, 31, N'Irurtzun', N'irurtzun', N'31860', 42.919978, -1.823902)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4777, 31, N'Isaba/Izaba', N'isaba-izaba', N'31417', 42.861496, -0.924740)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4778, 31, N'Ituren', N'ituren', N'31745', 43.129256, -1.706915)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4779, 31, N'Iturmendi', N'iturmendi', N'31810', 42.889533, -2.119031)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4780, 31, N'Iza', N'iza', N'31170', 42.837002, -1.728973)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4781, 31, N'Izagaondoa', N'izagaondoa', N'31421', 42.736217, -1.421313)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4782, 31, N'Izalzu/Itzaltzu', N'izalzu-itzaltzu', N'31689', 42.913645, -1.052284)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4783, 31, N'Jaurrieta', N'jaurrieta', N'31691', 42.887175, -1.136656)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4784, 31, N'Javier', N'javier', N'31411', 42.591021, -1.208797)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4785, 31, N'Juslapeña', N'juslapena', N'31193', 42.899044, -1.694770)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4786, 31, N'Lakuntza', N'lakuntza', N'31830', 42.921486, -2.023330)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4787, 31, N'Lana', N'lana', N'31283', 42.706123, -2.246919)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4788, 31, N'Lantz', N'lantz', N'31798', 42.997428, -1.622543)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4789, 31, N'Lapoblación', N'lapoblacion', N'31227', 42.605379, -2.460036)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4790, 31, N'Larraga', N'larraga', N'31251', 42.558960, -1.848578)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4791, 31, N'Larraona', N'larraona', N'31270', 42.779370, -2.257519)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4792, 31, N'Larraun', N'larraun', N'31670', 42.995200, -1.224074)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4793, 31, N'Lazagurría', N'lazagurria', N'31588', 42.492954, -2.242198)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4794, 31, N'Leache', N'leache', N'31460', 42.607558, -1.406507)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4795, 31, N'Legarda', N'legarda', N'31133', 42.711768, -1.772704)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4796, 31, N'Legaria', N'legaria', N'31281', 42.649270, -2.173705)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4797, 31, N'Leitza', N'leitza', N'31880', 43.078230, -1.914668)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4798, 31, N'Lekunberri', N'lekunberri', N'31870', 43.001497, -1.889648)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4799, 31, N'Leoz', N'leoz', N'31395', 42.645545, -1.519547)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4800, 31, N'Lerga', N'lerga', N'31494', 42.567273, -1.500964)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4801, 31, N'Lerín', N'lerin', N'31260', 42.482954, -1.972561)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4802, 31, N'Lesaka', N'lesaka', N'31770', 43.246985, -1.703010)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4803, 31, N'Lezáun', N'lezaun', N'31177', 42.778393, -1.994963)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4804, 31, N'Liédena', N'liedena', N'31487', 42.619086, -1.275659)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4805, 31, N'Lizoáin', N'lizoain', N'31482', 42.798046, -1.467147)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4806, 31, N'Lodosa', N'lodosa', N'31580', 42.425009, -2.078176)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4807, 31, N'Lónguida/Longida', N'longuida-longida', N'31430', 42.767494, -1.401014)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4808, 31, N'Lumbier', N'lumbier', N'31440', 42.653657, -1.307631)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4809, 31, N'Luquin', N'luquin', N'31243', 42.612233, -2.099676)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4810, 31, N'Luzaide/Valcarlos', N'luzaide-valcarlos', N'31660', 43.092146, -1.302052)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4811, 31, N'Mañeru', N'maneru', N'31130', 42.669973, -1.862912)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4812, 31, N'Maraón', N'maranon', N'31227', 42.629854, -2.439222)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4813, 31, N'Marcilla', N'marcilla', N'31340', 42.327205, -1.739101)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4814, 31, N'Mélida', N'melida', N'31382', 42.358639, -1.548171)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4815, 31, N'Mendavia', N'mendavia', N'31587', 42.444678, -2.200699)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4816, 31, N'Mendaza', N'mendaza', N'31282', 42.641757, -2.234988)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4817, 31, N'Mendigorría', N'mendigorria', N'31150', 42.628496, -1.837463)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4818, 31, N'Metauten', N'metauten', N'31241', 42.676946, -2.129631)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4819, 31, N'Milagro', N'milagro', N'09460', 42.241100, -1.763134)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4820, 31, N'Mirafuentes', N'mirafuentes', N'31219', 42.622339, -2.279835)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4821, 31, N'Miranda de Arga', N'miranda-de-arga', N'31253', 42.483492, -1.828451)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4822, 31, N'Monreal', N'monreal', N'31471', 42.704862, -1.506157)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4823, 31, N'Monteagudo', N'monteagudo', N'31522', 41.962458, -1.692109)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4824, 31, N'Morentin', N'morentin', N'31264', 42.612675, -2.013803)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4825, 31, N'Mues', N'mues', N'31219', 42.606405, -2.225976)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4826, 31, N'Murchante', N'murchante', N'31521', 42.030424, -1.653142)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4827, 31, N'Murieta', N'murieta', N'31280', 42.655953, -2.153835)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4828, 31, N'Murillo el Cuende', N'murillo-el-cuende', N'31391', 42.397221, -1.629453)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4829, 31, N'Murillo el Fruto', N'murillo-el-fruto', N'31313', 42.392942, -1.461353)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4830, 31, N'Muruzábal', N'muruzabal', N'31152', 42.689943, -1.771545)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4831, 31, N'Navascués', N'navascues', N'31450', 42.718737, -1.116314)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4832, 31, N'Nazar', N'nazar', N'31282', 42.636705, -2.279406)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4833, 31, N'Noáin, Valle de Elorz/Noain, Elortzibar', N'noain-valle-de-elorz-noain-elortzibar', N'31110', 42.760783, -1.633615)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4834, 31, N'Obanos', N'obanos', N'31151', 42.679194, -1.785933)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4835, 31, N'Ochagavía/Otsagabia', N'ochagavia-otsagabia', N'31680', 42.905582, -1.090822)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4836, 31, N'Oco', N'oco', N'31281', 42.638347, -2.164435)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4837, 31, N'Odieta', N'odieta', N'31799', 42.940088, -1.638122)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4838, 31, N'Oitz', N'oitz', N'31751', 43.109662, -1.686015)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4839, 31, N'Olaibar', N'olaibar', N'31799', 42.886153, -1.602802)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4840, 31, N'Olazti/Olazagutía', N'olazti-olazagutia', N'31809', 42.875429, -2.198231)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4841, 31, N'Olejua', N'olejua', N'31281', 42.623349, -2.141047)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4842, 31, N'Olite', N'olite', N'31390', 42.480896, -1.651812)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4843, 31, N'Ollo', N'ollo', N'31172', 42.867315, -1.859050)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4844, 31, N'Olóriz', N'oloriz', N'31396', 42.635758, -1.612844)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4845, 31, N'Orbaitzeta', N'orbaitzeta', N'31670', 42.975328, -1.232100)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4846, 31, N'Orbara', N'orbara', N'31671', 42.966708, -1.241798)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4847, 31, N'Orísoain', N'orisoain', N'31395', 42.601209, -1.602974)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4848, 31, N'Orkoien', N'orkoien', N'31160', 42.822902, -1.702259)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4849, 31, N'Oronz/Orontze', N'oronz-orontze', N'31451', 42.868699, -1.096830)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4850, 31, N'Oroz-Betelu', N'oroz-betelu', N'31439', 42.904262, -1.303167)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4851, 31, N'Orreaga/Roncesvalles', N'orreaga-roncesvalles', N'31650', 43.008303, -1.321020)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4852, 31, N'Oteiza', N'oteiza', N'31250', 42.620949, -1.953936)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4853, 31, N'Pamplona/Iruña', N'pamplona-iruna', N'31191', 42.818196, -1.644044)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4854, 31, N'Peralta', N'peralta', N'31350', 42.339006, -1.797552)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4855, 31, N'Petilla de Aragón', N'petilla-de-aragon', N'50686', 42.461349, -1.093955)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4856, 31, N'Piedramillera', N'piedramillera', N'31219', 42.633201, -2.201900)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4857, 31, N'Pitillas', N'pitillas', N'31392', 42.422506, -1.622114)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4858, 31, N'Puente la Reina/Gares', N'puente-la-reina-gares', N'31100', 42.671771, -1.816607)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4859, 31, N'Pueyo', N'pueyo', N'31394', 42.565788, -1.647949)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4860, 31, N'Ribaforada', N'ribaforada', N'31550', 41.997008, -1.510534)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4861, 31, N'Romanzado', N'romanzado', N'31454', 42.681804, -1.235619)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4862, 31, N'Roncal/Erronkari', N'roncal-erronkari', N'31415', 42.808877, -0.957012)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4863, 31, N'Sada', N'lasada', N'31491', 42.586582, -1.398268)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4864, 31, N'Saldías', N'saldias', N'31747', 43.094246, -1.784077)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4865, 31, N'Salinas de Oro', N'salinas-de-oro', N'31175', 42.777417, -1.891279)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4866, 31, N'San Adrián', N'san-adrian', N'31570', 42.344430, -1.940975)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4867, 31, N'San Martín de Unx', N'san-martin-de-unx', N'31495', 42.526013, -1.560917)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4868, 31, N'Sang', N'sang', N'31400', 42.575364, -1.284542)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4869, 31, N'Sansol', N'sansol', N'31220', 42.553902, -2.267733)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4870, 31, N'Santacara', N'santacara', N'31314', 42.375856, -1.553965)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4871, 31, N'Sarriés/Sartze', N'sarries-sartze', N'31451', 42.835758, -1.101894)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4872, 31, N'Sartaguda', N'sartaguda', N'31589', 42.383053, -2.067704)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4873, 31, N'Sesma', N'sesma', N'31293', 42.478238, -2.084227)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4874, 31, N'Sorlada', N'sorlada', N'31219', 42.615328, -2.215376)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4875, 31, N'Sunbilla', N'sunbilla', N'31791', 43.164997, -1.670694)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4876, 31, N'Tafalla', N'tafalla', N'31300', 42.531706, -1.673698)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4877, 31, N'Tiebas-Muruarte de Reta', N'tiebas-muruarte-de-reta', N'31398', 42.693098, -1.639881)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4878, 31, N'Tirapu', N'tirapu', N'31154', 42.656561, -1.703053)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4879, 31, N'Torralba del Río', N'torralba-del-rio', N'31228', 42.608569, -2.332706)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4881, 31, N'Tudela', N'tudela', N'31500', 42.065352, -1.604691)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4882, 31, N'Tulebras', N'tulebras', N'31522', 41.983037, -1.658893)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4883, 31, N'Ucar', N'ucar', N'31154', 42.676189, -1.706657)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4884, 31, N'Uharte-Arakil', N'uharte-arakil', N'31840', 42.920983, -1.972432)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4885, 31, N'Ujué', N'ujue', N'31496', 42.507603, -1.499119)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4886, 31, N'Ultzama', N'ultzama', N'31799', 43.000253, -1.677175)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4887, 31, N'Unciti', N'unciti', N'31422', 42.747674, -1.501651)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4888, 31, N'Unzué', N'unzue', N'31396', 42.652584, -1.625676)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4889, 31, N'Urdazubi/Urdax', N'urdazubi-urdax', N'31711', 43.276237, -1.504827)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4890, 31, N'Urdiain', N'urdiain', N'31810', 42.887411, -2.136455)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4891, 31, N'Urraul Alto', N'urraul-alto', N'31448', 42.775905, -1.247334)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4892, 31, N'Urraul Bajo', N'urraul-bajo', N'31448', 42.713629, -1.322823)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4893, 31, N'Urrotz', N'urrotz', N'31752', 43.100482, -1.707129)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4894, 31, N'Urroz-Villa', N'urroz-villa', N'31420', 42.779275, -1.457233)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4895, 31, N'Urzainqui/Urzainki', N'urzainqui-urzainki', N'31416', 42.832171, -0.942721)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4896, 31, N'Uterga', N'uterga', N'31133', 42.710034, -1.759357)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4897, 31, N'Uztárroz/Uztarroze', N'uztarroz-uztarroze', N'31418', 42.892033, -0.940576)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4898, 31, N'Valle de Yerri/Deierri', N'valle-de-yerri-deierri', N'31176', 42.716939, -1.999769)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4899, 31, N'Valtierra', N'valtierra', N'31514', 42.195969, -1.633744)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4900, 31, N'Viana', N'viana', N'31230', 42.515069, -2.374420)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4901, 31, N'Vidángoz/Bidankoze', N'vidangoz-bidankoze', N'31413', 42.800407, -1.014690)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4902, 31, N'Villafranca', N'villafranca', N'31330', 42.279531, -1.749830)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4903, 31, N'Villamayor de Monjardín', N'villamayor-de-monjardin', N'31242', 42.629452, -2.102230)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4904, 31, N'Villatuerta', N'villatuerta', N'31132', 42.659622, -1.993890)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4905, 31, N'Villava/Atarrabia', N'villava-atarrabia', N'31610', 42.831101, -1.608510)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4906, 31, N'Yesa', N'yesa', N'31410', 42.619686, -1.203647)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4907, 31, N'Zabalza', N'zabalza', N'31174', 42.779338, -1.798196)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4908, 31, N'Ziordia', N'ziordia', N'31809', 42.870995, -2.228551)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4909, 31, N'Zizur Mayor/Zizur Nagusia', N'zizur-mayor-zizur-nagusia', N'31180', 42.787118, -1.690264)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4910, 31, N'Zubieta', N'zubieta', N'31746', 43.124542, -1.742020)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4911, 31, N'Zugarramurdi', N'zugarramurdi', N'31710', 43.269394, -1.539545)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4912, 31, N'Zúñiga', N'zuniga', N'31284', 42.694643, -2.302451)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4914, 35, N'Allariz', N'allariz', N'32660', 42.189635, -7.803374)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4915, 35, N'Amoeiro', N'amoeiro', N'32170', 42.414469, -7.945167)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4916, 35, N'Arnoia', N'arnoia', N'32417', 42.244850, -8.136210)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4917, 35, N'Avión', N'avion', N'32520', 42.374423, -8.251764)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4918, 35, N'Baltar', N'baltar', N'32632', 41.951010, -7.715444)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4919, 35, N'Bande', N'bande', N'32840', 42.030782, -7.975110)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4920, 35, N'Baños de Molgas', N'banos-de-molgas', N'32701', 42.242485, -7.672474)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4921, 35, N'Barbadás', N'barbadas', N'32890', 42.301057, -7.887219)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4922, 35, N'Barco de Valdeorras', N'barco-de-valdeorras', N'32315', 42.417720, -6.964175)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4923, 35, N'Beade', N'beade', N'32431', 42.328700, -8.127445)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4924, 35, N'Beariz', N'beariz', N'32520', 42.466265, -8.271844)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4925, 35, N'Blancos', N'blancos', N'32634', 41.997662, -7.751927)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4926, 35, N'Boborás', N'boboras', N'32514', 42.433482, -8.142800)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4927, 35, N'Bola', N'bola', N'32812', 42.152062, -7.914748)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4928, 35, N'Bolo', N'bolo', N'32577', 42.440545, -8.005900)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4929, 35, N'Calvos de Randín', N'calvos-de-randin', N'32648', 41.944665, -7.897196)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4930, 35, N'Carballeda de Avia', N'carballeda-de-avia', N'32413', 42.321351, -8.163700)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4931, 35, N'Carballeda de Valdeorras', N'carballeda-de-valdeorras', N'32330', 42.378503, -6.879802)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4932, 35, N'Carballiño', N'carballino', N'32500', 42.461698, -8.093190)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4933, 35, N'Cartelle', N'cartelle', N'32820', 42.248677, -8.069758)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4934, 35, N'Castrelo de Miño', N'castrelo-de-mino', N'32430', 42.283355, -8.116676)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4935, 35, N'Castrelo do Val', N'castrelo-do-val', N'32625', 41.993452, -7.425942)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4936, 35, N'Castro Caldelas', N'castro-caldelas', N'32760', 42.376982, -7.411823)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4937, 35, N'Celanova', N'celanova', N'32800', 42.152094, -7.958522)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4938, 35, N'Cenlle', N'cenlle', N'32454', 42.343273, -8.087482)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4939, 35, N'Chandrexa de Queixa', N'chandrexa-de-queixa', N'32786', 42.260747, -7.378736)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4940, 35, N'Coles', N'coles', N'32152', 42.401911, -7.837286)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4941, 35, N'Cortegada', N'cortegada', N'32200', 42.207922, -8.168635)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4942, 35, N'Cualedro', N'cualedro', N'32689', 41.990884, -7.597046)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4943, 35, N'Entrimo', N'entrimo', N'32860', 41.933699, -8.116665)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4944, 35, N'Esgos', N'esgos', N'32720', 42.324539, -7.694550)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4945, 35, N'Gomesende', N'gomesende', N'32212', 42.165662, -8.103490)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4946, 35, N'Gudiña', N'gudina', N'32540', 42.061306, -7.137980)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4947, 35, N'Irixo', N'irixo', N'32530', 42.512285, -8.116665)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4948, 35, N'Larouco', N'larouco', N'32358', 42.347571, -7.159524)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4949, 35, N'Laza', N'laza', N'32620', 42.061975, -7.461433)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4950, 35, N'Leiro', N'leiro', N'32420', 42.369452, -8.123875)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4951, 35, N'Lobeira', N'lobeira', N'32850', 41.999432, -8.043108)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4952, 35, N'Lobios', N'lobios', N'32643', 42.009573, -7.914920)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4953, 35, N'Maceda', N'maceda', N'32700', 42.272038, -7.650132)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4954, 35, N'Manzaneda', N'manzaneda', N'32781', 42.310768, -7.234840)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4955, 35, N'Maside', N'maside', N'32570', 42.411322, -8.025556)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4956, 35, N'Melón', N'melon', N'32410', 42.257841, -8.217816)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4957, 35, N'Merca', N'merca', N'32830', 42.223496, -7.905092)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4958, 35, N'Mezquita', N'mezquita', N'32549', 42.010338, -7.046099)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4959, 35, N'Montederramo', N'montederramo', N'32750', 42.277309, -7.503319)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4960, 35, N'Monterrei', N'monterrei', N'32710', 41.947171, -7.448044)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4961, 35, N'Muíños', N'muinos', N'32880', 41.954352, -7.985859)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4962, 35, N'Nogueira de Ramuín', N'nogueira-de-ramuin', N'32160', 42.413382, -7.726436)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4963, 35, N'Oímbra', N'oimbra', N'32613', 41.885697, -7.471905)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4964, 35, N'Ourense', N'ourense', N'32643', 42.340006, -7.864645)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4965, 35, N'Paderne de Allariz', N'paderne-de-allariz', N'32112', 42.277849, -7.745833)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4966, 35, N'Padrenda', N'padrenda', N'32236', 42.133399, -8.150171)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4967, 35, N'Parada de Sil', N'parada-de-sil', N'32740', 42.383401, -7.568808)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4968, 35, N'Pereiro de Aguiar', N'pereiro-de-aguiar', N'32710', 42.340021, -7.864666)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4969, 35, N'Peroxa', N'peroxa', N'32150', 42.440149, -7.795830)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4970, 35, N'Petín', N'petin', N'32356', 42.382736, -7.125750)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4971, 35, N'Piñor', N'pinor', N'32930', 42.498175, -8.005257)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4972, 35, N'Pobra de Trives', N'pobra-de-trives', N'32789', 42.339546, -7.252607)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4973, 35, N'Pontedeva', N'pontedeva', N'32235', 42.168906, -8.140054)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4974, 35, N'Porqueira', N'porqueira', N'32643', 42.018087, -7.840548)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4975, 35, N'Punxín', N'punxin', N'32456', 42.370466, -8.011351)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4976, 35, N'Quintela de Leirado', N'quintela-de-leirado', N'32814', 42.139255, -8.101730)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4977, 35, N'Rairiz de Veiga', N'rairiz-de-veiga', N'32652', 42.082665, -7.832007)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4978, 35, N'Ramirás', N'ramiras', N'32430', 42.187654, -8.021650)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4979, 35, N'Ribadavia', N'ribadavia', N'32400', 42.287707, -8.142929)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4980, 35, N'Riós', N'rios', N'32530', 42.511827, -8.117309)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4981, 35, N'Rúa', N'rua', N'32350', 42.392340, -7.120900)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4982, 35, N'Rubiá', N'rubia', N'32310', 42.449856, -6.947393)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4983, 35, N'San Amaro', N'san-amaro', N'32455', 42.373431, -8.071647)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4984, 35, N'San Cibrao das Viñas', N'san-cibrao-das-vinas', N'32911', 42.297802, -7.872519)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4985, 35, N'San Cristovo de Cea', N'san-cristovo-de-cea', N'32130', 42.472793, -7.985322)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4986, 35, N'San Xoán de Río', N'san-xoan-de-rio', N'32770', 42.371148, -7.298312)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4987, 35, N'Sandiás', N'sandias', N'32692', 42.113203, -7.756863)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4988, 35, N'Sarreaus', N'sarreaus', N'32631', 42.086455, -7.603354)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4989, 35, N'Taboadela', N'taboadela', N'32690', 42.240417, -7.824411)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4990, 35, N'Teixeira', N'teixeira', N'32765', 42.391722, -7.474008)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4991, 35, N'Toén', N'toen', N'32930', 42.316654, -7.954273)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4992, 35, N'Trasmiras', N'trasmiras', N'32695', 42.024543, -7.615714)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4993, 35, N'Veiga', N'veiga', N'32915', 42.316523, -8.141052)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4994, 35, N'Verea', N'verea', N'32813', 42.100372, -7.949939)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4995, 35, N'Verín', N'verin', N'32600', 41.940771, -7.438903)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4996, 35, N'Viana do Bolo', N'viana-do-bolo', N'32550', 42.178877, -7.113776)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4997, 35, N'Vilamarín', N'vilamarin', N'32101', 42.472793, -7.985344)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4998, 35, N'Vilamartín de Valdeorras', N'vilamartin-de-valdeorras', N'32340', 42.415425, -7.059617)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (4999, 35, N'Vilar de Barrio', N'vilar-de-barrio', N'32702', 42.160843, -7.611723)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5000, 35, N'Vilar de Santos', N'vilar-de-santos', N'32650', 42.087602, -7.794199)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5001, 35, N'Vilardevós', N'vilardevos', N'32616', 41.907595, -7.313118)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5002, 35, N'Vilariño de Conso', N'vilarino-de-conso', N'32557', 42.166441, -7.181969)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5003, 35, N'Xinzo de Limia', N'xinzo-de-limia', N'32630', 42.063265, -7.724247)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5004, 35, N'Xunqueira de Ambía', N'xunqueira-de-ambia', N'32670', 42.204855, -7.734332)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5005, 35, N'Xunqueira de Espadanedo', N'xunqueira-de-espadanedo', N'32730', 42.319891, -7.629404)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5007, 17, N'Allande', N'allande', N'33886', 43.271637, -6.611031)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5008, 17, N'Aller', N'aller', N'33685', 43.161525, -5.622834)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5009, 17, N'Amieva', N'amieva', N'33558', 43.268975, -5.128919)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5010, 17, N'Avilés', N'aviles', N'33401', 43.558476, -5.921135)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5011, 17, N'Belmonte de Miranda', N'belmonte-de-miranda', N'33830', 43.280470, -6.218989)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5012, 17, N'Bimenes', N'bimenes', N'33527', 43.329525, -5.566349)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5013, 17, N'Boal', N'boal', N'33720', 43.427686, -6.818737)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5014, 17, N'Cabrales', N'cabrales', N'33555', 43.302263, -4.815768)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5015, 17, N'Cabranes', N'cabranes', N'33310', 43.416730, -5.410279)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5016, 17, N'Candamo', N'candamo', N'33416', 43.434614, -6.061703)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5017, 17, N'Cangas de Onís', N'cangas-de-onis', N'33550', 43.350795, -5.130279)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5018, 17, N'Cangas del Narcea', N'cangas-del-narcea', N'33890', 43.180165, -6.550229)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5019, 17, N'Caravia', N'caravia', N'33199', 43.463600, -5.186664)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5020, 17, N'Carreño', N'carreno', N'33430', 43.589781, -5.767619)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5021, 17, N'Caso', N'caso', N'33990', 43.182588, -5.344304)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5022, 17, N'Castrillón', N'castrillon', N'33727', 43.559580, -5.974489)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5023, 17, N'Castropol', N'castropol', N'33760', 43.524239, -7.027882)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5024, 17, N'Coaña', N'coana', N'33795', 43.516545, -6.747400)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5025, 17, N'Colunga', N'colunga', N'33320', 43.485459, -5.275173)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5026, 17, N'Corvera de Asturias', N'corvera-de-asturias', N'33429', 43.535145, -5.889209)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5027, 17, N'Cudillero', N'cudillero', N'33159', 43.559111, -6.149106)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5028, 17, N'Degaña', N'degana', N'33812', 42.941657, -6.577912)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5029, 17, N'Franco', N'franco', N'33746', 43.556977, -6.873922)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5030, 17, N'Gijón', N'gijon', N'33201', 43.542035, -5.663799)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5031, 17, N'Gozón', N'gozon', N'33449', 43.614709, -5.796950)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5032, 17, N'Grado', N'grado', N'33829', 43.389072, -6.070997)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5033, 17, N'Grandas de Salime', N'grandas-de-salime', N'33730', 43.218143, -6.875838)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5034, 17, N'Ibias', N'ibias', N'33810', 43.038068, -6.873103)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5035, 17, N'Illano', N'illano', N'33734', 43.334166, -6.864747)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5036, 17, N'Illas', N'illas', N'33411', 43.495808, -5.968149)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5037, 17, N'Langreo', N'langreo', N'33949', 43.288400, -5.669209)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5038, 17, N'Laviana', N'laviana', N'33986', 43.248385, -5.562989)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5039, 17, N'Lena', N'lena', N'33620', 43.157525, -5.829029)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5040, 17, N'Llanera', N'llanera', N'33426', 43.439625, -5.851319)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5041, 17, N'Llanes', N'llanes', N'33500', 43.420720, -4.754994)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5042, 17, N'Mieres', N'mieres', N'33616', 43.250390, -5.771939)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5043, 17, N'Morcín', N'morcin', N'33161', 43.280914, -5.879929)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5044, 17, N'Muros de Nalón', N'muros-de-nalon', N'33138', 43.542032, -6.103448)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5045, 17, N'Nava', N'nava', N'33529', 43.359035, -5.508204)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5046, 17, N'Navia', N'navia', N'33719', 43.540614, -6.724533)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5047, 17, N'Noreña', N'norena', N'33180', 43.400110, -5.702029)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5048, 17, N'Onís', N'onis', N'33550', 43.335015, -4.967194)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5049, 17, N'Oviedo', N'oviedo', N'33001', 43.362689, -5.847531)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5050, 17, N'Parres', N'parres', N'33585', 43.390215, -5.185274)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5051, 17, N'Peñamellera Alta', N'penamellera-alta', N'33576', 43.332652, -4.704084)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5052, 17, N'Peñamellera Baja', N'penamellera-baja', N'33576', 43.326325, -4.584959)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5053, 17, N'Pesoz', N'pesoz', N'33735', 43.256960, -6.875379)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5054, 17, N'Piloña', N'pilona', N'33539', 43.345295, -5.361159)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5055, 17, N'Ponga', N'ponga', N'33557', 43.190971, -5.166581)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5056, 17, N'Pravia', N'pravia', N'33120', 43.488191, -6.111737)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5057, 17, N'Proaza', N'proaza', N'33114', 43.251687, -6.016207)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5058, 17, N'Quirós', N'quiros', N'33117', 43.159070, -5.973239)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5059, 17, N'Regueras', N'regueras', N'33191', 43.581882, -5.788585)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5060, 17, N'Ribadedeva', N'ribadedeva', N'33416', 43.374792, -4.540259)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5061, 17, N'Ribadesella', N'ribadesella', N'33560', 43.460955, -5.060444)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5062, 17, N'Ribera de Arriba', N'ribera-de-arriba', N'33171', 43.309389, -5.875558)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5063, 17, N'Riosa', N'riosa', N'33160', 43.230545, -5.882283)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5064, 17, N'Salas', N'salas', N'33869', 43.408875, -6.260619)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5065, 17, N'San Martín de Oscos', N'san-martin-de-oscos', N'33777', 43.265280, -6.962004)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5066, 17, N'San Martín del Rey Aurelio', N'san-martin-del-rey-aurelio', N'33791', 43.275000, -5.604184)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5067, 17, N'San Tirso de Abres', N'san-tirso-de-abres', N'33774', 43.409960, -7.142039)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5068, 17, N'Santa Eulalia de Oscos', N'santa-eulalia-de-oscos', N'33776', 43.259712, -7.022213)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5069, 17, N'Santo Adriano', N'santo-adriano', N'33119', 43.273321, -6.002424)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5070, 17, N'Sariego', N'sariego', N'33518', 43.410140, -5.559788)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5071, 17, N'Siero', N'siero', N'33936', 43.392861, -5.660772)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5072, 17, N'Sobrescobio', N'sobrescobio', N'33993', 43.221441, -5.455448)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5073, 17, N'Somiedo', N'somiedo', N'33840', 43.095165, -6.258234)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5074, 17, N'Soto del Barco', N'soto-del-barco', N'33458', 43.532418, -6.071630)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5075, 17, N'Tapia de Casariego', N'tapia-de-casariego', N'33740', 43.569227, -6.942608)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5076, 17, N'Taramundi', N'taramundi', N'33775', 43.360885, -7.108377)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5077, 17, N'Teverga', N'teverga', N'33111', 43.161695, -6.096359)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5078, 17, N'Tineo', N'tineo', N'33875', 43.333878, -6.416547)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5079, 17, N'Valdés', N'valdes', N'33938', 43.541890, -6.536614)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5080, 17, N'Vegadeo', N'vegadeo', N'33770', 43.464223, -7.050725)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5081, 17, N'Villanueva de Oscos', N'villanueva-de-oscos', N'33777', 43.311680, -6.986189)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5082, 17, N'Villaviciosa', N'villaviciosa', N'33315', 43.481290, -5.434104)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5083, 17, N'Villayón', N'villayon', N'33718', 43.447497, -6.704658)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5084, 17, N'Yernes y Tameza', N'yernes-y-tameza', N'33826', 43.251914, -6.127374)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5086, 39, N'Abarca de Campos', N'abarca-de-campos', N'34338', 42.062203, -4.843162)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5087, 39, N'Abia de las Torres', N'abia-de-las-torres', N'34491', 42.418065, -4.423129)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5088, 39, N'Aguilar de Campoo', N'aguilar-de-campoo', N'34800', 42.795500, -4.260724)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5089, 39, N'Alar del Rey', N'alar-del-rey', N'34480', 42.660335, -4.308029)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5090, 39, N'Alba de Cerrato', N'alba-de-cerrato', N'34219', 41.812867, -4.365209)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5091, 39, N'Amayuelas de Arriba', N'amayuelas-de-arriba', N'34429', 42.213135, -4.488258)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5092, 39, N'Ampudia', N'ampudia', N'34191', 41.914883, -4.779799)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5093, 39, N'Amusco', N'amusco', N'34420', 42.172876, -4.471768)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5094, 39, N'Antigüedad', N'antiguedad', N'34248', 41.945958, -4.117126)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5095, 39, N'Arconada', N'arconada', N'34449', 42.326740, -4.495149)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5096, 39, N'Astudillo', N'astudillo', N'34450', 42.192369, -4.298759)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5097, 39, N'Autilla del Pino', N'autilla-del-pino', N'34191', 41.991942, -4.632691)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5098, 39, N'Autillo de Campos', N'autillo-de-campos', N'34338', 42.086383, -4.832059)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5099, 39, N'Ayuela', N'ayuela', N'34473', 42.625408, -4.660591)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5100, 39, N'Baltanás', N'baltanas', N'34240', 41.935085, -4.246624)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5101, 39, N'Baquerín de Campos', N'baquerin-de-campos', N'34305', 42.015762, -4.780324)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5102, 39, N'Bárcena de Campos', N'barcena-de-campos', N'34477', 42.483869, -4.498679)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5103, 39, N'Barruelo de Santullán', N'barruelo-de-santullan', N'34820', 42.901869, -4.287487)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5104, 39, N'Báscones de Ojeda', N'bascones-de-ojeda', N'34406', 42.668153, -4.528275)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5105, 39, N'Becerril de Campos', N'becerril-de-campos', N'34310', 42.110538, -4.642763)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5106, 39, N'Belmonte de Campos', N'belmonte-de-campos', N'34304', 41.943991, -4.987548)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5107, 39, N'Berzosilla', N'berzosilla', N'39250', 42.779940, -4.038324)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5108, 39, N'Boada de Campos', N'boada-de-campos', N'34305', 41.990119, -4.876857)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5109, 39, N'Boadilla de Rioseco', N'boadilla-de-rioseco', N'34349', 42.179752, -4.968653)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5110, 39, N'Boadilla del Camino', N'boadilla-del-camino', N'34468', 42.258635, -4.346852)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5111, 39, N'Brañosera', N'branosera', N'34829', 42.910297, -4.286213)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5112, 39, N'Buenavista de Valdavia', N'buenavista-de-valdavia', N'34470', 42.638758, -4.613657)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5113, 39, N'Bustillo de la Vega', N'bustillo-de-la-vega', N'34116', 42.457661, -4.740429)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5114, 39, N'Bustillo del Páramo de Carrión', N'bustillo-del-paramo-de-carrion', N'34129', 42.357149, -4.737790)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5115, 39, N'Calahorra de Boedo', N'calahorra-de-boedo', N'34407', 42.575775, -4.386506)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5116, 39, N'Calzada de los Molinos', N'calzada-de-los-molinos', N'34129', 42.325809, -4.650736)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5117, 39, N'Capillas', N'capillas', N'34305', 42.013942, -4.889817)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5118, 39, N'Cardeñosa de Volpejera', N'cardenosa-de-volpejera', N'34309', 42.232903, -4.701977)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5119, 39, N'Carrión de los Condes', N'carrion-de-los-condes', N'34120', 42.338340, -4.600525)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5120, 39, N'Castil de Vela', N'castil-de-vela', N'34304', 41.984297, -4.959040)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5121, 39, N'Castrejón de la Peña', N'castrejon-de-la-pena', N'34850', 42.808342, -4.599710)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5122, 39, N'Castrillo de Don Juan', N'castrillo-de-don-juan', N'34246', 41.791793, -4.071207)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5123, 39, N'Castrillo de Onielo', N'castrillo-de-onielo', N'34219', 41.858439, -4.301748)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5124, 39, N'Castrillo de Villavega', N'castrillo-de-villavega', N'34478', 42.454716, -4.480062)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5125, 39, N'Castromocho', N'castromocho', N'34305', 42.030870, -4.822311)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5126, 39, N'Cervatos de la Cueza', N'cervatos-de-la-cueza', N'34309', 42.291152, -4.767895)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5127, 39, N'Cervera de Pisuerga', N'cervera-de-pisuerga', N'34840', 42.866214, -4.498043)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5128, 39, N'Cevico de la Torre', N'cevico-de-la-torre', N'34218', 41.853388, -4.410667)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5129, 39, N'Cevico Navero', N'cevico-navero', N'34247', 41.860165, -4.183903)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5130, 39, N'Cisneros', N'cisneros', N'34320', 42.220382, -4.856901)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5131, 39, N'Cobos de Cerrato', N'cobos-de-cerrato', N'34248', 42.028575, -4.001513)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5132, 39, N'Collazos de Boedo', N'collazos-de-boedo', N'34407', 42.619813, -4.479504)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5133, 39, N'Congosto de Valdavia', N'congosto-de-valdavia', N'34882', 42.712462, -4.633484)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5134, 39, N'Cordovilla la Real', N'cordovilla-la-real', N'34259', 42.079942, -4.258661)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5135, 39, N'Cubillas de Cerrato', N'cubillas-de-cerrato', N'34219', 41.798959, -4.465599)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5136, 39, N'Dehesa de Montejo', N'dehesa-de-montejo', N'34484', 42.819919, -4.510564)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5137, 39, N'Dehesa de Romanos', N'dehesa-de-romanos', N'34406', 42.640399, -4.434700)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5138, 39, N'Dueñas', N'duenas', N'34210', 41.876591, -4.544563)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5139, 39, N'Espinosa de Cerrato', N'espinosa-de-cerrato', N'34248', 41.967149, -3.950787)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5140, 39, N'Espinosa de Villagonzalo', N'espinosa-de-villagonzalo', N'34491', 42.480691, -4.370949)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5141, 39, N'Frechilla', N'frechilla', N'34306', 42.137886, -4.839306)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5142, 39, N'Fresno del Río', N'fresno-del-rio', N'34889', 42.682246, -4.817848)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5143, 39, N'Frómista', N'fromista', N'34440', 42.268036, -4.406204)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5144, 39, N'Fuentes de Nava', N'fuentes-de-nava', N'34337', 42.084401, -4.780297)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5145, 39, N'Fuentes de Valdepero', N'fuentes-de-valdepero', N'34419', 42.075928, -4.500189)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5146, 39, N'Grijota', N'grijota', N'34192', 42.053117, -4.582500)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5147, 39, N'Guardo', N'guardo', N'34880', 42.791118, -4.845142)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5148, 39, N'Guaza de Campos', N'guaza-de-campos', N'34306', 42.134895, -4.909859)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5149, 39, N'Hérmedes de Cerrato', N'hermedes-de-cerrato', N'34247', 41.819432, -4.174075)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5150, 39, N'Herrera de Pisuerga', N'herrera-de-pisuerga', N'34400', 42.594986, -4.330759)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5151, 39, N'Herrera de Valdecañas', N'herrera-de-valdecanas', N'34259', 42.049675, -4.200039)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5152, 39, N'Hontoria de Cerrato', N'hontoria-de-cerrato', N'34209', 41.911156, -4.441051)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5153, 39, N'Hornillos de Cerrato', N'hornillos-de-cerrato', N'34249', 41.989864, -4.271364)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5154, 39, N'Husillos', N'husillos', N'34419', 42.074877, -4.500232)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5155, 39, N'Itero de la Vega', N'itero-de-la-vega', N'34468', 42.288294, -4.259090)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5156, 39, N'Lagartos', N'lagartos', N'34347', 42.339070, -4.885011)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5157, 39, N'Lantadilla', N'lantadilla', N'34468', 42.340783, -4.276600)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5158, 39, N'Ledigos', N'ledigos', N'34347', 42.354548, -4.865527)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5159, 39, N'Loma de Ucieza', N'loma-de-ucieza', N'34127', 42.441418, -4.579110)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5160, 39, N'Lomas', N'lomas', N'34449', 42.274324, -4.549220)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5161, 39, N'Magaz de Pisuerga', N'magaz-de-pisuerga', N'34220', 41.982559, -4.428864)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5162, 39, N'Manquillos', N'manquillos', N'34429', 42.204966, -4.567566)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5163, 39, N'Mantinos', N'mantinos', N'34889', 42.722993, -4.823470)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5164, 39, N'Marcilla de Campos', N'marcilla-de-campos', N'34469', 42.317368, -4.396377)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5165, 39, N'Mazariegos', N'mazariegos', N'34170', 42.027109, -4.715195)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5166, 39, N'Mazuecos de Valdeginate', N'mazuecos-de-valdeginate', N'34306', 42.168811, -4.839649)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5167, 39, N'Melgar de Yuso', N'melgar-de-yuso', N'34467', 42.253871, -4.254456)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5168, 39, N'Meneses de Campos', N'meneses-de-campos', N'34305', 41.941792, -4.921317)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5169, 39, N'Micieces de Ojeda', N'micieces-de-ojeda', N'34485', 42.691189, -4.461651)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5170, 39, N'Monzón de Campos', N'monzon-de-campos', N'34410', 42.114285, -4.493666)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5171, 39, N'Moratinos', N'moratinos', N'34349', 42.360780, -4.926553)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5172, 39, N'Mudá', N'muda', N'34839', 42.875665, -4.394403)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5173, 39, N'Nogal de las Huertas', N'nogal-de-las-huertas', N'34128', 42.392704, -4.641080)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5174, 39, N'Olea de Boedo', N'olea-de-boedo', N'34407', 42.609564, -4.449205)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5175, 39, N'Olmos de Ojeda', N'olmos-de-ojeda', N'34486', 42.723024, -4.424744)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5176, 39, N'Osornillo', N'osornillo', N'34468', 42.370260, -4.291234)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5177, 39, N'Osorno la Mayor', N'osorno-la-mayor', N'34460', 42.409881, -4.361916)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5178, 39, N'Palencia', N'palencia', N'34001', 42.011901, -4.531474)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5179, 39, N'Palenzuela', N'palenzuela', N'34257', 42.094982, -4.128585)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5180, 39, N'Páramo de Boedo', N'paramo-de-boedo', N'34407', 42.578382, -4.401011)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5181, 39, N'Paredes de Nava', N'paredes-de-nava', N'34300', 42.154241, -4.694488)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5182, 39, N'Payo de Ojeda', N'payo-de-ojeda', N'34485', 42.720029, -4.479718)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5183, 39, N'Pedraza de Campos', N'pedraza-de-campos', N'34170', 41.986036, -4.732468)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5184, 39, N'Pedrosa de la Vega', N'pedrosa-de-la-vega', N'34116', 42.481909, -4.744871)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5185, 39, N'Perales', N'perales', N'34131', 42.196271, -4.580376)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5186, 39, N'Pernía', N'pernia', N'34847', 42.987478, -4.499545)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5187, 39, N'Pino del Río', N'pino-del-rio', N'34110', 42.645497, -4.806798)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5188, 39, N'Piña de Campos', N'pina-de-campos', N'34430', 42.213517, -4.436395)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5189, 39, N'Población de Arroyo', N'poblacion-de-arroyo', N'34347', 42.336468, -4.872930)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5190, 39, N'Población de Campos', N'poblacion-de-campos', N'34449', 42.273324, -4.448733)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5191, 39, N'Población de Cerrato', N'poblacion-de-cerrato', N'34219', 41.794864, -4.422233)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5192, 39, N'Polentinos', N'polentinos', N'34846', 42.939554, -4.528491)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5193, 39, N'Pomar de Valdivia', N'pomar-de-valdivia', N'34813', 42.775196, -4.168110)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5194, 39, N'Poza de la Vega', N'poza-de-la-vega', N'34111', 42.578872, -4.796884)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5195, 39, N'Pozo de Urama', N'pozo-de-urama', N'34347', 42.255014, -4.892306)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5196, 39, N'Prádanos de Ojeda', N'pradanos-de-ojeda', N'34486', 42.684439, -4.349771)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5197, 39, N'Puebla de Valdavia', N'puebla-de-valdavia', N'34470', 42.672655, -4.608014)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5198, 39, N'Quintana del Puente', N'quintana-del-puente', N'34250', 42.084815, -4.203901)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5199, 39, N'Quintanilla de Onsoña', N'quintanilla-de-onsona', N'34114', 42.470206, -4.663192)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5200, 39, N'Reinoso de Cerrato', N'reinoso-de-cerrato', N'34208', 41.975540, -4.382772)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5201, 39, N'Renedo de la Vega', N'renedo-de-la-vega', N'34126', 42.452262, -4.702234)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5202, 39, N'Requena de Campos', N'requena-de-campos', N'34469', 42.310783, -4.346509)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5203, 39, N'Respenda de la Peña', N'respenda-de-la-pena', N'34870', 42.765462, -4.686141)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5204, 39, N'Revenga de Campos', N'revenga-de-campos', N'34447', 42.286215, -4.485490)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5205, 39, N'Revilla de Collazos', N'revilla-de-collazos', N'34407', 42.628386, -4.500661)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5206, 39, N'Ribas de Campos', N'ribas-de-campos', N'34411', 42.153820, -4.516625)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5207, 39, N'Riberos de la Cueza', N'riberos-de-la-cueza', N'34309', 42.278785, -4.725859)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5208, 39, N'Saldaña', N'saldana', N'34100', 42.521348, -4.737446)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5209, 39, N'Salinas de Pisuerga', N'salinas-de-pisuerga', N'34830', 42.850382, -4.377730)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5210, 39, N'San Cebrián de Campos', N'san-cebrian-de-campos', N'34429', 42.201771, -4.531496)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5211, 39, N'San Cebrián de Mudá', N'san-cebrian-de-muda', N'34839', 42.893432, -4.385734)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5212, 39, N'San Cristóbal de Boedo', N'san-cristobal-de-boedo', N'34491', 42.539991, -4.354084)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5213, 39, N'San Mamés de Campos', N'san-mames-de-campos', N'34127', 42.357545, -4.564841)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5214, 39, N'San Román de la Cuba', N'san-roman-de-la-cuba', N'34347', 42.265162, -4.857802)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5215, 39, N'Santa Cecilia del Alcor', N'santa-cecilia-del-alcor', N'34191', 41.933779, -4.658402)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5216, 39, N'Santa Cruz de Boedo', N'santa-cruz-de-boedo', N'34491', 42.522091, -4.373331)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5217, 39, N'Santervás de la Vega', N'santervas-de-la-vega', N'34112', 42.507461, -4.800060)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5218, 39, N'Santibáñez de Ecla', N'santibanez-de-ecla', N'34486', 42.707779, -4.375927)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5219, 39, N'Santibáñez de la Peña', N'santibanez-de-la-pena', N'34870', 42.807476, -4.727919)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5220, 39, N'Santoyo', N'santoyo', N'34490', 42.215360, -4.343569)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5221, 39, N'Serna', N'serna', N'34128', 42.412748, -4.660263)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5222, 39, N'Soto de Cerrato', N'soto-de-cerrato', N'34209', 41.951017, -4.428992)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5223, 39, N'Sotobañado y Priorato', N'sotobanado-y-priorato', N'34407', 42.591669, -4.442210)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5224, 39, N'Tabanera de Cerrato', N'tabanera-de-cerrato', N'34257', 42.026997, -4.122276)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5225, 39, N'Tabanera de Valdavia', N'tabanera-de-valdavia', N'34473', 42.645403, -4.690690)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5226, 39, N'Támara de Campos', N'tamara-de-campos', N'34439', 42.204060, -4.395132)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5227, 39, N'Tariego de Cerrato', N'tariego-de-cerrato', N'34209', 41.905152, -4.475019)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5228, 39, N'Torquemada', N'torquemada', N'34230', 42.035891, -4.317412)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5229, 39, N'Torremormojón', N'torremormojon', N'34305', 41.963575, -4.782121)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5230, 39, N'Triollo', N'triollo', N'34887', 42.924817, -4.680691)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5231, 39, N'Valbuena de Pisuerga', N'valbuena-de-pisuerga', N'34465', 42.145969, -4.238116)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5232, 39, N'Valdeolmillos', N'valdeolmillos', N'34239', 42.042457, -4.398565)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5233, 39, N'Valderrábano', N'valderrabano', N'34473', 42.607432, -4.656250)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5234, 39, N'Valde-Ucieza', N'valde-ucieza', N'34127', 42.400311, -4.566021)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5235, 39, N'Valle de Cerrato', N'valle-de-cerrato', N'34209', 41.882375, -4.364877)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5236, 39, N'Valle del Retortillo', N'valle-del-retortillo', N'34475', 42.235063, -4.789310)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5237, 39, N'Velilla del Río Carrión', N'velilla-del-rio-carrion', N'34886', 42.827308, -4.845035)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5238, 39, N'Venta de Baños', N'venta-de-banos', N'34200', 41.921998, -4.491498)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5239, 39, N'Vertavillo', N'vertavillo', N'34219', 41.831744, -4.327605)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5240, 39, N'Vid de Ojeda', N'vid-de-ojeda', N'34485', 42.660427, -4.387000)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5241, 39, N'Villabasta de Valdavia', N'villabasta-de-valdavia', N'34475', 42.560651, -4.600632)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5242, 39, N'Villacidaler', N'villacidaler', N'34349', 42.221939, -4.973781)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5243, 39, N'Villaconancio', N'villaconancio', N'34247', 41.869337, -4.220295)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5244, 39, N'Villada', N'villada', N'34340', 42.251385, -4.965606)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5245, 39, N'Villaeles de Valdavia', N'villaeles-de-valdavia', N'34475', 42.564397, -4.583938)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5246, 39, N'Villahán', N'villahan', N'34257', 42.051826, -4.131331)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5247, 39, N'Villaherreros', N'villaherreros', N'34469', 42.389376, -4.460406)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5248, 39, N'Villalaco', N'villalaco', N'34261', 0.000000, 0.000000)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5249, 39, N'Villalba de Guardo', N'villalba-de-guardo', N'34889', 42.721905, -4.824286)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5250, 39, N'Villalcázar de Sirga', N'villalcazar-de-sirga', N'34449', 42.317733, -4.538813)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5251, 39, N'Villalcón', N'villalcon', N'34347', 42.293136, -4.855506)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5252, 39, N'Villalobón', N'villalobon', N'34419', 42.031938, -4.502785)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5253, 39, N'Villaluenga de la Vega', N'villaluenga-de-la-vega', N'34111', 42.526219, -4.766521)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5254, 39, N'Villamartín de Campos', N'villamartin-de-campos', N'34170', 42.015153, -4.665649)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5255, 39, N'Villamediana', N'villamediana', N'34239', 42.050551, -4.362280)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5256, 39, N'Villameriel', N'villameriel', N'34408', 42.528116, -4.475620)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5257, 39, N'Villamoronta', N'villamoronta', N'34126', 42.404731, -4.697835)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5258, 39, N'Villamuera de la Cueza', N'villamuera-de-la-cueza', N'34309', 42.259826, -4.689853)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5259, 39, N'Villamuriel de Cerrato', N'villamuriel-de-cerrato', N'34190', 41.950283, -4.514480)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5260, 39, N'Villanueva del Rebollar', N'villanueva-del-rebollar', N'34309', 42.242101, -4.740880)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5261, 39, N'Villanuño de Valdavia', N'villanuno-de-valdavia', N'34477', 42.508284, -4.516969)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5262, 39, N'Villaprovedo', N'villaprovedo', N'34491', 42.514152, -4.393587)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5263, 39, N'Villarmentero de Campos', N'villarmentero-de-campos', N'34447', 42.293977, -4.499803)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5264, 39, N'Villarrabé', N'villarrabe', N'34113', 42.421635, -4.785705)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5265, 39, N'Villarramiel', N'villarramiel', N'34350', 42.042839, -4.911082)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5266, 39, N'Villasarracino', N'villasarracino', N'34132', 42.412312, -4.497775)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5267, 39, N'Villasila de Valdavia', N'villasila-de-valdavia', N'34475', 42.533793, -4.558618)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5268, 39, N'Villaturde', N'villaturde', N'34129', 42.374699, -4.674039)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5269, 39, N'Villaumbrales', N'villaumbrales', N'34192', 42.089799, -4.610288)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5270, 39, N'Villaviudas', N'villaviudas', N'34249', 41.963527, -4.338462)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5271, 39, N'Villerías de Campos', N'villerias-de-campos', N'34305', 41.949134, -4.853790)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5272, 39, N'Villodre', N'villodre', N'34466', 42.212229, -4.245712)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5273, 39, N'Villodrigo', N'villodrigo', N'34257', 42.144537, -4.094810)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5274, 39, N'Villoldo', N'villoldo', N'34131', 42.245008, -4.596062)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5275, 39, N'Villota del Páramo', N'villota-del-paramo', N'34112', 42.552132, -4.847867)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5276, 39, N'Villovieco', N'villovieco', N'34449', 42.296405, -4.481542)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5278, 43, N'Agaete', N'agaete', N'35480', 28.099855, -15.700883)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5279, 43, N'Agüimes', N'aguimes', N'35260', 27.903396, -15.445262)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5280, 43, N'Aldea de San Nicolás', N'aldea-de-san-nicolas', N'35470', 27.990176, -15.781002)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5281, 43, N'Antigua', N'antigua-laspalmas', N'35630', 28.423420, -14.014609)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5282, 43, N'Arrecife', N'arrecife', N'35500', 28.958210, -13.549004)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5283, 43, N'Artenara', N'artenara', N'35350', 28.022784, -15.646995)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5284, 43, N'Arucas', N'arucas', N'35400', 28.117412, -15.523328)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5285, 43, N'Betancuria', N'betancuria', N'35637', 28.425165, -14.056646)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5286, 43, N'Firgas', N'firgas', N'35430', 28.107342, -15.567970)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5287, 43, N'Gáldar', N'galdar', N'35460', 28.146173, -15.649509)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5288, 43, N'Haría', N'haria', N'35520', 29.147364, -13.497391)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5289, 43, N'Ingenio', N'ingenio', N'35250', 27.920786, -15.443516)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5290, 43, N'Mogán', N'mogan', N'35140', 27.884149, -15.723152)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5291, 43, N'Moya', N'la moya', N'16311', 28.117411, -15.566683)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5292, 43, N'Oliva', N'la oliva', N'35640', 28.610898, -13.926373)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5293, 43, N'Pájara', N'pajara', N'35628', 28.345482, -14.103699)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5294, 43, N'Palmas de Gran Canaria', N'las palmas-de-gran-canaria', N'35005', 28.124148, -15.431757)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5295, 43, N'Puerto del Rosario', N'puerto-del-rosario', N'35600', 28.496944, -13.862514)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5296, 43, N'San Bartolomé', N'san-bartolome', N'35421', 28.056530, -15.605092)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5297, 43, N'San Bartoloméde Tirajana', N'san-bartolomede-tirajana', N'35290', 27.926019, -15.569859)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5298, 43, N'Santa Brígida', N'santa-brigida', N'35300', 28.031039, -15.491409)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5299, 43, N'Santa Lucía de Tirajana', N'santa-lucia-de-tirajana', N'35280', 27.912937, -15.541105)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5300, 43, N'Santa María de Guía de Gran Canaria', N'santa-maria-de-guia-de-gran-canaria', N'35450', 28.139816, -15.640068)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5301, 43, N'Teguise', N'teguise', N'35530', 29.062772, -13.568115)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5302, 43, N'Tejeda', N'tejeda', N'35360', 27.962869, -15.658607)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5303, 43, N'Telde', N'telde', N'35200', 27.996107, -15.416822)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5304, 43, N'Teror', N'teror', N'35330', 28.059408, -15.548916)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5305, 43, N'Tías', N'tias', N'35572', 28.953555, -13.653173)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5306, 43, N'Tinajo', N'tinajo', N'35560', 29.066748, -13.677549)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5307, 43, N'Tuineje', N'tuineje', N'35629', 28.325387, -14.046364)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5308, 43, N'Valleseco', N'valleseco', N'35340', 28.048197, -15.573378)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5309, 43, N'Valsequillo de Gran Canaria', N'valsequillo-de-gran-canaria', N'35217', 27.991142, -15.500336)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5310, 43, N'Vega de San Mateo', N'vega-de-san-mateo', N'35320', 28.010013, -15.532608)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5311, 43, N'Yaiza', N'yaiza', N'35570', 28.953029, -13.765440)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5313, 47, N'Agolada', N'agolada', N'36520', 42.763535, -8.016149)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5314, 47, N'Arbo', N'arbo', N'36430', 42.112835, -8.311814)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5315, 47, N'Baiona', N'baiona', N'36300', 42.121115, -8.850164)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5316, 47, N'Barro', N'barro', N'36191', 42.525766, -8.638891)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5317, 47, N'Bueu', N'bueu', N'36939', 42.320097, -8.789835)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5318, 47, N'Caldas de Reis', N'caldas-de-reis', N'36650', 42.606548, -8.642635)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5319, 47, N'Cambados', N'cambados', N'36630', 42.513677, -8.809748)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5320, 47, N'Campo Lameiro', N'campo-lameiro', N'36110', 42.542078, -8.542986)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5321, 47, N'Cangas', N'cangas', N'33547', 42.745247, -8.088148)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5322, 47, N'Cañiza', N'caniza', N'36888', 42.213199, -8.275108)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5323, 47, N'Catoira', N'catoira', N'36612', 42.666817, -8.722501)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5324, 47, N'Cerdedo', N'cerdedo', N'36139', 42.532275, -8.394070)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5325, 47, N'Cotobade', N'cotobade', N'36121', 42.508616, -8.514061)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5326, 47, N'Covelo', N'covelo', N'36839', 42.422569, -8.411965)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5327, 47, N'Crecente', N'crecente', N'36420', 42.153510, -8.222923)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5328, 47, N'Cuntis', N'cuntis', N'36670', 42.632633, -8.563371)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5329, 47, N'Dozón', N'dozon', N'36518', 42.570592, -8.049374)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5330, 47, N'Estrada', N'estrada', N'36680', 42.689060, -8.488741)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5331, 47, N'Forcarei', N'forcarei', N'36550', 42.592616, -8.351412)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5332, 47, N'Fornelos de Montes', N'fornelos-de-montes', N'36847', 42.340846, -8.453078)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5333, 47, N'Gondomar', N'gondomar', N'36380', 42.111531, -8.760910)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5334, 47, N'Grove', N'grove', N'36980', 42.493777, -8.864894)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5335, 47, N'Guarda', N'guarda', N'36780', 41.901031, -8.850002)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5336, 47, N'Illa de Arousa', N'illa-de-arousa', N'36626', 42.551816, -8.866739)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5337, 47, N'Lalín', N'lalin', N'36500', 42.661421, -8.111086)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5338, 47, N'Lama', N'lama', N'36830', 42.394051, -8.443680)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5339, 47, N'Marín', N'marin', N'36900', 42.393037, -8.698425)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5340, 47, N'Meaño', N'meano', N'36967', 42.450251, -8.783612)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5341, 47, N'Meis', N'meis', N'36637', 42.516651, -8.699970)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5342, 47, N'Moaña', N'moana', N'36954', 42.285564, -8.749280)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5343, 47, N'Mondariz', N'mondariz', N'36870', 42.234046, -8.455439)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5344, 47, N'Mondariz-Balneario', N'mondariz-balneario', N'36890', 42.227087, -8.466253)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5345, 47, N'Moraña', N'moraña', N'36208', 42.562026, -8.559766)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5346, 47, N'Mos', N'mos', N'36415', 42.195683, -8.654137)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5347, 47, N'Neves', N'neves', N'15613', 42.088159, -8.414969)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5348, 47, N'Nigrán', N'nigran', N'36350', 42.144951, -8.807516)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5349, 47, N'Oia', N'oia', N'36794', 42.002908, -8.875194)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5350, 47, N'Pazos de Borbén', N'pazos-de-borben', N'36841', 42.294199, -8.531442)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5351, 47, N'Poio', N'poio', N'36163', 42.430140, -8.660059)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5352, 47, N'Ponte Caldelas', N'ponte-caldelas', N'36820', 42.388917, -8.503118)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5353, 47, N'Ponteareas', N'ponteareas', N'36860', 42.176317, -8.505220)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5354, 47, N'Pontecesures', N'pontecesures', N'36640', 42.716782, -8.649373)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5355, 47, N'Pontevedra', N'pontevedra', N'36002', 42.433815, -8.647227)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5356, 47, N'Porriño', N'porrino', N'36475', 42.092522, -8.613195)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5357, 47, N'Portas', N'portas', N'36658', 42.583375, -8.666604)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5358, 47, N'Redondela', N'redondela', N'36800', 42.283691, -8.606844)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5359, 47, N'Ribadumia', N'ribadumia', N'36636', 42.515164, -8.757434)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5360, 47, N'Rodeiro', N'rodeiro', N'36530', 42.649175, -7.949295)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5361, 47, N'Rosal', N'rosal', N'36770', 41.934721, -8.835325)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5362, 47, N'Salceda de Caselas', N'salceda-de-caselas', N'36470', 42.101502, -8.556848)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5363, 47, N'Salvaterra de Miño', N'salvaterra-de-mino', N'36450', 42.154369, -8.432693)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5364, 47, N'Sanxenxo', N'sanxenxo', N'36960', 42.399724, -8.806615)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5365, 47, N'Silleda', N'silleda', N'36540', 42.698207, -8.248029)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5366, 47, N'Soutomaior', N'soutomaior', N'36691', 42.333423, -8.566718)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5367, 47, N'Tomiño', N'tomino', N'36740', 41.987503, -8.745117)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5368, 47, N'Tui', N'tui', N'36700', 42.046329, -8.643665)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5369, 47, N'Valga', N'valga', N'36645', 42.694517, -8.639202)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5370, 47, N'Vigo', N'vigo', N'36201', 42.231536, -8.712587)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5371, 47, N'Vila de Cruces', N'vila-de-cruces', N'36590', 42.794960, -8.170481)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5372, 47, N'Vilaboa', N'vilaboa', N'36141', 42.347317, -8.646498)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5373, 47, N'Vilagarcía de Arousa', N'vilagarcia-de-arousa', N'36600', 42.593343, -8.767819)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5374, 47, N'Vilanova de Arousa', N'vilanova-de-arousa', N'36620', 42.562437, -8.826571)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5376, 4, N'Abusejo', N'abusejo', N'37640', 40.711450, -6.143169)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5377, 4, N'Agallas', N'agallas', N'37510', 40.448825, -6.442294)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5378, 4, N'Ahigal de los Aceiteros', N'ahigal-de-los-aceiteros', N'37248', 40.873371, -6.746620)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5379, 4, N'Ahigal de Villarino', N'ahigal-de-villarino', N'37173', 41.160413, -6.382867)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5380, 4, N'Alameda de Gardón', N'alameda-de-gardon', N'37497', 40.650039, -6.757278)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5381, 4, N'Alamedilla', N'alamedilla', N'37554', 40.472031, -6.826980)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5382, 4, N'Alaraz', N'alaraz', N'37312', 40.751054, -5.281989)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5383, 4, N'Alba de Tormes', N'alba-de-tormes', N'37800', 40.823833, -5.511472)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5384, 4, N'Alba de Yeltes', N'alba-de-yeltes', N'37478', 40.671799, -6.316369)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5385, 4, N'Alberca', N'alberca', N'37624', 40.488331, -6.107940)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5386, 4, N'Alberguería de Argañán', N'albergueria-de-arganan', N'37555', 40.410214, -6.813127)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5387, 4, N'Alconada', N'alconada', N'37329', 40.911432, -5.363060)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5388, 4, N'Aldea del Obispo', N'aldea-del-obispo', N'37488', 40.706714, -6.794500)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5389, 4, N'Aldeacipreste', N'aldeacipreste', N'37718', 40.380312, -5.896967)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5390, 4, N'Aldeadávila de la Ribera', N'aldeadavila-de-la-ribera', N'37250', 41.217745, -6.614124)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5391, 4, N'Aldealengua', N'aldealengua', N'37350', 40.980811, -5.549056)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5392, 4, N'Aldeanueva de Figueroa', N'aldeanueva-de-figueroa', N'37429', 41.147470, -5.528124)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5393, 4, N'Aldeanueva de la Sierra', N'aldeanueva-de-la-sierra', N'37621', 40.616313, -6.100161)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5394, 4, N'Aldearrodrigo', N'aldearrodrigo', N'37110', 41.110658, -5.806603)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5395, 4, N'Aldearrubia', N'aldearrubia', N'37340', 41.008413, -5.496430)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5396, 4, N'Aldeaseca de Alba', N'aldeaseca-de-alba', N'37870', 40.819635, -5.447844)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5397, 4, N'Aldeaseca de la Frontera', N'aldeaseca-de-la-frontera', N'37317', 40.941430, -5.207652)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5398, 4, N'Aldeatejada', N'aldeatejada', N'37187', 40.923700, -5.692259)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5399, 4, N'Aldeavieja de Tormes', N'aldeavieja-de-tormes', N'37779', 40.583565, -5.614394)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5400, 4, N'Aldehuela de la Bóveda', N'aldehuela-de-la-boveda', N'37460', 40.843207, -6.049827)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5401, 4, N'Aldehuela de Yeltes', N'aldehuela-de-yeltes', N'37639', 40.661805, -6.241904)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5402, 4, N'Almenara de Tormes', N'almenara-de-tormes', N'37115', 41.063756, -5.822380)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5403, 4, N'Almendra', N'almendra', N'37176', 41.228460, -6.344794)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5404, 4, N'Anaya de Alba', N'anaya-de-alba', N'37863', 40.729857, -5.490647)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5405, 4, N'Añover de Tormes', N'anover-de-tormes', N'37111', 41.136130, -5.914259)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5406, 4, N'Arabayona de Mógica', N'arabayona-de-mogica', N'37418', 41.047910, -5.386989)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5407, 4, N'Arapiles', N'arapiles', N'37796', 40.893038, -5.644916)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5408, 4, N'Arcediano', N'arcediano', N'37429', 41.093905, -5.560599)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5409, 4, N'Arco', N'arco', N'37110', 41.110748, -5.824860)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5410, 4, N'Armenteros', N'armenteros', N'37755', 40.593910, -5.449004)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5411, 4, N'Atalaya', N'atalaya', N'37591', 40.502444, -6.412582)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5412, 4, N'Babilafuente', N'babilafuente', N'37330', 40.975520, -5.423704)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5413, 4, N'Bañobárez', N'banobarez', N'37271', 40.850854, -6.612496)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5414, 4, N'Barbadillo', N'barbadillo', N'37440', 40.929890, -5.881644)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5415, 4, N'Barbalos', N'barbalos', N'37607', 40.677380, -5.943089)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5416, 4, N'Barceo', N'barceo', N'37217', 41.060187, -6.454426)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5417, 4, N'Barruecopardo', N'barruecopardo', N'37255', 41.072450, -6.665824)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5418, 4, N'Bastida', N'bastida', N'37621', 40.585082, -6.057930)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5419, 4, N'Béjar', N'bejar', N'37700', 40.388128, -5.772816)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5420, 4, N'Beleña', N'belena', N'37789', 40.752079, -5.627610)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5421, 4, N'Bermellar', N'bermellar', N'37291', 40.998397, -6.669210)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5422, 4, N'Berrocal de Huebra', N'berrocal-de-huebra', N'37609', 40.717725, -6.003444)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5423, 4, N'Berrocal de Salvatierra', N'berrocal-de-salvatierra', N'37795', 40.632508, -5.692504)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5424, 4, N'Boada', N'boada', N'37290', 40.816018, -6.305466)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5425, 4, N'Bodón', N'bodon', N'37520', 40.487629, -6.576560)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5426, 4, N'Bogajo', N'bogajo', N'37291', 40.908015, -6.532444)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5427, 4, N'Bouza', N'bouza', N'37488', 40.835720, -6.794390)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5428, 4, N'Bóveda del Río Almar', N'boveda-del-rio-almar', N'37316', 40.855942, -5.208684)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5429, 4, N'Brincones', N'brincones', N'37217', 41.114361, -6.347663)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5430, 4, N'Buenamadre', N'buenamadre', N'37209', 40.856078, -6.249685)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5431, 4, N'Buenavista', N'buenavista', N'37789', 40.766605, -5.612764)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5432, 4, N'Cabaco', N'cabaco', N'37621', 40.564351, -6.126595)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5433, 4, N'Cabeza de Béjar', N'cabeza-de-bejar', N'37773', 40.495090, -5.664414)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5434, 4, N'Cabeza del Caballo', N'cabeza-del-caballo', N'37214', 41.128870, -6.557729)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5435, 4, N'Cabezabellosa de la Calzada', N'cabezabellosa-de-la-calzada', N'37490', 41.044445, -5.488824)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5436, 4, N'Cabrerizos', N'cabrerizos', N'37193', 40.979435, -5.610259)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5437, 4, N'Cabrillas', N'cabrillas', N'37630', 40.738045, -6.177868)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5438, 4, N'Calvarrasa de Abajo', N'calvarrasa-de-abajo', N'37181', 40.945895, -5.553934)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5439, 4, N'Calvarrasa de Arriba', N'calvarrasa-de-arriba', N'37191', 40.907289, -5.593971)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5440, 4, N'Calzada de Béjar', N'calzada-de-bejar', N'37714', 40.411634, -5.816488)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5441, 4, N'Calzada de Don Diego', N'calzada-de-don-diego', N'37448', 40.906101, -5.899890)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5442, 4, N'Calzada de Valdunciel', N'calzada-de-valdunciel', N'37797', 41.086811, -5.701200)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5443, 4, N'Campillo de Azaba', N'campillo-de-azaba', N'37550', 40.509900, -6.688934)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5444, 4, N'Campo de Peñaranda', N'campo-de-penaranda', N'37317', 40.985211, -5.257645)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5445, 4, N'Candelario', N'candelario', N'37710', 40.366265, -5.741694)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5446, 4, N'Canillas de Abajo', N'canillas-de-abajo', N'37448', 40.922849, -5.928322)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5447, 4, N'Cantagallo', N'cantagallo', N'37716', 40.373009, -5.819597)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5448, 4, N'Cantalapiedra', N'cantalapiedra', N'37400', 41.125269, -5.184183)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5449, 4, N'Cantalpino', N'cantalpino', N'37405', 41.052151, -5.330113)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5450, 4, N'Cantaracillo', N'cantaracillo', N'37319', 40.901338, -5.162446)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5451, 4, N'Carbajosa de la Sagrada', N'carbajosa-de-la-sagrada', N'37188', 40.934213, -5.651144)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5452, 4, N'Carpio de Azaba', N'carpio-de-azaba', N'37497', 40.594813, -6.646663)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5453, 4, N'Carrascal de Barregas', N'carrascal-de-barregas', N'37129', 40.978300, -5.761329)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5454, 4, N'Carrascal del Obispo', N'carrascal-del-obispo', N'37451', 40.763938, -6.000215)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5455, 4, N'Casafranca', N'casafranca', N'37767', 40.592775, -5.763494)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5456, 4, N'Casas del Conde', N'casas-del-conde', N'37659', 40.507227, -6.039336)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5457, 4, N'Casillas de Flores', N'casillas-de-flores', N'37541', 40.381651, -6.753660)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5458, 4, N'Castellanos de Moriscos', N'castellanos-de-moriscos', N'37439', 41.020090, -5.592724)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5459, 4, N'Castellanos de Villiquera', N'castellanos-de-villiquera', N'37797', 41.051015, -5.693479)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5460, 4, N'Castillejo de Martín Viejo', N'castillejo-de-martin-viejo', N'37592', 40.699220, -6.646824)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5461, 4, N'Castraz', N'castraz', N'37496', 40.705402, -6.334576)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5462, 4, N'Cepeda', N'cepeda', N'37656', 40.466520, -6.041709)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5463, 4, N'Cereceda de la Sierra', N'cereceda-de-la-sierra', N'37621', 40.565805, -6.092349)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5464, 4, N'Cerezal de Peñahorcada', N'cerezal-de-penahorcada', N'37253', 41.129230, -6.654359)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5465, 4, N'Cerralbo', N'cerralbo', N'37291', 40.972791, -6.588133)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5466, 4, N'Cerro', N'cerro', N'37720', 40.327375, -5.915794)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5467, 4, N'Cespedosa de Tormes', N'cespedosa-de-tormes', N'37750', 40.541530, -5.579777)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5468, 4, N'Chagarcía Medianero', N'chagarcia-medianero', N'37861', 40.647664, -5.382431)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5469, 4, N'Cilleros de la Bastida', N'cilleros-de-la-bastida', N'37621', 40.576153, -6.061252)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5470, 4, N'Cipérez', N'ciperez', N'37216', 40.960610, -6.263537)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5471, 4, N'Ciudad Rodrigo', N'ciudad-rodrigo', N'37500', 40.598865, -6.530449)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5472, 4, N'Coca de Alba', N'coca-de-alba', N'37830', 40.877116, -5.365623)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5473, 4, N'Colmenar de Montemayor', N'colmenar-de-montemayor', N'37711', 40.399455, -5.956439)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5474, 4, N'Cordovilla', N'cordovilla', N'37337', 40.951890, -5.407659)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5475, 4, N'Cristóbal', N'cristobal', N'37684', 40.469150, -5.888459)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5476, 4, N'Cubo de Don Sancho', N'cubo-de-don-sancho', N'37281', 40.891902, -6.305774)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5477, 4, N'Dios le Guarde', N'dios-le-guarde', N'37478', 40.642360, -6.314054)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5478, 4, N'Doñinos de Ledesma', N'doninos-de-ledesma', N'37130', 41.012625, -6.035284)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5479, 4, N'Doñinos de Salamanca', N'doninos-de-salamanca', N'37120', 40.960445, -5.746209)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5480, 4, N'Ejeme', N'ejeme', N'37891', 40.766564, -5.540106)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5481, 4, N'Encina', N'encina', N'37515', 40.498528, -6.531372)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5482, 4, N'Encina de San Silvestre', N'encina-de-san-silvestre', N'37114', 41.013519, -6.092852)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5483, 4, N'Encinas de Abajo', N'encinas-de-abajo', N'37893', 40.933500, -5.466269)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5484, 4, N'Encinas de Arriba', N'encinas-de-arriba', N'37892', 40.772103, -5.557513)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5485, 4, N'Encinasola de los Comendadores', N'encinasola-de-los-comendadores', N'37256', 41.033000, -6.533252)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5486, 4, N'Endrinal', N'endrinal', N'37766', 40.591702, -5.804794)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5487, 4, N'Escurial de la Sierra', N'escurial-de-la-sierra', N'37762', 40.617028, -5.955242)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5488, 4, N'Espadaña', N'espadana', N'37148', 41.061925, -6.284947)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5489, 4, N'Espeja', N'espeja', N'37497', 40.566368, -6.715111)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5490, 4, N'Espino de la Orbada', N'espino-de-la-orbada', N'37419', 41.105540, -5.422619)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5491, 4, N'Florida de Liébana', N'florida-de-liebana', N'37129', 41.026795, -5.760819)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5492, 4, N'Forfoleda', N'forfoleda', N'37799', 41.096805, -5.748254)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5493, 4, N'Frades de la Sierra', N'frades-de-la-sierra', N'37766', 40.656632, -5.782890)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5494, 4, N'Fregeneda', N'fregeneda', N'37220', 40.987659, -6.866330)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5495, 4, N'Fresnedoso', N'fresnedoso', N'37775', 40.435903, -5.709792)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5496, 4, N'Fresno Alhándiga', N'fresno-alhandiga', N'37789', 40.713100, -5.618052)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5497, 4, N'Fuente de San Esteban', N'fuente-de-san-esteban', N'37200', 40.801895, -6.257334)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5498, 4, N'Fuenteguinaldo', N'fuenteguinaldo', N'37540', 40.429805, -6.679804)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5499, 4, N'Fuenteliante', N'fuenteliante', N'37291', 40.874850, -6.572344)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5500, 4, N'Fuenterroble de Salvatierra', N'fuenterroble-de-salvatierra', N'37768', 40.564295, -5.733739)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5501, 4, N'Fuentes de Béjar', N'fuentes-de-bejar', N'37790', 40.508977, -5.691600)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5502, 4, N'Fuentes de Oñoro', N'fuentes-de-onoro', N'37480', 40.594880, -6.810939)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5503, 4, N'Gajates', N'gajates', N'37874', 40.782045, -5.365104)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5504, 4, N'Galindo y Perahuy', N'galindo-y-perahuy', N'37449', 40.942924, -5.871155)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5505, 4, N'Galinduste', N'galinduste', N'37785', 40.661424, -5.541324)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5506, 4, N'Galisancho', N'galisancho', N'37891', 40.743031, -5.554072)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5507, 4, N'Gallegos de Argañán', N'gallegos-de-arganan', N'37497', 40.631206, -6.701818)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5508, 4, N'Gallegos de Solmirón', N'gallegos-de-solmiron', N'37751', 40.535820, -5.446754)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5509, 4, N'Garcibuey', N'garcibuey', N'37658', 40.515995, -5.992484)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5510, 4, N'Garcihernández', N'garcihernandez', N'37810', 40.860813, -5.433402)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5511, 4, N'Garcirrey', N'garcirrey', N'37460', 40.900967, -6.130592)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5512, 4, N'Gejuelo del Barro', N'gejuelo-del-barro', N'37114', 41.077735, -6.123974)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5513, 4, N'Golpejas', N'golpejas', N'37170', 40.997550, -5.909019)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5514, 4, N'Gomecello', N'gomecello', N'37420', 41.044120, -5.538144)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5515, 4, N'Guadramiro', N'guadramiro', N'37219', 41.017722, -6.494976)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5516, 4, N'Guijo de Ávila', N'guijo-de-avila', N'37774', 40.529830, -5.641186)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5517, 4, N'Guijuelo', N'guijuelo', N'37770', 40.557689, -5.672826)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5518, 4, N'Herguijuela de Ciudad Rodrigo', N'herguijuela-de-ciudad-rodrigo', N'37516', 40.458657, -6.521071)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5519, 4, N'Herguijuela de la Sierra', N'herguijuela-de-la-sierra', N'37619', 40.445611, -6.074028)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5520, 4, N'Herguijuela del Campo', N'herguijuela-del-campo', N'37759', 40.630451, -5.862038)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5521, 4, N'Hinojosa de Duero', N'hinojosa-de-duero', N'37230', 40.987525, -6.794379)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5522, 4, N'Horcajo de Montemayor', N'horcajo-de-montemayor', N'37712', 40.422445, -5.893984)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5523, 4, N'Horcajo Medianero', N'horcajo-medianero', N'37860', 40.641750, -5.408249)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5524, 4, N'Hoya', N'hoya', N'37716', 40.406993, -5.698729)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5525, 4, N'Huerta', N'huerta', N'37336', 40.967942, -5.467758)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5526, 4, N'Iruelos', N'iruelos', N'37217', 41.140479, -6.328347)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5527, 4, N'Ituero de Azaba', N'ituero-de-azaba', N'37551', 40.484770, -6.694824)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5528, 4, N'Juzbado', N'juzbado', N'37115', 41.079790, -5.862499)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5529, 4, N'Lagunilla', N'lagunilla', N'37724', 40.323879, -5.973722)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5530, 4, N'Larrodrigo', N'larrodrigo', N'37865', 40.741120, -5.451239)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5531, 4, N'Ledesma', N'ledesma', N'37100', 41.090789, -5.998660)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5532, 4, N'Ledrada', N'ledrada', N'37730', 40.467830, -5.720871)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5533, 4, N'Linares de Riofrío', N'linares-de-riofrio', N'37760', 40.582578, -5.921019)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5534, 4, N'Lumbrales', N'lumbrales', N'37240', 40.934415, -6.720749)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5535, 4, N'Machacón', N'machacon', N'37894', 40.926715, -5.523974)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5536, 4, N'Macotera', N'macotera', N'37310', 40.830785, -5.279101)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5537, 4, N'Madroñal', N'madronal', N'37619', 40.463777, -6.061836)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5538, 4, N'Maíllo', N'maillo', N'37621', 40.565590, -6.180153)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5539, 4, N'Malpartida', N'malpartida', N'37313', 40.762465, -5.234565)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5540, 4, N'Mancera de Abajo', N'mancera-de-abajo', N'37315', 40.841505, -5.199509)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5541, 4, N'Manzano', N'manzano', N'37171', 41.173615, -6.287613)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5542, 4, N'Martiago', N'martiago', N'37510', 40.454410, -6.489274)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5543, 4, N'Martín de Yeltes', N'martin-de-yeltes', N'37494', 40.774256, -6.290710)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5544, 4, N'Martinamor', N'martinamor', N'37891', 40.807125, -5.599909)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5545, 4, N'Masueco', N'masueco', N'37251', 41.203505, -6.588794)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5546, 4, N'Mata de Ledesma', N'mata-de-ledesma', N'37130', 41.000330, -5.971879)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5547, 4, N'Matilla de los Caños del Río', N'matilla-de-los-canos-del-rio', N'37450', 40.825370, -5.941899)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5548, 4, N'Maya', N'maya', N'37780', 40.687241, -5.614880)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5549, 4, N'Membribe de la Sierra', N'membribe-de-la-sierra', N'37766', 40.690191, -5.806281)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5550, 4, N'Mieza', N'mieza', N'37254', 41.162444, -6.687782)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5551, 4, N'Milano', N'milano', N'37256', 41.092346, -6.598627)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5552, 4, N'Miranda de Azán', N'miranda-de-azan', N'37187', 40.886129, -5.683438)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5553, 4, N'Miranda del Castañar', N'miranda-del-castanar', N'37660', 40.484515, -5.998944)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5554, 4, N'Mogarraz', N'mogarraz', N'37610', 40.493188, -6.052382)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5555, 4, N'Molinillo', N'molinillo', N'37683', 40.469743, -5.944362)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5556, 4, N'Monforte de la Sierra', N'monforte-de-la-sierra', N'37618', 40.483245, -6.054793)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5557, 4, N'Monleón', N'monleon', N'37765', 40.584950, -5.847094)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5558, 4, N'Monleras', N'monleras', N'37171', 41.184175, -6.228619)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5559, 4, N'Monsagro', N'monsagro', N'37532', 40.503940, -6.271104)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5560, 4, N'Montejo', N'montejo', N'37795', 40.631650, -5.622725)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5561, 4, N'Montemayor del Río', N'montemayor-del-rio', N'37727', 40.348600, -5.894879)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5562, 4, N'Monterrubio de Armuña', N'monterrubio-de-armuna', N'37798', 41.028611, -5.642157)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5563, 4, N'Monterrubio de la Sierra', N'monterrubio-de-la-sierra', N'37781', 40.756610, -5.692787)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5564, 4, N'Morasverdes', N'morasverdes', N'37590', 40.600986, -6.274401)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5565, 4, N'Morille', N'morille', N'37183', 40.808533, -5.701046)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5566, 4, N'Moríñigo', N'morinigo', N'37337', 40.970051, -5.414013)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5567, 4, N'Moriscos', N'moriscos', N'37430', 41.006945, -5.583494)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5568, 4, N'Moronta', N'moronta', N'34126', 40.978093, -6.430344)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5569, 4, N'Mozárbez', N'mozarbez', N'37796', 40.857855, -5.651274)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5570, 4, N'Narros de Matalayegua', N'narros-de-matalayegua', N'37609', 40.700005, -5.927760)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5571, 4, N'Nava de Béjar', N'nava-de-bejar', N'37776', 40.475154, -5.678096)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5572, 4, N'Nava de Francia', N'nava-de-francia', N'37659', 40.536450, -6.112757)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5573, 4, N'Nava de Sotrobal', N'nava-de-sotrobal', N'37850', 40.887360, -5.286004)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5574, 4, N'Navacarros', N'navacarros', N'37716', 40.398337, -5.715148)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5575, 4, N'Navales', N'navales', N'37882', 40.789218, -5.479700)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5576, 4, N'Navalmoral de Béjar', N'navalmoral-de-bejar', N'37794', 40.423374, -5.783967)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5577, 4, N'Navamorales', N'navamorales', N'37749', 40.476780, -5.479297)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5578, 4, N'Navarredonda de la Rinconada', N'navarredonda-de-la-rinconada', N'37607', 40.605721, -6.011971)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5579, 4, N'Navasfrías', N'navasfrias', N'37542', 40.295703, -6.819802)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5580, 4, N'Negrilla de Palencia', N'negrilla-de-palencia', N'37799', 41.091300, -5.594459)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5581, 4, N'Olmedo de Camaces', N'olmedo-de-camaces', N'37292', 40.880414, -6.624595)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5582, 4, N'Orbada', N'orbada', N'37428', 41.102962, -5.483894)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5583, 4, N'Pajares de la Laguna', N'pajares-de-la-laguna', N'37428', 41.088457, -5.510006)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5584, 4, N'Palacios del Arzobispo', N'palacios-del-arzobispo', N'37111', 41.165790, -5.889524)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5585, 4, N'Palaciosrubios', N'palaciosrubios', N'37406', 41.052630, -5.193372)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5586, 4, N'Palencia de Negrilla', N'palencia-de-negrilla', N'37799', 41.095530, -5.600429)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5587, 4, N'Parada de Arriba', N'parada-de-arriba', N'37129', 40.986751, -5.794611)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5588, 4, N'Parada de Rubiales', N'parada-de-rubiales', N'37419', 41.147351, -5.431044)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5589, 4, N'Paradinas de San Juan', N'paradinas-de-san-juan', N'37318', 40.982085, -5.151355)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5590, 4, N'Pastores', N'pastores', N'37510', 40.514968, -6.510375)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5591, 4, N'Payo', N'payo', N'37524', 40.287252, -6.725693)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5592, 4, N'Pedraza de Alba', N'pedraza-de-alba', N'37882', 40.753965, -5.378369)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5593, 4, N'Pedrosillo de Alba', N'pedrosillo-de-alba', N'37871', 40.822309, -5.394906)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5594, 4, N'Pedrosillo de los Aires', N'pedrosillo-de-los-aires', N'37788', 40.715853, -5.703370)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5595, 4, N'Pedrosillo el Ralo', N'pedrosillo-el-ralo', N'37427', 41.060655, -5.547319)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5596, 4, N'Pedroso de la Armuña', N'pedroso-de-la-armuna', N'37410', 41.080960, -5.400079)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5597, 4, N'Pelabravo', N'pelabravo', N'37181', 40.937795, -5.578729)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5598, 4, N'Pelarrodríguez', N'pelarrodriguez', N'37209', 40.887165, -6.212174)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5599, 4, N'Pelayos', N'pelayos', N'37787', 40.650934, -5.572004)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5600, 4, N'Peña', N'pena', N'37214', 41.173740, -6.517960)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5601, 4, N'Peñacaballera', N'penacaballera', N'37727', 40.344535, -5.860789)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5602, 4, N'Peñaparda', N'penaparda', N'37523', 40.319456, -6.670405)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5603, 4, N'Peñaranda de Bracamonte', N'penaranda-de-bracamonte', N'37300', 40.900623, -5.201707)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5604, 4, N'Peñarandilla', N'penarandilla', N'37820', 40.883085, -5.393194)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5605, 4, N'Peralejos de Abajo', N'peralejos-de-abajo', N'37216', 41.006920, -6.369124)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5606, 4, N'Peralejos de Arriba', N'peralejos-de-arriba', N'37216', 41.005516, -6.333627)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5607, 4, N'Pereña de la Ribera', N'perena-de-la-ribera', N'37175', 41.236494, -6.522309)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5608, 4, N'Peromingo', N'peromingo', N'37791', 40.463650, -5.772559)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5609, 4, N'Pinedas', N'pinedas', N'37712', 40.445345, -5.960455)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5610, 4, N'Pino de Tormes', N'pino-de-tormes', N'37170', 41.038265, -5.793710)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5611, 4, N'Pitiegua', N'pitiegua', N'37490', 41.062710, -5.467099)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5612, 4, N'Pizarral', N'pizarral', N'37795', 40.615515, -5.649834)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5613, 4, N'Poveda de las Cintas', N'poveda-de-las-cintas', N'37406', 41.048115, -5.261628)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5614, 4, N'Pozos de Hinojo', N'pozos-de-hinojo', N'37216', 40.913958, -6.409922)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5615, 4, N'Puebla de Azaba', N'puebla-de-azaba', N'37553', 40.449580, -6.745889)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5616, 4, N'Puebla de San Medel', N'puebla-de-san-medel', N'37791', 40.511339, -5.737180)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5617, 4, N'Puebla de Yeltes', N'puebla-de-yeltes', N'37606', 40.625668, -6.181704)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5618, 4, N'Puente del Congosto', N'puente-del-congosto', N'37748', 40.489620, -5.526300)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5619, 4, N'Puertas', N'puertas', N'37159', 41.097064, -6.285882)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5620, 4, N'Puerto de Béjar', N'puerto-de-bejar', N'37720', 40.351155, -5.836278)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5621, 4, N'Puerto Seguro', N'puerto-seguro', N'37488', 40.825800, -6.761039)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5622, 4, N'Rágama', N'ragama', N'37318', 40.996974, -5.128099)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5623, 4, N'Redonda', N'redonda', N'37247', 40.909199, -6.749870)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5624, 4, N'Retortillo', N'retortillo', N'37495', 40.800488, -6.359177)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5625, 4, N'Rinconada de la Sierra', N'rinconada-de-la-sierra', N'37607', 40.611924, -6.020769)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5626, 4, N'Robleda', N'robleda', N'37521', 40.384851, -6.607144)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5627, 4, N'Robliza de Cojos', N'robliza-de-cojos', N'37130', 40.868320, -5.975834)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5628, 4, N'Rollán', N'rollan', N'37447', 40.962580, -5.913800)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5629, 4, N'Saelices el Chico', N'saelices-el-chico', N'37592', 40.670207, -6.630246)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5630, 4, N'Sagrada', N'sagrada', N'37465', 40.744266, -6.070633)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5631, 4, N'Sahugo', N'sahugo', N'37510', 40.414411, -6.542358)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5632, 4, N'Salamanca', N'salamanca', N'37001', 40.964225, -5.663849)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5633, 4, N'Saldeana', N'saldeana', N'37259', 41.021485, -6.638454)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5634, 4, N'Salmoral', N'salmoral', N'37314', 40.801844, -5.219163)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5635, 4, N'Salvatierra de Tormes', N'salvatierra-de-tormes', N'37779', 40.589959, -5.598541)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5636, 4, N'San Cristóbal de la Cuesta', N'san-cristobal-de-la-cuesta', N'37439', 41.028979, -5.617834)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5637, 4, N'San Esteban de la Sierra', N'san-esteban-de-la-sierra', N'37671', 40.506160, -5.903639)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5638, 4, N'San Felices de los Gallegos', N'san-felices-de-los-gallegos', N'37270', 40.847739, -6.703552)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5639, 4, N'San Martín del Castañar', N'san-martin-del-castanar', N'37659', 40.523725, -6.064814)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5640, 4, N'San Miguel de Valero', N'san-miguel-de-valero', N'37763', 40.541750, -5.919849)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5641, 4, N'San Miguel del Robledo', N'san-miguel-del-robledo', N'37659', 40.537631, -6.046297)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5642, 4, N'San Morales', N'san-morales', N'37340', 40.992542, -5.503198)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5643, 4, N'San Muñoz', N'san-munoz', N'37208', 40.784594, -6.129352)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5644, 4, N'San Pedro de Rozados', N'san-pedro-de-rozados', N'37183', 40.789400, -5.738264)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5645, 4, N'San Pedro del Valle', N'san-pedro-del-valle', N'37170', 41.033605, -5.860215)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5646, 4, N'San Pelayo de Guareña', N'san-pelayo-de-guarena', N'37110', 41.115373, -5.858174)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5647, 4, N'Sanchón de la Ribera', N'sanchon-de-la-ribera', N'37217', 41.088900, -6.416284)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5648, 4, N'Sanchón de la Sagrada', N'sanchon-de-la-sagrada', N'37466', 40.743780, -6.025204)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5649, 4, N'Sanchotello', N'sanchotello', N'37794', 40.438828, -5.751868)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5650, 4, N'Sancti-Spíritus', N'sancti-spiritus', N'06655', 40.704805, -6.400829)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5651, 4, N'Sando', N'sando', N'37468', 40.967690, -6.111394)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5652, 4, N'Santa María de Sando', N'santa-maria-de-sando', N'37468', 40.979655, -6.128254)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5653, 4, N'Santa Marta de Tormes', N'santa-marta-de-tormes', N'37900', 40.950620, -5.626579)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5654, 4, N'Santiago de la Puebla', N'santiago-de-la-puebla', N'37311', 40.802689, -5.275991)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5655, 4, N'Santibáñez de Béjar', N'santibanez-de-bejar', N'37740', 40.487435, -5.608479)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5656, 4, N'Santibáñez de la Sierra', N'santibanez-de-la-sierra', N'37670', 40.494275, -5.916279)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5657, 4, N'Santiz', N'santiz', N'37110', 41.204713, -5.895618)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5658, 4, N'Santos', N'santos', N'37768', 40.544220, -5.798270)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5659, 4, N'Sardón de los Frailes', N'sardon-de-los-frailes', N'37172', 41.207673, -6.272038)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5660, 4, N'Saucelle', N'saucelle', N'37257', 41.047195, -6.751374)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5661, 4, N'Sepulcro-Hilario', N'sepulcro-hilario', N'37638', 40.699854, -6.186401)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5662, 4, N'Sequeros', N'sequeros', N'37650', 40.511746, -6.024708)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5663, 4, N'Serradilla del Arroyo', N'serradilla-del-arroyo', N'37531', 40.522005, -6.360716)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5664, 4, N'Serradilla del Llano', N'serradilla-del-llano', N'37530', 40.500360, -6.357264)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5665, 4, N'Sierpe', N'sierpe', N'37759', 40.645089, -5.854683)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5666, 4, N'Sieteiglesias de Tormes', N'sieteiglesias-de-tormes', N'37892', 40.742432, -5.576399)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5667, 4, N'Sobradillo', N'sobradillo', N'37246', 40.917540, -6.799114)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5668, 4, N'Sorihuela', N'sorihuela', N'37777', 40.443846, -5.678558)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5669, 4, N'Sotoserrano', N'sotoserrano', N'37657', 40.434981, -6.032053)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5670, 4, N'Tabera de Abajo', N'tabera-de-abajo', N'37130', 40.909425, -6.001479)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5671, 4, N'Tala', N'tala', N'37752', 40.590931, -5.534100)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5672, 4, N'Tamames', N'tamames', N'37600', 40.656790, -6.108784)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5673, 4, N'Tarazona de Guareña', N'tarazona-de-guarena', N'37409', 41.171887, -5.248972)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5674, 4, N'Tardáguila', N'tardaguila', N'37429', 41.113854, -5.573366)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5675, 4, N'Tejado', N'tejado', N'37440', 40.876271, -5.891418)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5676, 4, N'Tejeda y Segoyuela', N'tejeda-y-segoyuela', N'37607', 40.631805, -6.022419)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5677, 4, N'Tenebrón', N'tenebron', N'37589', 40.624392, -6.354090)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5678, 4, N'Terradillos', N'terradillos', N'37882', 40.839648, -5.542150)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5679, 4, N'Topas', N'topas', N'37799', 41.155560, -5.635639)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5680, 4, N'Tordillos', N'tordillos', N'37840', 40.854264, -5.353750)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5681, 4, N'Tornadizo', N'tornadizo', N'37765', 40.542700, -5.892792)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5682, 4, N'Torresmenudas', N'torresmenudas', N'37110', 41.102525, -5.784434)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5683, 4, N'Trabanca', N'trabanca', N'37173', 41.233027, -6.383939)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5684, 4, N'Tremedal de Tormes', N'tremedal-de-tormes', N'37148', 41.075153, -6.182919)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5685, 4, N'Valdecarros', N'valdecarros', N'37881', 40.769305, -5.421999)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5686, 4, N'Valdefuentes de Sangusín', N'valdefuentes-de-sangusin', N'37680', 40.465020, -5.829959)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5687, 4, N'Valdehijaderos', N'valdehijaderos', N'37713', 40.419578, -5.847679)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5688, 4, N'Valdelacasa', N'valdelacasa', N'37791', 40.505500, -5.763444)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5689, 4, N'Valdelageve', N'valdelageve', N'37724', 40.369706, -5.990267)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5690, 4, N'Valdelosa', N'valdelosa', N'37799', 41.170789, -5.783092)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5691, 4, N'Valdemierque', N'valdemierque', N'37891', 40.822160, -5.580989)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5692, 4, N'Valderrodrigo', N'valderrodrigo', N'37256', 41.065416, -6.511964)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5693, 4, N'Valdunciel', N'valdunciel', N'37798', 41.086361, -5.671633)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5694, 4, N'Valero', N'valero', N'37764', 40.535459, -5.943395)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5695, 4, N'Vallejera de Riofrío', N'vallejera-de-riofrio', N'37717', 40.409460, -5.721404)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5696, 4, N'Valsalabroso', N'valsalabroso', N'37214', 41.109826, -6.500244)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5697, 4, N'Valverde de Valdelacasa', N'valverde-de-valdelacasa', N'37791', 40.481730, -5.781754)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5698, 4, N'Valverdón', N'valverdon', N'37115', 41.047175, -5.768314)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5699, 4, N'Vecinos', N'vecinos', N'37450', 40.777110, -5.878329)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5700, 4, N'Vega de Tirados', N'vega-de-tirados', N'37170', 41.025304, -5.887248)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5701, 4, N'Veguillas', N'veguillas', N'37454', 40.714790, -5.831950)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5702, 4, N'Vellés', N'velles', N'37427', 41.072868, -5.569210)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5703, 4, N'Ventosa del Río Almar', N'ventosa-del-rio-almar', N'37329', 40.928905, -5.347669)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5704, 4, N'Vídola', N'vidola', N'37214', 41.155523, -6.486397)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5705, 4, N'Villaflores', N'villaflores', N'37406', 41.083601, -5.232078)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5706, 4, N'Villagonzalo de Tormes', N'villagonzalo-de-tormes', N'37893', 40.893680, -5.496704)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5707, 4, N'Villalba de los Llanos', N'villalba-de-los-llanos', N'37446', 40.801295, -5.975724)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5708, 4, N'Villamayor', N'villamayor', N'37185', 40.998230, -5.695229)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5709, 4, N'Villanueva del Conde', N'villanueva-del-conde', N'37658', 40.510730, -6.012699)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5710, 4, N'Villar de Argañán', N'villar-de-arganan', N'37497', 40.673446, -6.719646)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5711, 4, N'Villar de Ciervo', N'villar-de-ciervo', N'37488', 40.737986, -6.739403)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5712, 4, N'Villar de Gallimazo', N'villar-de-gallimazo', N'37320', 40.952601, -5.288060)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5713, 4, N'Villar de la Yegua', N'villar-de-la-yegua', N'37488', 40.724877, -6.703879)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5714, 4, N'Villar de Peralonso', N'villar-de-peralonso', N'37147', 41.030415, -6.221654)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5715, 4, N'Villar de Samaniego', N'villar-de-samaniego', N'37217', 41.123677, -6.448078)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5716, 4, N'Villares de la Reina', N'villares-de-la-reina', N'37184', 41.007170, -5.646984)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5717, 4, N'Villares de Yeltes', N'villares-de-yeltes', N'37267', 40.866844, -6.412566)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5718, 4, N'Villarino de los Aires', N'villarino-de-los-aires', N'37160', 41.268810, -6.464484)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5719, 4, N'Villarmayor', N'villarmayor', N'37130', 41.013018, -5.972422)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5720, 4, N'Villarmuerto', N'villarmuerto', N'37217', 41.056226, -6.362099)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5721, 4, N'Villasbuenas', N'villasbuenas', N'37256', 41.061969, -6.595109)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5722, 4, N'Villasdardo', N'villasdardo', N'37468', 41.004115, -6.159944)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5723, 4, N'Villaseco de los Gamitos', N'villaseco-de-los-gamitos', N'37114', 41.035365, -6.111859)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5724, 4, N'Villaseco de los Reyes', N'villaseco-de-los-reyes', N'37150', 41.163428, -6.184113)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5725, 4, N'Villasrubias', N'villasrubias', N'37522', 40.338175, -6.640859)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5726, 4, N'Villaverde de Guareña', N'villaverde-de-guarena', N'37428', 41.064191, -5.525159)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5727, 4, N'Villavieja de Yeltes', N'villavieja-de-yeltes', N'37260', 40.876601, -6.471697)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5728, 4, N'Villoria', N'villoria', N'37339', 40.995287, -5.375704)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5729, 4, N'Villoruela', N'villoruela', N'37338', 41.008295, -5.394194)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5730, 4, N'Vilvestre', N'vilvestre', N'37258', 41.105234, -6.720999)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5731, 4, N'Vitigudino', N'vitigudino', N'37210', 41.012860, -6.434519)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5732, 4, N'Yecla de Yeltes', N'yecla-de-yeltes', N'37219', 40.961223, -6.489538)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5733, 4, N'Zamarra', N'zamarra', N'37591', 40.520550, -6.452464)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5734, 4, N'Zamayón', N'zamayon', N'37110', 41.147803, -5.830094)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5735, 4, N'Zarapicos', N'zarapicos', N'37170', 41.038280, -5.844959)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5736, 4, N'Zarza de Pumareda', N'zarza-de-pumareda', N'37253', 41.162373, -6.626781)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5737, 4, N'Zorita de la Frontera', N'zorita-de-la-frontera', N'37408', 41.013965, -5.195854)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5739, 24, N'Adeje', N'adeje', N'38670', 28.121669, -16.724367)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5740, 24, N'Agulo', N'agulo', N'38830', 28.188168, -17.194805)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5741, 24, N'Alajeró', N'alajero', N'38812', 28.063157, -17.238836)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5742, 24, N'Arafo', N'arafo', N'38550', 28.339665, -16.416664)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5743, 24, N'Arico', N'arico', N'38589', 28.177576, -16.478634)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5744, 24, N'Arona', N'arona', N'38640', 28.100377, -16.680508)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5745, 24, N'Barlovento', N'barlovento', N'38726', 28.826779, -17.803345)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5746, 24, N'Breña Alta', N'brena-alta', N'38710', 28.659355, -17.790856)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5747, 24, N'Breña Baja', N'brena-baja', N'38712', 28.641609, -17.775576)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5748, 24, N'Buenavista del Norte', N'buenavista-del-norte', N'38480', 28.371956, -16.850967)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5749, 24, N'Candelaria', N'candelaria', N'38530', 28.352979, -16.370616)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5750, 24, N'Fasnia', N'fasnia', N'38570', 28.240222, -16.439795)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5751, 24, N'Frontera', N'frontera-tenerife', N'38911', 28.293280, -16.522659)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5752, 24, N'Fuencaliente de la Palma', N'fuencaliente-de-la-palma', N'38740', 28.489476, -17.849865)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5753, 24, N'Garachico', N'garachico', N'38450', 28.372107, -16.764107)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5754, 24, N'Garafía', N'garafia', N'38787', 28.816740, -17.915955)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5755, 24, N'Granadilla de Abona', N'granadilla-de-abona', N'38600', 28.118811, -16.577168)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5756, 24, N'Guancha', N'guancha', N'38440', 28.374448, -16.650124)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5757, 24, N'Guía de Isora', N'guia-de-isora', N'38680', 28.210672, -16.778526)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5759, 24, N'Hermigua', N'hermigua', N'38820', 28.167608, -17.191544)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5760, 24, N'Icod de los Vinos', N'icod-de-los-vinos', N'38430', 28.367877, -16.716814)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5761, 24, N'Llanos de Aridane', N'llanos-de-aridane', N'38760', 28.657341, -17.910118)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5762, 24, N'Matanza de Acentejo', N'matanza-de-acentejo', N'38370', 28.453506, -16.447649)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5763, 24, N'Orotava', N'orotava', N'38300', 28.392684, -16.526012)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5764, 24, N'Paso', N'paso', N'38750', 28.650901, -17.879219)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5765, 24, N'Puerto de la Cruz', N'puerto-de-la-cruz', N'38400', 28.418164, -16.548629)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5766, 24, N'Puntagorda', N'puntagorda', N'38789', 28.750297, -17.966723)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5767, 24, N'Puntallana', N'puntallana', N'38715', 28.735020, -17.750773)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5768, 24, N'Realejos', N'realejos', N'38410', 28.366140, -16.583691)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5769, 24, N'Rosario', N'rosario', N'11611', 36.696675, -5.387249)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5770, 24, N'San Andrés y Sauces', N'san-andres-y-sauces', N'38720', 28.800288, -17.766910)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5771, 24, N'San Cristóbal de La Laguna', N'san-cristobal-de-la-laguna', N'38201', 28.487986, -16.313024)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5772, 24, N'San Juan de la Rambla', N'san-juan-de-la-rambla', N'38420', 28.393941, -16.649889)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5773, 24, N'San Miguel de Abona', N'san-miguel-de-abona', N'38620', 28.098465, -16.617336)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5774, 24, N'San Sebastián de la Gomera', N'san-sebastian-de-la-gomera', N'00000', 28.090735, -17.110514)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5775, 24, N'Santa Cruz de la Palma', N'santa-cruz-de-la-palma', N'38700', 28.683340, -17.763133)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5776, 24, N'Santa Cruz de Tenerife', N'santa-cruz-de-tenerife', N'38297', 28.470408, -16.254830)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5777, 24, N'Santa Ášrsula', N'santa-ursula', N'38390', 28.425694, -16.489019)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5778, 24, N'Santiago del Teide', N'santiago-del-teide', N'38690', 28.296257, -16.815434)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5779, 24, N'Sauzal', N'sauzal', N'38360', 28.479895, -16.435032)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5780, 24, N'Silos', N'silos', N'38470', 28.365782, -16.816549)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5781, 24, N'Tacoronte', N'tacoronte', N'38350', 28.481932, -16.411772)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5782, 24, N'Tanque', N'tanque', N'38435', 28.333074, -16.786380)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5783, 24, N'Tazacorte', N'tazacorte', N'38770', 28.642521, -17.932348)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5784, 24, N'Tegueste', N'tegueste', N'38280', 28.523549, -16.333151)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5785, 24, N'Tijarafe', N'tijarafe', N'38780', 28.668562, -17.939386)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5786, 24, N'Valle Gran Rey', N'valle-gran-rey', N'38870', 28.124015, -17.325654)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5787, 24, N'Vallehermoso', N'vallehermoso', N'38840', 28.179657, -17.262611)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5788, 24, N'Valverde', N'valverde', N'38900', 27.809207, -17.915525)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5789, 24, N'Victoria de Acentejo', N'victoria-de-acentejo', N'38380', 28.435959, -16.467133)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5790, 24, N'Vilaflor', N'vilaflor', N'38613', 28.157582, -16.638236)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5791, 24, N'Villa de Mazo', N'villa-de-mazo', N'38730', 28.582524, -17.799397)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5793, 49, N'Alfoz de Lloredo', N'alfoz-de-lloredo', N'39525', 43.377931, -4.179711)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5794, 49, N'Ampuero', N'ampuero', N'39840', 43.343480, -3.416639)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5795, 49, N'Anievas', N'anievas', N'39451', 43.203220, -4.006594)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5796, 49, N'Arenas de Iguña', N'arenas-de-iguna', N'39450', 43.187425, -4.050344)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5797, 49, N'Argoños', N'argonos', N'39197', 43.457205, -3.486489)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5798, 49, N'Arnuero', N'arnuero', N'39195', 43.469921, -3.567833)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5799, 49, N'Arredondo', N'arredondo', N'39813', 43.273035, -3.597934)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5800, 49, N'Astillero', N'astillero', N'39610', 43.400162, -3.821930)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5801, 49, N'Bárcena de Cicero', N'barcena-de-cicero', N'39790', 43.420050, -3.505847)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5802, 49, N'Bárcena de Pie de Concha', N'barcena-de-pie-de-concha', N'39420', 43.127534, -4.054684)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5803, 49, N'Bareyo', N'bareyo', N'39170', 43.468196, -3.599597)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5804, 49, N'Cabezón de la Sal', N'cabezon-de-la-sal', N'39500', 43.309191, -4.234543)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5805, 49, N'Cabezón de Liébana', N'cabezon-de-liebana', N'39571', 43.132842, -4.576149)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5806, 49, N'Cabuérniga', N'cabuerniga', N'39511', 43.203925, -4.303336)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5807, 49, N'Camaleño', N'camaleno', N'39587', 43.150221, -4.691935)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5808, 49, N'Camargo', N'camargo', N'39609', 43.406856, -3.882723)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5809, 49, N'Campoo de Enmedio', N'campoo-de-enmedio', N'39200', 42.982172, -4.146266)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5810, 49, N'Campoo de Yuso', N'campoo-de-yuso', N'39292', 43.016384, -4.004860)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5811, 49, N'Cartes', N'cartes', N'39311', 43.319433, -4.094553)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5812, 49, N'Castañeda', N'castaneda', N'39660', 43.315811, -3.952374)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5813, 49, N'Castro-Urdiales', N'castro-urdiales', N'39700', 43.383156, -3.218651)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5814, 49, N'Villasuso de Cieza', N'villasusodecieza', N'39407', 43.222503, -4.087343)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5815, 49, N'Cillorigo de Liébana', N'cillorigo-de-liebana', N'39584', 43.178049, -4.597778)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5816, 49, N'Colindres', N'colindres', N'39750', 43.386681, -3.433056)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5817, 49, N'Comillas', N'comillas', N'39520', 43.385620, -4.291148)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5818, 49, N'Corrales de Buelna', N'corrales-de-buelna', N'39400', 43.260112, -4.067860)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5819, 49, N'Corvera de Toranzo', N'corvera-de-toranzo', N'39699', 43.210650, -3.935766)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5820, 49, N'Entrambasaguas', N'entrambasaguas', N'39715', 43.380536, -3.684368)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5821, 49, N'Escalante', N'escalante', N'39795', 43.436654, -3.513994)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5822, 49, N'Guriezo', N'guriezo', N'39788', 43.354455, -3.324823)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5823, 49, N'Hazas de Cesto', N'hazas-de-cesto', N'39738', 43.329736, -3.288431)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5825, 49, N'Herrerías', N'herrerias', N'39500', 43.309909, -4.293637)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5826, 49, N'Lamasón', N'lamason', N'39550', 43.254080, -4.480534)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5827, 49, N'Laredo', N'laredo', N'39770', 43.411548, -3.412242)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5828, 49, N'Liendo', N'liendo', N'39776', 43.394290, -3.382459)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5829, 49, N'Liérganes', N'lierganes', N'39722', 43.342393, -3.741875)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5830, 49, N'Limpias', N'limpias', N'39820', 43.368870, -3.398992)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5831, 49, N'Luena', N'luena', N'39688', 43.096204, -3.900533)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5832, 49, N'Marina de Cudeyo', N'marina-de-cudeyo', N'39719', 43.420058, -3.754020)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5833, 49, N'Mazcuerras', N'mazcuerras', N'39509', 43.296808, -4.206562)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5834, 49, N'Medio Cudeyo', N'medio-cudeyo', N'39619', 43.391928, -3.760607)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5835, 49, N'Meruelo', N'meruelo', N'39192', 43.453184, -3.575428)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5836, 49, N'Miengo', N'miengo', N'39310', 43.427352, -3.995419)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5837, 49, N'Miera', N'miera', N'39723', 43.275768, -3.712027)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5838, 49, N'Molledo', N'molledo', N'39438', 43.154839, -4.042046)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5839, 49, N'Noja', N'noja', N'39180', 43.479962, -3.521209)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5840, 49, N'Penagos', N'penagos', N'39627', 43.351662, -3.814058)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5841, 49, N'Peñarrubia', N'penarrubia', N'39580', 43.256440, -4.579453)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5842, 49, N'Pesaguero', N'pesaguero', N'39572', 43.075879, -4.539242)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5843, 49, N'La Pesquera', N'lapesquera', N'39491', 43.082258, -4.075209)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5844, 49, N'Piélagos', N'pielagos', N'39477', 43.384957, -3.957707)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5845, 49, N'Polaciones', N'polaciones', N'39557', 43.094528, -4.405174)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5846, 49, N'Polanco', N'polanco', N'39313', 43.384560, -4.015889)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5847, 49, N'Potes', N'potes', N'39570', 43.153900, -4.621811)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5848, 49, N'Puente Viesgo', N'puente-viesgo', N'39670', 43.297823, -3.968639)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5849, 49, N'Ramales de la Victoria', N'ramales-de-la-victoria', N'39800', 43.258456, -3.459835)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5850, 49, N'Rasines', N'rasines', N'39860', 43.304913, -3.424044)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5851, 49, N'Reinosa', N'reinosa', N'39200', 42.999971, -4.138970)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5852, 49, N'Reocín', N'reocin', N'39538', 43.343158, -4.096398)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5853, 49, N'Ribamontán al Mar', N'ribamontan-al-mar', N'39150', 43.455987, -3.673275)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5855, 49, N'Rionansa', N'rionansa', N'39553', 43.299681, -4.459333)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5856, 49, N'Riotuerto', N'riotuerto', N'39727', 43.314000, -3.768675)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5857, 49, N'Rozas de Valdearroyo', N'rozas-de-valdearroyo', N'39213', 42.973412, -4.029493)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5858, 49, N'Ruente', N'ruente', N'39513', 43.258565, -4.264176)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5859, 49, N'Ruesga', N'ruesga', N'39815', 43.281111, -3.560343)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5860, 49, N'Ruiloba', N'ruiloba', N'39527', 43.380661, -4.248555)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5861, 49, N'San Felices de Buelna', N'san-felices-de-buelna', N'39409', 43.274799, -4.048569)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5862, 49, N'San Miguel de Aguayo', N'san-miguel-de-aguayo', N'39491', 43.056409, -4.025202)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5863, 49, N'San Pedro del Romeral', N'san-pedro-del-romeral', N'39686', 43.116648, -3.820517)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5864, 49, N'San Roque de Riomiera', N'san-roque-de-riomiera', N'39728', 43.237887, -3.702006)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5865, 49, N'San Vicente de la Barquera', N'san-vicente-de-la-barquera', N'39540', 43.384310, -4.398694)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5866, 49, N'Santa Cruz de Bezana', N'santa-cruz-de-bezana', N'39100', 43.443681, -3.905189)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5867, 49, N'Santa María de Cayón', N'santa-maria-de-cayon', N'39694', 43.307880, -3.851974)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5868, 49, N'Santander', N'santander', N'39002', 43.461159, -3.809617)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5869, 49, N'Santillana del Mar', N'santillana-del-mar', N'39330', 43.388910, -4.108522)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5870, 49, N'Santiurde de Reinosa', N'santiurde-de-reinosa', N'39490', 43.060877, -4.080133)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5871, 49, N'Santiurde de Toranzo', N'santiurde-de-toranzo', N'39698', 43.238669, -3.936324)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5872, 49, N'Santoña', N'santona', N'39740', 43.445675, -3.450887)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5873, 49, N'Saro', N'saro', N'39639', 43.261620, -3.824852)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5874, 49, N'Selaya', N'selaya', N'39696', 43.209993, -3.798416)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5875, 49, N'Soba', N'soba', N'39806', 43.187640, -3.523242)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5876, 49, N'Solórzano', N'solorzano', N'39738', 43.379885, -3.586945)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5877, 49, N'Suances', N'suances', N'39340', 43.425575, -4.043462)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5878, 49, N'Tojos', N'tojos', N'39518', 43.156764, -4.255668)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5879, 49, N'Torrelavega', N'torrelavega', N'39300', 43.350944, -4.046456)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5880, 49, N'Tresviso', N'tresviso', N'33554', 43.302258, -4.814265)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5881, 49, N'Tudanca', N'tudanca', N'39555', 43.155262, -4.373460)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5882, 49, N'Udías', N'udias', N'39507', 43.338398, -4.246913)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5883, 49, N'Val de San Vicente', N'val-de-san-vicente', N'39549', 43.375561, -4.480072)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5884, 49, N'Valdáliga', N'valdaliga', N'39593', 43.328940, -4.349406)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5885, 49, N'Valdeolea', N'valdeolea', N'39418', 42.880430, -4.164634)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5886, 49, N'Valdeprado del Río', N'valdeprado-del-rio', N'39419', 42.875068, -4.093244)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5887, 49, N'Valderredible', N'valderredible', N'39232', 42.807256, -3.939199)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5888, 49, N'Valle de Villaverde', N'valle-de-villaverde', N'39880', 43.244953, -3.262789)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5889, 49, N'Vega de Liébana', N'vega-de-liebana', N'39577', 43.063041, -4.667172)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5890, 49, N'Vega de Pas', N'vega-de-pas', N'39685', 43.157766, -3.778524)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5891, 49, N'Villacarriedo', N'villacarriedo', N'39649', 43.230336, -3.805475)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5892, 49, N'Villaescusa de Ebro', N'villaescusade ebro', N'36690', 42.963662, -4.160063)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5893, 49, N'Villafufre', N'villafufre', N'39638', 43.267113, -3.891199)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5894, 49, N'Voto', N'voto', N'39724', 43.356030, -3.495283)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5896, 8, N'Abades', N'abades', N'40141', 40.916328, -4.265243)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5897, 8, N'Adrada de Pirón', N'adrada-de-piron', N'40192', 41.052220, -4.051337)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5898, 8, N'Adrados', N'adrados', N'40354', 41.367885, -4.112877)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5899, 8, N'Aguilafuente', N'aguilafuente', N'40340', 41.226485, -4.112179)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5900, 8, N'Alconada de Maderuelo', N'alconada-de-maderuelo', N'40529', 41.451026, -3.485413)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5901, 8, N'Aldea Real', N'aldea-real', N'40292', 41.185330, -4.165799)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5902, 8, N'Aldealcorvo', N'aldealcorvo', N'40389', 41.244540, -3.790999)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5903, 8, N'Aldealengua de Pedraza', N'aldealengua-de-pedraza', N'40162', 41.070090, -3.790326)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5904, 8, N'Aldealengua de Santa María', N'aldealengua-de-santa-maria', N'40555', 41.460550, -3.468894)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5905, 8, N'Aldeanueva de la Serrezuela', N'aldeanueva-de-la-serrezuela', N'40532', 41.460095, -3.780242)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5906, 8, N'Aldeanueva del Codonal', N'aldeanueva-del-codonal', N'40462', 41.082111, -4.543369)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5907, 8, N'Aldeasoña', N'aldeasona', N'40235', 41.470870, -4.055823)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5908, 8, N'Aldehorno', N'aldehorno', N'40533', 41.513086, -3.778678)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5909, 8, N'Aldehuela del Codonal', N'aldehuela-del-codonal', N'40462', 41.055195, -4.537949)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5910, 8, N'Aldeonte', N'aldeonte', N'40531', 41.349705, -3.679414)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5911, 8, N'Anaya', N'anaya', N'40121', 40.991300, -4.308299)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5912, 8, N'Añe', N'ane', N'40492', 41.037695, -4.295824)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5913, 8, N'Arahuetes', N'arahuetes', N'40173', 41.138025, -3.855754)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5914, 8, N'Arcones', N'arcones', N'40164', 41.117005, -3.724104)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5915, 8, N'Arevalillo de Cega', N'arevalillo-de-cega', N'40185', 41.162480, -3.886824)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5916, 8, N'Armuña', N'armuna', N'40494', 41.077472, -4.319355)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5917, 8, N'Ayllón', N'ayllon', N'40520', 41.418486, -3.377095)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5918, 8, N'Barbolla', N'barbolla', N'40530', 41.326480, -3.672044)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5919, 8, N'Basardilla', N'basardilla', N'40180', 41.026686, -4.025814)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5920, 8, N'Bercial', N'bercial', N'40144', 40.907730, -4.437174)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5921, 8, N'Bercimuel', N'bercimuel', N'40550', 41.397648, -3.573214)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5922, 8, N'Bernardos', N'bernardos', N'40430', 41.128017, -4.350121)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5923, 8, N'Bernuy de Porreros', N'bernuy-de-porreros', N'40190', 40.999855, -4.116699)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5924, 8, N'Boceguillas', N'boceguillas', N'40560', 41.335755, -3.640735)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5925, 8, N'Brieva', N'brieva', N'40180', 41.035660, -4.052309)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5926, 8, N'Caballar', N'caballar', N'40182', 41.121725, -3.963939)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5927, 8, N'Cabañas de Polendos', N'cabanas-de-polendos', N'40392', 41.066458, -4.108974)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5928, 8, N'Cabezuela', N'cabezuela', N'40396', 41.235920, -3.932039)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5929, 8, N'Calabazas de Fuentidueña', N'calabazas-de-fuentiduena', N'40356', 41.444809, -4.010660)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5930, 8, N'Campo de San Pedro', N'campo-de-san-pedro', N'40551', 41.429428, -3.548560)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5931, 8, N'Cantalejo', N'cantalejo', N'40320', 41.259556, -3.927642)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5932, 8, N'Cantimpalos', N'cantimpalos', N'40360', 41.074055, -4.158584)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5933, 8, N'Carbonero el Mayor', N'carbonero-el-mayor', N'40270', 41.122975, -4.268434)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5934, 8, N'Carrascal del Río', N'carrascal-del-rio', N'40331', 41.367512, -3.900751)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5935, 8, N'Casla', N'casla', N'40590', 41.165970, -3.655979)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5936, 8, N'Castillejo de Mesleón', N'castillejo-de-mesleon', N'40593', 41.281550, -3.603059)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5937, 8, N'Castro de Fuentidueña', N'castro-de-fuentiduena', N'40315', 41.420625, -3.853399)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5938, 8, N'Castrojimeno', N'castrojimeno', N'40315', 41.397278, -3.845239)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5939, 8, N'Castroserna de Abajo', N'castroserna-de-abajo', N'40318', 41.208030, -3.734994)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5940, 8, N'Castroserracín', N'castroserracin', N'40315', 41.392733, -3.804611)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5941, 8, N'Cedillo de la Torre', N'cedillo-de-la-torre', N'40550', 41.421175, -3.608169)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5942, 8, N'Cerezo de Abajo', N'cerezo-de-abajo', N'40591', 41.218505, -3.590729)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5943, 8, N'Cerezo de Arriba', N'cerezo-de-arriba', N'40592', 41.239850, -3.558654)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5944, 8, N'Chañe', N'chane', N'40216', 41.338787, -4.427707)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5945, 8, N'Cilleruelo de San Mamés', N'cilleruelo-de-san-mames', N'40551', 41.432045, -3.566759)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5946, 8, N'Cobos de Fuentidueña', N'cobos-de-fuentiduena', N'40332', 41.382685, -3.927199)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5947, 8, N'Coca', N'coca', N'40480', 41.215215, -4.521694)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5948, 8, N'Codorniz', N'codorniz', N'40463', 41.069027, -4.601146)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5949, 8, N'Collado Hermoso', N'collado-hermoso', N'40170', 41.038174, -3.918400)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5950, 8, N'Condado de Castilnovo', N'condado-de-castilnovo', N'40318', 41.241140, -3.744119)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5951, 8, N'Corral de Ayllón', N'corral-de-ayllon', N'40529', 41.392281, -3.459620)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5952, 8, N'Cozuelos de Fuentidueña', N'cozuelos-de-fuentiduena', N'40354', 41.389410, -4.095709)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5953, 8, N'Cubillo', N'cubillo', N'40185', 41.120597, -3.909505)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5954, 8, N'Cuéllar', N'cuellar', N'40200', 41.401315, -4.311969)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5955, 8, N'Cuevas de Provanco', N'cuevas-de-provanco', N'40239', 41.544409, -3.964939)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5956, 8, N'Domingo García', N'domingo-garcia', N'40495', 41.116270, -4.380129)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5957, 8, N'Donhierro', N'donhierro', N'40469', 41.114485, -4.697169)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5958, 8, N'Duruelo', N'duruelo', N'40312', 41.236690, -3.648009)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5959, 8, N'Encinas', N'encinas', N'40531', 41.374468, -3.668166)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5960, 8, N'Encinillas', N'encinillas', N'40391', 41.016445, -4.158779)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5961, 8, N'Escalona del Prado', N'escalona-del-prado', N'40350', 41.166786, -4.121867)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5962, 8, N'Escarabajosa de Cabezas', N'escarabajosa-de-cabezas', N'40291', 41.104021, -4.194377)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5963, 8, N'Escobar de Polendos', N'escobar-de-polendos', N'40393', 41.090225, -4.131729)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5964, 8, N'Espinar', N'espinar', N'40400', 40.718929, -4.247300)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5965, 8, N'Espirdo', N'espirdo', N'40191', 40.996975, -4.073699)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5966, 8, N'Fresneda de Cuéllar', N'fresneda-de-cuellar', N'40217', 41.319825, -4.448714)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5967, 8, N'Fresno de Cantespino', N'fresno-de-cantespino', N'40516', 41.369093, -3.498399)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5968, 8, N'Fresno de la Fuente', N'fresno-de-la-fuente', N'40540', 41.394530, -3.646074)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5969, 8, N'Frumales', N'frumales', N'40298', 41.383844, -4.188180)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5970, 8, N'Fuente de Santa Cruz', N'fuente-de-santa-cruz', N'40496', 41.208477, -4.636290)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5971, 8, N'Fuente el Olmo de Fuentidueña', N'fuente-el-olmo-de-fuentiduena', N'40359', 41.380075, -3.999614)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5972, 8, N'Fuente el Olmo de Áscar', N'fuente-el-olmo-de-iscar', N'40218', 41.280085, -4.493139)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5973, 8, N'Fuentepelayo', N'fuentepelayo', N'40260', 41.221630, -4.176429)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5974, 8, N'Fuentepiñel', N'fuentepinel', N'40358', 41.399672, -4.042107)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5975, 8, N'Fuenterrebollo', N'fuenterrebollo', N'40330', 41.296179, -3.932759)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5976, 8, N'Fuentesaúco de Fuentidueña', N'fuentesauco-de-fuentiduena', N'40355', 41.426090, -4.065054)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5977, 8, N'Fuentesoto', N'fuentesoto', N'40314', 41.456364, -3.916513)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5978, 8, N'Fuentidueña', N'fuentiduena', N'40357', 41.443036, -3.982187)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5979, 8, N'Gallegos', N'gallegos', N'40162', 41.073835, -3.786526)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5980, 8, N'Garcillán', N'garcillan', N'40120', 40.979189, -4.265428)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5981, 8, N'Gomezserracín', N'gomezserracin', N'40240', 41.290202, -4.323833)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5982, 8, N'Grajera', N'grajera', N'40569', 41.373216, -3.613491)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5983, 8, N'Honrubia de la Cuesta', N'honrubia-de-la-cuesta', N'40541', 41.510305, -3.704874)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5984, 8, N'Hontalbilla', N'hontalbilla', N'40353', 41.346010, -4.122594)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5985, 8, N'Hontanares de Eresma', N'hontanares-de-eresma', N'40490', 40.982535, -4.203109)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5986, 8, N'Huertos', N'huertos', N'40490', 41.009666, -4.219265)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5987, 8, N'Ituero y Lama', N'ituero-y-lama', N'40151', 40.799925, -4.377764)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5988, 8, N'Juarros de Riomoros', N'juarros-de-riomoros', N'40130', 40.945628, -4.308265)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5989, 8, N'Juarros de Voltoya', N'juarros-de-voltoya', N'40445', 41.030781, -4.517810)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5990, 8, N'Labajos', N'labajos', N'40146', 40.843295, -4.518404)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5991, 8, N'Laguna de Contreras', N'laguna-de-contreras', N'40236', 41.496562, -4.027110)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5992, 8, N'Languilla', N'languilla', N'40556', 41.447779, -3.423969)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5993, 8, N'Lastras de Cuéllar', N'lastras-de-cuellar', N'40352', 41.297488, -4.107388)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5994, 8, N'Lastras del Pozo', N'lastras-del-pozo', N'40142', 40.879090, -4.345884)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5995, 8, N'Lastrilla', N'lastrilla', N'40196', 40.969028, -4.103490)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5996, 8, N'Losa', N'losa', N'40420', 40.853611, -4.162710)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5997, 8, N'Maderuelo', N'maderuelo', N'40554', 41.483604, -3.524548)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5998, 8, N'Marazoleja', N'marazoleja', N'40130', 40.962418, -4.338520)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (5999, 8, N'Marazuela', N'marazuela', N'40133', 40.979276, -4.367031)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6000, 8, N'Martín Miguel', N'martin-miguel', N'40130', 40.952282, -4.273115)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6001, 8, N'Martín Muñoz de la Dehesa', N'martin-munoz-de-la-dehesa', N'40466', 41.065478, -4.686316)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6002, 8, N'Martín Muñoz de las Posadas', N'martin-munoz-de-las-posadas', N'40446', 40.995605, -4.596994)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6003, 8, N'Marugán', N'marugan', N'40142', 40.896725, -4.384054)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6004, 8, N'Mata de Cuéllar', N'mata-de-cuellar', N'40214', 41.395485, -4.471709)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6005, 8, N'Matabuena', N'matabuena', N'40163', 41.096183, -3.756806)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6006, 8, N'Matilla', N'matilla', N'40175', 41.190669, -3.794403)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6007, 8, N'Melque de Cercos', N'melque-de-cercos', N'40444', 41.051032, -4.469500)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6008, 8, N'Membibre de la Hoz', N'membibre-de-la-hoz', N'40234', 41.449703, -4.095288)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6009, 8, N'Migueláñez', N'miguelanez', N'40441', 41.120968, -4.362943)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6010, 8, N'Montejo de Arévalo', N'montejo-de-arevalo', N'40468', 41.139611, -4.664111)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6011, 8, N'Montejo de la Vega de la Serrezuela', N'montejo-de-la-vega-de-la-serrezuela', N'40542', 41.547234, -3.652519)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6012, 8, N'Monterrubio', N'monterrubio', N'40142', 40.848660, -4.351919)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6013, 8, N'Moral de Hornuez', N'moral-de-hornuez', N'40542', 41.465085, -3.615339)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6014, 8, N'Mozoncillo', N'mozoncillo', N'40250', 41.145035, -4.189544)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6015, 8, N'Muñopedro', N'munopedro', N'40145', 40.888780, -4.470899)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6016, 8, N'Muñoveros', N'munoveros', N'40183', 41.173185, -3.950964)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6017, 8, N'Nava de la Asunción', N'nava-de-la-asuncion', N'40450', 41.154734, -4.488263)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6018, 8, N'Navafría', N'navafria', N'40161', 41.054878, -3.818384)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6019, 8, N'Navalilla', N'navalilla', N'40331', 41.342684, -3.935585)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6020, 8, N'Navalmanzano', N'navalmanzano', N'40280', 41.214908, -4.256690)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6021, 8, N'Navares de Ayuso', N'navares-de-ayuso', N'40531', 41.374325, -3.708031)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6022, 8, N'Navares de Enmedio', N'navares-de-enmedio', N'40532', 41.383652, -3.730574)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6023, 8, N'Navares de las Cuevas', N'navares-de-las-cuevas', N'40532', 41.414437, -3.751594)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6024, 8, N'Navas de Oro', N'navas-de-oro', N'40470', 41.196540, -4.438689)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6025, 8, N'Navas de Riofrío', N'navas-de-riofrio', N'40420', 40.868986, -4.136357)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6026, 8, N'Navas de San Antonio', N'navas-de-san-antonio', N'40408', 40.761045, -4.330229)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6027, 8, N'Nieva', N'nieva', N'40447', 41.081875, -4.425209)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6028, 8, N'Olombrada', N'olombrada', N'40220', 41.415525, -4.160514)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6029, 8, N'Orejana', N'orejana', N'40176', 41.164720, -3.780364)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6030, 8, N'Ortigosa de Pestaño', N'ortigosa-de-pestano', N'40495', 41.085819, -4.393690)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6031, 8, N'Ortigosa del Monte', N'ortigosa-del-monte', N'40421', 40.841850, -4.176994)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6032, 8, N'Otero de Herreros', N'otero-de-herreros', N'40422', 40.821350, -4.206359)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6033, 8, N'Pajarejos', N'pajarejos', N'40567', 41.390315, -3.587944)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6034, 8, N'Palazuelos de Eresma', N'palazuelos-de-eresma', N'40194', 40.931034, -4.060004)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6035, 8, N'Pedraza', N'pedraza', N'40172', 41.131380, -3.808202)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6036, 8, N'Pelayos del Arroyo', N'pelayos-del-arroyo', N'40170', 41.050034, -3.941918)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6037, 8, N'Perosillo', N'perosillo', N'40354', 41.392380, -4.141199)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6038, 8, N'Pinarejos', N'pinarejos', N'40296', 41.260235, -4.292454)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6039, 8, N'Pinarnegrillo', N'pinarnegrillo', N'40294', 41.191783, -4.210623)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6040, 8, N'Pradales', N'pradales', N'40540', 41.455600, -3.707418)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6041, 8, N'Prádena', N'pradena', N'40165', 41.140109, -3.688572)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6042, 8, N'Puebla de Pedraza', N'puebla-de-pedraza', N'40184', 41.205396, -3.913122)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6043, 8, N'Rapariegos', N'rapariegos', N'40466', 41.093980, -4.652418)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6044, 8, N'Rebollo', N'rebollo', N'40184', 41.192078, -3.857267)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6045, 8, N'Remondo', N'remondo', N'40216', 41.341045, -4.482639)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6046, 8, N'Riaguas de San Bartolomé', N'riaguas-de-san-bartolome', N'40529', 41.425440, -3.490209)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6047, 8, N'Riaza', N'riaza', N'40500', 41.278307, -3.482005)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6048, 8, N'Ribota', N'ribota', N'40513', 41.365875, -3.431229)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6049, 8, N'Riofrío de Riaza', N'riofrio-de-riaza', N'40515', 41.245907, -3.450592)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6050, 8, N'Roda de Eresma', N'roda-de-eresma', N'40290', 41.026925, -4.182865)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6051, 8, N'Sacramenia', N'sacramenia', N'40237', 41.493830, -3.962564)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6052, 8, N'Samboal', N'samboal', N'40442', 41.258324, -4.420214)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6053, 8, N'San Cristóbal de Cuéllar', N'san-cristobal-de-cuellar', N'40212', 41.405365, -4.403954)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6054, 8, N'San Cristóbal de la Vega', N'san-cristobal-de-la-vega', N'40465', 41.111985, -4.644315)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6055, 8, N'San Cristóbal de Segovia', N'san-cristobal-de-segovia', N'40197', 40.952485, -4.076244)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6056, 8, N'San Ildefonso', N'san-ildefonso', N'40100', 40.899738, -4.008000)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6057, 8, N'San Martín y Mudrián', N'san-martin-y-mudrian', N'40295', 41.224370, -4.333244)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6058, 8, N'San Miguel de Bernuy', N'san-miguel-de-bernuy', N'40332', 41.395467, -3.951418)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6059, 8, N'San Pedro de Gaíllos', N'san-pedro-de-gaillos', N'40389', 41.226950, -3.808944)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6060, 8, N'Sanchonuño', N'sanchonuno', N'40297', 41.322485, -4.306484)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6061, 8, N'Sangarcía', N'sangarcia', N'40134', 40.947905, -4.414919)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6062, 8, N'Santa María la Real de Nieva', N'santa-maria-la-real-de-nieva', N'40440', 41.070415, -4.407251)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6063, 8, N'Santa Marta del Cerro', N'santa-marta-del-cerro', N'40310', 41.218390, -3.686024)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6064, 8, N'Santiuste de Pedraza', N'santiuste-de-pedraza', N'40171', 41.089620, -3.885139)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6065, 8, N'Santiuste de San Juan Bautista', N'santiuste-de-san-juan-bautista', N'40460', 41.155116, -4.570183)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6066, 8, N'Santo Domingo de Pirón', N'santo-domingo-de-piron', N'40180', 41.041324, -3.991147)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6067, 8, N'Santo Tomé del Puerto', N'santo-tome-del-puerto', N'40590', 41.195830, -3.578781)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6068, 8, N'Sauquillo de Cabezas', N'sauquillo-de-cabezas', N'40351', 41.194120, -4.068314)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6069, 8, N'Sebúlcor', N'sebulcor', N'40380', 41.270895, -3.883519)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6070, 8, N'Segovia', N'segovia', N'40001', 40.948210, -4.116359)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6071, 8, N'Sepúlveda', N'sepulveda', N'40300', 41.297275, -3.748739)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6072, 8, N'Sequera de Fresno', N'sequera-de-fresno', N'40517', 41.367245, -3.545314)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6073, 8, N'Sotillo', N'sotillo', N'40311', 41.257273, -3.638483)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6074, 8, N'Sotosalbos', N'sotosalbos', N'40170', 41.034918, -3.940538)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6075, 8, N'Tabanera la Luenga', N'tabanera-la-luenga', N'40291', 41.097175, -4.239399)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6076, 8, N'Tolocirio', N'tolocirio', N'40467', 41.131590, -4.646859)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6077, 8, N'Torre Val de San Pedro', N'torre-val-de-san-pedro', N'40171', 41.074434, -3.871237)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6078, 8, N'Torreadrada', N'torreadrada', N'40313', 41.444608, -3.840622)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6079, 8, N'Torrecaballeros', N'torrecaballeros', N'40160', 40.992059, -4.024434)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6080, 8, N'Torrecilla del Pinar', N'torrecilla-del-pinar', N'40359', 41.375934, -4.037739)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6081, 8, N'Torreiglesias', N'torreiglesias', N'40192', 41.105513, -4.029753)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6082, 8, N'Trescasas', N'trescasas', N'40194', 40.958490, -4.038434)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6083, 8, N'Turégano', N'turegano', N'40370', 41.155337, -4.006647)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6084, 8, N'Urueñas', N'uruenas', N'40317', 41.356834, -3.775517)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6085, 8, N'Valdeprados', N'valdeprados', N'40423', 40.817435, -4.256009)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6086, 8, N'Valdevacas de Montejo', N'valdevacas-de-montejo', N'40542', 41.520486, -3.637320)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6087, 8, N'Valdevacas y Guijar', N'valdevacas-y-guijar', N'40185', 41.144990, -3.911409)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6088, 8, N'Valle de Tabladillo', N'valle-de-tabladillo', N'40331', 41.362400, -3.839569)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6089, 8, N'Vallelado', N'vallelado', N'40213', 41.404690, -4.426969)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6090, 8, N'Valleruela de Pedraza', N'valleruela-de-pedraza', N'40174', 41.176720, -3.803919)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6091, 8, N'Valleruela de Sepúlveda', N'valleruela-de-sepulveda', N'40176', 41.187216, -3.770917)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6092, 8, N'Valseca', N'valseca', N'40390', 40.999273, -4.174561)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6093, 8, N'Valtiendas', N'valtiendas', N'40314', 41.478796, -3.918372)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6094, 8, N'Valverde del Majano', N'valverde-del-majano', N'40140', 40.956570, -4.234454)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6095, 8, N'Veganzones', N'veganzones', N'40395', 41.193882, -3.993150)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6096, 8, N'Vegas de Matute', N'vegas-de-matute', N'40423', 40.795360, -4.277929)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6097, 8, N'Ventosilla y Tejadilla', N'ventosilla-y-tejadilla', N'40165', 41.181845, -3.693941)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6098, 8, N'Villacastín', N'villacastin', N'40150', 40.780735, -4.413838)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6099, 8, N'Villaverde de Áscar', N'villaverde-de-iscar', N'40219', 41.306681, -4.526026)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6100, 8, N'Villaverde de Montejo', N'villaverde-de-montejo', N'40542', 41.522325, -3.654519)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6101, 8, N'Villeguillo', N'villeguillo', N'40496', 41.251880, -4.578594)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6102, 8, N'Yanguas de Eresma', N'yanguas-de-eresma', N'40493', 41.072337, -4.240660)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6103, 8, N'Zarzuela del Monte', N'zarzuela-del-monte', N'40152', 40.808900, -4.336484)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6104, 8, N'Zarzuela del Pinar', N'zarzuela-del-pinar', N'40293', 41.259980, -4.184459)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6106, 12, N'Aguadulce', N'aguadulce', N'41550', 37.252965, -4.990914)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6107, 12, N'Alanís', N'alanis', N'41380', 38.037400, -5.712824)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6108, 12, N'Albaida del Aljarafe', N'albaida-del-aljarafe', N'41809', 37.426820, -6.165390)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6109, 12, N'Alcalá de Guadaíra', N'alcala-de-guadaira', N'41500', 37.338315, -5.839859)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6110, 12, N'Alcalá del Río', N'alcala-del-rio', N'41200', 37.521988, -5.983386)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6111, 12, N'Alcolea del Río', N'alcolea-del-rio', N'41449', 37.616410, -5.663789)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6112, 12, N'Algaba', N'algaba', N'41980', 37.460709, -6.015390)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6113, 12, N'Algámitas', N'algamitas', N'41661', 37.019745, -5.144666)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6114, 12, N'Almadén de la Plata', N'almaden-de-la-plata', N'41240', 37.872733, -6.082055)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6115, 12, N'Almensilla', N'almensilla', N'41111', 37.309470, -6.109934)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6116, 12, N'Arahal', N'arahal', N'41600', 37.260118, -5.543976)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6117, 12, N'Aznalcázar', N'aznalcazar', N'41849', 37.303770, -6.251084)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6118, 12, N'Aznalcóllar', N'aznalcollar', N'41870', 37.520415, -6.274634)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6119, 12, N'Badolatosa', N'badolatosa', N'41570', 37.308557, -4.672794)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6120, 12, N'Benacazón', N'benacazon', N'41805', 37.353563, -6.201393)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6121, 12, N'Bollullos de la Mitación', N'bollullos-de-la-mitacion', N'41110', 37.335530, -6.137314)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6122, 12, N'Bormujos', N'bormujos', N'41930', 37.372610, -6.071129)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6123, 12, N'Brenes', N'brenes', N'41310', 37.550700, -5.869739)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6124, 12, N'Burguillos', N'burguillos', N'41220', 37.588225, -5.971354)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6125, 12, N'Cabezas de San Juan', N'cabezas-de-san-juan', N'41730', 36.981795, -5.936549)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6126, 12, N'Camas', N'camas', N'41900', 37.400725, -6.034449)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6127, 12, N'Campana', N'campana', N'41429', 37.560908, -5.415573)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6128, 12, N'Cantillana', N'cantillana', N'41320', 37.609819, -5.824295)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6129, 12, N'Cañada Rosal', N'canada-rosal', N'41439', 37.596170, -5.211139)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6130, 12, N'Carmona', N'carmona', N'41410', 37.470870, -5.643379)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6131, 12, N'Carrión de los Céspedes', N'carrion-de-los-cespedes', N'41820', 37.369136, -6.329457)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6132, 12, N'Casariche', N'casariche', N'41580', 37.296087, -4.764340)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6133, 12, N'Castilblanco de los Arroyos', N'castilblanco-de-los-arroyos', N'41230', 37.678675, -5.985484)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6134, 12, N'Castilleja de Guzmán', N'castilleja-de-guzman', N'41908', 37.408315, -6.060190)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6135, 12, N'Castilleja de la Cuesta', N'castilleja-de-la-cuesta', N'41950', 37.385495, -6.056689)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6136, 12, N'Castilleja del Campo', N'castilleja-del-campo', N'41810', 37.388720, -6.335124)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6137, 12, N'Castillo de las Guardas', N'castillo-de-las-guardas', N'41890', 37.694402, -6.313792)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6138, 12, N'Cazalla de la Sierra', N'cazalla-de-la-sierra', N'41370', 37.932130, -5.760564)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6139, 12, N'Constantina', N'constantina', N'41450', 37.871213, -5.619756)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6140, 12, N'Coria del Río', N'coria-del-rio', N'41100', 37.287315, -6.050974)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6141, 12, N'Coripe', N'coripe', N'41780', 36.977547, -5.439474)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6142, 12, N'Coronil', N'coronil', N'41760', 37.081750, -5.632553)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6143, 12, N'Corrales', N'corrales', N'41657', 37.097223, -4.982643)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6144, 12, N'Cuervo', N'cuervo', N'41749', 36.851673, -6.041107)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6145, 12, N'Dos Hermanas', N'dos-hermanas', N'41701', 37.282905, -5.928134)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6146, 12, N'Á‰cija', N'ecija', N'41400', 37.540766, -5.072937)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6147, 12, N'Espartinas', N'espartinas', N'41807', 37.382894, -6.123582)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6148, 12, N'Estepa', N'estepa', N'41560', 37.293875, -4.878074)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6149, 12, N'Fuentes de Andalucía', N'fuentes-de-andalucia', N'41420', 37.463545, -5.343069)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6150, 12, N'Garrobo', N'garrobo', N'41888', 37.625245, -6.172256)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6151, 12, N'Gelves', N'gelves', N'41120', 37.338690, -6.027394)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6152, 12, N'Gerena', N'gerena', N'41860', 37.527444, -6.157316)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6153, 12, N'Gilena', N'gilena', N'41565', 37.251290, -4.913774)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6154, 12, N'Gines', N'gines', N'41960', 37.384525, -6.073999)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6155, 12, N'Guadalcanal', N'guadalcanal', N'41390', 38.096982, -5.818990)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6156, 12, N'Guillena', N'guillena', N'41210', 37.547760, -6.055304)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6157, 12, N'Herrera', N'herrera-sevilla', N'41567', 37.362714, -4.850679)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6158, 12, N'Huévar del Aljarafe', N'huevar-del-aljarafe', N'41830', 37.355779, -6.278807)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6159, 12, N'Isla Mayor', N'isla-mayor', N'41140', 37.133485, -6.162989)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6160, 12, N'Lantejuela', N'lantejuela', N'41630', 37.353170, -5.223827)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6161, 12, N'Lebrija', N'lebrija', N'41740', 36.920592, -6.065870)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6162, 12, N'Lora de Estepa', N'lora-de-estepa', N'41564', 37.271714, -4.826155)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6163, 12, N'Lora del Río', N'lora-del-rio', N'41440', 37.659830, -5.528184)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6164, 12, N'Luisiana', N'luisiana', N'41430', 37.550974, -5.230522)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6165, 12, N'Madroño', N'madrono', N'41897', 37.643461, -6.511116)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6166, 12, N'Mairena del Alcor', N'mairena-del-alcor', N'41510', 37.377119, -5.743914)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6167, 12, N'Mairena del Aljarafe', N'mairena-del-aljarafe', N'41927', 37.347360, -6.062619)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6168, 12, N'Marchena', N'marchena', N'41620', 37.325247, -5.412837)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6169, 12, N'Marinaleda', N'marinaleda', N'41569', 37.371590, -4.959764)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6170, 12, N'Martín de la Jara', N'martin-de-la-jara', N'41658', 37.109500, -4.961929)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6171, 12, N'Molares', N'molares', N'41750', 37.155186, -5.719242)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6172, 12, N'Montellano', N'montellano', N'41770', 36.994485, -5.573049)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6173, 12, N'Morón de la Frontera', N'moron-de-la-frontera', N'41530', 37.129423, -5.452823)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6174, 12, N'Navas de la Concepción', N'navas-de-la-concepcion', N'41460', 37.932822, -5.464498)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6175, 12, N'Olivares', N'olivares', N'41804', 37.418406, -6.153439)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6176, 12, N'Osuna', N'osuna', N'41640', 37.237125, -5.102814)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6177, 12, N'Palacios y Villafranca', N'palacios-y-villafranca', N'41720', 37.163095, -5.924179)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6178, 12, N'Palomares del Río', N'palomares-del-rio', N'41928', 37.321875, -6.059334)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6179, 12, N'Paradas', N'paradas', N'41610', 37.290563, -5.496283)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6180, 12, N'Pedrera', N'pedrera', N'41566', 37.223665, -4.898964)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6181, 12, N'Pedroso', N'pedroso', N'41360', 37.837860, -5.765060)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6182, 12, N'Peñaflor', N'penaflor', N'41470', 37.710129, -5.347109)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6183, 12, N'Pilas', N'pilas', N'41840', 37.305390, -6.304309)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6184, 12, N'Pruna', N'pruna', N'41670', 36.974760, -5.223474)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6185, 12, N'Puebla de Cazalla', N'puebla-de-cazalla', N'41540', 37.222988, -5.313220)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6186, 12, N'Puebla de los Infantes', N'puebla-de-los-infantes', N'41479', 37.780350, -5.388959)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6187, 12, N'Puebla del Río', N'puebla-del-rio', N'41130', 37.268040, -6.065110)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6188, 12, N'Real de la Jara', N'real-de-la-jara', N'41250', 37.949415, -6.152984)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6189, 12, N'Rinconada', N'rinconada', N'41309', 37.488072, -5.981369)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6190, 12, N'Roda de Andalucía', N'roda-de-andalucia', N'41590', 37.201102, -4.778943)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6191, 12, N'Ronquillo', N'ronquillo', N'41880', 37.727470, -6.176580)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6192, 12, N'Rubio', N'rubio', N'41568', 37.355354, -4.988995)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6193, 12, N'Salteras', N'salteras', N'41909', 37.418000, -6.107169)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6194, 12, N'San Juan de Aznalfarache', N'san-juan-de-aznalfarache', N'41920', 37.359915, -6.027769)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6195, 12, N'San Nicolás del Puerto', N'san-nicolas-del-puerto', N'41388', 37.993349, -5.652870)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6196, 12, N'Sanlúcar la Mayor', N'sanlucar-la-mayor', N'41800', 37.385535, -6.195634)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6197, 12, N'Santiponce', N'santiponce', N'41970', 37.434840, -6.038584)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6198, 12, N'Saucejo', N'saucejo', N'41650', 37.069511, -5.096980)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6199, 12, N'Sevilla', N'sevilla', N'41001', 37.387697, -6.001813)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6200, 12, N'Tocina', N'tocina', N'41340', 37.609838, -5.737182)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6201, 12, N'Tomares', N'tomares', N'41940', 37.375850, -6.051184)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6202, 12, N'Umbrete', N'umbrete', N'41806', 37.369628, -6.156210)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6203, 12, N'Utrera', N'utrera', N'41710', 37.184225, -5.779174)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6204, 12, N'Valencina de la Concepción', N'valencina-de-la-concepcion', N'41907', 37.417045, -6.077615)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6205, 12, N'Villamanrique de la Condesa', N'villamanrique-de-la-condesa', N'41850', 37.246327, -6.306533)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6206, 12, N'Villanueva de San Juan', N'villanueva-de-san-juan', N'41660', 37.051758, -5.176092)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6207, 12, N'Villanueva del Ariscal', N'villanueva-del-ariscal', N'41808', 37.395151, -6.143721)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6208, 12, N'Villanueva del Río y Minas', N'villanueva-del-rio-y-minas', N'41350', 37.651960, -5.718354)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6209, 12, N'Villaverde del Río', N'villaverde-del-rio', N'41318', 37.594055, -5.879624)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6210, 12, N'Viso del Alcor', N'viso-del-alcor', N'41520', 37.387211, -5.722470)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6212, 16, N'Abejar', N'abejar', N'42146', 41.806740, -2.788824)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6213, 16, N'Adradas', N'adradas', N'42216', 41.350680, -2.472800)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6214, 16, N'Ágreda', N'agreda', N'42100', 41.853737, -1.923961)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6215, 16, N'Alconaba', N'alconaba', N'42134', 41.723415, -2.386409)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6216, 16, N'Alcubilla de Avellaneda', N'alcubilla-de-avellaneda', N'42351', 41.725727, -3.304802)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6217, 16, N'Alcubilla de las Peñas', N'alcubilla-de-las-penas', N'42213', 41.252070, -2.525979)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6218, 16, N'Aldealafuente', N'aldealafuente', N'42134', 41.672446, -2.324819)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6219, 16, N'Aldealices', N'aldealices', N'42180', 41.901975, -2.308974)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6220, 16, N'Aldealpozo', N'aldealpozo', N'42112', 41.782760, -2.204734)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6221, 16, N'Aldealseñor', N'aldealsenor', N'42180', 41.880755, -2.310929)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6222, 16, N'Aldehuela de Periáñez', N'aldehuela-de-perianez', N'42180', 41.808010, -2.306299)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6223, 16, N'Aldehuelas', N'aldehuelas', N'42173', 41.994505, -2.364249)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6224, 16, N'Alentisque', N'alentisque', N'42225', 41.420515, -2.332049)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6225, 16, N'Aliud', N'aliud', N'42132', 41.654922, -2.253219)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6226, 16, N'Almajano', N'almajano', N'42180', 41.850719, -2.338645)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6227, 16, N'Almaluez', N'almaluez', N'42258', 41.289150, -2.269814)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6228, 16, N'Almarza', N'almarza', N'42169', 41.947997, -2.470489)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6229, 16, N'Almazán', N'almazan', N'42200', 41.485935, -2.531154)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6230, 16, N'Almazul', N'almazul', N'42126', 41.573875, -2.147364)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6231, 16, N'Almenar de Soria', N'almenar-de-soria', N'42130', 41.682730, -2.201409)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6232, 16, N'Alpanseque', N'alpanseque', N'42213', 41.265474, -2.672258)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6233, 16, N'Arancón', N'arancon', N'42180', 41.799991, -2.281235)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6234, 16, N'Arcos de Jalón', N'arcos-de-jalon', N'42250', 41.213540, -2.272611)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6235, 16, N'Arenillas', N'arenillas', N'42368', 41.347349, -2.845768)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6236, 16, N'Arévalo de la Sierra', N'arevalo-de-la-sierra', N'42161', 41.947792, -2.400432)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6237, 16, N'Ausejo de la Sierra', N'ausejo-de-la-sierra', N'42172', 41.895015, -2.374004)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6238, 16, N'Baraona', N'baraona', N'42213', 41.295158, -2.656811)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6239, 16, N'Barca', N'barca', N'42210', 41.455207, -2.620583)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6240, 16, N'Barcones', N'barcones', N'42368', 41.291254, -2.816766)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6241, 16, N'Bayubas de Abajo', N'bayubas-de-abajo', N'42366', 41.527177, -2.896395)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6242, 16, N'Bayubas de Arriba', N'bayubas-de-arriba', N'42366', 41.556307, -2.886835)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6243, 16, N'Beratón', N'beraton', N'42107', 41.716332, -1.810935)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6244, 16, N'Berlanga de Duero', N'berlanga-de-duero', N'42360', 41.467640, -2.862284)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6245, 16, N'Blacos', N'blacos', N'42193', 41.680645, -2.856863)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6246, 16, N'Bliecos', N'bliecos', N'42128', 41.528140, -2.271369)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6247, 16, N'Borjabad', N'borjabad', N'42218', 41.552790, -2.367729)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6248, 16, N'Borobia', N'borobia', N'42107', 41.664545, -1.896143)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6249, 16, N'Buberos', N'buberos', N'42132', 41.646765, -2.194819)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6250, 16, N'Buitrago', N'buitrago', N'42162', 41.847868, -2.410478)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6251, 16, N'Burgo de Osma-Ciudad de Osma', N'burgo-de-osma-ciudad-de-osma', N'42300', 41.588005, -3.074299)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6252, 16, N'Cabrejas del Campo', N'cabrejas-del-campo', N'42130', 41.681169, -2.268946)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6253, 16, N'Cabrejas del Pinar', N'cabrejas-del-pinar', N'42146', 41.798232, -2.849875)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6254, 16, N'Calatañazor', N'calatanazor', N'42193', 41.700194, -2.816776)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6255, 16, N'Caltojar', N'caltojar', N'42367', 41.400905, -2.763769)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6256, 16, N'Candilichera', N'candilichera', N'42134', 41.705317, -2.301128)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6257, 16, N'Cañamaque', N'canamaque', N'42220', 41.444699, -2.236535)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6258, 16, N'Carabantes', N'carabantes', N'42126', 41.551935, -1.998194)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6259, 16, N'Caracena', N'caracena', N'42311', 41.383733, -3.090800)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6260, 16, N'Carrascosa de Abajo', N'carrascosa-de-abajo', N'42311', 41.422776, -3.089707)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6261, 16, N'Carrascosa de la Sierra', N'carrascosa-de-la-sierra', N'42180', 41.894965, -2.280754)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6262, 16, N'Casarejos', N'casarejos', N'42148', 41.796254, -3.033367)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6263, 16, N'Castilfrío de la Sierra', N'castilfrio-de-la-sierra', N'42180', 41.918391, -2.305373)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6264, 16, N'Castillejo de Robledo', N'castillejo-de-robledo', N'42328', 41.560897, -3.494629)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6265, 16, N'Castilruiz', N'castilruiz', N'42113', 41.875685, -2.062799)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6266, 16, N'Centenera de Andaluz', N'centenera-de-andaluz', N'42211', 41.506600, -2.717560)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6267, 16, N'Cerbón', N'cerbon', N'42181', 41.929265, -2.169469)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6268, 16, N'Cidones', N'cidones', N'42145', 41.813616, -2.638994)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6269, 16, N'Cigudosa', N'cigudosa', N'42113', 41.935127, -2.055485)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6270, 16, N'Cihuela', N'cihuela', N'42126', 41.406428, -1.999903)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6271, 16, N'Ciria', N'ciria', N'42138', 41.618540, -1.967839)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6272, 16, N'Cirujales del Río', N'cirujales-del-rio', N'42180', 41.867784, -2.325451)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6273, 16, N'Coscurita', N'coscurita', N'42216', 41.435090, -2.476239)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6274, 16, N'Covaleda', N'covaleda', N'42157', 41.936755, -2.888394)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6275, 16, N'Cubilla', N'cubilla', N'42148', 41.749295, -2.935509)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6276, 16, N'Cubo de la Solana', N'cubo-de-la-solana', N'42191', 41.602450, -2.421539)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6277, 16, N'Cueva de Ágreda', N'cueva-de-agreda', N'42107', 41.763467, -1.886328)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6278, 16, N'Dévanos', N'devanos', N'42108', 41.903135, -1.947277)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6279, 16, N'Deza', N'deza', N'42126', 41.462835, -2.019524)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6280, 16, N'Duruelo de la Sierra', N'duruelo-de-la-sierra', N'42158', 41.952865, -2.929134)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6281, 16, N'Escobosa de Almazán', N'escobosa-de-almazan', N'42223', 41.486589, -2.371432)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6282, 16, N'Espeja de San Marcelino', N'espeja-de-san-marcelino', N'42142', 41.802826, -3.221583)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6283, 16, N'Espejón', N'espejon', N'42142', 41.830100, -3.256779)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6284, 16, N'Estepa de San Juan', N'estepa-de-san-juan', N'42180', 41.926508, -2.333775)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6285, 16, N'Frechilla de Almazán', N'frechilla-de-almazan', N'42216', 41.426459, -2.514827)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6286, 16, N'Fresno de Caracena', N'fresno-de-caracena', N'42311', 41.452494, -3.091866)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6287, 16, N'Fuentearmegil', N'fuentearmegil', N'42141', 41.714870, -3.182024)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6288, 16, N'Fuentecambrón', N'fuentecambron', N'42342', 41.504795, -3.326979)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6289, 16, N'Fuentecantos', N'fuentecantos', N'42162', 41.848620, -2.428289)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6290, 16, N'Fuentelmonge', N'fuentelmonge', N'42220', 41.420568, -2.186189)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6291, 16, N'Fuentelsaz de Soria', N'fuentelsaz-de-soria', N'42162', 41.865850, -2.416454)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6292, 16, N'Fuentepinilla', N'fuentepinilla', N'42294', 41.566171, -2.762737)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6293, 16, N'Fuentes de Magaña', N'fuentes-de-magana', N'42181', 41.935360, -2.180062)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6294, 16, N'Fuentestrún', N'fuentestrun', N'42113', 41.875700, -2.081974)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6295, 16, N'Garray', N'garray', N'42162', 41.815155, -2.445614)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6296, 16, N'Golmayo', N'golmayo', N'42190', 41.765662, -2.523536)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6297, 16, N'Gómara', N'gomara', N'42120', 41.623935, -2.224759)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6298, 16, N'Gormaz', N'gormaz', N'42313', 41.493055, -3.003754)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6299, 16, N'Herrera de Soria', N'herrera-de-soria', N'42148', 41.762955, -3.012523)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6300, 16, N'Hinojosa del Campo', N'hinojosa-del-campo', N'42112', 41.740465, -2.100979)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6301, 16, N'Langa de Duero', N'langa-de-duero', N'42320', 41.610060, -3.401804)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6302, 16, N'Liceras', N'liceras', N'42341', 41.380154, -3.243684)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6303, 16, N'Losilla', N'losilla', N'42181', 41.872581, -2.278300)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6304, 16, N'Magaña', N'magana', N'42181', 41.900500, -2.161189)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6305, 16, N'Maján', N'majan', N'42225', 41.470490, -2.302569)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6306, 16, N'Matalebreras', N'matalebreras', N'42113', 41.840368, -2.047829)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6307, 16, N'Matamala de Almazán', N'matamala-de-almazan', N'42211', 41.506071, -2.641582)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6308, 16, N'Medinaceli', N'medinaceli', N'42240', 41.172367, -2.435754)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6309, 16, N'Miño de Medinaceli', N'mino-de-medinaceli', N'42230', 41.189335, -2.518659)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6310, 16, N'Miño de San Esteban', N'mino-de-san-esteban', N'42328', 41.536165, -3.345874)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6311, 16, N'Molinos de Duero', N'molinos-de-duero', N'42156', 41.887198, -2.786988)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6312, 16, N'Momblona', N'momblona', N'42225', 41.443379, -2.345625)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6313, 16, N'Monteagudo de las Vicarías', N'monteagudo-de-las-vicarias', N'42269', 41.365295, -2.167654)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6314, 16, N'Montejo de Tiermes', N'montejo-de-tiermes', N'42341', 41.369380, -3.197299)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6315, 16, N'Montenegro de Cameros', N'montenegro-de-cameros', N'26127', 42.088855, -2.751569)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6316, 16, N'Morón de Almazán', N'moron-de-almazan', N'42223', 41.414575, -2.412913)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6317, 16, N'Muriel de la Fuente', N'muriel-de-la-fuente', N'42193', 41.725114, -2.861730)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6318, 16, N'Muriel Viejo', N'muriel-viejo', N'42148', 41.782115, -2.915044)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6319, 16, N'Nafría de Ucero', N'nafria-de-ucero', N'42141', 41.722726, -3.093973)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6320, 16, N'Narros', N'narros', N'42189', 41.848033, -2.294086)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6321, 16, N'Navaleno', N'navaleno', N'42149', 41.837299, -3.003810)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6322, 16, N'Nepas', N'nepas', N'42218', 41.526480, -2.397554)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6323, 16, N'Nolay', N'nolay', N'42223', 41.527150, -2.350654)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6324, 16, N'Noviercas', N'noviercas', N'42132', 41.710871, -2.034492)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6325, 16, N'Ólvega', N'olvega', N'42110', 41.778620, -1.984654)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6326, 16, N'Oncala', N'oncala', N'42172', 41.971015, -2.309138)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6327, 16, N'Pinilla del Campo', N'pinilla-del-campo', N'42112', 41.716900, -2.083769)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6328, 16, N'Portillo de Soria', N'portillo-de-soria', N'42138', 41.634681, -2.121241)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6329, 16, N'Póveda de Soria', N'poveda-de-soria', N'42169', 42.012195, -2.504799)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6330, 16, N'Pozalmuro', N'pozalmuro', N'42112', 41.775823, -2.102296)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6331, 16, N'Quintana Redonda', N'quintana-redonda', N'42291', 41.640476, -2.615564)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6332, 16, N'Quintanas de Gormaz', N'quintanas-de-gormaz', N'42313', 41.508020, -2.976079)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6333, 16, N'Quiñonería', N'quinoneria', N'42126', 41.568525, -2.037794)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6334, 16, N'Rábanos', N'rabanos', N'42191', 41.718102, -2.475600)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6335, 16, N'Rebollar', N'rebollar', N'42165', 41.914340, -2.504314)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6336, 16, N'Recuerda', N'recuerda', N'42313', 41.476405, -2.994244)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6337, 16, N'Rello', N'rello', N'42368', 41.335609, -2.752011)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6338, 16, N'Renieblas', N'renieblas', N'42189', 41.820987, -2.373118)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6339, 16, N'Retortillo de Soria', N'retortillo-de-soria', N'42315', 41.312844, -2.981297)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6340, 16, N'Reznos', N'reznos', N'42126', 41.592671, -2.025914)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6341, 16, N'Riba de Escalote', N'riba-de-escalote', N'42368', 41.351968, -2.796237)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6342, 16, N'Rioseco de Soria', N'rioseco-de-soria', N'42193', 41.640925, -2.841229)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6343, 16, N'Rollamienta', N'rollamienta', N'42165', 41.927159, -2.532963)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6344, 16, N'Royo', N'royo', N'42153', 41.909351, -2.645640)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6345, 16, N'Salduero', N'salduero', N'42156', 41.889280, -2.795704)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6346, 16, N'San Esteban de Gormaz', N'san-esteban-de-gormaz', N'42330', 41.572345, -3.199569)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6347, 16, N'San Felices', N'san-felices', N'42113', 41.936700, -2.027888)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6348, 16, N'San Leonardo de Yag', N'san-leonardo-de-yag', N'42140', 41.829485, -3.062539)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6349, 16, N'San Pedro Manrique', N'san-pedro-manrique', N'42174', 42.029420, -2.231784)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6350, 16, N'Santa Cruz de Yanguas', N'santa-cruz-de-yanguas', N'42173', 42.062140, -2.449614)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6351, 16, N'Santa María de Huerta', N'santa-maria-de-huerta', N'42260', 41.261642, -2.177869)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6352, 16, N'Santa María de las Hoyas', N'santa-maria-de-las-hoyas', N'42141', 41.771955, -3.140747)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6353, 16, N'Serón de Nágima', N'seron-de-nagima', N'42127', 41.497745, -2.201084)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6354, 16, N'Soliedra', N'soliedra', N'42223', 41.469535, -2.382280)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6355, 16, N'Soria', N'soria', N'42001', 41.764658, -2.469167)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6356, 16, N'Sotillo del Rincón', N'sotillo-del-rincon', N'42165', 41.932713, -2.602248)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6357, 16, N'Suellacabras', N'suellacabras', N'42189', 41.851836, -2.224038)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6358, 16, N'Tajahuerce', N'tajahuerce', N'42112', 41.739756, -2.150929)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6359, 16, N'Tajueco', N'tajueco', N'42365', 41.535941, -2.849796)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6360, 16, N'Talveila', N'talveila', N'42148', 41.782975, -2.967799)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6361, 16, N'Tardelcuende', N'tardelcuende', N'42294', 41.593935, -2.644213)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6362, 16, N'Taroda', N'taroda', N'42216', 41.347580, -2.432649)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6363, 16, N'Tejado', N'tejado-soria', N'42128', 41.589246, -2.266981)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6364, 16, N'Torlengua', N'torlengua', N'42220', 41.455136, -2.162867)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6365, 16, N'Torreblacos', N'torreblacos', N'42193', 41.669335, -2.877364)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6366, 16, N'Torrubia de Soria', N'torrubia-de-soria', N'42138', 41.631047, -2.090774)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6367, 16, N'Trévago', N'trevago', N'42113', 41.874984, -2.103546)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6368, 16, N'Ucero', N'ucero', N'42317', 41.717200, -3.049519)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6369, 16, N'Vadillo', N'vadillo', N'42148', 41.790978, -3.009664)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6370, 16, N'Valdeavellano de Tera', N'valdeavellano-de-tera', N'42165', 41.939495, -2.574479)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6371, 16, N'Valdegeña', N'valdegena', N'42112', 41.816746, -2.173578)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6372, 16, N'Valdelagua del Cerro', N'valdelagua-del-cerro', N'42113', 41.888100, -2.116061)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6373, 16, N'Valdemaluque', N'valdemaluque', N'42318', 41.674206, -3.046973)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6374, 16, N'Valdenebro', N'valdenebro', N'42313', 41.571306, -2.964518)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6375, 16, N'Valdeprado', N'valdeprado', N'42181', 41.938568, -2.109054)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6376, 16, N'Valderrodilla', N'valderrodilla', N'42294', 41.563655, -2.808854)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6377, 16, N'Valtajeros', N'valtajeros', N'42181', 41.937970, -2.222776)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6378, 16, N'Velamazán', N'velamazan', N'42210', 41.449834, -2.698661)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6379, 16, N'Velilla de la Sierra', N'velilla-de-la-sierra', N'42189', 41.808904, -2.401649)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6380, 16, N'Velilla de los Ajos', N'velilla-de-los-ajos', N'42225', 41.490280, -2.254759)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6381, 16, N'Viana de Duero', N'viana-de-duero', N'42218', 41.533885, -2.460814)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6382, 16, N'Villaciervos', N'villaciervos', N'42192', 41.763200, -2.624429)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6383, 16, N'Villanueva de Gormaz', N'villanueva-de-gormaz', N'42311', 41.468030, -3.063089)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6384, 16, N'Villar del Ala', N'villar-del-ala', N'42165', 41.916816, -2.565808)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6385, 16, N'Villar del Campo', N'villar-del-campo', N'42112', 41.788855, -2.150319)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6386, 16, N'Villar del Río', N'villar-del-rio', N'42173', 42.075370, -2.351679)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6387, 16, N'Villares de Soria', N'villares-de-soria', N'42180', 41.864700, -2.355109)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6388, 16, N'Villasayas', N'villasayas', N'42214', 41.353560, -2.609120)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6389, 16, N'Villaseca de Arciel', N'villaseca-de-arciel', N'42132', 41.625026, -2.160673)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6390, 16, N'Vinuesa', N'vinuesa', N'42150', 41.910710, -2.759834)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6391, 16, N'Vizmanos', N'vizmanos', N'42173', 42.023560, -2.409459)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6392, 16, N'Vozmediano', N'vozmediano', N'42107', 41.839448, -1.855491)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6393, 16, N'Yanguas', N'yanguas', N'42172', 42.100376, -2.336919)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6394, 16, N'Yelo', N'yelo', N'42230', 41.209712, -2.529857)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6396, 20, N'Aiguamúrcia', N'aiguamurcia', N'43815', 41.329857, 1.358751)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6397, 20, N'Albinyana', N'albinyana', N'43716', 41.245419, 1.490909)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6398, 20, N'Albiol', N'albiol', N'43479', 41.252079, 1.089320)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6399, 20, N'Alcanar', N'alcanar', N'43530', 40.542020, 0.481475)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6400, 20, N'Alcover', N'alcover', N'43460', 41.262255, 1.171825)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6401, 20, N'Aldea', N'aldea', N'43896', 40.741310, 0.610970)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6402, 20, N'Aldover', N'aldover', N'43591', 40.880675, 0.498830)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6404, 20, N'Alfara de Carles', N'alfara-de-carles', N'43528', 40.874298, 0.399418)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6405, 20, N'Alforja', N'alforja', N'43365', 41.212320, 0.977785)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6406, 20, N'Alió', N'alio', N'43813', 41.294455, 1.306230)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6407, 20, N'Almoster', N'almoster', N'43393', 41.197321, 1.112366)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6408, 20, N'Altafulla', N'altafulla', N'43893', 41.140450, 1.377385)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6409, 20, N'Ametlla de Mar', N'ametlla-de-mar', N'43860', 40.885361, 0.799270)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6410, 20, N'Ampolla', N'ampolla', N'43895', 40.812160, 0.710890)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6411, 20, N'Amposta', N'amposta', N'43870', 40.713045, 0.579785)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6412, 20, N'Arboç', N'arboc', N'43720', 41.264870, 1.602850)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6413, 20, N'Arbolí', N'arboli', N'43365', 41.242186, 0.949625)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6414, 20, N'Argentera', N'argentera', N'43773', 41.138390, 0.909260)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6415, 20, N'Arnes', N'arnes', N'43597', 40.911720, 0.261040)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6416, 20, N'Ascó', N'asco', N'43791', 41.183780, 0.567085)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6417, 20, N'Banyeres del Penedés', N'banyeres-del-penedes', N'43711', 41.280215, 1.582655)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6418, 20, N'Barberà de la Conca', N'barbera-de-la-conca', N'43422', 41.410598, 1.227736)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6419, 20, N'Batea', N'batea', N'43786', 41.093486, 0.313197)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6420, 20, N'Bellmunt del Priorat', N'bellmunt-del-priorat', N'43738', 41.163350, 0.765550)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6421, 20, N'Bellvei', N'bellvei', N'43719', 41.238680, 1.579825)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6422, 20, N'Benifallet', N'benifallet', N'43512', 40.974795, 0.517345)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6423, 20, N'Benissanet', N'benissanet', N'43747', 41.058490, 0.634535)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6424, 20, N'Bisbal de Falset', N'bisbal-de-falset', N'43372', 41.279806, 0.722866)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6425, 20, N'Bisbal del Penedés', N'bisbal-del-penedes', N'43717', 41.280064, 1.489334)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6426, 20, N'Blancafort', N'blancafort', N'43411', 41.439950, 1.157570)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6427, 20, N'Bonastre', N'bonastre', N'43884', 41.220887, 1.439905)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6428, 20, N'Borges del Camp', N'borges-del-camp', N'43350', 41.171830, 1.021170)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6429, 20, N'Bot', N'bot', N'43785', 41.009090, 0.383425)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6430, 20, N'Botarell', N'botarell', N'43772', 41.135509, 0.989281)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6431, 20, N'Bràfim', N'brafim', N'43812', 41.268810, 1.341235)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6432, 20, N'Cabacés', N'cabaces', N'43373', 41.245735, 0.730843)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6433, 20, N'Cabra del Camp', N'cabra-del-camp', N'43811', 41.395388, 1.275665)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6434, 20, N'Calafell', N'calafell', N'43820', 41.197785, 1.568410)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6435, 20, N'Camarles', N'camarles', N'43894', 40.771180, 0.672375)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6436, 20, N'Cambrils', N'cambrils', N'43850', 41.067270, 1.061110)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6437, 20, N'Capafonts', N'capafonts', N'43364', 41.295951, 1.028155)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6438, 20, N'Capçanes', N'capcanes', N'43776', 41.100893, 0.781290)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6439, 20, N'Caseres', N'caseres', N'43787', 41.039911, 0.251130)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6440, 20, N'Castellvell del Camp', N'castellvell-del-camp', N'43392', 41.180313, 1.099372)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6441, 20, N'Catllar', N'catllar', N'43764', 41.175529, 1.327340)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6442, 20, N'Colldejou', N'colldejou', N'43310', 41.098913, 0.887745)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6443, 20, N'Conesa', N'conesa', N'43427', 41.518595, 1.291155)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6444, 20, N'Constantí', N'constanti', N'43120', 41.151320, 1.216285)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6445, 20, N'Corbera d Ebre', N'corbera-debre', N'43784', 41.077180, 0.476985)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6446, 20, N'Cornudella de Montsant', N'cornudella-de-montsant', N'43360', 41.264698, 0.904790)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6447, 20, N'Creixell', N'creixell', N'43839', 41.162960, 1.439695)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6448, 20, N'Cunit', N'cunit', N'43881', 41.198375, 1.640420)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6449, 20, N'Deltebre', N'deltebre', N'43580', 40.721412, 0.701493)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6450, 20, N'Duesaig', N'duesaig', N'43773', 41.146193, 0.932141)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6451, 20, N'Espluga de Francolí', N'espluga-de-francoli', N'43440', 41.395061, 1.099270)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6452, 20, N'Falset', N'falset', N'43730', 41.144256, 0.820488)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6453, 20, N'Fatarella', N'fatarella', N'43781', 41.161461, 0.473350)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6454, 20, N'Febró', N'febro', N'43364', 41.277149, 1.004240)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6455, 20, N'Figuera', N'figuera', N'43736', 41.215918, 0.730076)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6456, 20, N'Figuerola del Camp', N'figuerola-del-camp', N'43811', 41.371525, 1.266765)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6457, 20, N'Flix', N'flix', N'43750', 41.228079, 0.543202)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6458, 20, N'Forés', N'fores', N'43425', 41.494616, 1.238549)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6459, 20, N'Freginals', N'freginals', N'43558', 40.669720, 0.519420)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6460, 20, N'Galera', N'galera', N'43515', 40.681224, 0.462284)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6461, 20, N'Gandesa', N'gandesa', N'43780', 41.054030, 0.438400)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6462, 20, N'Garcia', N'garcia', N'43749', 41.136456, 0.650082)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6463, 20, N'Garidells', N'garidells', N'43153', 41.207432, 1.247120)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6464, 20, N'Ginestar', N'ginestar', N'43748', 41.041983, 0.632361)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6465, 20, N'Godall', N'godall', N'43516', 40.653990, 0.469560)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6466, 20, N'Gratallops', N'gratallops', N'43737', 41.192355, 0.774910)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6467, 20, N'Guiamets', N'guiamets', N'43777', 41.101810, 0.750640)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6468, 20, N'Horta de Sant Joan', N'horta-de-sant-joan', N'43596', 40.954385, 0.314890)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6469, 20, N'Lloar', N'lloar', N'43737', 41.186729, 0.750332)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6470, 20, N'Llorac', N'llorac', N'43427', 41.556610, 1.307520)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6471, 20, N'Llorenç del Penedés', N'llorenc-del-penedes', N'43712', 41.281290, 1.553545)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6472, 20, N'Marçà', N'marca', N'43775', 41.126900, 0.801050)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6473, 20, N'Margalef', N'margalef', N'43371', 41.284760, 0.755005)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6474, 20, N'Mas de Barberans', N'mas-de-barberans', N'43514', 40.735798, 0.374796)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6475, 20, N'Masdenverge', N'masdenverge', N'43878', 40.715225, 0.529240)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6476, 20, N'Masllorenç', N'masllorenc', N'43718', 41.269858, 1.415234)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6477, 20, N'Masó', N'maso', N'43143', 41.233200, 1.222420)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6478, 20, N'Maspujols', N'maspujols', N'43382', 41.182271, 1.047100)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6479, 20, N'Masroig', N'masroig', N'43736', 41.126862, 0.732410)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6480, 20, N'Milà', N'mila', N'43143', 41.249130, 1.205080)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6481, 20, N'Miravet', N'miravet', N'43747', 41.041250, 0.599420)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6482, 20, N'Molar', N'molar-tarragona', N'43736', 41.164117, 0.705700)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6483, 20, N'Montblanc', N'montblanc', N'43400', 41.375340, 1.164330)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6484, 20, N'Montbrió del Camp', N'montbrio-del-camp', N'43340', 41.121060, 1.004415)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6485, 20, N'Montferri', N'montferri', N'43812', 41.265440, 1.365815)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6486, 20, N'Montmell', N'montmell', N'43718', 41.317464, 1.454144)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6487, 20, N'Mont-ral', N'mont-ral', N'43364', 41.286724, 1.099857)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6488, 20, N'Mont-roig del Camp', N'mont-roig-del-camp', N'43300', 41.085275, 0.959690)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6489, 20, N'Móra d Ebre', N'mora-debre', N'43740', 41.088425, 0.639275)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6490, 20, N'Móra la Nova', N'mora-la-nova', N'43770', 41.102585, 0.652430)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6491, 20, N'Morell', N'morell', N'43760', 41.191799, 1.206600)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6492, 20, N'Morera de Montsant', N'morera-de-montsant', N'43361', 41.263960, 0.841580)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6493, 20, N'Nou de Gaià', N'nou-de-gaia', N'43763', 41.182930, 1.375785)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6494, 20, N'Nulles', N'nulles', N'43887', 41.249180, 1.295160)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6495, 20, N'Pallaresos', N'pallaresos', N'43151', 41.175388, 1.275350)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6496, 20, N'Palma d Ebre', N'palma-debre', N'43370', 41.284837, 0.665359)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6497, 20, N'Passanant i Belltall', N'passanant-i-belltall', N'43425', 41.531924, 1.196849)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6498, 20, N'Paüls', N'pauls', N'43593', 40.922139, 0.402203)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6499, 20, N'Perafort', N'perafort', N'43152', 41.191985, 1.255656)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6500, 20, N'Perelló', N'perello', N'43519', 40.876381, 0.713270)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6501, 20, N'Piles', N'piles', N'43428', 41.504271, 1.342564)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6502, 20, N'Pinell de Brai', N'pinell-de-brai', N'43594', 41.017261, 0.515212)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6503, 20, N'Pira', N'pira', N'43423', 41.424331, 1.202537)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6504, 20, N'Pla de Santa Maria', N'pla-de-santa-maria', N'43810', 41.359428, 1.292890)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6505, 20, N'Pobla de Mafumet', N'pobla-de-mafumet', N'43140', 41.188881, 1.209220)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6506, 20, N'Pobla de Massaluca', N'pobla-de-massaluca', N'43783', 41.180727, 0.354072)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6507, 20, N'Pobla de Montornés', N'pobla-de-montornes', N'43761', 41.178669, 1.415410)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6508, 20, N'Poboleda', N'poboleda', N'43376', 41.234755, 0.845265)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6509, 20, N'Pont d Armentera', N'pont-darmentera', N'43817', 41.384666, 1.364021)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6510, 20, N'Pontils', N'pontils', N'43421', 41.477399, 1.387711)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6511, 20, N'Porrera', N'porrera', N'43739', 41.186775, 0.855830)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6512, 20, N'Pradell de la Teixeta', N'pradell-de-la-teixeta', N'43774', 41.156945, 0.875825)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6513, 20, N'Prades', N'prades', N'43364', 41.308895, 0.987895)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6514, 20, N'Prat de Comte', N'prat-de-comte', N'43595', 40.982822, 0.405121)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6515, 20, N'Pratdip', N'pratdip', N'43320', 41.051215, 0.871707)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6516, 20, N'Puigpelat', N'puigpelat', N'43812', 41.278141, 1.297304)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6517, 20, N'Querol', N'querol', N'43816', 41.422690, 1.397145)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6518, 20, N'Rasquera', N'rasquera', N'43513', 41.004594, 0.600771)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6519, 20, N'Renau', N'renau', N'43886', 41.224690, 1.311295)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6520, 20, N'Reus', N'reus', N'43201', 41.151990, 1.107930)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6521, 20, N'Riba', N'riba', N'43450', 41.318367, 1.180515)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6522, 20, N'Riba-roja d Ebre', N'riba-roja-debre', N'43790', 41.250300, 0.486560)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6523, 20, N'Riera de Gaià', N'riera-de-gaia', N'43762', 41.167333, 1.361392)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6524, 20, N'Riudecanyes', N'riudecanyes', N'43771', 41.129490, 0.960325)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6525, 20, N'Riudecols', N'riudecols', N'43390', 41.167665, 0.975915)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6526, 20, N'Riudoms', N'riudoms', N'43330', 41.138271, 1.054191)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6527, 20, N'Rocafort de Queralt', N'rocafort-de-queralt', N'43426', 41.477960, 1.281450)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6528, 20, N'Roda de Barà', N'roda-de-bara', N'43883', 41.187927, 1.460064)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6529, 20, N'Rodonyà', N'rodonya', N'43812', 41.279805, 1.399150)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6530, 20, N'Roquetes', N'roquetes', N'43520', 40.824985, 0.500245)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6531, 20, N'Rourell', N'rourell', N'43142', 41.223598, 1.217620)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6532, 20, N'Salomó', N'salomo', N'43885', 41.229060, 1.374805)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6533, 20, N'Salou', N'salou', N'43840', 41.074970, 1.136950)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6534, 20, N'Sant Carles de la Ràpita', N'sant-carles-de-la-rapita', N'43540', 40.620645, 0.593115)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6535, 20, N'Sant Jaume dels Domenys', N'sant-jaume-dels-domenys', N'43713', 41.299495, 1.559880)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6536, 20, N'Sant Jaume d Enveja', N'sant-jaume-denveja', N'43877', 40.704060, 0.717155)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6537, 20, N'Santa Bàrbara', N'santa-barbara', N'43570', 40.714150, 0.490555)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6538, 20, N'Santa Coloma de Queralt', N'santa-coloma-de-queralt', N'43420', 41.532137, 1.381840)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6539, 20, N'Santa Oliva', N'santa-oliva', N'43710', 41.251535, 1.549645)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6540, 20, N'Sarral', N'sarral', N'43424', 41.445780, 1.246430)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6541, 20, N'Savallà del Comtat', N'savalla-del-comtat', N'43427', 41.543086, 1.298895)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6542, 20, N'Secuita', N'secuita', N'43765', 41.204167, 1.281624)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6543, 20, N'Selva del Camp', N'selva-del-camp', N'43470', 41.214480, 1.140975)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6544, 20, N'Senan', N'senan', N'43449', 41.470575, 1.084455)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6545, 20, N'Sénia', N'senia', N'43560', 40.633366, 0.283928)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6546, 20, N'Solivella', N'solivella', N'43412', 41.455650, 1.178560)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6547, 20, N'Tarragona', N'tarragona', N'43001', 41.116930, 1.254105)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6548, 20, N'Tivenys', N'tivenys', N'43511', 40.907790, 0.511325)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6549, 20, N'Tivissa', N'tivissa', N'43746', 41.043647, 0.734941)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6550, 20, N'Torre de Fontaubella', N'torre-de-fontaubella', N'43774', 41.125221, 0.865070)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6551, 20, N'Torre de l Espanyol', N'torre-de-lespanyol', N'43792', 41.191685, 0.623230)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6552, 20, N'Torredembarra', N'torredembarra', N'43830', 41.143670, 1.395425)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6553, 20, N'Torroja del Priorat', N'torroja-del-priorat', N'43737', 41.213481, 0.812408)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6554, 20, N'Tortosa', N'tortosa', N'43500', 40.812762, 0.520911)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6555, 20, N'Ulldecona', N'ulldecona', N'43550', 40.595700, 0.445855)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6556, 20, N'Ulldemolins', N'ulldemolins', N'43363', 41.322275, 0.878645)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6557, 20, N'Vallclara', N'vallclara', N'43439', 41.377829, 0.979942)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6558, 20, N'Vallfogona de Riucorb', N'vallfogona-de-riucorb', N'43427', 41.563330, 1.236235)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6559, 20, N'Vallmoll', N'vallmoll', N'43144', 41.243815, 1.249235)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6560, 20, N'Valls', N'valls', N'43800', 41.287150, 1.252530)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6561, 20, N'Vandellós i l Hospitalet de l Infant', N'vandellos-i-lhospitalet-de-linfant', N'43891', 40.991288, 0.921176)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6562, 20, N'Vendrell', N'vendrell', N'43700', 41.221642, 1.538170)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6563, 20, N'Vespella de Gaià', N'vespella-de-gaia', N'43763', 41.205568, 1.359761)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6564, 20, N'Vilabella', N'vilabella', N'43886', 41.247200, 1.329730)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6565, 20, N'Vilalba dels Arcs', N'vilalba-dels-arcs', N'43782', 41.119952, 0.408634)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6566, 20, N'Vilallonga del Camp', N'vilallonga-del-camp', N'43141', 41.208080, 1.206685)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6567, 20, N'Vilanova de Prades', N'vilanova-de-prades', N'43439', 41.348001, 0.956755)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6568, 20, N'Vilanova d Escornalbou', N'vilanova-descornalbou', N'43311', 41.113130, 0.938055)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6569, 20, N'Vilaplana', N'vilaplana', N'43380', 41.226275, 1.035210)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6570, 20, N'Vila-rodona', N'vila-rodona', N'43814', 41.309545, 1.358485)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6571, 20, N'Vila-seca', N'vila-seca', N'43480', 41.108025, 1.144190)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6572, 20, N'Vilaverd', N'vilaverd', N'43490', 41.334073, 1.176653)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6573, 20, N'Vilella Alta', N'vilella-alta', N'43375', 41.225601, 0.780430)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6574, 20, N'Vilella Baixa', N'vilella-baixa', N'43374', 41.220584, 0.763477)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6575, 20, N'Vimbodí i Poblet', N'vimbodi-i-poblet', N'43430', 41.400360, 1.050465)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6576, 20, N'Vinebre', N'vinebre', N'43792', 41.184916, 0.592572)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6577, 20, N'Vinyols i els Arcs', N'vinyols-i-els-arcs', N'43391', 41.113560, 1.042050)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6578, 20, N'Xerta', N'xerta', N'43592', 40.909208, 0.489874)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6580, 28, N'Ababuj', N'ababuj', N'44155', 40.548825, -0.808574)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6581, 28, N'Abejuela', N'abejuela', N'44422', 39.909696, -0.893009)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6582, 28, N'Aguatón', N'aguaton', N'44382', 40.670915, -1.234646)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6583, 28, N'Aguaviva', N'aguaviva', N'44566', 40.823400, -0.197004)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6584, 28, N'Aguilar del Alfambra', N'aguilar-del-alfambra', N'44156', 40.589370, -0.793253)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6585, 28, N'Alacón', N'alacon', N'44549', 41.021743, -0.698858)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6586, 28, N'Alba', N'alba', N'44395', 40.618376, -1.344747)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6587, 28, N'Albalate del Arzobispo', N'albalate-del-arzobispo', N'44540', 41.123446, -0.509474)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6588, 28, N'Albarracín', N'albarracin', N'44100', 40.408397, -1.439240)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6589, 28, N'Albentosa', N'albentosa', N'44477', 40.102715, -0.768616)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6590, 28, N'Alcaine', N'alcaine', N'44792', 40.954067, -0.706594)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6591, 28, N'Alcalá de la Selva', N'alcala-de-la-selva', N'44432', 40.370885, -0.718061)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6592, 28, N'Alcañiz', N'alcaniz', N'44600', 41.052285, -0.133174)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6593, 28, N'Alcorisa', N'alcorisa', N'44550', 40.897341, -0.380297)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6594, 28, N'Alfambra', N'alfambra', N'44160', 40.545569, -1.031445)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6595, 28, N'Aliaga', N'aliaga', N'44150', 40.674880, -0.701819)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6596, 28, N'Allepuz', N'allepuz', N'44145', 40.491660, -0.730419)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6597, 28, N'Alloza', N'alloza', N'44509', 40.970905, -0.530954)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6598, 28, N'Allueva', N'allueva', N'44492', 40.985225, -1.043444)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6599, 28, N'Almohaja', N'almohaja', N'44369', 40.605089, -1.437251)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6600, 28, N'Alobras', N'alobras', N'44134', 40.180999, -1.387962)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6601, 28, N'Alpeñés', N'alpenes', N'44721', 40.799445, -1.066769)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6602, 28, N'Anadón', N'anadon', N'44212', 40.981875, -0.983449)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6603, 28, N'Andorra', N'andorra', N'44500', 40.976825, -0.446909)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6604, 28, N'Arcos de las Salinas', N'arcos-de-las-salinas', N'44421', 39.991076, -1.041986)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6605, 28, N'Arens de Lledó', N'arens-de-lledo', N'44622', 40.993056, 0.269949)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6606, 28, N'Argente', N'argente', N'44165', 40.691183, -1.163615)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6607, 28, N'Ariño', N'arino', N'44547', 41.030032, -0.591888)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6608, 28, N'Azaila', N'azaila', N'44590', 41.289163, -0.493357)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6609, 28, N'Bádenas', N'badenas', N'44491', 41.091943, -1.121067)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6610, 28, N'Báguena', N'baguena', N'44320', 41.045907, -1.363199)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6611, 28, N'Baón', N'banon', N'44357', 40.836610, -1.190434)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6612, 28, N'Barrachina', N'barrachina', N'44220', 40.897520, -1.139789)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6613, 28, N'Bea', N'bea', N'44492', 41.035550, -1.146120)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6614, 28, N'Beceite', N'beceite', N'44588', 40.834475, 0.179449)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6615, 28, N'Bello', N'bello', N'44232', 40.923911, -1.497542)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6616, 28, N'Belmonte de San José', N'belmonte-de-san-jose', N'44642', 40.875757, -0.065064)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6617, 28, N'Berge', N'berge', N'44556', 40.857760, -0.425979)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6618, 28, N'Bezas', N'bezas', N'44121', 40.329378, -1.323452)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6619, 28, N'Blancas', N'blancas', N'44314', 40.813663, -1.482339)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6620, 28, N'Blesa', N'blesa', N'44790', 41.051638, -0.884056)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6621, 28, N'Bordón', N'bordon', N'44563', 40.687619, -0.322208)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6622, 28, N'Bronchales', N'bronchales', N'44367', 40.509248, -1.590056)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6623, 28, N'Bueña', N'buena', N'44394', 40.708637, -1.267161)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6624, 28, N'Burbáguena', N'burbaguena', N'44330', 41.016385, -1.337113)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6625, 28, N'Cabra de Mora', N'cabra-de-mora', N'44409', 40.317641, -0.807152)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6626, 28, N'Calaceite', N'calaceite', N'44610', 41.017421, 0.188484)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6627, 28, N'Calamocha', N'calamocha', N'44200', 40.920631, -1.300850)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6628, 28, N'Calanda', N'calanda', N'44570', 40.941770, -0.233459)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6629, 28, N'Calomarde', N'calomarde', N'44126', 40.372787, -1.574950)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6630, 28, N'Camañas', N'camanas', N'44167', 40.642631, -1.137257)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6631, 28, N'Camarena de la Sierra', N'camarena-de-la-sierra', N'44459', 40.147963, -1.040525)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6632, 28, N'Camarillas', N'camarillas', N'44155', 40.612470, -0.754023)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6633, 28, N'Caminreal', N'caminreal', N'44350', 40.838246, -1.325355)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6634, 28, N'Cantavieja', N'cantavieja', N'44140', 40.528137, -0.405765)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6635, 28, N'Cañada de Benatanduz', N'canada-de-benatanduz', N'44140', 40.581188, -0.534382)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6636, 28, N'Cañada de Verich', N'canada-de-verich', N'44643', 40.869067, -0.096817)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6637, 28, N'Cañada Vellida', N'canada-vellida', N'44168', 40.707564, -0.913410)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6638, 28, N'Cañizar del Olivar', N'canizar-del-olivar', N'44707', 40.816554, -0.645447)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6639, 28, N'Cascante del Río', N'cascante-del-rio', N'44191', 40.196528, -1.114855)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6640, 28, N'Castejón de Tornos', N'castejon-de-tornos', N'44231', 40.997893, -1.425133)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6641, 28, N'Castel de Cabra', N'castel-de-cabra', N'44706', 40.801969, -0.697246)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6642, 28, N'Castellar', N'castellar', N'44409', 40.317608, -0.806422)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6643, 28, N'Castellote', N'castellote', N'44560', 40.800637, -0.320020)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6644, 28, N'Castelnou', N'castelnou', N'44592', 41.228685, -0.365210)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6645, 28, N'Castelserás', N'castelseras', N'44630', 40.981016, -0.147886)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6646, 28, N'Cedrillas', N'cedrillas', N'44147', 40.436610, -0.851440)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6647, 28, N'Celadas', N'celadas', N'44194', 40.475975, -1.149960)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6648, 28, N'Cella', N'cella', N'44370', 40.455389, -1.286860)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6649, 28, N'Cerollera', N'cerollera', N'44651', 40.840194, -0.055017)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6650, 28, N'Codoñera', N'codonera', N'44640', 40.933828, -0.085788)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6651, 28, N'Corbalán', N'corbalan', N'44193', 40.404363, -0.983748)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6652, 28, N'Cortes de Aragón', N'cortes-de-aragon', N'44791', 40.974471, -0.835476)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6653, 28, N'Cosa', N'cosa', N'44358', 40.834350, -1.136055)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6654, 28, N'Cretas', N'cretas', N'44623', 40.928964, 0.212088)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6655, 28, N'Crivillén', N'crivillen', N'44557', 40.883426, -0.575280)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6656, 28, N'Cuba', N'cuba', N'44141', 40.587820, -0.340748)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6657, 28, N'Cubla', N'cubla', N'44191', 40.211605, -1.079192)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6658, 28, N'Cucalón', N'cucalon', N'44491', 41.086096, -1.213732)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6659, 28, N'El Cuervo', N'elcuervo', N'33650', 40.151079, -1.325011)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6660, 28, N'Cuevas de Almudén', N'cuevas-de-almuden', N'44169', 40.715241, -0.830755)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6661, 28, N'Cuevas Labradas', N'cuevas-labradas', N'44162', 40.453723, -1.052456)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6662, 28, N'Ejulve', N'ejulve', N'44559', 40.775066, -0.554509)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6663, 28, N'Escorihuela', N'escorihuela', N'44161', 40.545977, -0.972247)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6664, 28, N'Escucha', N'escucha', N'44770', 40.795602, -0.809641)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6665, 28, N'Estercuel', N'estercuel', N'44558', 40.855711, -0.631371)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6666, 28, N'Ferreruela de Huerva', N'ferreruela-de-huerva', N'44490', 41.063838, -1.232185)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6667, 28, N'Fonfría', N'fonfria', N'44492', 40.995820, -1.084471)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6668, 28, N'Formiche Alto', N'formiche-alto', N'44440', 40.325526, -0.893755)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6669, 28, N'Fórnoles', N'fornoles', N'44650', 40.894132, -0.003819)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6670, 28, N'Fortanete', N'fortanete', N'44143', 40.505756, -0.522881)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6671, 28, N'Foz-Calanda', N'foz-calanda', N'44579', 40.923582, -0.267277)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6672, 28, N'Fresneda', N'fresneda', N'44596', 40.928543, 0.075488)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6673, 28, N'Frías de Albarracín', N'frias-de-albarracin', N'44126', 40.337860, -1.614432)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6674, 28, N'Fuenferrada', N'fuenferrada', N'44741', 40.868889, -1.010656)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6675, 28, N'Fuentes Calientes', N'fuentes-calientes', N'44711', 40.701805, -0.978684)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6676, 28, N'Fuentes Claras', N'fuentes-claras', N'44340', 40.864215, -1.323080)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6677, 28, N'Fuentes de Rubielos', N'fuentes-de-rubielos', N'44415', 40.169675, -0.618925)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6678, 28, N'Fuentespalda', N'fuentespalda', N'44587', 40.806436, 0.062141)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6679, 28, N'Galve', N'galve', N'44168', 40.655671, -0.880709)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6680, 28, N'Gargallo', N'gargallo', N'44558', 40.836070, -0.585194)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6681, 28, N'Gea de Albarracín', N'gea-de-albarracin', N'44110', 40.411323, -1.347713)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6682, 28, N'Ginebrosa', N'ginebrosa', N'44643', 40.870998, -0.133638)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6683, 28, N'Griegos', N'griegos', N'44114', 40.426712, -1.710649)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6684, 28, N'Guadalaviar', N'guadalaviar', N'44115', 40.387596, -1.715755)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6685, 28, N'Gúdar', N'gudar', N'44433', 40.440856, -0.720162)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6686, 28, N'Híjar', N'hijar', N'44530', 41.176021, -0.450954)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6687, 28, N'Hinojosa de Jarque', N'hinojosa-de-jarque', N'44157', 40.691784, -0.786123)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6688, 28, N'Hoz de la Vieja', N'hoz-de-la-vieja', N'44791', 40.923938, -0.843544)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6689, 28, N'Huesa del Común', N'huesa-del-comun', N'44213', 41.009520, -0.920062)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6690, 28, N'Iglesuela del Cid', N'iglesuela-del-cid', N'44142', 40.481671, -0.318904)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6691, 28, N'Jabaloyas', N'jabaloyas', N'44122', 40.240570, -1.407666)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6692, 28, N'Jarque de la Val', N'jarque-de-la-val', N'44169', 40.703757, -0.800800)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6693, 28, N'Jatiel', N'jatiel', N'44592', 41.218937, -0.381045)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6694, 28, N'Jorcas', N'jorcas', N'44156', 40.543564, -0.753078)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6695, 28, N'Josa', N'josa', N'44792', 40.955870, -0.781403)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6696, 28, N'Lagueruela', N'lagueruela', N'44492', 41.042414, -1.192746)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6697, 28, N'Lanzuela', N'lanzuela', N'44491', 41.097836, -1.204247)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6698, 28, N'Libros', N'libros', N'44132', 40.162165, -1.234846)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6699, 28, N'Lidón', N'lidon', N'44164', 40.716200, -1.113396)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6700, 28, N'Linares de Mora', N'linares-de-mora', N'44412', 40.324757, -0.575066)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6701, 28, N'Lledó', N'lledo', N'44624', 40.955125, 0.276976)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6702, 28, N'Loscos', N'loscos', N'44493', 41.081405, -1.045461)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6703, 28, N'Maicas', N'maicas', N'44791', 40.966143, -0.889978)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6704, 28, N'Manzanera', N'manzanera', N'44420', 40.057660, -0.830026)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6705, 28, N'Martín del Río', N'martin-del-rio', N'44750', 40.844512, -0.895643)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6706, 28, N'Mas de las Matas', N'mas-de-las-matas', N'44564', 40.834155, -0.241613)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6707, 28, N'Mata de los Olmos', N'mata-de-los-olmos', N'44557', 40.865416, -0.520606)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6708, 28, N'Mazaleón', N'mazaleon', N'44621', 41.049826, 0.104542)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6709, 28, N'Mezquita de Jarque', N'mezquita-de-jarque', N'44169', 40.722331, -0.868392)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6710, 28, N'Mirambel', N'mirambel', N'44141', 40.588211, -0.345039)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6711, 28, N'Miravete de la Sierra', N'miravete-de-la-sierra', N'44159', 40.577830, -0.693898)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6712, 28, N'Molinos', N'losmolinos', N'44556', 40.819834, -0.449924)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6713, 28, N'Monforte de Moyuela', N'monforte-de-moyuela', N'44493', 41.056759, -1.014712)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6714, 28, N'Monreal del Campo', N'monreal-del-campo', N'44300', 40.790663, -1.354194)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6715, 28, N'Monroyo', N'monroyo', N'44652', 40.787540, -0.031747)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6716, 28, N'Montalbán', N'montalban', N'44700', 40.835701, -0.798622)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6717, 28, N'Monteagudo del Castillo', N'monteagudo-del-castillo', N'44146', 40.460769, -0.818675)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6718, 28, N'Monterde de Albarracín', N'monterde-de-albarracin', N'44368', 40.494987, -1.494226)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6719, 28, N'Mora de Rubielos', N'mora-de-rubielos', N'44424', 40.122562, -0.782604)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6720, 28, N'Moscardón', N'moscardon', N'44124', 40.333910, -1.537142)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6721, 28, N'Mosqueruela', N'mosqueruela', N'44410', 40.360292, -0.447510)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6722, 28, N'Muniesa', N'muniesa', N'44780', 41.033528, -0.812302)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6723, 28, N'Noguera de Albarracín', N'noguera-de-albarracin', N'44113', 40.461438, -1.595936)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6724, 28, N'Nogueras', N'nogueras', N'44497', 41.134718, -1.066661)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6725, 28, N'Nogueruelas', N'nogueruelas', N'44414', 40.235894, -0.637872)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6726, 28, N'Obón', N'obon', N'44792', 40.903576, -0.724154)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6727, 28, N'Odón', N'odon', N'44233', 40.888065, -1.565809)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6728, 28, N'Ojos Negros', N'ojos-negros', N'44313', 40.733178, -1.502938)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6729, 28, N'Olba', N'olba', N'44479', 40.132851, -0.625684)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6730, 28, N'Oliete', N'oliete', N'44548', 40.998436, -0.672784)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6731, 28, N'Olmos', N'olmos', N'44557', 40.873752, -0.489450)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6732, 28, N'Orihuela del Tremedal', N'orihuela-del-tremedal', N'44366', 40.546255, -1.653121)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6733, 28, N'Orrios', N'orrios', N'44161', 40.585433, -0.991859)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6734, 28, N'Palomar de Arroyos', N'palomar-de-arroyos', N'44708', 40.781939, -0.766253)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6735, 28, N'Pancrudo', N'pancrudo', N'44720', 40.761122, -1.030419)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6736, 28, N'Parras de Castellote', N'parras-de-castellote', N'44566', 40.776219, -0.243073)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6737, 28, N'Peñarroya de Tastavins', N'penarroya-de-tastavins', N'44586', 40.756075, 0.042443)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6738, 28, N'Peracense', N'peracense', N'44369', 40.641133, -1.467962)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6739, 28, N'Peralejos', N'peralejos', N'44162', 40.484147, -1.033638)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6740, 28, N'Perales del Alfambra', N'peralesdelalfambra', N'44163', 40.547543, -1.033187)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6741, 28, N'Pitarque', N'pitarque', N'44555', 40.647019, -0.587897)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6742, 28, N'Plou', N'plou', N'44213', 40.992706, -0.854251)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6743, 28, N'Pobo', N'pobo', N'44155', 40.509452, -0.858178)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6744, 28, N'Portellada', N'portellada', N'44589', 40.883856, 0.050297)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6745, 28, N'Pozondón', N'pozondon', N'44368', 40.562240, -1.472018)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6746, 28, N'Pozuel del Campo', N'pozuel-del-campo', N'44315', 40.771848, -1.506758)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6747, 28, N'Puebla de Híjar', N'puebla-de-hijar', N'44510', 41.213424, -0.446212)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6748, 28, N'Puebla de Valverde', N'puebla-de-valverde', N'44450', 40.225172, -0.930405)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6749, 28, N'Puertomingalvo', N'puertomingalvo', N'44411', 40.265266, -0.460052)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6750, 28, N'Ráfales', N'rafales', N'44589', 40.837661, 0.021801)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6751, 28, N'Rillo', N'rillo', N'44710', 40.722527, -0.994692)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6752, 28, N'Riodeva', N'riodeva', N'44133', 40.116497, -1.148286)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6753, 28, N'Ródenas', N'rodenas', N'44310', 40.641825, -1.517658)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6754, 28, N'Royuela', N'royuela', N'44125', 40.377135, -1.512079)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6755, 28, N'Rubiales', N'rubiales', N'44121', 40.276432, -1.269393)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6756, 28, N'Rubielos de la Cérida', N'rubielos-de-la-cerida', N'44166', 40.771458, -1.212573)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6757, 28, N'Rubielos de Mora', N'rubielos-de-mora', N'44415', 40.189840, -0.651283)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6758, 28, N'Salcedillo', N'salcedillo', N'44793', 40.962376, -1.006021)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6759, 28, N'Saldón', N'saldon', N'44122', 40.325003, -1.428823)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6760, 28, N'Samper de Calanda', N'samper-de-calanda', N'44520', 41.190200, -0.391645)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6761, 28, N'San Agustín', N'san-agustin', N'44480', 40.059893, -0.692654)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6762, 28, N'San Martín del Río', N'san-martin-del-rio', N'44390', 41.065973, -1.386659)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6763, 28, N'Santa Cruz de Nogueras', N'santa-cruz-de-nogueras', N'44497', 41.114134, -1.088591)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6764, 28, N'Santa Eulalia', N'santa-eulalia', N'44360', 40.567693, -1.313038)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6765, 28, N'Sarrión', N'sarrion', N'44460', 40.142124, -0.815134)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6766, 28, N'Segura de los Baños', N'segura-de-los-banos', N'44793', 40.940668, -0.950961)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6767, 28, N'Seno', N'seno', N'44561', 40.812201, -0.338860)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6768, 28, N'Singra', N'singra', N'44382', 40.656176, -1.311707)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6769, 28, N'Terriente', N'terriente', N'44120', 40.297448, -1.504526)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6770, 28, N'Teruel', N'teruel', N'44001', 40.345170, -1.106873)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6771, 28, N'Toril y Masegoso', N'toril-y-masegoso', N'44123', 40.247253, -1.491652)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6772, 28, N'Tormón', N'tormon', N'44134', 40.202854, -1.353936)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6773, 28, N'Tornos', N'tornos', N'44230', 40.962222, -1.433930)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6774, 28, N'Torralba de los Sisones', N'torralba-de-los-sisones', N'44359', 40.890920, -1.459379)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6775, 28, N'Torre de Arcas', N'torre-de-arcas', N'44653', 40.751500, -0.067677)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6776, 28, N'Torre de las Arcas', N'torre-de-las-arcas', N'44709', 40.841265, -0.719218)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6777, 28, N'Torre del Compte', N'torre-del-compte', N'44597', 40.935967, 0.110207)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6778, 28, N'Torre los Negros', N'torre-los-negros', N'44358', 40.936162, 0.109777)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6779, 28, N'Torrecilla de Alcañiz', N'torrecilla-de-alcaniz', N'44640', 40.960602, -0.091796)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6780, 28, N'Torrecilla del Rebollar', N'torrecilla-del-rebollar', N'44222', 40.910675, -1.071210)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6781, 28, N'Torrelacárcel', N'torrelacarcel', N'44382', 40.614001, -1.303854)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6782, 28, N'Torremocha de Jiloca', N'torremocha-de-jiloca', N'44381', 40.590802, -1.297202)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6783, 28, N'Torres de Albarracín', N'torres-de-albarracin', N'44111', 40.427651, -1.532185)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6784, 28, N'Torrevelilla', N'torrevelilla', N'44641', 40.904788, -0.110850)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6785, 28, N'Torrijas', N'torrijas', N'44421', 40.021787, -0.957520)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6786, 28, N'Torrijo del Campo', N'torrijo-del-campo', N'44393', 40.827368, -1.335483)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6787, 28, N'Tramacastiel', N'tramacastiel', N'44133', 40.188758, -1.240983)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6788, 28, N'Tramacastilla', N'tramacastilla', N'44112', 40.431187, -1.568213)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6789, 28, N'Tronchon', N'tronchon', N'44141', 40.621103, -0.399113)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6790, 28, N'Urrea de Gaén', N'urrea-de-gaen', N'44593', 41.159885, -0.469494)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6791, 28, N'Utrillas', N'utrillas', N'44760', 40.813452, -0.842772)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6792, 28, N'Valacloche', N'valacloche', N'44191', 40.191332, -1.091509)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6793, 28, N'Valbona', N'valbona', N'44430', 40.229579, -0.810328)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6794, 28, N'Valdealgorfa', N'valdealgorfa', N'44594', 40.990718, -0.034890)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6795, 28, N'Valdecuenca', N'valdecuenca', N'44122', 40.297072, -1.406937)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6796, 28, N'Valdelinares', N'valdelinares', N'44413', 40.391992, -0.605450)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6797, 28, N'Valdeltormo', N'valdeltormo', N'44620', 40.985470, 0.083985)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6798, 28, N'Valderrobres', N'valderrobres', N'44580', 40.875622, 0.158615)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6799, 28, N'Valjunquera', N'valjunquera', N'44595', 40.953099, 0.025921)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6800, 28, N'Vallecillo', N'elvallecillo', N'44123', 40.234657, -1.565723)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6801, 28, N'Veguillas de la Sierra', N'veguillas-de-la-sierra', N'44134', 40.155360, -1.405950)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6802, 28, N'Villafranca del Campo', N'villafranca-del-campo', N'44394', 40.694468, -1.345868)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6803, 28, N'Villahermosa del Campo', N'villahermosa-del-campo', N'44494', 41.109753, -1.246133)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6804, 28, N'Villanueva del Rebollar de la Sierra', N'villanueva-del-rebollar-de-la-sierra', N'44223', 40.892721, -1.008468)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6805, 28, N'Villar del Cobo', N'villar-del-cobo', N'44114', 40.397091, -1.673355)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6806, 28, N'Villar del Salz', N'villar-del-salz', N'44311', 40.683339, -1.499076)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6807, 28, N'Villarluengo', N'villarluengo', N'44559', 40.648150, -0.528631)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6808, 28, N'Villarquemado', N'villarquemado', N'44380', 40.519574, -1.268234)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6809, 28, N'Villarroya de los Pinares', N'villarroya-de-los-pinares', N'44144', 40.530665, -0.671196)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6810, 28, N'Villastar', N'villastar', N'44130', 40.280803, -1.152706)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6811, 28, N'Villel', N'villel', N'44131', 40.234657, -1.186996)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6812, 28, N'Vinaceite', N'vinaceite', N'44591', 41.266646, -0.576010)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6813, 28, N'Visiedo', N'visiedo', N'44164', 40.685975, -1.097775)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6814, 28, N'Vivel del Río Martín', N'vivel-del-rio-martin', N'44740', 40.870041, -0.940447)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6815, 28, N'Zoma', N'zoma', N'44707', 40.784018, -0.618367)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6817, 32, N'Ajofrín', N'ajofrin', N'45110', 39.713600, -3.982054)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6818, 32, N'Alameda de la Sagra', N'alameda-de-la-sagra', N'45240', 40.012009, -3.795660)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6819, 32, N'Albarreal de Tajo', N'albarreal-de-tajo', N'45522', 39.897124, -4.228061)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6820, 32, N'Alcabón', N'alcabon', N'45523', 40.002202, -4.368048)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6821, 32, N'Alcañizo', N'alcanizo', N'45687', 39.904945, -5.106049)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6822, 32, N'Alcaudete de la Jara', N'alcaudete-de-la-jara', N'45662', 39.790443, -4.871427)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6823, 32, N'Alcolea de Tajo', N'alcolea-de-tajo', N'45571', 39.808239, -5.148125)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6824, 32, N'Aldea en Cabo', N'aldea-en-cabo', N'45908', 40.186450, -4.454464)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6825, 32, N'Aldeanueva de Barbarroya', N'aldeanueva-de-barbarroya', N'45661', 39.762170, -5.020174)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6826, 32, N'Aldeanueva de San Bartolomé', N'aldeanueva-de-san-bartolome', N'45575', 39.637262, -5.110840)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6827, 32, N'Almendral de la Cañada', N'almendral-de-la-canada', N'45631', 40.186690, -4.742109)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6828, 32, N'Almonacid de Toledo', N'almonacid-de-toledo', N'45420', 39.755156, -3.854598)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6829, 32, N'Almorox', N'almorox', N'45900', 40.232991, -4.391704)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6830, 32, N'Añover de Tajo', N'anover-de-tajo', N'45250', 39.988175, -3.762758)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6831, 32, N'Arcicóllar', N'arcicollar', N'45182', 40.056253, -4.114368)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6832, 32, N'Argés', N'arges', N'45122', 39.805295, -4.057094)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6833, 32, N'Azután', N'azutan', N'45571', 39.784215, -5.126474)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6834, 32, N'Barcience', N'barcience', N'45525', 39.983185, -4.233034)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6835, 32, N'Bargas', N'bargas', N'45593', 39.940678, -4.019413)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6836, 32, N'Belvís de la Jara', N'belvis-de-la-jara', N'45660', 39.760709, -4.948337)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6837, 32, N'Borox', N'borox', N'45222', 40.069862, -3.740072)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6838, 32, N'Buenaventura', N'buenaventura', N'45634', 40.176119, -4.849176)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6839, 32, N'Burguillos de Toledo', N'burguillos-de-toledo', N'45112', 39.796040, -3.993402)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6840, 32, N'Burujón', N'burujon', N'45521', 39.901407, -4.298315)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6841, 32, N'Cabañas de la Sagra', N'cabanas-de-la-sagra', N'45592', 40.008453, -3.946838)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6842, 32, N'Cabañas de Yepes', N'cabanas-de-yepes', N'45312', 39.889554, -3.535044)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6843, 32, N'Cabezamesada', N'cabezamesada', N'45890', 39.815986, -3.101921)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6844, 32, N'Calera y Chozas', N'calera-y-chozas', N'45686', 39.881849, -4.978223)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6845, 32, N'Caleruela', N'caleruela', N'45589', 39.874801, -5.255027)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6846, 32, N'Calzada de Oropesa', N'calzada-de-oropesa', N'45580', 39.898378, -5.278673)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6847, 32, N'Camarena', N'camarena', N'45180', 40.092797, -4.119101)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6848, 32, N'Camarenilla', N'camarenilla', N'45181', 40.017755, -4.073739)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6849, 32, N'Campillo de la Jara', N'campillo-de-la-jara', N'45578', 39.589981, -5.054784)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6850, 32, N'Camuñas', N'camunas', N'45720', 39.425851, -3.458977)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6851, 32, N'Cardiel de los Montes', N'cardiel-de-los-montes', N'45642', 40.063983, -4.656358)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6852, 32, N'Carmena', N'carmena', N'45531', 39.958142, -4.400840)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6853, 32, N'Carpio de Tajo', N'carpio-de-tajo', N'45533', 39.887710, -4.455900)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6854, 32, N'Carranque', N'carranque', N'45216', 40.169790, -3.900447)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6855, 32, N'Carriches', N'carriches', N'45532', 39.963997, -4.455171)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6856, 32, N'Casar de Escalona', N'casar-de-escalona', N'45542', 40.047329, -4.524221)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6857, 32, N'Casarrubios del Monte', N'casarrubios-del-monte', N'45950', 40.186480, -4.037004)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6858, 32, N'Casasbuenas', N'casasbuenas', N'45124', 39.761278, -4.125881)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6859, 32, N'Castillo de Bayuela', N'castillo-de-bayuela', N'45641', 40.102104, -4.683609)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6860, 32, N'Cazalegas', N'cazalegas', N'45683', 40.010623, -4.675841)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6861, 32, N'Cebolla', N'cebolla', N'45680', 39.947977, -4.569025)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6862, 32, N'Cedillo del Condado', N'cedillo-del-condado', N'45214', 40.114511, -3.922119)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6863, 32, N'Cerralbos', N'cerralbos', N'45682', 39.985736, -4.568982)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6864, 32, N'Cervera de los Montes', N'cervera-de-los-montes', N'45637', 40.052552, -4.810724)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6865, 32, N'Chozas de Canales', N'chozas-de-canales', N'45960', 40.100496, -4.041252)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6866, 32, N'Chueca', N'chueca', N'45113', 39.732703, -3.941989)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6867, 32, N'Ciruelos', N'ciruelos', N'45314', 39.936658, -3.616734)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6868, 32, N'Cobeja', N'cobeja', N'45291', 40.024920, -3.856759)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6869, 32, N'Cobisa', N'cobisa', N'45111', 39.804019, -4.024386)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6870, 32, N'Consuegra', N'consuegra', N'45700', 39.460517, -3.605490)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6871, 32, N'Corral de Almaguer', N'corral-de-almaguer', N'45880', 39.763554, -3.166122)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6872, 32, N'Cuerva', N'cuerva', N'45126', 39.663625, -4.209824)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6873, 32, N'Domingo Pérez', N'domingo-perez', N'45544', 39.976035, -4.504824)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6874, 32, N'Dosbarrios', N'dosbarrios', N'45311', 39.884845, -3.476744)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6875, 32, N'Erustes', N'erustes', N'45540', 39.956629, -4.497056)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6876, 32, N'Escalona', N'escalona', N'45910', 40.168642, -4.403629)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6877, 32, N'Escalonilla', N'escalonilla', N'45517', 39.925206, -4.348869)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6878, 32, N'Espinoso del Rey', N'espinoso-del-rey', N'45650', 39.652888, -4.782915)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6879, 32, N'Esquivias', N'esquivias', N'45221', 40.104205, -3.770499)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6880, 32, N'Estrella', N'estrella', N'45574', 39.690281, -5.092506)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6881, 32, N'Fuensalida', N'fuensalida', N'45510', 40.053373, -4.208794)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6882, 32, N'Gálvez', N'galvez', N'45164', 39.705767, -4.276342)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6883, 32, N'Garciotum', N'garciotum', N'45643', 40.099609, -4.645114)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6884, 32, N'Gerindote', N'gerindote', N'45518', 39.966793, -4.301662)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6885, 32, N'Guadamur', N'guadamur', N'45160', 39.813942, -4.145794)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6886, 32, N'Guardia', N'guardia', N'45760', 39.786181, -3.475199)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6887, 32, N'Herencias', N'herencias', N'45664', 39.869597, -4.920888)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6888, 32, N'Herreruela de Oropesa', N'herreruela-de-oropesa', N'45588', 39.890410, -5.242839)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6889, 32, N'Hinojosa de San Vicente', N'hinojosa-de-san-vicente', N'45645', 40.104632, -4.722705)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6890, 32, N'Hontanar', N'hontanar', N'45159', 39.611937, -4.497185)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6891, 32, N'Hormigos', N'hormigos', N'45919', 40.098723, -4.445386)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6892, 32, N'Huecas', N'huecas', N'45511', 40.011970, -4.195790)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6893, 32, N'Huerta de Valdecarábanos', N'huerta-de-valdecarabanos', N'45750', 39.865018, -3.608408)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6894, 32, N'Iglesuela', N'iglesuela', N'45633', 40.228170, -4.748755)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6895, 32, N'Illán de Vacas', N'illan-de-vacas', N'45681', 39.970789, -4.555957)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6896, 32, N'Illescas', N'illescas', N'45200', 40.123700, -3.850021)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6897, 32, N'Lagartera', N'lagartera', N'45567', 39.905983, -5.201426)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6898, 32, N'Layos', N'layos', N'45123', 39.777177, -4.064255)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6899, 32, N'Lillo', N'lillo', N'45870', 39.721448, -3.305554)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6900, 32, N'Lominchar', N'lominchar', N'45212', 40.089695, -3.965850)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6901, 32, N'Lucillos', N'lucillos', N'45684', 39.986919, -4.612284)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6902, 32, N'Madridejos', N'madridejos', N'45710', 39.467276, -3.521547)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6903, 32, N'Magán', N'magan', N'45590', 39.957780, -3.930531)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6904, 32, N'Malpica de Tajo', N'malpica-de-tajo', N'45692', 39.894098, -4.547224)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6905, 32, N'Manzaneque', N'manzaneque', N'45460', 39.635638, -3.788180)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6906, 32, N'Maqueda', N'maqueda', N'45515', 40.066971, -4.369211)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6907, 32, N'Marjaliza', N'marjaliza', N'45479', 39.563585, -3.935080)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6908, 32, N'Marrupe', N'marrupe', N'45636', 40.090187, -4.793215)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6909, 32, N'Mascaraque', N'mascaraque', N'45430', 39.716364, -3.811870)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6910, 32, N'Mata', N'mata', N'45534', 39.942811, -4.438906)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6911, 32, N'Mazarambroz', N'mazarambroz', N'45114', 39.693781, -4.020739)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6912, 32, N'Mejorada', N'mejorada', N'45622', 40.010031, -4.880333)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6913, 32, N'Menasalbas', N'menasalbas', N'45128', 39.642578, -4.283295)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6914, 32, N'Méntrida', N'mentrida', N'45930', 40.239964, -4.189053)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6915, 32, N'Mesegar de Tajo', N'mesegar-de-tajo', N'45541', 39.925897, -4.502120)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6916, 32, N'Miguel Esteban', N'miguel-esteban', N'45830', 39.524634, -3.075571)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6917, 32, N'Mocejón', N'mocejon', N'45270', 39.939060, -3.914094)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6918, 32, N'Mohedas de la Jara', N'mohedas-de-la-jara', N'45576', 39.605358, -5.142460)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6919, 32, N'Montearagón', N'montearagon', N'45685', 39.964162, -4.632025)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6920, 32, N'Montesclaros', N'montesclaros', N'45620', 40.108538, -4.939985)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6921, 32, N'Mora', N'mora', N'45400', 39.686714, -3.772430)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6922, 32, N'Nambroca', N'nambroca', N'45190', 39.798381, -3.942719)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6923, 32, N'Nava de Ricomalillo', N'nava-de-ricomalillo', N'45670', 39.651169, -4.986720)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6924, 32, N'Navahermosa', N'navahermosa', N'45150', 39.635836, -4.471607)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6925, 32, N'Navalcán', N'navalcan', N'45610', 40.070453, -5.091648)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6926, 32, N'Navalmoralejo', N'navalmoralejo', N'45573', 39.739402, -5.144176)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6927, 32, N'Navalmorales', N'navalmorales', N'45140', 39.722504, -4.641209)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6928, 32, N'Navalucillos', N'navalucillos', N'45130', 39.666830, -4.642839)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6929, 32, N'Navamorcuende', N'navamorcuende', N'45630', 40.157295, -4.786606)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6930, 32, N'Noblejas', N'noblejas', N'45350', 39.972911, -3.444300)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6931, 32, N'Noez', N'noez', N'45162', 39.740392, -4.183688)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6932, 32, N'Nombela', N'nombela', N'45917', 40.156967, -4.501648)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6933, 32, N'Novés', N'noves', N'45519', 40.047066, -4.272265)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6934, 32, N'Numancia de la Sagra', N'numancia-de-la-sagra', N'45230', 40.074229, -3.854184)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6935, 32, N'Nuño Gómez', N'nuno-gomez', N'45644', 40.115102, -4.620352)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6936, 32, N'Ocaña', N'ocana', N'45300', 39.961596, -3.500519)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6937, 32, N'Olías del Rey', N'olias-del-rey', N'45280', 39.943700, -3.987350)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6938, 32, N'Ontígola', N'ontigola', N'45340', 40.003950, -3.572187)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6939, 32, N'Orgaz', N'orgaz', N'45450', 39.648262, -3.874226)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6940, 32, N'Oropesa', N'laoropesa', N'12594', 39.919611, -5.172157)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6941, 32, N'Otero', N'otero', N'45543', 40.001254, -4.515896)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6942, 32, N'Palomeque', N'palomeque', N'45213', 40.119467, -3.963490)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6943, 32, N'Pantoja', N'pantoja', N'45290', 40.044208, -3.836589)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6944, 32, N'Paredes de Escalona', N'paredes-de-escalona', N'45908', 40.207394, -4.428349)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6945, 32, N'Parrillas', N'parrillas', N'45611', 40.061585, -5.063925)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6946, 32, N'Pelahustán', N'pelahustan', N'45918', 40.177431, -4.601040)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6947, 32, N'Pepino', N'pepino', N'45638', 40.032675, -4.802485)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6948, 32, N'Polán', N'polan', N'45161', 39.789412, -4.168110)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6949, 32, N'Portillo de Toledo', N'portillo-de-toledo', N'45512', 40.064016, -4.229178)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6950, 32, N'Puebla de Almoradiel', N'puebla-de-almoradiel', N'45840', 39.600662, -3.116856)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6951, 32, N'Puebla de Montalbán', N'puebla-de-montalban', N'45516', 39.866929, -4.361744)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6952, 32, N'Pueblanueva', N'pueblanueva', N'45690', 39.912896, -4.681892)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6953, 32, N'Puente del Arzobispo', N'puente-del-arzobispo', N'45570', 39.803739, -5.171406)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6954, 32, N'Puerto de San Vicente', N'puerto-de-san-vicente', N'45577', 39.525163, -5.114779)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6955, 32, N'Pulgar', N'pulgar', N'45125', 39.694177, -4.152231)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6956, 32, N'Quero', N'quero', N'45790', 39.508411, -3.246460)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6957, 32, N'Quintanar de la Orden', N'quintanar-de-la-orden', N'45800', 39.591205, -3.044157)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6958, 32, N'Quismondo', N'quismondo', N'45514', 40.105616, -4.324365)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6959, 32, N'Real de San Vicente', N'real-de-san-vicente', N'45640', 40.138466, -4.690905)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6960, 32, N'Recas', N'recas', N'45211', 40.053702, -3.992801)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6961, 32, N'Retamoso de la Jara', N'retamoso-de-la-jara', N'45652', 39.741910, -4.752703)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6962, 32, N'Rielves', N'rielves', N'45524', 39.961070, -4.192486)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6963, 32, N'Robledo del Mazo', N'robledo-del-mazo', N'45674', 39.607275, -4.904881)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6964, 32, N'Romeral', N'romeral', N'45770', 39.707121, -3.431597)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6965, 32, N'San Bartoloméde las Abiertas', N'san-bartolomede-las-abiertas', N'45654', 39.830884, -4.720688)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6966, 32, N'San Martín de Montalbán', N'san-martin-de-montalban', N'45165', 39.702102, -4.393930)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6967, 32, N'San Martín de Pusa', N'san-martin-de-pusa', N'45170', 39.784664, -4.633484)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6968, 32, N'San Pablo de los Montes', N'san-pablo-de-los-montes', N'45120', 39.540058, -4.331360)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6969, 32, N'San Román de los Montes', N'san-roman-de-los-montes', N'45646', 40.069599, -4.732189)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6970, 32, N'Santa Ana de Pusa', N'santa-ana-de-pusa', N'45653', 39.764874, -4.715881)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6971, 32, N'Santa Cruz de la Zarza', N'santa-cruz-de-la-zarza', N'45370', 39.985144, -3.186550)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6972, 32, N'Santa Cruz del Retamar', N'santa-cruz-del-retamar', N'45513', 40.120353, -4.241753)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6973, 32, N'Santa Olalla', N'santa-olalla', N'45530', 40.023860, -4.436329)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6974, 32, N'Santo Domingo-Caudilla', N'santo-domingo-caudilla', N'45526', 40.011642, -4.325824)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6975, 32, N'Sartajada', N'sartajada', N'45632', 40.211916, -4.790597)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6976, 32, N'Segurilla', N'segurilla', N'45621', 40.022619, -4.863596)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6977, 32, N'Seseña', N'sesena', N'45224', 40.105058, -3.648663)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6978, 32, N'Sevilleja de la Jara', N'sevilleja-de-la-jara', N'45671', 39.576255, -4.962044)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6979, 32, N'Sonseca', N'sonseca', N'45100', 39.676508, -3.973274)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6980, 32, N'Sotillo de las Palomas', N'sotillo-de-las-palomas', N'45635', 40.105091, -4.826732)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6981, 32, N'Talavera de la Reina', N'talavera-de-la-reina', N'45600', 39.961333, -4.830036)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6982, 32, N'Tembleque', N'tembleque', N'45780', 39.697479, -3.501635)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6983, 32, N'Toboso', N'toboso', N'45820', 39.512947, -2.994847)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6984, 32, N'Toledo', N'toledo', N'45002', 39.856585, -4.024086)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6985, 32, N'Torralba de Oropesa', N'torralba-de-oropesa', N'45569', 39.932446, -5.151300)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6986, 32, N'Torre de Esteban Hambrán', N'torre-de-esteban-hambran', N'45920', 40.169528, -4.217505)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6987, 32, N'Torrecilla de la Jara', N'torrecilla-de-la-jara', N'45651', 39.704083, -4.771457)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6988, 32, N'Torrico', N'torrico', N'45572', 39.830620, -5.226145)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6989, 32, N'Torrijos', N'torrijos', N'45500', 39.981428, -4.284110)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6990, 32, N'Totanés', N'totanes', N'45163', 39.710158, -4.225831)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6991, 32, N'Turleque', N'turleque', N'45789', 39.602084, -3.613129)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6992, 32, N'Ugena', N'ugena', N'45217', 40.155852, -3.875899)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6993, 32, N'Urda', N'urda', N'45480', 39.411728, -3.716083)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6994, 32, N'Valdeverdeja', N'valdeverdeja', N'45572', 39.799239, -5.246186)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6995, 32, N'Valmojado', N'valmojado', N'45940', 40.204280, -4.090991)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6996, 32, N'Velada', N'velada', N'45612', 39.980968, -4.978995)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6997, 32, N'Ventas con Peña Aguilera', N'ventas-con-pena-aguilera', N'45127', 39.610978, -4.235830)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6998, 32, N'Ventas de Retamosa', N'ventas-de-retamosa', N'45183', 40.156180, -4.112663)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (6999, 32, N'Ventas de San Julián', N'ventas-de-san-julian', N'45568', 40.008695, -5.293489)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7000, 32, N'Villa de Don Fadrique', N'villa-de-don-fadrique', N'45850', 39.618417, -3.217664)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7001, 32, N'Villacañas', N'villacanas', N'45860', 39.625127, -3.327656)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7002, 32, N'Villafranca de los Caballeros', N'villafranca-de-los-caballeros', N'45730', 39.426083, -3.356667)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7003, 32, N'Villaluenga de la Sagra', N'villaluenga-de-la-sagra', N'45520', 40.027614, -3.911648)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7004, 32, N'Villamiel de Toledo', N'villamiel-de-toledo', N'45594', 39.983270, -4.126267)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7005, 32, N'Villaminaya', N'villaminaya', N'45440', 39.711858, -3.870192)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7006, 32, N'Villamuelas', N'villamuelas', N'45749', 39.817766, -3.731918)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7007, 32, N'Villanueva de Alcardete', N'villanueva-de-alcardete', N'45810', 39.673469, -3.010340)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7008, 32, N'Villanueva de Bogas', N'villanueva-de-bogas', N'45410', 39.724320, -3.655615)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7009, 32, N'Villarejo de Montalbán', N'villarejo-de-montalban', N'45179', 39.768865, -4.572501)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7010, 32, N'Villarrubia de Santiago', N'villarrubia-de-santiago', N'45360', 39.987314, -3.368468)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7011, 32, N'Villaseca de la Sagra', N'villaseca-de-la-sagra', N'45260', 39.986985, -3.368769)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7012, 32, N'Villasequilla', N'villasequilla', N'45740', 39.878786, -3.728828)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7013, 32, N'Villatobas', N'villatobas', N'45310', 39.901967, -3.322763)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7014, 32, N'Viso de San Juan', N'viso-de-san-juan', N'45215', 40.142337, -3.920317)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7015, 32, N'Yébenes', N'yebenes', N'45470', 39.581283, -3.870449)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7016, 32, N'Yeles', N'yeles', N'45220', 40.122355, -3.804874)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7017, 32, N'Yepes', N'yepes', N'45312', 39.902757, -3.621712)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7018, 32, N'Yuncler', N'yuncler', N'45529', 40.040692, -3.902764)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7019, 32, N'Yunclillos', N'yunclillos', N'45591', 40.021272, -3.989453)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7020, 32, N'Yuncos', N'yuncos', N'45210', 40.084442, -3.875213)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7022, 36, N'Ademuz', N'ademuz', N'46140', 40.064695, -1.284774)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7023, 36, N'Ador', N'ador', N'46729', 38.919286, -0.223503)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7024, 36, N'Agullent', N'agullent', N'46890', 38.824755, -0.547039)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7025, 36, N'Aielo de Malferit', N'aielo-de-malferit', N'46812', 38.880125, -0.591899)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7026, 36, N'Aielo de Rugat', N'aielo-de-rugat', N'46842', 38.881980, -0.343666)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7027, 36, N'Alaquàs', N'alaquas', N'46970', 39.454635, -0.457844)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7028, 36, N'Albaida', N'albaida', N'46860', 38.839512, -0.522384)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7029, 36, N'Albal', N'albal', N'46470', 39.397203, -0.414440)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7030, 36, N'Albalat de la Ribera', N'albalat-de-la-ribera', N'46687', 39.202969, -0.388639)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7031, 36, N'Albalat dels Sorells', N'albalat-dels-sorells', N'46135', 39.543956, -0.345759)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7032, 36, N'Albalat dels Tarongers', N'albalat-dels-tarongers', N'46591', 39.701985, -0.337614)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7033, 36, N'Alberic', N'alberic', N'46260', 39.119015, -0.520139)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7034, 36, N'Alborache', N'alborache', N'46369', 39.392760, -0.771790)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7035, 36, N'Alboraya', N'alboraya', N'46120', 39.499070, -0.340514)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7036, 36, N'Albuixech', N'albuixech', N'46550', 39.544327, -0.323067)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7037, 36, N'Alcàntera de Xúquer', N'alcantera-de-xuquer', N'46293', 39.067930, -0.560946)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7038, 36, N'Alcàsser', N'alcasser', N'46290', 39.369241, -0.442629)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7039, 36, N'Alcublas', N'alcublas', N'46172', 39.795260, -0.701609)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7040, 36, N'L Alcúdia', N'l-alcudia', N'46250', 39.194069, -0.507030)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7041, 36, N'Alcúdia de Crespins', N'alcudia-de-crespins', N'46690', 38.971254, -0.590687)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7042, 36, N'Aldaia', N'aldaia', N'46960', 39.464990, -0.461168)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7043, 36, N'Alfafar', N'alfafar', N'46910', 38.772722, -0.555153)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7044, 36, N'Algimia de Alfara', N'algimia-de-alfara', N'46148', 39.763085, -0.356599)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7045, 36, N'Alfara del Patriarca', N'alfara-del-patriarca', N'46115', 39.546048, -0.386496)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7046, 36, N'Alfarp', N'alfarp', N'46197', 39.276982, -0.560474)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7047, 36, N'Alfarrasí', N'alfarrasi', N'46893', 38.906435, -0.495822)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7048, 36, N'Alfauir', N'alfauir', N'46725', 38.928234, -0.251484)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7049, 36, N'Algar de Palancia', N'algar-de-palancia', N'46593', 39.782188, -0.367044)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7050, 36, N'Algemesí', N'algemesi', N'46680', 39.196285, -0.438349)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7052, 36, N'Alginet', N'alginet', N'46230', 39.261490, -0.470044)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7053, 36, N'Almàssera', N'almassera', N'46132', 39.514395, -0.360624)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7054, 36, N'Almiserà', N'almisera', N'46726', 38.915012, -0.285645)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7055, 36, N'Almoines', N'almoines', N'46723', 38.943139, -0.179858)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7056, 36, N'Almussafes', N'almussafes', N'46440', 39.293524, -0.414047)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7057, 36, N'Alpuente', N'alpuente', N'46178', 39.877005, -1.014589)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7058, 36, N'Alqueria de la Comtessa', N'alqueria-de-la-comtessa', N'46715', 38.936680, -0.152607)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7059, 36, N'Alzira', N'alzira', N'46600', 39.151730, -0.437849)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7060, 36, N'Andilla', N'andilla', N'46162', 39.834629, -0.814011)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7061, 36, N'Anna', N'anna', N'46820', 39.019125, -0.647534)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7062, 36, N'Antella', N'antella', N'46266', 39.080395, -0.590319)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7063, 36, N'Aras de los Olmos', N'aras-de-los-olmos', N'46179', 39.924265, -1.134959)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7064, 36, N'Atzeneta d Albaida', N'atzeneta-dalbaida', N'46869', 38.837808, -0.497454)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7065, 36, N'Ayora', N'ayora', N'46620', 39.060975, -1.053724)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7066, 36, N'Barx', N'barx', N'46758', 39.015235, -0.301869)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7067, 36, N'Barxeta', N'barxeta', N'46667', 39.022280, -0.419894)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7068, 36, N'Bélgida', N'belgida', N'46868', 38.860821, -0.476151)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7069, 36, N'Bellreguard', N'bellreguard', N'46713', 38.946460, -0.162912)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7070, 36, N'Bellús', N'bellus', N'46839', 38.946565, -0.488894)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7071, 36, N'Benagéber', N'benageber', N'46173', 39.707495, -1.099684)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7072, 36, N'Benaguasil', N'benaguasil', N'46180', 39.595640, -0.587539)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7073, 36, N'Benavites', N'benavites', N'46514', 39.740887, -0.258007)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7074, 36, N'Beneixida', N'beneixida', N'46293', 39.059140, -0.548114)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7075, 36, N'Benetússer', N'benetusser', N'46910', 39.425387, -0.396709)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7076, 36, N'Beniarjó', N'beniarjo', N'46722', 38.932390, -0.185859)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7077, 36, N'Beniatjar', N'beniatjar', N'46844', 38.849290, -0.417169)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7078, 36, N'Benicolet', N'benicolet', N'46838', 38.919430, -0.344204)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7079, 36, N'Benicull de Xúquer', N'benicull-de-xuquer', N'46689', 39.186876, -0.382173)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7080, 36, N'Benifaió', N'benifaio', N'46450', 39.286720, -0.422979)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7081, 36, N'Benifairó de la Valldigna', N'benifairo-de-la-valldigna', N'46791', 39.057025, -0.304714)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7082, 36, N'Benifairó de les Valls', N'benifairo-de-les-valls', N'46511', 39.726762, -0.269337)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7083, 36, N'Beniflá', N'benifla', N'46722', 38.928600, -0.186650)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7084, 36, N'Benigánim', N'beniganim', N'46830', 38.941023, -0.444671)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7085, 36, N'Benimodo', N'benimodo', N'46291', 39.214705, -0.524849)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7086, 36, N'Benimuslem', N'benimuslem', N'46611', 39.131985, -0.492529)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7087, 36, N'Beniparrell', N'beniparrell', N'46469', 39.383230, -0.411679)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7088, 36, N'Benirredrà', N'benirredra', N'46703', 38.960735, -0.191334)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7089, 36, N'Benisanó', N'benisano', N'46181', 39.613312, -0.575580)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7090, 36, N'Benissoda', N'benissoda', N'46869', 38.833810, -0.528699)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7091, 36, N'Benisuera', N'benisuera', N'46839', 38.914155, -0.480549)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7092, 36, N'Bétera', N'betera', N'46117', 39.590690, -0.464694)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7093, 36, N'Bicorp', N'bicorp', N'46825', 39.131665, -0.789289)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7094, 36, N'Bocairent', N'bocairent', N'46880', 38.767887, -0.607424)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7095, 36, N'Bolbaite', N'bolbaite', N'46822', 39.062832, -0.674543)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7096, 36, N'Bonrepós i Mirambell', N'bonrepos-i-mirambell', N'46131', 39.518658, -0.363750)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7097, 36, N'Bufali', N'bufali', N'46891', 38.868182, -0.514383)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7098, 36, N'Bugarra', N'bugarra', N'46165', 39.609325, -0.772133)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7099, 36, N'Buñol', N'bunol', N'46360', 39.418525, -0.790200)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7100, 36, N'Burjassot', N'burjassot', N'46100', 39.510663, -0.414133)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7101, 36, N'Calles', N'calles', N'46175', 39.725607, -0.973277)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7102, 36, N'Camporrobles', N'camporrobles', N'46330', 39.647105, -1.396165)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7103, 36, N'Canals', N'canals', N'46650', 38.960977, -0.583906)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7104, 36, N'Canet dEn Berenguer', N'canet-den-berenguer', N'46529', 39.680439, -0.220242)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7105, 36, N'Carcaixent', N'carcaixent', N'46740', 39.121438, -0.449109)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7106, 36, N'Càrcer', N'carcer', N'46294', 39.069046, -0.565238)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7107, 36, N'Carlet', N'carlet', N'46240', 39.228680, -0.521743)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7108, 36, N'Carrícola', N'carricola', N'46869', 38.840510, -0.468979)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7109, 36, N'Casas Altas', N'casas-altas', N'46147', 40.039444, -1.264672)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7110, 36, N'Casas Bajas', N'casas-bajas', N'46146', 40.023638, -1.258965)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7111, 36, N'Casinos', N'casinos', N'46171', 39.701805, -0.709391)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7112, 36, N'Castellóde Rugat', N'castellode-rugat', N'46841', 38.875866, -0.381346)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7113, 36, N'Castellonet de la Conquesta', N'castellonet-de-la-conquesta', N'46726', 38.915914, -0.263071)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7114, 36, N'Castielfabib', N'castielfabib', N'46141', 40.131149, -1.303039)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7115, 36, N'Catadau', N'catadau', N'46196', 39.275255, -0.569186)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7116, 36, N'Catarroja', N'catarroja', N'46470', 39.402841, -0.402975)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7117, 36, N'Caudete de las Fuentes', N'caudete-de-las-fuentes', N'46315', 39.560243, -1.277590)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7118, 36, N'Cerdà', N'cerda', N'46813', 38.985200, -0.572491)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7119, 36, N'Chella', N'chella', N'46821', 39.044686, -0.660768)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7120, 36, N'Chelva', N'chelva', N'46176', 39.747190, -0.997438)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7121, 36, N'Chera', N'chera', N'46350', 39.593883, -0.972590)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7122, 36, N'Cheste', N'cheste', N'46380', 39.495033, -0.684328)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7123, 36, N'Chiva', N'chiva', N'46370', 39.472974, -0.717587)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7124, 36, N'Chulilla', N'chulilla', N'46167', 39.656621, -0.891223)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7125, 36, N'Cofrentes', N'cofrentes', N'46625', 39.229561, -1.061511)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7126, 36, N'Corbera', N'corbera', N'08757', 41.417951, 1.932907)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7127, 36, N'Cortes de Pallás', N'cortes-de-pallas', N'46199', 39.243289, -0.940404)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7128, 36, N'Cotes', N'cotes', N'46294', 39.071012, -0.575924)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7129, 36, N'Cullera', N'cullera', N'46400', 39.165206, -0.257149)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7130, 36, N'Daimús', N'daimus', N'46710', 38.970253, -0.154152)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7131, 36, N'Domeño', N'domeno', N'31454', 42.674863, -1.238194)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7132, 36, N'Dos Aguas', N'dos-aguas', N'46198', 39.289538, -0.800114)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7133, 36, N'Eliana', N'eliana', N'46183', 39.566595, -0.530133)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7134, 36, N'Emperador', N'emperador', N'46135', 39.554552, -0.338302)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7135, 36, N'Enguera', N'enguera', N'46810', 38.980896, -0.688877)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7137, 36, N'Estivella', N'estivella', N'46590', 39.712436, -0.347872)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7138, 36, N'Estubeny', N'estubeny', N'46817', 39.018150, -0.623302)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7139, 36, N'Faura', N'faura', N'46512', 39.726135, -0.263672)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7140, 36, N'Favara', N'favara', N'46614', 39.127730, -0.291567)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7141, 36, N'Foios', N'foios', N'46134', 39.537874, -0.356798)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7142, 36, N'Font de la Figuera', N'font-de-la-figuera', N'46630', 38.809082, -0.876503)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7144, 36, N'Fontanars dels Alforins', N'fontanars-dels-alforins', N'46635', 38.784331, -0.787625)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7145, 36, N'Fortaleny', N'fortaleny', N'46418', 39.184003, -0.313711)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7146, 36, N'Fuenterrobles', N'fuenterrobles', N'46314', 39.586574, -1.364708)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7147, 36, N'Gandia', N'gandia', N'46710', 38.968719, -0.185308)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7148, 36, N'Gátova', N'gatova', N'46169', 39.770811, -0.519962)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7149, 36, N'Gavarda', N'gavarda', N'46267', 39.091733, -0.559702)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7150, 36, N'Genovés', N'genoves', N'46894', 38.988735, -0.467606)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7151, 36, N'Gestalgar', N'gestalgar', N'46166', 39.604366, -0.833673)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7152, 36, N'Gilet', N'gilet', N'46149', 39.676475, -0.324655)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7153, 36, N'Godella', N'godella', N'46110', 39.522614, -0.417266)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7154, 36, N'Godelleta', N'godelleta', N'46388', 39.425221, -0.687032)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7155, 36, N'Granja de la Costera', N'granja-de-la-costera', N'46818', 38.995740, -0.556955)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7156, 36, N'Guadasequies', N'guadasequies', N'46839', 38.924628, -0.488291)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7157, 36, N'Guadassuar', N'guadassuar', N'46610', 39.189092, -0.482712)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7158, 36, N'Guardamar de la Safor', N'guardamar-de-la-safor', N'46711', 38.961611, -0.149045)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7159, 36, N'Higueruelas', N'higueruelas', N'46162', 39.790402, -0.860882)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7160, 36, N'Jalance', N'jalance', N'46624', 39.192152, -1.077089)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7161, 36, N'Jarafuel', N'jarafuel', N'46623', 39.140379, -1.073570)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7162, 36, N'Llanera de Ranes', N'llanera-de-ranes', N'46814', 38.993339, -0.571675)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7163, 36, N'Llaurí', N'llauri', N'46613', 39.147203, -0.330105)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7164, 36, N'Llíria', N'lliria', N'46160', 39.668349, -0.658150)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7165, 36, N'Llocnou de la Corona', N'llocnou-de-la-corona', N'46910', 39.420000, -0.382000)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7166, 36, N'Llocnou de Sant Jeroni', N'llocnou-de-sant-jeroni', N'46726', 38.912808, -0.285859)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7168, 36, N'Llombai', N'llombai', N'46195', 39.282630, -0.572405)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7169, 36, N'Llosa de Ranes', N'llosa-de-ranes', N'46815', 39.018483, -0.532064)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7170, 36, N'Llutxent', N'llutxent', N'46838', 38.942855, -0.356841)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7171, 36, N'Loriguilla', N'loriguilla', N'46393', 39.490861, -0.568457)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7172, 36, N'Losa del Obispo', N'losa-del-obispo', N'46168', 39.695432, -0.873027)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7173, 36, N'Macastre', N'macastre', N'46368', 39.382212, -0.785694)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7174, 36, N'Manises', N'manises', N'46940', 39.491092, -0.456147)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7175, 36, N'Manuel', N'manuel', N'46660', 39.052718, -0.494642)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7176, 36, N'Marines', N'marines', N'46163', 39.674560, -0.561762)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7177, 36, N'Masalavés', N'masalaves', N'46292', 39.140679, -0.522065)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7178, 36, N'Massalfassar', N'massalfassar', N'46560', 39.557729, -0.326715)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7179, 36, N'Massamagrell', N'massamagrell', N'46130', 39.569407, -0.334954)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7180, 36, N'Massanassa', N'massanassa', N'46470', 39.411031, -0.400872)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7181, 36, N'Meliana', N'meliana', N'46133', 39.529235, -0.350018)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7182, 36, N'Millares', N'millares', N'46198', 39.238037, -0.773335)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7183, 36, N'Miramar', N'miramar', N'46711', 38.951466, -0.139217)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7184, 36, N'Mislata', N'mislata', N'46920', 39.476055, -0.418983)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7185, 36, N'Mogente/Moixent', N'mogente-moixent', N'46640', 38.874062, -0.751877)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7186, 36, N'Moncada', N'moncada', N'46113', 39.545254, -0.392418)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7187, 36, N'Montaverner', N'montaverner', N'46892', 38.888695, -0.496488)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7188, 36, N'Montesa', N'montesa', N'46692', 38.949964, -0.651112)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7189, 36, N'Montichelvo', N'montichelvo', N'46842', 38.891400, -0.339246)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7190, 36, N'Montroy', N'montroy', N'46193', 39.340073, -0.615106)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7191, 36, N'Montserrat', N'montserrat', N'46192', 39.357595, -0.602531)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7192, 36, N'Museros', N'museros', N'46136', 39.563122, -0.341306)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7193, 36, N'Náquera', N'naquera', N'46119', 39.659000, -0.424819)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7194, 36, N'Navarrés', N'navarres', N'46823', 39.101525, -0.693383)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7195, 36, N'Novelé/Novetlé', N'novele-novetle', N'46819', 38.979995, -0.548029)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7196, 36, N'Oliva', N'oliva', N'46780', 38.919586, -0.122566)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7197, 36, N'Olleria', N'olleria', N'46850', 38.913910, -0.549617)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7198, 36, N'Olocau', N'olocau', N'46169', 39.699659, -0.531163)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7199, 36, N'Ontinyent', N'ontinyent', N'46870', 38.820785, -0.610514)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7200, 36, N'Otos', N'otos', N'46844', 38.854381, -0.444775)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7201, 36, N'Paiporta', N'paiporta', N'46200', 39.428138, -0.419326)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7202, 36, N'Palma de Gandía', N'palma-de-gandia', N'46724', 38.924094, -0.220671)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7203, 36, N'Palmera', N'palmera', N'46714', 38.942421, -0.152006)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7204, 36, N'Palomar', N'palomar', N'46891', 38.854013, -0.502925)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7205, 36, N'Paterna', N'paterna', N'46980', 39.501921, -0.443144)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7206, 36, N'Pedralba', N'pedralba', N'46164', 39.605291, -0.727243)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7207, 36, N'Petrés', N'petres', N'46501', 39.683775, -0.309806)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7208, 36, N'Picanya', N'picanya', N'46210', 39.437121, -0.434990)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7209, 36, N'Picassent', N'picassent', N'46220', 39.360283, -0.463099)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7210, 36, N'Piles', N'elpiles', N'46712', 38.941053, -0.134625)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7211, 36, N'Pinet', N'pinet', N'46838', 38.983632, -0.338087)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7212, 36, N'Pobla de Farnals', N'pobla-de-farnals', N'46139', 39.577942, -0.324998)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7213, 36, N'Pobla de Vallbona', N'pobla-de-vallbona', N'46185', 39.591337, -0.553265)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7214, 36, N'Pobla del Duc', N'pobla-del-duc', N'46840', 38.903892, -0.417094)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7215, 36, N'Pobla Llarga', N'pobla-llarga', N'46670', 39.087769, -0.477133)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7216, 36, N'Polinyàde Xúquer', N'polinyade-xuquer', N'46688', 39.186963, -0.386024)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7217, 36, N'Potríes', N'potries', N'46721', 38.915463, -0.195522)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7218, 36, N'Puçol', N'pucol', N'46530', 39.617392, -0.300922)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7219, 36, N'Puebla de San Miguel', N'puebla-de-san-miguel', N'46140', 40.044963, -1.141376)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7220, 36, N'Puig', N'puig', N'46540', 39.590279, -0.302038)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7221, 36, N'Quart de les Valls', N'quart-de-les-valls', N'46515', 39.739204, -0.273628)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7222, 36, N'Quart de Poblet', N'quart-de-poblet', N'46930', 39.481984, -0.445504)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7223, 36, N'Quartell', N'quartell', N'46510', 39.737488, -0.263414)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7224, 36, N'Quatretonda', N'quatretonda', N'46837', 38.948563, -0.403275)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7225, 36, N'Quesa', N'quesa', N'46824', 39.119740, -0.740976)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7226, 36, N'Rafelbuñol/Rafelbunyol', N'rafelbunol-rafelbunyol', N'46138', 39.589055, -0.335040)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7227, 36, N'Rafelcofer', N'rafelcofer', N'46716', 38.933542, -0.166941)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7228, 36, N'Rafelguaraf', N'rafelguaraf', N'46666', 39.051752, -0.454903)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7229, 36, N'Ráfol de Salem', N'rafol-de-salem', N'46843', 38.865609, -0.396967)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7230, 36, N'Real de Gandía', N'real-de-gandia', N'46727', 38.950765, -0.193677)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7231, 36, N'Real de Montroi', N'real-de-montroi', N'46193', 39.336355, -0.610127)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7232, 36, N'Requena', N'requena', N'46340', 39.489735, -1.098976)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7233, 36, N'Riba-roja de Turia', N'riba-roja-de-turia', N'46190', 39.544972, -0.566053)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7234, 36, N'Riola', N'riola', N'46417', 39.197889, -0.334053)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7235, 36, N'Rocafort', N'rocafort', N'46111', 39.531469, -0.410099)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7236, 36, N'Rotglài Corberà', N'rotglai-corbera', N'46816', 39.004161, -0.566397)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7237, 36, N'Rótova', N'rotova', N'46725', 38.932607, -0.258007)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7238, 36, N'Rugat', N'rugat', N'46842', 38.878639, -0.359030)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7239, 36, N'Sagunto/Sagunt', N'sagunto-sagunt', N'46500', 39.680191, -0.277834)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7240, 36, N'Salem', N'salem', N'46843', 38.865124, -0.396066)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7241, 36, N'San Antonio de Benagéber', N'san-antonio-de-benageber', N'46184', 39.562377, -0.500393)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7242, 36, N'San Juan de Á‰nova', N'san-juan-de-enova', N'46669', 39.044136, -0.479407)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7243, 36, N'Sedaví', N'sedavi', N'46910', 39.421715, -0.376518)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7244, 36, N'Segart', N'segart', N'46592', 39.683626, -0.373707)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7245, 36, N'Sellent', N'sellent', N'46295', 39.031203, -0.587597)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7246, 36, N'Sempere', N'sempere', N'46839', 38.919703, -0.480394)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7247, 36, N'Senyera', N'senyera', N'46669', 39.063432, -0.509877)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7248, 36, N'Serra', N'serra', N'46118', 39.686301, -0.429111)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7249, 36, N'Siete Aguas', N'siete-aguas', N'46392', 39.472096, -0.915856)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7250, 36, N'Silla', N'silla', N'46460', 39.361560, -0.412073)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7251, 36, N'Simat de la Valldigna', N'simat-de-la-valldigna', N'46750', 39.043270, -0.310578)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7252, 36, N'Sinarcas', N'sinarcas', N'46320', 39.733875, -1.231713)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7253, 36, N'Sollana', N'sollana', N'46430', 39.278162, -0.381002)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7254, 36, N'Sot de Chera', N'sot-de-chera', N'46168', 39.622053, -0.909548)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7255, 36, N'Sueca', N'sueca', N'46410', 39.202612, -0.310321)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7256, 36, N'Sumacàrcer', N'sumacarcer', N'46295', 39.096796, -0.628624)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7257, 36, N'Tavernes Blanques', N'tavernes-blanques', N'46016', 39.507468, -0.364952)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7258, 36, N'Tavernes de la Valldigna', N'tavernes-de-la-valldigna', N'46760', 39.072128, -0.267835)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7259, 36, N'Teresa de Cofrentes', N'teresa-de-cofrentes', N'46622', 39.107170, -1.050525)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7260, 36, N'Terrateig', N'terrateig', N'46842', 38.894757, -0.320449)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7261, 36, N'Titaguas', N'titaguas', N'46178', 39.875657, -1.012630)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7262, 36, N'Torrebaja', N'torrebaja', N'46143', 40.097000, -1.256390)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7263, 36, N'Torrella', N'torrella', N'46814', 38.988852, -0.571289)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7264, 36, N'el Torrent', N'eltorrent', N'46900', 39.437171, -0.465031)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7265, 36, N'Torres Torres', N'torres-torres', N'46595', 39.742884, -0.355296)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7266, 36, N'Tous', N'tous', N'46269', 39.138366, -0.587039)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7267, 36, N'Tuéjar', N'tuejar', N'46177', 39.763851, -1.039410)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7268, 36, N'Turís', N'turis', N'46389', 39.389791, -0.710893)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7269, 36, N'Utiel', N'utiel', N'46300', 39.567935, -1.203475)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7270, 36, N'Valencia', N'valencia', N'46002', 39.470490, -0.378084)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7271, 36, N'Vallada', N'vallada', N'46691', 38.895726, -0.691195)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7272, 36, N'Vallanca', N'vallanca', N'46145', 40.063047, -1.338143)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7273, 36, N'Vallés', N'valles', N'46818', 38.986317, -0.556183)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7274, 36, N'Venta del Moro', N'venta-del-moro', N'46310', 39.484220, -1.358657)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7275, 36, N'Vilamarxant', N'vilamarxant', N'46191', 39.568547, -0.622101)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7276, 36, N'Villalonga', N'villalonga', N'46720', 38.884803, -0.210114)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7277, 36, N'Villanueva de Castellón', N'villanueva-de-castellon', N'46270', 39.079058, -0.514297)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7278, 36, N'Villar del Arzobispo', N'villar-del-arzobispo', N'46170', 39.736284, -0.827365)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7279, 36, N'Villargordo del Cabriel', N'villargordo-del-cabriel', N'46317', 39.534994, -1.441097)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7280, 36, N'Vinalesa', N'vinalesa', N'46114', 39.540141, -0.369930)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7281, 36, N'Xàtiva', N'xativa', N'46800', 38.988202, -0.515156)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7282, 36, N'Xeraco', N'xeraco', N'46770', 39.032769, -0.216808)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7283, 36, N'Xeresa', N'xeresa', N'46790', 39.009364, -0.217838)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7284, 36, N'Xirivella', N'xirivella', N'46950', 39.466895, -0.427051)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7285, 36, N'Yátova', N'yatova', N'46367', 39.384683, -0.807281)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7286, 36, N'la Yesa', N'layesa', N'46178', 39.892188, -0.960531)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7287, 36, N'Zarra', N'zarra', N'46621', 39.091283, -1.075845)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7289, 40, N'Adalia', N'adalia', N'47129', 41.648730, -5.119189)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7290, 40, N'Aguasal', N'aguasal', N'47418', 41.275375, -4.653549)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7291, 40, N'Aguilar de Campos', N'aguilar-de-campos', N'47814', 41.982925, -5.183700)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7292, 40, N'Alaejos', N'alaejos', N'47510', 41.307325, -5.215759)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7293, 40, N'Alcazarén', N'alcazaren', N'47238', 41.369657, -4.675934)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7294, 40, N'Aldea de San Miguel', N'aldea-de-san-miguel', N'47160', 41.460465, -4.616999)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7295, 40, N'Aldeamayor de San Martín', N'aldeamayor-de-san-martin', N'47162', 41.515625, -4.636169)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7296, 40, N'Almenara de Adaja', N'almenara-de-adaja', N'47419', 41.212760, -4.677739)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7297, 40, N'Amusquillo', N'amusquillo', N'47177', 41.747960, -4.301594)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7298, 40, N'Arroyo de la Encomienda', N'arroyo-de-la-encomienda', N'47195', 41.609910, -4.795459)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7299, 40, N'Ataquines', N'ataquines', N'47210', 41.182303, -4.799294)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7300, 40, N'Bahabón', N'bahabon', N'47312', 41.480843, -4.278898)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7301, 40, N'Barcial de la Loma', N'barcial-de-la-loma', N'47674', 41.951217, -5.283896)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7302, 40, N'Barruelo del Valle', N'barruelo-del-valle', N'47129', 41.673040, -5.069847)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7303, 40, N'Becilla de Valderaduey', N'becilla-de-valderaduey', N'47670', 42.097757, -5.218023)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7304, 40, N'Benafarces', N'benafarces', N'47880', 41.622310, -5.293524)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7305, 40, N'Bercero', N'bercero', N'47115', 41.563341, -5.054682)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7306, 40, N'Berceruelo', N'berceruelo', N'47115', 41.579440, -5.032514)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7307, 40, N'Berrueces', N'berrueces', N'47813', 41.949170, -5.097139)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7308, 40, N'Bobadilla del Campo', N'bobadilla-del-campo', N'47462', 41.201793, -5.023885)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7309, 40, N'Bocigas', N'bocigas', N'47419', 41.228265, -4.680498)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7310, 40, N'Bocos de Duero', N'bocos-de-duero', N'47317', 41.628211, -4.067152)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7311, 40, N'Boecillo', N'boecillo', N'47151', 41.540675, -4.701869)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7312, 40, N'Bolaños de Campos', N'bolanos-de-campos', N'47675', 42.006783, -5.280969)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7313, 40, N'Brahojos de Medina', N'brahojos-de-medina', N'47461', 41.229927, -5.043690)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7314, 40, N'Bustillo de Chaves', N'bustillo-de-chaves', N'47608', 42.131633, -5.092635)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7315, 40, N'Cabezón de Pisuerga', N'cabezon-de-pisuerga', N'47260', 41.732604, -4.641166)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7316, 40, N'Cabezón de Valderaduey', N'cabezon-de-valderaduey', N'47689', 42.167634, -5.159926)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7317, 40, N'Cabreros del Monte', N'cabreros-del-monte', N'47832', 41.848721, -5.270669)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7318, 40, N'Campaspero', N'campaspero', N'47310', 41.493358, -4.201756)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7319, 40, N'Campillo', N'campillo', N'47460', 41.258824, -5.010667)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7320, 40, N'Camporredondo', N'camporredondo', N'47165', 41.474615, -4.503343)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7321, 40, N'Canalejas de Peñafiel', N'canalejas-de-penafiel', N'47311', 41.522764, -4.116590)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7322, 40, N'Canillas de Esgueva', N'canillas-de-esgueva', N'47185', 41.755931, -4.125988)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7323, 40, N'El Carpio', N'elcarpio', N'47470', 41.212448, -5.108342)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7324, 40, N'Casasola de Arión', N'casasola-de-arion', N'47110', 41.576994, -5.243161)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7325, 40, N'Castrejón de Trabancos', N'castrejon-de-trabancos', N'47512', 41.252726, -5.170741)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7326, 40, N'Castrillo de Duero', N'castrillo-de-duero', N'47318', 41.576609, -4.014945)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7327, 40, N'Castrillo-Tejeriego', N'castrillo-tejeriego', N'47329', 41.703133, -4.370692)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7328, 40, N'Castrobol', N'castrobol', N'47689', 42.137791, -5.308328)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7329, 40, N'Castrodeza', N'castrodeza', N'47192', 41.647118, -4.959362)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7330, 40, N'Castromembibre', N'castromembibre', N'47882', 41.673930, -5.305849)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7331, 40, N'Castromonte', N'castromonte', N'47641', 41.773376, -5.040944)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7332, 40, N'Castronuevo de Esgueva', N'castronuevo-de-esgueva', N'47171', 41.681935, -4.588079)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7333, 40, N'Castronuño', N'castronuno', N'47520', 41.390477, -5.259490)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7334, 40, N'Castroponce', N'castroponce', N'47671', 42.099512, -5.281484)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7335, 40, N'Castroverde de Cerrato', N'castroverde-de-cerrato', N'47182', 41.755610, -4.220939)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7336, 40, N'Ceinos de Campos', N'ceinos-de-campos', N'47692', 42.033484, -5.147996)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7337, 40, N'Cervillego de la Cruz', N'cervillego-de-la-cruz', N'47494', 41.187423, -4.948343)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7338, 40, N'Cigales', N'cigales', N'47270', 41.759468, -4.701247)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7339, 40, N'Ciguñuela', N'cigunuela', N'47191', 41.641714, -4.857953)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7340, 40, N'Cistérniga', N'cisterniga', N'47193', 41.611576, -4.684854)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7341, 40, N'Cogeces de Áscar', N'cogeces-de-iscar', N'47440', 41.406018, -4.546430)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7342, 40, N'Cogeces del Monte', N'cogeces-del-monte', N'47313', 41.511502, -4.316769)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7343, 40, N'Corcos', N'corcos', N'47280', 41.809628, -4.691570)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7344, 40, N'Corrales de Duero', N'corrales-de-duero', N'47317', 41.673569, -4.047496)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7345, 40, N'Cubillas de Santa Marta', N'cubillas-de-santa-marta', N'47290', 41.830209, -4.615567)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7346, 40, N'Cuenca de Campos', N'cuenca-de-campos', N'47650', 42.058438, -5.056973)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7347, 40, N'Curiel de Duero', N'curiel-de-duero', N'47316', 41.642612, -4.102514)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7348, 40, N'Encinas de Esgueva', N'encinas-de-esgueva', N'47186', 41.757867, -4.100003)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7349, 40, N'Esguevillas de Esgueva', N'esguevillas-de-esgueva', N'47176', 41.751064, -4.380434)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7350, 40, N'Fombellida', N'fombellida', N'47184', 41.766623, -4.183774)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7351, 40, N'Fompedraza', N'fompedraza', N'47311', 41.532756, -4.143777)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7352, 40, N'Fontihoyuelo', N'fontihoyuelo', N'47609', 42.163881, -5.057745)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7353, 40, N'Fresno el Viejo', N'fresno-el-viejo', N'47480', 41.195045, -5.146022)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7354, 40, N'Fuensaldaña', N'fuensaldana', N'47194', 41.709781, -4.764440)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7355, 40, N'Fuente el Sol', N'fuente-el-sol', N'47494', 41.176102, -4.933870)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7356, 40, N'Fuente-Olmedo', N'fuente-olmedo', N'47418', 41.269082, -4.614944)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7357, 40, N'Gallegos de Hornija', N'gallegos-de-hornija', N'47134', 41.612811, -5.094395)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7358, 40, N'Gatón de Campos', N'gaton-de-campos', N'47606', 42.050535, -4.980626)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7359, 40, N'Geria', N'geria', N'47131', 41.579257, -4.878938)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7360, 40, N'Herrín de Campos', N'herrin-de-campos', N'47607', 42.124583, -4.952238)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7361, 40, N'Hornillos de Eresma', N'hornillos-de-eresma', N'47238', 41.368451, -4.715989)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7362, 40, N'Áscar', N'iscar', N'47420', 41.365380, -4.530504)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7363, 40, N'Laguna de Duero', N'laguna-de-duero', N'47140', 41.582692, -4.720709)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7364, 40, N'Langayo', N'langayo', N'47314', 41.569883, -4.199932)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7365, 40, N'Llano de Olmedo', N'llano-de-olmedo', N'47418', 41.268437, -4.614676)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7366, 40, N'Lomoviejo', N'lomoviejo', N'47494', 41.151387, -4.918206)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7367, 40, N'Manzanillo', N'manzanillo', N'47314', 41.585862, -4.189353)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7368, 40, N'Marzales', N'marzales', N'47133', 41.587844, -5.133716)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7369, 40, N'Matapozuelos', N'matapozuelos', N'47230', 41.414765, -4.791369)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7370, 40, N'Matilla de los Caños', N'matilla-de-los-canos', N'47114', 41.547853, -4.971228)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7371, 40, N'Mayorga', N'mayorga', N'47680', 42.166028, -5.265262)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7372, 40, N'Medina de Rioseco', N'medina-de-rioseco', N'47800', 41.883940, -5.042253)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7373, 40, N'Medina del Campo', N'medina-del-campo', N'47400', 41.310985, -4.921360)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7374, 40, N'Megeces', N'megeces', N'47440', 41.406525, -4.567351)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7375, 40, N'Melgar de Abajo', N'melgar-de-abajo', N'47687', 42.243642, -5.142395)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7376, 40, N'Melgar de Arriba', N'melgar-de-arriba', N'47686', 42.268608, -5.097914)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7377, 40, N'Mojados', N'mojados', N'47250', 41.432737, -4.665692)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7378, 40, N'Monasterio de Vega', N'monasterio-de-vega', N'47688', 42.232489, -5.182650)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7379, 40, N'Montealegre de Campos', N'montealegre-de-campos', N'47816', 41.900824, -4.902048)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7380, 40, N'Montemayor de Pililla', N'montemayor-de-pililla', N'47320', 41.513848, -4.458990)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7381, 40, N'Moral de la Reina', N'moral-de-la-reina', N'47691', 41.984281, -5.072916)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7382, 40, N'Moraleja de las Panaderas', N'moraleja-de-las-panaderas', N'47454', 41.276823, -4.825079)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7383, 40, N'Morales de Campos', N'morales-de-campos', N'47811', 41.862274, -5.178788)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7384, 40, N'Mota del Marqués', N'mota-del-marques', N'47120', 41.631867, -5.175784)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7385, 40, N'Mucientes', N'mucientes', N'47194', 41.745061, -4.763389)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7386, 40, N'Mudarra', N'mudarra', N'47630', 41.781105, -4.942024)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7387, 40, N'Muriel', N'muriel', N'47219', 41.123324, -4.842943)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7388, 40, N'Nava del Rey', N'nava-del-rey', N'47500', 41.334287, -5.079095)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7389, 40, N'Nueva Villa de las Torres', N'nueva-villa-de-las-torres', N'47464', 41.267300, -5.058035)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7390, 40, N'Olivares de Duero', N'olivares-de-duero', N'47359', 41.639806, -4.361959)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7391, 40, N'Olmedo', N'olmedo', N'47410', 41.288658, -4.683974)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7392, 40, N'Olmos de Esgueva', N'olmos-de-esgueva', N'47173', 41.687335, -4.520059)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7393, 40, N'Olmos de Peñafiel', N'olmos-de-penafiel', N'47318', 41.573045, -4.041038)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7394, 40, N'Palazuelo de Vedija', N'palazuelo-de-vedija', N'47812', 41.930379, -5.143640)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7395, 40, N'Parrilla', N'parrilla', N'47328', 41.536860, -4.530305)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7396, 40, N'Pedraja de Portillo', N'pedraja-de-portillo', N'47196', 41.474101, -4.646916)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7397, 40, N'Pedrajas de San Esteban', N'pedrajas-de-san-esteban', N'47430', 41.341682, -4.581728)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7398, 40, N'Pedrosa del Rey', N'pedrosa-del-rey', N'47112', 41.557055, -5.206876)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7399, 40, N'Peñafiel', N'penafiel', N'47300', 41.596097, -4.119315)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7400, 40, N'Peñaflor de Hornija', N'penaflor-de-hornija', N'47640', 41.712440, -4.980905)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7401, 40, N'Pesquera de Duero', N'pesquera-de-duero', N'47315', 41.643093, -4.158926)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7402, 40, N'Piña de Esgueva', N'pina-de-esgueva', N'47175', 41.727319, -4.426117)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7403, 40, N'Piñel de Abajo', N'pinel-de-abajo', N'47316', 41.675124, -4.147682)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7404, 40, N'Piñel de Arriba', N'pinel-de-arriba', N'47316', 41.700218, -4.127555)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7405, 40, N'Pollos', N'pollos', N'47116', 41.445429, -5.127525)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7406, 40, N'Portillo', N'portillo', N'47160', 41.479711, -4.588165)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7407, 40, N'Pozal de Gallinas', N'pozal-de-gallinas', N'47450', 41.319108, -4.836559)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7408, 40, N'Pozaldez', N'pozaldez', N'47220', 41.372686, -4.842224)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7409, 40, N'Pozuelo de la Orden', N'pozuelo-de-la-orden', N'47831', 41.821958, -5.259061)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7410, 40, N'Puras', N'puras', N'47419', 41.185954, -4.651165)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7411, 40, N'Quintanilla de Arriba', N'quintanilla-de-arriba', N'47360', 41.619212, -4.220424)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7412, 40, N'Quintanilla de Onésimo', N'quintanilla-de-onesimo', N'47350', 41.623351, -4.361916)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7413, 40, N'Quintanilla de Trigueros', N'quintanilla-de-trigueros', N'47283', 41.855698, -4.659984)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7414, 40, N'Quintanilla del Molar', N'quintanilla-del-molar', N'47673', 41.992096, -5.449262)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7415, 40, N'Rábano', N'rabano', N'47319', 41.533142, -4.061508)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7416, 40, N'Ramiro', N'ramiro', N'47453', 41.228983, -4.786928)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7417, 40, N'Renedo de Esgueva', N'renedo-de-esgueva', N'47170', 41.655062, -4.628656)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7418, 40, N'Roales de Campos', N'roales-de-campos', N'47673', 42.029946, -5.473573)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7419, 40, N'Robladillo', N'robladillo', N'47131', 41.608405, -4.908894)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7420, 40, N'Roturas', N'roturas', N'47316', 41.668937, -4.120710)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7421, 40, N'Rubíde Bracamonte', N'rubide-bracamonte', N'47494', 41.214950, -4.923441)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7422, 40, N'Rueda', N'rueda', N'47490', 41.413960, -4.957302)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7423, 40, N'Saelices de Mayorga', N'saelices-de-mayorga', N'47689', 42.209384, -5.205545)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7424, 40, N'Salvador de Zapardiel', N'salvador-de-zapardiel', N'47219', 41.119226, -4.871943)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7425, 40, N'San Cebrián de Mazote', N'san-cebrian-de-mazote', N'47129', 41.681190, -5.149004)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7426, 40, N'San Llorente', N'san-llorente', N'47317', 41.686566, -4.064662)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7427, 40, N'San Martín de Valvení', N'san-martin-de-valveni', N'47209', 41.753978, -4.563843)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7428, 40, N'San Miguel del Arroyo', N'san-miguel-del-arroyo', N'47164', 41.443000, -4.458969)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7429, 40, N'San Miguel del Pino', N'san-miguel-del-pino', N'47132', 41.513044, -4.910803)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7430, 40, N'San Pablo de la Moraleja', N'san-pablo-de-la-moraleja', N'47219', 41.161435, -4.779525)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7431, 40, N'San Pedro de Latarce', N'san-pedro-de-latarce', N'47851', 41.736175, -5.326288)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7432, 40, N'San Pelayo', N'san-pelayo', N'47129', 41.679050, -5.039163)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7433, 40, N'San Román de Hornija', N'san-roman-de-hornija', N'47530', 41.481785, -5.282557)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7434, 40, N'San Salvador', N'san-salvador', N'47134', 41.620327, -5.086917)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7435, 40, N'San Vicente del Palacio', N'san-vicente-del-palacio', N'47493', 41.220147, -4.852738)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7436, 40, N'Santa Eufemia del Arroyo', N'santa-eufemia-del-arroyo', N'47811', 41.894786, -5.267751)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7437, 40, N'Santervás de Campos', N'santervas-de-campos', N'47609', 42.218372, -5.098869)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7438, 40, N'Santibáñez de Valcorba', N'santibanez-de-valcorba', N'47331', 41.570300, -4.446298)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7439, 40, N'Santovenia de Pisuerga', N'santovenia-de-pisuerga', N'47155', 41.697045, -4.685057)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7440, 40, N'Sardón de Duero', N'sardon-de-duero', N'47340', 41.607950, -4.429121)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7441, 40, N'Seca', N'seca', N'47491', 41.414250, -4.906833)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7442, 40, N'La Serrada', N'laserrada', N'47239', 41.459396, -4.859723)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7443, 40, N'Siete Iglesias de Trabancos', N'siete-iglesias-de-trabancos', N'47511', 41.352660, -5.184485)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7444, 40, N'Simancas', N'simancas', N'47130', 41.590412, -4.827590)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7445, 40, N'Tamariz de Campos', N'tamariz-de-campos', N'47815', 41.978124, -5.022855)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7446, 40, N'Tiedra', N'tiedra', N'47870', 41.651447, -5.262151)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7447, 40, N'Tordehumos', N'tordehumos', N'47830', 41.815354, -5.160162)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7448, 40, N'Tordesillas', N'tordesillas', N'47100', 41.501764, -4.999133)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7449, 40, N'Torre de Esgueva', N'torre-de-esgueva', N'47183', 41.769279, -4.203322)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7450, 40, N'Torre de Peñafiel', N'torre-de-penafiel', N'47319', 41.537478, -4.087579)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7451, 40, N'Torrecilla de la Abadesa', N'torrecilla-de-la-abadesa', N'47114', 41.663423, -5.046995)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7452, 40, N'Torrecilla de la Orden', N'torrecilla-de-la-orden', N'47513', 41.219857, -5.227239)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7453, 40, N'Torrecilla de la Torre', N'torrecilla-de-la-torre', N'47129', 41.667037, -5.051361)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7454, 40, N'Torrelobatón', N'torrelobaton', N'47134', 41.647463, -5.024893)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7455, 40, N'Torrescárcela', N'torrescarcela', N'47313', 41.484647, -4.319644)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7456, 40, N'Traspinedo', N'traspinedo', N'47330', 41.577427, -4.471500)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7457, 40, N'Trigueros del Valle', N'trigueros-del-valle', N'47282', 41.829937, -4.651573)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7458, 40, N'Tudela de Duero', N'tudela-de-duero', N'47320', 41.586271, -4.580076)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7459, 40, N'Unión de Campos', N'union-de-campos', N'47670', 42.080499, -5.319335)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7460, 40, N'Urones de Castroponce', N'urones-de-castroponce', N'47671', 42.099257, -5.281484)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7461, 40, N'Urueña', N'uruena', N'47862', 41.727119, -5.202831)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7462, 40, N'Valbuena de Duero', N'valbuena-de-duero', N'47359', 41.643414, -4.293852)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7463, 40, N'Valdearcos de la Vega', N'valdearcos-de-la-vega', N'47317', 41.644673, -4.048011)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7464, 40, N'Valdenebro de los Valles', N'valdenebro-de-los-valles', N'47816', 41.856073, -4.966164)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7465, 40, N'Valdestillas', N'valdestillas', N'47240', 41.475692, -4.770148)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7466, 40, N'Valdunquillo', N'valdunquillo', N'47672', 42.041899, -5.315259)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7467, 40, N'Valladolid', N'valladolid', N'47001', 41.653363, -4.728874)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7468, 40, N'Valoria la Buena', N'valoria-la-buena', N'47200', 41.799575, -4.530830)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7469, 40, N'Valverde de Campos', N'valverde-de-campos', N'47690', 41.834718, -5.037081)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7470, 40, N'Vega de Ruiponce', N'vega-de-ruiponce', N'47609', 42.189331, -5.112741)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7471, 40, N'Vega de Valdetronco', N'vega-de-valdetronco', N'47133', 41.595258, -5.116625)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7472, 40, N'Velascálvaro', N'velascalvaro', N'47463', 41.229855, -4.972638)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7473, 40, N'Velilla', N'velilla', N'47114', 41.558624, -5.004584)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7474, 40, N'Velliza', N'velliza', N'47419', 41.579241, -4.946852)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7475, 40, N'Ventosa de la Cuesta', N'ventosa-de-la-cuesta', N'47232', 41.411997, -4.826903)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7476, 40, N'Viana de Cega', N'viana-de-cega', N'47150', 41.529528, -4.751158)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7477, 40, N'Villabáñez', N'villabanez', N'47329', 41.631482, -4.521475)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7478, 40, N'Villabaruz de Campos', N'villabaruz-de-campos', N'47815', 42.010833, -4.996505)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7479, 40, N'Villabrágima', N'villabragima', N'47820', 41.823525, -5.111818)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7480, 40, N'Villacarralón', N'villacarralon', N'47609', 42.189737, -5.044484)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7481, 40, N'Villacid de Campos', N'villacid-de-campos', N'47607', 42.124137, -4.952903)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7482, 40, N'Villaco', N'villaco', N'47181', 41.740354, -4.269476)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7483, 40, N'Villafrades de Campos', N'villafrades-de-campos', N'47606', 42.077903, -4.970670)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7484, 40, N'Villafranca de Duero', N'villafranca-de-duero', N'47529', 41.432753, -5.301933)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7485, 40, N'Villafrechós', N'villafrechos', N'47810', 41.892247, -5.213442)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7486, 40, N'Villafuerte', N'villafuerte', N'47180', 41.734878, -4.322863)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7487, 40, N'Villagarcía de Campos', N'villagarcia-de-campos', N'47840', 41.781649, -5.193100)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7488, 40, N'Villagómez la Nueva', N'villagomez-la-nueva', N'47608', 42.156182, -5.142975)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7489, 40, N'Villalán de Campos', N'villalan-de-campos', N'47675', 42.014579, -5.236230)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7490, 40, N'Villalar de los Comuneros', N'villalar-de-los-comuneros', N'47111', 41.550599, -5.138168)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7491, 40, N'Villalba de la Loma', N'villalba-de-la-loma', N'47689', 42.173518, -5.190439)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7492, 40, N'Villalba de los Alcores', N'villalba-de-los-alcores', N'47639', 41.863840, -4.860249)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7493, 40, N'Villalbarba', N'villalbarba', N'47113', 41.603345, -5.214086)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7494, 40, N'Villalón de Campos', N'villalon-de-campos', N'47600', 42.099719, -5.033798)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7495, 40, N'Villamuriel de Campos', N'villamuriel-de-campos', N'47814', 41.946532, -5.206833)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7496, 40, N'Villán de Tordesillas', N'villan-de-tordesillas', N'47131', 41.593300, -4.923162)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7497, 40, N'Villanubla', N'villanubla', N'47620', 41.699448, -4.842567)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7498, 40, N'Villanueva de Duero', N'villanueva-de-duero', N'47239', 41.514458, -4.866600)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7499, 40, N'Villanueva de la Condesa', N'villanueva-de-la-condesa', N'47608', 42.146271, -5.098665)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7500, 40, N'Villanueva de los Caballeros', N'villanueva-de-los-caballeros', N'47850', 41.760444, -5.249813)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7501, 40, N'Villanueva de los Infantes', N'villanueva-de-losinfantes', N'47174', 41.703005, -4.480212)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7502, 40, N'Villanueva de San Mancio', N'villanueva-de-san-mancio', N'47813', 41.928879, -5.012695)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7503, 40, N'Villardefrades', N'villardefrades', N'47860', 41.722579, -5.255831)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7504, 40, N'Villarmentero de Esgueva', N'villarmentero-de-esgueva', N'47172', 41.685348, -4.546237)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7505, 40, N'Villasexmir', N'villasexmir', N'47134', 41.638635, -5.065341)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7506, 40, N'Villavaquerín', N'villavaquerin', N'47329', 41.665282, -4.459655)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7507, 40, N'Villavellid', N'villavellid', N'47883', 41.691926, -5.276560)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7508, 40, N'Villaverde de Medina', N'villaverde-de-medina', N'47465', 41.308035, -5.023971)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7509, 40, N'Villavicencio de los Caballeros', N'villavicencio-de-los-caballeros', N'47676', 42.056932, -5.235114)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7510, 40, N'Viloria', N'viloria', N'47166', 41.447037, -4.384961)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7511, 40, N'Wamba', N'wamba', N'47190', 41.675869, -4.916575)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7512, 40, N'Zaratán', N'zaratan', N'47610', 41.660393, -4.785361)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7513, 40, N'La Zarza', N'lazarza', N'47452', 41.261896, -4.770910)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7515, 44, N'Abadiño', N'abadino', N'48220', 43.169260, -2.607904)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7516, 44, N'Abanto Zierbena', N'abanto-zierbena', N'48500', 43.315205, -3.075784)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7517, 44, N'Ajangiz', N'ajangiz', N'48320', 43.309303, -2.661858)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7518, 44, N'Alonsotegi', N'alonsotegi', N'48810', 43.245111, -2.989183)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7519, 44, N'Amorebieta-Etxano', N'amorebieta-etxano', N'48340', 43.221097, -2.732159)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7520, 44, N'Amoroto', N'amoroto', N'48289', 43.326265, -2.513550)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7521, 44, N'Arakaldo', N'arakaldo', N'48498', 43.149313, -2.924938)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7522, 44, N'Arantzazu', N'arantzazu', N'48140', 43.157466, -2.788791)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7523, 44, N'Areatza', N'areatza', N'48143', 43.122952, -2.772183)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7524, 44, N'Arrankudiaga', N'arrankudiaga', N'48498', 43.173802, -2.918376)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7525, 44, N'Arratzu', N'arratzu', N'48383', 43.305355, -2.640539)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7526, 44, N'Arrieta', N'arrieta', N'48114', 43.342040, -2.769109)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7527, 44, N'Arrigorriaga', N'arrigorriaga', N'48480', 43.205235, -2.889609)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7528, 44, N'Artea', N'artea', N'48142', 43.133925, -2.784404)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7529, 44, N'Arcentales', N'arcentales', N'48879', 43.251376, -3.220417)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7530, 44, N'Atxondo', N'atxondo', N'48291', 43.131930, -2.585744)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7531, 44, N'Aulesti', N'aulesti', N'48380', 43.297880, -2.562084)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7532, 44, N'Bakio', N'bakio', N'48130', 43.426644, -2.812850)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7533, 44, N'Balmaseda', N'balmaseda', N'48800', 43.193292, -3.196200)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7534, 44, N'Barakaldo', N'barakaldo', N'48901', 43.297310, -2.985839)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7535, 44, N'Barrika', N'barrika', N'48650', 43.406575, -2.962149)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7536, 44, N'Basauri', N'basauri', N'48970', 43.237550, -2.887044)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7537, 44, N'Bedia', N'bedia', N'48390', 43.209886, -2.807070)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7538, 44, N'Berango', N'berango', N'48640', 43.364180, -2.995594)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7539, 44, N'Bermeo', N'bermeo', N'48370', 43.419294, -2.725101)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7540, 44, N'Berriatua', N'berriatua', N'48710', 43.310065, -2.466089)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7541, 44, N'Berriz', N'berriz', N'48240', 43.168160, -2.573474)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7542, 44, N'Bilbao', N'bilbao', N'48001', 43.268650, -2.946119)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7543, 44, N'Busturia', N'busturia', N'48350', 43.383219, -2.697144)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7544, 44, N'Derio', N'derio', N'48160', 43.302321, -2.881894)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7545, 44, N'Dima', N'dima', N'48141', 43.147591, -2.752075)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7546, 44, N'Durango', N'durango', N'48200', 43.169254, -2.632685)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7547, 44, N'Ea', N'ea', N'48287', 43.380131, -2.585735)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7548, 44, N'Elantxobe', N'elantxobe', N'48310', 43.403520, -2.639723)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7549, 44, N'Elorrio', N'elorrio', N'48230', 43.130931, -2.542305)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7550, 44, N'Erandio', N'erandio', N'48950', 43.307723, -2.946782)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7551, 44, N'Ereño', N'ereno', N'48313', 43.357294, -2.621913)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7552, 44, N'Ermua', N'ermua', N'48260', 43.186717, -2.503252)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7553, 44, N'Errigoiti', N'errigoiti', N'48309', 43.318840, -2.725425)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7554, 44, N'Etxebarri', N'etxebarri', N'20550', 43.247422, -2.889662)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7555, 44, N'Etxebarria', N'etxebarria', N'48277', 43.254268, -2.477632)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7556, 44, N'Forua', N'forua', N'48393', 43.333919, -2.678733)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7557, 44, N'Fruiz', N'fruiz', N'48116', 43.329142, -2.783318)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7558, 44, N'Galdakao', N'galdakao', N'48960', 43.230790, -2.846017)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7559, 44, N'Galdames', N'galdames', N'48191', 43.255205, -3.096557)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7560, 44, N'Gamiz-Fika', N'gamiz-fika', N'48113', 43.311814, -2.811298)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7561, 44, N'Garai', N'garai', N'48110', 43.363035, -2.873955)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7562, 44, N'Gatika', N'gatika', N'48110', 43.364127, -2.871852)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7563, 44, N'Gautegiz Arteaga', N'gautegiz-arteaga', N'48314', 43.353394, -2.650752)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7564, 44, N'Gernika-Lumo', N'gernika-lumo', N'48300', 43.317279, -2.679248)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7565, 44, N'Getxo', N'getxo', N'48992', 43.344500, -3.005877)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7566, 44, N'Gizaburuaga', N'gizaburuaga', N'48289', 43.332108, -2.536168)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7567, 44, N'Gordexola', N'gordexola', N'48192', 43.178737, -3.072653)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7568, 44, N'Gorliz', N'gorliz', N'48630', 43.416832, -2.933393)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7569, 44, N'Gerea', N'gerea', N'48269', 43.220408, -2.552948)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7570, 44, N'Ibarrangelu', N'ibarrangelu', N'48311', 43.389924, -2.633586)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7571, 44, N'Igorre', N'igorre', N'48140', 43.166030, -2.775936)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7572, 44, N'Ispaster', N'ispaster', N'48288', 43.363129, -2.544665)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7573, 44, N'Iurreta', N'iurreta', N'48215', 43.176828, -2.634144)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7574, 44, N'Izurtza', N'izurtza', N'48213', 43.152475, -2.642212)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7575, 44, N'Karrantza Harana/Valle de Carranza', N'karrantza-harana-valle-de-carranza', N'48891', 43.225787, -3.359284)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7576, 44, N'Kortezubi', N'kortezubi', N'48315', 43.336135, -2.654958)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7577, 44, N'Lanestosa', N'lanestosa', N'48895', 43.221284, -3.439450)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7578, 44, N'Larrabetzu', N'larrabetzu', N'48195', 43.260737, -2.796450)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7579, 44, N'Laukiz', N'laukiz', N'48111', 43.353581, -2.905927)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7580, 44, N'Leioa', N'leioa', N'48940', 43.326083, -2.988110)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7581, 44, N'Lekeitio', N'lekeitio', N'48280', 43.365781, -2.503166)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7582, 44, N'Lemoa', N'lemoa', N'48330', 43.208898, -2.774734)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7583, 44, N'Lemoiz', N'lemoiz', N'48620', 43.413309, -2.902150)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7584, 44, N'Lezama', N'lezama', N'48196', 43.272550, -2.832756)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7585, 44, N'Loiu', N'loiu', N'48180', 43.314749, -2.938542)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7586, 44, N'Mallabia', N'mallabia', N'48269', 43.189877, -2.530074)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7587, 44, N'Mañaria', N'manaria', N'48212', 43.137665, -2.661180)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7588, 44, N'Markina-Xemein', N'markina-xemein', N'48270', 43.270706, -2.498231)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7589, 44, N'Maruri-Jatabe', N'maruri-jatabe', N'48112', 43.383063, -2.875371)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7590, 44, N'Mendata', N'mendata', N'48382', 43.283610, -2.633286)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7591, 44, N'Mendexa', N'mendexa', N'48289', 43.346622, -2.483039)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7592, 44, N'Meñaka', N'menaka', N'48120', 43.364658, -2.801299)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7593, 44, N'Morga', N'morga', N'48115', 43.298104, -2.752805)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7594, 44, N'Mundaka', N'mundaka', N'48360', 43.407542, -2.698431)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7595, 44, N'Mungia', N'mungia', N'48100', 43.354704, -2.846918)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7596, 44, N'Munitibar-Arbatzegi Gerrikaitz', N'munitibar-arbatzegi-gerrikaitz', N'48381', 43.265394, -2.592173)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7597, 44, N'Murueta', N'murueta', N'48394', 43.354642, -2.683797)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7598, 44, N'Muskiz', N'muskiz', N'48550', 43.323117, -3.121791)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7599, 44, N'Muxika', N'muxika', N'48392', 43.290045, -2.692895)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7600, 44, N'Nabarniz', N'nabarniz', N'48312', 43.321306, -2.584105)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7601, 44, N'Ondarroa', N'ondarroa', N'48700', 43.321119, -2.421627)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7602, 44, N'Orozko', N'orozko', N'48410', 43.108628, -2.910991)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7603, 44, N'Ortuella', N'ortuella', N'48530', 43.311596, -3.055787)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7604, 44, N'Otxandio', N'otxandio', N'48210', 43.040508, -2.655387)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7605, 44, N'Plentzia', N'plentzia', N'48620', 43.404923, -2.950602)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7606, 44, N'Portugalete', N'portugalete', N'48920', 43.320963, -3.019695)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7607, 44, N'Santurtzi', N'santurtzi', N'48980', 43.328986, -3.031712)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7608, 44, N'Sestao', N'sestao', N'48910', 43.307505, -2.996006)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7609, 44, N'Sondika', N'sondika', N'48150', 43.300759, -2.924852)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7610, 44, N'Sopelana', N'sopelana', N'48600', 43.379133, -2.983088)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7611, 44, N'Sopuerta', N'sopuerta', N'48190', 43.262925, -3.152819)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7612, 44, N'Sukarrieta', N'sukarrieta', N'48395', 43.395631, -2.696714)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7613, 44, N'Trucios-Turtzioz', N'trucios-turtzioz', N'48880', 43.272862, -3.289504)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7614, 44, N'Ubide', N'ubide', N'48145', 43.026832, -2.687359)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7615, 44, N'Ugao-Miraballes', N'ugao-miraballes', N'48490', 43.179676, -2.902279)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7616, 44, N'Urduliz', N'urduliz', N'48610', 43.379632, -2.961502)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7617, 44, N'Urduña-Orduña', N'urduna-orduna', N'48460', 42.994447, -3.009632)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7618, 44, N'Valle de Trápaga-Trapagaran', N'valle-de-trapaga-trapagaran', N'48510', 43.302789, -3.035574)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7619, 44, N'Zaldibar', N'zaldibar', N'48250', 43.170788, -2.546167)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7620, 44, N'Zalla', N'zalla', N'48860', 43.213516, -3.135105)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7621, 44, N'Zamudio', N'zamudio', N'48170', 43.283391, -2.865415)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7622, 44, N'Zaratamo', N'zaratamo', N'48480', 43.211244, -2.873697)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7623, 44, N'Zeanuri', N'zeanuri', N'48144', 43.099823, -2.749629)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7624, 44, N'Zeberio', N'zeberio', N'48499', 43.153102, -2.852583)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7625, 44, N'Zierbena', N'zierbena', N'48508', 43.347933, -3.085613)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7626, 44, N'Ziortza-Bolibar', N'ziortza-bolibar', N'48278', 43.249798, -2.549987)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7628, 48, N'Abezames', N'abezames', N'49834', 41.625410, -5.426024)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7629, 48, N'Alcañices', N'alcanices', N'49500', 41.698893, -6.347585)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7630, 48, N'Alcubilla de Nogales', N'alcubilla-de-nogales', N'49696', 42.127845, -5.921889)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7631, 48, N'Alfaraz de Sayago', N'alfaraz-de-sayago', N'49177', 41.227538, -5.981323)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7632, 48, N'Algodre', N'algodre', N'49539', 41.566958, -5.602890)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7633, 48, N'Almaraz de Duero', N'almaraz-de-duero', N'49180', 41.474225, -5.914464)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7634, 48, N'Almeida de Sayago', N'almeida-de-sayago', N'49210', 41.264205, -6.072899)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7635, 48, N'Andavías', N'andavias', N'49162', 41.595915, -5.862729)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7636, 48, N'Arcenillas', N'arcenillas', N'49151', 41.457226, -5.684359)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7637, 48, N'Arcos de la Polvorosa', N'arcos-de-la-polvorosa', N'49699', 41.945250, -5.698709)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7638, 48, N'Argañín', N'arganin', N'49251', 41.438032, -6.212450)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7639, 48, N'Argujillo', N'argujillo', N'49716', 41.311101, -5.586628)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7640, 48, N'Arquillinos', N'arquillinos', N'49126', 41.708340, -5.654794)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7641, 48, N'Arrabalde', N'arrabalde', N'49696', 42.107725, -5.895434)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7642, 48, N'Aspariegos', N'aspariegos', N'49124', 41.673808, -5.597566)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7643, 48, N'Asturianos', N'asturianos', N'49325', 42.051350, -6.489138)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7644, 48, N'Ayoó de Vidriales', N'ayoo-de-vidriales', N'49619', 42.129350, -6.063659)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7645, 48, N'Barcial del Barco', N'barcial-del-barco', N'49760', 41.935220, -5.662819)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7646, 48, N'Belver de los Montes', N'belver-de-los-montes', N'49830', 41.722867, -5.450675)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7647, 48, N'Benavente', N'benavente', N'49600', 42.003352, -5.677796)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7648, 48, N'Benegiles', N'benegiles', N'49123', 41.629035, -5.634598)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7649, 48, N'Bermillo de Sayago', N'bermillo-de-sayago', N'49200', 41.366471, -6.108967)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7650, 48, N'Bóveda de Toro', N'boveda-de-toro', N'49155', 41.343333, -5.410110)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7651, 48, N'Bretó', N'breto', N'49751', 41.882055, -5.738339)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7652, 48, N'Bretocino', N'bretocino', N'49698', 41.883493, -5.754476)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7653, 48, N'Brime de Sog', N'brime-de-sog', N'49629', 42.061784, -6.047459)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7654, 48, N'Brime de Urz', N'brime-de-urz', N'49622', 42.038648, -5.873137)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7655, 48, N'Burganes de Valverde', N'burganes-de-valverde', N'49698', 41.921343, -5.780654)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7656, 48, N'Bustillo del Oro', N'bustillo-del-oro', N'49831', 41.674098, -5.461192)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7657, 48, N'Cabañas de Sayago', N'cabanas-de-sayago', N'49709', 41.334029, -5.790310)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7658, 48, N'Calzadilla de Tera', N'calzadilla-de-tera', N'49331', 41.980996, -6.082563)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7659, 48, N'Camarzana de Tera', N'camarzana-de-tera', N'49332', 41.995063, -6.029563)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7660, 48, N'Cañizal', N'canizal', N'49440', 41.167445, -5.368366)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7661, 48, N'Cañizo', N'canizo', N'49128', 41.768879, -5.502605)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7662, 48, N'Carbajales de Alba', N'carbajales-de-alba', N'49160', 41.654092, -5.996861)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7663, 48, N'Carbellino', N'carbellino', N'49211', 41.230896, -6.147709)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7664, 48, N'Casaseca de Campeán', N'casaseca-de-campean', N'49708', 41.374297, -5.746665)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7665, 48, N'Casaseca de las Chanas', N'casaseca-de-las-chanas', N'49151', 41.438222, -5.675597)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7666, 48, N'Castrillo de la Guareña', N'castrillo-de-la-guarena', N'49419', 41.230347, -5.326180)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7667, 48, N'Castrogonzalo', N'castrogonzalo', N'49660', 41.991267, -5.604057)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7668, 48, N'Castronuevo', N'castronuevo', N'49127', 41.721714, -5.543289)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7669, 48, N'Castroverde de Campos', N'castroverde-de-campos', N'49110', 41.970659, -5.313864)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7670, 48, N'Cazurra', N'cazurra', N'49191', 41.970435, -5.315065)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7671, 48, N'Cerecinos de Campos', N'cerecinos-de-campos', N'49640', 41.900297, -5.485268)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7672, 48, N'Cerecinos del Carrizal', N'cerecinos-del-carrizal', N'49125', 41.683553, -5.652680)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7673, 48, N'Cernadilla', N'cernadilla', N'49325', 42.021243, -6.412926)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7674, 48, N'Cobreros', N'cobreros', N'49396', 42.075546, -6.700974)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7675, 48, N'Coomonte', N'coomonte', N'49783', 42.115479, -5.813527)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7676, 48, N'Coreses', N'coreses', N'49530', 41.548319, -5.622253)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7677, 48, N'Corrales del Vino', N'corralesdelvino', N'49700', 41.306827, -5.721130)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7678, 48, N'Cotanes del Monte', N'cotanes-del-monte', N'49639', 41.817833, -5.289831)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7679, 48, N'Cubillos', N'cubillos', N'49730', 41.575100, -5.739412)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7680, 48, N'Cubo de Benavente', N'cubo-de-benavente', N'49327', 42.124074, -6.161613)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7681, 48, N'Cubo de Tierra del Vino', N'cubo-de-tierra-del-vino', N'49710', 41.253936, -5.713062)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7682, 48, N'Cuelgamures', N'cuelgamures', N'49717', 41.306311, -5.657616)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7683, 48, N'Entrala', N'entrala', N'49721', 41.430372, -5.754690)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7684, 48, N'Espadañedo', N'espadanedo', N'49342', 42.116434, -6.394815)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7685, 48, N'Faramontanos de Tábara', N'faramontanos-de-tabara', N'49141', 41.837531, -5.888243)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7686, 48, N'Fariza', N'fariza', N'49213', 41.416502, -6.266327)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7687, 48, N'Fermoselle', N'fermoselle', N'49220', 41.317657, -6.399708)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7688, 48, N'Ferreras de Abajo', N'ferreras-de-abajo', N'49335', 41.898444, -6.077499)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7689, 48, N'Ferreras de Arriba', N'ferreras-de-arriba', N'49335', 41.899019, -6.195087)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7690, 48, N'Ferreruela', N'ferreruela', N'49550', 41.767183, -6.071577)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7691, 48, N'Figueruela de Arriba', N'figueruela-de-arriba', N'49520', 41.869433, -6.440907)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7692, 48, N'La Fonfria', N'lafonfria', N'49510', 41.636743, -6.136808)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7693, 48, N'Fresno de la Polvorosa', N'fresno-de-la-polvorosa', N'49693', 42.083573, -5.770183)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7694, 48, N'Fresno de la Ribera', N'fresno-de-la-ribera', N'49590', 41.529303, -5.568352)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7695, 48, N'Fresno de Sayago', N'fresno-de-sayago', N'49216', 41.319205, -5.970640)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7696, 48, N'Friera de Valverde', N'friera-de-valverde', N'49698', 41.914222, -5.837860)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7697, 48, N'Fuente Encalada', N'fuente-encalada', N'49618', 42.111022, -5.996604)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7698, 48, N'Fuentelapeña', N'fuentelapena', N'49410', 41.251871, -5.384502)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7699, 48, N'Fuentes de Ropel', N'fuentes-de-ropel', N'49670', 42.004088, -5.544662)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7700, 48, N'Fuentesaúco', N'fuentesauco', N'49400', 41.229669, -5.496340)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7701, 48, N'Fuentesecas', N'fuentesecas', N'49833', 41.630649, -5.472350)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7702, 48, N'Fuentespreadas', N'fuentespreadas', N'49714', 41.325876, -5.629034)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7703, 48, N'Galende', N'galende', N'49360', 42.104209, -6.662178)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7704, 48, N'Gallegos del Pan', N'gallegos-del-pan', N'49539', 41.600521, -5.581527)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7706, 48, N'Gamones', N'gamones', N'49251', 41.468232, -6.179295)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7707, 48, N'Gema', N'gema', N'49151', 41.418659, -5.648518)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7708, 48, N'Granja de Moreruela', N'granja-de-moreruela', N'49740', 41.811563, -5.739326)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7709, 48, N'Granucillo', N'granucillo', N'49621', 42.052001, -5.927296)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7710, 48, N'Guarrate', N'guarrate', N'49156', 41.290210, -5.439644)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7711, 48, N'Hermisende', N'hermisende', N'49572', 41.969063, -6.895981)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7712, 48, N'Hiniesta', N'hiniesta', N'49192', 41.552334, -5.798893)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7713, 48, N'Jambrina', N'jambrina', N'49191', 41.393294, -5.665298)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7714, 48, N'Justel', N'justel', N'49340', 42.148705, -6.295638)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7715, 48, N'Losacino', N'losacino', N'49541', 41.681342, -6.079173)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7716, 48, N'Losacio', N'losacio', N'49540', 41.711720, -6.040764)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7717, 48, N'Lubián', N'lubian', N'49570', 42.034568, -6.909285)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7718, 48, N'Luelmo', N'luelmo', N'49215', 41.439734, -6.135113)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7719, 48, N'Maderal', N'maderal', N'49719', 41.282193, -5.622468)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7720, 48, N'Madridanos', N'madridanos', N'49157', 41.479422, -5.604615)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7721, 48, N'Mahide', N'mahide', N'49522', 41.868922, -6.378508)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7722, 48, N'Maire de Castroponce', N'maire-de-castroponce', N'49783', 42.111850, -5.784087)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7723, 48, N'Malva', N'malva', N'49832', 41.654221, -5.487800)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7724, 48, N'Manganeses de la Lampreana', N'manganeses-de-la-lampreana', N'49130', 41.750600, -5.708170)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7725, 48, N'Manganeses de la Polvorosa', N'manganeses-de-la-polvorosa', N'49694', 42.034791, -5.747309)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7726, 48, N'Manzanal de Arriba', N'manzanal-de-arriba', N'49594', 41.992990, -6.439447)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7727, 48, N'Manzanal de los Infantes', N'manzanal-de-los-infantes', N'49317', 42.054104, -6.381083)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7728, 48, N'Manzanal del Barco', N'manzanal-del-barco', N'49163', 41.636679, -5.947981)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7729, 48, N'Matilla de Arzón', N'matilla-de-arzon', N'49692', 42.105227, -5.642767)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7730, 48, N'Matilla la Seca', N'matilla-la-seca', N'49590', 41.580204, -5.500202)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7731, 48, N'Mayalde', N'mayalde', N'49718', 41.249935, -5.797863)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7732, 48, N'Melgar de Tera', N'melgar-de-tera', N'49626', 41.967532, -6.015015)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7733, 48, N'Micereces de Tera', N'micereces-de-tera', N'49624', 41.989226, -5.870905)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7734, 48, N'Milles de la Polvorosa', N'milles-de-la-polvorosa', N'49699', 41.924568, -5.732803)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7735, 48, N'Molacillos', N'molacillos', N'49120', 41.582901, -5.659032)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7736, 48, N'Molezuelas de la Carballeda', N'molezuelas-de-la-carballeda', N'49327', 42.082809, -6.185646)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7737, 48, N'Mombuey', N'mombuey', N'49310', 42.024240, -6.330442)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7738, 48, N'Monfarracinos', N'monfarracinos', N'49121', 41.553763, -5.707848)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7739, 48, N'Montamarta', N'montamarta', N'49149', 41.646941, -5.802841)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7740, 48, N'Moral de Sayago', N'moral-de-sayago', N'49254', 41.473024, -6.100845)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7742, 48, N'Moraleja del Vino', N'moraleja-del-vino', N'49150', 41.464984, -5.654182)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7743, 48, N'Morales de Rey', N'morales-de-rey', N'49693', 42.067486, -5.786705)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7744, 48, N'Morales de Toro', N'morales-de-toro', N'49810', 41.536852, -5.309014)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7745, 48, N'Morales de Valverde', N'morales-de-valverde', N'49697', 41.940467, -5.889702)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7746, 48, N'Morales del Vino', N'morales-del-vino', N'49190', 41.446522, -5.730486)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7747, 48, N'Moralina', N'moralina', N'49253', 41.489710, -6.137924)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7748, 48, N'Moreruela de los Infanzones', N'moreruela-de-los-infanzones', N'49731', 41.631643, -5.706582)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7749, 48, N'Moreruela de Tábara', N'moreruela-de-tabara', N'49148', 41.799215, -5.871291)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7750, 48, N'Muelas de los Caballeros', N'muelas-de-los-caballeros', N'49341', 42.127575, -6.336536)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7751, 48, N'Muelas del Pan', N'muelas-del-pan', N'49167', 41.523552, -5.970469)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7752, 48, N'Muga de Sayago', N'muga-de-sayago', N'49212', 41.390493, -6.200838)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7753, 48, N'Navianos de Valverde', N'navianos-de-valverde', N'49697', 41.954097, -5.816574)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7754, 48, N'Olmillos de Castro', N'olmillos-de-castro', N'49147', 41.732444, -5.968065)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7755, 48, N'Otero de Bodas', N'otero-de-bodas', N'49336', 41.939510, -6.150627)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7756, 48, N'Pajares de la Lampreana', N'pajares-de-la-lampreana', N'49142', 41.715980, -5.692205)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7757, 48, N'Palacios de Sanabria', N'palacios-de-sanabria', N'49322', 42.055730, -6.526909)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7758, 48, N'Palacios del Pan', N'palacios-del-pan', N'49162', 41.602511, -5.877428)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7759, 48, N'Pedralba de la Pradería', N'pedralba-de-la-praderia', N'49392', 42.028639, -6.692562)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7760, 48, N'El Pego', N'elpego', N'49154', 41.333256, -5.468788)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7761, 48, N'Peleagonzalo', N'peleagonzalo', N'49880', 41.482091, -5.481062)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7762, 48, N'Peleas de Abajo', N'peleas-de-abajo', N'49191', 41.393520, -5.690060)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7763, 48, N'Peñausende', N'penausende', N'49178', 41.286320, -5.865154)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7764, 48, N'Peque', N'peque', N'49318', 42.073762, -6.275339)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7765, 48, N'Perdigón', N'perdigon', N'49720', 41.411836, -5.753360)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7766, 48, N'Pereruela', N'pereruela', N'49280', 41.416728, -5.878973)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7767, 48, N'Perilla de Castro', N'perilla-de-castro', N'49145', 41.726359, -5.876226)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7768, 48, N'Pías', N'pias', N'49580', 42.086216, -6.999364)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7769, 48, N'Piedrahita de Castro', N'piedrahita-de-castro', N'49143', 41.679515, -5.728340)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7770, 48, N'Pinilla de Toro', N'pinilla-de-toro', N'49850', 41.627248, -5.364933)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7771, 48, N'Pino del Oro', N'pino-del-oro', N'49514', 41.574811, -6.120501)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7772, 48, N'Piñero', N'pinero', N'49715', 41.352910, -5.588050)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7773, 48, N'Pobladura de Valderaduey', N'pobladura-de-valderaduey', N'49127', 41.700922, -5.541444)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7774, 48, N'Pobladura del Valle', N'pobladura-del-valle', N'49780', 42.103031, -5.734262)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7775, 48, N'Porto', N'porto', N'49583', 42.167984, -6.897869)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7776, 48, N'Pozoantiguo', N'pozoantiguo', N'49835', 41.597473, -5.435743)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7777, 48, N'Pozuelo de Tábara', N'pozuelo-de-tabara', N'49148', 41.785457, -5.895452)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7778, 48, N'Prado', N'prado', N'49638', 41.920960, -5.419049)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7779, 48, N'Puebla de Sanabria', N'puebla-de-sanabria', N'49300', 42.055283, -6.633854)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7780, 48, N'Pueblica de Valverde', N'pueblica-de-valverde', N'49697', 41.919747, -5.898070)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7781, 48, N'Quintanilla de Urz', N'quintanilla-de-urz', N'49622', 42.033548, -5.848503)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7782, 48, N'Quintanilla del Monte', N'quintanilla-del-monte', N'49639', 41.818856, -5.289831)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7783, 48, N'Quintanilla del Olmo', N'quintanilla-del-olmo', N'49638', 41.906302, -5.407977)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7784, 48, N'Quiruelas de Vidriales', N'quiruelas-de-vidriales', N'49622', 42.019011, -5.828805)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7785, 48, N'Rabanales', N'rabanales', N'49519', 41.742211, -6.278558)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7786, 48, N'Rábano de Aliste', N'rabano-de-aliste', N'49515', 41.745509, -6.434126)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7787, 48, N'Requejo', N'requejo', N'49394', 42.030902, -6.741571)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7788, 48, N'Revellinos', N'revellinos', N'49135', 41.890585, -5.569382)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7789, 48, N'Riofrío de Aliste', N'riofrio-de-aliste', N'49591', 41.817385, -6.177578)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7790, 48, N'Rionegro del Puente', N'rionegro-del-puente', N'49326', 42.007277, -6.226845)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7791, 48, N'Roales', N'roales', N'49192', 41.552655, -5.771255)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7792, 48, N'Robleda-Cervantes', N'robleda-cervantes', N'49004', 42.095094, -6.590016)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7793, 48, N'Roelos de Sayago', N'roelos-de-sayago', N'49211', 41.254968, -6.171055)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7794, 48, N'Rosinos de la Requejada', N'rosinos-de-la-requejada', N'49322', 42.085484, -6.533089)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7795, 48, N'Salce', N'salce', N'49211', 41.270049, -6.219656)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7796, 48, N'Samir de los Caños', N'samir-de-los-canos', N'49513', 41.673809, -6.165390)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7797, 48, N'San Agustín del Pozo', N'san-agustin-del-pozo', N'49135', 41.885665, -5.594230)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7798, 48, N'San Cebrián de Castro', N'san-cebrian-de-castro', N'49144', 41.706241, -5.753059)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7799, 48, N'San Cristóbal de Entreviñas', N'san-cristobal-de-entrevinas', N'49690', 42.047699, -5.633926)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7800, 48, N'San Esteban del Molar', N'san-esteban-del-molar', N'49650', 41.937530, -5.552087)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7801, 48, N'San Justo', N'san-justo', N'49358', 42.169638, -6.633682)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7802, 48, N'San Martín de Valderaduey', N'san-martin-de-valderaduey', N'49129', 41.814442, -5.473595)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7803, 48, N'San Miguel de la Ribera', N'san-miguel-de-la-ribera', N'49717', 41.331935, -5.577235)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7804, 48, N'San Miguel del Valle', N'san-miguel-del-valle', N'49680', 42.029850, -5.496254)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7805, 48, N'San Pedro de Ceque', N'san-pedro-de-ceque', N'49628', 42.043461, -6.073380)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7806, 48, N'San Pedro de la Nave-Almendra', N'san-pedro-de-la-nave-almendra', N'49183', 41.591182, -5.921373)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7807, 48, N'San Vicente de la Cabeza', N'san-vicente-de-la-cabeza', N'49592', 41.805710, -6.251392)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7808, 48, N'San Vitero', N'san-vitero', N'49523', 41.778865, -6.347265)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7809, 48, N'Santa Clara de Avedillo', N'santa-clara-de-avedillo', N'49707', 41.339797, -5.676284)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7810, 48, N'Santa Colomba de las Monjas', N'santa-colomba-de-las-monjas', N'49699', 41.958756, -5.685124)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7811, 48, N'Santa Cristina de la Polvorosa', N'santa-cristina-de-la-polvorosa', N'49620', 41.999847, -5.711474)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7812, 48, N'Santa Croya de Tera', N'santa-croya-de-tera', N'49626', 41.987503, -5.975447)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7813, 48, N'Santa Eufemia del Barco', N'santa-eufemia-del-barco', N'49161', 41.677928, -5.899385)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7814, 48, N'Santa María de la Vega', N'santa-maria-de-la-vega', N'49696', 42.085866, -5.811338)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7815, 48, N'Santa María de Valverde', N'santa-maria-de-valverde', N'49333', 41.935583, -5.934162)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7816, 48, N'Santibáñez de Tera', N'santibanez-de-tera', N'49625', 41.987312, -5.923004)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7817, 48, N'Santibáñez de Vidriales', N'santibanez-de-vidriales', N'49610', 42.074527, -6.013985)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7818, 48, N'Santovenia', N'santovenia', N'49750', 41.878572, -5.708771)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7819, 48, N'Sanzoles', N'sanzoles', N'49152', 41.434072, -5.565434)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7820, 48, N'Tábara', N'tabara', N'49140', 41.825572, -5.959568)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7821, 48, N'Tapioles', N'tapioles', N'49639', 41.851534, -5.490761)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7822, 48, N'La Toro', N'latoro', N'49155', 41.346080, -5.408964)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7823, 48, N'Torre del Valle', N'torre-del-valle', N'49781', 42.089783, -5.722160)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7824, 48, N'Torregamones', N'torregamones', N'49252', 41.484791, -6.176634)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7825, 48, N'Torres del Carrizal', N'torres-del-carrizal', N'49122', 41.618394, -5.668945)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7826, 48, N'Trabazos', N'trabazos', N'49516', 41.748007, -6.492405)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7827, 48, N'Trefacio', N'trefacio', N'49359', 42.122291, -6.652050)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7828, 48, N'Uña de Quintana', N'una-de-quintana', N'49327', 42.087204, -6.144104)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7829, 48, N'Vadillo de la Guareña', N'vadillo-de-la-guarena', N'49420', 41.283870, -5.353088)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7830, 48, N'Valcabado', N'valcabado', N'49192', 41.548319, -5.748897)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7831, 48, N'Valdefinjas', N'valdefinjas', N'49882', 41.450382, -5.452051)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7832, 48, N'Valdescorriel', N'valdescorriel', N'49680', 42.022486, -5.510116)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7833, 48, N'Vallesa de la Guareña', N'vallesa-de-la-guarena', N'49450', 41.134581, -5.326009)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7834, 48, N'Vega de Tera', N'vega-de-tera', N'49331', 41.999751, -6.124363)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7835, 48, N'Vega de Villalobos', N'vega-de-villalobos', N'49133', 41.970690, -5.463037)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7836, 48, N'Vegalatrave', N'vegalatrave', N'49542', 41.700153, -6.103678)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7837, 48, N'Venialbo', N'venialbo', N'49153', 41.389624, -5.537024)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7838, 48, N'Vezdemarbán', N'vezdemarban', N'49840', 41.654445, -5.367336)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7839, 48, N'Vidayanes', N'vidayanes', N'49135', 41.908633, -5.575476)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7840, 48, N'Videmala', N'videmala', N'49164', 41.613132, -6.041708)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7841, 48, N'Villabrázaro', N'villabrazaro', N'49770', 42.053850, -5.728469)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7842, 48, N'Villabuena del Puente', N'villabuena-del-puente', N'49820', 41.381574, -5.406432)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7843, 48, N'Villadepera', N'villadepera', N'49250', 41.548994, -6.133718)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7844, 48, N'Villaescusa', N'villaescusa', N'49430', 41.206620, -5.464883)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7845, 48, N'Villafáfila', N'villafafila', N'49136', 41.848593, -5.615129)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7846, 48, N'Villaferrueña', N'villaferruena', N'49695', 42.097745, -5.858631)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7847, 48, N'Villageriz', N'villageriz', N'49618', 42.118503, -5.955362)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7848, 48, N'Villalazán', N'villalazan', N'49158', 41.494435, -5.589552)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7849, 48, N'Villalba de la Lampreana', N'villalba-de-la-lampreana', N'49126', 41.743908, -5.641437)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7850, 48, N'Villalcampo', N'villalcampo', N'49166', 41.523391, -6.047544)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7851, 48, N'Villalobos', N'villalobos', N'49133', 41.946022, -5.474796)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7852, 48, N'Villalonso', N'villalonso', N'49860', 41.597553, -5.297427)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7853, 48, N'Villalpando', N'villalpando', N'49630', 41.865087, -5.408707)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7854, 48, N'Villalube', N'villalube', N'49539', 41.611271, -5.545177)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7855, 48, N'Villamayor de Campos', N'villamayor-de-campos', N'49131', 41.899051, -5.358109)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7856, 48, N'Villamor de los Escuderos', N'villamor-de-los-escuderos', N'49719', 41.252903, -5.574703)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7857, 48, N'Villanázar', N'villanazar', N'49697', 41.975317, -5.780740)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7858, 48, N'Villanueva de Azoague', N'villanueva-de-azoague', N'49699', 41.974934, -5.664525)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7859, 48, N'Villanueva de Campeán', N'villanueva-de-campean', N'49708', 41.354359, -5.769110)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7860, 48, N'Villanueva de las Peras', N'villanueva-de-las-peras', N'49333', 41.936222, -5.978966)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7861, 48, N'Villanueva del Campo', N'villanueva-del-campo', N'49100', 41.986227, -5.405552)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7862, 48, N'Villar de Fallaves', N'villar-de-fallaves', N'49132', 41.924153, -5.340257)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7863, 48, N'Villar del Buey', N'villar-del-buey', N'49240', 41.328615, -6.193886)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7864, 48, N'Villaralbo', N'villaralbo', N'49159', 41.492764, -5.682979)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7865, 48, N'Villardeciervos', N'villardeciervos', N'49562', 41.941106, -6.284437)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7866, 48, N'Villardiegua de la Ribera', N'villardiegua-de-la-ribera', N'49250', 41.536981, -6.179895)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7867, 48, N'Villárdiga', N'villardiga', N'49129', 41.819240, -5.463595)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7868, 48, N'Villardondiego', N'villardondiego', N'49871', 41.584634, -5.377593)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7869, 48, N'Villarrín de Campos', N'villarrin-de-campos', N'49137', 41.796272, -5.639935)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7870, 48, N'Villaseco del Pan', N'villaseco-del-pan', N'49181', 41.470033, -5.962744)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7871, 48, N'Villavendimio', N'villavendimio', N'49870', 41.578503, -5.343518)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7872, 48, N'Villaveza de Valverde', N'villaveza-de-valverde', N'49697', 41.944330, -5.850563)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7873, 48, N'Villaveza del Agua', N'villaveza-del-agua', N'49760', 41.918725, -5.679717)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7874, 48, N'Viñas', N'vinas', N'49517', 41.773360, -6.471205)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7875, 48, N'Zamora', N'zamora', N'49030', 41.503917, -5.743918)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7877, 52, N'Abanto', N'abanto', N'50375', 41.135456, -1.700694)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7878, 52, N'Acered', N'acered', N'50347', 41.171562, -1.603498)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7879, 52, N'Agón', N'agon', N'50560', 41.857285, -1.452818)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7880, 52, N'Aguarón', N'aguaron', N'50408', 41.340451, -1.267669)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7881, 52, N'Aguilón', N'aguilon', N'50155', 41.295996, -1.046224)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7882, 52, N'Ainzón', N'ainzon', N'50570', 41.816095, -1.518319)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7883, 52, N'Aladrén', N'aladren', N'50481', 41.251055, -1.156944)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7884, 52, N'Alagón', N'alagon', N'50630', 41.768195, -1.126724)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7885, 52, N'Alarba', N'alarba', N'50345', 41.206345, -1.614516)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7886, 52, N'Alberite de San Juan', N'alberite-de-san-juan', N'50529', 41.820310, -1.470758)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7887, 52, N'Albeta', N'albeta', N'50549', 41.826947, -1.499634)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7888, 52, N'Alborge', N'alborge', N'50781', 41.334609, -0.356712)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7889, 52, N'Alcalá de Ebro', N'alcala-de-ebro', N'50691', 41.814810, -1.195549)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7890, 52, N'Alcalá de Moncayo', N'alcala-de-moncayo', N'50591', 41.786449, -1.695929)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7891, 52, N'Alconchel de Ariza', N'alconchel-de-ariza', N'42269', 41.203953, -2.122248)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7892, 52, N'Aldehuela de Liestos', N'aldehuela-de-liestos', N'50374', 41.063440, -1.699694)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7893, 52, N'Alfajarín', N'alfajarin', N'50172', 41.614045, -0.703114)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7894, 52, N'Alfamén', N'alfamen', N'50461', 41.440025, -1.247824)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7895, 52, N'Alforque', N'alforque', N'50783', 41.329745, -0.385524)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7896, 52, N'Alhama de Aragón', N'alhama-de-aragon', N'50230', 41.296655, -1.900604)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7897, 52, N'Almochuel', N'almochuel', N'44591', 41.280685, -0.550974)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7898, 52, N'Almolda', N'almolda', N'50178', 41.552398, -0.208397)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7899, 52, N'Almonacid de la Cuba', N'almonacid-de-la-cuba', N'50133', 41.278669, -0.791834)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7900, 52, N'Almonacid de la Sierra', N'almonacid-de-la-sierra', N'50108', 41.397596, -1.323269)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7901, 52, N'Almunia de Doña Godina', N'almunia-de-dona-godina', N'50100', 41.477200, -1.377920)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7902, 52, N'Alpartir', N'alpartir', N'50109', 41.425496, -1.380322)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7903, 52, N'Ambel', N'ambel', N'50546', 41.796467, -1.613410)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7904, 52, N'Anento', N'anento', N'50369', 41.071375, -1.334647)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7905, 52, N'Anión', N'aninon', N'50313', 41.445125, -1.705345)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7906, 52, N'Aón de Moncayo', N'anon-de-moncayo', N'50590', 41.778485, -1.720429)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7907, 52, N'Aranda de Moncayo', N'aranda-de-moncayo', N'50259', 41.577435, -1.791554)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7908, 52, N'Arándiga', N'arandiga', N'50266', 41.508895, -1.497514)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7909, 52, N'Ardisa', N'ardisa', N'50614', 42.201170, -0.757862)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7910, 52, N'Ariza', N'ariza', N'50220', 41.313095, -2.053009)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7911, 52, N'Artieda', N'artieda', N'50683', 42.585128, -0.983105)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7912, 52, N'Asín', N'asin', N'50619', 42.280865, -1.047821)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7913, 52, N'Atea', N'atea', N'50348', 41.159558, -1.556829)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7914, 52, N'Ateca', N'ateca', N'50200', 41.329980, -1.788909)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7915, 52, N'Azuara', N'azuara', N'50140', 41.258599, -0.872868)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7916, 52, N'Badules', N'badules', N'50491', 41.139495, -1.253419)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7917, 52, N'Bagüés', N'bagues', N'50685', 42.547769, -0.949631)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7918, 52, N'Balconchán', N'balconchan', N'50366', 41.087321, -1.460258)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7919, 52, N'Bárboles', N'barboles', N'50297', 41.709740, -1.193339)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7920, 52, N'Bardallur', N'bardallur', N'50296', 41.684122, -1.213487)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7921, 52, N'Belchite', N'belchite', N'50130', 41.303192, -0.753003)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7922, 52, N'Belmonte de Gracián', N'belmonte-de-gracian', N'50332', 41.312545, -1.535754)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7923, 52, N'Berdejo', N'berdejo', N'50316', 41.560974, -1.944465)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7924, 52, N'Berrueco', N'berrueco-zaragoza', N'50373', 40.989965, -1.468104)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7925, 52, N'Biel', N'biel', N'50619', 42.386070, -0.936950)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7926, 52, N'Bijuesca', N'bijuesca', N'50316', 41.541738, -1.922863)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7927, 52, N'Biota', N'biota', N'50695', 42.262270, -1.190784)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7928, 52, N'Bisimbre', N'bisimbre', N'50561', 41.855983, -1.443194)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7929, 52, N'Boquiñeni', N'boquineni', N'50641', 41.847075, -1.253772)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7930, 52, N'Bordalba', N'bordalba', N'50229', 41.416897, -2.078540)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7931, 52, N'Borja', N'borja', N'50540', 41.837275, -1.532614)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7932, 52, N'Botorrita', N'botorrita', N'50441', 41.507228, -1.030848)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7933, 52, N'Brea de Aragón', N'brea-de-aragon', N'50246', 41.525415, -1.597459)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7934, 52, N'Bubierca', N'bubierca', N'50239', 41.314394, -1.856614)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7935, 52, N'Bujaraloz', N'bujaraloz', N'50177', 41.496541, -0.148154)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7936, 52, N'Bulbuente', N'bulbuente', N'50546', 41.816657, -1.602818)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7937, 52, N'Bureta', N'bureta', N'50547', 41.818056, -1.487961)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7938, 52, N'Burgo de Ebro', N'burgo-de-ebro', N'50730', 41.572194, -0.737286)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7939, 52, N'Buste', N'buste', N'50548', 41.886664, -1.603135)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7940, 52, N'Cabañas de Ebro', N'cabanas-de-ebro', N'50638', 41.796264, -1.163888)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7941, 52, N'Cabolafuente', N'cabolafuente', N'50228', 41.211939, -2.037417)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7942, 52, N'Cadrete', N'cadrete', N'50420', 41.555658, -0.959866)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7943, 52, N'Calatayud', N'calatayud', N'50300', 41.355841, -1.644688)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7944, 52, N'Calatorao', N'calatorao', N'50280', 41.525158, -1.338315)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7945, 52, N'Calcena', N'calcena', N'50268', 41.656048, -1.717064)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7946, 52, N'Calmarza', N'calmarza', N'50238', 41.159529, -1.914539)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7947, 52, N'Campillo de Aragón', N'campillo-de-aragon', N'50214', 41.127308, -1.844137)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7948, 52, N'Carenas', N'carenas', N'50212', 41.275904, -1.798174)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7949, 52, N'Cariñena', N'carinena', N'50400', 41.337235, -1.221285)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7950, 52, N'Caspe', N'caspe', N'50700', 41.237996, -0.044804)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7951, 52, N'Castejón de Alarba', N'castejon-de-alarba', N'50346', 41.183531, -1.637156)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7952, 52, N'Castejón de las Armas', N'castejon-de-las-armas', N'50211', 41.309647, -1.812572)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7953, 52, N'Castejón de Valdejasa', N'castejon-de-valdejasa', N'50612', 41.982702, -0.994992)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7954, 52, N'Castiliscar', N'castiliscar', N'50696', 42.375571, -1.274135)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7955, 52, N'Cervera de la Cañada', N'cervera-de-la-canada', N'50312', 41.431788, -1.737342)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7956, 52, N'Cerveruela', N'cerveruela', N'50368', 41.193607, -1.303489)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7957, 52, N'Cetina', N'cetina', N'50292', 41.287659, -1.966102)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7958, 52, N'Chiprana', N'chiprana', N'50792', 41.263074, -0.125978)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7959, 52, N'Chodes', N'chodes', N'50269', 41.486704, -1.480236)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7960, 52, N'Cimballa', N'cimballa', N'50213', 41.102251, -1.774571)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7961, 52, N'Cinco Olivas', N'cinco-olivas', N'50782', 41.338339, -0.370928)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7962, 52, N'Clarés de Ribota', N'clares-de-ribota', N'50314', 41.530371, -1.839169)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7963, 52, N'Codo', N'codo', N'50132', 41.334899, -0.697868)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7964, 52, N'Codos', N'codos', N'50326', 41.291818, -1.374686)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7965, 52, N'Contamina', N'contamina', N'50239', 41.306536, -1.915505)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7966, 52, N'Cosuenda', N'cosuenda', N'50409', 41.364973, -1.300464)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7967, 52, N'Cuarte de Huerva', N'cuarte-de-huerva', N'50410', 41.593798, -0.931091)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7968, 52, N'Cubel', N'cubel', N'50376', 41.096583, -1.637102)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7969, 52, N'Cuerlas', N'cuerlas', N'50373', 40.960164, -1.549051)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7970, 52, N'Daroca', N'daroca', N'50360', 41.116284, -1.414189)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7971, 52, N'Ejea de los Caballeros', N'ejea-de-los-caballeros', N'50600', 42.128498, -1.137235)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7972, 52, N'Embid de Ariza', N'embid-de-ariza', N'50239', 41.380391, -1.969664)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7973, 52, N'Encinacorba', N'encinacorba', N'50470', 41.284885, -1.276560)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7974, 52, N'Á‰pila', N'epila', N'50290', 41.600810, -1.282654)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7975, 52, N'Erla', N'erla', N'50611', 42.116339, -0.950017)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7976, 52, N'Escatrón', N'escatron', N'50790', 41.289964, -0.320921)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7977, 52, N'Fabara', N'fabara', N'50793', 41.180229, 0.166855)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7978, 52, N'Farlete', N'farlete', N'50163', 41.682384, -0.508955)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7979, 52, N'Fayón', N'fayon', N'50795', 41.242175, 0.332057)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7980, 52, N'Fayos', N'fayos', N'50513', 41.878061, -1.779764)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7981, 52, N'Figueruelas', N'figueruelas', N'50639', 41.766494, -1.176116)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7982, 52, N'Fombuena', N'fombuena', N'50491', 41.127106, -1.273695)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7983, 52, N'Frago', N'frago', N'50610', 41.651730, -0.881319)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7984, 52, N'Frasno', N'frasno', N'50320', 41.414282, -1.492810)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7985, 52, N'Fréscano', N'frescano', N'50562', 41.877646, -1.451848)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7986, 52, N'Fuendejalón', N'fuendejalon', N'50529', 41.760925, -1.466718)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7987, 52, N'Fuendetodos', N'fuendetodos', N'50142', 41.346048, -0.959845)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7988, 52, N'Fuentes de Ebro', N'fuentes-de-ebro', N'50740', 41.506263, -0.636005)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7989, 52, N'Fuentes de Jiloca', N'fuentes-de-jiloca', N'50390', 41.228878, -1.536841)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7990, 52, N'Gallocanta', N'gallocanta', N'50373', 40.995771, -1.509483)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7991, 52, N'Gallur', N'gallur', N'50650', 41.869864, -1.317844)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7992, 52, N'Gelsa', N'gelsa', N'50786', 41.408440, -0.458057)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7993, 52, N'Godojos', N'godojos', N'50238', 41.265808, -1.865230)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7994, 52, N'Gotor', N'gotor', N'50257', 41.545525, -1.650460)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7995, 52, N'Grisel', N'grisel', N'50513', 41.872133, -1.729102)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7996, 52, N'Grisén', N'grisen', N'50297', 41.742579, -1.164197)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7997, 52, N'Herrera de los Navarros', N'herrera-de-los-navarros', N'50150', 41.211140, -1.082400)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7998, 52, N'Ibdes', N'ibdes', N'50236', 41.219050, -1.834803)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (7999, 52, N'Illueca', N'illueca', N'50250', 41.536659, -1.625204)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8000, 52, N'Isuerre', N'isuerre', N'50687', 42.487147, -1.052070)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8001, 52, N'Jaraba', N'jaraba', N'50237', 41.190515, -1.883769)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8002, 52, N'Jarque', N'jarque', N'50258', 41.556782, -1.679556)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8003, 52, N'Jaulín', N'jaulin', N'50141', 41.451854, -0.993437)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8004, 52, N'Joyosa', N'joyosa', N'50692', 41.744693, -1.071639)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8005, 52, N'Lagata', N'lagata', N'50134', 41.239258, -0.804378)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8006, 52, N'Langa del Castillo', N'langa-del-castillo', N'50367', 41.212755, -1.398911)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8007, 52, N'Layana', N'layana', N'50679', 42.298111, -1.244942)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8008, 52, N'Lécera', N'lecera', N'50131', 41.205506, -0.709605)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8009, 52, N'Lechón', N'lechon', N'50369', 41.085708, -1.286559)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8010, 52, N'Leciñena', N'lecinena', N'50160', 41.803246, -0.609784)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8011, 52, N'Letux', N'letux', N'50136', 41.253533, -0.802002)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8012, 52, N'Litago', N'litago', N'50582', 41.813371, -1.752405)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8013, 52, N'Lituénigo', N'lituenigo', N'50581', 41.834118, -1.762909)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8014, 52, N'Lobera de Onsella', N'lobera-de-onsella', N'50687', 42.477383, -1.023359)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8015, 52, N'Longares', N'longares', N'50460', 41.400409, -1.166782)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8016, 52, N'Longás', N'longas', N'50688', 42.480643, -0.935833)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8017, 52, N'Lucena de Jalón', N'lucena-de-jalon', N'50294', 41.554373, -1.306150)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8018, 52, N'Luceni', N'luceni', N'50640', 41.827930, -1.240039)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8019, 52, N'Luesia', N'luesia', N'50619', 42.369832, -1.022029)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8020, 52, N'Luesma', N'luesma', N'50151', 41.166419, -1.146569)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8021, 52, N'Lumpiaque', N'lumpiaque', N'50295', 41.630472, -1.299992)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8022, 52, N'Luna', N'luna', N'50610', 42.170481, -0.931478)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8023, 52, N'Maella', N'maella', N'50710', 41.123687, 0.137265)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8024, 52, N'Magallón', N'magallon', N'50520', 41.831120, -1.457512)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8025, 52, N'Mainar', N'mainar', N'50368', 41.194140, -1.303596)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8026, 52, N'Malanquilla', N'malanquilla', N'50315', 41.570485, -1.875529)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8027, 52, N'Maleján', N'malejan', N'50549', 41.828010, -1.548584)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8028, 52, N'Mallén', N'mallen', N'50550', 41.900516, -1.418213)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8029, 52, N'Malón', N'malon', N'50511', 41.953426, -1.670802)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8030, 52, N'Maluenda', N'maluenda', N'50340', 41.287143, -1.614776)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8031, 52, N'Manchones', N'manchones', N'50366', 41.146636, -1.467662)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8032, 52, N'Mara', N'mara', N'50331', 41.289182, -1.517583)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8033, 52, N'María de Huerva', N'maria-de-huerva', N'50430', 41.537615, -0.993254)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8034, 52, N'Marracos', N'marracos', N'50616', 42.091917, -0.777197)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8035, 52, N'Mediana de Aragón', N'mediana-de-aragon', N'50135', 41.466817, -0.710034)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8036, 52, N'Mequinenza', N'mequinenza', N'50170', 41.375923, 0.299785)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8037, 52, N'Mesones de Isuela', N'mesones-de-isuela', N'50267', 41.554116, -1.538129)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8038, 52, N'Mezalocha', N'mezalocha', N'50152', 41.423486, -1.084020)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8039, 52, N'Mianos', N'mianos', N'50683', 42.584307, -0.957527)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8040, 52, N'Miedes de Aragón', N'miedes-de-aragon', N'50330', 41.257614, -1.488036)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8041, 52, N'Monegrillo', N'monegrillo', N'50164', 41.641971, -0.414906)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8042, 52, N'Moneva', N'moneva', N'50144', 41.129288, -0.834274)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8043, 52, N'Monreal de Ariza', N'monreal-de-ariza', N'50291', 41.291641, -2.110448)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8044, 52, N'Monterde', N'monterde', N'50213', 41.171741, -1.736934)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8045, 52, N'Montón', N'monton', N'50391', 41.206596, -1.513098)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8046, 52, N'Morata de Jalón', N'morata-de-jalon', N'50260', 41.469502, -1.472983)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8047, 52, N'Morata de Jiloca', N'morata-de-jiloca', N'50344', 41.247547, -1.587803)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8048, 52, N'Morés', N'mores', N'50240', 41.474856, -1.564243)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8049, 52, N'Moros', N'moros', N'50215', 41.397552, -1.831584)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8050, 52, N'Moyuela', N'moyuela', N'50143', 41.128763, -0.923431)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8051, 52, N'Mozota', N'mozota', N'50440', 41.482412, -1.068935)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8052, 52, N'Muel', N'muel', N'50450', 41.464084, -1.085908)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8053, 52, N'Muela', N'muela', N'50196', 41.581231, -1.121936)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8054, 52, N'Munébrega', N'munebrega', N'50219', 41.251347, -1.705853)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8055, 52, N'Murero', N'murero', N'50366', 41.156880, -1.482747)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8056, 52, N'Murillo de Gállego', N'murillo-de-gallego', N'22808', 42.337230, -0.754838)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8057, 52, N'Navardún', N'navardun', N'50686', 42.509786, -1.142793)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8059, 52, N'Nombrevilla', N'nombrevilla', N'50369', 41.108961, -1.357348)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8060, 52, N'Nonaspe', N'nonaspe', N'50794', 41.211528, 0.250068)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8061, 52, N'Novallas', N'novallas', N'50510', 41.945479, -1.698718)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8062, 52, N'Novillas', N'novillas', N'50530', 41.932989, -1.390918)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8063, 52, N'Nuévalos', N'nuevalos', N'50210', 41.210818, -1.789312)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8064, 52, N'Nuez de Ebro', N'nuez-de-ebro', N'50173', 41.593132, -0.681045)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8065, 52, N'Olvés', N'olves', N'50341', 41.237334, -1.649623)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8066, 52, N'Orcajo', N'orcajo', N'50366', 41.110513, -1.489205)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8067, 52, N'Orera', N'orera', N'50331', 41.299541, -1.480590)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8068, 52, N'Orés', N'ores', N'50619', 42.279452, -0.999520)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8069, 52, N'Oseja', N'oseja', N'50258', 41.595354, -1.699834)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8070, 52, N'Osera de Ebro', N'osera-de-ebro', N'50175', 41.534346, -0.579915)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8071, 52, N'Paniza', N'paniza', N'50480', 41.282434, -1.212423)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8072, 52, N'Paracuellos de Jiloca', N'paracuellos-de-jiloca', N'50342', 41.313902, -1.642241)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8073, 52, N'Paracuellos de la Ribera', N'paracuellos-de-la-ribera', N'50299', 41.422504, -1.562204)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8074, 52, N'Pastriz', N'pastriz', N'50195', 41.617624, -0.782014)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8075, 52, N'Pedrola', N'pedrola', N'50690', 41.790737, -1.214783)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8076, 52, N'Pedrosas', N'pedrosas', N'50612', 42.036991, -0.883198)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8077, 52, N'Perdiguera', N'perdiguera', N'50161', 41.754826, -0.631800)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8078, 52, N'Piedratajada', N'piedratajada', N'50616', 42.118837, -0.804083)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8079, 52, N'Pina de Ebro', N'pina-de-ebro', N'50750', 41.490771, -0.511808)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8080, 52, N'Pinseque', N'pinseque', N'50298', 41.736095, -1.101637)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8081, 52, N'Pintanos', N'pintanos', N'50685', 42.530710, -1.022222)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8082, 52, N'Plasencia de Jalon', N'plasencia-de-jalón', N'50296', 41.682977, -1.229310)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8083, 52, N'Pleitas', N'pleitas', N'50297', 41.713289, -1.199098)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8084, 52, N'Plenas', N'plenas', N'50143', 41.113471, -0.962312)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8085, 52, N'Pomer', N'pomer', N'50259', 41.638042, -1.841261)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8086, 52, N'Pozuel de Ariza', N'pozuel-de-ariza', N'42269', 41.348061, -2.153513)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8087, 52, N'Pozuelo de Aragón', N'pozuelo-de-aragon', N'50529', 41.766230, -1.421549)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8088, 52, N'Pradilla de Ebro', N'pradilla-de-ebro', N'50668', 41.860740, -1.259394)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8089, 52, N'Puebla de Albortón', N'puebla-de-alborton', N'50137', 41.383909, -0.852063)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8090, 52, N'Puebla de Alfindén', N'puebla-de-alfinden', N'50171', 41.632284, -0.753100)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8091, 52, N'Puendeluna', N'puendeluna', N'50614', 42.153128, -0.757499)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8092, 52, N'Purujosa', N'purujosa', N'50268', 41.682560, -1.764765)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8093, 52, N'Quinto', N'quinto', N'50770', 41.425095, -0.498848)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8094, 52, N'Remolinos', N'remolinos', N'50637', 41.838746, -1.176696)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8095, 52, N'Retascón', N'retascon', N'50367', 41.144729, -1.381145)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8096, 52, N'Ricla', N'ricla', N'50270', 41.508963, -1.403332)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8097, 52, N'Romanos', N'romanos', N'50491', 41.126629, -1.276174)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8098, 52, N'Rueda de Jalón', N'rueda-de-jalon', N'50295', 41.633279, -1.273212)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8099, 52, N'Ruesca', N'ruesca', N'50331', 41.282547, -1.482553)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8100, 52, N'Sabiñán', N'sabinan', N'50299', 41.443338, -1.568041)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8101, 52, N'Sádaba', N'sadaba', N'50670', 42.282008, -1.272697)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8102, 52, N'Salillas de Jalón', N'salillas-de-jalon', N'50294', 41.567298, -1.324625)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8103, 52, N'Salvatierra de Esca', N'salvatierra-de-esca', N'50684', 42.669184, -1.004820)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8104, 52, N'Samper del Salz', N'samper-del-salz', N'50134', 41.234898, -0.823073)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8105, 52, N'San Martín de la Virgen de Moncayo', N'san-martin-de-la-virgen-de-moncayo', N'50584', 41.838075, -1.792274)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8106, 52, N'San Mateo de Gállego', N'san-mateo-de-gallego', N'50840', 41.831136, -0.768270)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8107, 52, N'Santa Cruz de Grío', N'santa-cruz-de-grio', N'50324', 41.371269, -1.429853)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8108, 52, N'Santa Cruz de Moncayo', N'santa-cruz-de-moncayo', N'50513', 41.882311, -1.757126)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8109, 52, N'Santa Eulalia de Gállego', N'santa-eulalia-de-gallego', N'22806', 42.287088, -0.760846)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8110, 52, N'Santed', N'santed', N'50373', 41.032460, -1.507144)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8111, 52, N'Sástago', N'sastago', N'50780', 41.321461, -0.349417)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8112, 52, N'Sediles', N'sediles', N'50334', 41.346563, -1.529288)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8113, 52, N'Sestrica', N'sestrica', N'50248', 41.486945, -1.596794)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8114, 52, N'Sierra de Luna', N'sierra-de-luna', N'50612', 42.046552, -0.910664)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8115, 52, N'Siges', N'siges', N'50682', 42.630644, -1.012588)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8116, 52, N'Sisamón', N'sisamon', N'50227', 41.170643, -2.006164)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8117, 52, N'Sobradiel', N'sobradiel', N'50629', 41.740738, -1.036019)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8118, 52, N'Sos del Rey Católico', N'sos-del-rey-catolico', N'50680', 42.497637, -1.215363)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8119, 52, N'Tabuenca', N'tabuenca', N'50547', 41.695411, -1.543965)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8120, 52, N'Talamantes', N'talamantes', N'50546', 41.730298, -1.677775)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8121, 52, N'Tarazona', N'tarazona', N'50500', 41.903044, -1.725025)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8122, 52, N'Tauste', N'tauste', N'50660', 41.921183, -1.252098)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8123, 52, N'Terrer', N'terrer', N'50293', 41.327971, -1.714468)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8124, 52, N'Tierga', N'tierga', N'50269', 41.607613, -1.605377)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8125, 52, N'Tobed', N'tobed', N'50325', 41.337960, -1.400542)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8126, 52, N'Torralba de los Frailes', N'torralba-de-los-frailes', N'50374', 41.037089, -1.661725)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8127, 52, N'Torralba de Ribota', N'torralba-de-ribota', N'50311', 41.418144, -1.683826)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8128, 52, N'Torralbilla', N'torralbilla', N'50368', 41.210624, -1.338358)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8129, 52, N'Torrehermosa', N'torrehermosa', N'42269', 41.238867, -2.130103)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8130, 52, N'Torrelapaja', N'torrelapaja', N'50316', 41.581841, -1.950459)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8131, 52, N'Torrellas', N'torrellas', N'50512', 41.895888, -1.769571)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8132, 52, N'Torres de Berrellén', N'torres-de-berrellen', N'50693', 41.758188, -1.065245)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8133, 52, N'Torrijo de la Cañada', N'torrijo-de-la-canada', N'50217', 41.474245, -1.876988)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8134, 52, N'Tosos', N'tosos', N'50154', 41.315788, -1.071939)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8135, 52, N'Trasmoz', N'trasmoz', N'50583', 41.825892, -1.723094)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8136, 52, N'Trasobares', N'trasobares', N'50268', 41.643863, -1.641083)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8137, 52, N'Uncastillo', N'uncastillo', N'50678', 42.361778, -1.131163)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8138, 52, N'Undués de Lerda', N'undues-de-lerda', N'50689', 42.566262, -1.169443)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8139, 52, N'Urrea de Jalón', N'urrea-de-jalon', N'50296', 41.634562, -1.273298)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8140, 52, N'Urriés', N'urries', N'50685', 42.518960, -1.129532)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8141, 52, N'Used', N'used', N'50374', 41.054146, -1.558599)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8142, 52, N'Utebo', N'utebo', N'50180', 41.715308, -0.994735)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8143, 52, N'Val de San Martín', N'val-de-san-martin', N'50372', 41.056638, -1.446462)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8144, 52, N'Valdehorna', N'valdehorna', N'50371', 41.072396, -1.422300)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8145, 52, N'Valmadrid', N'valmadrid', N'50138', 41.443691, -0.884786)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8146, 52, N'Valpalmas', N'valpalmas', N'50615', 42.158186, -0.852127)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8147, 52, N'Valtorres', N'valtorres', N'50219', 41.299121, -1.740818)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8148, 52, N'Velilla de Ebro', N'velilla-de-ebro', N'50760', 41.375424, -0.437865)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8149, 52, N'Velilla de Jiloca', N'velilla-de-jiloca', N'50343', 41.275001, -1.604691)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8150, 52, N'Vera de Moncayo', N'vera-de-moncayo', N'50580', 41.824165, -1.688075)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8151, 52, N'Vierlas', N'vierlas', N'50513', 41.928176, -1.680908)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8152, 52, N'Villadoz', N'villadoz', N'50490', 41.162663, -1.287804)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8153, 52, N'Villafeliche', N'villafeliche', N'50391', 41.196482, -1.510749)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8154, 52, N'Villafranca de Ebro', N'villafranca-de-ebro', N'50174', 41.574104, -0.650253)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8155, 52, N'Villalba de Perejil', N'villalba-de-perejil', N'50333', 41.327520, -1.548257)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8156, 52, N'Villalengua', N'villalengua', N'50216', 41.435005, -1.839352)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8157, 52, N'Villamayor de Gállego', N'villamayor-de-gallego', N'50162', 41.685156, -0.774879)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8158, 52, N'Villanueva de Gállego', N'villanueva-de-gallego', N'50830', 41.768271, -0.827923)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8159, 52, N'Villanueva de Huerva', N'villanueva-de-huerva', N'50153', 41.352394, -1.037307)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8160, 52, N'Villanueva de Jiloca', N'villanueva-de-jiloca', N'50370', 41.076213, -1.392860)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8161, 52, N'Villar de los Navarros', N'villar-de-los-navarros', N'50156', 41.158786, -1.042500)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8162, 52, N'Villarreal de Huerva', N'villarreal-de-huerva', N'50490', 41.191541, -1.288018)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8163, 52, N'Villarroya de la Sierra', N'villarroya-de-la-sierra', N'50310', 41.464502, -1.786051)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8164, 52, N'Villarroya del Campo', N'villarroya-del-campo', N'50368', 41.143469, -1.323724)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8165, 52, N'Vilueña', N'la viluena', N'50219', 41.272065, -1.724811)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8166, 52, N'Vistabella', N'vistabella', N'50482', 41.218888, -1.152706)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8167, 52, N'Zaida', N'la zaida', N'50784', 41.326585, -0.426707)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8168, 52, N'Zaragoza', N'zaragoza', N'50003', 41.656112, -0.875516)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8169, 52, N'Zuera', N'zuera', N'50800', 41.869497, -0.788097)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8171, 6, N'Ceuta', N'ceuta', N'51001', 35.889160, -5.315730)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8173, 23, N'Melilla', N'melilla', N'52001', 35.291248, -2.937910)

GO
INSERT INTO [dbo].[SIS_Poblaciones] ([IdPoblacion], [IdProvincia], [Nombre], [PoblacionSeo], [CodigoPostal], [Latitud], [Longitud])
	VALUES (8174, 46, N'Agüero', N'aguero', N'22808', 42.354290, -0.795170)

GO

SET IDENTITY_INSERT [dbo].[SIS_Poblaciones] OFF
GO


--Table dbo.SIS_Roles

USE [GPASens]
GO

--Create table and its columns
CREATE TABLE [dbo].[SIS_Roles] (
	[IdRol] [int] NOT NULL IDENTITY (1, 1),
	[Codigo] [nvarchar](10) NOT NULL,
	[Descripcion] [nvarchar](50) NOT NULL);
GO

SET IDENTITY_INSERT [dbo].[SIS_Roles] ON
GO
INSERT INTO [dbo].[SIS_Roles] ([IdRol], [Codigo], [Descripcion])
	VALUES (1, N'admin', N'Administrador')

GO
INSERT INTO [dbo].[SIS_Roles] ([IdRol], [Codigo], [Descripcion])
	VALUES (2, N'manager', N'Responsable')

GO
INSERT INTO [dbo].[SIS_Roles] ([IdRol], [Codigo], [Descripcion])
	VALUES (3, N'user', N'Usuario')

GO
INSERT INTO [dbo].[SIS_Roles] ([IdRol], [Codigo], [Descripcion])
	VALUES (4, N'guest', N'Invitado')

GO
SET IDENTITY_INSERT [dbo].[SIS_Roles] OFF
GO

--Table dbo.SIS_Usuarios

USE [GPASens]
GO

--Create table and its columns
CREATE TABLE [dbo].[SIS_Usuarios] (
	[IdUsuario] [int] NOT NULL IDENTITY (1, 1),
	[IdDelegacion] [int] NOT NULL,
	[IdRol] [int] NOT NULL,
	[Nombre] [nvarchar](50) NOT NULL,
	[Apellidos] [nvarchar](50) NOT NULL,
	[EMail] [nvarchar](100) NULL,
	[Telefono1] [nvarchar](15) NULL,
	[Telefono2] [nvarchar](15) NULL,
	[NombreUsuario] [nvarchar](10) NOT NULL,
	[Contrasena] [nvarchar](10) NOT NULL,
	[Activo] [bit] NOT NULL CONSTRAINT [DF_SIS_Usuarios_Activo] DEFAULT ((1)));
GO

SET IDENTITY_INSERT [dbo].[SIS_Usuarios] ON
GO
INSERT INTO [dbo].[SIS_Usuarios] ([IdUsuario], [IdDelegacion], [IdRol], [Nombre], [Apellidos], [EMail], [Telefono1], [Telefono2], [NombreUsuario], [Contrasena], [Activo])
	VALUES (1, 1, 1, N'Virgili', N'Bolós', N'virgili.bolos@ong1.org', N'933333333', NULL, N'vbolos', N'vbolos', CAST ('True' AS bit))

GO
INSERT INTO [dbo].[SIS_Usuarios] ([IdUsuario], [IdDelegacion], [IdRol], [Nombre], [Apellidos], [EMail], [Telefono1], [Telefono2], [NombreUsuario], [Contrasena], [Activo])
	VALUES (2, 1, 1, N'admin', N'.', N'admin@ong.org', N'931111111', NULL, N'admin', N'admin', CAST ('True' AS bit))

GO
INSERT INTO [dbo].[SIS_Usuarios] ([IdUsuario], [IdDelegacion], [IdRol], [Nombre], [Apellidos], [EMail], [Telefono1], [Telefono2], [NombreUsuario], [Contrasena], [Activo])
	VALUES (3, 1, 2, N'resp', N'.', N'resp@ong.org', N'932222222', NULL, N'resp', N'resp', CAST ('True' AS bit))

GO
INSERT INTO [dbo].[SIS_Usuarios] ([IdUsuario], [IdDelegacion], [IdRol], [Nombre], [Apellidos], [EMail], [Telefono1], [Telefono2], [NombreUsuario], [Contrasena], [Activo])
	VALUES (4, 1, 3, N'usuario', N'.', N'user@ong.org', N'934444444', NULL, N'usuario', N'usuario', CAST ('True' AS bit))

GO
INSERT INTO [dbo].[SIS_Usuarios] ([IdUsuario], [IdDelegacion], [IdRol], [Nombre], [Apellidos], [EMail], [Telefono1], [Telefono2], [NombreUsuario], [Contrasena], [Activo])
	VALUES (5, 1, 4, N'invitado', N'.', N'guest@ong.org', N'935555555', NULL, N'invitado', N'invitado', CAST ('True' AS bit))

GO
SET IDENTITY_INSERT [dbo].[SIS_Usuarios] OFF
GO

--Indexes of table dbo.ACC_Acciones
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER TABLE [dbo].[ACC_Acciones] ADD CONSTRAINT [PK_ACC_Acciones] PRIMARY KEY CLUSTERED ([IdAccion]) 
GO

--Indexes of table dbo.ACC_Actividades
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER TABLE [dbo].[ACC_Actividades] ADD CONSTRAINT [PK_ACC_Actividades] PRIMARY KEY CLUSTERED ([IdActividad]) 
GO

--Indexes of table dbo.ACC_Documentos
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER TABLE [dbo].[ACC_Documentos] ADD CONSTRAINT [PK_ACC_Documentos] PRIMARY KEY CLUSTERED ([IdDocumento]) 
GO

--Indexes of table dbo.ACC_Eventos
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER TABLE [dbo].[ACC_Eventos] ADD CONSTRAINT [PK_ACC_Planificaciones] PRIMARY KEY CLUSTERED ([IdEvento]) 
GO

--Indexes of table dbo.ACC_Fotos
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER TABLE [dbo].[ACC_Fotos] ADD CONSTRAINT [PK_ACC_Fotos] PRIMARY KEY CLUSTERED ([IdFoto]) 
GO

--Indexes of table dbo.ACC_Tematicas
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER TABLE [dbo].[ACC_Tematicas] ADD CONSTRAINT [PK_ACC_Tematicas] PRIMARY KEY CLUSTERED ([IdTematica]) 
GO

--Indexes of table dbo.ENT_Contactos
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER TABLE [dbo].[ENT_Contactos] ADD CONSTRAINT [PK_ENT_Contactos] PRIMARY KEY CLUSTERED ([IdContacto]) 
GO

--Indexes of table dbo.ENT_Entidades
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER TABLE [dbo].[ENT_Entidades] ADD CONSTRAINT [PK_ENT_Entidades] PRIMARY KEY CLUSTERED ([IdEntidad]) 
GO

--Indexes of table dbo.ENT_Estados
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER TABLE [dbo].[ENT_Estados] ADD CONSTRAINT [PK_ENT_Estados] PRIMARY KEY CLUSTERED ([IdEstado]) 
GO

--Indexes of table dbo.ENT_Medios
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER TABLE [dbo].[ENT_Medios] ADD CONSTRAINT [PK_ENT_Medios] PRIMARY KEY CLUSTERED ([IdMedio]) 
GO

--Indexes of table dbo.ENT_Participaciones
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER TABLE [dbo].[ENT_Participaciones] ADD CONSTRAINT [PK_ENT_Participaciones] PRIMARY KEY CLUSTERED ([IdParticipacion]) 
GO

--Indexes of table dbo.ENT_Seguimientos
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER TABLE [dbo].[ENT_Seguimientos] ADD CONSTRAINT [PK_ENT_Seguimientos] PRIMARY KEY CLUSTERED ([IdSeguimiento]) 
GO

--Indexes of table dbo.ENT_TiposEntidades
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER TABLE [dbo].[ENT_TiposEntidades] ADD CONSTRAINT [PK_ENT_TipoEntidades] PRIMARY KEY CLUSTERED ([IdTipoEntidad]) 
GO

--Indexes of table dbo.ENT_TiposParticipaciones
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER TABLE [dbo].[ENT_TiposParticipaciones] ADD CONSTRAINT [PK_ENT_TiposParticipaciones] PRIMARY KEY CLUSTERED ([IdTipoParticipacion]) 
GO

--Indexes of table dbo.ORG_Delegaciones
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER TABLE [dbo].[ORG_Delegaciones] ADD CONSTRAINT [PK_SIS_Delegaciones] PRIMARY KEY CLUSTERED ([IdDelegacion]) 
GO

--Indexes of table dbo.ORG_Organizaciones
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER TABLE [dbo].[ORG_Organizaciones] ADD CONSTRAINT [PK_SIS_Organizaciones] PRIMARY KEY CLUSTERED ([IdOrganizacion]) 
GO

--Indexes of table dbo.ORG_TiposOrganizaciones
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER TABLE [dbo].[ORG_TiposOrganizaciones] ADD CONSTRAINT [PK_SIS_TiposOrganizaciones] PRIMARY KEY CLUSTERED ([IdTipoOrganizacion]) 
GO

--Indexes of table dbo.SIS_Poblaciones
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER TABLE [dbo].[SIS_Poblaciones] ADD CONSTRAINT [PK_poblacion] PRIMARY KEY CLUSTERED ([IdPoblacion]) 
GO

--Indexes of table dbo.SIS_Provincias
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER TABLE [dbo].[SIS_Provincias] ADD CONSTRAINT [PK_provincia] PRIMARY KEY CLUSTERED ([IdProvincia]) 
GO

--Indexes of table dbo.SIS_Roles
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER TABLE [dbo].[SIS_Roles] ADD CONSTRAINT [PK_SIS_Roles] PRIMARY KEY CLUSTERED ([IdRol]) 
GO

--Indexes of table dbo.SIS_Usuarios
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
ALTER TABLE [dbo].[SIS_Usuarios] ADD CONSTRAINT [PK_SIS_Usuarios] PRIMARY KEY CLUSTERED ([IdUsuario]) 
GO


--Relaciones
ALTER TABLE [dbo].[ACC_Acciones]  WITH CHECK ADD  CONSTRAINT [FK_ACC_Acciones_ACC_Actividades] FOREIGN KEY([IdActividad])
REFERENCES [dbo].[ACC_Actividades] ([IdActividad])
GO

ALTER TABLE [dbo].[ACC_Acciones] CHECK CONSTRAINT [FK_ACC_Acciones_ACC_Actividades]
GO

ALTER TABLE [dbo].[ACC_Acciones]  WITH CHECK ADD  CONSTRAINT [FK_ACC_Acciones_ACC_Tematicas] FOREIGN KEY([IdTematica])
REFERENCES [dbo].[ACC_Tematicas] ([IdTematica])
GO

ALTER TABLE [dbo].[ACC_Acciones] CHECK CONSTRAINT [FK_ACC_Acciones_ACC_Tematicas]
GO

ALTER TABLE [dbo].[ACC_Acciones]  WITH CHECK ADD  CONSTRAINT [FK_ACC_Acciones_ORG_Organizaciones] FOREIGN KEY([IdOrganizacion])
REFERENCES [dbo].[ORG_Organizaciones] ([IdOrganizacion])
GO

ALTER TABLE [dbo].[ACC_Acciones] CHECK CONSTRAINT [FK_ACC_Acciones_ORG_Organizaciones]
GO

ALTER TABLE [dbo].[ACC_Documentos]  WITH CHECK ADD  CONSTRAINT [FK_ACC_Documentos_ACC_Eventos] FOREIGN KEY([IdEvento])
REFERENCES [dbo].[ACC_Eventos] ([IdEvento])
GO

ALTER TABLE [dbo].[ACC_Documentos] CHECK CONSTRAINT [FK_ACC_Documentos_ACC_Eventos]
GO

ALTER TABLE [dbo].[ACC_Eventos]  WITH CHECK ADD  CONSTRAINT [FK_ACC_Eventos_ACC_Acciones] FOREIGN KEY([IdAccion])
REFERENCES [dbo].[ACC_Acciones] ([IdAccion])
GO

ALTER TABLE [dbo].[ACC_Eventos] CHECK CONSTRAINT [FK_ACC_Eventos_ACC_Acciones]
GO

ALTER TABLE [dbo].[ACC_Eventos]  WITH CHECK ADD  CONSTRAINT [FK_ACC_Eventos_SIS_Poblaciones] FOREIGN KEY([IdPoblacion])
REFERENCES [dbo].[SIS_Poblaciones] ([IdPoblacion])
GO

ALTER TABLE [dbo].[ACC_Eventos] CHECK CONSTRAINT [FK_ACC_Eventos_SIS_Poblaciones]
GO

ALTER TABLE [dbo].[ACC_Fotos]  WITH CHECK ADD  CONSTRAINT [FK_ACC_Fotos_ACC_Eventos] FOREIGN KEY([IdEvento])
REFERENCES [dbo].[ACC_Eventos] ([IdEvento])
GO

ALTER TABLE [dbo].[ACC_Fotos] CHECK CONSTRAINT [FK_ACC_Fotos_ACC_Eventos]
GO

ALTER TABLE [dbo].[ENT_Contactos]  WITH CHECK ADD  CONSTRAINT [FK_ENT_Contactos_ENT_Entidades] FOREIGN KEY([IdEntidad])
REFERENCES [dbo].[ENT_Entidades] ([IdEntidad])
GO

ALTER TABLE [dbo].[ENT_Contactos] CHECK CONSTRAINT [FK_ENT_Contactos_ENT_Entidades]
GO

ALTER TABLE [dbo].[ENT_Entidades]  WITH CHECK ADD  CONSTRAINT [FK_ENT_Entidades_ENT_TiposEntidades] FOREIGN KEY([IdTipoEntidad])
REFERENCES [dbo].[ENT_TiposEntidades] ([IdTipoEntidad])
GO

ALTER TABLE [dbo].[ENT_Entidades] CHECK CONSTRAINT [FK_ENT_Entidades_ENT_TiposEntidades]
GO

ALTER TABLE [dbo].[ENT_Entidades]  WITH CHECK ADD  CONSTRAINT [FK_ENT_Entidades_SIS_Poblaciones] FOREIGN KEY([IdPoblacion])
REFERENCES [dbo].[SIS_Poblaciones] ([IdPoblacion])
GO

ALTER TABLE [dbo].[ENT_Entidades] CHECK CONSTRAINT [FK_ENT_Entidades_SIS_Poblaciones]
GO

ALTER TABLE [dbo].[ENT_Participaciones]  WITH CHECK ADD  CONSTRAINT [FK_ENT_Participaciones_ACC_Eventos] FOREIGN KEY([IdEvento])
REFERENCES [dbo].[ACC_Eventos] ([IdEvento])
GO

ALTER TABLE [dbo].[ENT_Participaciones] CHECK CONSTRAINT [FK_ENT_Participaciones_ACC_Eventos]
GO

ALTER TABLE [dbo].[ENT_Participaciones]  WITH CHECK ADD  CONSTRAINT [FK_ENT_Participaciones_ENT_Entidades] FOREIGN KEY([IdEntidad])
REFERENCES [dbo].[ENT_Entidades] ([IdEntidad])
GO

ALTER TABLE [dbo].[ENT_Participaciones] CHECK CONSTRAINT [FK_ENT_Participaciones_ENT_Entidades]
GO

ALTER TABLE [dbo].[ENT_Participaciones]  WITH CHECK ADD  CONSTRAINT [FK_ENT_Participaciones_ENT_TiposParticipaciones] FOREIGN KEY([IdTipoParticipacion])
REFERENCES [dbo].[ENT_TiposParticipaciones] ([IdTipoParticipacion])
GO

ALTER TABLE [dbo].[ENT_Participaciones] CHECK CONSTRAINT [FK_ENT_Participaciones_ENT_TiposParticipaciones]
GO

ALTER TABLE [dbo].[ENT_Seguimientos]  WITH CHECK ADD  CONSTRAINT [FK_ENT_Seguimientos_ENT_Entidades] FOREIGN KEY([IdEntidad])
REFERENCES [dbo].[ENT_Entidades] ([IdEntidad])
GO

ALTER TABLE [dbo].[ENT_Seguimientos] CHECK CONSTRAINT [FK_ENT_Seguimientos_ENT_Entidades]
GO

ALTER TABLE [dbo].[ENT_Seguimientos]  WITH CHECK ADD  CONSTRAINT [FK_ENT_Seguimientos_ENT_Estados] FOREIGN KEY([IdEstado])
REFERENCES [dbo].[ENT_Estados] ([IdEstado])
GO

ALTER TABLE [dbo].[ENT_Seguimientos] CHECK CONSTRAINT [FK_ENT_Seguimientos_ENT_Estados]
GO

ALTER TABLE [dbo].[ENT_Seguimientos]  WITH CHECK ADD  CONSTRAINT [FK_ENT_Seguimientos_ENT_Medios] FOREIGN KEY([IdMedio])
REFERENCES [dbo].[ENT_Medios] ([IdMedio])
GO

ALTER TABLE [dbo].[ENT_Seguimientos] CHECK CONSTRAINT [FK_ENT_Seguimientos_ENT_Medios]
GO

ALTER TABLE [dbo].[ENT_Seguimientos]  WITH CHECK ADD  CONSTRAINT [FK_ENT_Seguimientos_SIS_Usuarios] FOREIGN KEY([IdUsuario])
REFERENCES [dbo].[SIS_Usuarios] ([IdUsuario])
GO

ALTER TABLE [dbo].[ENT_Seguimientos] CHECK CONSTRAINT [FK_ENT_Seguimientos_SIS_Usuarios]
GO

ALTER TABLE [dbo].[ORG_Delegaciones]  WITH CHECK ADD  CONSTRAINT [FK_ORG_Delegaciones_ORG_Organizaciones] FOREIGN KEY([IdOrganizacion])
REFERENCES [dbo].[ORG_Organizaciones] ([IdOrganizacion])
GO

ALTER TABLE [dbo].[ORG_Delegaciones] CHECK CONSTRAINT [FK_ORG_Delegaciones_ORG_Organizaciones]
GO

ALTER TABLE [dbo].[ORG_Delegaciones]  WITH CHECK ADD  CONSTRAINT [FK_ORG_Delegaciones_SIS_Poblaciones] FOREIGN KEY([IdPoblacion])
REFERENCES [dbo].[SIS_Poblaciones] ([IdPoblacion])
GO

ALTER TABLE [dbo].[ORG_Delegaciones] CHECK CONSTRAINT [FK_ORG_Delegaciones_SIS_Poblaciones]
GO

ALTER TABLE [dbo].[ORG_Organizaciones]  WITH CHECK ADD  CONSTRAINT [FK_ORG_Organizaciones_ORG_TiposOrganizaciones] FOREIGN KEY([IdTipoOrganizacion])
REFERENCES [dbo].[ORG_TiposOrganizaciones] ([IdTipoOrganizacion])
GO

ALTER TABLE [dbo].[ORG_Organizaciones] CHECK CONSTRAINT [FK_ORG_Organizaciones_ORG_TiposOrganizaciones]
GO

ALTER TABLE [dbo].[SIS_Poblaciones]  WITH CHECK ADD  CONSTRAINT [FK_SIS_Poblaciones_SIS_Provincias] FOREIGN KEY([IdProvincia])
REFERENCES [dbo].[SIS_Provincias] ([IdProvincia])
GO

ALTER TABLE [dbo].[SIS_Poblaciones] CHECK CONSTRAINT [FK_SIS_Poblaciones_SIS_Provincias]
GO

ALTER TABLE [dbo].[SIS_Usuarios]  WITH CHECK ADD  CONSTRAINT [FK_SIS_Usuarios_ORG_Delegaciones] FOREIGN KEY([IdDelegacion])
REFERENCES [dbo].[ORG_Delegaciones] ([IdDelegacion])
GO

ALTER TABLE [dbo].[SIS_Usuarios] CHECK CONSTRAINT [FK_SIS_Usuarios_ORG_Delegaciones]
GO

ALTER TABLE [dbo].[SIS_Usuarios]  WITH CHECK ADD  CONSTRAINT [FK_SIS_Usuarios_SIS_Roles] FOREIGN KEY([IdRol])
REFERENCES [dbo].[SIS_Roles] ([IdRol])
GO

ALTER TABLE [dbo].[SIS_Usuarios] CHECK CONSTRAINT [FK_SIS_Usuarios_SIS_Roles]
GO




